library ieee;
use ieee.std_logic_1164.all;
entity dcc_fpgacore_swift is
    generic ( TimingVersion : STRING := "dcc_fpgacore_swift";
              DelayRange : STRING := "MAX";
              MC_Reference : STRING := "0000" );
    port ( XBID_0 : in std_logic;
           XBID_1 : in std_logic;
           XBID_2 : in std_logic;
           XBID_3 : in std_logic;
           XBID_4 : in std_logic;
           XBID_5 : in std_logic;
           XBID_6 : in std_logic;
           XBID_7 : in std_logic;
           XBID_8 : in std_logic;
           CCLK : in std_logic;
           DONEOUT : out std_logic;
           DONEIN : in std_logic;
           M2 : in std_logic;
           M1 : in std_logic;
           M0 : in std_logic;
           TMS : in std_logic;
           TCK : in std_logic;
           TDI : in std_logic;
           TDO : out std_logic;
           DIN0 : in std_logic;
           DIN1 : in std_logic;
           DIN2 : in std_logic;
           DIN3 : in std_logic;
           DIN4 : in std_logic;
           DIN5 : in std_logic;
           DIN6 : in std_logic;
           DIN7 : in std_logic;
           DOUT0 : out std_logic;
           DOUT1 : out std_logic;
           DOUT2 : out std_logic;
           DOUT3 : out std_logic;
           DOUT4 : out std_logic;
           DOUT5 : out std_logic;
           DOUT6 : out std_logic;
           DOUT7 : out std_logic;
           PROGB : in std_logic;
           CSB : in std_logic;
           WRITEB : in std_logic;
           INITBOUT : out std_logic;
           GSR : out std_logic;
           GTS : out std_logic;
           GWE : out std_logic;
           BCLK : out std_logic;
           LBISTISOLATEB : in std_logic );
end;

architecture SmartModel of dcc_fpgacore_swift is
    attribute FOREIGN : STRING;
    attribute FOREIGN of SmartModel : architecture is "sm_init $ALDEC/BIN/swift.dll ; dcc_fpgacore_swift";
begin
end SmartModel;

--Notice: timing checks disabled with +notimingcheck at compile-time
library ieee;
use ieee.std_logic_1164.all;
entity emac_swift is
    generic ( TimingVersion : STRING := "emac_swift";
              DelayRange : STRING := "MAX";
              MC_Reference : STRING := "0000" );
    port ( RESET : in std_logic;
           PHYEMAC0GTXCLK : in std_logic;
           EMAC0PHYTXCLK : out std_logic;
           EMAC0PHYTXD_0 : out std_logic;
           EMAC0PHYTXD_1 : out std_logic;
           EMAC0PHYTXD_2 : out std_logic;
           EMAC0PHYTXD_3 : out std_logic;
           EMAC0PHYTXD_4 : out std_logic;
           EMAC0PHYTXD_5 : out std_logic;
           EMAC0PHYTXD_6 : out std_logic;
           EMAC0PHYTXD_7 : out std_logic;
           EMAC0PHYTXEN : out std_logic;
           EMAC0PHYTXER : out std_logic;
           PHYEMAC0RXCLK : in std_logic;
           PHYEMAC0CRS : in std_logic;
           PHYEMAC0COL : in std_logic;
           PHYEMAC0RXD_0 : in std_logic;
           PHYEMAC0RXD_1 : in std_logic;
           PHYEMAC0RXD_2 : in std_logic;
           PHYEMAC0RXD_3 : in std_logic;
           PHYEMAC0RXD_4 : in std_logic;
           PHYEMAC0RXD_5 : in std_logic;
           PHYEMAC0RXD_6 : in std_logic;
           PHYEMAC0RXD_7 : in std_logic;
           PHYEMAC0RXDV : in std_logic;
           PHYEMAC0RXER : in std_logic;
           PHYEMAC0RXCOMMADET : in std_logic;
           PHYEMAC0RXCHECKINGCRC : in std_logic;
           PHYEMAC0RXNOTINTABLE : in std_logic;
           PHYEMAC0RXDISPERR : in std_logic;
           PHYEMAC0RXCHARISK : in std_logic;
           PHYEMAC0RXCHARISCOMMA : in std_logic;
           PHYEMAC0RXRUNDISP : in std_logic;
           PHYEMAC0RXBUFSTATUS_0 : in std_logic;
           PHYEMAC0RXBUFSTATUS_1 : in std_logic;
           PHYEMAC0RXBUFERR : in std_logic;
           PHYEMAC0RXLOSSOFSYNC_0 : in std_logic;
           PHYEMAC0RXLOSSOFSYNC_1 : in std_logic;
           PHYEMAC0TXBUFERR : in std_logic;
           EMAC0PHYTXCHARISK : out std_logic;
           EMAC0PHYTXCHARDISPMODE : out std_logic;
           EMAC0PHYTXCHARDISPVAL : out std_logic;
           EMAC0PHYLOOPBACKMSB : out std_logic;
           EMAC0PHYMCLKOUT : out std_logic;
           PHYEMAC0MCLKIN : in std_logic;
           EMAC0PHYMDTRI : out std_logic;
           EMAC0PHYMDOUT : out std_logic;
           PHYEMAC0MDIN : in std_logic;
           PHYEMAC0PHYAD_0 : in std_logic;
           PHYEMAC0PHYAD_1 : in std_logic;
           PHYEMAC0PHYAD_2 : in std_logic;
           PHYEMAC0PHYAD_3 : in std_logic;
           PHYEMAC0PHYAD_4 : in std_logic;
           CLIENTEMAC0TXD_0 : in std_logic;
           CLIENTEMAC0TXD_1 : in std_logic;
           CLIENTEMAC0TXD_2 : in std_logic;
           CLIENTEMAC0TXD_3 : in std_logic;
           CLIENTEMAC0TXD_4 : in std_logic;
           CLIENTEMAC0TXD_5 : in std_logic;
           CLIENTEMAC0TXD_6 : in std_logic;
           CLIENTEMAC0TXD_7 : in std_logic;
           CLIENTEMAC0TXD_8 : in std_logic;
           CLIENTEMAC0TXD_9 : in std_logic;
           CLIENTEMAC0TXD_10 : in std_logic;
           CLIENTEMAC0TXD_11 : in std_logic;
           CLIENTEMAC0TXD_12 : in std_logic;
           CLIENTEMAC0TXD_13 : in std_logic;
           CLIENTEMAC0TXD_14 : in std_logic;
           CLIENTEMAC0TXD_15 : in std_logic;
           CLIENTEMAC0TXDVLD : in std_logic;
           CLIENTEMAC0TXDVLDMSW : in std_logic;
           EMAC0CLIENTTXACK : out std_logic;
           CLIENTEMAC0TXUNDERRUN : in std_logic;
           EMAC0CLIENTTXCOLLISION : out std_logic;
           EMAC0CLIENTTXRETRANSMIT : out std_logic;
           CLIENTEMAC0TXIFGDELAY_0 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_1 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_2 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_3 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_4 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_5 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_6 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_7 : in std_logic;
           CLIENTEMAC0PAUSEREQ : in std_logic;
           CLIENTEMAC0PAUSEVAL_0 : in std_logic;
           CLIENTEMAC0PAUSEVAL_1 : in std_logic;
           CLIENTEMAC0PAUSEVAL_2 : in std_logic;
           CLIENTEMAC0PAUSEVAL_3 : in std_logic;
           CLIENTEMAC0PAUSEVAL_4 : in std_logic;
           CLIENTEMAC0PAUSEVAL_5 : in std_logic;
           CLIENTEMAC0PAUSEVAL_6 : in std_logic;
           CLIENTEMAC0PAUSEVAL_7 : in std_logic;
           CLIENTEMAC0PAUSEVAL_8 : in std_logic;
           CLIENTEMAC0PAUSEVAL_9 : in std_logic;
           CLIENTEMAC0PAUSEVAL_10 : in std_logic;
           CLIENTEMAC0PAUSEVAL_11 : in std_logic;
           CLIENTEMAC0PAUSEVAL_12 : in std_logic;
           CLIENTEMAC0PAUSEVAL_13 : in std_logic;
           CLIENTEMAC0PAUSEVAL_14 : in std_logic;
           CLIENTEMAC0PAUSEVAL_15 : in std_logic;
           CLIENTEMAC0TXFIRSTBYTE : in std_logic;
           EMAC0CLIENTRXD_0 : out std_logic;
           EMAC0CLIENTRXD_1 : out std_logic;
           EMAC0CLIENTRXD_2 : out std_logic;
           EMAC0CLIENTRXD_3 : out std_logic;
           EMAC0CLIENTRXD_4 : out std_logic;
           EMAC0CLIENTRXD_5 : out std_logic;
           EMAC0CLIENTRXD_6 : out std_logic;
           EMAC0CLIENTRXD_7 : out std_logic;
           EMAC0CLIENTRXD_8 : out std_logic;
           EMAC0CLIENTRXD_9 : out std_logic;
           EMAC0CLIENTRXD_10 : out std_logic;
           EMAC0CLIENTRXD_11 : out std_logic;
           EMAC0CLIENTRXD_12 : out std_logic;
           EMAC0CLIENTRXD_13 : out std_logic;
           EMAC0CLIENTRXD_14 : out std_logic;
           EMAC0CLIENTRXD_15 : out std_logic;
           EMAC0CLIENTRXDVLD : out std_logic;
           EMAC0CLIENTRXDVLDMSW : out std_logic;
           EMAC0CLIENTRXGOODFRAME : out std_logic;
           EMAC0CLIENTRXBADFRAME : out std_logic;
           EMAC0CLIENTRXFRAMEDROP : out std_logic;
           EMAC0CLIENTRXDVREG6 : out std_logic;
           EMAC0CLIENTTXSTATS : out std_logic;
           EMAC0CLIENTTXSTATSVLD : out std_logic;
           EMAC0CLIENTTXSTATSBYTEVLD : out std_logic;
           EMAC0CLIENTRXSTATS_0 : out std_logic;
           EMAC0CLIENTRXSTATS_1 : out std_logic;
           EMAC0CLIENTRXSTATS_2 : out std_logic;
           EMAC0CLIENTRXSTATS_3 : out std_logic;
           EMAC0CLIENTRXSTATS_4 : out std_logic;
           EMAC0CLIENTRXSTATS_5 : out std_logic;
           EMAC0CLIENTRXSTATS_6 : out std_logic;
           EMAC0CLIENTRXSTATSVLD : out std_logic;
           EMAC0CLIENTRXSTATSBYTEVLD : out std_logic;
           TIEEMAC0CONFIGVEC_0 : in std_logic;
           TIEEMAC0CONFIGVEC_1 : in std_logic;
           TIEEMAC0CONFIGVEC_2 : in std_logic;
           TIEEMAC0CONFIGVEC_3 : in std_logic;
           TIEEMAC0CONFIGVEC_4 : in std_logic;
           TIEEMAC0CONFIGVEC_5 : in std_logic;
           TIEEMAC0CONFIGVEC_6 : in std_logic;
           TIEEMAC0CONFIGVEC_7 : in std_logic;
           TIEEMAC0CONFIGVEC_8 : in std_logic;
           TIEEMAC0CONFIGVEC_9 : in std_logic;
           TIEEMAC0CONFIGVEC_10 : in std_logic;
           TIEEMAC0CONFIGVEC_11 : in std_logic;
           TIEEMAC0CONFIGVEC_12 : in std_logic;
           TIEEMAC0CONFIGVEC_13 : in std_logic;
           TIEEMAC0CONFIGVEC_14 : in std_logic;
           TIEEMAC0CONFIGVEC_15 : in std_logic;
           TIEEMAC0CONFIGVEC_16 : in std_logic;
           TIEEMAC0CONFIGVEC_17 : in std_logic;
           TIEEMAC0CONFIGVEC_18 : in std_logic;
           TIEEMAC0CONFIGVEC_19 : in std_logic;
           TIEEMAC0CONFIGVEC_20 : in std_logic;
           TIEEMAC0CONFIGVEC_21 : in std_logic;
           TIEEMAC0CONFIGVEC_22 : in std_logic;
           TIEEMAC0CONFIGVEC_23 : in std_logic;
           TIEEMAC0CONFIGVEC_24 : in std_logic;
           TIEEMAC0CONFIGVEC_25 : in std_logic;
           TIEEMAC0CONFIGVEC_26 : in std_logic;
           TIEEMAC0CONFIGVEC_27 : in std_logic;
           TIEEMAC0CONFIGVEC_28 : in std_logic;
           TIEEMAC0CONFIGVEC_29 : in std_logic;
           TIEEMAC0CONFIGVEC_30 : in std_logic;
           TIEEMAC0CONFIGVEC_31 : in std_logic;
           TIEEMAC0CONFIGVEC_32 : in std_logic;
           TIEEMAC0CONFIGVEC_33 : in std_logic;
           TIEEMAC0CONFIGVEC_34 : in std_logic;
           TIEEMAC0CONFIGVEC_35 : in std_logic;
           TIEEMAC0CONFIGVEC_36 : in std_logic;
           TIEEMAC0CONFIGVEC_37 : in std_logic;
           TIEEMAC0CONFIGVEC_38 : in std_logic;
           TIEEMAC0CONFIGVEC_39 : in std_logic;
           TIEEMAC0CONFIGVEC_40 : in std_logic;
           TIEEMAC0CONFIGVEC_41 : in std_logic;
           TIEEMAC0CONFIGVEC_42 : in std_logic;
           TIEEMAC0CONFIGVEC_43 : in std_logic;
           TIEEMAC0CONFIGVEC_44 : in std_logic;
           TIEEMAC0CONFIGVEC_45 : in std_logic;
           TIEEMAC0CONFIGVEC_46 : in std_logic;
           TIEEMAC0CONFIGVEC_47 : in std_logic;
           TIEEMAC0CONFIGVEC_48 : in std_logic;
           TIEEMAC0CONFIGVEC_49 : in std_logic;
           TIEEMAC0CONFIGVEC_50 : in std_logic;
           TIEEMAC0CONFIGVEC_51 : in std_logic;
           TIEEMAC0CONFIGVEC_52 : in std_logic;
           TIEEMAC0CONFIGVEC_53 : in std_logic;
           TIEEMAC0CONFIGVEC_54 : in std_logic;
           TIEEMAC0CONFIGVEC_55 : in std_logic;
           TIEEMAC0CONFIGVEC_56 : in std_logic;
           TIEEMAC0CONFIGVEC_57 : in std_logic;
           TIEEMAC0CONFIGVEC_58 : in std_logic;
           TIEEMAC0CONFIGVEC_59 : in std_logic;
           TIEEMAC0CONFIGVEC_60 : in std_logic;
           TIEEMAC0CONFIGVEC_61 : in std_logic;
           TIEEMAC0CONFIGVEC_62 : in std_logic;
           TIEEMAC0CONFIGVEC_63 : in std_logic;
           TIEEMAC0CONFIGVEC_64 : in std_logic;
           TIEEMAC0CONFIGVEC_65 : in std_logic;
           TIEEMAC0CONFIGVEC_66 : in std_logic;
           TIEEMAC0CONFIGVEC_67 : in std_logic;
           TIEEMAC0CONFIGVEC_68 : in std_logic;
           TIEEMAC0CONFIGVEC_69 : in std_logic;
           TIEEMAC0CONFIGVEC_70 : in std_logic;
           TIEEMAC0CONFIGVEC_71 : in std_logic;
           TIEEMAC0CONFIGVEC_72 : in std_logic;
           TIEEMAC0CONFIGVEC_73 : in std_logic;
           TIEEMAC0CONFIGVEC_74 : in std_logic;
           TIEEMAC0CONFIGVEC_75 : in std_logic;
           TIEEMAC0CONFIGVEC_76 : in std_logic;
           TIEEMAC0CONFIGVEC_77 : in std_logic;
           TIEEMAC0CONFIGVEC_78 : in std_logic;
           TIEEMAC0CONFIGVEC_79 : in std_logic;
           TIEEMAC0UNICASTADDR_0 : in std_logic;
           TIEEMAC0UNICASTADDR_1 : in std_logic;
           TIEEMAC0UNICASTADDR_2 : in std_logic;
           TIEEMAC0UNICASTADDR_3 : in std_logic;
           TIEEMAC0UNICASTADDR_4 : in std_logic;
           TIEEMAC0UNICASTADDR_5 : in std_logic;
           TIEEMAC0UNICASTADDR_6 : in std_logic;
           TIEEMAC0UNICASTADDR_7 : in std_logic;
           TIEEMAC0UNICASTADDR_8 : in std_logic;
           TIEEMAC0UNICASTADDR_9 : in std_logic;
           TIEEMAC0UNICASTADDR_10 : in std_logic;
           TIEEMAC0UNICASTADDR_11 : in std_logic;
           TIEEMAC0UNICASTADDR_12 : in std_logic;
           TIEEMAC0UNICASTADDR_13 : in std_logic;
           TIEEMAC0UNICASTADDR_14 : in std_logic;
           TIEEMAC0UNICASTADDR_15 : in std_logic;
           TIEEMAC0UNICASTADDR_16 : in std_logic;
           TIEEMAC0UNICASTADDR_17 : in std_logic;
           TIEEMAC0UNICASTADDR_18 : in std_logic;
           TIEEMAC0UNICASTADDR_19 : in std_logic;
           TIEEMAC0UNICASTADDR_20 : in std_logic;
           TIEEMAC0UNICASTADDR_21 : in std_logic;
           TIEEMAC0UNICASTADDR_22 : in std_logic;
           TIEEMAC0UNICASTADDR_23 : in std_logic;
           TIEEMAC0UNICASTADDR_24 : in std_logic;
           TIEEMAC0UNICASTADDR_25 : in std_logic;
           TIEEMAC0UNICASTADDR_26 : in std_logic;
           TIEEMAC0UNICASTADDR_27 : in std_logic;
           TIEEMAC0UNICASTADDR_28 : in std_logic;
           TIEEMAC0UNICASTADDR_29 : in std_logic;
           TIEEMAC0UNICASTADDR_30 : in std_logic;
           TIEEMAC0UNICASTADDR_31 : in std_logic;
           TIEEMAC0UNICASTADDR_32 : in std_logic;
           TIEEMAC0UNICASTADDR_33 : in std_logic;
           TIEEMAC0UNICASTADDR_34 : in std_logic;
           TIEEMAC0UNICASTADDR_35 : in std_logic;
           TIEEMAC0UNICASTADDR_36 : in std_logic;
           TIEEMAC0UNICASTADDR_37 : in std_logic;
           TIEEMAC0UNICASTADDR_38 : in std_logic;
           TIEEMAC0UNICASTADDR_39 : in std_logic;
           TIEEMAC0UNICASTADDR_40 : in std_logic;
           TIEEMAC0UNICASTADDR_41 : in std_logic;
           TIEEMAC0UNICASTADDR_42 : in std_logic;
           TIEEMAC0UNICASTADDR_43 : in std_logic;
           TIEEMAC0UNICASTADDR_44 : in std_logic;
           TIEEMAC0UNICASTADDR_45 : in std_logic;
           TIEEMAC0UNICASTADDR_46 : in std_logic;
           TIEEMAC0UNICASTADDR_47 : in std_logic;
           CLIENTEMAC0TXCLIENTCLKIN : in std_logic;
           CLIENTEMAC0TXGMIIMIICLKIN : in std_logic;
           CLIENTEMAC0RXCLIENTCLKIN : in std_logic;
           PHYEMAC0MIITXCLK : in std_logic;
           CLIENTEMAC0DCMLOCKED : in std_logic;
           PHYEMAC0SIGNALDET : in std_logic;
           EMAC0CLIENTTXCLIENTCLKOUT : out std_logic;
           EMAC0CLIENTTXGMIIMIICLKOUT : out std_logic;
           EMAC0CLIENTRXCLIENTCLKOUT : out std_logic;
           EMAC0CLIENTANINTERRUPT : out std_logic;
           EMAC0PHYSYNCACQSTATUS : out std_logic;
           EMAC0PHYENCOMMAALIGN : out std_logic;
           EMAC0PHYPOWERDOWN : out std_logic;
           EMAC0PHYMGTRXRESET : out std_logic;
           EMAC0PHYMGTTXRESET : out std_logic;
           PHYEMAC0RXCLKCORCNT_0 : in std_logic;
           PHYEMAC0RXCLKCORCNT_1 : in std_logic;
           PHYEMAC0RXCLKCORCNT_2 : in std_logic;
           PHYEMAC1GTXCLK : in std_logic;
           EMAC1PHYTXCLK : out std_logic;
           EMAC1PHYTXD_0 : out std_logic;
           EMAC1PHYTXD_1 : out std_logic;
           EMAC1PHYTXD_2 : out std_logic;
           EMAC1PHYTXD_3 : out std_logic;
           EMAC1PHYTXD_4 : out std_logic;
           EMAC1PHYTXD_5 : out std_logic;
           EMAC1PHYTXD_6 : out std_logic;
           EMAC1PHYTXD_7 : out std_logic;
           EMAC1PHYTXEN : out std_logic;
           EMAC1PHYTXER : out std_logic;
           PHYEMAC1RXCLK : in std_logic;
           PHYEMAC1CRS : in std_logic;
           PHYEMAC1COL : in std_logic;
           PHYEMAC1RXD_0 : in std_logic;
           PHYEMAC1RXD_1 : in std_logic;
           PHYEMAC1RXD_2 : in std_logic;
           PHYEMAC1RXD_3 : in std_logic;
           PHYEMAC1RXD_4 : in std_logic;
           PHYEMAC1RXD_5 : in std_logic;
           PHYEMAC1RXD_6 : in std_logic;
           PHYEMAC1RXD_7 : in std_logic;
           PHYEMAC1RXDV : in std_logic;
           PHYEMAC1RXER : in std_logic;
           PHYEMAC1RXCOMMADET : in std_logic;
           PHYEMAC1RXCHECKINGCRC : in std_logic;
           PHYEMAC1RXNOTINTABLE : in std_logic;
           PHYEMAC1RXDISPERR : in std_logic;
           PHYEMAC1RXCHARISK : in std_logic;
           PHYEMAC1RXCHARISCOMMA : in std_logic;
           PHYEMAC1RXRUNDISP : in std_logic;
           PHYEMAC1RXBUFSTATUS_0 : in std_logic;
           PHYEMAC1RXBUFSTATUS_1 : in std_logic;
           PHYEMAC1RXBUFERR : in std_logic;
           PHYEMAC1RXLOSSOFSYNC_0 : in std_logic;
           PHYEMAC1RXLOSSOFSYNC_1 : in std_logic;
           PHYEMAC1TXBUFERR : in std_logic;
           EMAC1PHYTXCHARISK : out std_logic;
           EMAC1PHYTXCHARDISPMODE : out std_logic;
           EMAC1PHYTXCHARDISPVAL : out std_logic;
           EMAC1PHYLOOPBACKMSB : out std_logic;
           EMAC1PHYMCLKOUT : out std_logic;
           PHYEMAC1MCLKIN : in std_logic;
           EMAC1PHYMDTRI : out std_logic;
           EMAC1PHYMDOUT : out std_logic;
           PHYEMAC1MDIN : in std_logic;
           PHYEMAC1PHYAD_0 : in std_logic;
           PHYEMAC1PHYAD_1 : in std_logic;
           PHYEMAC1PHYAD_2 : in std_logic;
           PHYEMAC1PHYAD_3 : in std_logic;
           PHYEMAC1PHYAD_4 : in std_logic;
           CLIENTEMAC1TXD_0 : in std_logic;
           CLIENTEMAC1TXD_1 : in std_logic;
           CLIENTEMAC1TXD_2 : in std_logic;
           CLIENTEMAC1TXD_3 : in std_logic;
           CLIENTEMAC1TXD_4 : in std_logic;
           CLIENTEMAC1TXD_5 : in std_logic;
           CLIENTEMAC1TXD_6 : in std_logic;
           CLIENTEMAC1TXD_7 : in std_logic;
           CLIENTEMAC1TXD_8 : in std_logic;
           CLIENTEMAC1TXD_9 : in std_logic;
           CLIENTEMAC1TXD_10 : in std_logic;
           CLIENTEMAC1TXD_11 : in std_logic;
           CLIENTEMAC1TXD_12 : in std_logic;
           CLIENTEMAC1TXD_13 : in std_logic;
           CLIENTEMAC1TXD_14 : in std_logic;
           CLIENTEMAC1TXD_15 : in std_logic;
           CLIENTEMAC1TXDVLD : in std_logic;
           CLIENTEMAC1TXDVLDMSW : in std_logic;
           EMAC1CLIENTTXACK : out std_logic;
           CLIENTEMAC1TXUNDERRUN : in std_logic;
           EMAC1CLIENTTXCOLLISION : out std_logic;
           EMAC1CLIENTTXRETRANSMIT : out std_logic;
           CLIENTEMAC1TXIFGDELAY_0 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_1 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_2 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_3 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_4 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_5 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_6 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_7 : in std_logic;
           CLIENTEMAC1PAUSEREQ : in std_logic;
           CLIENTEMAC1PAUSEVAL_0 : in std_logic;
           CLIENTEMAC1PAUSEVAL_1 : in std_logic;
           CLIENTEMAC1PAUSEVAL_2 : in std_logic;
           CLIENTEMAC1PAUSEVAL_3 : in std_logic;
           CLIENTEMAC1PAUSEVAL_4 : in std_logic;
           CLIENTEMAC1PAUSEVAL_5 : in std_logic;
           CLIENTEMAC1PAUSEVAL_6 : in std_logic;
           CLIENTEMAC1PAUSEVAL_7 : in std_logic;
           CLIENTEMAC1PAUSEVAL_8 : in std_logic;
           CLIENTEMAC1PAUSEVAL_9 : in std_logic;
           CLIENTEMAC1PAUSEVAL_10 : in std_logic;
           CLIENTEMAC1PAUSEVAL_11 : in std_logic;
           CLIENTEMAC1PAUSEVAL_12 : in std_logic;
           CLIENTEMAC1PAUSEVAL_13 : in std_logic;
           CLIENTEMAC1PAUSEVAL_14 : in std_logic;
           CLIENTEMAC1PAUSEVAL_15 : in std_logic;
           CLIENTEMAC1TXFIRSTBYTE : in std_logic;
           EMAC1CLIENTRXD_0 : out std_logic;
           EMAC1CLIENTRXD_1 : out std_logic;
           EMAC1CLIENTRXD_2 : out std_logic;
           EMAC1CLIENTRXD_3 : out std_logic;
           EMAC1CLIENTRXD_4 : out std_logic;
           EMAC1CLIENTRXD_5 : out std_logic;
           EMAC1CLIENTRXD_6 : out std_logic;
           EMAC1CLIENTRXD_7 : out std_logic;
           EMAC1CLIENTRXD_8 : out std_logic;
           EMAC1CLIENTRXD_9 : out std_logic;
           EMAC1CLIENTRXD_10 : out std_logic;
           EMAC1CLIENTRXD_11 : out std_logic;
           EMAC1CLIENTRXD_12 : out std_logic;
           EMAC1CLIENTRXD_13 : out std_logic;
           EMAC1CLIENTRXD_14 : out std_logic;
           EMAC1CLIENTRXD_15 : out std_logic;
           EMAC1CLIENTRXDVLD : out std_logic;
           EMAC1CLIENTRXDVLDMSW : out std_logic;
           EMAC1CLIENTRXGOODFRAME : out std_logic;
           EMAC1CLIENTRXBADFRAME : out std_logic;
           EMAC1CLIENTRXFRAMEDROP : out std_logic;
           EMAC1CLIENTRXDVREG6 : out std_logic;
           EMAC1CLIENTTXSTATS : out std_logic;
           EMAC1CLIENTTXSTATSVLD : out std_logic;
           EMAC1CLIENTTXSTATSBYTEVLD : out std_logic;
           EMAC1CLIENTRXSTATS_0 : out std_logic;
           EMAC1CLIENTRXSTATS_1 : out std_logic;
           EMAC1CLIENTRXSTATS_2 : out std_logic;
           EMAC1CLIENTRXSTATS_3 : out std_logic;
           EMAC1CLIENTRXSTATS_4 : out std_logic;
           EMAC1CLIENTRXSTATS_5 : out std_logic;
           EMAC1CLIENTRXSTATS_6 : out std_logic;
           EMAC1CLIENTRXSTATSVLD : out std_logic;
           EMAC1CLIENTRXSTATSBYTEVLD : out std_logic;
           TIEEMAC1CONFIGVEC_0 : in std_logic;
           TIEEMAC1CONFIGVEC_1 : in std_logic;
           TIEEMAC1CONFIGVEC_2 : in std_logic;
           TIEEMAC1CONFIGVEC_3 : in std_logic;
           TIEEMAC1CONFIGVEC_4 : in std_logic;
           TIEEMAC1CONFIGVEC_5 : in std_logic;
           TIEEMAC1CONFIGVEC_6 : in std_logic;
           TIEEMAC1CONFIGVEC_7 : in std_logic;
           TIEEMAC1CONFIGVEC_8 : in std_logic;
           TIEEMAC1CONFIGVEC_9 : in std_logic;
           TIEEMAC1CONFIGVEC_10 : in std_logic;
           TIEEMAC1CONFIGVEC_11 : in std_logic;
           TIEEMAC1CONFIGVEC_12 : in std_logic;
           TIEEMAC1CONFIGVEC_13 : in std_logic;
           TIEEMAC1CONFIGVEC_14 : in std_logic;
           TIEEMAC1CONFIGVEC_15 : in std_logic;
           TIEEMAC1CONFIGVEC_16 : in std_logic;
           TIEEMAC1CONFIGVEC_17 : in std_logic;
           TIEEMAC1CONFIGVEC_18 : in std_logic;
           TIEEMAC1CONFIGVEC_19 : in std_logic;
           TIEEMAC1CONFIGVEC_20 : in std_logic;
           TIEEMAC1CONFIGVEC_21 : in std_logic;
           TIEEMAC1CONFIGVEC_22 : in std_logic;
           TIEEMAC1CONFIGVEC_23 : in std_logic;
           TIEEMAC1CONFIGVEC_24 : in std_logic;
           TIEEMAC1CONFIGVEC_25 : in std_logic;
           TIEEMAC1CONFIGVEC_26 : in std_logic;
           TIEEMAC1CONFIGVEC_27 : in std_logic;
           TIEEMAC1CONFIGVEC_28 : in std_logic;
           TIEEMAC1CONFIGVEC_29 : in std_logic;
           TIEEMAC1CONFIGVEC_30 : in std_logic;
           TIEEMAC1CONFIGVEC_31 : in std_logic;
           TIEEMAC1CONFIGVEC_32 : in std_logic;
           TIEEMAC1CONFIGVEC_33 : in std_logic;
           TIEEMAC1CONFIGVEC_34 : in std_logic;
           TIEEMAC1CONFIGVEC_35 : in std_logic;
           TIEEMAC1CONFIGVEC_36 : in std_logic;
           TIEEMAC1CONFIGVEC_37 : in std_logic;
           TIEEMAC1CONFIGVEC_38 : in std_logic;
           TIEEMAC1CONFIGVEC_39 : in std_logic;
           TIEEMAC1CONFIGVEC_40 : in std_logic;
           TIEEMAC1CONFIGVEC_41 : in std_logic;
           TIEEMAC1CONFIGVEC_42 : in std_logic;
           TIEEMAC1CONFIGVEC_43 : in std_logic;
           TIEEMAC1CONFIGVEC_44 : in std_logic;
           TIEEMAC1CONFIGVEC_45 : in std_logic;
           TIEEMAC1CONFIGVEC_46 : in std_logic;
           TIEEMAC1CONFIGVEC_47 : in std_logic;
           TIEEMAC1CONFIGVEC_48 : in std_logic;
           TIEEMAC1CONFIGVEC_49 : in std_logic;
           TIEEMAC1CONFIGVEC_50 : in std_logic;
           TIEEMAC1CONFIGVEC_51 : in std_logic;
           TIEEMAC1CONFIGVEC_52 : in std_logic;
           TIEEMAC1CONFIGVEC_53 : in std_logic;
           TIEEMAC1CONFIGVEC_54 : in std_logic;
           TIEEMAC1CONFIGVEC_55 : in std_logic;
           TIEEMAC1CONFIGVEC_56 : in std_logic;
           TIEEMAC1CONFIGVEC_57 : in std_logic;
           TIEEMAC1CONFIGVEC_58 : in std_logic;
           TIEEMAC1CONFIGVEC_59 : in std_logic;
           TIEEMAC1CONFIGVEC_60 : in std_logic;
           TIEEMAC1CONFIGVEC_61 : in std_logic;
           TIEEMAC1CONFIGVEC_62 : in std_logic;
           TIEEMAC1CONFIGVEC_63 : in std_logic;
           TIEEMAC1CONFIGVEC_64 : in std_logic;
           TIEEMAC1CONFIGVEC_65 : in std_logic;
           TIEEMAC1CONFIGVEC_66 : in std_logic;
           TIEEMAC1CONFIGVEC_67 : in std_logic;
           TIEEMAC1CONFIGVEC_68 : in std_logic;
           TIEEMAC1CONFIGVEC_69 : in std_logic;
           TIEEMAC1CONFIGVEC_70 : in std_logic;
           TIEEMAC1CONFIGVEC_71 : in std_logic;
           TIEEMAC1CONFIGVEC_72 : in std_logic;
           TIEEMAC1CONFIGVEC_73 : in std_logic;
           TIEEMAC1CONFIGVEC_74 : in std_logic;
           TIEEMAC1CONFIGVEC_75 : in std_logic;
           TIEEMAC1CONFIGVEC_76 : in std_logic;
           TIEEMAC1CONFIGVEC_77 : in std_logic;
           TIEEMAC1CONFIGVEC_78 : in std_logic;
           TIEEMAC1CONFIGVEC_79 : in std_logic;
           TIEEMAC1UNICASTADDR_0 : in std_logic;
           TIEEMAC1UNICASTADDR_1 : in std_logic;
           TIEEMAC1UNICASTADDR_2 : in std_logic;
           TIEEMAC1UNICASTADDR_3 : in std_logic;
           TIEEMAC1UNICASTADDR_4 : in std_logic;
           TIEEMAC1UNICASTADDR_5 : in std_logic;
           TIEEMAC1UNICASTADDR_6 : in std_logic;
           TIEEMAC1UNICASTADDR_7 : in std_logic;
           TIEEMAC1UNICASTADDR_8 : in std_logic;
           TIEEMAC1UNICASTADDR_9 : in std_logic;
           TIEEMAC1UNICASTADDR_10 : in std_logic;
           TIEEMAC1UNICASTADDR_11 : in std_logic;
           TIEEMAC1UNICASTADDR_12 : in std_logic;
           TIEEMAC1UNICASTADDR_13 : in std_logic;
           TIEEMAC1UNICASTADDR_14 : in std_logic;
           TIEEMAC1UNICASTADDR_15 : in std_logic;
           TIEEMAC1UNICASTADDR_16 : in std_logic;
           TIEEMAC1UNICASTADDR_17 : in std_logic;
           TIEEMAC1UNICASTADDR_18 : in std_logic;
           TIEEMAC1UNICASTADDR_19 : in std_logic;
           TIEEMAC1UNICASTADDR_20 : in std_logic;
           TIEEMAC1UNICASTADDR_21 : in std_logic;
           TIEEMAC1UNICASTADDR_22 : in std_logic;
           TIEEMAC1UNICASTADDR_23 : in std_logic;
           TIEEMAC1UNICASTADDR_24 : in std_logic;
           TIEEMAC1UNICASTADDR_25 : in std_logic;
           TIEEMAC1UNICASTADDR_26 : in std_logic;
           TIEEMAC1UNICASTADDR_27 : in std_logic;
           TIEEMAC1UNICASTADDR_28 : in std_logic;
           TIEEMAC1UNICASTADDR_29 : in std_logic;
           TIEEMAC1UNICASTADDR_30 : in std_logic;
           TIEEMAC1UNICASTADDR_31 : in std_logic;
           TIEEMAC1UNICASTADDR_32 : in std_logic;
           TIEEMAC1UNICASTADDR_33 : in std_logic;
           TIEEMAC1UNICASTADDR_34 : in std_logic;
           TIEEMAC1UNICASTADDR_35 : in std_logic;
           TIEEMAC1UNICASTADDR_36 : in std_logic;
           TIEEMAC1UNICASTADDR_37 : in std_logic;
           TIEEMAC1UNICASTADDR_38 : in std_logic;
           TIEEMAC1UNICASTADDR_39 : in std_logic;
           TIEEMAC1UNICASTADDR_40 : in std_logic;
           TIEEMAC1UNICASTADDR_41 : in std_logic;
           TIEEMAC1UNICASTADDR_42 : in std_logic;
           TIEEMAC1UNICASTADDR_43 : in std_logic;
           TIEEMAC1UNICASTADDR_44 : in std_logic;
           TIEEMAC1UNICASTADDR_45 : in std_logic;
           TIEEMAC1UNICASTADDR_46 : in std_logic;
           TIEEMAC1UNICASTADDR_47 : in std_logic;
           CLIENTEMAC1TXCLIENTCLKIN : in std_logic;
           CLIENTEMAC1TXGMIIMIICLKIN : in std_logic;
           CLIENTEMAC1RXCLIENTCLKIN : in std_logic;
           PHYEMAC1MIITXCLK : in std_logic;
           CLIENTEMAC1DCMLOCKED : in std_logic;
           PHYEMAC1SIGNALDET : in std_logic;
           EMAC1CLIENTTXCLIENTCLKOUT : out std_logic;
           EMAC1CLIENTTXGMIIMIICLKOUT : out std_logic;
           EMAC1CLIENTRXCLIENTCLKOUT : out std_logic;
           EMAC1CLIENTANINTERRUPT : out std_logic;
           EMAC1PHYSYNCACQSTATUS : out std_logic;
           EMAC1PHYENCOMMAALIGN : out std_logic;
           EMAC1PHYPOWERDOWN : out std_logic;
           EMAC1PHYMGTRXRESET : out std_logic;
           EMAC1PHYMGTTXRESET : out std_logic;
           PHYEMAC1RXCLKCORCNT_0 : in std_logic;
           PHYEMAC1RXCLKCORCNT_1 : in std_logic;
           PHYEMAC1RXCLKCORCNT_2 : in std_logic;
           DCREMACCLK : in std_logic;
           DCREMACABUS_9 : in std_logic;
           DCREMACABUS_8 : in std_logic;
           DCREMACWRITE : in std_logic;
           DCREMACREAD : in std_logic;
           DCREMACDBUS_31 : in std_logic;
           DCREMACDBUS_30 : in std_logic;
           DCREMACDBUS_29 : in std_logic;
           DCREMACDBUS_28 : in std_logic;
           DCREMACDBUS_27 : in std_logic;
           DCREMACDBUS_26 : in std_logic;
           DCREMACDBUS_25 : in std_logic;
           DCREMACDBUS_24 : in std_logic;
           DCREMACDBUS_23 : in std_logic;
           DCREMACDBUS_22 : in std_logic;
           DCREMACDBUS_21 : in std_logic;
           DCREMACDBUS_20 : in std_logic;
           DCREMACDBUS_19 : in std_logic;
           DCREMACDBUS_18 : in std_logic;
           DCREMACDBUS_17 : in std_logic;
           DCREMACDBUS_16 : in std_logic;
           DCREMACDBUS_15 : in std_logic;
           DCREMACDBUS_14 : in std_logic;
           DCREMACDBUS_13 : in std_logic;
           DCREMACDBUS_12 : in std_logic;
           DCREMACDBUS_11 : in std_logic;
           DCREMACDBUS_10 : in std_logic;
           DCREMACDBUS_9 : in std_logic;
           DCREMACDBUS_8 : in std_logic;
           DCREMACDBUS_7 : in std_logic;
           DCREMACDBUS_6 : in std_logic;
           DCREMACDBUS_5 : in std_logic;
           DCREMACDBUS_4 : in std_logic;
           DCREMACDBUS_3 : in std_logic;
           DCREMACDBUS_2 : in std_logic;
           DCREMACDBUS_1 : in std_logic;
           DCREMACDBUS_0 : in std_logic;
           EMACDCRACK : out std_logic;
           EMACDCRDBUS_31 : out std_logic;
           EMACDCRDBUS_30 : out std_logic;
           EMACDCRDBUS_29 : out std_logic;
           EMACDCRDBUS_28 : out std_logic;
           EMACDCRDBUS_27 : out std_logic;
           EMACDCRDBUS_26 : out std_logic;
           EMACDCRDBUS_25 : out std_logic;
           EMACDCRDBUS_24 : out std_logic;
           EMACDCRDBUS_23 : out std_logic;
           EMACDCRDBUS_22 : out std_logic;
           EMACDCRDBUS_21 : out std_logic;
           EMACDCRDBUS_20 : out std_logic;
           EMACDCRDBUS_19 : out std_logic;
           EMACDCRDBUS_18 : out std_logic;
           EMACDCRDBUS_17 : out std_logic;
           EMACDCRDBUS_16 : out std_logic;
           EMACDCRDBUS_15 : out std_logic;
           EMACDCRDBUS_14 : out std_logic;
           EMACDCRDBUS_13 : out std_logic;
           EMACDCRDBUS_12 : out std_logic;
           EMACDCRDBUS_11 : out std_logic;
           EMACDCRDBUS_10 : out std_logic;
           EMACDCRDBUS_9 : out std_logic;
           EMACDCRDBUS_8 : out std_logic;
           EMACDCRDBUS_7 : out std_logic;
           EMACDCRDBUS_6 : out std_logic;
           EMACDCRDBUS_5 : out std_logic;
           EMACDCRDBUS_4 : out std_logic;
           EMACDCRDBUS_3 : out std_logic;
           EMACDCRDBUS_2 : out std_logic;
           EMACDCRDBUS_1 : out std_logic;
           EMACDCRDBUS_0 : out std_logic;
           HOSTCLK : in std_logic;
           HOSTOPCODE_0 : in std_logic;
           HOSTOPCODE_1 : in std_logic;
           HOSTREQ : in std_logic;
           HOSTMIIMSEL : in std_logic;
           HOSTADDR_0 : in std_logic;
           HOSTADDR_1 : in std_logic;
           HOSTADDR_2 : in std_logic;
           HOSTADDR_3 : in std_logic;
           HOSTADDR_4 : in std_logic;
           HOSTADDR_5 : in std_logic;
           HOSTADDR_6 : in std_logic;
           HOSTADDR_7 : in std_logic;
           HOSTADDR_8 : in std_logic;
           HOSTADDR_9 : in std_logic;
           HOSTWRDATA_0 : in std_logic;
           HOSTWRDATA_1 : in std_logic;
           HOSTWRDATA_2 : in std_logic;
           HOSTWRDATA_3 : in std_logic;
           HOSTWRDATA_4 : in std_logic;
           HOSTWRDATA_5 : in std_logic;
           HOSTWRDATA_6 : in std_logic;
           HOSTWRDATA_7 : in std_logic;
           HOSTWRDATA_8 : in std_logic;
           HOSTWRDATA_9 : in std_logic;
           HOSTWRDATA_10 : in std_logic;
           HOSTWRDATA_11 : in std_logic;
           HOSTWRDATA_12 : in std_logic;
           HOSTWRDATA_13 : in std_logic;
           HOSTWRDATA_14 : in std_logic;
           HOSTWRDATA_15 : in std_logic;
           HOSTWRDATA_16 : in std_logic;
           HOSTWRDATA_17 : in std_logic;
           HOSTWRDATA_18 : in std_logic;
           HOSTWRDATA_19 : in std_logic;
           HOSTWRDATA_20 : in std_logic;
           HOSTWRDATA_21 : in std_logic;
           HOSTWRDATA_22 : in std_logic;
           HOSTWRDATA_23 : in std_logic;
           HOSTWRDATA_24 : in std_logic;
           HOSTWRDATA_25 : in std_logic;
           HOSTWRDATA_26 : in std_logic;
           HOSTWRDATA_27 : in std_logic;
           HOSTWRDATA_28 : in std_logic;
           HOSTWRDATA_29 : in std_logic;
           HOSTWRDATA_30 : in std_logic;
           HOSTWRDATA_31 : in std_logic;
           DCREMACENABLE : in std_logic;
           HOSTEMAC1SEL : in std_logic;
           HOSTMIIMRDY : out std_logic;
           HOSTRDDATA_0 : out std_logic;
           HOSTRDDATA_1 : out std_logic;
           HOSTRDDATA_2 : out std_logic;
           HOSTRDDATA_3 : out std_logic;
           HOSTRDDATA_4 : out std_logic;
           HOSTRDDATA_5 : out std_logic;
           HOSTRDDATA_6 : out std_logic;
           HOSTRDDATA_7 : out std_logic;
           HOSTRDDATA_8 : out std_logic;
           HOSTRDDATA_9 : out std_logic;
           HOSTRDDATA_10 : out std_logic;
           HOSTRDDATA_11 : out std_logic;
           HOSTRDDATA_12 : out std_logic;
           HOSTRDDATA_13 : out std_logic;
           HOSTRDDATA_14 : out std_logic;
           HOSTRDDATA_15 : out std_logic;
           HOSTRDDATA_16 : out std_logic;
           HOSTRDDATA_17 : out std_logic;
           HOSTRDDATA_18 : out std_logic;
           HOSTRDDATA_19 : out std_logic;
           HOSTRDDATA_20 : out std_logic;
           HOSTRDDATA_21 : out std_logic;
           HOSTRDDATA_22 : out std_logic;
           HOSTRDDATA_23 : out std_logic;
           HOSTRDDATA_24 : out std_logic;
           HOSTRDDATA_25 : out std_logic;
           HOSTRDDATA_26 : out std_logic;
           HOSTRDDATA_27 : out std_logic;
           HOSTRDDATA_28 : out std_logic;
           HOSTRDDATA_29 : out std_logic;
           HOSTRDDATA_30 : out std_logic;
           HOSTRDDATA_31 : out std_logic;
           DCRHOSTDONEIR : out std_logic );
end;

architecture SmartModel of emac_swift is
    attribute FOREIGN : STRING;
    attribute FOREIGN of SmartModel : architecture is "sm_init $ALDEC/BIN/swift.dll ; emac_swift";
begin
end SmartModel;

library ieee;
use ieee.std_logic_1164.all;
entity gt10_swift is
    generic ( TimingVersion : STRING := "gt10_swift";
              DelayRange : STRING := "MAX";
              MC_Reference : STRING := "0000" );
    port ( CHBONDDONE : out std_logic;
           CHBONDO_0 : out std_logic;
           CHBONDO_1 : out std_logic;
           CHBONDO_2 : out std_logic;
           CHBONDO_3 : out std_logic;
           CHBONDO_4 : out std_logic;
           PMARXLOCK : out std_logic;
           RXBUFSTATUS_0 : out std_logic;
           RXBUFSTATUS_1 : out std_logic;
           RXCHARISCOMMA_0 : out std_logic;
           RXCHARISCOMMA_1 : out std_logic;
           RXCHARISCOMMA_2 : out std_logic;
           RXCHARISCOMMA_3 : out std_logic;
           RXCHARISCOMMA_4 : out std_logic;
           RXCHARISCOMMA_5 : out std_logic;
           RXCHARISCOMMA_6 : out std_logic;
           RXCHARISCOMMA_7 : out std_logic;
           RXCHARISK_0 : out std_logic;
           RXCHARISK_1 : out std_logic;
           RXCHARISK_2 : out std_logic;
           RXCHARISK_3 : out std_logic;
           RXCHARISK_4 : out std_logic;
           RXCHARISK_5 : out std_logic;
           RXCHARISK_6 : out std_logic;
           RXCHARISK_7 : out std_logic;
           RXCLKCORCNT_0 : out std_logic;
           RXCLKCORCNT_1 : out std_logic;
           RXCLKCORCNT_2 : out std_logic;
           RXCOMMADET : out std_logic;
           RXDATA_0 : out std_logic;
           RXDATA_1 : out std_logic;
           RXDATA_2 : out std_logic;
           RXDATA_3 : out std_logic;
           RXDATA_4 : out std_logic;
           RXDATA_5 : out std_logic;
           RXDATA_6 : out std_logic;
           RXDATA_7 : out std_logic;
           RXDATA_8 : out std_logic;
           RXDATA_9 : out std_logic;
           RXDATA_10 : out std_logic;
           RXDATA_11 : out std_logic;
           RXDATA_12 : out std_logic;
           RXDATA_13 : out std_logic;
           RXDATA_14 : out std_logic;
           RXDATA_15 : out std_logic;
           RXDATA_16 : out std_logic;
           RXDATA_17 : out std_logic;
           RXDATA_18 : out std_logic;
           RXDATA_19 : out std_logic;
           RXDATA_20 : out std_logic;
           RXDATA_21 : out std_logic;
           RXDATA_22 : out std_logic;
           RXDATA_23 : out std_logic;
           RXDATA_24 : out std_logic;
           RXDATA_25 : out std_logic;
           RXDATA_26 : out std_logic;
           RXDATA_27 : out std_logic;
           RXDATA_28 : out std_logic;
           RXDATA_29 : out std_logic;
           RXDATA_30 : out std_logic;
           RXDATA_31 : out std_logic;
           RXDATA_32 : out std_logic;
           RXDATA_33 : out std_logic;
           RXDATA_34 : out std_logic;
           RXDATA_35 : out std_logic;
           RXDATA_36 : out std_logic;
           RXDATA_37 : out std_logic;
           RXDATA_38 : out std_logic;
           RXDATA_39 : out std_logic;
           RXDATA_40 : out std_logic;
           RXDATA_41 : out std_logic;
           RXDATA_42 : out std_logic;
           RXDATA_43 : out std_logic;
           RXDATA_44 : out std_logic;
           RXDATA_45 : out std_logic;
           RXDATA_46 : out std_logic;
           RXDATA_47 : out std_logic;
           RXDATA_48 : out std_logic;
           RXDATA_49 : out std_logic;
           RXDATA_50 : out std_logic;
           RXDATA_51 : out std_logic;
           RXDATA_52 : out std_logic;
           RXDATA_53 : out std_logic;
           RXDATA_54 : out std_logic;
           RXDATA_55 : out std_logic;
           RXDATA_56 : out std_logic;
           RXDATA_57 : out std_logic;
           RXDATA_58 : out std_logic;
           RXDATA_59 : out std_logic;
           RXDATA_60 : out std_logic;
           RXDATA_61 : out std_logic;
           RXDATA_62 : out std_logic;
           RXDATA_63 : out std_logic;
           RXDISPERR_0 : out std_logic;
           RXDISPERR_1 : out std_logic;
           RXDISPERR_2 : out std_logic;
           RXDISPERR_3 : out std_logic;
           RXDISPERR_4 : out std_logic;
           RXDISPERR_5 : out std_logic;
           RXDISPERR_6 : out std_logic;
           RXDISPERR_7 : out std_logic;
           RXLOSSOFSYNC_0 : out std_logic;
           RXLOSSOFSYNC_1 : out std_logic;
           RXNOTINTABLE_0 : out std_logic;
           RXNOTINTABLE_1 : out std_logic;
           RXNOTINTABLE_2 : out std_logic;
           RXNOTINTABLE_3 : out std_logic;
           RXNOTINTABLE_4 : out std_logic;
           RXNOTINTABLE_5 : out std_logic;
           RXNOTINTABLE_6 : out std_logic;
           RXNOTINTABLE_7 : out std_logic;
           RXREALIGN : out std_logic;
           RXRECCLK : out std_logic;
           RXRUNDISP_0 : out std_logic;
           RXRUNDISP_1 : out std_logic;
           RXRUNDISP_2 : out std_logic;
           RXRUNDISP_3 : out std_logic;
           RXRUNDISP_4 : out std_logic;
           RXRUNDISP_5 : out std_logic;
           RXRUNDISP_6 : out std_logic;
           RXRUNDISP_7 : out std_logic;
           TXBUFERR : out std_logic;
           TXKERR_0 : out std_logic;
           TXKERR_1 : out std_logic;
           TXKERR_2 : out std_logic;
           TXKERR_3 : out std_logic;
           TXKERR_4 : out std_logic;
           TXKERR_5 : out std_logic;
           TXKERR_6 : out std_logic;
           TXKERR_7 : out std_logic;
           TXN : out std_logic;
           TXOUTCLK : out std_logic;
           TXP : out std_logic;
           TXRUNDISP_0 : out std_logic;
           TXRUNDISP_1 : out std_logic;
           TXRUNDISP_2 : out std_logic;
           TXRUNDISP_3 : out std_logic;
           TXRUNDISP_4 : out std_logic;
           TXRUNDISP_5 : out std_logic;
           TXRUNDISP_6 : out std_logic;
           TXRUNDISP_7 : out std_logic;
           BREFCLKNIN : in std_logic;
           BREFCLKPIN : in std_logic;
           CHBONDI_0 : in std_logic;
           CHBONDI_1 : in std_logic;
           CHBONDI_2 : in std_logic;
           CHBONDI_3 : in std_logic;
           CHBONDI_4 : in std_logic;
           ENCHANSYNC : in std_logic;
           ENMCOMMAALIGN : in std_logic;
           ENPCOMMAALIGN : in std_logic;
           LOOPBACK_0 : in std_logic;
           LOOPBACK_1 : in std_logic;
           PMAINIT : in std_logic;
           PMAREGADDR_0 : in std_logic;
           PMAREGADDR_1 : in std_logic;
           PMAREGADDR_2 : in std_logic;
           PMAREGADDR_3 : in std_logic;
           PMAREGADDR_4 : in std_logic;
           PMAREGADDR_5 : in std_logic;
           PMAREGDATAIN_0 : in std_logic;
           PMAREGDATAIN_1 : in std_logic;
           PMAREGDATAIN_2 : in std_logic;
           PMAREGDATAIN_3 : in std_logic;
           PMAREGDATAIN_4 : in std_logic;
           PMAREGDATAIN_5 : in std_logic;
           PMAREGDATAIN_6 : in std_logic;
           PMAREGDATAIN_7 : in std_logic;
           PMAREGRW : in std_logic;
           PMAREGSTROBE : in std_logic;
           PMARXLOCKSEL_0 : in std_logic;
           PMARXLOCKSEL_1 : in std_logic;
           POWERDOWN : in std_logic;
           REFCLK : in std_logic;
           REFCLK2 : in std_logic;
           REFCLKBSEL : in std_logic;
           REFCLKSEL : in std_logic;
           RXBLOCKSYNC64B66BUSE : in std_logic;
           RXCOMMADETUSE : in std_logic;
           RXDATAWIDTH_0 : in std_logic;
           RXDATAWIDTH_1 : in std_logic;
           RXDEC64B66BUSE : in std_logic;
           RXDEC8B10BUSE : in std_logic;
           RXDESCRAM64B66BUSE : in std_logic;
           RXIGNOREBTF : in std_logic;
           RXINTDATAWIDTH_0 : in std_logic;
           RXINTDATAWIDTH_1 : in std_logic;
           RXN : in std_logic;
           RXP : in std_logic;
           RXPOLARITY : in std_logic;
           RXRESET : in std_logic;
           RXSLIDE : in std_logic;
           RXUSRCLK : in std_logic;
           RXUSRCLK2 : in std_logic;
           TXBYPASS8B10B_0 : in std_logic;
           TXBYPASS8B10B_1 : in std_logic;
           TXBYPASS8B10B_2 : in std_logic;
           TXBYPASS8B10B_3 : in std_logic;
           TXBYPASS8B10B_4 : in std_logic;
           TXBYPASS8B10B_5 : in std_logic;
           TXBYPASS8B10B_6 : in std_logic;
           TXBYPASS8B10B_7 : in std_logic;
           TXCHARDISPMODE_0 : in std_logic;
           TXCHARDISPMODE_1 : in std_logic;
           TXCHARDISPMODE_2 : in std_logic;
           TXCHARDISPMODE_3 : in std_logic;
           TXCHARDISPMODE_4 : in std_logic;
           TXCHARDISPMODE_5 : in std_logic;
           TXCHARDISPMODE_6 : in std_logic;
           TXCHARDISPMODE_7 : in std_logic;
           TXCHARDISPVAL_0 : in std_logic;
           TXCHARDISPVAL_1 : in std_logic;
           TXCHARDISPVAL_2 : in std_logic;
           TXCHARDISPVAL_3 : in std_logic;
           TXCHARDISPVAL_4 : in std_logic;
           TXCHARDISPVAL_5 : in std_logic;
           TXCHARDISPVAL_6 : in std_logic;
           TXCHARDISPVAL_7 : in std_logic;
           TXCHARISK_0 : in std_logic;
           TXCHARISK_1 : in std_logic;
           TXCHARISK_2 : in std_logic;
           TXCHARISK_3 : in std_logic;
           TXCHARISK_4 : in std_logic;
           TXCHARISK_5 : in std_logic;
           TXCHARISK_6 : in std_logic;
           TXCHARISK_7 : in std_logic;
           TXDATA_0 : in std_logic;
           TXDATA_1 : in std_logic;
           TXDATA_2 : in std_logic;
           TXDATA_3 : in std_logic;
           TXDATA_4 : in std_logic;
           TXDATA_5 : in std_logic;
           TXDATA_6 : in std_logic;
           TXDATA_7 : in std_logic;
           TXDATA_8 : in std_logic;
           TXDATA_9 : in std_logic;
           TXDATA_10 : in std_logic;
           TXDATA_11 : in std_logic;
           TXDATA_12 : in std_logic;
           TXDATA_13 : in std_logic;
           TXDATA_14 : in std_logic;
           TXDATA_15 : in std_logic;
           TXDATA_16 : in std_logic;
           TXDATA_17 : in std_logic;
           TXDATA_18 : in std_logic;
           TXDATA_19 : in std_logic;
           TXDATA_20 : in std_logic;
           TXDATA_21 : in std_logic;
           TXDATA_22 : in std_logic;
           TXDATA_23 : in std_logic;
           TXDATA_24 : in std_logic;
           TXDATA_25 : in std_logic;
           TXDATA_26 : in std_logic;
           TXDATA_27 : in std_logic;
           TXDATA_28 : in std_logic;
           TXDATA_29 : in std_logic;
           TXDATA_30 : in std_logic;
           TXDATA_31 : in std_logic;
           TXDATA_32 : in std_logic;
           TXDATA_33 : in std_logic;
           TXDATA_34 : in std_logic;
           TXDATA_35 : in std_logic;
           TXDATA_36 : in std_logic;
           TXDATA_37 : in std_logic;
           TXDATA_38 : in std_logic;
           TXDATA_39 : in std_logic;
           TXDATA_40 : in std_logic;
           TXDATA_41 : in std_logic;
           TXDATA_42 : in std_logic;
           TXDATA_43 : in std_logic;
           TXDATA_44 : in std_logic;
           TXDATA_45 : in std_logic;
           TXDATA_46 : in std_logic;
           TXDATA_47 : in std_logic;
           TXDATA_48 : in std_logic;
           TXDATA_49 : in std_logic;
           TXDATA_50 : in std_logic;
           TXDATA_51 : in std_logic;
           TXDATA_52 : in std_logic;
           TXDATA_53 : in std_logic;
           TXDATA_54 : in std_logic;
           TXDATA_55 : in std_logic;
           TXDATA_56 : in std_logic;
           TXDATA_57 : in std_logic;
           TXDATA_58 : in std_logic;
           TXDATA_59 : in std_logic;
           TXDATA_60 : in std_logic;
           TXDATA_61 : in std_logic;
           TXDATA_62 : in std_logic;
           TXDATA_63 : in std_logic;
           TXDATAWIDTH_0 : in std_logic;
           TXDATAWIDTH_1 : in std_logic;
           TXENC64B66BUSE : in std_logic;
           TXENC8B10BUSE : in std_logic;
           TXGEARBOX64B66BUSE : in std_logic;
           TXINHIBIT : in std_logic;
           TXINTDATAWIDTH_0 : in std_logic;
           TXINTDATAWIDTH_1 : in std_logic;
           TXPOLARITY : in std_logic;
           TXRESET : in std_logic;
           TXSCRAM64B66BUSE : in std_logic;
           TXUSRCLK : in std_logic;
           TXUSRCLK2 : in std_logic;
           ALIGN_COMMA_WORD_0 : in std_logic;
           ALIGN_COMMA_WORD_1 : in std_logic;
           CHAN_BOND_LIMIT_0 : in std_logic;
           CHAN_BOND_LIMIT_1 : in std_logic;
           CHAN_BOND_LIMIT_2 : in std_logic;
           CHAN_BOND_LIMIT_3 : in std_logic;
           CHAN_BOND_LIMIT_4 : in std_logic;
           CHAN_BOND_LIMIT_5 : in std_logic;
           CHAN_BOND_MODE_0 : in std_logic;
           CHAN_BOND_MODE_1 : in std_logic;
           CHAN_BOND_ONE_SHOT : in std_logic;
           CHAN_BOND_SEQ_1_1_0 : in std_logic;
           CHAN_BOND_SEQ_1_1_1 : in std_logic;
           CHAN_BOND_SEQ_1_1_2 : in std_logic;
           CHAN_BOND_SEQ_1_1_3 : in std_logic;
           CHAN_BOND_SEQ_1_1_4 : in std_logic;
           CHAN_BOND_SEQ_1_1_5 : in std_logic;
           CHAN_BOND_SEQ_1_1_6 : in std_logic;
           CHAN_BOND_SEQ_1_1_7 : in std_logic;
           CHAN_BOND_SEQ_1_1_8 : in std_logic;
           CHAN_BOND_SEQ_1_1_9 : in std_logic;
           CHAN_BOND_SEQ_1_1_10 : in std_logic;
           CHAN_BOND_SEQ_1_2_0 : in std_logic;
           CHAN_BOND_SEQ_1_2_1 : in std_logic;
           CHAN_BOND_SEQ_1_2_2 : in std_logic;
           CHAN_BOND_SEQ_1_2_3 : in std_logic;
           CHAN_BOND_SEQ_1_2_4 : in std_logic;
           CHAN_BOND_SEQ_1_2_5 : in std_logic;
           CHAN_BOND_SEQ_1_2_6 : in std_logic;
           CHAN_BOND_SEQ_1_2_7 : in std_logic;
           CHAN_BOND_SEQ_1_2_8 : in std_logic;
           CHAN_BOND_SEQ_1_2_9 : in std_logic;
           CHAN_BOND_SEQ_1_2_10 : in std_logic;
           CHAN_BOND_SEQ_1_3_0 : in std_logic;
           CHAN_BOND_SEQ_1_3_1 : in std_logic;
           CHAN_BOND_SEQ_1_3_2 : in std_logic;
           CHAN_BOND_SEQ_1_3_3 : in std_logic;
           CHAN_BOND_SEQ_1_3_4 : in std_logic;
           CHAN_BOND_SEQ_1_3_5 : in std_logic;
           CHAN_BOND_SEQ_1_3_6 : in std_logic;
           CHAN_BOND_SEQ_1_3_7 : in std_logic;
           CHAN_BOND_SEQ_1_3_8 : in std_logic;
           CHAN_BOND_SEQ_1_3_9 : in std_logic;
           CHAN_BOND_SEQ_1_3_10 : in std_logic;
           CHAN_BOND_SEQ_1_4_0 : in std_logic;
           CHAN_BOND_SEQ_1_4_1 : in std_logic;
           CHAN_BOND_SEQ_1_4_2 : in std_logic;
           CHAN_BOND_SEQ_1_4_3 : in std_logic;
           CHAN_BOND_SEQ_1_4_4 : in std_logic;
           CHAN_BOND_SEQ_1_4_5 : in std_logic;
           CHAN_BOND_SEQ_1_4_6 : in std_logic;
           CHAN_BOND_SEQ_1_4_7 : in std_logic;
           CHAN_BOND_SEQ_1_4_8 : in std_logic;
           CHAN_BOND_SEQ_1_4_9 : in std_logic;
           CHAN_BOND_SEQ_1_4_10 : in std_logic;
           CHAN_BOND_SEQ_1_MASK_0 : in std_logic;
           CHAN_BOND_SEQ_1_MASK_1 : in std_logic;
           CHAN_BOND_SEQ_1_MASK_2 : in std_logic;
           CHAN_BOND_SEQ_1_MASK_3 : in std_logic;
           CHAN_BOND_SEQ_2_1_0 : in std_logic;
           CHAN_BOND_SEQ_2_1_1 : in std_logic;
           CHAN_BOND_SEQ_2_1_2 : in std_logic;
           CHAN_BOND_SEQ_2_1_3 : in std_logic;
           CHAN_BOND_SEQ_2_1_4 : in std_logic;
           CHAN_BOND_SEQ_2_1_5 : in std_logic;
           CHAN_BOND_SEQ_2_1_6 : in std_logic;
           CHAN_BOND_SEQ_2_1_7 : in std_logic;
           CHAN_BOND_SEQ_2_1_8 : in std_logic;
           CHAN_BOND_SEQ_2_1_9 : in std_logic;
           CHAN_BOND_SEQ_2_1_10 : in std_logic;
           CHAN_BOND_SEQ_2_2_0 : in std_logic;
           CHAN_BOND_SEQ_2_2_1 : in std_logic;
           CHAN_BOND_SEQ_2_2_2 : in std_logic;
           CHAN_BOND_SEQ_2_2_3 : in std_logic;
           CHAN_BOND_SEQ_2_2_4 : in std_logic;
           CHAN_BOND_SEQ_2_2_5 : in std_logic;
           CHAN_BOND_SEQ_2_2_6 : in std_logic;
           CHAN_BOND_SEQ_2_2_7 : in std_logic;
           CHAN_BOND_SEQ_2_2_8 : in std_logic;
           CHAN_BOND_SEQ_2_2_9 : in std_logic;
           CHAN_BOND_SEQ_2_2_10 : in std_logic;
           CHAN_BOND_SEQ_2_3_0 : in std_logic;
           CHAN_BOND_SEQ_2_3_1 : in std_logic;
           CHAN_BOND_SEQ_2_3_2 : in std_logic;
           CHAN_BOND_SEQ_2_3_3 : in std_logic;
           CHAN_BOND_SEQ_2_3_4 : in std_logic;
           CHAN_BOND_SEQ_2_3_5 : in std_logic;
           CHAN_BOND_SEQ_2_3_6 : in std_logic;
           CHAN_BOND_SEQ_2_3_7 : in std_logic;
           CHAN_BOND_SEQ_2_3_8 : in std_logic;
           CHAN_BOND_SEQ_2_3_9 : in std_logic;
           CHAN_BOND_SEQ_2_3_10 : in std_logic;
           CHAN_BOND_SEQ_2_4_0 : in std_logic;
           CHAN_BOND_SEQ_2_4_1 : in std_logic;
           CHAN_BOND_SEQ_2_4_2 : in std_logic;
           CHAN_BOND_SEQ_2_4_3 : in std_logic;
           CHAN_BOND_SEQ_2_4_4 : in std_logic;
           CHAN_BOND_SEQ_2_4_5 : in std_logic;
           CHAN_BOND_SEQ_2_4_6 : in std_logic;
           CHAN_BOND_SEQ_2_4_7 : in std_logic;
           CHAN_BOND_SEQ_2_4_8 : in std_logic;
           CHAN_BOND_SEQ_2_4_9 : in std_logic;
           CHAN_BOND_SEQ_2_4_10 : in std_logic;
           CHAN_BOND_SEQ_2_MASK_0 : in std_logic;
           CHAN_BOND_SEQ_2_MASK_1 : in std_logic;
           CHAN_BOND_SEQ_2_MASK_2 : in std_logic;
           CHAN_BOND_SEQ_2_MASK_3 : in std_logic;
           CHAN_BOND_SEQ_2_USE : in std_logic;
           CHAN_BOND_SEQ_LEN_0 : in std_logic;
           CHAN_BOND_SEQ_LEN_1 : in std_logic;
           CHAN_BOND_SEQ_LEN_2 : in std_logic;
           CHAN_BOND_64B66B_SV : in std_logic;
           CLK_COR_MAX_LAT_0 : in std_logic;
           CLK_COR_MAX_LAT_1 : in std_logic;
           CLK_COR_MAX_LAT_2 : in std_logic;
           CLK_COR_MAX_LAT_3 : in std_logic;
           CLK_COR_MAX_LAT_4 : in std_logic;
           CLK_COR_MAX_LAT_5 : in std_logic;
           CLK_COR_MIN_LAT_0 : in std_logic;
           CLK_COR_MIN_LAT_1 : in std_logic;
           CLK_COR_MIN_LAT_2 : in std_logic;
           CLK_COR_MIN_LAT_3 : in std_logic;
           CLK_COR_MIN_LAT_4 : in std_logic;
           CLK_COR_MIN_LAT_5 : in std_logic;
           CLK_COR_SEQ_1_1_0 : in std_logic;
           CLK_COR_SEQ_1_1_1 : in std_logic;
           CLK_COR_SEQ_1_1_2 : in std_logic;
           CLK_COR_SEQ_1_1_3 : in std_logic;
           CLK_COR_SEQ_1_1_4 : in std_logic;
           CLK_COR_SEQ_1_1_5 : in std_logic;
           CLK_COR_SEQ_1_1_6 : in std_logic;
           CLK_COR_SEQ_1_1_7 : in std_logic;
           CLK_COR_SEQ_1_1_8 : in std_logic;
           CLK_COR_SEQ_1_1_9 : in std_logic;
           CLK_COR_SEQ_1_1_10 : in std_logic;
           CLK_COR_SEQ_1_2_0 : in std_logic;
           CLK_COR_SEQ_1_2_1 : in std_logic;
           CLK_COR_SEQ_1_2_2 : in std_logic;
           CLK_COR_SEQ_1_2_3 : in std_logic;
           CLK_COR_SEQ_1_2_4 : in std_logic;
           CLK_COR_SEQ_1_2_5 : in std_logic;
           CLK_COR_SEQ_1_2_6 : in std_logic;
           CLK_COR_SEQ_1_2_7 : in std_logic;
           CLK_COR_SEQ_1_2_8 : in std_logic;
           CLK_COR_SEQ_1_2_9 : in std_logic;
           CLK_COR_SEQ_1_2_10 : in std_logic;
           CLK_COR_SEQ_1_3_0 : in std_logic;
           CLK_COR_SEQ_1_3_1 : in std_logic;
           CLK_COR_SEQ_1_3_2 : in std_logic;
           CLK_COR_SEQ_1_3_3 : in std_logic;
           CLK_COR_SEQ_1_3_4 : in std_logic;
           CLK_COR_SEQ_1_3_5 : in std_logic;
           CLK_COR_SEQ_1_3_6 : in std_logic;
           CLK_COR_SEQ_1_3_7 : in std_logic;
           CLK_COR_SEQ_1_3_8 : in std_logic;
           CLK_COR_SEQ_1_3_9 : in std_logic;
           CLK_COR_SEQ_1_3_10 : in std_logic;
           CLK_COR_SEQ_1_4_0 : in std_logic;
           CLK_COR_SEQ_1_4_1 : in std_logic;
           CLK_COR_SEQ_1_4_2 : in std_logic;
           CLK_COR_SEQ_1_4_3 : in std_logic;
           CLK_COR_SEQ_1_4_4 : in std_logic;
           CLK_COR_SEQ_1_4_5 : in std_logic;
           CLK_COR_SEQ_1_4_6 : in std_logic;
           CLK_COR_SEQ_1_4_7 : in std_logic;
           CLK_COR_SEQ_1_4_8 : in std_logic;
           CLK_COR_SEQ_1_4_9 : in std_logic;
           CLK_COR_SEQ_1_4_10 : in std_logic;
           CLK_COR_SEQ_1_MASK_0 : in std_logic;
           CLK_COR_SEQ_1_MASK_1 : in std_logic;
           CLK_COR_SEQ_1_MASK_2 : in std_logic;
           CLK_COR_SEQ_1_MASK_3 : in std_logic;
           CLK_COR_SEQ_2_1_0 : in std_logic;
           CLK_COR_SEQ_2_1_1 : in std_logic;
           CLK_COR_SEQ_2_1_2 : in std_logic;
           CLK_COR_SEQ_2_1_3 : in std_logic;
           CLK_COR_SEQ_2_1_4 : in std_logic;
           CLK_COR_SEQ_2_1_5 : in std_logic;
           CLK_COR_SEQ_2_1_6 : in std_logic;
           CLK_COR_SEQ_2_1_7 : in std_logic;
           CLK_COR_SEQ_2_1_8 : in std_logic;
           CLK_COR_SEQ_2_1_9 : in std_logic;
           CLK_COR_SEQ_2_1_10 : in std_logic;
           CLK_COR_SEQ_2_2_0 : in std_logic;
           CLK_COR_SEQ_2_2_1 : in std_logic;
           CLK_COR_SEQ_2_2_2 : in std_logic;
           CLK_COR_SEQ_2_2_3 : in std_logic;
           CLK_COR_SEQ_2_2_4 : in std_logic;
           CLK_COR_SEQ_2_2_5 : in std_logic;
           CLK_COR_SEQ_2_2_6 : in std_logic;
           CLK_COR_SEQ_2_2_7 : in std_logic;
           CLK_COR_SEQ_2_2_8 : in std_logic;
           CLK_COR_SEQ_2_2_9 : in std_logic;
           CLK_COR_SEQ_2_2_10 : in std_logic;
           CLK_COR_SEQ_2_3_0 : in std_logic;
           CLK_COR_SEQ_2_3_1 : in std_logic;
           CLK_COR_SEQ_2_3_2 : in std_logic;
           CLK_COR_SEQ_2_3_3 : in std_logic;
           CLK_COR_SEQ_2_3_4 : in std_logic;
           CLK_COR_SEQ_2_3_5 : in std_logic;
           CLK_COR_SEQ_2_3_6 : in std_logic;
           CLK_COR_SEQ_2_3_7 : in std_logic;
           CLK_COR_SEQ_2_3_8 : in std_logic;
           CLK_COR_SEQ_2_3_9 : in std_logic;
           CLK_COR_SEQ_2_3_10 : in std_logic;
           CLK_COR_SEQ_2_4_0 : in std_logic;
           CLK_COR_SEQ_2_4_1 : in std_logic;
           CLK_COR_SEQ_2_4_2 : in std_logic;
           CLK_COR_SEQ_2_4_3 : in std_logic;
           CLK_COR_SEQ_2_4_4 : in std_logic;
           CLK_COR_SEQ_2_4_5 : in std_logic;
           CLK_COR_SEQ_2_4_6 : in std_logic;
           CLK_COR_SEQ_2_4_7 : in std_logic;
           CLK_COR_SEQ_2_4_8 : in std_logic;
           CLK_COR_SEQ_2_4_9 : in std_logic;
           CLK_COR_SEQ_2_4_10 : in std_logic;
           CLK_COR_SEQ_2_MASK_0 : in std_logic;
           CLK_COR_SEQ_2_MASK_1 : in std_logic;
           CLK_COR_SEQ_2_MASK_2 : in std_logic;
           CLK_COR_SEQ_2_MASK_3 : in std_logic;
           CLK_COR_SEQ_2_USE : in std_logic;
           CLK_COR_SEQ_DROP : in std_logic;
           CLK_COR_SEQ_LEN_0 : in std_logic;
           CLK_COR_SEQ_LEN_1 : in std_logic;
           CLK_COR_SEQ_LEN_2 : in std_logic;
           CLK_CORRECT_USE : in std_logic;
           COMMA_10B_MASK_0 : in std_logic;
           COMMA_10B_MASK_1 : in std_logic;
           COMMA_10B_MASK_2 : in std_logic;
           COMMA_10B_MASK_3 : in std_logic;
           COMMA_10B_MASK_4 : in std_logic;
           COMMA_10B_MASK_5 : in std_logic;
           COMMA_10B_MASK_6 : in std_logic;
           COMMA_10B_MASK_7 : in std_logic;
           COMMA_10B_MASK_8 : in std_logic;
           COMMA_10B_MASK_9 : in std_logic;
           CLK_COR_8B10B_DE : in std_logic;
           DEC_MCOMMA_DETECT : in std_logic;
           DEC_PCOMMA_DETECT : in std_logic;
           DEC_VALID_COMMA_ONLY : in std_logic;
           MCOMMA_10B_VALUE_0 : in std_logic;
           MCOMMA_10B_VALUE_1 : in std_logic;
           MCOMMA_10B_VALUE_2 : in std_logic;
           MCOMMA_10B_VALUE_3 : in std_logic;
           MCOMMA_10B_VALUE_4 : in std_logic;
           MCOMMA_10B_VALUE_5 : in std_logic;
           MCOMMA_10B_VALUE_6 : in std_logic;
           MCOMMA_10B_VALUE_7 : in std_logic;
           MCOMMA_10B_VALUE_8 : in std_logic;
           MCOMMA_10B_VALUE_9 : in std_logic;
           MCOMMA_DETECT : in std_logic;
           PCOMMA_10B_VALUE_0 : in std_logic;
           PCOMMA_10B_VALUE_1 : in std_logic;
           PCOMMA_10B_VALUE_2 : in std_logic;
           PCOMMA_10B_VALUE_3 : in std_logic;
           PCOMMA_10B_VALUE_4 : in std_logic;
           PCOMMA_10B_VALUE_5 : in std_logic;
           PCOMMA_10B_VALUE_6 : in std_logic;
           PCOMMA_10B_VALUE_7 : in std_logic;
           PCOMMA_10B_VALUE_8 : in std_logic;
           PCOMMA_10B_VALUE_9 : in std_logic;
           PCOMMA_DETECT : in std_logic;
           PMA_PWR_CNTRL_0 : in std_logic;
           PMA_PWR_CNTRL_1 : in std_logic;
           PMA_PWR_CNTRL_2 : in std_logic;
           PMA_PWR_CNTRL_3 : in std_logic;
           PMA_PWR_CNTRL_4 : in std_logic;
           PMA_PWR_CNTRL_5 : in std_logic;
           PMA_PWR_CNTRL_6 : in std_logic;
           PMA_PWR_CNTRL_7 : in std_logic;
           PMA_SPEED_0 : in std_logic;
           PMA_SPEED_1 : in std_logic;
           PMA_SPEED_2 : in std_logic;
           PMA_SPEED_3 : in std_logic;
           PMA_SPEED_4 : in std_logic;
           PMA_SPEED_5 : in std_logic;
           PMA_SPEED_6 : in std_logic;
           PMA_SPEED_7 : in std_logic;
           PMA_SPEED_8 : in std_logic;
           PMA_SPEED_9 : in std_logic;
           PMA_SPEED_10 : in std_logic;
           PMA_SPEED_11 : in std_logic;
           PMA_SPEED_12 : in std_logic;
           PMA_SPEED_13 : in std_logic;
           PMA_SPEED_14 : in std_logic;
           PMA_SPEED_15 : in std_logic;
           PMA_SPEED_16 : in std_logic;
           PMA_SPEED_17 : in std_logic;
           PMA_SPEED_18 : in std_logic;
           PMA_SPEED_19 : in std_logic;
           PMA_SPEED_20 : in std_logic;
           PMA_SPEED_21 : in std_logic;
           PMA_SPEED_22 : in std_logic;
           PMA_SPEED_23 : in std_logic;
           PMA_SPEED_24 : in std_logic;
           PMA_SPEED_25 : in std_logic;
           PMA_SPEED_26 : in std_logic;
           PMA_SPEED_27 : in std_logic;
           PMA_SPEED_28 : in std_logic;
           PMA_SPEED_29 : in std_logic;
           PMA_SPEED_30 : in std_logic;
           PMA_SPEED_31 : in std_logic;
           PMA_SPEED_32 : in std_logic;
           PMA_SPEED_33 : in std_logic;
           PMA_SPEED_34 : in std_logic;
           PMA_SPEED_35 : in std_logic;
           PMA_SPEED_36 : in std_logic;
           PMA_SPEED_37 : in std_logic;
           PMA_SPEED_38 : in std_logic;
           PMA_SPEED_39 : in std_logic;
           PMA_SPEED_40 : in std_logic;
           PMA_SPEED_41 : in std_logic;
           PMA_SPEED_42 : in std_logic;
           PMA_SPEED_43 : in std_logic;
           PMA_SPEED_44 : in std_logic;
           PMA_SPEED_45 : in std_logic;
           PMA_SPEED_46 : in std_logic;
           PMA_SPEED_47 : in std_logic;
           PMA_SPEED_48 : in std_logic;
           PMA_SPEED_49 : in std_logic;
           PMA_SPEED_50 : in std_logic;
           PMA_SPEED_51 : in std_logic;
           PMA_SPEED_52 : in std_logic;
           PMA_SPEED_53 : in std_logic;
           PMA_SPEED_54 : in std_logic;
           PMA_SPEED_55 : in std_logic;
           PMA_SPEED_56 : in std_logic;
           PMA_SPEED_57 : in std_logic;
           PMA_SPEED_58 : in std_logic;
           PMA_SPEED_59 : in std_logic;
           PMA_SPEED_60 : in std_logic;
           PMA_SPEED_61 : in std_logic;
           PMA_SPEED_62 : in std_logic;
           PMA_SPEED_63 : in std_logic;
           PMA_SPEED_64 : in std_logic;
           PMA_SPEED_65 : in std_logic;
           PMA_SPEED_66 : in std_logic;
           PMA_SPEED_67 : in std_logic;
           PMA_SPEED_68 : in std_logic;
           PMA_SPEED_69 : in std_logic;
           PMA_SPEED_70 : in std_logic;
           PMA_SPEED_71 : in std_logic;
           PMA_SPEED_72 : in std_logic;
           PMA_SPEED_73 : in std_logic;
           PMA_SPEED_74 : in std_logic;
           PMA_SPEED_75 : in std_logic;
           PMA_SPEED_76 : in std_logic;
           PMA_SPEED_77 : in std_logic;
           PMA_SPEED_78 : in std_logic;
           PMA_SPEED_79 : in std_logic;
           PMA_SPEED_80 : in std_logic;
           PMA_SPEED_81 : in std_logic;
           PMA_SPEED_82 : in std_logic;
           PMA_SPEED_83 : in std_logic;
           PMA_SPEED_84 : in std_logic;
           PMA_SPEED_85 : in std_logic;
           PMA_SPEED_86 : in std_logic;
           PMA_SPEED_87 : in std_logic;
           PMA_SPEED_88 : in std_logic;
           PMA_SPEED_89 : in std_logic;
           PMA_SPEED_90 : in std_logic;
           PMA_SPEED_91 : in std_logic;
           PMA_SPEED_92 : in std_logic;
           PMA_SPEED_93 : in std_logic;
           PMA_SPEED_94 : in std_logic;
           PMA_SPEED_95 : in std_logic;
           PMA_SPEED_96 : in std_logic;
           PMA_SPEED_97 : in std_logic;
           PMA_SPEED_98 : in std_logic;
           PMA_SPEED_99 : in std_logic;
           PMA_SPEED_100 : in std_logic;
           PMA_SPEED_101 : in std_logic;
           PMA_SPEED_102 : in std_logic;
           PMA_SPEED_103 : in std_logic;
           PMA_SPEED_104 : in std_logic;
           PMA_SPEED_105 : in std_logic;
           PMA_SPEED_106 : in std_logic;
           PMA_SPEED_107 : in std_logic;
           PMA_SPEED_108 : in std_logic;
           PMA_SPEED_109 : in std_logic;
           PMA_SPEED_110 : in std_logic;
           PMA_SPEED_111 : in std_logic;
           PMA_SPEED_112 : in std_logic;
           PMA_SPEED_113 : in std_logic;
           PMA_SPEED_114 : in std_logic;
           PMA_SPEED_115 : in std_logic;
           PMA_SPEED_116 : in std_logic;
           PMA_SPEED_117 : in std_logic;
           PMA_SPEED_118 : in std_logic;
           PMA_SPEED_119 : in std_logic;
           RX_BUFFER_USE : in std_logic;
           RX_LOS_INVALID_INCR_0 : in std_logic;
           RX_LOS_INVALID_INCR_1 : in std_logic;
           RX_LOS_INVALID_INCR_2 : in std_logic;
           RX_LOS_INVALID_INCR_3 : in std_logic;
           RX_LOS_INVALID_INCR_4 : in std_logic;
           RX_LOS_INVALID_INCR_5 : in std_logic;
           RX_LOS_INVALID_INCR_6 : in std_logic;
           RX_LOS_INVALID_INCR_7 : in std_logic;
           RX_LOS_THRESHOLD_0 : in std_logic;
           RX_LOS_THRESHOLD_1 : in std_logic;
           RX_LOS_THRESHOLD_2 : in std_logic;
           RX_LOS_THRESHOLD_3 : in std_logic;
           RX_LOS_THRESHOLD_4 : in std_logic;
           RX_LOS_THRESHOLD_5 : in std_logic;
           RX_LOS_THRESHOLD_6 : in std_logic;
           RX_LOS_THRESHOLD_7 : in std_logic;
           RX_LOSS_OF_SYNC_FSM : in std_logic;
           SH_CNT_MAX_0 : in std_logic;
           SH_CNT_MAX_1 : in std_logic;
           SH_CNT_MAX_2 : in std_logic;
           SH_CNT_MAX_3 : in std_logic;
           SH_CNT_MAX_4 : in std_logic;
           SH_CNT_MAX_5 : in std_logic;
           SH_CNT_MAX_6 : in std_logic;
           SH_CNT_MAX_7 : in std_logic;
           SH_INVALID_CNT_MAX_0 : in std_logic;
           SH_INVALID_CNT_MAX_1 : in std_logic;
           SH_INVALID_CNT_MAX_2 : in std_logic;
           SH_INVALID_CNT_MAX_3 : in std_logic;
           SH_INVALID_CNT_MAX_4 : in std_logic;
           SH_INVALID_CNT_MAX_5 : in std_logic;
           SH_INVALID_CNT_MAX_6 : in std_logic;
           SH_INVALID_CNT_MAX_7 : in std_logic;
           TX_BUFFER_USE : in std_logic;
           GSR : in std_logic );
end;

architecture SmartModel of gt10_swift is
    attribute FOREIGN : STRING;
    attribute FOREIGN of SmartModel : architecture is "sm_init $ALDEC/BIN/swift.dll ; gt10_swift";
begin
end SmartModel;

library ieee;
use ieee.std_logic_1164.all;
entity gt11_swift is
    generic ( TimingVersion : STRING := "gt11_swift";
              DelayRange : STRING := "MAX";
              MC_Reference : STRING := "0000" );
    port ( CHBONDO_0 : out std_logic;
           CHBONDO_1 : out std_logic;
           CHBONDO_2 : out std_logic;
           CHBONDO_3 : out std_logic;
           CHBONDO_4 : out std_logic;
           DO_0 : out std_logic;
           DO_1 : out std_logic;
           DO_2 : out std_logic;
           DO_3 : out std_logic;
           DO_4 : out std_logic;
           DO_5 : out std_logic;
           DO_6 : out std_logic;
           DO_7 : out std_logic;
           DO_8 : out std_logic;
           DO_9 : out std_logic;
           DO_10 : out std_logic;
           DO_11 : out std_logic;
           DO_12 : out std_logic;
           DO_13 : out std_logic;
           DO_14 : out std_logic;
           DO_15 : out std_logic;
           DRDY : out std_logic;
           RXBUFERR : out std_logic;
           RXCALFAIL : out std_logic;
           RXCHARISCOMMA_0 : out std_logic;
           RXCHARISCOMMA_1 : out std_logic;
           RXCHARISCOMMA_2 : out std_logic;
           RXCHARISCOMMA_3 : out std_logic;
           RXCHARISCOMMA_4 : out std_logic;
           RXCHARISCOMMA_5 : out std_logic;
           RXCHARISCOMMA_6 : out std_logic;
           RXCHARISCOMMA_7 : out std_logic;
           RXCHARISK_0 : out std_logic;
           RXCHARISK_1 : out std_logic;
           RXCHARISK_2 : out std_logic;
           RXCHARISK_3 : out std_logic;
           RXCHARISK_4 : out std_logic;
           RXCHARISK_5 : out std_logic;
           RXCHARISK_6 : out std_logic;
           RXCHARISK_7 : out std_logic;
           RXCOMMADET : out std_logic;
           RXCRCOUT_0 : out std_logic;
           RXCRCOUT_1 : out std_logic;
           RXCRCOUT_2 : out std_logic;
           RXCRCOUT_3 : out std_logic;
           RXCRCOUT_4 : out std_logic;
           RXCRCOUT_5 : out std_logic;
           RXCRCOUT_6 : out std_logic;
           RXCRCOUT_7 : out std_logic;
           RXCRCOUT_8 : out std_logic;
           RXCRCOUT_9 : out std_logic;
           RXCRCOUT_10 : out std_logic;
           RXCRCOUT_11 : out std_logic;
           RXCRCOUT_12 : out std_logic;
           RXCRCOUT_13 : out std_logic;
           RXCRCOUT_14 : out std_logic;
           RXCRCOUT_15 : out std_logic;
           RXCRCOUT_16 : out std_logic;
           RXCRCOUT_17 : out std_logic;
           RXCRCOUT_18 : out std_logic;
           RXCRCOUT_19 : out std_logic;
           RXCRCOUT_20 : out std_logic;
           RXCRCOUT_21 : out std_logic;
           RXCRCOUT_22 : out std_logic;
           RXCRCOUT_23 : out std_logic;
           RXCRCOUT_24 : out std_logic;
           RXCRCOUT_25 : out std_logic;
           RXCRCOUT_26 : out std_logic;
           RXCRCOUT_27 : out std_logic;
           RXCRCOUT_28 : out std_logic;
           RXCRCOUT_29 : out std_logic;
           RXCRCOUT_30 : out std_logic;
           RXCRCOUT_31 : out std_logic;
           RXCYCLELIMIT : out std_logic;
           RXDATA_0 : out std_logic;
           RXDATA_1 : out std_logic;
           RXDATA_2 : out std_logic;
           RXDATA_3 : out std_logic;
           RXDATA_4 : out std_logic;
           RXDATA_5 : out std_logic;
           RXDATA_6 : out std_logic;
           RXDATA_7 : out std_logic;
           RXDATA_8 : out std_logic;
           RXDATA_9 : out std_logic;
           RXDATA_10 : out std_logic;
           RXDATA_11 : out std_logic;
           RXDATA_12 : out std_logic;
           RXDATA_13 : out std_logic;
           RXDATA_14 : out std_logic;
           RXDATA_15 : out std_logic;
           RXDATA_16 : out std_logic;
           RXDATA_17 : out std_logic;
           RXDATA_18 : out std_logic;
           RXDATA_19 : out std_logic;
           RXDATA_20 : out std_logic;
           RXDATA_21 : out std_logic;
           RXDATA_22 : out std_logic;
           RXDATA_23 : out std_logic;
           RXDATA_24 : out std_logic;
           RXDATA_25 : out std_logic;
           RXDATA_26 : out std_logic;
           RXDATA_27 : out std_logic;
           RXDATA_28 : out std_logic;
           RXDATA_29 : out std_logic;
           RXDATA_30 : out std_logic;
           RXDATA_31 : out std_logic;
           RXDATA_32 : out std_logic;
           RXDATA_33 : out std_logic;
           RXDATA_34 : out std_logic;
           RXDATA_35 : out std_logic;
           RXDATA_36 : out std_logic;
           RXDATA_37 : out std_logic;
           RXDATA_38 : out std_logic;
           RXDATA_39 : out std_logic;
           RXDATA_40 : out std_logic;
           RXDATA_41 : out std_logic;
           RXDATA_42 : out std_logic;
           RXDATA_43 : out std_logic;
           RXDATA_44 : out std_logic;
           RXDATA_45 : out std_logic;
           RXDATA_46 : out std_logic;
           RXDATA_47 : out std_logic;
           RXDATA_48 : out std_logic;
           RXDATA_49 : out std_logic;
           RXDATA_50 : out std_logic;
           RXDATA_51 : out std_logic;
           RXDATA_52 : out std_logic;
           RXDATA_53 : out std_logic;
           RXDATA_54 : out std_logic;
           RXDATA_55 : out std_logic;
           RXDATA_56 : out std_logic;
           RXDATA_57 : out std_logic;
           RXDATA_58 : out std_logic;
           RXDATA_59 : out std_logic;
           RXDATA_60 : out std_logic;
           RXDATA_61 : out std_logic;
           RXDATA_62 : out std_logic;
           RXDATA_63 : out std_logic;
           RXDISPERR_0 : out std_logic;
           RXDISPERR_1 : out std_logic;
           RXDISPERR_2 : out std_logic;
           RXDISPERR_3 : out std_logic;
           RXDISPERR_4 : out std_logic;
           RXDISPERR_5 : out std_logic;
           RXDISPERR_6 : out std_logic;
           RXDISPERR_7 : out std_logic;
           RXLOCK : out std_logic;
           RXLOSSOFSYNC_0 : out std_logic;
           RXLOSSOFSYNC_1 : out std_logic;
           RXMCLK : out std_logic;
           RXNOTINTABLE_0 : out std_logic;
           RXNOTINTABLE_1 : out std_logic;
           RXNOTINTABLE_2 : out std_logic;
           RXNOTINTABLE_3 : out std_logic;
           RXNOTINTABLE_4 : out std_logic;
           RXNOTINTABLE_5 : out std_logic;
           RXNOTINTABLE_6 : out std_logic;
           RXNOTINTABLE_7 : out std_logic;
           RXPCSHCLKOUT : out std_logic;
           RXREALIGN : out std_logic;
           RXRECCLK1 : out std_logic;
           RXRECCLK2 : out std_logic;
           RXRUNDISP_0 : out std_logic;
           RXRUNDISP_1 : out std_logic;
           RXRUNDISP_2 : out std_logic;
           RXRUNDISP_3 : out std_logic;
           RXRUNDISP_4 : out std_logic;
           RXRUNDISP_5 : out std_logic;
           RXRUNDISP_6 : out std_logic;
           RXRUNDISP_7 : out std_logic;
           RXSIGDET : out std_logic;
           RXSTATUS_0 : out std_logic;
           RXSTATUS_1 : out std_logic;
           RXSTATUS_2 : out std_logic;
           RXSTATUS_3 : out std_logic;
           RXSTATUS_4 : out std_logic;
           RXSTATUS_5 : out std_logic;
           TX1N : out std_logic;
           TX1P : out std_logic;
           TXBUFERR : out std_logic;
           TXCALFAIL : out std_logic;
           TXCRCOUT_0 : out std_logic;
           TXCRCOUT_1 : out std_logic;
           TXCRCOUT_2 : out std_logic;
           TXCRCOUT_3 : out std_logic;
           TXCRCOUT_4 : out std_logic;
           TXCRCOUT_5 : out std_logic;
           TXCRCOUT_6 : out std_logic;
           TXCRCOUT_7 : out std_logic;
           TXCRCOUT_8 : out std_logic;
           TXCRCOUT_9 : out std_logic;
           TXCRCOUT_10 : out std_logic;
           TXCRCOUT_11 : out std_logic;
           TXCRCOUT_12 : out std_logic;
           TXCRCOUT_13 : out std_logic;
           TXCRCOUT_14 : out std_logic;
           TXCRCOUT_15 : out std_logic;
           TXCRCOUT_16 : out std_logic;
           TXCRCOUT_17 : out std_logic;
           TXCRCOUT_18 : out std_logic;
           TXCRCOUT_19 : out std_logic;
           TXCRCOUT_20 : out std_logic;
           TXCRCOUT_21 : out std_logic;
           TXCRCOUT_22 : out std_logic;
           TXCRCOUT_23 : out std_logic;
           TXCRCOUT_24 : out std_logic;
           TXCRCOUT_25 : out std_logic;
           TXCRCOUT_26 : out std_logic;
           TXCRCOUT_27 : out std_logic;
           TXCRCOUT_28 : out std_logic;
           TXCRCOUT_29 : out std_logic;
           TXCRCOUT_30 : out std_logic;
           TXCRCOUT_31 : out std_logic;
           TXCYCLELIMIT : out std_logic;
           TXKERR_0 : out std_logic;
           TXKERR_1 : out std_logic;
           TXKERR_2 : out std_logic;
           TXKERR_3 : out std_logic;
           TXKERR_4 : out std_logic;
           TXKERR_5 : out std_logic;
           TXKERR_6 : out std_logic;
           TXKERR_7 : out std_logic;
           TXLOCK : out std_logic;
           TXOUTCLK1 : out std_logic;
           TXOUTCLK2 : out std_logic;
           TXPCSHCLKOUT : out std_logic;
           TXRUNDISP_0 : out std_logic;
           TXRUNDISP_1 : out std_logic;
           TXRUNDISP_2 : out std_logic;
           TXRUNDISP_3 : out std_logic;
           TXRUNDISP_4 : out std_logic;
           TXRUNDISP_5 : out std_logic;
           TXRUNDISP_6 : out std_logic;
           TXRUNDISP_7 : out std_logic;
           CHBONDI_0 : in std_logic;
           CHBONDI_1 : in std_logic;
           CHBONDI_2 : in std_logic;
           CHBONDI_3 : in std_logic;
           CHBONDI_4 : in std_logic;
           DADDR_0 : in std_logic;
           DADDR_1 : in std_logic;
           DADDR_2 : in std_logic;
           DADDR_3 : in std_logic;
           DADDR_4 : in std_logic;
           DADDR_5 : in std_logic;
           DADDR_6 : in std_logic;
           DADDR_7 : in std_logic;
           DCLK : in std_logic;
           DEN : in std_logic;
           DI_0 : in std_logic;
           DI_1 : in std_logic;
           DI_2 : in std_logic;
           DI_3 : in std_logic;
           DI_4 : in std_logic;
           DI_5 : in std_logic;
           DI_6 : in std_logic;
           DI_7 : in std_logic;
           DI_8 : in std_logic;
           DI_9 : in std_logic;
           DI_10 : in std_logic;
           DI_11 : in std_logic;
           DI_12 : in std_logic;
           DI_13 : in std_logic;
           DI_14 : in std_logic;
           DI_15 : in std_logic;
           DWE : in std_logic;
           ENCHANSYNC : in std_logic;
           ENMCOMMAALIGN : in std_logic;
           ENPCOMMAALIGN : in std_logic;
           GREFCLK : in std_logic;
           GSR : in std_logic;
           LOOPBACK_0 : in std_logic;
           LOOPBACK_1 : in std_logic;
           PMACFG2_0 : in std_logic;
           PMACFG2_1 : in std_logic;
           PMACFG2_2 : in std_logic;
           PMACFG2_3 : in std_logic;
           PMACFG2_4 : in std_logic;
           PMACFG2_5 : in std_logic;
           PMACFG2_6 : in std_logic;
           PMACFG2_7 : in std_logic;
           PMACFG2_8 : in std_logic;
           PMACFG2_9 : in std_logic;
           PMACFG2_10 : in std_logic;
           PMACFG2_11 : in std_logic;
           PMACFG2_12 : in std_logic;
           PMACFG2_13 : in std_logic;
           PMACFG2_14 : in std_logic;
           PMACFG2_15 : in std_logic;
           PMACFG2_16 : in std_logic;
           PMACFG2_17 : in std_logic;
           PMACFG2_18 : in std_logic;
           PMACFG2_19 : in std_logic;
           PMACFG2_20 : in std_logic;
           PMACFG2_21 : in std_logic;
           PMACFG2_22 : in std_logic;
           PMACFG2_23 : in std_logic;
           PMACFG2_24 : in std_logic;
           PMACFG2_25 : in std_logic;
           PMACFG2_26 : in std_logic;
           PMACFG2_27 : in std_logic;
           PMACFG2_28 : in std_logic;
           PMACFG2_29 : in std_logic;
           PMACFG2_30 : in std_logic;
           PMACFG2_31 : in std_logic;
           PMACFG2_32 : in std_logic;
           PMACFG2_33 : in std_logic;
           PMACFG2_34 : in std_logic;
           PMACFG2_35 : in std_logic;
           PMACFG2_36 : in std_logic;
           PMACFG2_37 : in std_logic;
           PMACFG2_38 : in std_logic;
           PMACFG2_39 : in std_logic;
           PMACFG2_40 : in std_logic;
           PMACFG2_41 : in std_logic;
           PMACFG2_42 : in std_logic;
           PMACFG2_43 : in std_logic;
           PMACFG2_44 : in std_logic;
           PMACFG2_45 : in std_logic;
           PMACFG2_46 : in std_logic;
           PMACFG2_47 : in std_logic;
           PMACFG2_48 : in std_logic;
           PMACFG2_49 : in std_logic;
           PMACFG2_50 : in std_logic;
           PMACFG2_51 : in std_logic;
           PMACFG2_52 : in std_logic;
           PMACFG2_53 : in std_logic;
           PMACFG2_54 : in std_logic;
           PMACFG2_55 : in std_logic;
           PMACFG2_56 : in std_logic;
           PMACFG2_57 : in std_logic;
           PMACFG2_58 : in std_logic;
           PMACFG2_59 : in std_logic;
           PMACFG2_60 : in std_logic;
           PMACFG2_61 : in std_logic;
           PMACFG2_62 : in std_logic;
           PMACFG2_63 : in std_logic;
           PMACFG_0 : in std_logic;
           PMACFG_1 : in std_logic;
           PMACFG_2 : in std_logic;
           PMACFG_3 : in std_logic;
           PMACFG_4 : in std_logic;
           PMACFG_5 : in std_logic;
           PMACFG_6 : in std_logic;
           PMACFG_7 : in std_logic;
           PMACFG_8 : in std_logic;
           PMACFG_9 : in std_logic;
           PMACFG_10 : in std_logic;
           PMACFG_11 : in std_logic;
           PMACFG_12 : in std_logic;
           PMACFG_13 : in std_logic;
           PMACFG_14 : in std_logic;
           PMACFG_15 : in std_logic;
           PMACFG_16 : in std_logic;
           PMACFG_17 : in std_logic;
           PMACFG_18 : in std_logic;
           PMACFG_19 : in std_logic;
           PMACFG_20 : in std_logic;
           PMACFG_21 : in std_logic;
           PMACFG_22 : in std_logic;
           PMACFG_23 : in std_logic;
           PMACFG_24 : in std_logic;
           PMACFG_25 : in std_logic;
           PMACFG_26 : in std_logic;
           PMACFG_27 : in std_logic;
           PMACFG_28 : in std_logic;
           PMACFG_29 : in std_logic;
           PMACFG_30 : in std_logic;
           PMACFG_31 : in std_logic;
           PMACFG_32 : in std_logic;
           PMACFG_33 : in std_logic;
           PMACFG_34 : in std_logic;
           PMACFG_35 : in std_logic;
           PMACFG_36 : in std_logic;
           PMACFG_37 : in std_logic;
           PMACFG_38 : in std_logic;
           PMACFG_39 : in std_logic;
           PMACFG_40 : in std_logic;
           PMACFG_41 : in std_logic;
           PMACFG_42 : in std_logic;
           PMACFG_43 : in std_logic;
           PMACFG_44 : in std_logic;
           PMACFG_45 : in std_logic;
           PMACFG_46 : in std_logic;
           PMACFG_47 : in std_logic;
           PMACFG_48 : in std_logic;
           PMACFG_49 : in std_logic;
           PMACFG_50 : in std_logic;
           PMACFG_51 : in std_logic;
           PMACFG_52 : in std_logic;
           PMACFG_53 : in std_logic;
           PMACFG_54 : in std_logic;
           PMACFG_55 : in std_logic;
           PMACFG_56 : in std_logic;
           PMACFG_57 : in std_logic;
           PMACFG_58 : in std_logic;
           PMACFG_59 : in std_logic;
           PMACFG_60 : in std_logic;
           PMACFG_61 : in std_logic;
           PMACFG_62 : in std_logic;
           PMACFG_63 : in std_logic;
           POWERDOWN : in std_logic;
           REFCLK1 : in std_logic;
           REFCLK2 : in std_logic;
           RX1N : in std_logic;
           RX1P : in std_logic;
           RXACLCFG_0 : in std_logic;
           RXACLCFG_1 : in std_logic;
           RXACLCFG_2 : in std_logic;
           RXACLCFG_3 : in std_logic;
           RXACLCFG_4 : in std_logic;
           RXACLCFG_5 : in std_logic;
           RXACLCFG_6 : in std_logic;
           RXACLCFG_7 : in std_logic;
           RXACLCFG_8 : in std_logic;
           RXACLCFG_9 : in std_logic;
           RXACLCFG_10 : in std_logic;
           RXACLCFG_11 : in std_logic;
           RXACLCFG_12 : in std_logic;
           RXACLCFG_13 : in std_logic;
           RXACLCFG_14 : in std_logic;
           RXACLCFG_15 : in std_logic;
           RXACLCFG_16 : in std_logic;
           RXACLCFG_17 : in std_logic;
           RXACLCFG_18 : in std_logic;
           RXACLCFG_19 : in std_logic;
           RXACLCFG_20 : in std_logic;
           RXACLCFG_21 : in std_logic;
           RXACLCFG_22 : in std_logic;
           RXACLCFG_23 : in std_logic;
           RXACLCFG_24 : in std_logic;
           RXACLCFG_25 : in std_logic;
           RXACLCFG_26 : in std_logic;
           RXACLCFG_27 : in std_logic;
           RXACLCFG_28 : in std_logic;
           RXACLCFG_29 : in std_logic;
           RXACLCFG_30 : in std_logic;
           RXACLCFG_31 : in std_logic;
           RXACLCFG_32 : in std_logic;
           RXACLCFG_33 : in std_logic;
           RXACLCFG_34 : in std_logic;
           RXACLCFG_35 : in std_logic;
           RXACLCFG_36 : in std_logic;
           RXACLCFG_37 : in std_logic;
           RXACLCFG_38 : in std_logic;
           RXACLCFG_39 : in std_logic;
           RXACLCFG_40 : in std_logic;
           RXACLCFG_41 : in std_logic;
           RXACLCFG_42 : in std_logic;
           RXACLCFG_43 : in std_logic;
           RXACLCFG_44 : in std_logic;
           RXACLCFG_45 : in std_logic;
           RXACLCFG_46 : in std_logic;
           RXACLCFG_47 : in std_logic;
           RXACLCFG_48 : in std_logic;
           RXACLCFG_49 : in std_logic;
           RXACLCFG_50 : in std_logic;
           RXACLCFG_51 : in std_logic;
           RXACLCFG_52 : in std_logic;
           RXACLCFG_53 : in std_logic;
           RXACLCFG_54 : in std_logic;
           RXACLCFG_55 : in std_logic;
           RXACLCFG_56 : in std_logic;
           RXACLCFG_57 : in std_logic;
           RXACLCFG_58 : in std_logic;
           RXACLCFG_59 : in std_logic;
           RXACLCFG_60 : in std_logic;
           RXACLCFG_61 : in std_logic;
           RXACLCFG_62 : in std_logic;
           RXACLCFG_63 : in std_logic;
           RXAEQCFG_0 : in std_logic;
           RXAEQCFG_1 : in std_logic;
           RXAEQCFG_2 : in std_logic;
           RXAEQCFG_3 : in std_logic;
           RXAEQCFG_4 : in std_logic;
           RXAEQCFG_5 : in std_logic;
           RXAEQCFG_6 : in std_logic;
           RXAEQCFG_7 : in std_logic;
           RXAEQCFG_8 : in std_logic;
           RXAEQCFG_9 : in std_logic;
           RXAEQCFG_10 : in std_logic;
           RXAEQCFG_11 : in std_logic;
           RXAEQCFG_12 : in std_logic;
           RXAEQCFG_13 : in std_logic;
           RXAEQCFG_14 : in std_logic;
           RXAEQCFG_15 : in std_logic;
           RXAEQCFG_16 : in std_logic;
           RXAEQCFG_17 : in std_logic;
           RXAEQCFG_18 : in std_logic;
           RXAEQCFG_19 : in std_logic;
           RXAEQCFG_20 : in std_logic;
           RXAEQCFG_21 : in std_logic;
           RXAEQCFG_22 : in std_logic;
           RXAEQCFG_23 : in std_logic;
           RXAEQCFG_24 : in std_logic;
           RXAEQCFG_25 : in std_logic;
           RXAEQCFG_26 : in std_logic;
           RXAEQCFG_27 : in std_logic;
           RXAEQCFG_28 : in std_logic;
           RXAEQCFG_29 : in std_logic;
           RXAEQCFG_30 : in std_logic;
           RXAEQCFG_31 : in std_logic;
           RXAEQCFG_32 : in std_logic;
           RXAEQCFG_33 : in std_logic;
           RXAEQCFG_34 : in std_logic;
           RXAEQCFG_35 : in std_logic;
           RXAEQCFG_36 : in std_logic;
           RXAEQCFG_37 : in std_logic;
           RXAEQCFG_38 : in std_logic;
           RXAEQCFG_39 : in std_logic;
           RXAEQCFG_40 : in std_logic;
           RXAEQCFG_41 : in std_logic;
           RXAEQCFG_42 : in std_logic;
           RXAEQCFG_43 : in std_logic;
           RXAEQCFG_44 : in std_logic;
           RXAEQCFG_45 : in std_logic;
           RXAEQCFG_46 : in std_logic;
           RXAEQCFG_47 : in std_logic;
           RXAEQCFG_48 : in std_logic;
           RXAEQCFG_49 : in std_logic;
           RXAEQCFG_50 : in std_logic;
           RXAEQCFG_51 : in std_logic;
           RXAEQCFG_52 : in std_logic;
           RXAEQCFG_53 : in std_logic;
           RXAEQCFG_54 : in std_logic;
           RXAEQCFG_55 : in std_logic;
           RXAEQCFG_56 : in std_logic;
           RXAEQCFG_57 : in std_logic;
           RXAEQCFG_58 : in std_logic;
           RXAEQCFG_59 : in std_logic;
           RXAEQCFG_60 : in std_logic;
           RXAEQCFG_61 : in std_logic;
           RXAEQCFG_62 : in std_logic;
           RXAEQCFG_63 : in std_logic;
           RXAFECFG_0 : in std_logic;
           RXAFECFG_1 : in std_logic;
           RXAFECFG_2 : in std_logic;
           RXAFECFG_3 : in std_logic;
           RXAFECFG_4 : in std_logic;
           RXAFECFG_5 : in std_logic;
           RXAFECFG_6 : in std_logic;
           RXAFECFG_7 : in std_logic;
           RXAFECFG_8 : in std_logic;
           RXAFECFG_9 : in std_logic;
           RXAFECFG_10 : in std_logic;
           RXAFECFG_11 : in std_logic;
           RXAFECFG_12 : in std_logic;
           RXAFECFG_13 : in std_logic;
           RXAFECFG_14 : in std_logic;
           RXAFECFG_15 : in std_logic;
           RXAFECFG_16 : in std_logic;
           RXAFECFG_17 : in std_logic;
           RXAFECFG_18 : in std_logic;
           RXAFECFG_19 : in std_logic;
           RXAFECFG_20 : in std_logic;
           RXAFECFG_21 : in std_logic;
           RXAFECFG_22 : in std_logic;
           RXAFECFG_23 : in std_logic;
           RXAFECFG_24 : in std_logic;
           RXAFECFG_25 : in std_logic;
           RXAFECFG_26 : in std_logic;
           RXAFECFG_27 : in std_logic;
           RXAFECFG_28 : in std_logic;
           RXAFECFG_29 : in std_logic;
           RXAFECFG_30 : in std_logic;
           RXAFECFG_31 : in std_logic;
           RXAFECFG_32 : in std_logic;
           RXAFECFG_33 : in std_logic;
           RXAFECFG_34 : in std_logic;
           RXAFECFG_35 : in std_logic;
           RXAFECFG_36 : in std_logic;
           RXAFECFG_37 : in std_logic;
           RXAFECFG_38 : in std_logic;
           RXAFECFG_39 : in std_logic;
           RXAFECFG_40 : in std_logic;
           RXAFECFG_41 : in std_logic;
           RXAFECFG_42 : in std_logic;
           RXAFECFG_43 : in std_logic;
           RXAFECFG_44 : in std_logic;
           RXAFECFG_45 : in std_logic;
           RXAFECFG_46 : in std_logic;
           RXAFECFG_47 : in std_logic;
           RXAFECFG_48 : in std_logic;
           RXAFECFG_49 : in std_logic;
           RXAFECFG_50 : in std_logic;
           RXAFECFG_51 : in std_logic;
           RXAFECFG_52 : in std_logic;
           RXAFECFG_53 : in std_logic;
           RXAFECFG_54 : in std_logic;
           RXAFECFG_55 : in std_logic;
           RXAFECFG_56 : in std_logic;
           RXAFECFG_57 : in std_logic;
           RXAFECFG_58 : in std_logic;
           RXAFECFG_59 : in std_logic;
           RXAFECFG_60 : in std_logic;
           RXAFECFG_61 : in std_logic;
           RXAFECFG_62 : in std_logic;
           RXAFECFG_63 : in std_logic;
           RXBLOCKSYNC64B66BUSE : in std_logic;
           RXCLKSTABLE : in std_logic;
           RXCOMMADETUSE : in std_logic;
           RXCRCCLK : in std_logic;
           RXCRCDATAVALID : in std_logic;
           RXCRCDATAWIDTH_0 : in std_logic;
           RXCRCDATAWIDTH_1 : in std_logic;
           RXCRCDATAWIDTH_2 : in std_logic;
           RXCRCIN_0 : in std_logic;
           RXCRCIN_1 : in std_logic;
           RXCRCIN_2 : in std_logic;
           RXCRCIN_3 : in std_logic;
           RXCRCIN_4 : in std_logic;
           RXCRCIN_5 : in std_logic;
           RXCRCIN_6 : in std_logic;
           RXCRCIN_7 : in std_logic;
           RXCRCIN_8 : in std_logic;
           RXCRCIN_9 : in std_logic;
           RXCRCIN_10 : in std_logic;
           RXCRCIN_11 : in std_logic;
           RXCRCIN_12 : in std_logic;
           RXCRCIN_13 : in std_logic;
           RXCRCIN_14 : in std_logic;
           RXCRCIN_15 : in std_logic;
           RXCRCIN_16 : in std_logic;
           RXCRCIN_17 : in std_logic;
           RXCRCIN_18 : in std_logic;
           RXCRCIN_19 : in std_logic;
           RXCRCIN_20 : in std_logic;
           RXCRCIN_21 : in std_logic;
           RXCRCIN_22 : in std_logic;
           RXCRCIN_23 : in std_logic;
           RXCRCIN_24 : in std_logic;
           RXCRCIN_25 : in std_logic;
           RXCRCIN_26 : in std_logic;
           RXCRCIN_27 : in std_logic;
           RXCRCIN_28 : in std_logic;
           RXCRCIN_29 : in std_logic;
           RXCRCIN_30 : in std_logic;
           RXCRCIN_31 : in std_logic;
           RXCRCIN_32 : in std_logic;
           RXCRCIN_33 : in std_logic;
           RXCRCIN_34 : in std_logic;
           RXCRCIN_35 : in std_logic;
           RXCRCIN_36 : in std_logic;
           RXCRCIN_37 : in std_logic;
           RXCRCIN_38 : in std_logic;
           RXCRCIN_39 : in std_logic;
           RXCRCIN_40 : in std_logic;
           RXCRCIN_41 : in std_logic;
           RXCRCIN_42 : in std_logic;
           RXCRCIN_43 : in std_logic;
           RXCRCIN_44 : in std_logic;
           RXCRCIN_45 : in std_logic;
           RXCRCIN_46 : in std_logic;
           RXCRCIN_47 : in std_logic;
           RXCRCIN_48 : in std_logic;
           RXCRCIN_49 : in std_logic;
           RXCRCIN_50 : in std_logic;
           RXCRCIN_51 : in std_logic;
           RXCRCIN_52 : in std_logic;
           RXCRCIN_53 : in std_logic;
           RXCRCIN_54 : in std_logic;
           RXCRCIN_55 : in std_logic;
           RXCRCIN_56 : in std_logic;
           RXCRCIN_57 : in std_logic;
           RXCRCIN_58 : in std_logic;
           RXCRCIN_59 : in std_logic;
           RXCRCIN_60 : in std_logic;
           RXCRCIN_61 : in std_logic;
           RXCRCIN_62 : in std_logic;
           RXCRCIN_63 : in std_logic;
           RXCRCINIT : in std_logic;
           RXCRCINTCLK : in std_logic;
           RXCRCPD : in std_logic;
           RXCRCRESET : in std_logic;
           RXDATAWIDTH_0 : in std_logic;
           RXDATAWIDTH_1 : in std_logic;
           RXDEC8B10BUSE : in std_logic;
           RXDEC64B66BUSE : in std_logic;
           RXDESCRAM64B66BUSE : in std_logic;
           RXIGNOREBTF : in std_logic;
           RXINTDATAWIDTH_0 : in std_logic;
           RXINTDATAWIDTH_1 : in std_logic;
           RXPMARESET : in std_logic;
           RXPOLARITY : in std_logic;
           RXRESET : in std_logic;
           RXSLIDE : in std_logic;
           RXSYNC : in std_logic;
           RXUSRCLK : in std_logic;
           RXUSRCLK2 : in std_logic;
           TXACFG_0 : in std_logic;
           TXACFG_1 : in std_logic;
           TXACFG_2 : in std_logic;
           TXACFG_3 : in std_logic;
           TXACFG_4 : in std_logic;
           TXACFG_5 : in std_logic;
           TXACFG_6 : in std_logic;
           TXACFG_7 : in std_logic;
           TXACFG_8 : in std_logic;
           TXACFG_9 : in std_logic;
           TXACFG_10 : in std_logic;
           TXACFG_11 : in std_logic;
           TXACFG_12 : in std_logic;
           TXACFG_13 : in std_logic;
           TXACFG_14 : in std_logic;
           TXACFG_15 : in std_logic;
           TXACFG_16 : in std_logic;
           TXACFG_17 : in std_logic;
           TXACFG_18 : in std_logic;
           TXACFG_19 : in std_logic;
           TXACFG_20 : in std_logic;
           TXACFG_21 : in std_logic;
           TXACFG_22 : in std_logic;
           TXACFG_23 : in std_logic;
           TXACFG_24 : in std_logic;
           TXACFG_25 : in std_logic;
           TXACFG_26 : in std_logic;
           TXACFG_27 : in std_logic;
           TXACFG_28 : in std_logic;
           TXACFG_29 : in std_logic;
           TXACFG_30 : in std_logic;
           TXACFG_31 : in std_logic;
           TXACFG_32 : in std_logic;
           TXACFG_33 : in std_logic;
           TXACFG_34 : in std_logic;
           TXACFG_35 : in std_logic;
           TXACFG_36 : in std_logic;
           TXACFG_37 : in std_logic;
           TXACFG_38 : in std_logic;
           TXACFG_39 : in std_logic;
           TXACFG_40 : in std_logic;
           TXACFG_41 : in std_logic;
           TXACFG_42 : in std_logic;
           TXACFG_43 : in std_logic;
           TXACFG_44 : in std_logic;
           TXACFG_45 : in std_logic;
           TXACFG_46 : in std_logic;
           TXACFG_47 : in std_logic;
           TXACFG_48 : in std_logic;
           TXACFG_49 : in std_logic;
           TXACFG_50 : in std_logic;
           TXACFG_51 : in std_logic;
           TXACFG_52 : in std_logic;
           TXACFG_53 : in std_logic;
           TXACFG_54 : in std_logic;
           TXACFG_55 : in std_logic;
           TXACFG_56 : in std_logic;
           TXACFG_57 : in std_logic;
           TXACFG_58 : in std_logic;
           TXACFG_59 : in std_logic;
           TXACFG_60 : in std_logic;
           TXACFG_61 : in std_logic;
           TXACFG_62 : in std_logic;
           TXACFG_63 : in std_logic;
           TXBYPASS8B10B_0 : in std_logic;
           TXBYPASS8B10B_1 : in std_logic;
           TXBYPASS8B10B_2 : in std_logic;
           TXBYPASS8B10B_3 : in std_logic;
           TXBYPASS8B10B_4 : in std_logic;
           TXBYPASS8B10B_5 : in std_logic;
           TXBYPASS8B10B_6 : in std_logic;
           TXBYPASS8B10B_7 : in std_logic;
           TXCHARDISPMODE_0 : in std_logic;
           TXCHARDISPMODE_1 : in std_logic;
           TXCHARDISPMODE_2 : in std_logic;
           TXCHARDISPMODE_3 : in std_logic;
           TXCHARDISPMODE_4 : in std_logic;
           TXCHARDISPMODE_5 : in std_logic;
           TXCHARDISPMODE_6 : in std_logic;
           TXCHARDISPMODE_7 : in std_logic;
           TXCHARDISPVAL_0 : in std_logic;
           TXCHARDISPVAL_1 : in std_logic;
           TXCHARDISPVAL_2 : in std_logic;
           TXCHARDISPVAL_3 : in std_logic;
           TXCHARDISPVAL_4 : in std_logic;
           TXCHARDISPVAL_5 : in std_logic;
           TXCHARDISPVAL_6 : in std_logic;
           TXCHARDISPVAL_7 : in std_logic;
           TXCHARISK_0 : in std_logic;
           TXCHARISK_1 : in std_logic;
           TXCHARISK_2 : in std_logic;
           TXCHARISK_3 : in std_logic;
           TXCHARISK_4 : in std_logic;
           TXCHARISK_5 : in std_logic;
           TXCHARISK_6 : in std_logic;
           TXCHARISK_7 : in std_logic;
           TXCLCFG_0 : in std_logic;
           TXCLCFG_1 : in std_logic;
           TXCLCFG_2 : in std_logic;
           TXCLCFG_3 : in std_logic;
           TXCLCFG_4 : in std_logic;
           TXCLCFG_5 : in std_logic;
           TXCLCFG_6 : in std_logic;
           TXCLCFG_7 : in std_logic;
           TXCLCFG_8 : in std_logic;
           TXCLCFG_9 : in std_logic;
           TXCLCFG_10 : in std_logic;
           TXCLCFG_11 : in std_logic;
           TXCLCFG_12 : in std_logic;
           TXCLCFG_13 : in std_logic;
           TXCLCFG_14 : in std_logic;
           TXCLCFG_15 : in std_logic;
           TXCLCFG_16 : in std_logic;
           TXCLCFG_17 : in std_logic;
           TXCLCFG_18 : in std_logic;
           TXCLCFG_19 : in std_logic;
           TXCLCFG_20 : in std_logic;
           TXCLCFG_21 : in std_logic;
           TXCLCFG_22 : in std_logic;
           TXCLCFG_23 : in std_logic;
           TXCLCFG_24 : in std_logic;
           TXCLCFG_25 : in std_logic;
           TXCLCFG_26 : in std_logic;
           TXCLCFG_27 : in std_logic;
           TXCLCFG_28 : in std_logic;
           TXCLCFG_29 : in std_logic;
           TXCLCFG_30 : in std_logic;
           TXCLCFG_31 : in std_logic;
           TXCLCFG_32 : in std_logic;
           TXCLCFG_33 : in std_logic;
           TXCLCFG_34 : in std_logic;
           TXCLCFG_35 : in std_logic;
           TXCLCFG_36 : in std_logic;
           TXCLCFG_37 : in std_logic;
           TXCLCFG_38 : in std_logic;
           TXCLCFG_39 : in std_logic;
           TXCLCFG_40 : in std_logic;
           TXCLCFG_41 : in std_logic;
           TXCLCFG_42 : in std_logic;
           TXCLCFG_43 : in std_logic;
           TXCLCFG_44 : in std_logic;
           TXCLCFG_45 : in std_logic;
           TXCLCFG_46 : in std_logic;
           TXCLCFG_47 : in std_logic;
           TXCLCFG_48 : in std_logic;
           TXCLCFG_49 : in std_logic;
           TXCLCFG_50 : in std_logic;
           TXCLCFG_51 : in std_logic;
           TXCLCFG_52 : in std_logic;
           TXCLCFG_53 : in std_logic;
           TXCLCFG_54 : in std_logic;
           TXCLCFG_55 : in std_logic;
           TXCLCFG_56 : in std_logic;
           TXCLCFG_57 : in std_logic;
           TXCLCFG_58 : in std_logic;
           TXCLCFG_59 : in std_logic;
           TXCLCFG_60 : in std_logic;
           TXCLCFG_61 : in std_logic;
           TXCLCFG_62 : in std_logic;
           TXCLCFG_63 : in std_logic;
           TXCLKSTABLE : in std_logic;
           TXCRCCLK : in std_logic;
           TXCRCDATAVALID : in std_logic;
           TXCRCDATAWIDTH_0 : in std_logic;
           TXCRCDATAWIDTH_1 : in std_logic;
           TXCRCDATAWIDTH_2 : in std_logic;
           TXCRCIN_0 : in std_logic;
           TXCRCIN_1 : in std_logic;
           TXCRCIN_2 : in std_logic;
           TXCRCIN_3 : in std_logic;
           TXCRCIN_4 : in std_logic;
           TXCRCIN_5 : in std_logic;
           TXCRCIN_6 : in std_logic;
           TXCRCIN_7 : in std_logic;
           TXCRCIN_8 : in std_logic;
           TXCRCIN_9 : in std_logic;
           TXCRCIN_10 : in std_logic;
           TXCRCIN_11 : in std_logic;
           TXCRCIN_12 : in std_logic;
           TXCRCIN_13 : in std_logic;
           TXCRCIN_14 : in std_logic;
           TXCRCIN_15 : in std_logic;
           TXCRCIN_16 : in std_logic;
           TXCRCIN_17 : in std_logic;
           TXCRCIN_18 : in std_logic;
           TXCRCIN_19 : in std_logic;
           TXCRCIN_20 : in std_logic;
           TXCRCIN_21 : in std_logic;
           TXCRCIN_22 : in std_logic;
           TXCRCIN_23 : in std_logic;
           TXCRCIN_24 : in std_logic;
           TXCRCIN_25 : in std_logic;
           TXCRCIN_26 : in std_logic;
           TXCRCIN_27 : in std_logic;
           TXCRCIN_28 : in std_logic;
           TXCRCIN_29 : in std_logic;
           TXCRCIN_30 : in std_logic;
           TXCRCIN_31 : in std_logic;
           TXCRCIN_32 : in std_logic;
           TXCRCIN_33 : in std_logic;
           TXCRCIN_34 : in std_logic;
           TXCRCIN_35 : in std_logic;
           TXCRCIN_36 : in std_logic;
           TXCRCIN_37 : in std_logic;
           TXCRCIN_38 : in std_logic;
           TXCRCIN_39 : in std_logic;
           TXCRCIN_40 : in std_logic;
           TXCRCIN_41 : in std_logic;
           TXCRCIN_42 : in std_logic;
           TXCRCIN_43 : in std_logic;
           TXCRCIN_44 : in std_logic;
           TXCRCIN_45 : in std_logic;
           TXCRCIN_46 : in std_logic;
           TXCRCIN_47 : in std_logic;
           TXCRCIN_48 : in std_logic;
           TXCRCIN_49 : in std_logic;
           TXCRCIN_50 : in std_logic;
           TXCRCIN_51 : in std_logic;
           TXCRCIN_52 : in std_logic;
           TXCRCIN_53 : in std_logic;
           TXCRCIN_54 : in std_logic;
           TXCRCIN_55 : in std_logic;
           TXCRCIN_56 : in std_logic;
           TXCRCIN_57 : in std_logic;
           TXCRCIN_58 : in std_logic;
           TXCRCIN_59 : in std_logic;
           TXCRCIN_60 : in std_logic;
           TXCRCIN_61 : in std_logic;
           TXCRCIN_62 : in std_logic;
           TXCRCIN_63 : in std_logic;
           TXCRCINIT : in std_logic;
           TXCRCINTCLK : in std_logic;
           TXCRCPD : in std_logic;
           TXCRCRESET : in std_logic;
           TXDATA_0 : in std_logic;
           TXDATA_1 : in std_logic;
           TXDATA_2 : in std_logic;
           TXDATA_3 : in std_logic;
           TXDATA_4 : in std_logic;
           TXDATA_5 : in std_logic;
           TXDATA_6 : in std_logic;
           TXDATA_7 : in std_logic;
           TXDATA_8 : in std_logic;
           TXDATA_9 : in std_logic;
           TXDATA_10 : in std_logic;
           TXDATA_11 : in std_logic;
           TXDATA_12 : in std_logic;
           TXDATA_13 : in std_logic;
           TXDATA_14 : in std_logic;
           TXDATA_15 : in std_logic;
           TXDATA_16 : in std_logic;
           TXDATA_17 : in std_logic;
           TXDATA_18 : in std_logic;
           TXDATA_19 : in std_logic;
           TXDATA_20 : in std_logic;
           TXDATA_21 : in std_logic;
           TXDATA_22 : in std_logic;
           TXDATA_23 : in std_logic;
           TXDATA_24 : in std_logic;
           TXDATA_25 : in std_logic;
           TXDATA_26 : in std_logic;
           TXDATA_27 : in std_logic;
           TXDATA_28 : in std_logic;
           TXDATA_29 : in std_logic;
           TXDATA_30 : in std_logic;
           TXDATA_31 : in std_logic;
           TXDATA_32 : in std_logic;
           TXDATA_33 : in std_logic;
           TXDATA_34 : in std_logic;
           TXDATA_35 : in std_logic;
           TXDATA_36 : in std_logic;
           TXDATA_37 : in std_logic;
           TXDATA_38 : in std_logic;
           TXDATA_39 : in std_logic;
           TXDATA_40 : in std_logic;
           TXDATA_41 : in std_logic;
           TXDATA_42 : in std_logic;
           TXDATA_43 : in std_logic;
           TXDATA_44 : in std_logic;
           TXDATA_45 : in std_logic;
           TXDATA_46 : in std_logic;
           TXDATA_47 : in std_logic;
           TXDATA_48 : in std_logic;
           TXDATA_49 : in std_logic;
           TXDATA_50 : in std_logic;
           TXDATA_51 : in std_logic;
           TXDATA_52 : in std_logic;
           TXDATA_53 : in std_logic;
           TXDATA_54 : in std_logic;
           TXDATA_55 : in std_logic;
           TXDATA_56 : in std_logic;
           TXDATA_57 : in std_logic;
           TXDATA_58 : in std_logic;
           TXDATA_59 : in std_logic;
           TXDATA_60 : in std_logic;
           TXDATA_61 : in std_logic;
           TXDATA_62 : in std_logic;
           TXDATA_63 : in std_logic;
           TXDATAWIDTH_0 : in std_logic;
           TXDATAWIDTH_1 : in std_logic;
           TXENC8B10BUSE : in std_logic;
           TXENC64B66BUSE : in std_logic;
           TXENOOB : in std_logic;
           TXGEARBOX64B66BUSE : in std_logic;
           TXINHIBIT : in std_logic;
           TXINTDATAWIDTH_0 : in std_logic;
           TXINTDATAWIDTH_1 : in std_logic;
           TXPMARESET : in std_logic;
           TXPOLARITY : in std_logic;
           TXRESET : in std_logic;
           TXSCRAM64B66BUSE : in std_logic;
           TXSYNC : in std_logic;
           TXUSRCLK : in std_logic;
           TXUSRCLK2 : in std_logic;
           synDigCfgChnBnd1_0 : in std_logic;
           synDigCfgChnBnd1_1 : in std_logic;
           synDigCfgChnBnd1_2 : in std_logic;
           synDigCfgChnBnd1_3 : in std_logic;
           synDigCfgChnBnd1_4 : in std_logic;
           synDigCfgChnBnd1_5 : in std_logic;
           synDigCfgChnBnd1_6 : in std_logic;
           synDigCfgChnBnd1_7 : in std_logic;
           synDigCfgChnBnd1_8 : in std_logic;
           synDigCfgChnBnd1_9 : in std_logic;
           synDigCfgChnBnd1_10 : in std_logic;
           synDigCfgChnBnd1_11 : in std_logic;
           synDigCfgChnBnd1_12 : in std_logic;
           synDigCfgChnBnd1_13 : in std_logic;
           synDigCfgChnBnd1_14 : in std_logic;
           synDigCfgChnBnd1_15 : in std_logic;
           synDigCfgChnBnd1_16 : in std_logic;
           synDigCfgChnBnd1_17 : in std_logic;
           synDigCfgChnBnd1_18 : in std_logic;
           synDigCfgChnBnd1_19 : in std_logic;
           synDigCfgChnBnd1_20 : in std_logic;
           synDigCfgChnBnd1_21 : in std_logic;
           synDigCfgChnBnd1_22 : in std_logic;
           synDigCfgChnBnd1_23 : in std_logic;
           synDigCfgChnBnd1_24 : in std_logic;
           synDigCfgChnBnd1_25 : in std_logic;
           synDigCfgChnBnd1_26 : in std_logic;
           synDigCfgChnBnd1_27 : in std_logic;
           synDigCfgChnBnd1_28 : in std_logic;
           synDigCfgChnBnd1_29 : in std_logic;
           synDigCfgChnBnd1_30 : in std_logic;
           synDigCfgChnBnd1_31 : in std_logic;
           synDigCfgChnBnd1_32 : in std_logic;
           synDigCfgChnBnd1_33 : in std_logic;
           synDigCfgChnBnd1_34 : in std_logic;
           synDigCfgChnBnd1_35 : in std_logic;
           synDigCfgChnBnd1_36 : in std_logic;
           synDigCfgChnBnd1_37 : in std_logic;
           synDigCfgChnBnd1_38 : in std_logic;
           synDigCfgChnBnd1_39 : in std_logic;
           synDigCfgChnBnd1_40 : in std_logic;
           synDigCfgChnBnd1_41 : in std_logic;
           synDigCfgChnBnd1_42 : in std_logic;
           synDigCfgChnBnd1_43 : in std_logic;
           synDigCfgChnBnd1_44 : in std_logic;
           synDigCfgChnBnd1_45 : in std_logic;
           synDigCfgChnBnd1_46 : in std_logic;
           synDigCfgChnBnd1_47 : in std_logic;
           synDigCfgChnBnd1_48 : in std_logic;
           synDigCfgChnBnd1_49 : in std_logic;
           synDigCfgChnBnd1_50 : in std_logic;
           synDigCfgChnBnd1_51 : in std_logic;
           synDigCfgChnBnd1_52 : in std_logic;
           synDigCfgChnBnd1_53 : in std_logic;
           synDigCfgChnBnd1_54 : in std_logic;
           synDigCfgChnBnd1_55 : in std_logic;
           synDigCfgChnBnd1_56 : in std_logic;
           synDigCfgChnBnd1_57 : in std_logic;
           synDigCfgChnBnd1_58 : in std_logic;
           synDigCfgChnBnd1_59 : in std_logic;
           synDigCfgChnBnd1_60 : in std_logic;
           synDigCfgChnBnd1_61 : in std_logic;
           synDigCfgChnBnd1_62 : in std_logic;
           synDigCfgChnBnd1_63 : in std_logic;
           synDigCfgChnBnd2_0 : in std_logic;
           synDigCfgChnBnd2_1 : in std_logic;
           synDigCfgChnBnd2_2 : in std_logic;
           synDigCfgChnBnd2_3 : in std_logic;
           synDigCfgChnBnd2_4 : in std_logic;
           synDigCfgChnBnd2_5 : in std_logic;
           synDigCfgChnBnd2_6 : in std_logic;
           synDigCfgChnBnd2_7 : in std_logic;
           synDigCfgChnBnd2_8 : in std_logic;
           synDigCfgChnBnd2_9 : in std_logic;
           synDigCfgChnBnd2_10 : in std_logic;
           synDigCfgChnBnd2_11 : in std_logic;
           synDigCfgChnBnd2_12 : in std_logic;
           synDigCfgChnBnd2_13 : in std_logic;
           synDigCfgChnBnd2_14 : in std_logic;
           synDigCfgChnBnd2_15 : in std_logic;
           synDigCfgChnBnd2_16 : in std_logic;
           synDigCfgChnBnd2_17 : in std_logic;
           synDigCfgChnBnd2_18 : in std_logic;
           synDigCfgChnBnd2_19 : in std_logic;
           synDigCfgChnBnd2_20 : in std_logic;
           synDigCfgChnBnd2_21 : in std_logic;
           synDigCfgChnBnd2_22 : in std_logic;
           synDigCfgChnBnd2_23 : in std_logic;
           synDigCfgChnBnd2_24 : in std_logic;
           synDigCfgChnBnd2_25 : in std_logic;
           synDigCfgChnBnd2_26 : in std_logic;
           synDigCfgChnBnd2_27 : in std_logic;
           synDigCfgChnBnd2_28 : in std_logic;
           synDigCfgChnBnd2_29 : in std_logic;
           synDigCfgChnBnd2_30 : in std_logic;
           synDigCfgChnBnd2_31 : in std_logic;
           synDigCfgChnBnd2_32 : in std_logic;
           synDigCfgChnBnd2_33 : in std_logic;
           synDigCfgChnBnd2_34 : in std_logic;
           synDigCfgChnBnd2_35 : in std_logic;
           synDigCfgChnBnd2_36 : in std_logic;
           synDigCfgChnBnd2_37 : in std_logic;
           synDigCfgChnBnd2_38 : in std_logic;
           synDigCfgChnBnd2_39 : in std_logic;
           synDigCfgChnBnd2_40 : in std_logic;
           synDigCfgChnBnd2_41 : in std_logic;
           synDigCfgChnBnd2_42 : in std_logic;
           synDigCfgChnBnd2_43 : in std_logic;
           synDigCfgChnBnd2_44 : in std_logic;
           synDigCfgChnBnd2_45 : in std_logic;
           synDigCfgChnBnd2_46 : in std_logic;
           synDigCfgChnBnd2_47 : in std_logic;
           synDigCfgChnBnd2_48 : in std_logic;
           synDigCfgChnBnd2_49 : in std_logic;
           synDigCfgChnBnd2_50 : in std_logic;
           synDigCfgChnBnd2_51 : in std_logic;
           synDigCfgChnBnd2_52 : in std_logic;
           synDigCfgChnBnd2_53 : in std_logic;
           synDigCfgChnBnd2_54 : in std_logic;
           synDigCfgChnBnd2_55 : in std_logic;
           synDigCfgChnBnd2_56 : in std_logic;
           synDigCfgChnBnd2_57 : in std_logic;
           synDigCfgChnBnd2_58 : in std_logic;
           synDigCfgChnBnd2_59 : in std_logic;
           synDigCfgChnBnd2_60 : in std_logic;
           synDigCfgChnBnd2_61 : in std_logic;
           synDigCfgChnBnd2_62 : in std_logic;
           synDigCfgChnBnd2_63 : in std_logic;
           synDigCfgClkCor1_0 : in std_logic;
           synDigCfgClkCor1_1 : in std_logic;
           synDigCfgClkCor1_2 : in std_logic;
           synDigCfgClkCor1_3 : in std_logic;
           synDigCfgClkCor1_4 : in std_logic;
           synDigCfgClkCor1_5 : in std_logic;
           synDigCfgClkCor1_6 : in std_logic;
           synDigCfgClkCor1_7 : in std_logic;
           synDigCfgClkCor1_8 : in std_logic;
           synDigCfgClkCor1_9 : in std_logic;
           synDigCfgClkCor1_10 : in std_logic;
           synDigCfgClkCor1_11 : in std_logic;
           synDigCfgClkCor1_12 : in std_logic;
           synDigCfgClkCor1_13 : in std_logic;
           synDigCfgClkCor1_14 : in std_logic;
           synDigCfgClkCor1_15 : in std_logic;
           synDigCfgClkCor1_16 : in std_logic;
           synDigCfgClkCor1_17 : in std_logic;
           synDigCfgClkCor1_18 : in std_logic;
           synDigCfgClkCor1_19 : in std_logic;
           synDigCfgClkCor1_20 : in std_logic;
           synDigCfgClkCor1_21 : in std_logic;
           synDigCfgClkCor1_22 : in std_logic;
           synDigCfgClkCor1_23 : in std_logic;
           synDigCfgClkCor1_24 : in std_logic;
           synDigCfgClkCor1_25 : in std_logic;
           synDigCfgClkCor1_26 : in std_logic;
           synDigCfgClkCor1_27 : in std_logic;
           synDigCfgClkCor1_28 : in std_logic;
           synDigCfgClkCor1_29 : in std_logic;
           synDigCfgClkCor1_30 : in std_logic;
           synDigCfgClkCor1_31 : in std_logic;
           synDigCfgClkCor1_32 : in std_logic;
           synDigCfgClkCor1_33 : in std_logic;
           synDigCfgClkCor1_34 : in std_logic;
           synDigCfgClkCor1_35 : in std_logic;
           synDigCfgClkCor1_36 : in std_logic;
           synDigCfgClkCor1_37 : in std_logic;
           synDigCfgClkCor1_38 : in std_logic;
           synDigCfgClkCor1_39 : in std_logic;
           synDigCfgClkCor1_40 : in std_logic;
           synDigCfgClkCor1_41 : in std_logic;
           synDigCfgClkCor1_42 : in std_logic;
           synDigCfgClkCor1_43 : in std_logic;
           synDigCfgClkCor1_44 : in std_logic;
           synDigCfgClkCor1_45 : in std_logic;
           synDigCfgClkCor1_46 : in std_logic;
           synDigCfgClkCor1_47 : in std_logic;
           synDigCfgClkCor1_48 : in std_logic;
           synDigCfgClkCor1_49 : in std_logic;
           synDigCfgClkCor1_50 : in std_logic;
           synDigCfgClkCor1_51 : in std_logic;
           synDigCfgClkCor1_52 : in std_logic;
           synDigCfgClkCor1_53 : in std_logic;
           synDigCfgClkCor1_54 : in std_logic;
           synDigCfgClkCor1_55 : in std_logic;
           synDigCfgClkCor1_56 : in std_logic;
           synDigCfgClkCor1_57 : in std_logic;
           synDigCfgClkCor1_58 : in std_logic;
           synDigCfgClkCor1_59 : in std_logic;
           synDigCfgClkCor1_60 : in std_logic;
           synDigCfgClkCor1_61 : in std_logic;
           synDigCfgClkCor1_62 : in std_logic;
           synDigCfgClkCor1_63 : in std_logic;
           synDigCfgClkCor2_0 : in std_logic;
           synDigCfgClkCor2_1 : in std_logic;
           synDigCfgClkCor2_2 : in std_logic;
           synDigCfgClkCor2_3 : in std_logic;
           synDigCfgClkCor2_4 : in std_logic;
           synDigCfgClkCor2_5 : in std_logic;
           synDigCfgClkCor2_6 : in std_logic;
           synDigCfgClkCor2_7 : in std_logic;
           synDigCfgClkCor2_8 : in std_logic;
           synDigCfgClkCor2_9 : in std_logic;
           synDigCfgClkCor2_10 : in std_logic;
           synDigCfgClkCor2_11 : in std_logic;
           synDigCfgClkCor2_12 : in std_logic;
           synDigCfgClkCor2_13 : in std_logic;
           synDigCfgClkCor2_14 : in std_logic;
           synDigCfgClkCor2_15 : in std_logic;
           synDigCfgClkCor2_16 : in std_logic;
           synDigCfgClkCor2_17 : in std_logic;
           synDigCfgClkCor2_18 : in std_logic;
           synDigCfgClkCor2_19 : in std_logic;
           synDigCfgClkCor2_20 : in std_logic;
           synDigCfgClkCor2_21 : in std_logic;
           synDigCfgClkCor2_22 : in std_logic;
           synDigCfgClkCor2_23 : in std_logic;
           synDigCfgClkCor2_24 : in std_logic;
           synDigCfgClkCor2_25 : in std_logic;
           synDigCfgClkCor2_26 : in std_logic;
           synDigCfgClkCor2_27 : in std_logic;
           synDigCfgClkCor2_28 : in std_logic;
           synDigCfgClkCor2_29 : in std_logic;
           synDigCfgClkCor2_30 : in std_logic;
           synDigCfgClkCor2_31 : in std_logic;
           synDigCfgClkCor2_32 : in std_logic;
           synDigCfgClkCor2_33 : in std_logic;
           synDigCfgClkCor2_34 : in std_logic;
           synDigCfgClkCor2_35 : in std_logic;
           synDigCfgClkCor2_36 : in std_logic;
           synDigCfgClkCor2_37 : in std_logic;
           synDigCfgClkCor2_38 : in std_logic;
           synDigCfgClkCor2_39 : in std_logic;
           synDigCfgClkCor2_40 : in std_logic;
           synDigCfgClkCor2_41 : in std_logic;
           synDigCfgClkCor2_42 : in std_logic;
           synDigCfgClkCor2_43 : in std_logic;
           synDigCfgClkCor2_44 : in std_logic;
           synDigCfgClkCor2_45 : in std_logic;
           synDigCfgClkCor2_46 : in std_logic;
           synDigCfgClkCor2_47 : in std_logic;
           synDigCfgClkCor2_48 : in std_logic;
           synDigCfgClkCor2_49 : in std_logic;
           synDigCfgClkCor2_50 : in std_logic;
           synDigCfgClkCor2_51 : in std_logic;
           synDigCfgClkCor2_52 : in std_logic;
           synDigCfgClkCor2_53 : in std_logic;
           synDigCfgClkCor2_54 : in std_logic;
           synDigCfgClkCor2_55 : in std_logic;
           synDigCfgClkCor2_56 : in std_logic;
           synDigCfgClkCor2_57 : in std_logic;
           synDigCfgClkCor2_58 : in std_logic;
           synDigCfgClkCor2_59 : in std_logic;
           synDigCfgClkCor2_60 : in std_logic;
           synDigCfgClkCor2_61 : in std_logic;
           synDigCfgClkCor2_62 : in std_logic;
           synDigCfgClkCor2_63 : in std_logic;
           synDigCfgComma1_0 : in std_logic;
           synDigCfgComma1_1 : in std_logic;
           synDigCfgComma1_2 : in std_logic;
           synDigCfgComma1_3 : in std_logic;
           synDigCfgComma1_4 : in std_logic;
           synDigCfgComma1_5 : in std_logic;
           synDigCfgComma1_6 : in std_logic;
           synDigCfgComma1_7 : in std_logic;
           synDigCfgComma1_8 : in std_logic;
           synDigCfgComma1_9 : in std_logic;
           synDigCfgComma1_10 : in std_logic;
           synDigCfgComma1_11 : in std_logic;
           synDigCfgComma1_12 : in std_logic;
           synDigCfgComma1_13 : in std_logic;
           synDigCfgComma1_14 : in std_logic;
           synDigCfgComma1_15 : in std_logic;
           synDigCfgComma1_16 : in std_logic;
           synDigCfgComma1_17 : in std_logic;
           synDigCfgComma1_18 : in std_logic;
           synDigCfgComma1_19 : in std_logic;
           synDigCfgComma1_20 : in std_logic;
           synDigCfgComma1_21 : in std_logic;
           synDigCfgComma1_22 : in std_logic;
           synDigCfgComma1_23 : in std_logic;
           synDigCfgComma1_24 : in std_logic;
           synDigCfgComma1_25 : in std_logic;
           synDigCfgComma1_26 : in std_logic;
           synDigCfgComma1_27 : in std_logic;
           synDigCfgComma1_28 : in std_logic;
           synDigCfgComma1_29 : in std_logic;
           synDigCfgComma1_30 : in std_logic;
           synDigCfgComma1_31 : in std_logic;
           synDigCfgComma1_32 : in std_logic;
           synDigCfgComma1_33 : in std_logic;
           synDigCfgComma1_34 : in std_logic;
           synDigCfgComma1_35 : in std_logic;
           synDigCfgComma1_36 : in std_logic;
           synDigCfgComma1_37 : in std_logic;
           synDigCfgComma1_38 : in std_logic;
           synDigCfgComma1_39 : in std_logic;
           synDigCfgComma1_40 : in std_logic;
           synDigCfgComma1_41 : in std_logic;
           synDigCfgComma1_42 : in std_logic;
           synDigCfgComma1_43 : in std_logic;
           synDigCfgComma1_44 : in std_logic;
           synDigCfgComma1_45 : in std_logic;
           synDigCfgComma1_46 : in std_logic;
           synDigCfgComma1_47 : in std_logic;
           synDigCfgComma1_48 : in std_logic;
           synDigCfgComma1_49 : in std_logic;
           synDigCfgComma1_50 : in std_logic;
           synDigCfgComma1_51 : in std_logic;
           synDigCfgComma1_52 : in std_logic;
           synDigCfgComma1_53 : in std_logic;
           synDigCfgComma1_54 : in std_logic;
           synDigCfgComma1_55 : in std_logic;
           synDigCfgComma1_56 : in std_logic;
           synDigCfgComma1_57 : in std_logic;
           synDigCfgComma1_58 : in std_logic;
           synDigCfgComma1_59 : in std_logic;
           synDigCfgComma1_60 : in std_logic;
           synDigCfgComma1_61 : in std_logic;
           synDigCfgComma1_62 : in std_logic;
           synDigCfgComma1_63 : in std_logic;
           synDigCfgComma2_0 : in std_logic;
           synDigCfgComma2_1 : in std_logic;
           synDigCfgComma2_2 : in std_logic;
           synDigCfgComma2_3 : in std_logic;
           synDigCfgComma2_4 : in std_logic;
           synDigCfgComma2_5 : in std_logic;
           synDigCfgComma2_6 : in std_logic;
           synDigCfgComma2_7 : in std_logic;
           synDigCfgComma2_8 : in std_logic;
           synDigCfgComma2_9 : in std_logic;
           synDigCfgComma2_10 : in std_logic;
           synDigCfgComma2_11 : in std_logic;
           synDigCfgComma2_12 : in std_logic;
           synDigCfgComma2_13 : in std_logic;
           synDigCfgComma2_14 : in std_logic;
           synDigCfgComma2_15 : in std_logic;
           synDigCfgComma2_16 : in std_logic;
           synDigCfgComma2_17 : in std_logic;
           synDigCfgComma2_18 : in std_logic;
           synDigCfgComma2_19 : in std_logic;
           synDigCfgComma2_20 : in std_logic;
           synDigCfgComma2_21 : in std_logic;
           synDigCfgComma2_22 : in std_logic;
           synDigCfgComma2_23 : in std_logic;
           synDigCfgComma2_24 : in std_logic;
           synDigCfgComma2_25 : in std_logic;
           synDigCfgComma2_26 : in std_logic;
           synDigCfgComma2_27 : in std_logic;
           synDigCfgComma2_28 : in std_logic;
           synDigCfgComma2_29 : in std_logic;
           synDigCfgComma2_30 : in std_logic;
           synDigCfgComma2_31 : in std_logic;
           synDigCfgComma2_32 : in std_logic;
           synDigCfgComma2_33 : in std_logic;
           synDigCfgComma2_34 : in std_logic;
           synDigCfgComma2_35 : in std_logic;
           synDigCfgComma2_36 : in std_logic;
           synDigCfgComma2_37 : in std_logic;
           synDigCfgComma2_38 : in std_logic;
           synDigCfgComma2_39 : in std_logic;
           synDigCfgComma2_40 : in std_logic;
           synDigCfgComma2_41 : in std_logic;
           synDigCfgComma2_42 : in std_logic;
           synDigCfgComma2_43 : in std_logic;
           synDigCfgComma2_44 : in std_logic;
           synDigCfgComma2_45 : in std_logic;
           synDigCfgComma2_46 : in std_logic;
           synDigCfgComma2_47 : in std_logic;
           synDigCfgComma2_48 : in std_logic;
           synDigCfgComma2_49 : in std_logic;
           synDigCfgComma2_50 : in std_logic;
           synDigCfgComma2_51 : in std_logic;
           synDigCfgComma2_52 : in std_logic;
           synDigCfgComma2_53 : in std_logic;
           synDigCfgComma2_54 : in std_logic;
           synDigCfgComma2_55 : in std_logic;
           synDigCfgComma2_56 : in std_logic;
           synDigCfgComma2_57 : in std_logic;
           synDigCfgComma2_58 : in std_logic;
           synDigCfgComma2_59 : in std_logic;
           synDigCfgComma2_60 : in std_logic;
           synDigCfgComma2_61 : in std_logic;
           synDigCfgComma2_62 : in std_logic;
           synDigCfgComma2_63 : in std_logic;
           synDigCfgCrc_0 : in std_logic;
           synDigCfgCrc_1 : in std_logic;
           synDigCfgCrc_2 : in std_logic;
           synDigCfgCrc_3 : in std_logic;
           synDigCfgCrc_4 : in std_logic;
           synDigCfgCrc_5 : in std_logic;
           synDigCfgCrc_6 : in std_logic;
           synDigCfgCrc_7 : in std_logic;
           synDigCfgCrc_8 : in std_logic;
           synDigCfgCrc_9 : in std_logic;
           synDigCfgCrc_10 : in std_logic;
           synDigCfgCrc_11 : in std_logic;
           synDigCfgCrc_12 : in std_logic;
           synDigCfgCrc_13 : in std_logic;
           synDigCfgCrc_14 : in std_logic;
           synDigCfgCrc_15 : in std_logic;
           synDigCfgCrc_16 : in std_logic;
           synDigCfgCrc_17 : in std_logic;
           synDigCfgCrc_18 : in std_logic;
           synDigCfgCrc_19 : in std_logic;
           synDigCfgCrc_20 : in std_logic;
           synDigCfgCrc_21 : in std_logic;
           synDigCfgCrc_22 : in std_logic;
           synDigCfgCrc_23 : in std_logic;
           synDigCfgCrc_24 : in std_logic;
           synDigCfgCrc_25 : in std_logic;
           synDigCfgCrc_26 : in std_logic;
           synDigCfgCrc_27 : in std_logic;
           synDigCfgCrc_28 : in std_logic;
           synDigCfgCrc_29 : in std_logic;
           synDigCfgCrc_30 : in std_logic;
           synDigCfgCrc_31 : in std_logic;
           synDigCfgCrc_32 : in std_logic;
           synDigCfgCrc_33 : in std_logic;
           synDigCfgCrc_34 : in std_logic;
           synDigCfgCrc_35 : in std_logic;
           synDigCfgCrc_36 : in std_logic;
           synDigCfgCrc_37 : in std_logic;
           synDigCfgCrc_38 : in std_logic;
           synDigCfgCrc_39 : in std_logic;
           synDigCfgCrc_40 : in std_logic;
           synDigCfgCrc_41 : in std_logic;
           synDigCfgCrc_42 : in std_logic;
           synDigCfgCrc_43 : in std_logic;
           synDigCfgCrc_44 : in std_logic;
           synDigCfgCrc_45 : in std_logic;
           synDigCfgCrc_46 : in std_logic;
           synDigCfgCrc_47 : in std_logic;
           synDigCfgCrc_48 : in std_logic;
           synDigCfgCrc_49 : in std_logic;
           synDigCfgCrc_50 : in std_logic;
           synDigCfgCrc_51 : in std_logic;
           synDigCfgCrc_52 : in std_logic;
           synDigCfgCrc_53 : in std_logic;
           synDigCfgCrc_54 : in std_logic;
           synDigCfgCrc_55 : in std_logic;
           synDigCfgCrc_56 : in std_logic;
           synDigCfgCrc_57 : in std_logic;
           synDigCfgCrc_58 : in std_logic;
           synDigCfgCrc_59 : in std_logic;
           synDigCfgCrc_60 : in std_logic;
           synDigCfgCrc_61 : in std_logic;
           synDigCfgCrc_62 : in std_logic;
           synDigCfgCrc_63 : in std_logic;
           synDigCfgMisc_0 : in std_logic;
           synDigCfgMisc_1 : in std_logic;
           synDigCfgMisc_2 : in std_logic;
           synDigCfgMisc_3 : in std_logic;
           synDigCfgMisc_4 : in std_logic;
           synDigCfgMisc_5 : in std_logic;
           synDigCfgMisc_6 : in std_logic;
           synDigCfgMisc_7 : in std_logic;
           synDigCfgMisc_8 : in std_logic;
           synDigCfgMisc_9 : in std_logic;
           synDigCfgMisc_10 : in std_logic;
           synDigCfgMisc_11 : in std_logic;
           synDigCfgMisc_12 : in std_logic;
           synDigCfgMisc_13 : in std_logic;
           synDigCfgMisc_14 : in std_logic;
           synDigCfgMisc_15 : in std_logic;
           synDigCfgMisc_16 : in std_logic;
           synDigCfgMisc_17 : in std_logic;
           synDigCfgMisc_18 : in std_logic;
           synDigCfgMisc_19 : in std_logic;
           synDigCfgMisc_20 : in std_logic;
           synDigCfgMisc_21 : in std_logic;
           synDigCfgMisc_22 : in std_logic;
           synDigCfgMisc_23 : in std_logic;
           synDigCfgMisc_24 : in std_logic;
           synDigCfgMisc_25 : in std_logic;
           synDigCfgMisc_26 : in std_logic;
           synDigCfgMisc_27 : in std_logic;
           synDigCfgMisc_28 : in std_logic;
           synDigCfgMisc_29 : in std_logic;
           synDigCfgMisc_30 : in std_logic;
           synDigCfgMisc_31 : in std_logic;
           synDigCfgMisc_32 : in std_logic;
           synDigCfgMisc_33 : in std_logic;
           synDigCfgMisc_34 : in std_logic;
           synDigCfgMisc_35 : in std_logic;
           synDigCfgMisc_36 : in std_logic;
           synDigCfgMisc_37 : in std_logic;
           synDigCfgMisc_38 : in std_logic;
           synDigCfgMisc_39 : in std_logic;
           synDigCfgMisc_40 : in std_logic;
           synDigCfgMisc_41 : in std_logic;
           synDigCfgMisc_42 : in std_logic;
           synDigCfgMisc_43 : in std_logic;
           synDigCfgMisc_44 : in std_logic;
           synDigCfgMisc_45 : in std_logic;
           synDigCfgMisc_46 : in std_logic;
           synDigCfgMisc_47 : in std_logic;
           synDigCfgMisc_48 : in std_logic;
           synDigCfgMisc_49 : in std_logic;
           synDigCfgMisc_50 : in std_logic;
           synDigCfgMisc_51 : in std_logic;
           synDigCfgMisc_52 : in std_logic;
           synDigCfgMisc_53 : in std_logic;
           synDigCfgMisc_54 : in std_logic;
           synDigCfgMisc_55 : in std_logic;
           synDigCfgMisc_56 : in std_logic;
           synDigCfgMisc_57 : in std_logic;
           synDigCfgMisc_58 : in std_logic;
           synDigCfgMisc_59 : in std_logic;
           synDigCfgMisc_60 : in std_logic;
           synDigCfgMisc_61 : in std_logic;
           synDigCfgMisc_62 : in std_logic;
           synDigCfgMisc_63 : in std_logic;
           synDigCfgSynPmaFD_0 : in std_logic;
           synDigCfgSynPmaFD_1 : in std_logic;
           synDigCfgSynPmaFD_2 : in std_logic;
           synDigCfgSynPmaFD_3 : in std_logic;
           synDigCfgSynPmaFD_4 : in std_logic;
           synDigCfgSynPmaFD_5 : in std_logic;
           synDigCfgSynPmaFD_6 : in std_logic;
           synDigCfgSynPmaFD_7 : in std_logic;
           synDigCfgSynPmaFD_8 : in std_logic;
           synDigCfgSynPmaFD_9 : in std_logic;
           synDigCfgSynPmaFD_10 : in std_logic;
           synDigCfgSynPmaFD_11 : in std_logic;
           synDigCfgSynPmaFD_12 : in std_logic;
           synDigCfgSynPmaFD_13 : in std_logic;
           synDigCfgSynPmaFD_14 : in std_logic;
           synDigCfgSynPmaFD_15 : in std_logic;
           synDigCfgSynPmaFD_16 : in std_logic;
           synDigCfgSynPmaFD_17 : in std_logic;
           synDigCfgSynPmaFD_18 : in std_logic;
           synDigCfgSynPmaFD_19 : in std_logic;
           synDigCfgSynPmaFD_20 : in std_logic;
           synDigCfgSynPmaFD_21 : in std_logic;
           synDigCfgSynPmaFD_22 : in std_logic;
           synDigCfgSynPmaFD_23 : in std_logic;
           synDigCfgSynPmaFD_24 : in std_logic;
           synDigCfgSynPmaFD_25 : in std_logic;
           synDigCfgSynPmaFD_26 : in std_logic;
           synDigCfgSynPmaFD_27 : in std_logic;
           synDigCfgSynPmaFD_28 : in std_logic;
           synDigCfgSynPmaFD_29 : in std_logic;
           synDigCfgSynPmaFD_30 : in std_logic;
           synDigCfgSynPmaFD_31 : in std_logic;
           synDigCfgSynPmaFD_32 : in std_logic;
           synDigCfgSynPmaFD_33 : in std_logic;
           synDigCfgSynPmaFD_34 : in std_logic;
           synDigCfgSynPmaFD_35 : in std_logic;
           synDigCfgSynPmaFD_36 : in std_logic;
           synDigCfgSynPmaFD_37 : in std_logic;
           synDigCfgSynPmaFD_38 : in std_logic;
           synDigCfgSynPmaFD_39 : in std_logic;
           synDigCfgSynPmaFD_40 : in std_logic;
           synDigCfgSynPmaFD_41 : in std_logic;
           synDigCfgSynPmaFD_42 : in std_logic;
           synDigCfgSynPmaFD_43 : in std_logic;
           synDigCfgSynPmaFD_44 : in std_logic;
           synDigCfgSynPmaFD_45 : in std_logic;
           synDigCfgSynPmaFD_46 : in std_logic;
           synDigCfgSynPmaFD_47 : in std_logic;
           synDigCfgSynPmaFD_48 : in std_logic;
           synDigCfgSynPmaFD_49 : in std_logic;
           synDigCfgSynPmaFD_50 : in std_logic;
           synDigCfgSynPmaFD_51 : in std_logic;
           synDigCfgSynPmaFD_52 : in std_logic;
           synDigCfgSynPmaFD_53 : in std_logic;
           synDigCfgSynPmaFD_54 : in std_logic;
           synDigCfgSynPmaFD_55 : in std_logic;
           synDigCfgSynPmaFD_56 : in std_logic;
           synDigCfgSynPmaFD_57 : in std_logic;
           synDigCfgSynPmaFD_58 : in std_logic;
           synDigCfgSynPmaFD_59 : in std_logic;
           synDigCfgSynPmaFD_60 : in std_logic;
           synDigCfgSynPmaFD_61 : in std_logic;
           synDigCfgSynPmaFD_62 : in std_logic;
           synDigCfgSynPmaFD_63 : in std_logic;
           COMBUSIN_0 : in std_logic;
           COMBUSIN_1 : in std_logic;
           COMBUSIN_2 : in std_logic;
           COMBUSIN_3 : in std_logic;
           COMBUSIN_4 : in std_logic;
           COMBUSIN_5 : in std_logic;
           COMBUSIN_6 : in std_logic;
           COMBUSIN_7 : in std_logic;
           COMBUSIN_8 : in std_logic;
           COMBUSIN_9 : in std_logic;
           COMBUSIN_10 : in std_logic;
           COMBUSIN_11 : in std_logic;
           COMBUSIN_12 : in std_logic;
           COMBUSIN_13 : in std_logic;
           COMBUSIN_14 : in std_logic;
           COMBUSIN_15 : in std_logic;
           COMBUSOUT_0 : out std_logic;
           COMBUSOUT_1 : out std_logic;
           COMBUSOUT_2 : out std_logic;
           COMBUSOUT_3 : out std_logic;
           COMBUSOUT_4 : out std_logic;
           COMBUSOUT_5 : out std_logic;
           COMBUSOUT_6 : out std_logic;
           COMBUSOUT_7 : out std_logic;
           COMBUSOUT_8 : out std_logic;
           COMBUSOUT_9 : out std_logic;
           COMBUSOUT_10 : out std_logic;
           COMBUSOUT_11 : out std_logic;
           COMBUSOUT_12 : out std_logic;
           COMBUSOUT_13 : out std_logic;
           COMBUSOUT_14 : out std_logic;
           COMBUSOUT_15 : out std_logic;
           GT11_MODE_0 : in std_logic;
           GT11_MODE_1 : in std_logic );
end;

architecture SmartModel of gt11_swift is
    attribute FOREIGN : STRING;
    attribute FOREIGN of SmartModel : architecture is "sm_init $ALDEC/BIN/swift.dll ; gt11_swift";
begin
end SmartModel;

library ieee;
use ieee.std_logic_1164.all;
entity gt_swift is
    generic ( TimingVersion : STRING := "gt_swift";
              DelayRange : STRING := "MAX";
              MC_Reference : STRING := "0000" );
    port ( RXP : in std_logic;
           RXN : in std_logic;
           TXP : out std_logic;
           TXN : out std_logic;
           REFCLK : in std_logic;
           REFCLK2 : in std_logic;
           REFCLKSEL : in std_logic;
           BREFCLK : in std_logic;
           BREFCLK2 : in std_logic;
           RXUSRCLK : in std_logic;
           TXUSRCLK : in std_logic;
           RXUSRCLK2 : in std_logic;
           TXUSRCLK2 : in std_logic;
           RXRESET : in std_logic;
           TXRESET : in std_logic;
           POWERDOWN : in std_logic;
           LOOPBACK_0 : in std_logic;
           LOOPBACK_1 : in std_logic;
           TXDATA_0 : in std_logic;
           TXDATA_1 : in std_logic;
           TXDATA_2 : in std_logic;
           TXDATA_3 : in std_logic;
           TXDATA_4 : in std_logic;
           TXDATA_5 : in std_logic;
           TXDATA_6 : in std_logic;
           TXDATA_7 : in std_logic;
           TXDATA_8 : in std_logic;
           TXDATA_9 : in std_logic;
           TXDATA_10 : in std_logic;
           TXDATA_11 : in std_logic;
           TXDATA_12 : in std_logic;
           TXDATA_13 : in std_logic;
           TXDATA_14 : in std_logic;
           TXDATA_15 : in std_logic;
           TXDATA_16 : in std_logic;
           TXDATA_17 : in std_logic;
           TXDATA_18 : in std_logic;
           TXDATA_19 : in std_logic;
           TXDATA_20 : in std_logic;
           TXDATA_21 : in std_logic;
           TXDATA_22 : in std_logic;
           TXDATA_23 : in std_logic;
           TXDATA_24 : in std_logic;
           TXDATA_25 : in std_logic;
           TXDATA_26 : in std_logic;
           TXDATA_27 : in std_logic;
           TXDATA_28 : in std_logic;
           TXDATA_29 : in std_logic;
           TXDATA_30 : in std_logic;
           TXDATA_31 : in std_logic;
           TXCHARDISPMODE_0 : in std_logic;
           TXCHARDISPMODE_1 : in std_logic;
           TXCHARDISPMODE_2 : in std_logic;
           TXCHARDISPMODE_3 : in std_logic;
           TXCHARDISPVAL_0 : in std_logic;
           TXCHARDISPVAL_1 : in std_logic;
           TXCHARDISPVAL_2 : in std_logic;
           TXCHARDISPVAL_3 : in std_logic;
           TXCHARISK_0 : in std_logic;
           TXCHARISK_1 : in std_logic;
           TXCHARISK_2 : in std_logic;
           TXCHARISK_3 : in std_logic;
           TXBYPASS8B10B_0 : in std_logic;
           TXBYPASS8B10B_1 : in std_logic;
           TXBYPASS8B10B_2 : in std_logic;
           TXBYPASS8B10B_3 : in std_logic;
           TXFORCECRCERR : in std_logic;
           TXPOLARITY : in std_logic;
           TXINHIBIT : in std_logic;
           ENCHANSYNC : in std_logic;
           ENPCOMMAALIGN : in std_logic;
           ENMCOMMAALIGN : in std_logic;
           RXPOLARITY : in std_logic;
           CHBONDI_0 : in std_logic;
           CHBONDI_1 : in std_logic;
           CHBONDI_2 : in std_logic;
           CHBONDI_3 : in std_logic;
           CONFIGIN : in std_logic;
           CONFIGENABLE : in std_logic;
           RXRECCLK : out std_logic;
           TXBUFERR : out std_logic;
           TXRUNDISP_0 : out std_logic;
           TXRUNDISP_1 : out std_logic;
           TXRUNDISP_2 : out std_logic;
           TXRUNDISP_3 : out std_logic;
           TXKERR_0 : out std_logic;
           TXKERR_1 : out std_logic;
           TXKERR_2 : out std_logic;
           TXKERR_3 : out std_logic;
           RXREALIGN : out std_logic;
           RXCOMMADET : out std_logic;
           RXLOSSOFSYNC_0 : out std_logic;
           RXLOSSOFSYNC_1 : out std_logic;
           RXCLKCORCNT_0 : out std_logic;
           RXCLKCORCNT_1 : out std_logic;
           RXCLKCORCNT_2 : out std_logic;
           RXDATA_0 : out std_logic;
           RXDATA_1 : out std_logic;
           RXDATA_2 : out std_logic;
           RXDATA_3 : out std_logic;
           RXDATA_4 : out std_logic;
           RXDATA_5 : out std_logic;
           RXDATA_6 : out std_logic;
           RXDATA_7 : out std_logic;
           RXDATA_8 : out std_logic;
           RXDATA_9 : out std_logic;
           RXDATA_10 : out std_logic;
           RXDATA_11 : out std_logic;
           RXDATA_12 : out std_logic;
           RXDATA_13 : out std_logic;
           RXDATA_14 : out std_logic;
           RXDATA_15 : out std_logic;
           RXDATA_16 : out std_logic;
           RXDATA_17 : out std_logic;
           RXDATA_18 : out std_logic;
           RXDATA_19 : out std_logic;
           RXDATA_20 : out std_logic;
           RXDATA_21 : out std_logic;
           RXDATA_22 : out std_logic;
           RXDATA_23 : out std_logic;
           RXDATA_24 : out std_logic;
           RXDATA_25 : out std_logic;
           RXDATA_26 : out std_logic;
           RXDATA_27 : out std_logic;
           RXDATA_28 : out std_logic;
           RXDATA_29 : out std_logic;
           RXDATA_30 : out std_logic;
           RXDATA_31 : out std_logic;
           RXCHARISCOMMA_0 : out std_logic;
           RXCHARISCOMMA_1 : out std_logic;
           RXCHARISCOMMA_2 : out std_logic;
           RXCHARISCOMMA_3 : out std_logic;
           RXCHARISK_0 : out std_logic;
           RXCHARISK_1 : out std_logic;
           RXCHARISK_2 : out std_logic;
           RXCHARISK_3 : out std_logic;
           RXNOTINTABLE_0 : out std_logic;
           RXNOTINTABLE_1 : out std_logic;
           RXNOTINTABLE_2 : out std_logic;
           RXNOTINTABLE_3 : out std_logic;
           RXDISPERR_0 : out std_logic;
           RXDISPERR_1 : out std_logic;
           RXDISPERR_2 : out std_logic;
           RXDISPERR_3 : out std_logic;
           RXRUNDISP_0 : out std_logic;
           RXRUNDISP_1 : out std_logic;
           RXRUNDISP_2 : out std_logic;
           RXRUNDISP_3 : out std_logic;
           RXBUFSTATUS_0 : out std_logic;
           RXBUFSTATUS_1 : out std_logic;
           RXCHECKINGCRC : out std_logic;
           RXCRCERR : out std_logic;
           CHBONDO_0 : out std_logic;
           CHBONDO_1 : out std_logic;
           CHBONDO_2 : out std_logic;
           CHBONDO_3 : out std_logic;
           CHBONDDONE : out std_logic;
           CONFIGOUT : out std_logic;
           TX_PREEMPHASIS_0 : in std_logic;
           TX_PREEMPHASIS_1 : in std_logic;
           TX_DIFF_CTRL_0 : in std_logic;
           TX_DIFF_CTRL_1 : in std_logic;
           TX_DIFF_CTRL_2 : in std_logic;
           TERMINATION_IMP : in std_logic;
           SERDES_10B : in std_logic;
           ALIGN_COMMA_MSB : in std_logic;
           PCOMMA_DETECT : in std_logic;
           MCOMMA_DETECT : in std_logic;
           PCOMMA_10B_VALUE_9 : in std_logic;
           PCOMMA_10B_VALUE_8 : in std_logic;
           PCOMMA_10B_VALUE_7 : in std_logic;
           PCOMMA_10B_VALUE_6 : in std_logic;
           PCOMMA_10B_VALUE_5 : in std_logic;
           PCOMMA_10B_VALUE_4 : in std_logic;
           PCOMMA_10B_VALUE_3 : in std_logic;
           PCOMMA_10B_VALUE_2 : in std_logic;
           PCOMMA_10B_VALUE_1 : in std_logic;
           PCOMMA_10B_VALUE_0 : in std_logic;
           MCOMMA_10B_VALUE_9 : in std_logic;
           MCOMMA_10B_VALUE_8 : in std_logic;
           MCOMMA_10B_VALUE_7 : in std_logic;
           MCOMMA_10B_VALUE_6 : in std_logic;
           MCOMMA_10B_VALUE_5 : in std_logic;
           MCOMMA_10B_VALUE_4 : in std_logic;
           MCOMMA_10B_VALUE_3 : in std_logic;
           MCOMMA_10B_VALUE_2 : in std_logic;
           MCOMMA_10B_VALUE_1 : in std_logic;
           MCOMMA_10B_VALUE_0 : in std_logic;
           COMMA_10B_MASK_9 : in std_logic;
           COMMA_10B_MASK_8 : in std_logic;
           COMMA_10B_MASK_7 : in std_logic;
           COMMA_10B_MASK_6 : in std_logic;
           COMMA_10B_MASK_5 : in std_logic;
           COMMA_10B_MASK_4 : in std_logic;
           COMMA_10B_MASK_3 : in std_logic;
           COMMA_10B_MASK_2 : in std_logic;
           COMMA_10B_MASK_1 : in std_logic;
           COMMA_10B_MASK_0 : in std_logic;
           DEC_PCOMMA_DETECT : in std_logic;
           DEC_MCOMMA_DETECT : in std_logic;
           DEC_VALID_COMMA_ONLY : in std_logic;
           RX_LOSS_OF_SYNC_FSM : in std_logic;
           RX_LOS_INVALID_INCR_0 : in std_logic;
           RX_LOS_INVALID_INCR_1 : in std_logic;
           RX_LOS_INVALID_INCR_2 : in std_logic;
           RX_LOS_THRESHOLD_0 : in std_logic;
           RX_LOS_THRESHOLD_1 : in std_logic;
           RX_LOS_THRESHOLD_2 : in std_logic;
           RX_DECODE_USE : in std_logic;
           RX_BUFFER_USE : in std_logic;
           TX_BUFFER_USE : in std_logic;
           CLK_CORRECT_USE : in std_logic;
           CLK_COR_SEQ_LEN_0 : in std_logic;
           CLK_COR_SEQ_LEN_1 : in std_logic;
           CLK_COR_KEEP_IDLE : in std_logic;
           CLK_COR_REPEAT_WAIT_0 : in std_logic;
           CLK_COR_REPEAT_WAIT_1 : in std_logic;
           CLK_COR_REPEAT_WAIT_2 : in std_logic;
           CLK_COR_REPEAT_WAIT_3 : in std_logic;
           CLK_COR_REPEAT_WAIT_4 : in std_logic;
           CLK_COR_INSERT_IDLE_FLAG : in std_logic;
           CLK_COR_SEQ_1_1_0 : in std_logic;
           CLK_COR_SEQ_1_1_1 : in std_logic;
           CLK_COR_SEQ_1_1_2 : in std_logic;
           CLK_COR_SEQ_1_1_3 : in std_logic;
           CLK_COR_SEQ_1_1_4 : in std_logic;
           CLK_COR_SEQ_1_1_5 : in std_logic;
           CLK_COR_SEQ_1_1_6 : in std_logic;
           CLK_COR_SEQ_1_1_7 : in std_logic;
           CLK_COR_SEQ_1_1_8 : in std_logic;
           CLK_COR_SEQ_1_1_9 : in std_logic;
           CLK_COR_SEQ_1_1_10 : in std_logic;
           CLK_COR_SEQ_1_2_0 : in std_logic;
           CLK_COR_SEQ_1_2_1 : in std_logic;
           CLK_COR_SEQ_1_2_2 : in std_logic;
           CLK_COR_SEQ_1_2_3 : in std_logic;
           CLK_COR_SEQ_1_2_4 : in std_logic;
           CLK_COR_SEQ_1_2_5 : in std_logic;
           CLK_COR_SEQ_1_2_6 : in std_logic;
           CLK_COR_SEQ_1_2_7 : in std_logic;
           CLK_COR_SEQ_1_2_8 : in std_logic;
           CLK_COR_SEQ_1_2_9 : in std_logic;
           CLK_COR_SEQ_1_2_10 : in std_logic;
           CLK_COR_SEQ_1_3_0 : in std_logic;
           CLK_COR_SEQ_1_3_1 : in std_logic;
           CLK_COR_SEQ_1_3_2 : in std_logic;
           CLK_COR_SEQ_1_3_3 : in std_logic;
           CLK_COR_SEQ_1_3_4 : in std_logic;
           CLK_COR_SEQ_1_3_5 : in std_logic;
           CLK_COR_SEQ_1_3_6 : in std_logic;
           CLK_COR_SEQ_1_3_7 : in std_logic;
           CLK_COR_SEQ_1_3_8 : in std_logic;
           CLK_COR_SEQ_1_3_9 : in std_logic;
           CLK_COR_SEQ_1_3_10 : in std_logic;
           CLK_COR_SEQ_1_4_0 : in std_logic;
           CLK_COR_SEQ_1_4_1 : in std_logic;
           CLK_COR_SEQ_1_4_2 : in std_logic;
           CLK_COR_SEQ_1_4_3 : in std_logic;
           CLK_COR_SEQ_1_4_4 : in std_logic;
           CLK_COR_SEQ_1_4_5 : in std_logic;
           CLK_COR_SEQ_1_4_6 : in std_logic;
           CLK_COR_SEQ_1_4_7 : in std_logic;
           CLK_COR_SEQ_1_4_8 : in std_logic;
           CLK_COR_SEQ_1_4_9 : in std_logic;
           CLK_COR_SEQ_1_4_10 : in std_logic;
           CLK_COR_SEQ_2_USE : in std_logic;
           CLK_COR_SEQ_2_1_0 : in std_logic;
           CLK_COR_SEQ_2_1_1 : in std_logic;
           CLK_COR_SEQ_2_1_2 : in std_logic;
           CLK_COR_SEQ_2_1_3 : in std_logic;
           CLK_COR_SEQ_2_1_4 : in std_logic;
           CLK_COR_SEQ_2_1_5 : in std_logic;
           CLK_COR_SEQ_2_1_6 : in std_logic;
           CLK_COR_SEQ_2_1_7 : in std_logic;
           CLK_COR_SEQ_2_1_8 : in std_logic;
           CLK_COR_SEQ_2_1_9 : in std_logic;
           CLK_COR_SEQ_2_1_10 : in std_logic;
           CLK_COR_SEQ_2_2_0 : in std_logic;
           CLK_COR_SEQ_2_2_1 : in std_logic;
           CLK_COR_SEQ_2_2_2 : in std_logic;
           CLK_COR_SEQ_2_2_3 : in std_logic;
           CLK_COR_SEQ_2_2_4 : in std_logic;
           CLK_COR_SEQ_2_2_5 : in std_logic;
           CLK_COR_SEQ_2_2_6 : in std_logic;
           CLK_COR_SEQ_2_2_7 : in std_logic;
           CLK_COR_SEQ_2_2_8 : in std_logic;
           CLK_COR_SEQ_2_2_9 : in std_logic;
           CLK_COR_SEQ_2_2_10 : in std_logic;
           CLK_COR_SEQ_2_3_0 : in std_logic;
           CLK_COR_SEQ_2_3_1 : in std_logic;
           CLK_COR_SEQ_2_3_2 : in std_logic;
           CLK_COR_SEQ_2_3_3 : in std_logic;
           CLK_COR_SEQ_2_3_4 : in std_logic;
           CLK_COR_SEQ_2_3_5 : in std_logic;
           CLK_COR_SEQ_2_3_6 : in std_logic;
           CLK_COR_SEQ_2_3_7 : in std_logic;
           CLK_COR_SEQ_2_3_8 : in std_logic;
           CLK_COR_SEQ_2_3_9 : in std_logic;
           CLK_COR_SEQ_2_3_10 : in std_logic;
           CLK_COR_SEQ_2_4_0 : in std_logic;
           CLK_COR_SEQ_2_4_1 : in std_logic;
           CLK_COR_SEQ_2_4_2 : in std_logic;
           CLK_COR_SEQ_2_4_3 : in std_logic;
           CLK_COR_SEQ_2_4_4 : in std_logic;
           CLK_COR_SEQ_2_4_5 : in std_logic;
           CLK_COR_SEQ_2_4_6 : in std_logic;
           CLK_COR_SEQ_2_4_7 : in std_logic;
           CLK_COR_SEQ_2_4_8 : in std_logic;
           CLK_COR_SEQ_2_4_9 : in std_logic;
           CLK_COR_SEQ_2_4_10 : in std_logic;
           CHAN_BOND_MODE_0 : in std_logic;
           CHAN_BOND_MODE_1 : in std_logic;
           CHAN_BOND_SEQ_LEN_0 : in std_logic;
           CHAN_BOND_SEQ_LEN_1 : in std_logic;
           CHAN_BOND_SEQ_1_1_0 : in std_logic;
           CHAN_BOND_SEQ_1_1_1 : in std_logic;
           CHAN_BOND_SEQ_1_1_2 : in std_logic;
           CHAN_BOND_SEQ_1_1_3 : in std_logic;
           CHAN_BOND_SEQ_1_1_4 : in std_logic;
           CHAN_BOND_SEQ_1_1_5 : in std_logic;
           CHAN_BOND_SEQ_1_1_6 : in std_logic;
           CHAN_BOND_SEQ_1_1_7 : in std_logic;
           CHAN_BOND_SEQ_1_1_8 : in std_logic;
           CHAN_BOND_SEQ_1_1_9 : in std_logic;
           CHAN_BOND_SEQ_1_1_10 : in std_logic;
           CHAN_BOND_SEQ_1_2_0 : in std_logic;
           CHAN_BOND_SEQ_1_2_1 : in std_logic;
           CHAN_BOND_SEQ_1_2_2 : in std_logic;
           CHAN_BOND_SEQ_1_2_3 : in std_logic;
           CHAN_BOND_SEQ_1_2_4 : in std_logic;
           CHAN_BOND_SEQ_1_2_5 : in std_logic;
           CHAN_BOND_SEQ_1_2_6 : in std_logic;
           CHAN_BOND_SEQ_1_2_7 : in std_logic;
           CHAN_BOND_SEQ_1_2_8 : in std_logic;
           CHAN_BOND_SEQ_1_2_9 : in std_logic;
           CHAN_BOND_SEQ_1_2_10 : in std_logic;
           CHAN_BOND_SEQ_1_3_0 : in std_logic;
           CHAN_BOND_SEQ_1_3_1 : in std_logic;
           CHAN_BOND_SEQ_1_3_2 : in std_logic;
           CHAN_BOND_SEQ_1_3_3 : in std_logic;
           CHAN_BOND_SEQ_1_3_4 : in std_logic;
           CHAN_BOND_SEQ_1_3_5 : in std_logic;
           CHAN_BOND_SEQ_1_3_6 : in std_logic;
           CHAN_BOND_SEQ_1_3_7 : in std_logic;
           CHAN_BOND_SEQ_1_3_8 : in std_logic;
           CHAN_BOND_SEQ_1_3_9 : in std_logic;
           CHAN_BOND_SEQ_1_3_10 : in std_logic;
           CHAN_BOND_SEQ_1_4_0 : in std_logic;
           CHAN_BOND_SEQ_1_4_1 : in std_logic;
           CHAN_BOND_SEQ_1_4_2 : in std_logic;
           CHAN_BOND_SEQ_1_4_3 : in std_logic;
           CHAN_BOND_SEQ_1_4_4 : in std_logic;
           CHAN_BOND_SEQ_1_4_5 : in std_logic;
           CHAN_BOND_SEQ_1_4_6 : in std_logic;
           CHAN_BOND_SEQ_1_4_7 : in std_logic;
           CHAN_BOND_SEQ_1_4_8 : in std_logic;
           CHAN_BOND_SEQ_1_4_9 : in std_logic;
           CHAN_BOND_SEQ_1_4_10 : in std_logic;
           CHAN_BOND_SEQ_2_USE : in std_logic;
           CHAN_BOND_SEQ_2_1_0 : in std_logic;
           CHAN_BOND_SEQ_2_1_1 : in std_logic;
           CHAN_BOND_SEQ_2_1_2 : in std_logic;
           CHAN_BOND_SEQ_2_1_3 : in std_logic;
           CHAN_BOND_SEQ_2_1_4 : in std_logic;
           CHAN_BOND_SEQ_2_1_5 : in std_logic;
           CHAN_BOND_SEQ_2_1_6 : in std_logic;
           CHAN_BOND_SEQ_2_1_7 : in std_logic;
           CHAN_BOND_SEQ_2_1_8 : in std_logic;
           CHAN_BOND_SEQ_2_1_9 : in std_logic;
           CHAN_BOND_SEQ_2_1_10 : in std_logic;
           CHAN_BOND_SEQ_2_2_0 : in std_logic;
           CHAN_BOND_SEQ_2_2_1 : in std_logic;
           CHAN_BOND_SEQ_2_2_2 : in std_logic;
           CHAN_BOND_SEQ_2_2_3 : in std_logic;
           CHAN_BOND_SEQ_2_2_4 : in std_logic;
           CHAN_BOND_SEQ_2_2_5 : in std_logic;
           CHAN_BOND_SEQ_2_2_6 : in std_logic;
           CHAN_BOND_SEQ_2_2_7 : in std_logic;
           CHAN_BOND_SEQ_2_2_8 : in std_logic;
           CHAN_BOND_SEQ_2_2_9 : in std_logic;
           CHAN_BOND_SEQ_2_2_10 : in std_logic;
           CHAN_BOND_SEQ_2_3_0 : in std_logic;
           CHAN_BOND_SEQ_2_3_1 : in std_logic;
           CHAN_BOND_SEQ_2_3_2 : in std_logic;
           CHAN_BOND_SEQ_2_3_3 : in std_logic;
           CHAN_BOND_SEQ_2_3_4 : in std_logic;
           CHAN_BOND_SEQ_2_3_5 : in std_logic;
           CHAN_BOND_SEQ_2_3_6 : in std_logic;
           CHAN_BOND_SEQ_2_3_7 : in std_logic;
           CHAN_BOND_SEQ_2_3_8 : in std_logic;
           CHAN_BOND_SEQ_2_3_9 : in std_logic;
           CHAN_BOND_SEQ_2_3_10 : in std_logic;
           CHAN_BOND_SEQ_2_4_0 : in std_logic;
           CHAN_BOND_SEQ_2_4_1 : in std_logic;
           CHAN_BOND_SEQ_2_4_2 : in std_logic;
           CHAN_BOND_SEQ_2_4_3 : in std_logic;
           CHAN_BOND_SEQ_2_4_4 : in std_logic;
           CHAN_BOND_SEQ_2_4_5 : in std_logic;
           CHAN_BOND_SEQ_2_4_6 : in std_logic;
           CHAN_BOND_SEQ_2_4_7 : in std_logic;
           CHAN_BOND_SEQ_2_4_8 : in std_logic;
           CHAN_BOND_SEQ_2_4_9 : in std_logic;
           CHAN_BOND_SEQ_2_4_10 : in std_logic;
           CHAN_BOND_WAIT_0 : in std_logic;
           CHAN_BOND_WAIT_1 : in std_logic;
           CHAN_BOND_WAIT_2 : in std_logic;
           CHAN_BOND_WAIT_3 : in std_logic;
           CHAN_BOND_OFFSET_0 : in std_logic;
           CHAN_BOND_OFFSET_1 : in std_logic;
           CHAN_BOND_OFFSET_2 : in std_logic;
           CHAN_BOND_OFFSET_3 : in std_logic;
           CHAN_BOND_LIMIT_0 : in std_logic;
           CHAN_BOND_LIMIT_1 : in std_logic;
           CHAN_BOND_LIMIT_2 : in std_logic;
           CHAN_BOND_LIMIT_3 : in std_logic;
           CHAN_BOND_LIMIT_4 : in std_logic;
           CHAN_BOND_ONE_SHOT : in std_logic;
           CRC_FORMAT_0 : in std_logic;
           CRC_FORMAT_1 : in std_logic;
           CRC_START_OF_PKT_0 : in std_logic;
           CRC_START_OF_PKT_1 : in std_logic;
           CRC_START_OF_PKT_2 : in std_logic;
           CRC_START_OF_PKT_3 : in std_logic;
           CRC_START_OF_PKT_4 : in std_logic;
           CRC_START_OF_PKT_5 : in std_logic;
           CRC_START_OF_PKT_6 : in std_logic;
           CRC_START_OF_PKT_7 : in std_logic;
           CRC_END_OF_PKT_0 : in std_logic;
           CRC_END_OF_PKT_1 : in std_logic;
           CRC_END_OF_PKT_2 : in std_logic;
           CRC_END_OF_PKT_3 : in std_logic;
           CRC_END_OF_PKT_4 : in std_logic;
           CRC_END_OF_PKT_5 : in std_logic;
           CRC_END_OF_PKT_6 : in std_logic;
           CRC_END_OF_PKT_7 : in std_logic;
           RX_CRC_USE : in std_logic;
           TX_CRC_USE : in std_logic;
           TX_CRC_FORCE_VALUE_0 : in std_logic;
           TX_CRC_FORCE_VALUE_1 : in std_logic;
           TX_CRC_FORCE_VALUE_2 : in std_logic;
           TX_CRC_FORCE_VALUE_3 : in std_logic;
           TX_CRC_FORCE_VALUE_4 : in std_logic;
           TX_CRC_FORCE_VALUE_5 : in std_logic;
           TX_CRC_FORCE_VALUE_6 : in std_logic;
           TX_CRC_FORCE_VALUE_7 : in std_logic;
           RX_DATA_WIDTH_0 : in std_logic;
           RX_DATA_WIDTH_1 : in std_logic;
           TX_DATA_WIDTH_0 : in std_logic;
           TX_DATA_WIDTH_1 : in std_logic;
           REF_CLK_V_SEL : in std_logic;
           GSR : in std_logic );
end;

architecture SmartModel of gt_swift is
    attribute FOREIGN : STRING;
    attribute FOREIGN of SmartModel : architecture is "sm_init $ALDEC/BIN/swift.dll ; gt_swift";
begin
end SmartModel;

library ieee;
use ieee.std_logic_1164.all;
entity gtp_dual_swift is
    generic ( TimingVersion : STRING := "gtp_dual_swift";
              DelayRange : STRING := "MAX";
              MC_Reference : STRING := "0000" );
    port ( DO_0 : out std_logic;
           DO_1 : out std_logic;
           DO_2 : out std_logic;
           DO_3 : out std_logic;
           DO_4 : out std_logic;
           DO_5 : out std_logic;
           DO_6 : out std_logic;
           DO_7 : out std_logic;
           DO_8 : out std_logic;
           DO_9 : out std_logic;
           DO_10 : out std_logic;
           DO_11 : out std_logic;
           DO_12 : out std_logic;
           DO_13 : out std_logic;
           DO_14 : out std_logic;
           DO_15 : out std_logic;
           DRDY : out std_logic;
           PHYSTATUS0 : out std_logic;
           PHYSTATUS1 : out std_logic;
           PLLLKDET : out std_logic;
           REFCLKOUT : out std_logic;
           RESETDONE0 : out std_logic;
           RESETDONE1 : out std_logic;
           RXBUFSTATUS0_0 : out std_logic;
           RXBUFSTATUS0_1 : out std_logic;
           RXBUFSTATUS0_2 : out std_logic;
           RXBUFSTATUS1_0 : out std_logic;
           RXBUFSTATUS1_1 : out std_logic;
           RXBUFSTATUS1_2 : out std_logic;
           RXBYTEISALIGNED0 : out std_logic;
           RXBYTEISALIGNED1 : out std_logic;
           RXBYTEREALIGN0 : out std_logic;
           RXBYTEREALIGN1 : out std_logic;
           RXCHANBONDSEQ0 : out std_logic;
           RXCHANBONDSEQ1 : out std_logic;
           RXCHANISALIGNED0 : out std_logic;
           RXCHANISALIGNED1 : out std_logic;
           RXCHANREALIGN0 : out std_logic;
           RXCHANREALIGN1 : out std_logic;
           RXCHARISCOMMA0_0 : out std_logic;
           RXCHARISCOMMA0_1 : out std_logic;
           RXCHARISCOMMA1_0 : out std_logic;
           RXCHARISCOMMA1_1 : out std_logic;
           RXCHARISK0_0 : out std_logic;
           RXCHARISK0_1 : out std_logic;
           RXCHARISK1_0 : out std_logic;
           RXCHARISK1_1 : out std_logic;
           RXCHBONDO0_0 : out std_logic;
           RXCHBONDO0_1 : out std_logic;
           RXCHBONDO0_2 : out std_logic;
           RXCHBONDO1_0 : out std_logic;
           RXCHBONDO1_1 : out std_logic;
           RXCHBONDO1_2 : out std_logic;
           RXCLKCORCNT0_0 : out std_logic;
           RXCLKCORCNT0_1 : out std_logic;
           RXCLKCORCNT0_2 : out std_logic;
           RXCLKCORCNT1_0 : out std_logic;
           RXCLKCORCNT1_1 : out std_logic;
           RXCLKCORCNT1_2 : out std_logic;
           RXCOMMADET0 : out std_logic;
           RXCOMMADET1 : out std_logic;
           RXDATA0_0 : out std_logic;
           RXDATA0_1 : out std_logic;
           RXDATA0_2 : out std_logic;
           RXDATA0_3 : out std_logic;
           RXDATA0_4 : out std_logic;
           RXDATA0_5 : out std_logic;
           RXDATA0_6 : out std_logic;
           RXDATA0_7 : out std_logic;
           RXDATA0_8 : out std_logic;
           RXDATA0_9 : out std_logic;
           RXDATA0_10 : out std_logic;
           RXDATA0_11 : out std_logic;
           RXDATA0_12 : out std_logic;
           RXDATA0_13 : out std_logic;
           RXDATA0_14 : out std_logic;
           RXDATA0_15 : out std_logic;
           RXDATA1_0 : out std_logic;
           RXDATA1_1 : out std_logic;
           RXDATA1_2 : out std_logic;
           RXDATA1_3 : out std_logic;
           RXDATA1_4 : out std_logic;
           RXDATA1_5 : out std_logic;
           RXDATA1_6 : out std_logic;
           RXDATA1_7 : out std_logic;
           RXDATA1_8 : out std_logic;
           RXDATA1_9 : out std_logic;
           RXDATA1_10 : out std_logic;
           RXDATA1_11 : out std_logic;
           RXDATA1_12 : out std_logic;
           RXDATA1_13 : out std_logic;
           RXDATA1_14 : out std_logic;
           RXDATA1_15 : out std_logic;
           RXDISPERR0_0 : out std_logic;
           RXDISPERR0_1 : out std_logic;
           RXDISPERR1_0 : out std_logic;
           RXDISPERR1_1 : out std_logic;
           RXELECIDLE0 : out std_logic;
           RXELECIDLE1 : out std_logic;
           RXLOSSOFSYNC0_0 : out std_logic;
           RXLOSSOFSYNC0_1 : out std_logic;
           RXLOSSOFSYNC1_0 : out std_logic;
           RXLOSSOFSYNC1_1 : out std_logic;
           RXNOTINTABLE0_0 : out std_logic;
           RXNOTINTABLE0_1 : out std_logic;
           RXNOTINTABLE1_0 : out std_logic;
           RXNOTINTABLE1_1 : out std_logic;
           RXOVERSAMPLEERR0 : out std_logic;
           RXOVERSAMPLEERR1 : out std_logic;
           RXPRBSERR0 : out std_logic;
           RXPRBSERR1 : out std_logic;
           RXRECCLK0 : out std_logic;
           RXRECCLK1 : out std_logic;
           RXRUNDISP0_0 : out std_logic;
           RXRUNDISP0_1 : out std_logic;
           RXRUNDISP1_0 : out std_logic;
           RXRUNDISP1_1 : out std_logic;
           RXSTATUS0_0 : out std_logic;
           RXSTATUS0_1 : out std_logic;
           RXSTATUS0_2 : out std_logic;
           RXSTATUS1_0 : out std_logic;
           RXSTATUS1_1 : out std_logic;
           RXSTATUS1_2 : out std_logic;
           RXVALID0 : out std_logic;
           RXVALID1 : out std_logic;
           TXBUFSTATUS0_0 : out std_logic;
           TXBUFSTATUS0_1 : out std_logic;
           TXBUFSTATUS1_0 : out std_logic;
           TXBUFSTATUS1_1 : out std_logic;
           TXKERR0_0 : out std_logic;
           TXKERR0_1 : out std_logic;
           TXKERR1_0 : out std_logic;
           TXKERR1_1 : out std_logic;
           TXN0 : out std_logic;
           TXN1 : out std_logic;
           TXOUTCLK0 : out std_logic;
           TXOUTCLK1 : out std_logic;
           TXP0 : out std_logic;
           TXP1 : out std_logic;
           TXRUNDISP0_0 : out std_logic;
           TXRUNDISP0_1 : out std_logic;
           TXRUNDISP1_0 : out std_logic;
           TXRUNDISP1_1 : out std_logic;
           CLKIN : in std_logic;
           DADDR_0 : in std_logic;
           DADDR_1 : in std_logic;
           DADDR_2 : in std_logic;
           DADDR_3 : in std_logic;
           DADDR_4 : in std_logic;
           DADDR_5 : in std_logic;
           DADDR_6 : in std_logic;
           DCLK : in std_logic;
           DEN : in std_logic;
           DI_0 : in std_logic;
           DI_1 : in std_logic;
           DI_2 : in std_logic;
           DI_3 : in std_logic;
           DI_4 : in std_logic;
           DI_5 : in std_logic;
           DI_6 : in std_logic;
           DI_7 : in std_logic;
           DI_8 : in std_logic;
           DI_9 : in std_logic;
           DI_10 : in std_logic;
           DI_11 : in std_logic;
           DI_12 : in std_logic;
           DI_13 : in std_logic;
           DI_14 : in std_logic;
           DI_15 : in std_logic;
           DWE : in std_logic;
           GTPRESET : in std_logic;
           GTPTEST_0 : in std_logic;
           GTPTEST_1 : in std_logic;
           GTPTEST_2 : in std_logic;
           GTPTEST_3 : in std_logic;
           INTDATAWIDTH : in std_logic;
           LOOPBACK0_0 : in std_logic;
           LOOPBACK0_1 : in std_logic;
           LOOPBACK0_2 : in std_logic;
           LOOPBACK1_0 : in std_logic;
           LOOPBACK1_1 : in std_logic;
           LOOPBACK1_2 : in std_logic;
           PLLLKDETEN : in std_logic;
           PLLPOWERDOWN : in std_logic;
           PRBSCNTRESET0 : in std_logic;
           PRBSCNTRESET1 : in std_logic;
           REFCLKPWRDNB : in std_logic;
           RXBUFRESET0 : in std_logic;
           RXBUFRESET1 : in std_logic;
           RXCDRRESET0 : in std_logic;
           RXCDRRESET1 : in std_logic;
           RXCHBONDI0_0 : in std_logic;
           RXCHBONDI0_1 : in std_logic;
           RXCHBONDI0_2 : in std_logic;
           RXCHBONDI1_0 : in std_logic;
           RXCHBONDI1_1 : in std_logic;
           RXCHBONDI1_2 : in std_logic;
           RXCOMMADETUSE0 : in std_logic;
           RXCOMMADETUSE1 : in std_logic;
           RXDATAWIDTH0 : in std_logic;
           RXDATAWIDTH1 : in std_logic;
           RXDEC8B10BUSE0 : in std_logic;
           RXDEC8B10BUSE1 : in std_logic;
           RXENCHANSYNC0 : in std_logic;
           RXENCHANSYNC1 : in std_logic;
           RXENEQB0 : in std_logic;
           RXENEQB1 : in std_logic;
           RXENMCOMMAALIGN0 : in std_logic;
           RXENMCOMMAALIGN1 : in std_logic;
           RXENPCOMMAALIGN0 : in std_logic;
           RXENPCOMMAALIGN1 : in std_logic;
           RXENPRBSTST0_0 : in std_logic;
           RXENPRBSTST0_1 : in std_logic;
           RXENPRBSTST1_0 : in std_logic;
           RXENPRBSTST1_1 : in std_logic;
           RXENSAMPLEALIGN0 : in std_logic;
           RXENSAMPLEALIGN1 : in std_logic;
           RXEQMIX0_0 : in std_logic;
           RXEQMIX0_1 : in std_logic;
           RXEQMIX1_0 : in std_logic;
           RXEQMIX1_1 : in std_logic;
           RXEQPOLE0_0 : in std_logic;
           RXEQPOLE0_1 : in std_logic;
           RXEQPOLE0_2 : in std_logic;
           RXEQPOLE0_3 : in std_logic;
           RXEQPOLE1_0 : in std_logic;
           RXEQPOLE1_1 : in std_logic;
           RXEQPOLE1_2 : in std_logic;
           RXEQPOLE1_3 : in std_logic;
           RXN0 : in std_logic;
           RXN1 : in std_logic;
           RXP0 : in std_logic;
           RXP1 : in std_logic;
           RXPMASETPHASE0 : in std_logic;
           RXPMASETPHASE1 : in std_logic;
           RXPOLARITY0 : in std_logic;
           RXPOLARITY1 : in std_logic;
           RXPOWERDOWN0_0 : in std_logic;
           RXPOWERDOWN0_1 : in std_logic;
           RXPOWERDOWN1_0 : in std_logic;
           RXPOWERDOWN1_1 : in std_logic;
           RXRESET0 : in std_logic;
           RXRESET1 : in std_logic;
           RXSLIDE0 : in std_logic;
           RXSLIDE1 : in std_logic;
           RXUSRCLK0 : in std_logic;
           RXUSRCLK1 : in std_logic;
           RXUSRCLK20 : in std_logic;
           RXUSRCLK21 : in std_logic;
           RXELECIDLERESET0 : in std_logic;
           RXELECIDLERESET1 : in std_logic;
           RXENELECIDLERESETB : in std_logic;
           TXBUFDIFFCTRL0_0 : in std_logic;
           TXBUFDIFFCTRL0_1 : in std_logic;
           TXBUFDIFFCTRL0_2 : in std_logic;
           TXBUFDIFFCTRL1_0 : in std_logic;
           TXBUFDIFFCTRL1_1 : in std_logic;
           TXBUFDIFFCTRL1_2 : in std_logic;
           TXBYPASS8B10B0_0 : in std_logic;
           TXBYPASS8B10B0_1 : in std_logic;
           TXBYPASS8B10B1_0 : in std_logic;
           TXBYPASS8B10B1_1 : in std_logic;
           TXCHARDISPMODE0_0 : in std_logic;
           TXCHARDISPMODE0_1 : in std_logic;
           TXCHARDISPMODE1_0 : in std_logic;
           TXCHARDISPMODE1_1 : in std_logic;
           TXCHARDISPVAL0_0 : in std_logic;
           TXCHARDISPVAL0_1 : in std_logic;
           TXCHARDISPVAL1_0 : in std_logic;
           TXCHARDISPVAL1_1 : in std_logic;
           TXCHARISK0_0 : in std_logic;
           TXCHARISK0_1 : in std_logic;
           TXCHARISK1_0 : in std_logic;
           TXCHARISK1_1 : in std_logic;
           TXCOMSTART0 : in std_logic;
           TXCOMSTART1 : in std_logic;
           TXCOMTYPE0 : in std_logic;
           TXCOMTYPE1 : in std_logic;
           TXDATA0_0 : in std_logic;
           TXDATA0_1 : in std_logic;
           TXDATA0_2 : in std_logic;
           TXDATA0_3 : in std_logic;
           TXDATA0_4 : in std_logic;
           TXDATA0_5 : in std_logic;
           TXDATA0_6 : in std_logic;
           TXDATA0_7 : in std_logic;
           TXDATA0_8 : in std_logic;
           TXDATA0_9 : in std_logic;
           TXDATA0_10 : in std_logic;
           TXDATA0_11 : in std_logic;
           TXDATA0_12 : in std_logic;
           TXDATA0_13 : in std_logic;
           TXDATA0_14 : in std_logic;
           TXDATA0_15 : in std_logic;
           TXDATA1_0 : in std_logic;
           TXDATA1_1 : in std_logic;
           TXDATA1_2 : in std_logic;
           TXDATA1_3 : in std_logic;
           TXDATA1_4 : in std_logic;
           TXDATA1_5 : in std_logic;
           TXDATA1_6 : in std_logic;
           TXDATA1_7 : in std_logic;
           TXDATA1_8 : in std_logic;
           TXDATA1_9 : in std_logic;
           TXDATA1_10 : in std_logic;
           TXDATA1_11 : in std_logic;
           TXDATA1_12 : in std_logic;
           TXDATA1_13 : in std_logic;
           TXDATA1_14 : in std_logic;
           TXDATA1_15 : in std_logic;
           TXDATAWIDTH0 : in std_logic;
           TXDATAWIDTH1 : in std_logic;
           TXDETECTRX0 : in std_logic;
           TXDETECTRX1 : in std_logic;
           TXDIFFCTRL0_0 : in std_logic;
           TXDIFFCTRL0_1 : in std_logic;
           TXDIFFCTRL0_2 : in std_logic;
           TXDIFFCTRL1_0 : in std_logic;
           TXDIFFCTRL1_1 : in std_logic;
           TXDIFFCTRL1_2 : in std_logic;
           TXELECIDLE0 : in std_logic;
           TXELECIDLE1 : in std_logic;
           TXENC8B10BUSE0 : in std_logic;
           TXENC8B10BUSE1 : in std_logic;
           TXENPMAPHASEALIGN : in std_logic;
           TXENPRBSTST0_0 : in std_logic;
           TXENPRBSTST0_1 : in std_logic;
           TXENPRBSTST1_0 : in std_logic;
           TXENPRBSTST1_1 : in std_logic;
           TXINHIBIT0 : in std_logic;
           TXINHIBIT1 : in std_logic;
           TXPMASETPHASE : in std_logic;
           TXPOLARITY0 : in std_logic;
           TXPOLARITY1 : in std_logic;
           TXPOWERDOWN0_0 : in std_logic;
           TXPOWERDOWN0_1 : in std_logic;
           TXPOWERDOWN1_0 : in std_logic;
           TXPOWERDOWN1_1 : in std_logic;
           TXPREEMPHASIS0_0 : in std_logic;
           TXPREEMPHASIS0_1 : in std_logic;
           TXPREEMPHASIS0_2 : in std_logic;
           TXPREEMPHASIS1_0 : in std_logic;
           TXPREEMPHASIS1_1 : in std_logic;
           TXPREEMPHASIS1_2 : in std_logic;
           TXRESET0 : in std_logic;
           TXRESET1 : in std_logic;
           TXUSRCLK0 : in std_logic;
           TXUSRCLK1 : in std_logic;
           TXUSRCLK20 : in std_logic;
           TXUSRCLK21 : in std_logic;
           GSR : in std_logic;
           SIM_GTPRESET_SPEEDUP : in std_logic;
           SIM_PLL_PERDIV2_0 : in std_logic;
           SIM_PLL_PERDIV2_1 : in std_logic;
           SIM_PLL_PERDIV2_2 : in std_logic;
           SIM_PLL_PERDIV2_3 : in std_logic;
           SIM_PLL_PERDIV2_4 : in std_logic;
           SIM_PLL_PERDIV2_5 : in std_logic;
           SIM_PLL_PERDIV2_6 : in std_logic;
           SIM_PLL_PERDIV2_7 : in std_logic;
           SIM_PLL_PERDIV2_8 : in std_logic;
           SIM_RECEIVER_DETECT_PASS0 : in std_logic;
           SIM_RECEIVER_DETECT_PASS1 : in std_logic;
           AC_CAP_DIS_0 : in std_logic;
           AC_CAP_DIS_1 : in std_logic;
           ALIGN_COMMA_WORD_0 : in std_logic;
           ALIGN_COMMA_WORD_1 : in std_logic;
           CHAN_BOND_1_MAX_SKEW_0_0 : in std_logic;
           CHAN_BOND_1_MAX_SKEW_0_1 : in std_logic;
           CHAN_BOND_1_MAX_SKEW_0_2 : in std_logic;
           CHAN_BOND_1_MAX_SKEW_0_3 : in std_logic;
           CHAN_BOND_1_MAX_SKEW_1_0 : in std_logic;
           CHAN_BOND_1_MAX_SKEW_1_1 : in std_logic;
           CHAN_BOND_1_MAX_SKEW_1_2 : in std_logic;
           CHAN_BOND_1_MAX_SKEW_1_3 : in std_logic;
           CHAN_BOND_2_MAX_SKEW_0_0 : in std_logic;
           CHAN_BOND_2_MAX_SKEW_0_1 : in std_logic;
           CHAN_BOND_2_MAX_SKEW_0_2 : in std_logic;
           CHAN_BOND_2_MAX_SKEW_0_3 : in std_logic;
           CHAN_BOND_2_MAX_SKEW_1_0 : in std_logic;
           CHAN_BOND_2_MAX_SKEW_1_1 : in std_logic;
           CHAN_BOND_2_MAX_SKEW_1_2 : in std_logic;
           CHAN_BOND_2_MAX_SKEW_1_3 : in std_logic;
           CHAN_BOND_LEVEL_0_0 : in std_logic;
           CHAN_BOND_LEVEL_0_1 : in std_logic;
           CHAN_BOND_LEVEL_0_2 : in std_logic;
           CHAN_BOND_LEVEL_1_0 : in std_logic;
           CHAN_BOND_LEVEL_1_1 : in std_logic;
           CHAN_BOND_LEVEL_1_2 : in std_logic;
           CHAN_BOND_MODE_0_0 : in std_logic;
           CHAN_BOND_MODE_0_1 : in std_logic;
           CHAN_BOND_MODE_1_0 : in std_logic;
           CHAN_BOND_MODE_1_1 : in std_logic;
           CHAN_BOND_SEQ_1_1_0_0 : in std_logic;
           CHAN_BOND_SEQ_1_1_0_1 : in std_logic;
           CHAN_BOND_SEQ_1_1_0_2 : in std_logic;
           CHAN_BOND_SEQ_1_1_0_3 : in std_logic;
           CHAN_BOND_SEQ_1_1_0_4 : in std_logic;
           CHAN_BOND_SEQ_1_1_0_5 : in std_logic;
           CHAN_BOND_SEQ_1_1_0_6 : in std_logic;
           CHAN_BOND_SEQ_1_1_0_7 : in std_logic;
           CHAN_BOND_SEQ_1_1_0_8 : in std_logic;
           CHAN_BOND_SEQ_1_1_0_9 : in std_logic;
           CHAN_BOND_SEQ_1_1_1_0 : in std_logic;
           CHAN_BOND_SEQ_1_1_1_1 : in std_logic;
           CHAN_BOND_SEQ_1_1_1_2 : in std_logic;
           CHAN_BOND_SEQ_1_1_1_3 : in std_logic;
           CHAN_BOND_SEQ_1_1_1_4 : in std_logic;
           CHAN_BOND_SEQ_1_1_1_5 : in std_logic;
           CHAN_BOND_SEQ_1_1_1_6 : in std_logic;
           CHAN_BOND_SEQ_1_1_1_7 : in std_logic;
           CHAN_BOND_SEQ_1_1_1_8 : in std_logic;
           CHAN_BOND_SEQ_1_1_1_9 : in std_logic;
           CHAN_BOND_SEQ_1_2_0_0 : in std_logic;
           CHAN_BOND_SEQ_1_2_0_1 : in std_logic;
           CHAN_BOND_SEQ_1_2_0_2 : in std_logic;
           CHAN_BOND_SEQ_1_2_0_3 : in std_logic;
           CHAN_BOND_SEQ_1_2_0_4 : in std_logic;
           CHAN_BOND_SEQ_1_2_0_5 : in std_logic;
           CHAN_BOND_SEQ_1_2_0_6 : in std_logic;
           CHAN_BOND_SEQ_1_2_0_7 : in std_logic;
           CHAN_BOND_SEQ_1_2_0_8 : in std_logic;
           CHAN_BOND_SEQ_1_2_0_9 : in std_logic;
           CHAN_BOND_SEQ_1_2_1_0 : in std_logic;
           CHAN_BOND_SEQ_1_2_1_1 : in std_logic;
           CHAN_BOND_SEQ_1_2_1_2 : in std_logic;
           CHAN_BOND_SEQ_1_2_1_3 : in std_logic;
           CHAN_BOND_SEQ_1_2_1_4 : in std_logic;
           CHAN_BOND_SEQ_1_2_1_5 : in std_logic;
           CHAN_BOND_SEQ_1_2_1_6 : in std_logic;
           CHAN_BOND_SEQ_1_2_1_7 : in std_logic;
           CHAN_BOND_SEQ_1_2_1_8 : in std_logic;
           CHAN_BOND_SEQ_1_2_1_9 : in std_logic;
           CHAN_BOND_SEQ_1_3_0_0 : in std_logic;
           CHAN_BOND_SEQ_1_3_0_1 : in std_logic;
           CHAN_BOND_SEQ_1_3_0_2 : in std_logic;
           CHAN_BOND_SEQ_1_3_0_3 : in std_logic;
           CHAN_BOND_SEQ_1_3_0_4 : in std_logic;
           CHAN_BOND_SEQ_1_3_0_5 : in std_logic;
           CHAN_BOND_SEQ_1_3_0_6 : in std_logic;
           CHAN_BOND_SEQ_1_3_0_7 : in std_logic;
           CHAN_BOND_SEQ_1_3_0_8 : in std_logic;
           CHAN_BOND_SEQ_1_3_0_9 : in std_logic;
           CHAN_BOND_SEQ_1_3_1_0 : in std_logic;
           CHAN_BOND_SEQ_1_3_1_1 : in std_logic;
           CHAN_BOND_SEQ_1_3_1_2 : in std_logic;
           CHAN_BOND_SEQ_1_3_1_3 : in std_logic;
           CHAN_BOND_SEQ_1_3_1_4 : in std_logic;
           CHAN_BOND_SEQ_1_3_1_5 : in std_logic;
           CHAN_BOND_SEQ_1_3_1_6 : in std_logic;
           CHAN_BOND_SEQ_1_3_1_7 : in std_logic;
           CHAN_BOND_SEQ_1_3_1_8 : in std_logic;
           CHAN_BOND_SEQ_1_3_1_9 : in std_logic;
           CHAN_BOND_SEQ_1_4_0_0 : in std_logic;
           CHAN_BOND_SEQ_1_4_0_1 : in std_logic;
           CHAN_BOND_SEQ_1_4_0_2 : in std_logic;
           CHAN_BOND_SEQ_1_4_0_3 : in std_logic;
           CHAN_BOND_SEQ_1_4_0_4 : in std_logic;
           CHAN_BOND_SEQ_1_4_0_5 : in std_logic;
           CHAN_BOND_SEQ_1_4_0_6 : in std_logic;
           CHAN_BOND_SEQ_1_4_0_7 : in std_logic;
           CHAN_BOND_SEQ_1_4_0_8 : in std_logic;
           CHAN_BOND_SEQ_1_4_0_9 : in std_logic;
           CHAN_BOND_SEQ_1_4_1_0 : in std_logic;
           CHAN_BOND_SEQ_1_4_1_1 : in std_logic;
           CHAN_BOND_SEQ_1_4_1_2 : in std_logic;
           CHAN_BOND_SEQ_1_4_1_3 : in std_logic;
           CHAN_BOND_SEQ_1_4_1_4 : in std_logic;
           CHAN_BOND_SEQ_1_4_1_5 : in std_logic;
           CHAN_BOND_SEQ_1_4_1_6 : in std_logic;
           CHAN_BOND_SEQ_1_4_1_7 : in std_logic;
           CHAN_BOND_SEQ_1_4_1_8 : in std_logic;
           CHAN_BOND_SEQ_1_4_1_9 : in std_logic;
           CHAN_BOND_SEQ_1_ENABLE_0_0 : in std_logic;
           CHAN_BOND_SEQ_1_ENABLE_0_1 : in std_logic;
           CHAN_BOND_SEQ_1_ENABLE_0_2 : in std_logic;
           CHAN_BOND_SEQ_1_ENABLE_0_3 : in std_logic;
           CHAN_BOND_SEQ_1_ENABLE_1_0 : in std_logic;
           CHAN_BOND_SEQ_1_ENABLE_1_1 : in std_logic;
           CHAN_BOND_SEQ_1_ENABLE_1_2 : in std_logic;
           CHAN_BOND_SEQ_1_ENABLE_1_3 : in std_logic;
           CHAN_BOND_SEQ_2_1_0_0 : in std_logic;
           CHAN_BOND_SEQ_2_1_0_1 : in std_logic;
           CHAN_BOND_SEQ_2_1_0_2 : in std_logic;
           CHAN_BOND_SEQ_2_1_0_3 : in std_logic;
           CHAN_BOND_SEQ_2_1_0_4 : in std_logic;
           CHAN_BOND_SEQ_2_1_0_5 : in std_logic;
           CHAN_BOND_SEQ_2_1_0_6 : in std_logic;
           CHAN_BOND_SEQ_2_1_0_7 : in std_logic;
           CHAN_BOND_SEQ_2_1_0_8 : in std_logic;
           CHAN_BOND_SEQ_2_1_0_9 : in std_logic;
           CHAN_BOND_SEQ_2_1_1_0 : in std_logic;
           CHAN_BOND_SEQ_2_1_1_1 : in std_logic;
           CHAN_BOND_SEQ_2_1_1_2 : in std_logic;
           CHAN_BOND_SEQ_2_1_1_3 : in std_logic;
           CHAN_BOND_SEQ_2_1_1_4 : in std_logic;
           CHAN_BOND_SEQ_2_1_1_5 : in std_logic;
           CHAN_BOND_SEQ_2_1_1_6 : in std_logic;
           CHAN_BOND_SEQ_2_1_1_7 : in std_logic;
           CHAN_BOND_SEQ_2_1_1_8 : in std_logic;
           CHAN_BOND_SEQ_2_1_1_9 : in std_logic;
           CHAN_BOND_SEQ_2_2_0_0 : in std_logic;
           CHAN_BOND_SEQ_2_2_0_1 : in std_logic;
           CHAN_BOND_SEQ_2_2_0_2 : in std_logic;
           CHAN_BOND_SEQ_2_2_0_3 : in std_logic;
           CHAN_BOND_SEQ_2_2_0_4 : in std_logic;
           CHAN_BOND_SEQ_2_2_0_5 : in std_logic;
           CHAN_BOND_SEQ_2_2_0_6 : in std_logic;
           CHAN_BOND_SEQ_2_2_0_7 : in std_logic;
           CHAN_BOND_SEQ_2_2_0_8 : in std_logic;
           CHAN_BOND_SEQ_2_2_0_9 : in std_logic;
           CHAN_BOND_SEQ_2_2_1_0 : in std_logic;
           CHAN_BOND_SEQ_2_2_1_1 : in std_logic;
           CHAN_BOND_SEQ_2_2_1_2 : in std_logic;
           CHAN_BOND_SEQ_2_2_1_3 : in std_logic;
           CHAN_BOND_SEQ_2_2_1_4 : in std_logic;
           CHAN_BOND_SEQ_2_2_1_5 : in std_logic;
           CHAN_BOND_SEQ_2_2_1_6 : in std_logic;
           CHAN_BOND_SEQ_2_2_1_7 : in std_logic;
           CHAN_BOND_SEQ_2_2_1_8 : in std_logic;
           CHAN_BOND_SEQ_2_2_1_9 : in std_logic;
           CHAN_BOND_SEQ_2_3_0_0 : in std_logic;
           CHAN_BOND_SEQ_2_3_0_1 : in std_logic;
           CHAN_BOND_SEQ_2_3_0_2 : in std_logic;
           CHAN_BOND_SEQ_2_3_0_3 : in std_logic;
           CHAN_BOND_SEQ_2_3_0_4 : in std_logic;
           CHAN_BOND_SEQ_2_3_0_5 : in std_logic;
           CHAN_BOND_SEQ_2_3_0_6 : in std_logic;
           CHAN_BOND_SEQ_2_3_0_7 : in std_logic;
           CHAN_BOND_SEQ_2_3_0_8 : in std_logic;
           CHAN_BOND_SEQ_2_3_0_9 : in std_logic;
           CHAN_BOND_SEQ_2_3_1_0 : in std_logic;
           CHAN_BOND_SEQ_2_3_1_1 : in std_logic;
           CHAN_BOND_SEQ_2_3_1_2 : in std_logic;
           CHAN_BOND_SEQ_2_3_1_3 : in std_logic;
           CHAN_BOND_SEQ_2_3_1_4 : in std_logic;
           CHAN_BOND_SEQ_2_3_1_5 : in std_logic;
           CHAN_BOND_SEQ_2_3_1_6 : in std_logic;
           CHAN_BOND_SEQ_2_3_1_7 : in std_logic;
           CHAN_BOND_SEQ_2_3_1_8 : in std_logic;
           CHAN_BOND_SEQ_2_3_1_9 : in std_logic;
           CHAN_BOND_SEQ_2_4_0_0 : in std_logic;
           CHAN_BOND_SEQ_2_4_0_1 : in std_logic;
           CHAN_BOND_SEQ_2_4_0_2 : in std_logic;
           CHAN_BOND_SEQ_2_4_0_3 : in std_logic;
           CHAN_BOND_SEQ_2_4_0_4 : in std_logic;
           CHAN_BOND_SEQ_2_4_0_5 : in std_logic;
           CHAN_BOND_SEQ_2_4_0_6 : in std_logic;
           CHAN_BOND_SEQ_2_4_0_7 : in std_logic;
           CHAN_BOND_SEQ_2_4_0_8 : in std_logic;
           CHAN_BOND_SEQ_2_4_0_9 : in std_logic;
           CHAN_BOND_SEQ_2_4_1_0 : in std_logic;
           CHAN_BOND_SEQ_2_4_1_1 : in std_logic;
           CHAN_BOND_SEQ_2_4_1_2 : in std_logic;
           CHAN_BOND_SEQ_2_4_1_3 : in std_logic;
           CHAN_BOND_SEQ_2_4_1_4 : in std_logic;
           CHAN_BOND_SEQ_2_4_1_5 : in std_logic;
           CHAN_BOND_SEQ_2_4_1_6 : in std_logic;
           CHAN_BOND_SEQ_2_4_1_7 : in std_logic;
           CHAN_BOND_SEQ_2_4_1_8 : in std_logic;
           CHAN_BOND_SEQ_2_4_1_9 : in std_logic;
           CHAN_BOND_SEQ_2_ENABLE_0_0 : in std_logic;
           CHAN_BOND_SEQ_2_ENABLE_0_1 : in std_logic;
           CHAN_BOND_SEQ_2_ENABLE_0_2 : in std_logic;
           CHAN_BOND_SEQ_2_ENABLE_0_3 : in std_logic;
           CHAN_BOND_SEQ_2_ENABLE_1_0 : in std_logic;
           CHAN_BOND_SEQ_2_ENABLE_1_1 : in std_logic;
           CHAN_BOND_SEQ_2_ENABLE_1_2 : in std_logic;
           CHAN_BOND_SEQ_2_ENABLE_1_3 : in std_logic;
           CHAN_BOND_SEQ_2_USE_0 : in std_logic;
           CHAN_BOND_SEQ_2_USE_1 : in std_logic;
           CHAN_BOND_SEQ_LEN_0_0 : in std_logic;
           CHAN_BOND_SEQ_LEN_0_1 : in std_logic;
           CHAN_BOND_SEQ_LEN_1_0 : in std_logic;
           CHAN_BOND_SEQ_LEN_1_1 : in std_logic;
           CLK25_DIVIDER_0 : in std_logic;
           CLK25_DIVIDER_1 : in std_logic;
           CLK25_DIVIDER_2 : in std_logic;
           CLKINDC_B : in std_logic;
           CLK_CORRECT_USE_0 : in std_logic;
           CLK_CORRECT_USE_1 : in std_logic;
           CLK_COR_ADJ_LEN_0_0 : in std_logic;
           CLK_COR_ADJ_LEN_0_1 : in std_logic;
           CLK_COR_ADJ_LEN_1_0 : in std_logic;
           CLK_COR_ADJ_LEN_1_1 : in std_logic;
           CLK_COR_DET_LEN_0_0 : in std_logic;
           CLK_COR_DET_LEN_0_1 : in std_logic;
           CLK_COR_DET_LEN_1_0 : in std_logic;
           CLK_COR_DET_LEN_1_1 : in std_logic;
           CLK_COR_INSERT_IDLE_FLAG_0 : in std_logic;
           CLK_COR_INSERT_IDLE_FLAG_1 : in std_logic;
           CLK_COR_KEEP_IDLE_0 : in std_logic;
           CLK_COR_KEEP_IDLE_1 : in std_logic;
           CLK_COR_MAX_LAT_0_0 : in std_logic;
           CLK_COR_MAX_LAT_0_1 : in std_logic;
           CLK_COR_MAX_LAT_0_2 : in std_logic;
           CLK_COR_MAX_LAT_0_3 : in std_logic;
           CLK_COR_MAX_LAT_0_4 : in std_logic;
           CLK_COR_MAX_LAT_0_5 : in std_logic;
           CLK_COR_MAX_LAT_1_0 : in std_logic;
           CLK_COR_MAX_LAT_1_1 : in std_logic;
           CLK_COR_MAX_LAT_1_2 : in std_logic;
           CLK_COR_MAX_LAT_1_3 : in std_logic;
           CLK_COR_MAX_LAT_1_4 : in std_logic;
           CLK_COR_MAX_LAT_1_5 : in std_logic;
           CLK_COR_MIN_LAT_0_0 : in std_logic;
           CLK_COR_MIN_LAT_0_1 : in std_logic;
           CLK_COR_MIN_LAT_0_2 : in std_logic;
           CLK_COR_MIN_LAT_0_3 : in std_logic;
           CLK_COR_MIN_LAT_0_4 : in std_logic;
           CLK_COR_MIN_LAT_0_5 : in std_logic;
           CLK_COR_MIN_LAT_1_0 : in std_logic;
           CLK_COR_MIN_LAT_1_1 : in std_logic;
           CLK_COR_MIN_LAT_1_2 : in std_logic;
           CLK_COR_MIN_LAT_1_3 : in std_logic;
           CLK_COR_MIN_LAT_1_4 : in std_logic;
           CLK_COR_MIN_LAT_1_5 : in std_logic;
           CLK_COR_PRECEDENCE_0 : in std_logic;
           CLK_COR_PRECEDENCE_1 : in std_logic;
           CLK_COR_REPEAT_WAIT_0_0 : in std_logic;
           CLK_COR_REPEAT_WAIT_0_1 : in std_logic;
           CLK_COR_REPEAT_WAIT_0_2 : in std_logic;
           CLK_COR_REPEAT_WAIT_0_3 : in std_logic;
           CLK_COR_REPEAT_WAIT_0_4 : in std_logic;
           CLK_COR_REPEAT_WAIT_1_0 : in std_logic;
           CLK_COR_REPEAT_WAIT_1_1 : in std_logic;
           CLK_COR_REPEAT_WAIT_1_2 : in std_logic;
           CLK_COR_REPEAT_WAIT_1_3 : in std_logic;
           CLK_COR_REPEAT_WAIT_1_4 : in std_logic;
           CLK_COR_SEQ_1_1_0_0 : in std_logic;
           CLK_COR_SEQ_1_1_0_1 : in std_logic;
           CLK_COR_SEQ_1_1_0_2 : in std_logic;
           CLK_COR_SEQ_1_1_0_3 : in std_logic;
           CLK_COR_SEQ_1_1_0_4 : in std_logic;
           CLK_COR_SEQ_1_1_0_5 : in std_logic;
           CLK_COR_SEQ_1_1_0_6 : in std_logic;
           CLK_COR_SEQ_1_1_0_7 : in std_logic;
           CLK_COR_SEQ_1_1_0_8 : in std_logic;
           CLK_COR_SEQ_1_1_0_9 : in std_logic;
           CLK_COR_SEQ_1_1_1_0 : in std_logic;
           CLK_COR_SEQ_1_1_1_1 : in std_logic;
           CLK_COR_SEQ_1_1_1_2 : in std_logic;
           CLK_COR_SEQ_1_1_1_3 : in std_logic;
           CLK_COR_SEQ_1_1_1_4 : in std_logic;
           CLK_COR_SEQ_1_1_1_5 : in std_logic;
           CLK_COR_SEQ_1_1_1_6 : in std_logic;
           CLK_COR_SEQ_1_1_1_7 : in std_logic;
           CLK_COR_SEQ_1_1_1_8 : in std_logic;
           CLK_COR_SEQ_1_1_1_9 : in std_logic;
           CLK_COR_SEQ_1_2_0_0 : in std_logic;
           CLK_COR_SEQ_1_2_0_1 : in std_logic;
           CLK_COR_SEQ_1_2_0_2 : in std_logic;
           CLK_COR_SEQ_1_2_0_3 : in std_logic;
           CLK_COR_SEQ_1_2_0_4 : in std_logic;
           CLK_COR_SEQ_1_2_0_5 : in std_logic;
           CLK_COR_SEQ_1_2_0_6 : in std_logic;
           CLK_COR_SEQ_1_2_0_7 : in std_logic;
           CLK_COR_SEQ_1_2_0_8 : in std_logic;
           CLK_COR_SEQ_1_2_0_9 : in std_logic;
           CLK_COR_SEQ_1_2_1_0 : in std_logic;
           CLK_COR_SEQ_1_2_1_1 : in std_logic;
           CLK_COR_SEQ_1_2_1_2 : in std_logic;
           CLK_COR_SEQ_1_2_1_3 : in std_logic;
           CLK_COR_SEQ_1_2_1_4 : in std_logic;
           CLK_COR_SEQ_1_2_1_5 : in std_logic;
           CLK_COR_SEQ_1_2_1_6 : in std_logic;
           CLK_COR_SEQ_1_2_1_7 : in std_logic;
           CLK_COR_SEQ_1_2_1_8 : in std_logic;
           CLK_COR_SEQ_1_2_1_9 : in std_logic;
           CLK_COR_SEQ_1_3_0_0 : in std_logic;
           CLK_COR_SEQ_1_3_0_1 : in std_logic;
           CLK_COR_SEQ_1_3_0_2 : in std_logic;
           CLK_COR_SEQ_1_3_0_3 : in std_logic;
           CLK_COR_SEQ_1_3_0_4 : in std_logic;
           CLK_COR_SEQ_1_3_0_5 : in std_logic;
           CLK_COR_SEQ_1_3_0_6 : in std_logic;
           CLK_COR_SEQ_1_3_0_7 : in std_logic;
           CLK_COR_SEQ_1_3_0_8 : in std_logic;
           CLK_COR_SEQ_1_3_0_9 : in std_logic;
           CLK_COR_SEQ_1_3_1_0 : in std_logic;
           CLK_COR_SEQ_1_3_1_1 : in std_logic;
           CLK_COR_SEQ_1_3_1_2 : in std_logic;
           CLK_COR_SEQ_1_3_1_3 : in std_logic;
           CLK_COR_SEQ_1_3_1_4 : in std_logic;
           CLK_COR_SEQ_1_3_1_5 : in std_logic;
           CLK_COR_SEQ_1_3_1_6 : in std_logic;
           CLK_COR_SEQ_1_3_1_7 : in std_logic;
           CLK_COR_SEQ_1_3_1_8 : in std_logic;
           CLK_COR_SEQ_1_3_1_9 : in std_logic;
           CLK_COR_SEQ_1_4_0_0 : in std_logic;
           CLK_COR_SEQ_1_4_0_1 : in std_logic;
           CLK_COR_SEQ_1_4_0_2 : in std_logic;
           CLK_COR_SEQ_1_4_0_3 : in std_logic;
           CLK_COR_SEQ_1_4_0_4 : in std_logic;
           CLK_COR_SEQ_1_4_0_5 : in std_logic;
           CLK_COR_SEQ_1_4_0_6 : in std_logic;
           CLK_COR_SEQ_1_4_0_7 : in std_logic;
           CLK_COR_SEQ_1_4_0_8 : in std_logic;
           CLK_COR_SEQ_1_4_0_9 : in std_logic;
           CLK_COR_SEQ_1_4_1_0 : in std_logic;
           CLK_COR_SEQ_1_4_1_1 : in std_logic;
           CLK_COR_SEQ_1_4_1_2 : in std_logic;
           CLK_COR_SEQ_1_4_1_3 : in std_logic;
           CLK_COR_SEQ_1_4_1_4 : in std_logic;
           CLK_COR_SEQ_1_4_1_5 : in std_logic;
           CLK_COR_SEQ_1_4_1_6 : in std_logic;
           CLK_COR_SEQ_1_4_1_7 : in std_logic;
           CLK_COR_SEQ_1_4_1_8 : in std_logic;
           CLK_COR_SEQ_1_4_1_9 : in std_logic;
           CLK_COR_SEQ_1_ENABLE_0_0 : in std_logic;
           CLK_COR_SEQ_1_ENABLE_0_1 : in std_logic;
           CLK_COR_SEQ_1_ENABLE_0_2 : in std_logic;
           CLK_COR_SEQ_1_ENABLE_0_3 : in std_logic;
           CLK_COR_SEQ_1_ENABLE_1_0 : in std_logic;
           CLK_COR_SEQ_1_ENABLE_1_1 : in std_logic;
           CLK_COR_SEQ_1_ENABLE_1_2 : in std_logic;
           CLK_COR_SEQ_1_ENABLE_1_3 : in std_logic;
           CLK_COR_SEQ_2_1_0_0 : in std_logic;
           CLK_COR_SEQ_2_1_0_1 : in std_logic;
           CLK_COR_SEQ_2_1_0_2 : in std_logic;
           CLK_COR_SEQ_2_1_0_3 : in std_logic;
           CLK_COR_SEQ_2_1_0_4 : in std_logic;
           CLK_COR_SEQ_2_1_0_5 : in std_logic;
           CLK_COR_SEQ_2_1_0_6 : in std_logic;
           CLK_COR_SEQ_2_1_0_7 : in std_logic;
           CLK_COR_SEQ_2_1_0_8 : in std_logic;
           CLK_COR_SEQ_2_1_0_9 : in std_logic;
           CLK_COR_SEQ_2_1_1_0 : in std_logic;
           CLK_COR_SEQ_2_1_1_1 : in std_logic;
           CLK_COR_SEQ_2_1_1_2 : in std_logic;
           CLK_COR_SEQ_2_1_1_3 : in std_logic;
           CLK_COR_SEQ_2_1_1_4 : in std_logic;
           CLK_COR_SEQ_2_1_1_5 : in std_logic;
           CLK_COR_SEQ_2_1_1_6 : in std_logic;
           CLK_COR_SEQ_2_1_1_7 : in std_logic;
           CLK_COR_SEQ_2_1_1_8 : in std_logic;
           CLK_COR_SEQ_2_1_1_9 : in std_logic;
           CLK_COR_SEQ_2_2_0_0 : in std_logic;
           CLK_COR_SEQ_2_2_0_1 : in std_logic;
           CLK_COR_SEQ_2_2_0_2 : in std_logic;
           CLK_COR_SEQ_2_2_0_3 : in std_logic;
           CLK_COR_SEQ_2_2_0_4 : in std_logic;
           CLK_COR_SEQ_2_2_0_5 : in std_logic;
           CLK_COR_SEQ_2_2_0_6 : in std_logic;
           CLK_COR_SEQ_2_2_0_7 : in std_logic;
           CLK_COR_SEQ_2_2_0_8 : in std_logic;
           CLK_COR_SEQ_2_2_0_9 : in std_logic;
           CLK_COR_SEQ_2_2_1_0 : in std_logic;
           CLK_COR_SEQ_2_2_1_1 : in std_logic;
           CLK_COR_SEQ_2_2_1_2 : in std_logic;
           CLK_COR_SEQ_2_2_1_3 : in std_logic;
           CLK_COR_SEQ_2_2_1_4 : in std_logic;
           CLK_COR_SEQ_2_2_1_5 : in std_logic;
           CLK_COR_SEQ_2_2_1_6 : in std_logic;
           CLK_COR_SEQ_2_2_1_7 : in std_logic;
           CLK_COR_SEQ_2_2_1_8 : in std_logic;
           CLK_COR_SEQ_2_2_1_9 : in std_logic;
           CLK_COR_SEQ_2_3_0_0 : in std_logic;
           CLK_COR_SEQ_2_3_0_1 : in std_logic;
           CLK_COR_SEQ_2_3_0_2 : in std_logic;
           CLK_COR_SEQ_2_3_0_3 : in std_logic;
           CLK_COR_SEQ_2_3_0_4 : in std_logic;
           CLK_COR_SEQ_2_3_0_5 : in std_logic;
           CLK_COR_SEQ_2_3_0_6 : in std_logic;
           CLK_COR_SEQ_2_3_0_7 : in std_logic;
           CLK_COR_SEQ_2_3_0_8 : in std_logic;
           CLK_COR_SEQ_2_3_0_9 : in std_logic;
           CLK_COR_SEQ_2_3_1_0 : in std_logic;
           CLK_COR_SEQ_2_3_1_1 : in std_logic;
           CLK_COR_SEQ_2_3_1_2 : in std_logic;
           CLK_COR_SEQ_2_3_1_3 : in std_logic;
           CLK_COR_SEQ_2_3_1_4 : in std_logic;
           CLK_COR_SEQ_2_3_1_5 : in std_logic;
           CLK_COR_SEQ_2_3_1_6 : in std_logic;
           CLK_COR_SEQ_2_3_1_7 : in std_logic;
           CLK_COR_SEQ_2_3_1_8 : in std_logic;
           CLK_COR_SEQ_2_3_1_9 : in std_logic;
           CLK_COR_SEQ_2_4_0_0 : in std_logic;
           CLK_COR_SEQ_2_4_0_1 : in std_logic;
           CLK_COR_SEQ_2_4_0_2 : in std_logic;
           CLK_COR_SEQ_2_4_0_3 : in std_logic;
           CLK_COR_SEQ_2_4_0_4 : in std_logic;
           CLK_COR_SEQ_2_4_0_5 : in std_logic;
           CLK_COR_SEQ_2_4_0_6 : in std_logic;
           CLK_COR_SEQ_2_4_0_7 : in std_logic;
           CLK_COR_SEQ_2_4_0_8 : in std_logic;
           CLK_COR_SEQ_2_4_0_9 : in std_logic;
           CLK_COR_SEQ_2_4_1_0 : in std_logic;
           CLK_COR_SEQ_2_4_1_1 : in std_logic;
           CLK_COR_SEQ_2_4_1_2 : in std_logic;
           CLK_COR_SEQ_2_4_1_3 : in std_logic;
           CLK_COR_SEQ_2_4_1_4 : in std_logic;
           CLK_COR_SEQ_2_4_1_5 : in std_logic;
           CLK_COR_SEQ_2_4_1_6 : in std_logic;
           CLK_COR_SEQ_2_4_1_7 : in std_logic;
           CLK_COR_SEQ_2_4_1_8 : in std_logic;
           CLK_COR_SEQ_2_4_1_9 : in std_logic;
           CLK_COR_SEQ_2_ENABLE_0_0 : in std_logic;
           CLK_COR_SEQ_2_ENABLE_0_1 : in std_logic;
           CLK_COR_SEQ_2_ENABLE_0_2 : in std_logic;
           CLK_COR_SEQ_2_ENABLE_0_3 : in std_logic;
           CLK_COR_SEQ_2_ENABLE_1_0 : in std_logic;
           CLK_COR_SEQ_2_ENABLE_1_1 : in std_logic;
           CLK_COR_SEQ_2_ENABLE_1_2 : in std_logic;
           CLK_COR_SEQ_2_ENABLE_1_3 : in std_logic;
           CLK_COR_SEQ_2_USE_0 : in std_logic;
           CLK_COR_SEQ_2_USE_1 : in std_logic;
           COMMA_10B_ENABLE_0_0 : in std_logic;
           COMMA_10B_ENABLE_0_1 : in std_logic;
           COMMA_10B_ENABLE_0_2 : in std_logic;
           COMMA_10B_ENABLE_0_3 : in std_logic;
           COMMA_10B_ENABLE_0_4 : in std_logic;
           COMMA_10B_ENABLE_0_5 : in std_logic;
           COMMA_10B_ENABLE_0_6 : in std_logic;
           COMMA_10B_ENABLE_0_7 : in std_logic;
           COMMA_10B_ENABLE_0_8 : in std_logic;
           COMMA_10B_ENABLE_0_9 : in std_logic;
           COMMA_10B_ENABLE_1_0 : in std_logic;
           COMMA_10B_ENABLE_1_1 : in std_logic;
           COMMA_10B_ENABLE_1_2 : in std_logic;
           COMMA_10B_ENABLE_1_3 : in std_logic;
           COMMA_10B_ENABLE_1_4 : in std_logic;
           COMMA_10B_ENABLE_1_5 : in std_logic;
           COMMA_10B_ENABLE_1_6 : in std_logic;
           COMMA_10B_ENABLE_1_7 : in std_logic;
           COMMA_10B_ENABLE_1_8 : in std_logic;
           COMMA_10B_ENABLE_1_9 : in std_logic;
           COMMA_DOUBLE_0 : in std_logic;
           COMMA_DOUBLE_1 : in std_logic;
           COM_BURST_VAL_0_0 : in std_logic;
           COM_BURST_VAL_0_1 : in std_logic;
           COM_BURST_VAL_0_2 : in std_logic;
           COM_BURST_VAL_0_3 : in std_logic;
           COM_BURST_VAL_1_0 : in std_logic;
           COM_BURST_VAL_1_1 : in std_logic;
           COM_BURST_VAL_1_2 : in std_logic;
           COM_BURST_VAL_1_3 : in std_logic;
           DEC_MCOMMA_DETECT_0 : in std_logic;
           DEC_MCOMMA_DETECT_1 : in std_logic;
           DEC_PCOMMA_DETECT_0 : in std_logic;
           DEC_PCOMMA_DETECT_1 : in std_logic;
           DEC_VALID_COMMA_ONLY_0 : in std_logic;
           DEC_VALID_COMMA_ONLY_1 : in std_logic;
           MCOMMA_10B_VALUE_0_0 : in std_logic;
           MCOMMA_10B_VALUE_0_1 : in std_logic;
           MCOMMA_10B_VALUE_0_2 : in std_logic;
           MCOMMA_10B_VALUE_0_3 : in std_logic;
           MCOMMA_10B_VALUE_0_4 : in std_logic;
           MCOMMA_10B_VALUE_0_5 : in std_logic;
           MCOMMA_10B_VALUE_0_6 : in std_logic;
           MCOMMA_10B_VALUE_0_7 : in std_logic;
           MCOMMA_10B_VALUE_0_8 : in std_logic;
           MCOMMA_10B_VALUE_0_9 : in std_logic;
           MCOMMA_10B_VALUE_1_0 : in std_logic;
           MCOMMA_10B_VALUE_1_1 : in std_logic;
           MCOMMA_10B_VALUE_1_2 : in std_logic;
           MCOMMA_10B_VALUE_1_3 : in std_logic;
           MCOMMA_10B_VALUE_1_4 : in std_logic;
           MCOMMA_10B_VALUE_1_5 : in std_logic;
           MCOMMA_10B_VALUE_1_6 : in std_logic;
           MCOMMA_10B_VALUE_1_7 : in std_logic;
           MCOMMA_10B_VALUE_1_8 : in std_logic;
           MCOMMA_10B_VALUE_1_9 : in std_logic;
           MCOMMA_DETECT_0 : in std_logic;
           MCOMMA_DETECT_1 : in std_logic;
           OOBDETECT_THRESHOLD_0_0 : in std_logic;
           OOBDETECT_THRESHOLD_0_1 : in std_logic;
           OOBDETECT_THRESHOLD_0_2 : in std_logic;
           OOBDETECT_THRESHOLD_1_0 : in std_logic;
           OOBDETECT_THRESHOLD_1_1 : in std_logic;
           OOBDETECT_THRESHOLD_1_2 : in std_logic;
           OOB_CLK_DIVIDER_0 : in std_logic;
           OOB_CLK_DIVIDER_1 : in std_logic;
           OOB_CLK_DIVIDER_2 : in std_logic;
           OVERSAMPLE_MODE : in std_logic;
           PCI_EXPRESS_MODE_0 : in std_logic;
           PCI_EXPRESS_MODE_1 : in std_logic;
           PCOMMA_10B_VALUE_0_0 : in std_logic;
           PCOMMA_10B_VALUE_0_1 : in std_logic;
           PCOMMA_10B_VALUE_0_2 : in std_logic;
           PCOMMA_10B_VALUE_0_3 : in std_logic;
           PCOMMA_10B_VALUE_0_4 : in std_logic;
           PCOMMA_10B_VALUE_0_5 : in std_logic;
           PCOMMA_10B_VALUE_0_6 : in std_logic;
           PCOMMA_10B_VALUE_0_7 : in std_logic;
           PCOMMA_10B_VALUE_0_8 : in std_logic;
           PCOMMA_10B_VALUE_0_9 : in std_logic;
           PCOMMA_10B_VALUE_1_0 : in std_logic;
           PCOMMA_10B_VALUE_1_1 : in std_logic;
           PCOMMA_10B_VALUE_1_2 : in std_logic;
           PCOMMA_10B_VALUE_1_3 : in std_logic;
           PCOMMA_10B_VALUE_1_4 : in std_logic;
           PCOMMA_10B_VALUE_1_5 : in std_logic;
           PCOMMA_10B_VALUE_1_6 : in std_logic;
           PCOMMA_10B_VALUE_1_7 : in std_logic;
           PCOMMA_10B_VALUE_1_8 : in std_logic;
           PCOMMA_10B_VALUE_1_9 : in std_logic;
           PCOMMA_DETECT_0 : in std_logic;
           PCOMMA_DETECT_1 : in std_logic;
           PLL_DIVSEL_FB_0 : in std_logic;
           PLL_DIVSEL_FB_1 : in std_logic;
           PLL_DIVSEL_FB_2 : in std_logic;
           PLL_DIVSEL_FB_3 : in std_logic;
           PLL_DIVSEL_FB_4 : in std_logic;
           PLL_DIVSEL_REF_0 : in std_logic;
           PLL_DIVSEL_REF_1 : in std_logic;
           PLL_DIVSEL_REF_2 : in std_logic;
           PLL_DIVSEL_REF_3 : in std_logic;
           PLL_DIVSEL_REF_4 : in std_logic;
           PLL_DIVSEL_REF_5 : in std_logic;
           PLL_RXDIVSEL_OUT_0_0 : in std_logic;
           PLL_RXDIVSEL_OUT_0_1 : in std_logic;
           PLL_RXDIVSEL_OUT_1_0 : in std_logic;
           PLL_RXDIVSEL_OUT_1_1 : in std_logic;
           PLL_SATA_0 : in std_logic;
           PLL_SATA_1 : in std_logic;
           PLL_TXDIVSEL_COMM_OUT_0 : in std_logic;
           PLL_TXDIVSEL_COMM_OUT_1 : in std_logic;
           PLL_TXDIVSEL_OUT_0_0 : in std_logic;
           PLL_TXDIVSEL_OUT_0_1 : in std_logic;
           PLL_TXDIVSEL_OUT_1_0 : in std_logic;
           PLL_TXDIVSEL_OUT_1_1 : in std_logic;
           PMA_CDR_SCAN_0_0 : in std_logic;
           PMA_CDR_SCAN_0_1 : in std_logic;
           PMA_CDR_SCAN_0_2 : in std_logic;
           PMA_CDR_SCAN_0_3 : in std_logic;
           PMA_CDR_SCAN_0_4 : in std_logic;
           PMA_CDR_SCAN_0_5 : in std_logic;
           PMA_CDR_SCAN_0_6 : in std_logic;
           PMA_CDR_SCAN_0_7 : in std_logic;
           PMA_CDR_SCAN_0_8 : in std_logic;
           PMA_CDR_SCAN_0_9 : in std_logic;
           PMA_CDR_SCAN_0_10 : in std_logic;
           PMA_CDR_SCAN_0_11 : in std_logic;
           PMA_CDR_SCAN_0_12 : in std_logic;
           PMA_CDR_SCAN_0_13 : in std_logic;
           PMA_CDR_SCAN_0_14 : in std_logic;
           PMA_CDR_SCAN_0_15 : in std_logic;
           PMA_CDR_SCAN_0_16 : in std_logic;
           PMA_CDR_SCAN_0_17 : in std_logic;
           PMA_CDR_SCAN_0_18 : in std_logic;
           PMA_CDR_SCAN_0_19 : in std_logic;
           PMA_CDR_SCAN_0_20 : in std_logic;
           PMA_CDR_SCAN_0_21 : in std_logic;
           PMA_CDR_SCAN_0_22 : in std_logic;
           PMA_CDR_SCAN_0_23 : in std_logic;
           PMA_CDR_SCAN_0_24 : in std_logic;
           PMA_CDR_SCAN_0_25 : in std_logic;
           PMA_CDR_SCAN_0_26 : in std_logic;
           PMA_CDR_SCAN_1_0 : in std_logic;
           PMA_CDR_SCAN_1_1 : in std_logic;
           PMA_CDR_SCAN_1_2 : in std_logic;
           PMA_CDR_SCAN_1_3 : in std_logic;
           PMA_CDR_SCAN_1_4 : in std_logic;
           PMA_CDR_SCAN_1_5 : in std_logic;
           PMA_CDR_SCAN_1_6 : in std_logic;
           PMA_CDR_SCAN_1_7 : in std_logic;
           PMA_CDR_SCAN_1_8 : in std_logic;
           PMA_CDR_SCAN_1_9 : in std_logic;
           PMA_CDR_SCAN_1_10 : in std_logic;
           PMA_CDR_SCAN_1_11 : in std_logic;
           PMA_CDR_SCAN_1_12 : in std_logic;
           PMA_CDR_SCAN_1_13 : in std_logic;
           PMA_CDR_SCAN_1_14 : in std_logic;
           PMA_CDR_SCAN_1_15 : in std_logic;
           PMA_CDR_SCAN_1_16 : in std_logic;
           PMA_CDR_SCAN_1_17 : in std_logic;
           PMA_CDR_SCAN_1_18 : in std_logic;
           PMA_CDR_SCAN_1_19 : in std_logic;
           PMA_CDR_SCAN_1_20 : in std_logic;
           PMA_CDR_SCAN_1_21 : in std_logic;
           PMA_CDR_SCAN_1_22 : in std_logic;
           PMA_CDR_SCAN_1_23 : in std_logic;
           PMA_CDR_SCAN_1_24 : in std_logic;
           PMA_CDR_SCAN_1_25 : in std_logic;
           PMA_CDR_SCAN_1_26 : in std_logic;
           PMA_RX_CFG_0_0 : in std_logic;
           PMA_RX_CFG_0_1 : in std_logic;
           PMA_RX_CFG_0_2 : in std_logic;
           PMA_RX_CFG_0_3 : in std_logic;
           PMA_RX_CFG_0_4 : in std_logic;
           PMA_RX_CFG_0_5 : in std_logic;
           PMA_RX_CFG_0_6 : in std_logic;
           PMA_RX_CFG_0_7 : in std_logic;
           PMA_RX_CFG_0_8 : in std_logic;
           PMA_RX_CFG_0_9 : in std_logic;
           PMA_RX_CFG_0_10 : in std_logic;
           PMA_RX_CFG_0_11 : in std_logic;
           PMA_RX_CFG_0_12 : in std_logic;
           PMA_RX_CFG_0_13 : in std_logic;
           PMA_RX_CFG_0_14 : in std_logic;
           PMA_RX_CFG_0_15 : in std_logic;
           PMA_RX_CFG_0_16 : in std_logic;
           PMA_RX_CFG_0_17 : in std_logic;
           PMA_RX_CFG_0_18 : in std_logic;
           PMA_RX_CFG_0_19 : in std_logic;
           PMA_RX_CFG_0_20 : in std_logic;
           PMA_RX_CFG_0_21 : in std_logic;
           PMA_RX_CFG_0_22 : in std_logic;
           PMA_RX_CFG_0_23 : in std_logic;
           PMA_RX_CFG_0_24 : in std_logic;
           PMA_RX_CFG_1_0 : in std_logic;
           PMA_RX_CFG_1_1 : in std_logic;
           PMA_RX_CFG_1_2 : in std_logic;
           PMA_RX_CFG_1_3 : in std_logic;
           PMA_RX_CFG_1_4 : in std_logic;
           PMA_RX_CFG_1_5 : in std_logic;
           PMA_RX_CFG_1_6 : in std_logic;
           PMA_RX_CFG_1_7 : in std_logic;
           PMA_RX_CFG_1_8 : in std_logic;
           PMA_RX_CFG_1_9 : in std_logic;
           PMA_RX_CFG_1_10 : in std_logic;
           PMA_RX_CFG_1_11 : in std_logic;
           PMA_RX_CFG_1_12 : in std_logic;
           PMA_RX_CFG_1_13 : in std_logic;
           PMA_RX_CFG_1_14 : in std_logic;
           PMA_RX_CFG_1_15 : in std_logic;
           PMA_RX_CFG_1_16 : in std_logic;
           PMA_RX_CFG_1_17 : in std_logic;
           PMA_RX_CFG_1_18 : in std_logic;
           PMA_RX_CFG_1_19 : in std_logic;
           PMA_RX_CFG_1_20 : in std_logic;
           PMA_RX_CFG_1_21 : in std_logic;
           PMA_RX_CFG_1_22 : in std_logic;
           PMA_RX_CFG_1_23 : in std_logic;
           PMA_RX_CFG_1_24 : in std_logic;
           PRBS_ERR_THRESHOLD_0_0 : in std_logic;
           PRBS_ERR_THRESHOLD_0_1 : in std_logic;
           PRBS_ERR_THRESHOLD_0_2 : in std_logic;
           PRBS_ERR_THRESHOLD_0_3 : in std_logic;
           PRBS_ERR_THRESHOLD_0_4 : in std_logic;
           PRBS_ERR_THRESHOLD_0_5 : in std_logic;
           PRBS_ERR_THRESHOLD_0_6 : in std_logic;
           PRBS_ERR_THRESHOLD_0_7 : in std_logic;
           PRBS_ERR_THRESHOLD_0_8 : in std_logic;
           PRBS_ERR_THRESHOLD_0_9 : in std_logic;
           PRBS_ERR_THRESHOLD_0_10 : in std_logic;
           PRBS_ERR_THRESHOLD_0_11 : in std_logic;
           PRBS_ERR_THRESHOLD_0_12 : in std_logic;
           PRBS_ERR_THRESHOLD_0_13 : in std_logic;
           PRBS_ERR_THRESHOLD_0_14 : in std_logic;
           PRBS_ERR_THRESHOLD_0_15 : in std_logic;
           PRBS_ERR_THRESHOLD_0_16 : in std_logic;
           PRBS_ERR_THRESHOLD_0_17 : in std_logic;
           PRBS_ERR_THRESHOLD_0_18 : in std_logic;
           PRBS_ERR_THRESHOLD_0_19 : in std_logic;
           PRBS_ERR_THRESHOLD_0_20 : in std_logic;
           PRBS_ERR_THRESHOLD_0_21 : in std_logic;
           PRBS_ERR_THRESHOLD_0_22 : in std_logic;
           PRBS_ERR_THRESHOLD_0_23 : in std_logic;
           PRBS_ERR_THRESHOLD_0_24 : in std_logic;
           PRBS_ERR_THRESHOLD_0_25 : in std_logic;
           PRBS_ERR_THRESHOLD_0_26 : in std_logic;
           PRBS_ERR_THRESHOLD_0_27 : in std_logic;
           PRBS_ERR_THRESHOLD_0_28 : in std_logic;
           PRBS_ERR_THRESHOLD_0_29 : in std_logic;
           PRBS_ERR_THRESHOLD_0_30 : in std_logic;
           PRBS_ERR_THRESHOLD_0_31 : in std_logic;
           PRBS_ERR_THRESHOLD_1_0 : in std_logic;
           PRBS_ERR_THRESHOLD_1_1 : in std_logic;
           PRBS_ERR_THRESHOLD_1_2 : in std_logic;
           PRBS_ERR_THRESHOLD_1_3 : in std_logic;
           PRBS_ERR_THRESHOLD_1_4 : in std_logic;
           PRBS_ERR_THRESHOLD_1_5 : in std_logic;
           PRBS_ERR_THRESHOLD_1_6 : in std_logic;
           PRBS_ERR_THRESHOLD_1_7 : in std_logic;
           PRBS_ERR_THRESHOLD_1_8 : in std_logic;
           PRBS_ERR_THRESHOLD_1_9 : in std_logic;
           PRBS_ERR_THRESHOLD_1_10 : in std_logic;
           PRBS_ERR_THRESHOLD_1_11 : in std_logic;
           PRBS_ERR_THRESHOLD_1_12 : in std_logic;
           PRBS_ERR_THRESHOLD_1_13 : in std_logic;
           PRBS_ERR_THRESHOLD_1_14 : in std_logic;
           PRBS_ERR_THRESHOLD_1_15 : in std_logic;
           PRBS_ERR_THRESHOLD_1_16 : in std_logic;
           PRBS_ERR_THRESHOLD_1_17 : in std_logic;
           PRBS_ERR_THRESHOLD_1_18 : in std_logic;
           PRBS_ERR_THRESHOLD_1_19 : in std_logic;
           PRBS_ERR_THRESHOLD_1_20 : in std_logic;
           PRBS_ERR_THRESHOLD_1_21 : in std_logic;
           PRBS_ERR_THRESHOLD_1_22 : in std_logic;
           PRBS_ERR_THRESHOLD_1_23 : in std_logic;
           PRBS_ERR_THRESHOLD_1_24 : in std_logic;
           PRBS_ERR_THRESHOLD_1_25 : in std_logic;
           PRBS_ERR_THRESHOLD_1_26 : in std_logic;
           PRBS_ERR_THRESHOLD_1_27 : in std_logic;
           PRBS_ERR_THRESHOLD_1_28 : in std_logic;
           PRBS_ERR_THRESHOLD_1_29 : in std_logic;
           PRBS_ERR_THRESHOLD_1_30 : in std_logic;
           PRBS_ERR_THRESHOLD_1_31 : in std_logic;
           RCV_TERM_GND_0 : in std_logic;
           RCV_TERM_GND_1 : in std_logic;
           RCV_TERM_MID_0 : in std_logic;
           RCV_TERM_MID_1 : in std_logic;
           RCV_TERM_VTTRX_0 : in std_logic;
           RCV_TERM_VTTRX_1 : in std_logic;
           RX_BUFFER_USE_0 : in std_logic;
           RX_BUFFER_USE_1 : in std_logic;
           RX_DECODE_SEQ_MATCH_0 : in std_logic;
           RX_DECODE_SEQ_MATCH_1 : in std_logic;
           RX_LOSS_OF_SYNC_FSM_0 : in std_logic;
           RX_LOSS_OF_SYNC_FSM_1 : in std_logic;
           RX_LOS_INVALID_INCR_0_0 : in std_logic;
           RX_LOS_INVALID_INCR_0_1 : in std_logic;
           RX_LOS_INVALID_INCR_0_2 : in std_logic;
           RX_LOS_INVALID_INCR_1_0 : in std_logic;
           RX_LOS_INVALID_INCR_1_1 : in std_logic;
           RX_LOS_INVALID_INCR_1_2 : in std_logic;
           RX_LOS_THRESHOLD_0_0 : in std_logic;
           RX_LOS_THRESHOLD_0_1 : in std_logic;
           RX_LOS_THRESHOLD_0_2 : in std_logic;
           RX_LOS_THRESHOLD_1_0 : in std_logic;
           RX_LOS_THRESHOLD_1_1 : in std_logic;
           RX_LOS_THRESHOLD_1_2 : in std_logic;
           RX_SLIDE_MODE_0 : in std_logic;
           RX_SLIDE_MODE_1 : in std_logic;
           RX_STATUS_FMT_0 : in std_logic;
           RX_STATUS_FMT_1 : in std_logic;
           RX_XCLK_SEL_0 : in std_logic;
           RX_XCLK_SEL_1 : in std_logic;
           SATA_BURST_VAL_0_0 : in std_logic;
           SATA_BURST_VAL_0_1 : in std_logic;
           SATA_BURST_VAL_0_2 : in std_logic;
           SATA_BURST_VAL_1_0 : in std_logic;
           SATA_BURST_VAL_1_1 : in std_logic;
           SATA_BURST_VAL_1_2 : in std_logic;
           SATA_IDLE_VAL_0_0 : in std_logic;
           SATA_IDLE_VAL_0_1 : in std_logic;
           SATA_IDLE_VAL_0_2 : in std_logic;
           SATA_IDLE_VAL_1_0 : in std_logic;
           SATA_IDLE_VAL_1_1 : in std_logic;
           SATA_IDLE_VAL_1_2 : in std_logic;
           SATA_MAX_BURST_0_0 : in std_logic;
           SATA_MAX_BURST_0_1 : in std_logic;
           SATA_MAX_BURST_0_2 : in std_logic;
           SATA_MAX_BURST_0_3 : in std_logic;
           SATA_MAX_BURST_0_4 : in std_logic;
           SATA_MAX_BURST_0_5 : in std_logic;
           SATA_MAX_BURST_1_0 : in std_logic;
           SATA_MAX_BURST_1_1 : in std_logic;
           SATA_MAX_BURST_1_2 : in std_logic;
           SATA_MAX_BURST_1_3 : in std_logic;
           SATA_MAX_BURST_1_4 : in std_logic;
           SATA_MAX_BURST_1_5 : in std_logic;
           SATA_MAX_INIT_0_0 : in std_logic;
           SATA_MAX_INIT_0_1 : in std_logic;
           SATA_MAX_INIT_0_2 : in std_logic;
           SATA_MAX_INIT_0_3 : in std_logic;
           SATA_MAX_INIT_0_4 : in std_logic;
           SATA_MAX_INIT_0_5 : in std_logic;
           SATA_MAX_INIT_1_0 : in std_logic;
           SATA_MAX_INIT_1_1 : in std_logic;
           SATA_MAX_INIT_1_2 : in std_logic;
           SATA_MAX_INIT_1_3 : in std_logic;
           SATA_MAX_INIT_1_4 : in std_logic;
           SATA_MAX_INIT_1_5 : in std_logic;
           SATA_MAX_WAKE_0_0 : in std_logic;
           SATA_MAX_WAKE_0_1 : in std_logic;
           SATA_MAX_WAKE_0_2 : in std_logic;
           SATA_MAX_WAKE_0_3 : in std_logic;
           SATA_MAX_WAKE_0_4 : in std_logic;
           SATA_MAX_WAKE_0_5 : in std_logic;
           SATA_MAX_WAKE_1_0 : in std_logic;
           SATA_MAX_WAKE_1_1 : in std_logic;
           SATA_MAX_WAKE_1_2 : in std_logic;
           SATA_MAX_WAKE_1_3 : in std_logic;
           SATA_MAX_WAKE_1_4 : in std_logic;
           SATA_MAX_WAKE_1_5 : in std_logic;
           SATA_MIN_BURST_0_0 : in std_logic;
           SATA_MIN_BURST_0_1 : in std_logic;
           SATA_MIN_BURST_0_2 : in std_logic;
           SATA_MIN_BURST_0_3 : in std_logic;
           SATA_MIN_BURST_0_4 : in std_logic;
           SATA_MIN_BURST_0_5 : in std_logic;
           SATA_MIN_BURST_1_0 : in std_logic;
           SATA_MIN_BURST_1_1 : in std_logic;
           SATA_MIN_BURST_1_2 : in std_logic;
           SATA_MIN_BURST_1_3 : in std_logic;
           SATA_MIN_BURST_1_4 : in std_logic;
           SATA_MIN_BURST_1_5 : in std_logic;
           SATA_MIN_INIT_0_0 : in std_logic;
           SATA_MIN_INIT_0_1 : in std_logic;
           SATA_MIN_INIT_0_2 : in std_logic;
           SATA_MIN_INIT_0_3 : in std_logic;
           SATA_MIN_INIT_0_4 : in std_logic;
           SATA_MIN_INIT_0_5 : in std_logic;
           SATA_MIN_INIT_1_0 : in std_logic;
           SATA_MIN_INIT_1_1 : in std_logic;
           SATA_MIN_INIT_1_2 : in std_logic;
           SATA_MIN_INIT_1_3 : in std_logic;
           SATA_MIN_INIT_1_4 : in std_logic;
           SATA_MIN_INIT_1_5 : in std_logic;
           SATA_MIN_WAKE_0_0 : in std_logic;
           SATA_MIN_WAKE_0_1 : in std_logic;
           SATA_MIN_WAKE_0_2 : in std_logic;
           SATA_MIN_WAKE_0_3 : in std_logic;
           SATA_MIN_WAKE_0_4 : in std_logic;
           SATA_MIN_WAKE_0_5 : in std_logic;
           SATA_MIN_WAKE_1_0 : in std_logic;
           SATA_MIN_WAKE_1_1 : in std_logic;
           SATA_MIN_WAKE_1_2 : in std_logic;
           SATA_MIN_WAKE_1_3 : in std_logic;
           SATA_MIN_WAKE_1_4 : in std_logic;
           SATA_MIN_WAKE_1_5 : in std_logic;
           TERMINATION_CTRL_0 : in std_logic;
           TERMINATION_CTRL_1 : in std_logic;
           TERMINATION_CTRL_2 : in std_logic;
           TERMINATION_CTRL_3 : in std_logic;
           TERMINATION_CTRL_4 : in std_logic;
           TERMINATION_IMP_0 : in std_logic;
           TERMINATION_IMP_1 : in std_logic;
           TERMINATION_OVRD : in std_logic;
           TRANS_TIME_FROM_P2_0_0 : in std_logic;
           TRANS_TIME_FROM_P2_0_1 : in std_logic;
           TRANS_TIME_FROM_P2_0_2 : in std_logic;
           TRANS_TIME_FROM_P2_0_3 : in std_logic;
           TRANS_TIME_FROM_P2_0_4 : in std_logic;
           TRANS_TIME_FROM_P2_0_5 : in std_logic;
           TRANS_TIME_FROM_P2_0_6 : in std_logic;
           TRANS_TIME_FROM_P2_0_7 : in std_logic;
           TRANS_TIME_FROM_P2_0_8 : in std_logic;
           TRANS_TIME_FROM_P2_0_9 : in std_logic;
           TRANS_TIME_FROM_P2_0_10 : in std_logic;
           TRANS_TIME_FROM_P2_0_11 : in std_logic;
           TRANS_TIME_FROM_P2_0_12 : in std_logic;
           TRANS_TIME_FROM_P2_0_13 : in std_logic;
           TRANS_TIME_FROM_P2_0_14 : in std_logic;
           TRANS_TIME_FROM_P2_0_15 : in std_logic;
           TRANS_TIME_FROM_P2_1_0 : in std_logic;
           TRANS_TIME_FROM_P2_1_1 : in std_logic;
           TRANS_TIME_FROM_P2_1_2 : in std_logic;
           TRANS_TIME_FROM_P2_1_3 : in std_logic;
           TRANS_TIME_FROM_P2_1_4 : in std_logic;
           TRANS_TIME_FROM_P2_1_5 : in std_logic;
           TRANS_TIME_FROM_P2_1_6 : in std_logic;
           TRANS_TIME_FROM_P2_1_7 : in std_logic;
           TRANS_TIME_FROM_P2_1_8 : in std_logic;
           TRANS_TIME_FROM_P2_1_9 : in std_logic;
           TRANS_TIME_FROM_P2_1_10 : in std_logic;
           TRANS_TIME_FROM_P2_1_11 : in std_logic;
           TRANS_TIME_FROM_P2_1_12 : in std_logic;
           TRANS_TIME_FROM_P2_1_13 : in std_logic;
           TRANS_TIME_FROM_P2_1_14 : in std_logic;
           TRANS_TIME_FROM_P2_1_15 : in std_logic;
           TRANS_TIME_NON_P2_0_0 : in std_logic;
           TRANS_TIME_NON_P2_0_1 : in std_logic;
           TRANS_TIME_NON_P2_0_2 : in std_logic;
           TRANS_TIME_NON_P2_0_3 : in std_logic;
           TRANS_TIME_NON_P2_0_4 : in std_logic;
           TRANS_TIME_NON_P2_0_5 : in std_logic;
           TRANS_TIME_NON_P2_0_6 : in std_logic;
           TRANS_TIME_NON_P2_0_7 : in std_logic;
           TRANS_TIME_NON_P2_0_8 : in std_logic;
           TRANS_TIME_NON_P2_0_9 : in std_logic;
           TRANS_TIME_NON_P2_0_10 : in std_logic;
           TRANS_TIME_NON_P2_0_11 : in std_logic;
           TRANS_TIME_NON_P2_0_12 : in std_logic;
           TRANS_TIME_NON_P2_0_13 : in std_logic;
           TRANS_TIME_NON_P2_0_14 : in std_logic;
           TRANS_TIME_NON_P2_0_15 : in std_logic;
           TRANS_TIME_NON_P2_1_0 : in std_logic;
           TRANS_TIME_NON_P2_1_1 : in std_logic;
           TRANS_TIME_NON_P2_1_2 : in std_logic;
           TRANS_TIME_NON_P2_1_3 : in std_logic;
           TRANS_TIME_NON_P2_1_4 : in std_logic;
           TRANS_TIME_NON_P2_1_5 : in std_logic;
           TRANS_TIME_NON_P2_1_6 : in std_logic;
           TRANS_TIME_NON_P2_1_7 : in std_logic;
           TRANS_TIME_NON_P2_1_8 : in std_logic;
           TRANS_TIME_NON_P2_1_9 : in std_logic;
           TRANS_TIME_NON_P2_1_10 : in std_logic;
           TRANS_TIME_NON_P2_1_11 : in std_logic;
           TRANS_TIME_NON_P2_1_12 : in std_logic;
           TRANS_TIME_NON_P2_1_13 : in std_logic;
           TRANS_TIME_NON_P2_1_14 : in std_logic;
           TRANS_TIME_NON_P2_1_15 : in std_logic;
           TRANS_TIME_TO_P2_0_0 : in std_logic;
           TRANS_TIME_TO_P2_0_1 : in std_logic;
           TRANS_TIME_TO_P2_0_2 : in std_logic;
           TRANS_TIME_TO_P2_0_3 : in std_logic;
           TRANS_TIME_TO_P2_0_4 : in std_logic;
           TRANS_TIME_TO_P2_0_5 : in std_logic;
           TRANS_TIME_TO_P2_0_6 : in std_logic;
           TRANS_TIME_TO_P2_0_7 : in std_logic;
           TRANS_TIME_TO_P2_0_8 : in std_logic;
           TRANS_TIME_TO_P2_0_9 : in std_logic;
           TRANS_TIME_TO_P2_0_10 : in std_logic;
           TRANS_TIME_TO_P2_0_11 : in std_logic;
           TRANS_TIME_TO_P2_0_12 : in std_logic;
           TRANS_TIME_TO_P2_0_13 : in std_logic;
           TRANS_TIME_TO_P2_0_14 : in std_logic;
           TRANS_TIME_TO_P2_0_15 : in std_logic;
           TRANS_TIME_TO_P2_1_0 : in std_logic;
           TRANS_TIME_TO_P2_1_1 : in std_logic;
           TRANS_TIME_TO_P2_1_2 : in std_logic;
           TRANS_TIME_TO_P2_1_3 : in std_logic;
           TRANS_TIME_TO_P2_1_4 : in std_logic;
           TRANS_TIME_TO_P2_1_5 : in std_logic;
           TRANS_TIME_TO_P2_1_6 : in std_logic;
           TRANS_TIME_TO_P2_1_7 : in std_logic;
           TRANS_TIME_TO_P2_1_8 : in std_logic;
           TRANS_TIME_TO_P2_1_9 : in std_logic;
           TRANS_TIME_TO_P2_1_10 : in std_logic;
           TRANS_TIME_TO_P2_1_11 : in std_logic;
           TRANS_TIME_TO_P2_1_12 : in std_logic;
           TRANS_TIME_TO_P2_1_13 : in std_logic;
           TRANS_TIME_TO_P2_1_14 : in std_logic;
           TRANS_TIME_TO_P2_1_15 : in std_logic;
           TXRX_INVERT_0_0 : in std_logic;
           TXRX_INVERT_0_1 : in std_logic;
           TXRX_INVERT_0_2 : in std_logic;
           TXRX_INVERT_0_3 : in std_logic;
           TXRX_INVERT_0_4 : in std_logic;
           TXRX_INVERT_1_0 : in std_logic;
           TXRX_INVERT_1_1 : in std_logic;
           TXRX_INVERT_1_2 : in std_logic;
           TXRX_INVERT_1_3 : in std_logic;
           TXRX_INVERT_1_4 : in std_logic;
           TX_BUFFER_USE_0 : in std_logic;
           TX_BUFFER_USE_1 : in std_logic;
           TX_SYNC_FILTERB : in std_logic;
           TX_DIFF_BOOST_0 : in std_logic;
           TX_DIFF_BOOST_1 : in std_logic;
           TX_XCLK_SEL_0 : in std_logic;
           TX_XCLK_SEL_1 : in std_logic );
end;

architecture SmartModel of gtp_dual_swift is
    attribute FOREIGN : STRING;
    attribute FOREIGN of SmartModel : architecture is "sm_init $ALDEC/BIN/swift.dll ; gtp_dual_swift";
begin
end SmartModel;

library ieee;
use ieee.std_logic_1164.all;
entity pcie_internal_1_1_swift is
    generic ( TimingVersion : STRING := "pcie_internal_1_1_swift";
              DelayRange : STRING := "MAX";
              MC_Reference : STRING := "0000";
              TEST_MODE : STRING := "1" );
    port ( PIPERXELECIDLEL0 : in std_logic;
           PIPERXSTATUSL0_0 : in std_logic;
           PIPERXSTATUSL0_1 : in std_logic;
           PIPERXSTATUSL0_2 : in std_logic;
           PIPERXDATAL0_0 : in std_logic;
           PIPERXDATAL0_1 : in std_logic;
           PIPERXDATAL0_2 : in std_logic;
           PIPERXDATAL0_3 : in std_logic;
           PIPERXDATAL0_4 : in std_logic;
           PIPERXDATAL0_5 : in std_logic;
           PIPERXDATAL0_6 : in std_logic;
           PIPERXDATAL0_7 : in std_logic;
           PIPEPHYSTATUSL0 : in std_logic;
           PIPERXDATAKL0 : in std_logic;
           PIPERXVALIDL0 : in std_logic;
           PIPERXCHANISALIGNEDL0 : in std_logic;
           PIPERXELECIDLEL1 : in std_logic;
           PIPERXSTATUSL1_0 : in std_logic;
           PIPERXSTATUSL1_1 : in std_logic;
           PIPERXSTATUSL1_2 : in std_logic;
           PIPERXDATAL1_0 : in std_logic;
           PIPERXDATAL1_1 : in std_logic;
           PIPERXDATAL1_2 : in std_logic;
           PIPERXDATAL1_3 : in std_logic;
           PIPERXDATAL1_4 : in std_logic;
           PIPERXDATAL1_5 : in std_logic;
           PIPERXDATAL1_6 : in std_logic;
           PIPERXDATAL1_7 : in std_logic;
           PIPEPHYSTATUSL1 : in std_logic;
           PIPERXDATAKL1 : in std_logic;
           PIPERXVALIDL1 : in std_logic;
           PIPERXCHANISALIGNEDL1 : in std_logic;
           PIPERXELECIDLEL2 : in std_logic;
           PIPERXSTATUSL2_0 : in std_logic;
           PIPERXSTATUSL2_1 : in std_logic;
           PIPERXSTATUSL2_2 : in std_logic;
           PIPERXDATAL2_0 : in std_logic;
           PIPERXDATAL2_1 : in std_logic;
           PIPERXDATAL2_2 : in std_logic;
           PIPERXDATAL2_3 : in std_logic;
           PIPERXDATAL2_4 : in std_logic;
           PIPERXDATAL2_5 : in std_logic;
           PIPERXDATAL2_6 : in std_logic;
           PIPERXDATAL2_7 : in std_logic;
           PIPEPHYSTATUSL2 : in std_logic;
           PIPERXDATAKL2 : in std_logic;
           PIPERXVALIDL2 : in std_logic;
           PIPERXCHANISALIGNEDL2 : in std_logic;
           PIPERXELECIDLEL3 : in std_logic;
           PIPERXSTATUSL3_0 : in std_logic;
           PIPERXSTATUSL3_1 : in std_logic;
           PIPERXSTATUSL3_2 : in std_logic;
           PIPERXDATAL3_0 : in std_logic;
           PIPERXDATAL3_1 : in std_logic;
           PIPERXDATAL3_2 : in std_logic;
           PIPERXDATAL3_3 : in std_logic;
           PIPERXDATAL3_4 : in std_logic;
           PIPERXDATAL3_5 : in std_logic;
           PIPERXDATAL3_6 : in std_logic;
           PIPERXDATAL3_7 : in std_logic;
           PIPEPHYSTATUSL3 : in std_logic;
           PIPERXDATAKL3 : in std_logic;
           PIPERXVALIDL3 : in std_logic;
           PIPERXCHANISALIGNEDL3 : in std_logic;
           PIPERXELECIDLEL4 : in std_logic;
           PIPERXSTATUSL4_0 : in std_logic;
           PIPERXSTATUSL4_1 : in std_logic;
           PIPERXSTATUSL4_2 : in std_logic;
           PIPERXDATAL4_0 : in std_logic;
           PIPERXDATAL4_1 : in std_logic;
           PIPERXDATAL4_2 : in std_logic;
           PIPERXDATAL4_3 : in std_logic;
           PIPERXDATAL4_4 : in std_logic;
           PIPERXDATAL4_5 : in std_logic;
           PIPERXDATAL4_6 : in std_logic;
           PIPERXDATAL4_7 : in std_logic;
           PIPEPHYSTATUSL4 : in std_logic;
           PIPERXDATAKL4 : in std_logic;
           PIPERXVALIDL4 : in std_logic;
           PIPERXCHANISALIGNEDL4 : in std_logic;
           PIPERXELECIDLEL5 : in std_logic;
           PIPERXSTATUSL5_0 : in std_logic;
           PIPERXSTATUSL5_1 : in std_logic;
           PIPERXSTATUSL5_2 : in std_logic;
           PIPERXDATAL5_0 : in std_logic;
           PIPERXDATAL5_1 : in std_logic;
           PIPERXDATAL5_2 : in std_logic;
           PIPERXDATAL5_3 : in std_logic;
           PIPERXDATAL5_4 : in std_logic;
           PIPERXDATAL5_5 : in std_logic;
           PIPERXDATAL5_6 : in std_logic;
           PIPERXDATAL5_7 : in std_logic;
           PIPEPHYSTATUSL5 : in std_logic;
           PIPERXDATAKL5 : in std_logic;
           PIPERXVALIDL5 : in std_logic;
           PIPERXCHANISALIGNEDL5 : in std_logic;
           PIPERXELECIDLEL6 : in std_logic;
           PIPERXSTATUSL6_0 : in std_logic;
           PIPERXSTATUSL6_1 : in std_logic;
           PIPERXSTATUSL6_2 : in std_logic;
           PIPERXDATAL6_0 : in std_logic;
           PIPERXDATAL6_1 : in std_logic;
           PIPERXDATAL6_2 : in std_logic;
           PIPERXDATAL6_3 : in std_logic;
           PIPERXDATAL6_4 : in std_logic;
           PIPERXDATAL6_5 : in std_logic;
           PIPERXDATAL6_6 : in std_logic;
           PIPERXDATAL6_7 : in std_logic;
           PIPEPHYSTATUSL6 : in std_logic;
           PIPERXDATAKL6 : in std_logic;
           PIPERXVALIDL6 : in std_logic;
           PIPERXCHANISALIGNEDL6 : in std_logic;
           PIPERXELECIDLEL7 : in std_logic;
           PIPERXSTATUSL7_0 : in std_logic;
           PIPERXSTATUSL7_1 : in std_logic;
           PIPERXSTATUSL7_2 : in std_logic;
           PIPERXDATAL7_0 : in std_logic;
           PIPERXDATAL7_1 : in std_logic;
           PIPERXDATAL7_2 : in std_logic;
           PIPERXDATAL7_3 : in std_logic;
           PIPERXDATAL7_4 : in std_logic;
           PIPERXDATAL7_5 : in std_logic;
           PIPERXDATAL7_6 : in std_logic;
           PIPERXDATAL7_7 : in std_logic;
           PIPEPHYSTATUSL7 : in std_logic;
           PIPERXDATAKL7 : in std_logic;
           PIPERXVALIDL7 : in std_logic;
           PIPERXCHANISALIGNEDL7 : in std_logic;
           MIMRXBRDATA_0 : in std_logic;
           MIMRXBRDATA_1 : in std_logic;
           MIMRXBRDATA_2 : in std_logic;
           MIMRXBRDATA_3 : in std_logic;
           MIMRXBRDATA_4 : in std_logic;
           MIMRXBRDATA_5 : in std_logic;
           MIMRXBRDATA_6 : in std_logic;
           MIMRXBRDATA_7 : in std_logic;
           MIMRXBRDATA_8 : in std_logic;
           MIMRXBRDATA_9 : in std_logic;
           MIMRXBRDATA_10 : in std_logic;
           MIMRXBRDATA_11 : in std_logic;
           MIMRXBRDATA_12 : in std_logic;
           MIMRXBRDATA_13 : in std_logic;
           MIMRXBRDATA_14 : in std_logic;
           MIMRXBRDATA_15 : in std_logic;
           MIMRXBRDATA_16 : in std_logic;
           MIMRXBRDATA_17 : in std_logic;
           MIMRXBRDATA_18 : in std_logic;
           MIMRXBRDATA_19 : in std_logic;
           MIMRXBRDATA_20 : in std_logic;
           MIMRXBRDATA_21 : in std_logic;
           MIMRXBRDATA_22 : in std_logic;
           MIMRXBRDATA_23 : in std_logic;
           MIMRXBRDATA_24 : in std_logic;
           MIMRXBRDATA_25 : in std_logic;
           MIMRXBRDATA_26 : in std_logic;
           MIMRXBRDATA_27 : in std_logic;
           MIMRXBRDATA_28 : in std_logic;
           MIMRXBRDATA_29 : in std_logic;
           MIMRXBRDATA_30 : in std_logic;
           MIMRXBRDATA_31 : in std_logic;
           MIMRXBRDATA_32 : in std_logic;
           MIMRXBRDATA_33 : in std_logic;
           MIMRXBRDATA_34 : in std_logic;
           MIMRXBRDATA_35 : in std_logic;
           MIMRXBRDATA_36 : in std_logic;
           MIMRXBRDATA_37 : in std_logic;
           MIMRXBRDATA_38 : in std_logic;
           MIMRXBRDATA_39 : in std_logic;
           MIMRXBRDATA_40 : in std_logic;
           MIMRXBRDATA_41 : in std_logic;
           MIMRXBRDATA_42 : in std_logic;
           MIMRXBRDATA_43 : in std_logic;
           MIMRXBRDATA_44 : in std_logic;
           MIMRXBRDATA_45 : in std_logic;
           MIMRXBRDATA_46 : in std_logic;
           MIMRXBRDATA_47 : in std_logic;
           MIMRXBRDATA_48 : in std_logic;
           MIMRXBRDATA_49 : in std_logic;
           MIMRXBRDATA_50 : in std_logic;
           MIMRXBRDATA_51 : in std_logic;
           MIMRXBRDATA_52 : in std_logic;
           MIMRXBRDATA_53 : in std_logic;
           MIMRXBRDATA_54 : in std_logic;
           MIMRXBRDATA_55 : in std_logic;
           MIMRXBRDATA_56 : in std_logic;
           MIMRXBRDATA_57 : in std_logic;
           MIMRXBRDATA_58 : in std_logic;
           MIMRXBRDATA_59 : in std_logic;
           MIMRXBRDATA_60 : in std_logic;
           MIMRXBRDATA_61 : in std_logic;
           MIMRXBRDATA_62 : in std_logic;
           MIMRXBRDATA_63 : in std_logic;
           CRMCORECLKRXO : in std_logic;
           CRMUSERCLKRXO : in std_logic;
           MIMTXBRDATA_0 : in std_logic;
           MIMTXBRDATA_1 : in std_logic;
           MIMTXBRDATA_2 : in std_logic;
           MIMTXBRDATA_3 : in std_logic;
           MIMTXBRDATA_4 : in std_logic;
           MIMTXBRDATA_5 : in std_logic;
           MIMTXBRDATA_6 : in std_logic;
           MIMTXBRDATA_7 : in std_logic;
           MIMTXBRDATA_8 : in std_logic;
           MIMTXBRDATA_9 : in std_logic;
           MIMTXBRDATA_10 : in std_logic;
           MIMTXBRDATA_11 : in std_logic;
           MIMTXBRDATA_12 : in std_logic;
           MIMTXBRDATA_13 : in std_logic;
           MIMTXBRDATA_14 : in std_logic;
           MIMTXBRDATA_15 : in std_logic;
           MIMTXBRDATA_16 : in std_logic;
           MIMTXBRDATA_17 : in std_logic;
           MIMTXBRDATA_18 : in std_logic;
           MIMTXBRDATA_19 : in std_logic;
           MIMTXBRDATA_20 : in std_logic;
           MIMTXBRDATA_21 : in std_logic;
           MIMTXBRDATA_22 : in std_logic;
           MIMTXBRDATA_23 : in std_logic;
           MIMTXBRDATA_24 : in std_logic;
           MIMTXBRDATA_25 : in std_logic;
           MIMTXBRDATA_26 : in std_logic;
           MIMTXBRDATA_27 : in std_logic;
           MIMTXBRDATA_28 : in std_logic;
           MIMTXBRDATA_29 : in std_logic;
           MIMTXBRDATA_30 : in std_logic;
           MIMTXBRDATA_31 : in std_logic;
           MIMTXBRDATA_32 : in std_logic;
           MIMTXBRDATA_33 : in std_logic;
           MIMTXBRDATA_34 : in std_logic;
           MIMTXBRDATA_35 : in std_logic;
           MIMTXBRDATA_36 : in std_logic;
           MIMTXBRDATA_37 : in std_logic;
           MIMTXBRDATA_38 : in std_logic;
           MIMTXBRDATA_39 : in std_logic;
           MIMTXBRDATA_40 : in std_logic;
           MIMTXBRDATA_41 : in std_logic;
           MIMTXBRDATA_42 : in std_logic;
           MIMTXBRDATA_43 : in std_logic;
           MIMTXBRDATA_44 : in std_logic;
           MIMTXBRDATA_45 : in std_logic;
           MIMTXBRDATA_46 : in std_logic;
           MIMTXBRDATA_47 : in std_logic;
           MIMTXBRDATA_48 : in std_logic;
           MIMTXBRDATA_49 : in std_logic;
           MIMTXBRDATA_50 : in std_logic;
           MIMTXBRDATA_51 : in std_logic;
           MIMTXBRDATA_52 : in std_logic;
           MIMTXBRDATA_53 : in std_logic;
           MIMTXBRDATA_54 : in std_logic;
           MIMTXBRDATA_55 : in std_logic;
           MIMTXBRDATA_56 : in std_logic;
           MIMTXBRDATA_57 : in std_logic;
           MIMTXBRDATA_58 : in std_logic;
           MIMTXBRDATA_59 : in std_logic;
           MIMTXBRDATA_60 : in std_logic;
           MIMTXBRDATA_61 : in std_logic;
           MIMTXBRDATA_62 : in std_logic;
           MIMTXBRDATA_63 : in std_logic;
           CRMCORECLKTXO : in std_logic;
           CRMUSERCLKTXO : in std_logic;
           MIMDLLBRDATA_0 : in std_logic;
           MIMDLLBRDATA_1 : in std_logic;
           MIMDLLBRDATA_2 : in std_logic;
           MIMDLLBRDATA_3 : in std_logic;
           MIMDLLBRDATA_4 : in std_logic;
           MIMDLLBRDATA_5 : in std_logic;
           MIMDLLBRDATA_6 : in std_logic;
           MIMDLLBRDATA_7 : in std_logic;
           MIMDLLBRDATA_8 : in std_logic;
           MIMDLLBRDATA_9 : in std_logic;
           MIMDLLBRDATA_10 : in std_logic;
           MIMDLLBRDATA_11 : in std_logic;
           MIMDLLBRDATA_12 : in std_logic;
           MIMDLLBRDATA_13 : in std_logic;
           MIMDLLBRDATA_14 : in std_logic;
           MIMDLLBRDATA_15 : in std_logic;
           MIMDLLBRDATA_16 : in std_logic;
           MIMDLLBRDATA_17 : in std_logic;
           MIMDLLBRDATA_18 : in std_logic;
           MIMDLLBRDATA_19 : in std_logic;
           MIMDLLBRDATA_20 : in std_logic;
           MIMDLLBRDATA_21 : in std_logic;
           MIMDLLBRDATA_22 : in std_logic;
           MIMDLLBRDATA_23 : in std_logic;
           MIMDLLBRDATA_24 : in std_logic;
           MIMDLLBRDATA_25 : in std_logic;
           MIMDLLBRDATA_26 : in std_logic;
           MIMDLLBRDATA_27 : in std_logic;
           MIMDLLBRDATA_28 : in std_logic;
           MIMDLLBRDATA_29 : in std_logic;
           MIMDLLBRDATA_30 : in std_logic;
           MIMDLLBRDATA_31 : in std_logic;
           MIMDLLBRDATA_32 : in std_logic;
           MIMDLLBRDATA_33 : in std_logic;
           MIMDLLBRDATA_34 : in std_logic;
           MIMDLLBRDATA_35 : in std_logic;
           MIMDLLBRDATA_36 : in std_logic;
           MIMDLLBRDATA_37 : in std_logic;
           MIMDLLBRDATA_38 : in std_logic;
           MIMDLLBRDATA_39 : in std_logic;
           MIMDLLBRDATA_40 : in std_logic;
           MIMDLLBRDATA_41 : in std_logic;
           MIMDLLBRDATA_42 : in std_logic;
           MIMDLLBRDATA_43 : in std_logic;
           MIMDLLBRDATA_44 : in std_logic;
           MIMDLLBRDATA_45 : in std_logic;
           MIMDLLBRDATA_46 : in std_logic;
           MIMDLLBRDATA_47 : in std_logic;
           MIMDLLBRDATA_48 : in std_logic;
           MIMDLLBRDATA_49 : in std_logic;
           MIMDLLBRDATA_50 : in std_logic;
           MIMDLLBRDATA_51 : in std_logic;
           MIMDLLBRDATA_52 : in std_logic;
           MIMDLLBRDATA_53 : in std_logic;
           MIMDLLBRDATA_54 : in std_logic;
           MIMDLLBRDATA_55 : in std_logic;
           MIMDLLBRDATA_56 : in std_logic;
           MIMDLLBRDATA_57 : in std_logic;
           MIMDLLBRDATA_58 : in std_logic;
           MIMDLLBRDATA_59 : in std_logic;
           MIMDLLBRDATA_60 : in std_logic;
           MIMDLLBRDATA_61 : in std_logic;
           MIMDLLBRDATA_62 : in std_logic;
           MIMDLLBRDATA_63 : in std_logic;
           CRMCORECLKDLO : in std_logic;
           CRMCORECLK : in std_logic;
           CRMUSERCLK : in std_logic;
           GSR : in std_logic;
           CRMURSTN : in std_logic;
           CRMNVRSTN : in std_logic;
           CRMMGMTRSTN : in std_logic;
           CRMUSERCFGRSTN : in std_logic;
           CRMMACRSTN : in std_logic;
           CRMLINKRSTN : in std_logic;
           CRMTXHOTRESETN : in std_logic;
           CRMCFGBRIDGEHOTRESET : in std_logic;
           MCRESETMODE : in std_logic;
           LLKTXDATA_0 : in std_logic;
           LLKTXDATA_1 : in std_logic;
           LLKTXDATA_2 : in std_logic;
           LLKTXDATA_3 : in std_logic;
           LLKTXDATA_4 : in std_logic;
           LLKTXDATA_5 : in std_logic;
           LLKTXDATA_6 : in std_logic;
           LLKTXDATA_7 : in std_logic;
           LLKTXDATA_8 : in std_logic;
           LLKTXDATA_9 : in std_logic;
           LLKTXDATA_10 : in std_logic;
           LLKTXDATA_11 : in std_logic;
           LLKTXDATA_12 : in std_logic;
           LLKTXDATA_13 : in std_logic;
           LLKTXDATA_14 : in std_logic;
           LLKTXDATA_15 : in std_logic;
           LLKTXDATA_16 : in std_logic;
           LLKTXDATA_17 : in std_logic;
           LLKTXDATA_18 : in std_logic;
           LLKTXDATA_19 : in std_logic;
           LLKTXDATA_20 : in std_logic;
           LLKTXDATA_21 : in std_logic;
           LLKTXDATA_22 : in std_logic;
           LLKTXDATA_23 : in std_logic;
           LLKTXDATA_24 : in std_logic;
           LLKTXDATA_25 : in std_logic;
           LLKTXDATA_26 : in std_logic;
           LLKTXDATA_27 : in std_logic;
           LLKTXDATA_28 : in std_logic;
           LLKTXDATA_29 : in std_logic;
           LLKTXDATA_30 : in std_logic;
           LLKTXDATA_31 : in std_logic;
           LLKTXDATA_32 : in std_logic;
           LLKTXDATA_33 : in std_logic;
           LLKTXDATA_34 : in std_logic;
           LLKTXDATA_35 : in std_logic;
           LLKTXDATA_36 : in std_logic;
           LLKTXDATA_37 : in std_logic;
           LLKTXDATA_38 : in std_logic;
           LLKTXDATA_39 : in std_logic;
           LLKTXDATA_40 : in std_logic;
           LLKTXDATA_41 : in std_logic;
           LLKTXDATA_42 : in std_logic;
           LLKTXDATA_43 : in std_logic;
           LLKTXDATA_44 : in std_logic;
           LLKTXDATA_45 : in std_logic;
           LLKTXDATA_46 : in std_logic;
           LLKTXDATA_47 : in std_logic;
           LLKTXDATA_48 : in std_logic;
           LLKTXDATA_49 : in std_logic;
           LLKTXDATA_50 : in std_logic;
           LLKTXDATA_51 : in std_logic;
           LLKTXDATA_52 : in std_logic;
           LLKTXDATA_53 : in std_logic;
           LLKTXDATA_54 : in std_logic;
           LLKTXDATA_55 : in std_logic;
           LLKTXDATA_56 : in std_logic;
           LLKTXDATA_57 : in std_logic;
           LLKTXDATA_58 : in std_logic;
           LLKTXDATA_59 : in std_logic;
           LLKTXDATA_60 : in std_logic;
           LLKTXDATA_61 : in std_logic;
           LLKTXDATA_62 : in std_logic;
           LLKTXDATA_63 : in std_logic;
           LLKTXSRCRDYN : in std_logic;
           LLKTXSRCDSCN : in std_logic;
           LLKTXCOMPLETEN : in std_logic;
           LLKTXSOFN : in std_logic;
           LLKTXEOFN : in std_logic;
           LLKTXSOPN : in std_logic;
           LLKTXEOPN : in std_logic;
           LLKTXENABLEN_0 : in std_logic;
           LLKTXENABLEN_1 : in std_logic;
           LLKTXCHTC_0 : in std_logic;
           LLKTXCHTC_1 : in std_logic;
           LLKTXCHTC_2 : in std_logic;
           LLKTXCHFIFO_0 : in std_logic;
           LLKTXCHFIFO_1 : in std_logic;
           LLKTXCREATEECRCN : in std_logic;
           LLKTX4DWHEADERN : in std_logic;
           LLKRXDSTREQN : in std_logic;
           LLKRXCHTC_0 : in std_logic;
           LLKRXCHTC_1 : in std_logic;
           LLKRXCHTC_2 : in std_logic;
           LLKRXCHFIFO_0 : in std_logic;
           LLKRXCHFIFO_1 : in std_logic;
           LLKRXDSTCONTREQN : in std_logic;
           MGMTWDATA_0 : in std_logic;
           MGMTWDATA_1 : in std_logic;
           MGMTWDATA_2 : in std_logic;
           MGMTWDATA_3 : in std_logic;
           MGMTWDATA_4 : in std_logic;
           MGMTWDATA_5 : in std_logic;
           MGMTWDATA_6 : in std_logic;
           MGMTWDATA_7 : in std_logic;
           MGMTWDATA_8 : in std_logic;
           MGMTWDATA_9 : in std_logic;
           MGMTWDATA_10 : in std_logic;
           MGMTWDATA_11 : in std_logic;
           MGMTWDATA_12 : in std_logic;
           MGMTWDATA_13 : in std_logic;
           MGMTWDATA_14 : in std_logic;
           MGMTWDATA_15 : in std_logic;
           MGMTWDATA_16 : in std_logic;
           MGMTWDATA_17 : in std_logic;
           MGMTWDATA_18 : in std_logic;
           MGMTWDATA_19 : in std_logic;
           MGMTWDATA_20 : in std_logic;
           MGMTWDATA_21 : in std_logic;
           MGMTWDATA_22 : in std_logic;
           MGMTWDATA_23 : in std_logic;
           MGMTWDATA_24 : in std_logic;
           MGMTWDATA_25 : in std_logic;
           MGMTWDATA_26 : in std_logic;
           MGMTWDATA_27 : in std_logic;
           MGMTWDATA_28 : in std_logic;
           MGMTWDATA_29 : in std_logic;
           MGMTWDATA_30 : in std_logic;
           MGMTWDATA_31 : in std_logic;
           MGMTBWREN_0 : in std_logic;
           MGMTBWREN_1 : in std_logic;
           MGMTBWREN_2 : in std_logic;
           MGMTBWREN_3 : in std_logic;
           MGMTWREN : in std_logic;
           MGMTADDR_0 : in std_logic;
           MGMTADDR_1 : in std_logic;
           MGMTADDR_2 : in std_logic;
           MGMTADDR_3 : in std_logic;
           MGMTADDR_4 : in std_logic;
           MGMTADDR_5 : in std_logic;
           MGMTADDR_6 : in std_logic;
           MGMTADDR_7 : in std_logic;
           MGMTADDR_8 : in std_logic;
           MGMTADDR_9 : in std_logic;
           MGMTADDR_10 : in std_logic;
           MGMTRDEN : in std_logic;
           MCVENDORID_0 : in std_logic;
           MCVENDORID_1 : in std_logic;
           MCVENDORID_2 : in std_logic;
           MCVENDORID_3 : in std_logic;
           MCVENDORID_4 : in std_logic;
           MCVENDORID_5 : in std_logic;
           MCVENDORID_6 : in std_logic;
           MCVENDORID_7 : in std_logic;
           MCVENDORID_8 : in std_logic;
           MCVENDORID_9 : in std_logic;
           MCVENDORID_10 : in std_logic;
           MCVENDORID_11 : in std_logic;
           MCVENDORID_12 : in std_logic;
           MCVENDORID_13 : in std_logic;
           MCVENDORID_14 : in std_logic;
           MCVENDORID_15 : in std_logic;
           MCDEVICEID_0 : in std_logic;
           MCDEVICEID_1 : in std_logic;
           MCDEVICEID_2 : in std_logic;
           MCDEVICEID_3 : in std_logic;
           MCDEVICEID_4 : in std_logic;
           MCDEVICEID_5 : in std_logic;
           MCDEVICEID_6 : in std_logic;
           MCDEVICEID_7 : in std_logic;
           MCDEVICEID_8 : in std_logic;
           MCDEVICEID_9 : in std_logic;
           MCDEVICEID_10 : in std_logic;
           MCDEVICEID_11 : in std_logic;
           MCDEVICEID_12 : in std_logic;
           MCDEVICEID_13 : in std_logic;
           MCDEVICEID_14 : in std_logic;
           MCDEVICEID_15 : in std_logic;
           MCREVISIONID_0 : in std_logic;
           MCREVISIONID_1 : in std_logic;
           MCREVISIONID_2 : in std_logic;
           MCREVISIONID_3 : in std_logic;
           MCREVISIONID_4 : in std_logic;
           MCREVISIONID_5 : in std_logic;
           MCREVISIONID_6 : in std_logic;
           MCREVISIONID_7 : in std_logic;
           MCCLASSCODE_0 : in std_logic;
           MCCLASSCODE_1 : in std_logic;
           MCCLASSCODE_2 : in std_logic;
           MCCLASSCODE_3 : in std_logic;
           MCCLASSCODE_4 : in std_logic;
           MCCLASSCODE_5 : in std_logic;
           MCCLASSCODE_6 : in std_logic;
           MCCLASSCODE_7 : in std_logic;
           MCCLASSCODE_8 : in std_logic;
           MCCLASSCODE_9 : in std_logic;
           MCCLASSCODE_10 : in std_logic;
           MCCLASSCODE_11 : in std_logic;
           MCCLASSCODE_12 : in std_logic;
           MCCLASSCODE_13 : in std_logic;
           MCCLASSCODE_14 : in std_logic;
           MCCLASSCODE_15 : in std_logic;
           MCCLASSCODE_16 : in std_logic;
           MCCLASSCODE_17 : in std_logic;
           MCCLASSCODE_18 : in std_logic;
           MCCLASSCODE_19 : in std_logic;
           MCCLASSCODE_20 : in std_logic;
           MCCLASSCODE_21 : in std_logic;
           MCCLASSCODE_22 : in std_logic;
           MCCLASSCODE_23 : in std_logic;
           MCCARDBUSCISPOINTER_0 : in std_logic;
           MCCARDBUSCISPOINTER_1 : in std_logic;
           MCCARDBUSCISPOINTER_2 : in std_logic;
           MCCARDBUSCISPOINTER_3 : in std_logic;
           MCCARDBUSCISPOINTER_4 : in std_logic;
           MCCARDBUSCISPOINTER_5 : in std_logic;
           MCCARDBUSCISPOINTER_6 : in std_logic;
           MCCARDBUSCISPOINTER_7 : in std_logic;
           MCCARDBUSCISPOINTER_8 : in std_logic;
           MCCARDBUSCISPOINTER_9 : in std_logic;
           MCCARDBUSCISPOINTER_10 : in std_logic;
           MCCARDBUSCISPOINTER_11 : in std_logic;
           MCCARDBUSCISPOINTER_12 : in std_logic;
           MCCARDBUSCISPOINTER_13 : in std_logic;
           MCCARDBUSCISPOINTER_14 : in std_logic;
           MCCARDBUSCISPOINTER_15 : in std_logic;
           MCCARDBUSCISPOINTER_16 : in std_logic;
           MCCARDBUSCISPOINTER_17 : in std_logic;
           MCCARDBUSCISPOINTER_18 : in std_logic;
           MCCARDBUSCISPOINTER_19 : in std_logic;
           MCCARDBUSCISPOINTER_20 : in std_logic;
           MCCARDBUSCISPOINTER_21 : in std_logic;
           MCCARDBUSCISPOINTER_22 : in std_logic;
           MCCARDBUSCISPOINTER_23 : in std_logic;
           MCCARDBUSCISPOINTER_24 : in std_logic;
           MCCARDBUSCISPOINTER_25 : in std_logic;
           MCCARDBUSCISPOINTER_26 : in std_logic;
           MCCARDBUSCISPOINTER_27 : in std_logic;
           MCCARDBUSCISPOINTER_28 : in std_logic;
           MCCARDBUSCISPOINTER_29 : in std_logic;
           MCCARDBUSCISPOINTER_30 : in std_logic;
           MCCARDBUSCISPOINTER_31 : in std_logic;
           MCSUBSYSTEMVENDORID_0 : in std_logic;
           MCSUBSYSTEMVENDORID_1 : in std_logic;
           MCSUBSYSTEMVENDORID_2 : in std_logic;
           MCSUBSYSTEMVENDORID_3 : in std_logic;
           MCSUBSYSTEMVENDORID_4 : in std_logic;
           MCSUBSYSTEMVENDORID_5 : in std_logic;
           MCSUBSYSTEMVENDORID_6 : in std_logic;
           MCSUBSYSTEMVENDORID_7 : in std_logic;
           MCSUBSYSTEMVENDORID_8 : in std_logic;
           MCSUBSYSTEMVENDORID_9 : in std_logic;
           MCSUBSYSTEMVENDORID_10 : in std_logic;
           MCSUBSYSTEMVENDORID_11 : in std_logic;
           MCSUBSYSTEMVENDORID_12 : in std_logic;
           MCSUBSYSTEMVENDORID_13 : in std_logic;
           MCSUBSYSTEMVENDORID_14 : in std_logic;
           MCSUBSYSTEMVENDORID_15 : in std_logic;
           MCSUBSYSTEMID_0 : in std_logic;
           MCSUBSYSTEMID_1 : in std_logic;
           MCSUBSYSTEMID_2 : in std_logic;
           MCSUBSYSTEMID_3 : in std_logic;
           MCSUBSYSTEMID_4 : in std_logic;
           MCSUBSYSTEMID_5 : in std_logic;
           MCSUBSYSTEMID_6 : in std_logic;
           MCSUBSYSTEMID_7 : in std_logic;
           MCSUBSYSTEMID_8 : in std_logic;
           MCSUBSYSTEMID_9 : in std_logic;
           MCSUBSYSTEMID_10 : in std_logic;
           MCSUBSYSTEMID_11 : in std_logic;
           MCSUBSYSTEMID_12 : in std_logic;
           MCSUBSYSTEMID_13 : in std_logic;
           MCSUBSYSTEMID_14 : in std_logic;
           MCSUBSYSTEMID_15 : in std_logic;
           MCCAPABILITIESPOINTER_0 : in std_logic;
           MCCAPABILITIESPOINTER_1 : in std_logic;
           MCCAPABILITIESPOINTER_2 : in std_logic;
           MCCAPABILITIESPOINTER_3 : in std_logic;
           MCCAPABILITIESPOINTER_4 : in std_logic;
           MCCAPABILITIESPOINTER_5 : in std_logic;
           MCCAPABILITIESPOINTER_6 : in std_logic;
           MCCAPABILITIESPOINTER_7 : in std_logic;
           MCINTERRUPTPIN_0 : in std_logic;
           MCINTERRUPTPIN_1 : in std_logic;
           MCINTERRUPTPIN_2 : in std_logic;
           MCINTERRUPTPIN_3 : in std_logic;
           MCINTERRUPTPIN_4 : in std_logic;
           MCINTERRUPTPIN_5 : in std_logic;
           MCINTERRUPTPIN_6 : in std_logic;
           MCINTERRUPTPIN_7 : in std_logic;
           MCAERBASEPTR_0 : in std_logic;
           MCAERBASEPTR_1 : in std_logic;
           MCAERBASEPTR_2 : in std_logic;
           MCAERBASEPTR_3 : in std_logic;
           MCAERBASEPTR_4 : in std_logic;
           MCAERBASEPTR_5 : in std_logic;
           MCAERBASEPTR_6 : in std_logic;
           MCAERBASEPTR_7 : in std_logic;
           MCAERBASEPTR_8 : in std_logic;
           MCAERBASEPTR_9 : in std_logic;
           MCAERBASEPTR_10 : in std_logic;
           MCAERBASEPTR_11 : in std_logic;
           MCDSNBASEPTR_0 : in std_logic;
           MCDSNBASEPTR_1 : in std_logic;
           MCDSNBASEPTR_2 : in std_logic;
           MCDSNBASEPTR_3 : in std_logic;
           MCDSNBASEPTR_4 : in std_logic;
           MCDSNBASEPTR_5 : in std_logic;
           MCDSNBASEPTR_6 : in std_logic;
           MCDSNBASEPTR_7 : in std_logic;
           MCDSNBASEPTR_8 : in std_logic;
           MCDSNBASEPTR_9 : in std_logic;
           MCDSNBASEPTR_10 : in std_logic;
           MCDSNBASEPTR_11 : in std_logic;
           MCMSIBASEPTR_0 : in std_logic;
           MCMSIBASEPTR_1 : in std_logic;
           MCMSIBASEPTR_2 : in std_logic;
           MCMSIBASEPTR_3 : in std_logic;
           MCMSIBASEPTR_4 : in std_logic;
           MCMSIBASEPTR_5 : in std_logic;
           MCMSIBASEPTR_6 : in std_logic;
           MCMSIBASEPTR_7 : in std_logic;
           MCMSIBASEPTR_8 : in std_logic;
           MCMSIBASEPTR_9 : in std_logic;
           MCMSIBASEPTR_10 : in std_logic;
           MCMSIBASEPTR_11 : in std_logic;
           MCPBBASEPTR_0 : in std_logic;
           MCPBBASEPTR_1 : in std_logic;
           MCPBBASEPTR_2 : in std_logic;
           MCPBBASEPTR_3 : in std_logic;
           MCPBBASEPTR_4 : in std_logic;
           MCPBBASEPTR_5 : in std_logic;
           MCPBBASEPTR_6 : in std_logic;
           MCPBBASEPTR_7 : in std_logic;
           MCPBBASEPTR_8 : in std_logic;
           MCPBBASEPTR_9 : in std_logic;
           MCPBBASEPTR_10 : in std_logic;
           MCPBBASEPTR_11 : in std_logic;
           MCPMBASEPTR_0 : in std_logic;
           MCPMBASEPTR_1 : in std_logic;
           MCPMBASEPTR_2 : in std_logic;
           MCPMBASEPTR_3 : in std_logic;
           MCPMBASEPTR_4 : in std_logic;
           MCPMBASEPTR_5 : in std_logic;
           MCPMBASEPTR_6 : in std_logic;
           MCPMBASEPTR_7 : in std_logic;
           MCPMBASEPTR_8 : in std_logic;
           MCPMBASEPTR_9 : in std_logic;
           MCPMBASEPTR_10 : in std_logic;
           MCPMBASEPTR_11 : in std_logic;
           MCVCBASEPTR_0 : in std_logic;
           MCVCBASEPTR_1 : in std_logic;
           MCVCBASEPTR_2 : in std_logic;
           MCVCBASEPTR_3 : in std_logic;
           MCVCBASEPTR_4 : in std_logic;
           MCVCBASEPTR_5 : in std_logic;
           MCVCBASEPTR_6 : in std_logic;
           MCVCBASEPTR_7 : in std_logic;
           MCVCBASEPTR_8 : in std_logic;
           MCVCBASEPTR_9 : in std_logic;
           MCVCBASEPTR_10 : in std_logic;
           MCVCBASEPTR_11 : in std_logic;
           MCXPBASEPTR_0 : in std_logic;
           MCXPBASEPTR_1 : in std_logic;
           MCXPBASEPTR_2 : in std_logic;
           MCXPBASEPTR_3 : in std_logic;
           MCXPBASEPTR_4 : in std_logic;
           MCXPBASEPTR_5 : in std_logic;
           MCXPBASEPTR_6 : in std_logic;
           MCXPBASEPTR_7 : in std_logic;
           MCPMDATASCALE0_0 : in std_logic;
           MCPMDATASCALE0_1 : in std_logic;
           MCPMDATASCALE1_0 : in std_logic;
           MCPMDATASCALE1_1 : in std_logic;
           MCPMDATASCALE2_0 : in std_logic;
           MCPMDATASCALE2_1 : in std_logic;
           MCPMDATASCALE3_0 : in std_logic;
           MCPMDATASCALE3_1 : in std_logic;
           MCPMDATASCALE4_0 : in std_logic;
           MCPMDATASCALE4_1 : in std_logic;
           MCPMDATASCALE5_0 : in std_logic;
           MCPMDATASCALE5_1 : in std_logic;
           MCPMDATASCALE6_0 : in std_logic;
           MCPMDATASCALE6_1 : in std_logic;
           MCPMDATASCALE7_0 : in std_logic;
           MCPMDATASCALE7_1 : in std_logic;
           MCPMDATASCALE8_0 : in std_logic;
           MCPMDATASCALE8_1 : in std_logic;
           MCPMCAPABILITYNEXTPTR_0 : in std_logic;
           MCPMCAPABILITYNEXTPTR_1 : in std_logic;
           MCPMCAPABILITYNEXTPTR_2 : in std_logic;
           MCPMCAPABILITYNEXTPTR_3 : in std_logic;
           MCPMCAPABILITYNEXTPTR_4 : in std_logic;
           MCPMCAPABILITYNEXTPTR_5 : in std_logic;
           MCPMCAPABILITYNEXTPTR_6 : in std_logic;
           MCPMCAPABILITYNEXTPTR_7 : in std_logic;
           MCPMCAPABILITYDSI : in std_logic;
           MCPMCAPABILITYAUXCURRENT_0 : in std_logic;
           MCPMCAPABILITYAUXCURRENT_1 : in std_logic;
           MCPMCAPABILITYAUXCURRENT_2 : in std_logic;
           MCPMCAPABILITYD1SUPPORT : in std_logic;
           MCPMCAPABILITYD2SUPPORT : in std_logic;
           MCPMCAPABILITYPMESUPPORT_0 : in std_logic;
           MCPMCAPABILITYPMESUPPORT_1 : in std_logic;
           MCPMCAPABILITYPMESUPPORT_2 : in std_logic;
           MCPMCAPABILITYPMESUPPORT_3 : in std_logic;
           MCPMCAPABILITYPMESUPPORT_4 : in std_logic;
           MCPMSTATUSCONTROLDATASCALE_0 : in std_logic;
           MCPMSTATUSCONTROLDATASCALE_1 : in std_logic;
           MCPMDATA0_0 : in std_logic;
           MCPMDATA0_1 : in std_logic;
           MCPMDATA0_2 : in std_logic;
           MCPMDATA0_3 : in std_logic;
           MCPMDATA0_4 : in std_logic;
           MCPMDATA0_5 : in std_logic;
           MCPMDATA0_6 : in std_logic;
           MCPMDATA0_7 : in std_logic;
           MCPMDATA1_0 : in std_logic;
           MCPMDATA1_1 : in std_logic;
           MCPMDATA1_2 : in std_logic;
           MCPMDATA1_3 : in std_logic;
           MCPMDATA1_4 : in std_logic;
           MCPMDATA1_5 : in std_logic;
           MCPMDATA1_6 : in std_logic;
           MCPMDATA1_7 : in std_logic;
           MCPMDATA2_0 : in std_logic;
           MCPMDATA2_1 : in std_logic;
           MCPMDATA2_2 : in std_logic;
           MCPMDATA2_3 : in std_logic;
           MCPMDATA2_4 : in std_logic;
           MCPMDATA2_5 : in std_logic;
           MCPMDATA2_6 : in std_logic;
           MCPMDATA2_7 : in std_logic;
           MCPMDATA3_0 : in std_logic;
           MCPMDATA3_1 : in std_logic;
           MCPMDATA3_2 : in std_logic;
           MCPMDATA3_3 : in std_logic;
           MCPMDATA3_4 : in std_logic;
           MCPMDATA3_5 : in std_logic;
           MCPMDATA3_6 : in std_logic;
           MCPMDATA3_7 : in std_logic;
           MCPMDATA4_0 : in std_logic;
           MCPMDATA4_1 : in std_logic;
           MCPMDATA4_2 : in std_logic;
           MCPMDATA4_3 : in std_logic;
           MCPMDATA4_4 : in std_logic;
           MCPMDATA4_5 : in std_logic;
           MCPMDATA4_6 : in std_logic;
           MCPMDATA4_7 : in std_logic;
           MCPMDATA5_0 : in std_logic;
           MCPMDATA5_1 : in std_logic;
           MCPMDATA5_2 : in std_logic;
           MCPMDATA5_3 : in std_logic;
           MCPMDATA5_4 : in std_logic;
           MCPMDATA5_5 : in std_logic;
           MCPMDATA5_6 : in std_logic;
           MCPMDATA5_7 : in std_logic;
           MCPMDATA6_0 : in std_logic;
           MCPMDATA6_1 : in std_logic;
           MCPMDATA6_2 : in std_logic;
           MCPMDATA6_3 : in std_logic;
           MCPMDATA6_4 : in std_logic;
           MCPMDATA6_5 : in std_logic;
           MCPMDATA6_6 : in std_logic;
           MCPMDATA6_7 : in std_logic;
           MCPMDATA7_0 : in std_logic;
           MCPMDATA7_1 : in std_logic;
           MCPMDATA7_2 : in std_logic;
           MCPMDATA7_3 : in std_logic;
           MCPMDATA7_4 : in std_logic;
           MCPMDATA7_5 : in std_logic;
           MCPMDATA7_6 : in std_logic;
           MCPMDATA7_7 : in std_logic;
           MCPMDATA8_0 : in std_logic;
           MCPMDATA8_1 : in std_logic;
           MCPMDATA8_2 : in std_logic;
           MCPMDATA8_3 : in std_logic;
           MCPMDATA8_4 : in std_logic;
           MCPMDATA8_5 : in std_logic;
           MCPMDATA8_6 : in std_logic;
           MCPMDATA8_7 : in std_logic;
           MCMSICAPABILITYNEXTPTR_0 : in std_logic;
           MCMSICAPABILITYNEXTPTR_1 : in std_logic;
           MCMSICAPABILITYNEXTPTR_2 : in std_logic;
           MCMSICAPABILITYNEXTPTR_3 : in std_logic;
           MCMSICAPABILITYNEXTPTR_4 : in std_logic;
           MCMSICAPABILITYNEXTPTR_5 : in std_logic;
           MCMSICAPABILITYNEXTPTR_6 : in std_logic;
           MCMSICAPABILITYNEXTPTR_7 : in std_logic;
           MCMSICAPABILITYMULTIMSGCAP_0 : in std_logic;
           MCMSICAPABILITYMULTIMSGCAP_1 : in std_logic;
           MCMSICAPABILITYMULTIMSGCAP_2 : in std_logic;
           MCPCIECAPABILITYNEXTPTR_0 : in std_logic;
           MCPCIECAPABILITYNEXTPTR_1 : in std_logic;
           MCPCIECAPABILITYNEXTPTR_2 : in std_logic;
           MCPCIECAPABILITYNEXTPTR_3 : in std_logic;
           MCPCIECAPABILITYNEXTPTR_4 : in std_logic;
           MCPCIECAPABILITYNEXTPTR_5 : in std_logic;
           MCPCIECAPABILITYNEXTPTR_6 : in std_logic;
           MCPCIECAPABILITYNEXTPTR_7 : in std_logic;
           MCPCIECAPABILITYSLOTIMPL : in std_logic;
           MCPCIECAPABILITYINTMSGNUM_0 : in std_logic;
           MCPCIECAPABILITYINTMSGNUM_1 : in std_logic;
           MCPCIECAPABILITYINTMSGNUM_2 : in std_logic;
           MCPCIECAPABILITYINTMSGNUM_3 : in std_logic;
           MCPCIECAPABILITYINTMSGNUM_4 : in std_logic;
           MCDEVICECAPABILITYENDPOINTL0SLATENCY_0 : in std_logic;
           MCDEVICECAPABILITYENDPOINTL0SLATENCY_1 : in std_logic;
           MCDEVICECAPABILITYENDPOINTL0SLATENCY_2 : in std_logic;
           MCDEVICECAPABILITYENDPOINTL1LATENCY_0 : in std_logic;
           MCDEVICECAPABILITYENDPOINTL1LATENCY_1 : in std_logic;
           MCDEVICECAPABILITYENDPOINTL1LATENCY_2 : in std_logic;
           MCLINKCAPABILITYMAXLINKWIDTH_0 : in std_logic;
           MCLINKCAPABILITYMAXLINKWIDTH_1 : in std_logic;
           MCLINKCAPABILITYMAXLINKWIDTH_2 : in std_logic;
           MCLINKCAPABILITYMAXLINKWIDTH_3 : in std_logic;
           MCLINKCAPABILITYMAXLINKWIDTH_4 : in std_logic;
           MCLINKCAPABILITYMAXLINKWIDTH_5 : in std_logic;
           MCLINKCAPABILITYASPMSUPPORT_0 : in std_logic;
           MCLINKCAPABILITYASPMSUPPORT_1 : in std_logic;
           MCLINKSTATUSSLOTCLOCKCONFIG : in std_logic;
           MCSLOTCAPABILITYATTBUTTONPRESENT : in std_logic;
           MCSLOTCAPABILITYPOWERCONTROLLERPRESENT : in std_logic;
           MCSLOTCAPABILITYMSLSENSORPRESENT : in std_logic;
           MCSLOTCAPABILITYATTINDICATORPRESENT : in std_logic;
           MCSLOTCAPABILITYPOWERINDICATORPRESENT : in std_logic;
           MCSLOTCAPABILITYHOTPLUGSURPRISE : in std_logic;
           MCSLOTCAPABILITYHOTPLUGCAPABLE : in std_logic;
           MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_0 : in std_logic;
           MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_1 : in std_logic;
           MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_2 : in std_logic;
           MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_3 : in std_logic;
           MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_4 : in std_logic;
           MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_5 : in std_logic;
           MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_6 : in std_logic;
           MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_7 : in std_logic;
           MCSLOTCAPABILITYSLOTPOWERLIMITSCALE_0 : in std_logic;
           MCSLOTCAPABILITYSLOTPOWERLIMITSCALE_1 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_0 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_1 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_2 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_3 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_4 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_5 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_6 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_7 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_8 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_9 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_10 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_11 : in std_logic;
           MCSLOTCAPABILITYPHYSICALSLOTNUM_12 : in std_logic;
           MCAERCAPABILITYNEXTPTR_0 : in std_logic;
           MCAERCAPABILITYNEXTPTR_1 : in std_logic;
           MCAERCAPABILITYNEXTPTR_2 : in std_logic;
           MCAERCAPABILITYNEXTPTR_3 : in std_logic;
           MCAERCAPABILITYNEXTPTR_4 : in std_logic;
           MCAERCAPABILITYNEXTPTR_5 : in std_logic;
           MCAERCAPABILITYNEXTPTR_6 : in std_logic;
           MCAERCAPABILITYNEXTPTR_7 : in std_logic;
           MCAERCAPABILITYNEXTPTR_8 : in std_logic;
           MCAERCAPABILITYNEXTPTR_9 : in std_logic;
           MCAERCAPABILITYNEXTPTR_10 : in std_logic;
           MCAERCAPABILITYNEXTPTR_11 : in std_logic;
           MCAERCAPABILITYECRCGENCAPABLE : in std_logic;
           MCAERCAPABILITYECRCCHECKCAPABLE : in std_logic;
           MCVCCAPABILITYNEXTPTR_0 : in std_logic;
           MCVCCAPABILITYNEXTPTR_1 : in std_logic;
           MCVCCAPABILITYNEXTPTR_2 : in std_logic;
           MCVCCAPABILITYNEXTPTR_3 : in std_logic;
           MCVCCAPABILITYNEXTPTR_4 : in std_logic;
           MCVCCAPABILITYNEXTPTR_5 : in std_logic;
           MCVCCAPABILITYNEXTPTR_6 : in std_logic;
           MCVCCAPABILITYNEXTPTR_7 : in std_logic;
           MCVCCAPABILITYNEXTPTR_8 : in std_logic;
           MCVCCAPABILITYNEXTPTR_9 : in std_logic;
           MCVCCAPABILITYNEXTPTR_10 : in std_logic;
           MCVCCAPABILITYNEXTPTR_11 : in std_logic;
           MCPORTVCCAPABILITYEXTENDEDVCCOUNT_0 : in std_logic;
           MCPORTVCCAPABILITYEXTENDEDVCCOUNT_1 : in std_logic;
           MCPORTVCCAPABILITYEXTENDEDVCCOUNT_2 : in std_logic;
           MCPORTVCCAPABILITYVCARBCAP_0 : in std_logic;
           MCPORTVCCAPABILITYVCARBCAP_1 : in std_logic;
           MCPORTVCCAPABILITYVCARBCAP_2 : in std_logic;
           MCPORTVCCAPABILITYVCARBCAP_3 : in std_logic;
           MCPORTVCCAPABILITYVCARBCAP_4 : in std_logic;
           MCPORTVCCAPABILITYVCARBCAP_5 : in std_logic;
           MCPORTVCCAPABILITYVCARBCAP_6 : in std_logic;
           MCPORTVCCAPABILITYVCARBCAP_7 : in std_logic;
           MCPORTVCCAPABILITYVCARBTABLEOFFSET_0 : in std_logic;
           MCPORTVCCAPABILITYVCARBTABLEOFFSET_1 : in std_logic;
           MCPORTVCCAPABILITYVCARBTABLEOFFSET_2 : in std_logic;
           MCPORTVCCAPABILITYVCARBTABLEOFFSET_3 : in std_logic;
           MCPORTVCCAPABILITYVCARBTABLEOFFSET_4 : in std_logic;
           MCPORTVCCAPABILITYVCARBTABLEOFFSET_5 : in std_logic;
           MCPORTVCCAPABILITYVCARBTABLEOFFSET_6 : in std_logic;
           MCPORTVCCAPABILITYVCARBTABLEOFFSET_7 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_0 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_1 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_2 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_3 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_4 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_5 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_6 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_7 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_8 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_9 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_10 : in std_logic;
           MCDSNCAPABILITYNEXTPTR_11 : in std_logic;
           MCDEVICESERIALNUMBER_0 : in std_logic;
           MCDEVICESERIALNUMBER_1 : in std_logic;
           MCDEVICESERIALNUMBER_2 : in std_logic;
           MCDEVICESERIALNUMBER_3 : in std_logic;
           MCDEVICESERIALNUMBER_4 : in std_logic;
           MCDEVICESERIALNUMBER_5 : in std_logic;
           MCDEVICESERIALNUMBER_6 : in std_logic;
           MCDEVICESERIALNUMBER_7 : in std_logic;
           MCDEVICESERIALNUMBER_8 : in std_logic;
           MCDEVICESERIALNUMBER_9 : in std_logic;
           MCDEVICESERIALNUMBER_10 : in std_logic;
           MCDEVICESERIALNUMBER_11 : in std_logic;
           MCDEVICESERIALNUMBER_12 : in std_logic;
           MCDEVICESERIALNUMBER_13 : in std_logic;
           MCDEVICESERIALNUMBER_14 : in std_logic;
           MCDEVICESERIALNUMBER_15 : in std_logic;
           MCDEVICESERIALNUMBER_16 : in std_logic;
           MCDEVICESERIALNUMBER_17 : in std_logic;
           MCDEVICESERIALNUMBER_18 : in std_logic;
           MCDEVICESERIALNUMBER_19 : in std_logic;
           MCDEVICESERIALNUMBER_20 : in std_logic;
           MCDEVICESERIALNUMBER_21 : in std_logic;
           MCDEVICESERIALNUMBER_22 : in std_logic;
           MCDEVICESERIALNUMBER_23 : in std_logic;
           MCDEVICESERIALNUMBER_24 : in std_logic;
           MCDEVICESERIALNUMBER_25 : in std_logic;
           MCDEVICESERIALNUMBER_26 : in std_logic;
           MCDEVICESERIALNUMBER_27 : in std_logic;
           MCDEVICESERIALNUMBER_28 : in std_logic;
           MCDEVICESERIALNUMBER_29 : in std_logic;
           MCDEVICESERIALNUMBER_30 : in std_logic;
           MCDEVICESERIALNUMBER_31 : in std_logic;
           MCDEVICESERIALNUMBER_32 : in std_logic;
           MCDEVICESERIALNUMBER_33 : in std_logic;
           MCDEVICESERIALNUMBER_34 : in std_logic;
           MCDEVICESERIALNUMBER_35 : in std_logic;
           MCDEVICESERIALNUMBER_36 : in std_logic;
           MCDEVICESERIALNUMBER_37 : in std_logic;
           MCDEVICESERIALNUMBER_38 : in std_logic;
           MCDEVICESERIALNUMBER_39 : in std_logic;
           MCDEVICESERIALNUMBER_40 : in std_logic;
           MCDEVICESERIALNUMBER_41 : in std_logic;
           MCDEVICESERIALNUMBER_42 : in std_logic;
           MCDEVICESERIALNUMBER_43 : in std_logic;
           MCDEVICESERIALNUMBER_44 : in std_logic;
           MCDEVICESERIALNUMBER_45 : in std_logic;
           MCDEVICESERIALNUMBER_46 : in std_logic;
           MCDEVICESERIALNUMBER_47 : in std_logic;
           MCDEVICESERIALNUMBER_48 : in std_logic;
           MCDEVICESERIALNUMBER_49 : in std_logic;
           MCDEVICESERIALNUMBER_50 : in std_logic;
           MCDEVICESERIALNUMBER_51 : in std_logic;
           MCDEVICESERIALNUMBER_52 : in std_logic;
           MCDEVICESERIALNUMBER_53 : in std_logic;
           MCDEVICESERIALNUMBER_54 : in std_logic;
           MCDEVICESERIALNUMBER_55 : in std_logic;
           MCDEVICESERIALNUMBER_56 : in std_logic;
           MCDEVICESERIALNUMBER_57 : in std_logic;
           MCDEVICESERIALNUMBER_58 : in std_logic;
           MCDEVICESERIALNUMBER_59 : in std_logic;
           MCDEVICESERIALNUMBER_60 : in std_logic;
           MCDEVICESERIALNUMBER_61 : in std_logic;
           MCDEVICESERIALNUMBER_62 : in std_logic;
           MCDEVICESERIALNUMBER_63 : in std_logic;
           MCPBCAPABILITYNEXTPTR_0 : in std_logic;
           MCPBCAPABILITYNEXTPTR_1 : in std_logic;
           MCPBCAPABILITYNEXTPTR_2 : in std_logic;
           MCPBCAPABILITYNEXTPTR_3 : in std_logic;
           MCPBCAPABILITYNEXTPTR_4 : in std_logic;
           MCPBCAPABILITYNEXTPTR_5 : in std_logic;
           MCPBCAPABILITYNEXTPTR_6 : in std_logic;
           MCPBCAPABILITYNEXTPTR_7 : in std_logic;
           MCPBCAPABILITYNEXTPTR_8 : in std_logic;
           MCPBCAPABILITYNEXTPTR_9 : in std_logic;
           MCPBCAPABILITYNEXTPTR_10 : in std_logic;
           MCPBCAPABILITYNEXTPTR_11 : in std_logic;
           MCPBCAPABILITYDW0BASEPOWER_0 : in std_logic;
           MCPBCAPABILITYDW0BASEPOWER_1 : in std_logic;
           MCPBCAPABILITYDW0BASEPOWER_2 : in std_logic;
           MCPBCAPABILITYDW0BASEPOWER_3 : in std_logic;
           MCPBCAPABILITYDW0BASEPOWER_4 : in std_logic;
           MCPBCAPABILITYDW0BASEPOWER_5 : in std_logic;
           MCPBCAPABILITYDW0BASEPOWER_6 : in std_logic;
           MCPBCAPABILITYDW0BASEPOWER_7 : in std_logic;
           MCPBCAPABILITYDW0DATASCALE_0 : in std_logic;
           MCPBCAPABILITYDW0DATASCALE_1 : in std_logic;
           MCPBCAPABILITYDW0PMSUBSTATE_0 : in std_logic;
           MCPBCAPABILITYDW0PMSUBSTATE_1 : in std_logic;
           MCPBCAPABILITYDW0PMSUBSTATE_2 : in std_logic;
           MCPBCAPABILITYDW0PMSTATE_0 : in std_logic;
           MCPBCAPABILITYDW0PMSTATE_1 : in std_logic;
           MCPBCAPABILITYDW0TYPE_0 : in std_logic;
           MCPBCAPABILITYDW0TYPE_1 : in std_logic;
           MCPBCAPABILITYDW0TYPE_2 : in std_logic;
           MCPBCAPABILITYDW0POWERRAIL_0 : in std_logic;
           MCPBCAPABILITYDW0POWERRAIL_1 : in std_logic;
           MCPBCAPABILITYDW0POWERRAIL_2 : in std_logic;
           MCPBCAPABILITYDW1BASEPOWER_0 : in std_logic;
           MCPBCAPABILITYDW1BASEPOWER_1 : in std_logic;
           MCPBCAPABILITYDW1BASEPOWER_2 : in std_logic;
           MCPBCAPABILITYDW1BASEPOWER_3 : in std_logic;
           MCPBCAPABILITYDW1BASEPOWER_4 : in std_logic;
           MCPBCAPABILITYDW1BASEPOWER_5 : in std_logic;
           MCPBCAPABILITYDW1BASEPOWER_6 : in std_logic;
           MCPBCAPABILITYDW1BASEPOWER_7 : in std_logic;
           MCPBCAPABILITYDW1DATASCALE_0 : in std_logic;
           MCPBCAPABILITYDW1DATASCALE_1 : in std_logic;
           MCPBCAPABILITYDW1PMSUBSTATE_0 : in std_logic;
           MCPBCAPABILITYDW1PMSUBSTATE_1 : in std_logic;
           MCPBCAPABILITYDW1PMSUBSTATE_2 : in std_logic;
           MCPBCAPABILITYDW1PMSTATE_0 : in std_logic;
           MCPBCAPABILITYDW1PMSTATE_1 : in std_logic;
           MCPBCAPABILITYDW1TYPE_0 : in std_logic;
           MCPBCAPABILITYDW1TYPE_1 : in std_logic;
           MCPBCAPABILITYDW1TYPE_2 : in std_logic;
           MCPBCAPABILITYDW1POWERRAIL_0 : in std_logic;
           MCPBCAPABILITYDW1POWERRAIL_1 : in std_logic;
           MCPBCAPABILITYDW1POWERRAIL_2 : in std_logic;
           MCPBCAPABILITYDW2BASEPOWER_0 : in std_logic;
           MCPBCAPABILITYDW2BASEPOWER_1 : in std_logic;
           MCPBCAPABILITYDW2BASEPOWER_2 : in std_logic;
           MCPBCAPABILITYDW2BASEPOWER_3 : in std_logic;
           MCPBCAPABILITYDW2BASEPOWER_4 : in std_logic;
           MCPBCAPABILITYDW2BASEPOWER_5 : in std_logic;
           MCPBCAPABILITYDW2BASEPOWER_6 : in std_logic;
           MCPBCAPABILITYDW2BASEPOWER_7 : in std_logic;
           MCPBCAPABILITYDW2DATASCALE_0 : in std_logic;
           MCPBCAPABILITYDW2DATASCALE_1 : in std_logic;
           MCPBCAPABILITYDW2PMSUBSTATE_0 : in std_logic;
           MCPBCAPABILITYDW2PMSUBSTATE_1 : in std_logic;
           MCPBCAPABILITYDW2PMSUBSTATE_2 : in std_logic;
           MCPBCAPABILITYDW2PMSTATE_0 : in std_logic;
           MCPBCAPABILITYDW2PMSTATE_1 : in std_logic;
           MCPBCAPABILITYDW2TYPE_0 : in std_logic;
           MCPBCAPABILITYDW2TYPE_1 : in std_logic;
           MCPBCAPABILITYDW2TYPE_2 : in std_logic;
           MCPBCAPABILITYDW2POWERRAIL_0 : in std_logic;
           MCPBCAPABILITYDW2POWERRAIL_1 : in std_logic;
           MCPBCAPABILITYDW2POWERRAIL_2 : in std_logic;
           MCPBCAPABILITYDW3BASEPOWER_0 : in std_logic;
           MCPBCAPABILITYDW3BASEPOWER_1 : in std_logic;
           MCPBCAPABILITYDW3BASEPOWER_2 : in std_logic;
           MCPBCAPABILITYDW3BASEPOWER_3 : in std_logic;
           MCPBCAPABILITYDW3BASEPOWER_4 : in std_logic;
           MCPBCAPABILITYDW3BASEPOWER_5 : in std_logic;
           MCPBCAPABILITYDW3BASEPOWER_6 : in std_logic;
           MCPBCAPABILITYDW3BASEPOWER_7 : in std_logic;
           MCPBCAPABILITYDW3DATASCALE_0 : in std_logic;
           MCPBCAPABILITYDW3DATASCALE_1 : in std_logic;
           MCPBCAPABILITYDW3PMSUBSTATE_0 : in std_logic;
           MCPBCAPABILITYDW3PMSUBSTATE_1 : in std_logic;
           MCPBCAPABILITYDW3PMSUBSTATE_2 : in std_logic;
           MCPBCAPABILITYDW3PMSTATE_0 : in std_logic;
           MCPBCAPABILITYDW3PMSTATE_1 : in std_logic;
           MCPBCAPABILITYDW3TYPE_0 : in std_logic;
           MCPBCAPABILITYDW3TYPE_1 : in std_logic;
           MCPBCAPABILITYDW3TYPE_2 : in std_logic;
           MCPBCAPABILITYDW3POWERRAIL_0 : in std_logic;
           MCPBCAPABILITYDW3POWERRAIL_1 : in std_logic;
           MCPBCAPABILITYDW3POWERRAIL_2 : in std_logic;
           MCPBCAPABILITYSYSTEMALLOCATED : in std_logic;
           MCVC0TXFIFOBASEP_0 : in std_logic;
           MCVC0TXFIFOBASEP_1 : in std_logic;
           MCVC0TXFIFOBASEP_2 : in std_logic;
           MCVC0TXFIFOBASEP_3 : in std_logic;
           MCVC0TXFIFOBASEP_4 : in std_logic;
           MCVC0TXFIFOBASEP_5 : in std_logic;
           MCVC0TXFIFOBASEP_6 : in std_logic;
           MCVC0TXFIFOBASEP_7 : in std_logic;
           MCVC0TXFIFOBASEP_8 : in std_logic;
           MCVC0TXFIFOBASEP_9 : in std_logic;
           MCVC0TXFIFOBASEP_10 : in std_logic;
           MCVC0TXFIFOBASEP_11 : in std_logic;
           MCVC0TXFIFOBASEP_12 : in std_logic;
           MCVC0TXFIFOBASENP_0 : in std_logic;
           MCVC0TXFIFOBASENP_1 : in std_logic;
           MCVC0TXFIFOBASENP_2 : in std_logic;
           MCVC0TXFIFOBASENP_3 : in std_logic;
           MCVC0TXFIFOBASENP_4 : in std_logic;
           MCVC0TXFIFOBASENP_5 : in std_logic;
           MCVC0TXFIFOBASENP_6 : in std_logic;
           MCVC0TXFIFOBASENP_7 : in std_logic;
           MCVC0TXFIFOBASENP_8 : in std_logic;
           MCVC0TXFIFOBASENP_9 : in std_logic;
           MCVC0TXFIFOBASENP_10 : in std_logic;
           MCVC0TXFIFOBASENP_11 : in std_logic;
           MCVC0TXFIFOBASENP_12 : in std_logic;
           MCVC0TXFIFOBASEC_0 : in std_logic;
           MCVC0TXFIFOBASEC_1 : in std_logic;
           MCVC0TXFIFOBASEC_2 : in std_logic;
           MCVC0TXFIFOBASEC_3 : in std_logic;
           MCVC0TXFIFOBASEC_4 : in std_logic;
           MCVC0TXFIFOBASEC_5 : in std_logic;
           MCVC0TXFIFOBASEC_6 : in std_logic;
           MCVC0TXFIFOBASEC_7 : in std_logic;
           MCVC0TXFIFOBASEC_8 : in std_logic;
           MCVC0TXFIFOBASEC_9 : in std_logic;
           MCVC0TXFIFOBASEC_10 : in std_logic;
           MCVC0TXFIFOBASEC_11 : in std_logic;
           MCVC0TXFIFOBASEC_12 : in std_logic;
           MCVC0TXFIFOLIMITP_0 : in std_logic;
           MCVC0TXFIFOLIMITP_1 : in std_logic;
           MCVC0TXFIFOLIMITP_2 : in std_logic;
           MCVC0TXFIFOLIMITP_3 : in std_logic;
           MCVC0TXFIFOLIMITP_4 : in std_logic;
           MCVC0TXFIFOLIMITP_5 : in std_logic;
           MCVC0TXFIFOLIMITP_6 : in std_logic;
           MCVC0TXFIFOLIMITP_7 : in std_logic;
           MCVC0TXFIFOLIMITP_8 : in std_logic;
           MCVC0TXFIFOLIMITP_9 : in std_logic;
           MCVC0TXFIFOLIMITP_10 : in std_logic;
           MCVC0TXFIFOLIMITP_11 : in std_logic;
           MCVC0TXFIFOLIMITP_12 : in std_logic;
           MCVC0TXFIFOLIMITNP_0 : in std_logic;
           MCVC0TXFIFOLIMITNP_1 : in std_logic;
           MCVC0TXFIFOLIMITNP_2 : in std_logic;
           MCVC0TXFIFOLIMITNP_3 : in std_logic;
           MCVC0TXFIFOLIMITNP_4 : in std_logic;
           MCVC0TXFIFOLIMITNP_5 : in std_logic;
           MCVC0TXFIFOLIMITNP_6 : in std_logic;
           MCVC0TXFIFOLIMITNP_7 : in std_logic;
           MCVC0TXFIFOLIMITNP_8 : in std_logic;
           MCVC0TXFIFOLIMITNP_9 : in std_logic;
           MCVC0TXFIFOLIMITNP_10 : in std_logic;
           MCVC0TXFIFOLIMITNP_11 : in std_logic;
           MCVC0TXFIFOLIMITNP_12 : in std_logic;
           MCVC0TXFIFOLIMITC_0 : in std_logic;
           MCVC0TXFIFOLIMITC_1 : in std_logic;
           MCVC0TXFIFOLIMITC_2 : in std_logic;
           MCVC0TXFIFOLIMITC_3 : in std_logic;
           MCVC0TXFIFOLIMITC_4 : in std_logic;
           MCVC0TXFIFOLIMITC_5 : in std_logic;
           MCVC0TXFIFOLIMITC_6 : in std_logic;
           MCVC0TXFIFOLIMITC_7 : in std_logic;
           MCVC0TXFIFOLIMITC_8 : in std_logic;
           MCVC0TXFIFOLIMITC_9 : in std_logic;
           MCVC0TXFIFOLIMITC_10 : in std_logic;
           MCVC0TXFIFOLIMITC_11 : in std_logic;
           MCVC0TXFIFOLIMITC_12 : in std_logic;
           MCVC0TOTALCREDITSPH_0 : in std_logic;
           MCVC0TOTALCREDITSPH_1 : in std_logic;
           MCVC0TOTALCREDITSPH_2 : in std_logic;
           MCVC0TOTALCREDITSPH_3 : in std_logic;
           MCVC0TOTALCREDITSPH_4 : in std_logic;
           MCVC0TOTALCREDITSPH_5 : in std_logic;
           MCVC0TOTALCREDITSPH_6 : in std_logic;
           MCVC0TOTALCREDITSNPH_0 : in std_logic;
           MCVC0TOTALCREDITSNPH_1 : in std_logic;
           MCVC0TOTALCREDITSNPH_2 : in std_logic;
           MCVC0TOTALCREDITSNPH_3 : in std_logic;
           MCVC0TOTALCREDITSNPH_4 : in std_logic;
           MCVC0TOTALCREDITSNPH_5 : in std_logic;
           MCVC0TOTALCREDITSNPH_6 : in std_logic;
           MCVC0TOTALCREDITSCH_0 : in std_logic;
           MCVC0TOTALCREDITSCH_1 : in std_logic;
           MCVC0TOTALCREDITSCH_2 : in std_logic;
           MCVC0TOTALCREDITSCH_3 : in std_logic;
           MCVC0TOTALCREDITSCH_4 : in std_logic;
           MCVC0TOTALCREDITSCH_5 : in std_logic;
           MCVC0TOTALCREDITSCH_6 : in std_logic;
           MCVC0TOTALCREDITSPD_0 : in std_logic;
           MCVC0TOTALCREDITSPD_1 : in std_logic;
           MCVC0TOTALCREDITSPD_2 : in std_logic;
           MCVC0TOTALCREDITSPD_3 : in std_logic;
           MCVC0TOTALCREDITSPD_4 : in std_logic;
           MCVC0TOTALCREDITSPD_5 : in std_logic;
           MCVC0TOTALCREDITSPD_6 : in std_logic;
           MCVC0TOTALCREDITSPD_7 : in std_logic;
           MCVC0TOTALCREDITSPD_8 : in std_logic;
           MCVC0TOTALCREDITSPD_9 : in std_logic;
           MCVC0TOTALCREDITSPD_10 : in std_logic;
           MCVC0TOTALCREDITSCD_0 : in std_logic;
           MCVC0TOTALCREDITSCD_1 : in std_logic;
           MCVC0TOTALCREDITSCD_2 : in std_logic;
           MCVC0TOTALCREDITSCD_3 : in std_logic;
           MCVC0TOTALCREDITSCD_4 : in std_logic;
           MCVC0TOTALCREDITSCD_5 : in std_logic;
           MCVC0TOTALCREDITSCD_6 : in std_logic;
           MCVC0TOTALCREDITSCD_7 : in std_logic;
           MCVC0TOTALCREDITSCD_8 : in std_logic;
           MCVC0TOTALCREDITSCD_9 : in std_logic;
           MCVC0TOTALCREDITSCD_10 : in std_logic;
           MCVC0RXFIFOBASEP_0 : in std_logic;
           MCVC0RXFIFOBASEP_1 : in std_logic;
           MCVC0RXFIFOBASEP_2 : in std_logic;
           MCVC0RXFIFOBASEP_3 : in std_logic;
           MCVC0RXFIFOBASEP_4 : in std_logic;
           MCVC0RXFIFOBASEP_5 : in std_logic;
           MCVC0RXFIFOBASEP_6 : in std_logic;
           MCVC0RXFIFOBASEP_7 : in std_logic;
           MCVC0RXFIFOBASEP_8 : in std_logic;
           MCVC0RXFIFOBASEP_9 : in std_logic;
           MCVC0RXFIFOBASEP_10 : in std_logic;
           MCVC0RXFIFOBASEP_11 : in std_logic;
           MCVC0RXFIFOBASEP_12 : in std_logic;
           MCVC0RXFIFOBASENP_0 : in std_logic;
           MCVC0RXFIFOBASENP_1 : in std_logic;
           MCVC0RXFIFOBASENP_2 : in std_logic;
           MCVC0RXFIFOBASENP_3 : in std_logic;
           MCVC0RXFIFOBASENP_4 : in std_logic;
           MCVC0RXFIFOBASENP_5 : in std_logic;
           MCVC0RXFIFOBASENP_6 : in std_logic;
           MCVC0RXFIFOBASENP_7 : in std_logic;
           MCVC0RXFIFOBASENP_8 : in std_logic;
           MCVC0RXFIFOBASENP_9 : in std_logic;
           MCVC0RXFIFOBASENP_10 : in std_logic;
           MCVC0RXFIFOBASENP_11 : in std_logic;
           MCVC0RXFIFOBASENP_12 : in std_logic;
           MCVC0RXFIFOBASEC_0 : in std_logic;
           MCVC0RXFIFOBASEC_1 : in std_logic;
           MCVC0RXFIFOBASEC_2 : in std_logic;
           MCVC0RXFIFOBASEC_3 : in std_logic;
           MCVC0RXFIFOBASEC_4 : in std_logic;
           MCVC0RXFIFOBASEC_5 : in std_logic;
           MCVC0RXFIFOBASEC_6 : in std_logic;
           MCVC0RXFIFOBASEC_7 : in std_logic;
           MCVC0RXFIFOBASEC_8 : in std_logic;
           MCVC0RXFIFOBASEC_9 : in std_logic;
           MCVC0RXFIFOBASEC_10 : in std_logic;
           MCVC0RXFIFOBASEC_11 : in std_logic;
           MCVC0RXFIFOBASEC_12 : in std_logic;
           MCVC0RXFIFOLIMITP_0 : in std_logic;
           MCVC0RXFIFOLIMITP_1 : in std_logic;
           MCVC0RXFIFOLIMITP_2 : in std_logic;
           MCVC0RXFIFOLIMITP_3 : in std_logic;
           MCVC0RXFIFOLIMITP_4 : in std_logic;
           MCVC0RXFIFOLIMITP_5 : in std_logic;
           MCVC0RXFIFOLIMITP_6 : in std_logic;
           MCVC0RXFIFOLIMITP_7 : in std_logic;
           MCVC0RXFIFOLIMITP_8 : in std_logic;
           MCVC0RXFIFOLIMITP_9 : in std_logic;
           MCVC0RXFIFOLIMITP_10 : in std_logic;
           MCVC0RXFIFOLIMITP_11 : in std_logic;
           MCVC0RXFIFOLIMITP_12 : in std_logic;
           MCVC0RXFIFOLIMITNP_0 : in std_logic;
           MCVC0RXFIFOLIMITNP_1 : in std_logic;
           MCVC0RXFIFOLIMITNP_2 : in std_logic;
           MCVC0RXFIFOLIMITNP_3 : in std_logic;
           MCVC0RXFIFOLIMITNP_4 : in std_logic;
           MCVC0RXFIFOLIMITNP_5 : in std_logic;
           MCVC0RXFIFOLIMITNP_6 : in std_logic;
           MCVC0RXFIFOLIMITNP_7 : in std_logic;
           MCVC0RXFIFOLIMITNP_8 : in std_logic;
           MCVC0RXFIFOLIMITNP_9 : in std_logic;
           MCVC0RXFIFOLIMITNP_10 : in std_logic;
           MCVC0RXFIFOLIMITNP_11 : in std_logic;
           MCVC0RXFIFOLIMITNP_12 : in std_logic;
           MCVC0RXFIFOLIMITC_0 : in std_logic;
           MCVC0RXFIFOLIMITC_1 : in std_logic;
           MCVC0RXFIFOLIMITC_2 : in std_logic;
           MCVC0RXFIFOLIMITC_3 : in std_logic;
           MCVC0RXFIFOLIMITC_4 : in std_logic;
           MCVC0RXFIFOLIMITC_5 : in std_logic;
           MCVC0RXFIFOLIMITC_6 : in std_logic;
           MCVC0RXFIFOLIMITC_7 : in std_logic;
           MCVC0RXFIFOLIMITC_8 : in std_logic;
           MCVC0RXFIFOLIMITC_9 : in std_logic;
           MCVC0RXFIFOLIMITC_10 : in std_logic;
           MCVC0RXFIFOLIMITC_11 : in std_logic;
           MCVC0RXFIFOLIMITC_12 : in std_logic;
           MCVC1TXFIFOBASEP_0 : in std_logic;
           MCVC1TXFIFOBASEP_1 : in std_logic;
           MCVC1TXFIFOBASEP_2 : in std_logic;
           MCVC1TXFIFOBASEP_3 : in std_logic;
           MCVC1TXFIFOBASEP_4 : in std_logic;
           MCVC1TXFIFOBASEP_5 : in std_logic;
           MCVC1TXFIFOBASEP_6 : in std_logic;
           MCVC1TXFIFOBASEP_7 : in std_logic;
           MCVC1TXFIFOBASEP_8 : in std_logic;
           MCVC1TXFIFOBASEP_9 : in std_logic;
           MCVC1TXFIFOBASEP_10 : in std_logic;
           MCVC1TXFIFOBASEP_11 : in std_logic;
           MCVC1TXFIFOBASEP_12 : in std_logic;
           MCVC1TXFIFOBASENP_0 : in std_logic;
           MCVC1TXFIFOBASENP_1 : in std_logic;
           MCVC1TXFIFOBASENP_2 : in std_logic;
           MCVC1TXFIFOBASENP_3 : in std_logic;
           MCVC1TXFIFOBASENP_4 : in std_logic;
           MCVC1TXFIFOBASENP_5 : in std_logic;
           MCVC1TXFIFOBASENP_6 : in std_logic;
           MCVC1TXFIFOBASENP_7 : in std_logic;
           MCVC1TXFIFOBASENP_8 : in std_logic;
           MCVC1TXFIFOBASENP_9 : in std_logic;
           MCVC1TXFIFOBASENP_10 : in std_logic;
           MCVC1TXFIFOBASENP_11 : in std_logic;
           MCVC1TXFIFOBASENP_12 : in std_logic;
           MCVC1TXFIFOBASEC_0 : in std_logic;
           MCVC1TXFIFOBASEC_1 : in std_logic;
           MCVC1TXFIFOBASEC_2 : in std_logic;
           MCVC1TXFIFOBASEC_3 : in std_logic;
           MCVC1TXFIFOBASEC_4 : in std_logic;
           MCVC1TXFIFOBASEC_5 : in std_logic;
           MCVC1TXFIFOBASEC_6 : in std_logic;
           MCVC1TXFIFOBASEC_7 : in std_logic;
           MCVC1TXFIFOBASEC_8 : in std_logic;
           MCVC1TXFIFOBASEC_9 : in std_logic;
           MCVC1TXFIFOBASEC_10 : in std_logic;
           MCVC1TXFIFOBASEC_11 : in std_logic;
           MCVC1TXFIFOBASEC_12 : in std_logic;
           MCVC1TXFIFOLIMITP_0 : in std_logic;
           MCVC1TXFIFOLIMITP_1 : in std_logic;
           MCVC1TXFIFOLIMITP_2 : in std_logic;
           MCVC1TXFIFOLIMITP_3 : in std_logic;
           MCVC1TXFIFOLIMITP_4 : in std_logic;
           MCVC1TXFIFOLIMITP_5 : in std_logic;
           MCVC1TXFIFOLIMITP_6 : in std_logic;
           MCVC1TXFIFOLIMITP_7 : in std_logic;
           MCVC1TXFIFOLIMITP_8 : in std_logic;
           MCVC1TXFIFOLIMITP_9 : in std_logic;
           MCVC1TXFIFOLIMITP_10 : in std_logic;
           MCVC1TXFIFOLIMITP_11 : in std_logic;
           MCVC1TXFIFOLIMITP_12 : in std_logic;
           MCVC1TXFIFOLIMITNP_0 : in std_logic;
           MCVC1TXFIFOLIMITNP_1 : in std_logic;
           MCVC1TXFIFOLIMITNP_2 : in std_logic;
           MCVC1TXFIFOLIMITNP_3 : in std_logic;
           MCVC1TXFIFOLIMITNP_4 : in std_logic;
           MCVC1TXFIFOLIMITNP_5 : in std_logic;
           MCVC1TXFIFOLIMITNP_6 : in std_logic;
           MCVC1TXFIFOLIMITNP_7 : in std_logic;
           MCVC1TXFIFOLIMITNP_8 : in std_logic;
           MCVC1TXFIFOLIMITNP_9 : in std_logic;
           MCVC1TXFIFOLIMITNP_10 : in std_logic;
           MCVC1TXFIFOLIMITNP_11 : in std_logic;
           MCVC1TXFIFOLIMITNP_12 : in std_logic;
           MCVC1TXFIFOLIMITC_0 : in std_logic;
           MCVC1TXFIFOLIMITC_1 : in std_logic;
           MCVC1TXFIFOLIMITC_2 : in std_logic;
           MCVC1TXFIFOLIMITC_3 : in std_logic;
           MCVC1TXFIFOLIMITC_4 : in std_logic;
           MCVC1TXFIFOLIMITC_5 : in std_logic;
           MCVC1TXFIFOLIMITC_6 : in std_logic;
           MCVC1TXFIFOLIMITC_7 : in std_logic;
           MCVC1TXFIFOLIMITC_8 : in std_logic;
           MCVC1TXFIFOLIMITC_9 : in std_logic;
           MCVC1TXFIFOLIMITC_10 : in std_logic;
           MCVC1TXFIFOLIMITC_11 : in std_logic;
           MCVC1TXFIFOLIMITC_12 : in std_logic;
           MCVC1TOTALCREDITSPH_0 : in std_logic;
           MCVC1TOTALCREDITSPH_1 : in std_logic;
           MCVC1TOTALCREDITSPH_2 : in std_logic;
           MCVC1TOTALCREDITSPH_3 : in std_logic;
           MCVC1TOTALCREDITSPH_4 : in std_logic;
           MCVC1TOTALCREDITSPH_5 : in std_logic;
           MCVC1TOTALCREDITSPH_6 : in std_logic;
           MCVC1TOTALCREDITSNPH_0 : in std_logic;
           MCVC1TOTALCREDITSNPH_1 : in std_logic;
           MCVC1TOTALCREDITSNPH_2 : in std_logic;
           MCVC1TOTALCREDITSNPH_3 : in std_logic;
           MCVC1TOTALCREDITSNPH_4 : in std_logic;
           MCVC1TOTALCREDITSNPH_5 : in std_logic;
           MCVC1TOTALCREDITSNPH_6 : in std_logic;
           MCVC1TOTALCREDITSCH_0 : in std_logic;
           MCVC1TOTALCREDITSCH_1 : in std_logic;
           MCVC1TOTALCREDITSCH_2 : in std_logic;
           MCVC1TOTALCREDITSCH_3 : in std_logic;
           MCVC1TOTALCREDITSCH_4 : in std_logic;
           MCVC1TOTALCREDITSCH_5 : in std_logic;
           MCVC1TOTALCREDITSCH_6 : in std_logic;
           MCVC1TOTALCREDITSPD_0 : in std_logic;
           MCVC1TOTALCREDITSPD_1 : in std_logic;
           MCVC1TOTALCREDITSPD_2 : in std_logic;
           MCVC1TOTALCREDITSPD_3 : in std_logic;
           MCVC1TOTALCREDITSPD_4 : in std_logic;
           MCVC1TOTALCREDITSPD_5 : in std_logic;
           MCVC1TOTALCREDITSPD_6 : in std_logic;
           MCVC1TOTALCREDITSPD_7 : in std_logic;
           MCVC1TOTALCREDITSPD_8 : in std_logic;
           MCVC1TOTALCREDITSPD_9 : in std_logic;
           MCVC1TOTALCREDITSPD_10 : in std_logic;
           MCVC1TOTALCREDITSCD_0 : in std_logic;
           MCVC1TOTALCREDITSCD_1 : in std_logic;
           MCVC1TOTALCREDITSCD_2 : in std_logic;
           MCVC1TOTALCREDITSCD_3 : in std_logic;
           MCVC1TOTALCREDITSCD_4 : in std_logic;
           MCVC1TOTALCREDITSCD_5 : in std_logic;
           MCVC1TOTALCREDITSCD_6 : in std_logic;
           MCVC1TOTALCREDITSCD_7 : in std_logic;
           MCVC1TOTALCREDITSCD_8 : in std_logic;
           MCVC1TOTALCREDITSCD_9 : in std_logic;
           MCVC1TOTALCREDITSCD_10 : in std_logic;
           MCVC1RXFIFOBASEP_0 : in std_logic;
           MCVC1RXFIFOBASEP_1 : in std_logic;
           MCVC1RXFIFOBASEP_2 : in std_logic;
           MCVC1RXFIFOBASEP_3 : in std_logic;
           MCVC1RXFIFOBASEP_4 : in std_logic;
           MCVC1RXFIFOBASEP_5 : in std_logic;
           MCVC1RXFIFOBASEP_6 : in std_logic;
           MCVC1RXFIFOBASEP_7 : in std_logic;
           MCVC1RXFIFOBASEP_8 : in std_logic;
           MCVC1RXFIFOBASEP_9 : in std_logic;
           MCVC1RXFIFOBASEP_10 : in std_logic;
           MCVC1RXFIFOBASEP_11 : in std_logic;
           MCVC1RXFIFOBASEP_12 : in std_logic;
           MCVC1RXFIFOBASENP_0 : in std_logic;
           MCVC1RXFIFOBASENP_1 : in std_logic;
           MCVC1RXFIFOBASENP_2 : in std_logic;
           MCVC1RXFIFOBASENP_3 : in std_logic;
           MCVC1RXFIFOBASENP_4 : in std_logic;
           MCVC1RXFIFOBASENP_5 : in std_logic;
           MCVC1RXFIFOBASENP_6 : in std_logic;
           MCVC1RXFIFOBASENP_7 : in std_logic;
           MCVC1RXFIFOBASENP_8 : in std_logic;
           MCVC1RXFIFOBASENP_9 : in std_logic;
           MCVC1RXFIFOBASENP_10 : in std_logic;
           MCVC1RXFIFOBASENP_11 : in std_logic;
           MCVC1RXFIFOBASENP_12 : in std_logic;
           MCVC1RXFIFOBASEC_0 : in std_logic;
           MCVC1RXFIFOBASEC_1 : in std_logic;
           MCVC1RXFIFOBASEC_2 : in std_logic;
           MCVC1RXFIFOBASEC_3 : in std_logic;
           MCVC1RXFIFOBASEC_4 : in std_logic;
           MCVC1RXFIFOBASEC_5 : in std_logic;
           MCVC1RXFIFOBASEC_6 : in std_logic;
           MCVC1RXFIFOBASEC_7 : in std_logic;
           MCVC1RXFIFOBASEC_8 : in std_logic;
           MCVC1RXFIFOBASEC_9 : in std_logic;
           MCVC1RXFIFOBASEC_10 : in std_logic;
           MCVC1RXFIFOBASEC_11 : in std_logic;
           MCVC1RXFIFOBASEC_12 : in std_logic;
           MCVC1RXFIFOLIMITP_0 : in std_logic;
           MCVC1RXFIFOLIMITP_1 : in std_logic;
           MCVC1RXFIFOLIMITP_2 : in std_logic;
           MCVC1RXFIFOLIMITP_3 : in std_logic;
           MCVC1RXFIFOLIMITP_4 : in std_logic;
           MCVC1RXFIFOLIMITP_5 : in std_logic;
           MCVC1RXFIFOLIMITP_6 : in std_logic;
           MCVC1RXFIFOLIMITP_7 : in std_logic;
           MCVC1RXFIFOLIMITP_8 : in std_logic;
           MCVC1RXFIFOLIMITP_9 : in std_logic;
           MCVC1RXFIFOLIMITP_10 : in std_logic;
           MCVC1RXFIFOLIMITP_11 : in std_logic;
           MCVC1RXFIFOLIMITP_12 : in std_logic;
           MCVC1RXFIFOLIMITNP_0 : in std_logic;
           MCVC1RXFIFOLIMITNP_1 : in std_logic;
           MCVC1RXFIFOLIMITNP_2 : in std_logic;
           MCVC1RXFIFOLIMITNP_3 : in std_logic;
           MCVC1RXFIFOLIMITNP_4 : in std_logic;
           MCVC1RXFIFOLIMITNP_5 : in std_logic;
           MCVC1RXFIFOLIMITNP_6 : in std_logic;
           MCVC1RXFIFOLIMITNP_7 : in std_logic;
           MCVC1RXFIFOLIMITNP_8 : in std_logic;
           MCVC1RXFIFOLIMITNP_9 : in std_logic;
           MCVC1RXFIFOLIMITNP_10 : in std_logic;
           MCVC1RXFIFOLIMITNP_11 : in std_logic;
           MCVC1RXFIFOLIMITNP_12 : in std_logic;
           MCVC1RXFIFOLIMITC_0 : in std_logic;
           MCVC1RXFIFOLIMITC_1 : in std_logic;
           MCVC1RXFIFOLIMITC_2 : in std_logic;
           MCVC1RXFIFOLIMITC_3 : in std_logic;
           MCVC1RXFIFOLIMITC_4 : in std_logic;
           MCVC1RXFIFOLIMITC_5 : in std_logic;
           MCVC1RXFIFOLIMITC_6 : in std_logic;
           MCVC1RXFIFOLIMITC_7 : in std_logic;
           MCVC1RXFIFOLIMITC_8 : in std_logic;
           MCVC1RXFIFOLIMITC_9 : in std_logic;
           MCVC1RXFIFOLIMITC_10 : in std_logic;
           MCVC1RXFIFOLIMITC_11 : in std_logic;
           MCVC1RXFIFOLIMITC_12 : in std_logic;
           MCBAR0EXIST : in std_logic;
           MCBAR1EXIST : in std_logic;
           MCBAR2EXIST : in std_logic;
           MCBAR3EXIST : in std_logic;
           MCBAR4EXIST : in std_logic;
           MCBAR5EXIST : in std_logic;
           MCBAR0ADDRWIDTH : in std_logic;
           MCBAR1ADDRWIDTH : in std_logic;
           MCBAR2ADDRWIDTH : in std_logic;
           MCBAR3ADDRWIDTH : in std_logic;
           MCBAR4ADDRWIDTH : in std_logic;
           MCBAR5ADDRWIDTH : in std_logic;
           MCBAR0PREFETCHABLE : in std_logic;
           MCBAR1PREFETCHABLE : in std_logic;
           MCBAR2PREFETCHABLE : in std_logic;
           MCBAR3PREFETCHABLE : in std_logic;
           MCBAR4PREFETCHABLE : in std_logic;
           MCBAR5PREFETCHABLE : in std_logic;
           MCBAR0IOMEMN : in std_logic;
           MCBAR1IOMEMN : in std_logic;
           MCBAR2IOMEMN : in std_logic;
           MCBAR3IOMEMN : in std_logic;
           MCBAR4IOMEMN : in std_logic;
           MCBAR5IOMEMN : in std_logic;
           MCBAR0MASKWIDTH_0 : in std_logic;
           MCBAR0MASKWIDTH_1 : in std_logic;
           MCBAR0MASKWIDTH_2 : in std_logic;
           MCBAR0MASKWIDTH_3 : in std_logic;
           MCBAR0MASKWIDTH_4 : in std_logic;
           MCBAR0MASKWIDTH_5 : in std_logic;
           MCBAR1MASKWIDTH_0 : in std_logic;
           MCBAR1MASKWIDTH_1 : in std_logic;
           MCBAR1MASKWIDTH_2 : in std_logic;
           MCBAR1MASKWIDTH_3 : in std_logic;
           MCBAR1MASKWIDTH_4 : in std_logic;
           MCBAR1MASKWIDTH_5 : in std_logic;
           MCBAR2MASKWIDTH_0 : in std_logic;
           MCBAR2MASKWIDTH_1 : in std_logic;
           MCBAR2MASKWIDTH_2 : in std_logic;
           MCBAR2MASKWIDTH_3 : in std_logic;
           MCBAR2MASKWIDTH_4 : in std_logic;
           MCBAR2MASKWIDTH_5 : in std_logic;
           MCBAR3MASKWIDTH_0 : in std_logic;
           MCBAR3MASKWIDTH_1 : in std_logic;
           MCBAR3MASKWIDTH_2 : in std_logic;
           MCBAR3MASKWIDTH_3 : in std_logic;
           MCBAR3MASKWIDTH_4 : in std_logic;
           MCBAR3MASKWIDTH_5 : in std_logic;
           MCBAR4MASKWIDTH_0 : in std_logic;
           MCBAR4MASKWIDTH_1 : in std_logic;
           MCBAR4MASKWIDTH_2 : in std_logic;
           MCBAR4MASKWIDTH_3 : in std_logic;
           MCBAR4MASKWIDTH_4 : in std_logic;
           MCBAR4MASKWIDTH_5 : in std_logic;
           MCBAR5MASKWIDTH_0 : in std_logic;
           MCBAR5MASKWIDTH_1 : in std_logic;
           MCBAR5MASKWIDTH_2 : in std_logic;
           MCBAR5MASKWIDTH_3 : in std_logic;
           MCBAR5MASKWIDTH_4 : in std_logic;
           MCBAR5MASKWIDTH_5 : in std_logic;
           MCSLOTIMPLEMENTED : in std_logic;
           MCSELECTDLLIF : in std_logic;
           MCSELECTASMODE : in std_logic;
           MCISSWITCH : in std_logic;
           MCUPSTREAMFACING : in std_logic;
           MCXPDEVICEPORTTYPE_0 : in std_logic;
           MCXPDEVICEPORTTYPE_1 : in std_logic;
           MCXPDEVICEPORTTYPE_2 : in std_logic;
           MCXPDEVICEPORTTYPE_3 : in std_logic;
           MCHEADERTYPE_0 : in std_logic;
           MCHEADERTYPE_1 : in std_logic;
           MCHEADERTYPE_2 : in std_logic;
           MCHEADERTYPE_3 : in std_logic;
           MCHEADERTYPE_4 : in std_logic;
           MCHEADERTYPE_5 : in std_logic;
           MCHEADERTYPE_6 : in std_logic;
           MCHEADERTYPE_7 : in std_logic;
           MCXPMAXPAYLOAD_0 : in std_logic;
           MCXPMAXPAYLOAD_1 : in std_logic;
           MCXPMAXPAYLOAD_2 : in std_logic;
           MCXPRCBCONTROL : in std_logic;
           MCCONFIGROUTING_0 : in std_logic;
           MCCONFIGROUTING_1 : in std_logic;
           MCCONFIGROUTING_2 : in std_logic;
           MCEXTCFGCAPPTR_0 : in std_logic;
           MCEXTCFGCAPPTR_1 : in std_logic;
           MCEXTCFGCAPPTR_2 : in std_logic;
           MCEXTCFGCAPPTR_3 : in std_logic;
           MCEXTCFGCAPPTR_4 : in std_logic;
           MCEXTCFGCAPPTR_5 : in std_logic;
           MCEXTCFGCAPPTR_6 : in std_logic;
           MCEXTCFGCAPPTR_7 : in std_logic;
           MCEXTCFGXPCAPPTR_0 : in std_logic;
           MCEXTCFGXPCAPPTR_1 : in std_logic;
           MCEXTCFGXPCAPPTR_2 : in std_logic;
           MCEXTCFGXPCAPPTR_3 : in std_logic;
           MCEXTCFGXPCAPPTR_4 : in std_logic;
           MCEXTCFGXPCAPPTR_5 : in std_logic;
           MCEXTCFGXPCAPPTR_6 : in std_logic;
           MCEXTCFGXPCAPPTR_7 : in std_logic;
           MCEXTCFGXPCAPPTR_8 : in std_logic;
           MCEXTCFGXPCAPPTR_9 : in std_logic;
           MCEXTCFGXPCAPPTR_10 : in std_logic;
           MCEXTCFGXPCAPPTR_11 : in std_logic;
           MCINFINITECOMPLETIONS : in std_logic;
           MCACTIVELANESIN_0 : in std_logic;
           MCACTIVELANESIN_1 : in std_logic;
           MCACTIVELANESIN_2 : in std_logic;
           MCACTIVELANESIN_3 : in std_logic;
           MCACTIVELANESIN_4 : in std_logic;
           MCACTIVELANESIN_5 : in std_logic;
           MCACTIVELANESIN_6 : in std_logic;
           MCACTIVELANESIN_7 : in std_logic;
           MCLOWPRIORITYVCCOUNT_0 : in std_logic;
           MCLOWPRIORITYVCCOUNT_1 : in std_logic;
           MCLOWPRIORITYVCCOUNT_2 : in std_logic;
           MCPCIEREVISION : in std_logic;
           MCL0SEXITLATENCY_0 : in std_logic;
           MCL0SEXITLATENCY_1 : in std_logic;
           MCL0SEXITLATENCY_2 : in std_logic;
           MCL0SEXITLATENCYCOMCLK_0 : in std_logic;
           MCL0SEXITLATENCYCOMCLK_1 : in std_logic;
           MCL0SEXITLATENCYCOMCLK_2 : in std_logic;
           MCL1EXITLATENCY_0 : in std_logic;
           MCL1EXITLATENCY_1 : in std_logic;
           MCL1EXITLATENCY_2 : in std_logic;
           MCL1EXITLATENCYCOMCLK_0 : in std_logic;
           MCL1EXITLATENCYCOMCLK_1 : in std_logic;
           MCL1EXITLATENCYCOMCLK_2 : in std_logic;
           MCXLINKSUPPORTED : in std_logic;
           MCTXTSNFTS_0 : in std_logic;
           MCTXTSNFTS_1 : in std_logic;
           MCTXTSNFTS_2 : in std_logic;
           MCTXTSNFTS_3 : in std_logic;
           MCTXTSNFTS_4 : in std_logic;
           MCTXTSNFTS_5 : in std_logic;
           MCTXTSNFTS_6 : in std_logic;
           MCTXTSNFTS_7 : in std_logic;
           MCTXTSNFTSCOMCLK_0 : in std_logic;
           MCTXTSNFTSCOMCLK_1 : in std_logic;
           MCTXTSNFTSCOMCLK_2 : in std_logic;
           MCTXTSNFTSCOMCLK_3 : in std_logic;
           MCTXTSNFTSCOMCLK_4 : in std_logic;
           MCTXTSNFTSCOMCLK_5 : in std_logic;
           MCTXTSNFTSCOMCLK_6 : in std_logic;
           MCTXTSNFTSCOMCLK_7 : in std_logic;
           MCDUALROLECFGCNTRLROOTEPN : in std_logic;
           MCTLRAMREADLATENCY_0 : in std_logic;
           MCTLRAMREADLATENCY_1 : in std_logic;
           MCTLRAMREADLATENCY_2 : in std_logic;
           MCTLRAMWRITELATENCY_0 : in std_logic;
           MCTLRAMWRITELATENCY_1 : in std_logic;
           MCTLRAMWRITELATENCY_2 : in std_logic;
           MCTLRAMWIDTH : in std_logic;
           MCRAMSHARETXRX : in std_logic;
           MCRETRYRAMWIDTH : in std_logic;
           MCRETRYRAMSIZE_0 : in std_logic;
           MCRETRYRAMSIZE_1 : in std_logic;
           MCRETRYRAMSIZE_2 : in std_logic;
           MCRETRYRAMSIZE_3 : in std_logic;
           MCRETRYRAMSIZE_4 : in std_logic;
           MCRETRYRAMSIZE_5 : in std_logic;
           MCRETRYRAMSIZE_6 : in std_logic;
           MCRETRYRAMSIZE_7 : in std_logic;
           MCRETRYRAMSIZE_8 : in std_logic;
           MCRETRYRAMSIZE_9 : in std_logic;
           MCRETRYRAMSIZE_10 : in std_logic;
           MCRETRYRAMSIZE_11 : in std_logic;
           MCRETRYRAMREADLATENCY_0 : in std_logic;
           MCRETRYRAMREADLATENCY_1 : in std_logic;
           MCRETRYRAMREADLATENCY_2 : in std_logic;
           MCRETRYRAMWRITELATENCY_0 : in std_logic;
           MCRETRYRAMWRITELATENCY_1 : in std_logic;
           MCRETRYRAMWRITELATENCY_2 : in std_logic;
           MCLLKBYPASS : in std_logic;
           MCRETRYWRITEPIPE : in std_logic;
           MCRETRYREADADDRPIPE : in std_logic;
           MCRETRYREADDATAPIPE : in std_logic;
           MCRXWRITEPIPE : in std_logic;
           MCRXREADADDRPIPE : in std_logic;
           MCRXREADDATAPIPE : in std_logic;
           MCTXWRITEPIPE : in std_logic;
           MCTXREADADDRPIPE : in std_logic;
           MCTXREADDATAPIPE : in std_logic;
           MCDUALCORESLAVE : in std_logic;
           MCDUALCOREENABLE : in std_logic;
           MGMTSTATSCREDITSEL_0 : in std_logic;
           MGMTSTATSCREDITSEL_1 : in std_logic;
           MGMTSTATSCREDITSEL_2 : in std_logic;
           MGMTSTATSCREDITSEL_3 : in std_logic;
           MGMTSTATSCREDITSEL_4 : in std_logic;
           MGMTSTATSCREDITSEL_5 : in std_logic;
           MGMTSTATSCREDITSEL_6 : in std_logic;
           MAINPOWER : in std_logic;
           AUXPOWER : in std_logic;
           L0TLLINKRETRAIN : in std_logic;
           CFGNEGOTIATEDLINKWIDTH_0 : in std_logic;
           CFGNEGOTIATEDLINKWIDTH_1 : in std_logic;
           CFGNEGOTIATEDLINKWIDTH_2 : in std_logic;
           CFGNEGOTIATEDLINKWIDTH_3 : in std_logic;
           CFGNEGOTIATEDLINKWIDTH_4 : in std_logic;
           CFGNEGOTIATEDLINKWIDTH_5 : in std_logic;
           CROSSLINKSEED : in std_logic;
           COMPLIANCEAVOID : in std_logic;
           L0VC0PREVIEWEXPAND : in std_logic;
           L0CFGVCID_0 : in std_logic;
           L0CFGVCID_1 : in std_logic;
           L0CFGVCID_2 : in std_logic;
           L0CFGVCID_3 : in std_logic;
           L0CFGVCID_4 : in std_logic;
           L0CFGVCID_5 : in std_logic;
           L0CFGVCID_6 : in std_logic;
           L0CFGVCID_7 : in std_logic;
           L0CFGVCID_8 : in std_logic;
           L0CFGVCID_9 : in std_logic;
           L0CFGVCID_10 : in std_logic;
           L0CFGVCID_11 : in std_logic;
           L0CFGVCID_12 : in std_logic;
           L0CFGVCID_13 : in std_logic;
           L0CFGVCID_14 : in std_logic;
           L0CFGVCID_15 : in std_logic;
           L0CFGVCID_16 : in std_logic;
           L0CFGVCID_17 : in std_logic;
           L0CFGVCID_18 : in std_logic;
           L0CFGVCID_19 : in std_logic;
           L0CFGVCID_20 : in std_logic;
           L0CFGVCID_21 : in std_logic;
           L0CFGVCID_22 : in std_logic;
           L0CFGVCID_23 : in std_logic;
           L0CFGLOOPBACKMASTER : in std_logic;
           L0REPLAYTIMERADJUSTMENT_0 : in std_logic;
           L0REPLAYTIMERADJUSTMENT_1 : in std_logic;
           L0REPLAYTIMERADJUSTMENT_2 : in std_logic;
           L0REPLAYTIMERADJUSTMENT_3 : in std_logic;
           L0REPLAYTIMERADJUSTMENT_4 : in std_logic;
           L0REPLAYTIMERADJUSTMENT_5 : in std_logic;
           L0REPLAYTIMERADJUSTMENT_6 : in std_logic;
           L0REPLAYTIMERADJUSTMENT_7 : in std_logic;
           L0REPLAYTIMERADJUSTMENT_8 : in std_logic;
           L0REPLAYTIMERADJUSTMENT_9 : in std_logic;
           L0REPLAYTIMERADJUSTMENT_10 : in std_logic;
           L0REPLAYTIMERADJUSTMENT_11 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_0 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_1 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_2 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_3 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_4 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_5 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_6 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_7 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_8 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_9 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_10 : in std_logic;
           L0ACKNAKTIMERADJUSTMENT_11 : in std_logic;
           L0DLLHOLDLINKUP : in std_logic;
           L0CFGASSTATECHANGECMD_0 : in std_logic;
           L0CFGASSTATECHANGECMD_1 : in std_logic;
           L0CFGASSTATECHANGECMD_2 : in std_logic;
           L0CFGASSTATECHANGECMD_3 : in std_logic;
           L0CFGASSPANTREEOWNEDSTATE : in std_logic;
           L0ASE : in std_logic;
           L0ASTURNPOOLBITSCONSUMED_0 : in std_logic;
           L0ASTURNPOOLBITSCONSUMED_1 : in std_logic;
           L0ASTURNPOOLBITSCONSUMED_2 : in std_logic;
           L0ASPORTCOUNT_0 : in std_logic;
           L0ASPORTCOUNT_1 : in std_logic;
           L0ASPORTCOUNT_2 : in std_logic;
           L0ASPORTCOUNT_3 : in std_logic;
           L0ASPORTCOUNT_4 : in std_logic;
           L0ASPORTCOUNT_5 : in std_logic;
           L0ASPORTCOUNT_6 : in std_logic;
           L0ASPORTCOUNT_7 : in std_logic;
           L0CFGVCENABLE_0 : in std_logic;
           L0CFGVCENABLE_1 : in std_logic;
           L0CFGVCENABLE_2 : in std_logic;
           L0CFGVCENABLE_3 : in std_logic;
           L0CFGVCENABLE_4 : in std_logic;
           L0CFGVCENABLE_5 : in std_logic;
           L0CFGVCENABLE_6 : in std_logic;
           L0CFGVCENABLE_7 : in std_logic;
           L0CFGNEGOTIATEDMAXP_0 : in std_logic;
           L0CFGNEGOTIATEDMAXP_1 : in std_logic;
           L0CFGNEGOTIATEDMAXP_2 : in std_logic;
           L0CFGDISABLESCRAMBLE : in std_logic;
           L0CFGEXTENDEDSYNC : in std_logic;
           L0CFGLINKDISABLE : in std_logic;
           L0PORTNUMBER_0 : in std_logic;
           L0PORTNUMBER_1 : in std_logic;
           L0PORTNUMBER_2 : in std_logic;
           L0PORTNUMBER_3 : in std_logic;
           L0PORTNUMBER_4 : in std_logic;
           L0PORTNUMBER_5 : in std_logic;
           L0PORTNUMBER_6 : in std_logic;
           L0PORTNUMBER_7 : in std_logic;
           L0SENDUNLOCKMESSAGE : in std_logic;
           L0ALLDOWNRXPORTSINL0S : in std_logic;
           L0UPSTREAMRXPORTINL0S : in std_logic;
           L0TRANSACTIONSPENDING : in std_logic;
           L0ALLDOWNPORTSINL1 : in std_logic;
           L0FWDCORRERRIN : in std_logic;
           L0FWDFATALERRIN : in std_logic;
           L0FWDNONFATALERRIN : in std_logic;
           L0SETCOMPLETERABORTERROR : in std_logic;
           L0SETDETECTEDCORRERROR : in std_logic;
           L0SETDETECTEDFATALERROR : in std_logic;
           L0SETDETECTEDNONFATALERROR : in std_logic;
           L0SETLINKDETECTEDPARITYERROR : in std_logic;
           L0SETLINKMASTERDATAPARITY : in std_logic;
           L0SETLINKRECEIVEDMASTERABORT : in std_logic;
           L0SETLINKRECEIVEDTARGETABORT : in std_logic;
           L0SETLINKSYSTEMERROR : in std_logic;
           L0SETLINKSIGNALLEDTARGETABORT : in std_logic;
           L0SETUSERDETECTEDPARITYERROR : in std_logic;
           L0SETUSERMASTERDATAPARITY : in std_logic;
           L0SETUSERRECEIVEDMASTERABORT : in std_logic;
           L0SETUSERRECEIVEDTARGETABORT : in std_logic;
           L0SETUSERSYSTEMERROR : in std_logic;
           L0SETUSERSIGNALLEDTARGETABORT : in std_logic;
           L0SETCOMPLETIONTIMEOUTUNCORRERROR : in std_logic;
           L0SETCOMPLETIONTIMEOUTCORRERROR : in std_logic;
           L0SETUNEXPECTEDCOMPLETIONUNCORRERROR : in std_logic;
           L0SETUNEXPECTEDCOMPLETIONCORRERROR : in std_logic;
           L0SETUNSUPPORTEDREQUESTNONPOSTEDERROR : in std_logic;
           L0SETUNSUPPORTEDREQUESTOTHERERROR : in std_logic;
           L0PACKETHEADERFROMUSER_0 : in std_logic;
           L0PACKETHEADERFROMUSER_1 : in std_logic;
           L0PACKETHEADERFROMUSER_2 : in std_logic;
           L0PACKETHEADERFROMUSER_3 : in std_logic;
           L0PACKETHEADERFROMUSER_4 : in std_logic;
           L0PACKETHEADERFROMUSER_5 : in std_logic;
           L0PACKETHEADERFROMUSER_6 : in std_logic;
           L0PACKETHEADERFROMUSER_7 : in std_logic;
           L0PACKETHEADERFROMUSER_8 : in std_logic;
           L0PACKETHEADERFROMUSER_9 : in std_logic;
           L0PACKETHEADERFROMUSER_10 : in std_logic;
           L0PACKETHEADERFROMUSER_11 : in std_logic;
           L0PACKETHEADERFROMUSER_12 : in std_logic;
           L0PACKETHEADERFROMUSER_13 : in std_logic;
           L0PACKETHEADERFROMUSER_14 : in std_logic;
           L0PACKETHEADERFROMUSER_15 : in std_logic;
           L0PACKETHEADERFROMUSER_16 : in std_logic;
           L0PACKETHEADERFROMUSER_17 : in std_logic;
           L0PACKETHEADERFROMUSER_18 : in std_logic;
           L0PACKETHEADERFROMUSER_19 : in std_logic;
           L0PACKETHEADERFROMUSER_20 : in std_logic;
           L0PACKETHEADERFROMUSER_21 : in std_logic;
           L0PACKETHEADERFROMUSER_22 : in std_logic;
           L0PACKETHEADERFROMUSER_23 : in std_logic;
           L0PACKETHEADERFROMUSER_24 : in std_logic;
           L0PACKETHEADERFROMUSER_25 : in std_logic;
           L0PACKETHEADERFROMUSER_26 : in std_logic;
           L0PACKETHEADERFROMUSER_27 : in std_logic;
           L0PACKETHEADERFROMUSER_28 : in std_logic;
           L0PACKETHEADERFROMUSER_29 : in std_logic;
           L0PACKETHEADERFROMUSER_30 : in std_logic;
           L0PACKETHEADERFROMUSER_31 : in std_logic;
           L0PACKETHEADERFROMUSER_32 : in std_logic;
           L0PACKETHEADERFROMUSER_33 : in std_logic;
           L0PACKETHEADERFROMUSER_34 : in std_logic;
           L0PACKETHEADERFROMUSER_35 : in std_logic;
           L0PACKETHEADERFROMUSER_36 : in std_logic;
           L0PACKETHEADERFROMUSER_37 : in std_logic;
           L0PACKETHEADERFROMUSER_38 : in std_logic;
           L0PACKETHEADERFROMUSER_39 : in std_logic;
           L0PACKETHEADERFROMUSER_40 : in std_logic;
           L0PACKETHEADERFROMUSER_41 : in std_logic;
           L0PACKETHEADERFROMUSER_42 : in std_logic;
           L0PACKETHEADERFROMUSER_43 : in std_logic;
           L0PACKETHEADERFROMUSER_44 : in std_logic;
           L0PACKETHEADERFROMUSER_45 : in std_logic;
           L0PACKETHEADERFROMUSER_46 : in std_logic;
           L0PACKETHEADERFROMUSER_47 : in std_logic;
           L0PACKETHEADERFROMUSER_48 : in std_logic;
           L0PACKETHEADERFROMUSER_49 : in std_logic;
           L0PACKETHEADERFROMUSER_50 : in std_logic;
           L0PACKETHEADERFROMUSER_51 : in std_logic;
           L0PACKETHEADERFROMUSER_52 : in std_logic;
           L0PACKETHEADERFROMUSER_53 : in std_logic;
           L0PACKETHEADERFROMUSER_54 : in std_logic;
           L0PACKETHEADERFROMUSER_55 : in std_logic;
           L0PACKETHEADERFROMUSER_56 : in std_logic;
           L0PACKETHEADERFROMUSER_57 : in std_logic;
           L0PACKETHEADERFROMUSER_58 : in std_logic;
           L0PACKETHEADERFROMUSER_59 : in std_logic;
           L0PACKETHEADERFROMUSER_60 : in std_logic;
           L0PACKETHEADERFROMUSER_61 : in std_logic;
           L0PACKETHEADERFROMUSER_62 : in std_logic;
           L0PACKETHEADERFROMUSER_63 : in std_logic;
           L0PACKETHEADERFROMUSER_64 : in std_logic;
           L0PACKETHEADERFROMUSER_65 : in std_logic;
           L0PACKETHEADERFROMUSER_66 : in std_logic;
           L0PACKETHEADERFROMUSER_67 : in std_logic;
           L0PACKETHEADERFROMUSER_68 : in std_logic;
           L0PACKETHEADERFROMUSER_69 : in std_logic;
           L0PACKETHEADERFROMUSER_70 : in std_logic;
           L0PACKETHEADERFROMUSER_71 : in std_logic;
           L0PACKETHEADERFROMUSER_72 : in std_logic;
           L0PACKETHEADERFROMUSER_73 : in std_logic;
           L0PACKETHEADERFROMUSER_74 : in std_logic;
           L0PACKETHEADERFROMUSER_75 : in std_logic;
           L0PACKETHEADERFROMUSER_76 : in std_logic;
           L0PACKETHEADERFROMUSER_77 : in std_logic;
           L0PACKETHEADERFROMUSER_78 : in std_logic;
           L0PACKETHEADERFROMUSER_79 : in std_logic;
           L0PACKETHEADERFROMUSER_80 : in std_logic;
           L0PACKETHEADERFROMUSER_81 : in std_logic;
           L0PACKETHEADERFROMUSER_82 : in std_logic;
           L0PACKETHEADERFROMUSER_83 : in std_logic;
           L0PACKETHEADERFROMUSER_84 : in std_logic;
           L0PACKETHEADERFROMUSER_85 : in std_logic;
           L0PACKETHEADERFROMUSER_86 : in std_logic;
           L0PACKETHEADERFROMUSER_87 : in std_logic;
           L0PACKETHEADERFROMUSER_88 : in std_logic;
           L0PACKETHEADERFROMUSER_89 : in std_logic;
           L0PACKETHEADERFROMUSER_90 : in std_logic;
           L0PACKETHEADERFROMUSER_91 : in std_logic;
           L0PACKETHEADERFROMUSER_92 : in std_logic;
           L0PACKETHEADERFROMUSER_93 : in std_logic;
           L0PACKETHEADERFROMUSER_94 : in std_logic;
           L0PACKETHEADERFROMUSER_95 : in std_logic;
           L0PACKETHEADERFROMUSER_96 : in std_logic;
           L0PACKETHEADERFROMUSER_97 : in std_logic;
           L0PACKETHEADERFROMUSER_98 : in std_logic;
           L0PACKETHEADERFROMUSER_99 : in std_logic;
           L0PACKETHEADERFROMUSER_100 : in std_logic;
           L0PACKETHEADERFROMUSER_101 : in std_logic;
           L0PACKETHEADERFROMUSER_102 : in std_logic;
           L0PACKETHEADERFROMUSER_103 : in std_logic;
           L0PACKETHEADERFROMUSER_104 : in std_logic;
           L0PACKETHEADERFROMUSER_105 : in std_logic;
           L0PACKETHEADERFROMUSER_106 : in std_logic;
           L0PACKETHEADERFROMUSER_107 : in std_logic;
           L0PACKETHEADERFROMUSER_108 : in std_logic;
           L0PACKETHEADERFROMUSER_109 : in std_logic;
           L0PACKETHEADERFROMUSER_110 : in std_logic;
           L0PACKETHEADERFROMUSER_111 : in std_logic;
           L0PACKETHEADERFROMUSER_112 : in std_logic;
           L0PACKETHEADERFROMUSER_113 : in std_logic;
           L0PACKETHEADERFROMUSER_114 : in std_logic;
           L0PACKETHEADERFROMUSER_115 : in std_logic;
           L0PACKETHEADERFROMUSER_116 : in std_logic;
           L0PACKETHEADERFROMUSER_117 : in std_logic;
           L0PACKETHEADERFROMUSER_118 : in std_logic;
           L0PACKETHEADERFROMUSER_119 : in std_logic;
           L0PACKETHEADERFROMUSER_120 : in std_logic;
           L0PACKETHEADERFROMUSER_121 : in std_logic;
           L0PACKETHEADERFROMUSER_122 : in std_logic;
           L0PACKETHEADERFROMUSER_123 : in std_logic;
           L0PACKETHEADERFROMUSER_124 : in std_logic;
           L0PACKETHEADERFROMUSER_125 : in std_logic;
           L0PACKETHEADERFROMUSER_126 : in std_logic;
           L0PACKETHEADERFROMUSER_127 : in std_logic;
           L0LEGACYINTFUNCT0 : in std_logic;
           L0FWDASSERTINTALEGACYINT : in std_logic;
           L0FWDASSERTINTBLEGACYINT : in std_logic;
           L0FWDASSERTINTCLEGACYINT : in std_logic;
           L0FWDASSERTINTDLEGACYINT : in std_logic;
           L0FWDDEASSERTINTALEGACYINT : in std_logic;
           L0FWDDEASSERTINTBLEGACYINT : in std_logic;
           L0FWDDEASSERTINTCLEGACYINT : in std_logic;
           L0FWDDEASSERTINTDLEGACYINT : in std_logic;
           L0MSIREQUEST0_0 : in std_logic;
           L0MSIREQUEST0_1 : in std_logic;
           L0MSIREQUEST0_2 : in std_logic;
           L0MSIREQUEST0_3 : in std_logic;
           L0ELECTROMECHANICALINTERLOCKENGAGED : in std_logic;
           L0MRLSENSORCLOSEDN : in std_logic;
           L0POWERFAULTDETECTED : in std_logic;
           L0PRESENCEDETECTSLOTEMPTYN : in std_logic;
           L0ATTENTIONBUTTONPRESSED : in std_logic;
           L0TXBEACON : in std_logic;
           L0WAKEN : in std_logic;
           L0PMEREQIN : in std_logic;
           L0ROOTTURNOFFREQ : in std_logic;
           L0TXCFGPM : in std_logic;
           L0TXCFGPMTYPE_0 : in std_logic;
           L0TXCFGPMTYPE_1 : in std_logic;
           L0TXCFGPMTYPE_2 : in std_logic;
           L0PWRNEWSTATEREQ : in std_logic;
           L0PWRNEXTLINKSTATE_0 : in std_logic;
           L0PWRNEXTLINKSTATE_1 : in std_logic;
           L0CFGL0SENTRYSUP : in std_logic;
           L0CFGL0SENTRYENABLE : in std_logic;
           L0CFGL0SEXITLAT_0 : in std_logic;
           L0CFGL0SEXITLAT_1 : in std_logic;
           L0CFGL0SEXITLAT_2 : in std_logic;
           L0TXTLTLPDATA_0 : in std_logic;
           L0TXTLTLPDATA_1 : in std_logic;
           L0TXTLTLPDATA_2 : in std_logic;
           L0TXTLTLPDATA_3 : in std_logic;
           L0TXTLTLPDATA_4 : in std_logic;
           L0TXTLTLPDATA_5 : in std_logic;
           L0TXTLTLPDATA_6 : in std_logic;
           L0TXTLTLPDATA_7 : in std_logic;
           L0TXTLTLPDATA_8 : in std_logic;
           L0TXTLTLPDATA_9 : in std_logic;
           L0TXTLTLPDATA_10 : in std_logic;
           L0TXTLTLPDATA_11 : in std_logic;
           L0TXTLTLPDATA_12 : in std_logic;
           L0TXTLTLPDATA_13 : in std_logic;
           L0TXTLTLPDATA_14 : in std_logic;
           L0TXTLTLPDATA_15 : in std_logic;
           L0TXTLTLPDATA_16 : in std_logic;
           L0TXTLTLPDATA_17 : in std_logic;
           L0TXTLTLPDATA_18 : in std_logic;
           L0TXTLTLPDATA_19 : in std_logic;
           L0TXTLTLPDATA_20 : in std_logic;
           L0TXTLTLPDATA_21 : in std_logic;
           L0TXTLTLPDATA_22 : in std_logic;
           L0TXTLTLPDATA_23 : in std_logic;
           L0TXTLTLPDATA_24 : in std_logic;
           L0TXTLTLPDATA_25 : in std_logic;
           L0TXTLTLPDATA_26 : in std_logic;
           L0TXTLTLPDATA_27 : in std_logic;
           L0TXTLTLPDATA_28 : in std_logic;
           L0TXTLTLPDATA_29 : in std_logic;
           L0TXTLTLPDATA_30 : in std_logic;
           L0TXTLTLPDATA_31 : in std_logic;
           L0TXTLTLPDATA_32 : in std_logic;
           L0TXTLTLPDATA_33 : in std_logic;
           L0TXTLTLPDATA_34 : in std_logic;
           L0TXTLTLPDATA_35 : in std_logic;
           L0TXTLTLPDATA_36 : in std_logic;
           L0TXTLTLPDATA_37 : in std_logic;
           L0TXTLTLPDATA_38 : in std_logic;
           L0TXTLTLPDATA_39 : in std_logic;
           L0TXTLTLPDATA_40 : in std_logic;
           L0TXTLTLPDATA_41 : in std_logic;
           L0TXTLTLPDATA_42 : in std_logic;
           L0TXTLTLPDATA_43 : in std_logic;
           L0TXTLTLPDATA_44 : in std_logic;
           L0TXTLTLPDATA_45 : in std_logic;
           L0TXTLTLPDATA_46 : in std_logic;
           L0TXTLTLPDATA_47 : in std_logic;
           L0TXTLTLPDATA_48 : in std_logic;
           L0TXTLTLPDATA_49 : in std_logic;
           L0TXTLTLPDATA_50 : in std_logic;
           L0TXTLTLPDATA_51 : in std_logic;
           L0TXTLTLPDATA_52 : in std_logic;
           L0TXTLTLPDATA_53 : in std_logic;
           L0TXTLTLPDATA_54 : in std_logic;
           L0TXTLTLPDATA_55 : in std_logic;
           L0TXTLTLPDATA_56 : in std_logic;
           L0TXTLTLPDATA_57 : in std_logic;
           L0TXTLTLPDATA_58 : in std_logic;
           L0TXTLTLPDATA_59 : in std_logic;
           L0TXTLTLPDATA_60 : in std_logic;
           L0TXTLTLPDATA_61 : in std_logic;
           L0TXTLTLPDATA_62 : in std_logic;
           L0TXTLTLPDATA_63 : in std_logic;
           L0TXTLTLPEND_0 : in std_logic;
           L0TXTLTLPEND_1 : in std_logic;
           L0TXTLTLPENABLE_0 : in std_logic;
           L0TXTLTLPENABLE_1 : in std_logic;
           L0TXTLTLPEDB : in std_logic;
           L0TXTLTLPREQ : in std_logic;
           L0TXTLTLPREQEND : in std_logic;
           L0TXTLTLPWIDTH : in std_logic;
           L0TXTLTLPLATENCY_0 : in std_logic;
           L0TXTLTLPLATENCY_1 : in std_logic;
           L0TXTLTLPLATENCY_2 : in std_logic;
           L0TXTLTLPLATENCY_3 : in std_logic;
           L0TLASFCCREDSTARVATION : in std_logic;
           L0TXTLSBFCDATA_0 : in std_logic;
           L0TXTLSBFCDATA_1 : in std_logic;
           L0TXTLSBFCDATA_2 : in std_logic;
           L0TXTLSBFCDATA_3 : in std_logic;
           L0TXTLSBFCDATA_4 : in std_logic;
           L0TXTLSBFCDATA_5 : in std_logic;
           L0TXTLSBFCDATA_6 : in std_logic;
           L0TXTLSBFCDATA_7 : in std_logic;
           L0TXTLSBFCDATA_8 : in std_logic;
           L0TXTLSBFCDATA_9 : in std_logic;
           L0TXTLSBFCDATA_10 : in std_logic;
           L0TXTLSBFCDATA_11 : in std_logic;
           L0TXTLSBFCDATA_12 : in std_logic;
           L0TXTLSBFCDATA_13 : in std_logic;
           L0TXTLSBFCDATA_14 : in std_logic;
           L0TXTLSBFCDATA_15 : in std_logic;
           L0TXTLSBFCDATA_16 : in std_logic;
           L0TXTLSBFCDATA_17 : in std_logic;
           L0TXTLSBFCDATA_18 : in std_logic;
           L0TXTLSBFCUPDATE : in std_logic;
           L0TXTLFCNPOSTBYPCRED_0 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_1 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_2 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_3 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_4 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_5 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_6 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_7 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_8 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_9 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_10 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_11 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_12 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_13 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_14 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_15 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_16 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_17 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_18 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_19 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_20 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_21 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_22 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_23 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_24 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_25 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_26 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_27 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_28 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_29 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_30 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_31 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_32 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_33 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_34 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_35 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_36 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_37 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_38 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_39 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_40 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_41 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_42 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_43 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_44 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_45 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_46 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_47 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_48 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_49 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_50 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_51 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_52 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_53 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_54 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_55 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_56 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_57 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_58 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_59 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_60 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_61 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_62 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_63 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_64 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_65 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_66 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_67 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_68 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_69 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_70 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_71 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_72 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_73 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_74 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_75 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_76 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_77 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_78 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_79 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_80 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_81 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_82 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_83 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_84 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_85 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_86 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_87 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_88 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_89 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_90 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_91 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_92 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_93 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_94 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_95 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_96 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_97 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_98 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_99 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_100 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_101 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_102 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_103 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_104 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_105 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_106 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_107 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_108 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_109 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_110 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_111 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_112 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_113 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_114 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_115 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_116 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_117 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_118 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_119 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_120 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_121 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_122 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_123 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_124 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_125 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_126 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_127 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_128 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_129 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_130 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_131 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_132 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_133 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_134 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_135 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_136 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_137 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_138 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_139 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_140 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_141 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_142 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_143 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_144 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_145 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_146 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_147 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_148 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_149 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_150 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_151 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_152 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_153 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_154 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_155 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_156 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_157 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_158 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_159 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_160 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_161 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_162 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_163 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_164 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_165 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_166 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_167 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_168 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_169 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_170 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_171 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_172 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_173 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_174 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_175 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_176 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_177 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_178 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_179 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_180 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_181 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_182 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_183 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_184 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_185 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_186 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_187 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_188 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_189 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_190 : in std_logic;
           L0TXTLFCNPOSTBYPCRED_191 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_0 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_1 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_2 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_3 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_4 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_5 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_6 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_7 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_8 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_9 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_10 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_11 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_12 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_13 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_14 : in std_logic;
           L0TXTLFCNPOSTBYPUPDATE_15 : in std_logic;
           L0TXTLFCPOSTORDCRED_0 : in std_logic;
           L0TXTLFCPOSTORDCRED_1 : in std_logic;
           L0TXTLFCPOSTORDCRED_2 : in std_logic;
           L0TXTLFCPOSTORDCRED_3 : in std_logic;
           L0TXTLFCPOSTORDCRED_4 : in std_logic;
           L0TXTLFCPOSTORDCRED_5 : in std_logic;
           L0TXTLFCPOSTORDCRED_6 : in std_logic;
           L0TXTLFCPOSTORDCRED_7 : in std_logic;
           L0TXTLFCPOSTORDCRED_8 : in std_logic;
           L0TXTLFCPOSTORDCRED_9 : in std_logic;
           L0TXTLFCPOSTORDCRED_10 : in std_logic;
           L0TXTLFCPOSTORDCRED_11 : in std_logic;
           L0TXTLFCPOSTORDCRED_12 : in std_logic;
           L0TXTLFCPOSTORDCRED_13 : in std_logic;
           L0TXTLFCPOSTORDCRED_14 : in std_logic;
           L0TXTLFCPOSTORDCRED_15 : in std_logic;
           L0TXTLFCPOSTORDCRED_16 : in std_logic;
           L0TXTLFCPOSTORDCRED_17 : in std_logic;
           L0TXTLFCPOSTORDCRED_18 : in std_logic;
           L0TXTLFCPOSTORDCRED_19 : in std_logic;
           L0TXTLFCPOSTORDCRED_20 : in std_logic;
           L0TXTLFCPOSTORDCRED_21 : in std_logic;
           L0TXTLFCPOSTORDCRED_22 : in std_logic;
           L0TXTLFCPOSTORDCRED_23 : in std_logic;
           L0TXTLFCPOSTORDCRED_24 : in std_logic;
           L0TXTLFCPOSTORDCRED_25 : in std_logic;
           L0TXTLFCPOSTORDCRED_26 : in std_logic;
           L0TXTLFCPOSTORDCRED_27 : in std_logic;
           L0TXTLFCPOSTORDCRED_28 : in std_logic;
           L0TXTLFCPOSTORDCRED_29 : in std_logic;
           L0TXTLFCPOSTORDCRED_30 : in std_logic;
           L0TXTLFCPOSTORDCRED_31 : in std_logic;
           L0TXTLFCPOSTORDCRED_32 : in std_logic;
           L0TXTLFCPOSTORDCRED_33 : in std_logic;
           L0TXTLFCPOSTORDCRED_34 : in std_logic;
           L0TXTLFCPOSTORDCRED_35 : in std_logic;
           L0TXTLFCPOSTORDCRED_36 : in std_logic;
           L0TXTLFCPOSTORDCRED_37 : in std_logic;
           L0TXTLFCPOSTORDCRED_38 : in std_logic;
           L0TXTLFCPOSTORDCRED_39 : in std_logic;
           L0TXTLFCPOSTORDCRED_40 : in std_logic;
           L0TXTLFCPOSTORDCRED_41 : in std_logic;
           L0TXTLFCPOSTORDCRED_42 : in std_logic;
           L0TXTLFCPOSTORDCRED_43 : in std_logic;
           L0TXTLFCPOSTORDCRED_44 : in std_logic;
           L0TXTLFCPOSTORDCRED_45 : in std_logic;
           L0TXTLFCPOSTORDCRED_46 : in std_logic;
           L0TXTLFCPOSTORDCRED_47 : in std_logic;
           L0TXTLFCPOSTORDCRED_48 : in std_logic;
           L0TXTLFCPOSTORDCRED_49 : in std_logic;
           L0TXTLFCPOSTORDCRED_50 : in std_logic;
           L0TXTLFCPOSTORDCRED_51 : in std_logic;
           L0TXTLFCPOSTORDCRED_52 : in std_logic;
           L0TXTLFCPOSTORDCRED_53 : in std_logic;
           L0TXTLFCPOSTORDCRED_54 : in std_logic;
           L0TXTLFCPOSTORDCRED_55 : in std_logic;
           L0TXTLFCPOSTORDCRED_56 : in std_logic;
           L0TXTLFCPOSTORDCRED_57 : in std_logic;
           L0TXTLFCPOSTORDCRED_58 : in std_logic;
           L0TXTLFCPOSTORDCRED_59 : in std_logic;
           L0TXTLFCPOSTORDCRED_60 : in std_logic;
           L0TXTLFCPOSTORDCRED_61 : in std_logic;
           L0TXTLFCPOSTORDCRED_62 : in std_logic;
           L0TXTLFCPOSTORDCRED_63 : in std_logic;
           L0TXTLFCPOSTORDCRED_64 : in std_logic;
           L0TXTLFCPOSTORDCRED_65 : in std_logic;
           L0TXTLFCPOSTORDCRED_66 : in std_logic;
           L0TXTLFCPOSTORDCRED_67 : in std_logic;
           L0TXTLFCPOSTORDCRED_68 : in std_logic;
           L0TXTLFCPOSTORDCRED_69 : in std_logic;
           L0TXTLFCPOSTORDCRED_70 : in std_logic;
           L0TXTLFCPOSTORDCRED_71 : in std_logic;
           L0TXTLFCPOSTORDCRED_72 : in std_logic;
           L0TXTLFCPOSTORDCRED_73 : in std_logic;
           L0TXTLFCPOSTORDCRED_74 : in std_logic;
           L0TXTLFCPOSTORDCRED_75 : in std_logic;
           L0TXTLFCPOSTORDCRED_76 : in std_logic;
           L0TXTLFCPOSTORDCRED_77 : in std_logic;
           L0TXTLFCPOSTORDCRED_78 : in std_logic;
           L0TXTLFCPOSTORDCRED_79 : in std_logic;
           L0TXTLFCPOSTORDCRED_80 : in std_logic;
           L0TXTLFCPOSTORDCRED_81 : in std_logic;
           L0TXTLFCPOSTORDCRED_82 : in std_logic;
           L0TXTLFCPOSTORDCRED_83 : in std_logic;
           L0TXTLFCPOSTORDCRED_84 : in std_logic;
           L0TXTLFCPOSTORDCRED_85 : in std_logic;
           L0TXTLFCPOSTORDCRED_86 : in std_logic;
           L0TXTLFCPOSTORDCRED_87 : in std_logic;
           L0TXTLFCPOSTORDCRED_88 : in std_logic;
           L0TXTLFCPOSTORDCRED_89 : in std_logic;
           L0TXTLFCPOSTORDCRED_90 : in std_logic;
           L0TXTLFCPOSTORDCRED_91 : in std_logic;
           L0TXTLFCPOSTORDCRED_92 : in std_logic;
           L0TXTLFCPOSTORDCRED_93 : in std_logic;
           L0TXTLFCPOSTORDCRED_94 : in std_logic;
           L0TXTLFCPOSTORDCRED_95 : in std_logic;
           L0TXTLFCPOSTORDCRED_96 : in std_logic;
           L0TXTLFCPOSTORDCRED_97 : in std_logic;
           L0TXTLFCPOSTORDCRED_98 : in std_logic;
           L0TXTLFCPOSTORDCRED_99 : in std_logic;
           L0TXTLFCPOSTORDCRED_100 : in std_logic;
           L0TXTLFCPOSTORDCRED_101 : in std_logic;
           L0TXTLFCPOSTORDCRED_102 : in std_logic;
           L0TXTLFCPOSTORDCRED_103 : in std_logic;
           L0TXTLFCPOSTORDCRED_104 : in std_logic;
           L0TXTLFCPOSTORDCRED_105 : in std_logic;
           L0TXTLFCPOSTORDCRED_106 : in std_logic;
           L0TXTLFCPOSTORDCRED_107 : in std_logic;
           L0TXTLFCPOSTORDCRED_108 : in std_logic;
           L0TXTLFCPOSTORDCRED_109 : in std_logic;
           L0TXTLFCPOSTORDCRED_110 : in std_logic;
           L0TXTLFCPOSTORDCRED_111 : in std_logic;
           L0TXTLFCPOSTORDCRED_112 : in std_logic;
           L0TXTLFCPOSTORDCRED_113 : in std_logic;
           L0TXTLFCPOSTORDCRED_114 : in std_logic;
           L0TXTLFCPOSTORDCRED_115 : in std_logic;
           L0TXTLFCPOSTORDCRED_116 : in std_logic;
           L0TXTLFCPOSTORDCRED_117 : in std_logic;
           L0TXTLFCPOSTORDCRED_118 : in std_logic;
           L0TXTLFCPOSTORDCRED_119 : in std_logic;
           L0TXTLFCPOSTORDCRED_120 : in std_logic;
           L0TXTLFCPOSTORDCRED_121 : in std_logic;
           L0TXTLFCPOSTORDCRED_122 : in std_logic;
           L0TXTLFCPOSTORDCRED_123 : in std_logic;
           L0TXTLFCPOSTORDCRED_124 : in std_logic;
           L0TXTLFCPOSTORDCRED_125 : in std_logic;
           L0TXTLFCPOSTORDCRED_126 : in std_logic;
           L0TXTLFCPOSTORDCRED_127 : in std_logic;
           L0TXTLFCPOSTORDCRED_128 : in std_logic;
           L0TXTLFCPOSTORDCRED_129 : in std_logic;
           L0TXTLFCPOSTORDCRED_130 : in std_logic;
           L0TXTLFCPOSTORDCRED_131 : in std_logic;
           L0TXTLFCPOSTORDCRED_132 : in std_logic;
           L0TXTLFCPOSTORDCRED_133 : in std_logic;
           L0TXTLFCPOSTORDCRED_134 : in std_logic;
           L0TXTLFCPOSTORDCRED_135 : in std_logic;
           L0TXTLFCPOSTORDCRED_136 : in std_logic;
           L0TXTLFCPOSTORDCRED_137 : in std_logic;
           L0TXTLFCPOSTORDCRED_138 : in std_logic;
           L0TXTLFCPOSTORDCRED_139 : in std_logic;
           L0TXTLFCPOSTORDCRED_140 : in std_logic;
           L0TXTLFCPOSTORDCRED_141 : in std_logic;
           L0TXTLFCPOSTORDCRED_142 : in std_logic;
           L0TXTLFCPOSTORDCRED_143 : in std_logic;
           L0TXTLFCPOSTORDCRED_144 : in std_logic;
           L0TXTLFCPOSTORDCRED_145 : in std_logic;
           L0TXTLFCPOSTORDCRED_146 : in std_logic;
           L0TXTLFCPOSTORDCRED_147 : in std_logic;
           L0TXTLFCPOSTORDCRED_148 : in std_logic;
           L0TXTLFCPOSTORDCRED_149 : in std_logic;
           L0TXTLFCPOSTORDCRED_150 : in std_logic;
           L0TXTLFCPOSTORDCRED_151 : in std_logic;
           L0TXTLFCPOSTORDCRED_152 : in std_logic;
           L0TXTLFCPOSTORDCRED_153 : in std_logic;
           L0TXTLFCPOSTORDCRED_154 : in std_logic;
           L0TXTLFCPOSTORDCRED_155 : in std_logic;
           L0TXTLFCPOSTORDCRED_156 : in std_logic;
           L0TXTLFCPOSTORDCRED_157 : in std_logic;
           L0TXTLFCPOSTORDCRED_158 : in std_logic;
           L0TXTLFCPOSTORDCRED_159 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_0 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_1 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_2 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_3 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_4 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_5 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_6 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_7 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_8 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_9 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_10 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_11 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_12 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_13 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_14 : in std_logic;
           L0TXTLFCPOSTORDUPDATE_15 : in std_logic;
           L0TXTLFCCMPLMCCRED_0 : in std_logic;
           L0TXTLFCCMPLMCCRED_1 : in std_logic;
           L0TXTLFCCMPLMCCRED_2 : in std_logic;
           L0TXTLFCCMPLMCCRED_3 : in std_logic;
           L0TXTLFCCMPLMCCRED_4 : in std_logic;
           L0TXTLFCCMPLMCCRED_5 : in std_logic;
           L0TXTLFCCMPLMCCRED_6 : in std_logic;
           L0TXTLFCCMPLMCCRED_7 : in std_logic;
           L0TXTLFCCMPLMCCRED_8 : in std_logic;
           L0TXTLFCCMPLMCCRED_9 : in std_logic;
           L0TXTLFCCMPLMCCRED_10 : in std_logic;
           L0TXTLFCCMPLMCCRED_11 : in std_logic;
           L0TXTLFCCMPLMCCRED_12 : in std_logic;
           L0TXTLFCCMPLMCCRED_13 : in std_logic;
           L0TXTLFCCMPLMCCRED_14 : in std_logic;
           L0TXTLFCCMPLMCCRED_15 : in std_logic;
           L0TXTLFCCMPLMCCRED_16 : in std_logic;
           L0TXTLFCCMPLMCCRED_17 : in std_logic;
           L0TXTLFCCMPLMCCRED_18 : in std_logic;
           L0TXTLFCCMPLMCCRED_19 : in std_logic;
           L0TXTLFCCMPLMCCRED_20 : in std_logic;
           L0TXTLFCCMPLMCCRED_21 : in std_logic;
           L0TXTLFCCMPLMCCRED_22 : in std_logic;
           L0TXTLFCCMPLMCCRED_23 : in std_logic;
           L0TXTLFCCMPLMCCRED_24 : in std_logic;
           L0TXTLFCCMPLMCCRED_25 : in std_logic;
           L0TXTLFCCMPLMCCRED_26 : in std_logic;
           L0TXTLFCCMPLMCCRED_27 : in std_logic;
           L0TXTLFCCMPLMCCRED_28 : in std_logic;
           L0TXTLFCCMPLMCCRED_29 : in std_logic;
           L0TXTLFCCMPLMCCRED_30 : in std_logic;
           L0TXTLFCCMPLMCCRED_31 : in std_logic;
           L0TXTLFCCMPLMCCRED_32 : in std_logic;
           L0TXTLFCCMPLMCCRED_33 : in std_logic;
           L0TXTLFCCMPLMCCRED_34 : in std_logic;
           L0TXTLFCCMPLMCCRED_35 : in std_logic;
           L0TXTLFCCMPLMCCRED_36 : in std_logic;
           L0TXTLFCCMPLMCCRED_37 : in std_logic;
           L0TXTLFCCMPLMCCRED_38 : in std_logic;
           L0TXTLFCCMPLMCCRED_39 : in std_logic;
           L0TXTLFCCMPLMCCRED_40 : in std_logic;
           L0TXTLFCCMPLMCCRED_41 : in std_logic;
           L0TXTLFCCMPLMCCRED_42 : in std_logic;
           L0TXTLFCCMPLMCCRED_43 : in std_logic;
           L0TXTLFCCMPLMCCRED_44 : in std_logic;
           L0TXTLFCCMPLMCCRED_45 : in std_logic;
           L0TXTLFCCMPLMCCRED_46 : in std_logic;
           L0TXTLFCCMPLMCCRED_47 : in std_logic;
           L0TXTLFCCMPLMCCRED_48 : in std_logic;
           L0TXTLFCCMPLMCCRED_49 : in std_logic;
           L0TXTLFCCMPLMCCRED_50 : in std_logic;
           L0TXTLFCCMPLMCCRED_51 : in std_logic;
           L0TXTLFCCMPLMCCRED_52 : in std_logic;
           L0TXTLFCCMPLMCCRED_53 : in std_logic;
           L0TXTLFCCMPLMCCRED_54 : in std_logic;
           L0TXTLFCCMPLMCCRED_55 : in std_logic;
           L0TXTLFCCMPLMCCRED_56 : in std_logic;
           L0TXTLFCCMPLMCCRED_57 : in std_logic;
           L0TXTLFCCMPLMCCRED_58 : in std_logic;
           L0TXTLFCCMPLMCCRED_59 : in std_logic;
           L0TXTLFCCMPLMCCRED_60 : in std_logic;
           L0TXTLFCCMPLMCCRED_61 : in std_logic;
           L0TXTLFCCMPLMCCRED_62 : in std_logic;
           L0TXTLFCCMPLMCCRED_63 : in std_logic;
           L0TXTLFCCMPLMCCRED_64 : in std_logic;
           L0TXTLFCCMPLMCCRED_65 : in std_logic;
           L0TXTLFCCMPLMCCRED_66 : in std_logic;
           L0TXTLFCCMPLMCCRED_67 : in std_logic;
           L0TXTLFCCMPLMCCRED_68 : in std_logic;
           L0TXTLFCCMPLMCCRED_69 : in std_logic;
           L0TXTLFCCMPLMCCRED_70 : in std_logic;
           L0TXTLFCCMPLMCCRED_71 : in std_logic;
           L0TXTLFCCMPLMCCRED_72 : in std_logic;
           L0TXTLFCCMPLMCCRED_73 : in std_logic;
           L0TXTLFCCMPLMCCRED_74 : in std_logic;
           L0TXTLFCCMPLMCCRED_75 : in std_logic;
           L0TXTLFCCMPLMCCRED_76 : in std_logic;
           L0TXTLFCCMPLMCCRED_77 : in std_logic;
           L0TXTLFCCMPLMCCRED_78 : in std_logic;
           L0TXTLFCCMPLMCCRED_79 : in std_logic;
           L0TXTLFCCMPLMCCRED_80 : in std_logic;
           L0TXTLFCCMPLMCCRED_81 : in std_logic;
           L0TXTLFCCMPLMCCRED_82 : in std_logic;
           L0TXTLFCCMPLMCCRED_83 : in std_logic;
           L0TXTLFCCMPLMCCRED_84 : in std_logic;
           L0TXTLFCCMPLMCCRED_85 : in std_logic;
           L0TXTLFCCMPLMCCRED_86 : in std_logic;
           L0TXTLFCCMPLMCCRED_87 : in std_logic;
           L0TXTLFCCMPLMCCRED_88 : in std_logic;
           L0TXTLFCCMPLMCCRED_89 : in std_logic;
           L0TXTLFCCMPLMCCRED_90 : in std_logic;
           L0TXTLFCCMPLMCCRED_91 : in std_logic;
           L0TXTLFCCMPLMCCRED_92 : in std_logic;
           L0TXTLFCCMPLMCCRED_93 : in std_logic;
           L0TXTLFCCMPLMCCRED_94 : in std_logic;
           L0TXTLFCCMPLMCCRED_95 : in std_logic;
           L0TXTLFCCMPLMCCRED_96 : in std_logic;
           L0TXTLFCCMPLMCCRED_97 : in std_logic;
           L0TXTLFCCMPLMCCRED_98 : in std_logic;
           L0TXTLFCCMPLMCCRED_99 : in std_logic;
           L0TXTLFCCMPLMCCRED_100 : in std_logic;
           L0TXTLFCCMPLMCCRED_101 : in std_logic;
           L0TXTLFCCMPLMCCRED_102 : in std_logic;
           L0TXTLFCCMPLMCCRED_103 : in std_logic;
           L0TXTLFCCMPLMCCRED_104 : in std_logic;
           L0TXTLFCCMPLMCCRED_105 : in std_logic;
           L0TXTLFCCMPLMCCRED_106 : in std_logic;
           L0TXTLFCCMPLMCCRED_107 : in std_logic;
           L0TXTLFCCMPLMCCRED_108 : in std_logic;
           L0TXTLFCCMPLMCCRED_109 : in std_logic;
           L0TXTLFCCMPLMCCRED_110 : in std_logic;
           L0TXTLFCCMPLMCCRED_111 : in std_logic;
           L0TXTLFCCMPLMCCRED_112 : in std_logic;
           L0TXTLFCCMPLMCCRED_113 : in std_logic;
           L0TXTLFCCMPLMCCRED_114 : in std_logic;
           L0TXTLFCCMPLMCCRED_115 : in std_logic;
           L0TXTLFCCMPLMCCRED_116 : in std_logic;
           L0TXTLFCCMPLMCCRED_117 : in std_logic;
           L0TXTLFCCMPLMCCRED_118 : in std_logic;
           L0TXTLFCCMPLMCCRED_119 : in std_logic;
           L0TXTLFCCMPLMCCRED_120 : in std_logic;
           L0TXTLFCCMPLMCCRED_121 : in std_logic;
           L0TXTLFCCMPLMCCRED_122 : in std_logic;
           L0TXTLFCCMPLMCCRED_123 : in std_logic;
           L0TXTLFCCMPLMCCRED_124 : in std_logic;
           L0TXTLFCCMPLMCCRED_125 : in std_logic;
           L0TXTLFCCMPLMCCRED_126 : in std_logic;
           L0TXTLFCCMPLMCCRED_127 : in std_logic;
           L0TXTLFCCMPLMCCRED_128 : in std_logic;
           L0TXTLFCCMPLMCCRED_129 : in std_logic;
           L0TXTLFCCMPLMCCRED_130 : in std_logic;
           L0TXTLFCCMPLMCCRED_131 : in std_logic;
           L0TXTLFCCMPLMCCRED_132 : in std_logic;
           L0TXTLFCCMPLMCCRED_133 : in std_logic;
           L0TXTLFCCMPLMCCRED_134 : in std_logic;
           L0TXTLFCCMPLMCCRED_135 : in std_logic;
           L0TXTLFCCMPLMCCRED_136 : in std_logic;
           L0TXTLFCCMPLMCCRED_137 : in std_logic;
           L0TXTLFCCMPLMCCRED_138 : in std_logic;
           L0TXTLFCCMPLMCCRED_139 : in std_logic;
           L0TXTLFCCMPLMCCRED_140 : in std_logic;
           L0TXTLFCCMPLMCCRED_141 : in std_logic;
           L0TXTLFCCMPLMCCRED_142 : in std_logic;
           L0TXTLFCCMPLMCCRED_143 : in std_logic;
           L0TXTLFCCMPLMCCRED_144 : in std_logic;
           L0TXTLFCCMPLMCCRED_145 : in std_logic;
           L0TXTLFCCMPLMCCRED_146 : in std_logic;
           L0TXTLFCCMPLMCCRED_147 : in std_logic;
           L0TXTLFCCMPLMCCRED_148 : in std_logic;
           L0TXTLFCCMPLMCCRED_149 : in std_logic;
           L0TXTLFCCMPLMCCRED_150 : in std_logic;
           L0TXTLFCCMPLMCCRED_151 : in std_logic;
           L0TXTLFCCMPLMCCRED_152 : in std_logic;
           L0TXTLFCCMPLMCCRED_153 : in std_logic;
           L0TXTLFCCMPLMCCRED_154 : in std_logic;
           L0TXTLFCCMPLMCCRED_155 : in std_logic;
           L0TXTLFCCMPLMCCRED_156 : in std_logic;
           L0TXTLFCCMPLMCCRED_157 : in std_logic;
           L0TXTLFCCMPLMCCRED_158 : in std_logic;
           L0TXTLFCCMPLMCCRED_159 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_0 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_1 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_2 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_3 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_4 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_5 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_6 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_7 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_8 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_9 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_10 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_11 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_12 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_13 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_14 : in std_logic;
           L0TXTLFCCMPLMCUPDATE_15 : in std_logic;
           L0RXTLTLPNONINITIALIZEDVC_0 : in std_logic;
           L0RXTLTLPNONINITIALIZEDVC_1 : in std_logic;
           L0RXTLTLPNONINITIALIZEDVC_2 : in std_logic;
           L0RXTLTLPNONINITIALIZEDVC_3 : in std_logic;
           L0RXTLTLPNONINITIALIZEDVC_4 : in std_logic;
           L0RXTLTLPNONINITIALIZEDVC_5 : in std_logic;
           L0RXTLTLPNONINITIALIZEDVC_6 : in std_logic;
           L0RXTLTLPNONINITIALIZEDVC_7 : in std_logic;
           PIPETXDATAL0_0 : out std_logic;
           PIPETXDATAL0_1 : out std_logic;
           PIPETXDATAL0_2 : out std_logic;
           PIPETXDATAL0_3 : out std_logic;
           PIPETXDATAL0_4 : out std_logic;
           PIPETXDATAL0_5 : out std_logic;
           PIPETXDATAL0_6 : out std_logic;
           PIPETXDATAL0_7 : out std_logic;
           PIPETXDATAKL0 : out std_logic;
           PIPETXELECIDLEL0 : out std_logic;
           PIPETXDETECTRXLOOPBACKL0 : out std_logic;
           PIPETXCOMPLIANCEL0 : out std_logic;
           PIPERXPOLARITYL0 : out std_logic;
           PIPEPOWERDOWNL0_0 : out std_logic;
           PIPEPOWERDOWNL0_1 : out std_logic;
           PIPEDESKEWLANESL0 : out std_logic;
           PIPERESETL0 : out std_logic;
           PIPETXDATAL1_0 : out std_logic;
           PIPETXDATAL1_1 : out std_logic;
           PIPETXDATAL1_2 : out std_logic;
           PIPETXDATAL1_3 : out std_logic;
           PIPETXDATAL1_4 : out std_logic;
           PIPETXDATAL1_5 : out std_logic;
           PIPETXDATAL1_6 : out std_logic;
           PIPETXDATAL1_7 : out std_logic;
           PIPETXDATAKL1 : out std_logic;
           PIPETXELECIDLEL1 : out std_logic;
           PIPETXDETECTRXLOOPBACKL1 : out std_logic;
           PIPETXCOMPLIANCEL1 : out std_logic;
           PIPERXPOLARITYL1 : out std_logic;
           PIPEPOWERDOWNL1_0 : out std_logic;
           PIPEPOWERDOWNL1_1 : out std_logic;
           PIPEDESKEWLANESL1 : out std_logic;
           PIPERESETL1 : out std_logic;
           PIPETXDATAL2_0 : out std_logic;
           PIPETXDATAL2_1 : out std_logic;
           PIPETXDATAL2_2 : out std_logic;
           PIPETXDATAL2_3 : out std_logic;
           PIPETXDATAL2_4 : out std_logic;
           PIPETXDATAL2_5 : out std_logic;
           PIPETXDATAL2_6 : out std_logic;
           PIPETXDATAL2_7 : out std_logic;
           PIPETXDATAKL2 : out std_logic;
           PIPETXELECIDLEL2 : out std_logic;
           PIPETXDETECTRXLOOPBACKL2 : out std_logic;
           PIPETXCOMPLIANCEL2 : out std_logic;
           PIPERXPOLARITYL2 : out std_logic;
           PIPEPOWERDOWNL2_0 : out std_logic;
           PIPEPOWERDOWNL2_1 : out std_logic;
           PIPEDESKEWLANESL2 : out std_logic;
           PIPERESETL2 : out std_logic;
           PIPETXDATAL3_0 : out std_logic;
           PIPETXDATAL3_1 : out std_logic;
           PIPETXDATAL3_2 : out std_logic;
           PIPETXDATAL3_3 : out std_logic;
           PIPETXDATAL3_4 : out std_logic;
           PIPETXDATAL3_5 : out std_logic;
           PIPETXDATAL3_6 : out std_logic;
           PIPETXDATAL3_7 : out std_logic;
           PIPETXDATAKL3 : out std_logic;
           PIPETXELECIDLEL3 : out std_logic;
           PIPETXDETECTRXLOOPBACKL3 : out std_logic;
           PIPETXCOMPLIANCEL3 : out std_logic;
           PIPERXPOLARITYL3 : out std_logic;
           PIPEPOWERDOWNL3_0 : out std_logic;
           PIPEPOWERDOWNL3_1 : out std_logic;
           PIPEDESKEWLANESL3 : out std_logic;
           PIPERESETL3 : out std_logic;
           PIPETXDATAL4_0 : out std_logic;
           PIPETXDATAL4_1 : out std_logic;
           PIPETXDATAL4_2 : out std_logic;
           PIPETXDATAL4_3 : out std_logic;
           PIPETXDATAL4_4 : out std_logic;
           PIPETXDATAL4_5 : out std_logic;
           PIPETXDATAL4_6 : out std_logic;
           PIPETXDATAL4_7 : out std_logic;
           PIPETXDATAKL4 : out std_logic;
           PIPETXELECIDLEL4 : out std_logic;
           PIPETXDETECTRXLOOPBACKL4 : out std_logic;
           PIPETXCOMPLIANCEL4 : out std_logic;
           PIPERXPOLARITYL4 : out std_logic;
           PIPEPOWERDOWNL4_0 : out std_logic;
           PIPEPOWERDOWNL4_1 : out std_logic;
           PIPEDESKEWLANESL4 : out std_logic;
           PIPERESETL4 : out std_logic;
           PIPETXDATAL5_0 : out std_logic;
           PIPETXDATAL5_1 : out std_logic;
           PIPETXDATAL5_2 : out std_logic;
           PIPETXDATAL5_3 : out std_logic;
           PIPETXDATAL5_4 : out std_logic;
           PIPETXDATAL5_5 : out std_logic;
           PIPETXDATAL5_6 : out std_logic;
           PIPETXDATAL5_7 : out std_logic;
           PIPETXDATAKL5 : out std_logic;
           PIPETXELECIDLEL5 : out std_logic;
           PIPETXDETECTRXLOOPBACKL5 : out std_logic;
           PIPETXCOMPLIANCEL5 : out std_logic;
           PIPERXPOLARITYL5 : out std_logic;
           PIPEPOWERDOWNL5_0 : out std_logic;
           PIPEPOWERDOWNL5_1 : out std_logic;
           PIPEDESKEWLANESL5 : out std_logic;
           PIPERESETL5 : out std_logic;
           PIPETXDATAL6_0 : out std_logic;
           PIPETXDATAL6_1 : out std_logic;
           PIPETXDATAL6_2 : out std_logic;
           PIPETXDATAL6_3 : out std_logic;
           PIPETXDATAL6_4 : out std_logic;
           PIPETXDATAL6_5 : out std_logic;
           PIPETXDATAL6_6 : out std_logic;
           PIPETXDATAL6_7 : out std_logic;
           PIPETXDATAKL6 : out std_logic;
           PIPETXELECIDLEL6 : out std_logic;
           PIPETXDETECTRXLOOPBACKL6 : out std_logic;
           PIPETXCOMPLIANCEL6 : out std_logic;
           PIPERXPOLARITYL6 : out std_logic;
           PIPEPOWERDOWNL6_0 : out std_logic;
           PIPEPOWERDOWNL6_1 : out std_logic;
           PIPEDESKEWLANESL6 : out std_logic;
           PIPERESETL6 : out std_logic;
           PIPETXDATAL7_0 : out std_logic;
           PIPETXDATAL7_1 : out std_logic;
           PIPETXDATAL7_2 : out std_logic;
           PIPETXDATAL7_3 : out std_logic;
           PIPETXDATAL7_4 : out std_logic;
           PIPETXDATAL7_5 : out std_logic;
           PIPETXDATAL7_6 : out std_logic;
           PIPETXDATAL7_7 : out std_logic;
           PIPETXDATAKL7 : out std_logic;
           PIPETXELECIDLEL7 : out std_logic;
           PIPETXDETECTRXLOOPBACKL7 : out std_logic;
           PIPETXCOMPLIANCEL7 : out std_logic;
           PIPERXPOLARITYL7 : out std_logic;
           PIPEPOWERDOWNL7_0 : out std_logic;
           PIPEPOWERDOWNL7_1 : out std_logic;
           PIPEDESKEWLANESL7 : out std_logic;
           PIPERESETL7 : out std_logic;
           MIMRXBWDATA_0 : out std_logic;
           MIMRXBWDATA_1 : out std_logic;
           MIMRXBWDATA_2 : out std_logic;
           MIMRXBWDATA_3 : out std_logic;
           MIMRXBWDATA_4 : out std_logic;
           MIMRXBWDATA_5 : out std_logic;
           MIMRXBWDATA_6 : out std_logic;
           MIMRXBWDATA_7 : out std_logic;
           MIMRXBWDATA_8 : out std_logic;
           MIMRXBWDATA_9 : out std_logic;
           MIMRXBWDATA_10 : out std_logic;
           MIMRXBWDATA_11 : out std_logic;
           MIMRXBWDATA_12 : out std_logic;
           MIMRXBWDATA_13 : out std_logic;
           MIMRXBWDATA_14 : out std_logic;
           MIMRXBWDATA_15 : out std_logic;
           MIMRXBWDATA_16 : out std_logic;
           MIMRXBWDATA_17 : out std_logic;
           MIMRXBWDATA_18 : out std_logic;
           MIMRXBWDATA_19 : out std_logic;
           MIMRXBWDATA_20 : out std_logic;
           MIMRXBWDATA_21 : out std_logic;
           MIMRXBWDATA_22 : out std_logic;
           MIMRXBWDATA_23 : out std_logic;
           MIMRXBWDATA_24 : out std_logic;
           MIMRXBWDATA_25 : out std_logic;
           MIMRXBWDATA_26 : out std_logic;
           MIMRXBWDATA_27 : out std_logic;
           MIMRXBWDATA_28 : out std_logic;
           MIMRXBWDATA_29 : out std_logic;
           MIMRXBWDATA_30 : out std_logic;
           MIMRXBWDATA_31 : out std_logic;
           MIMRXBWDATA_32 : out std_logic;
           MIMRXBWDATA_33 : out std_logic;
           MIMRXBWDATA_34 : out std_logic;
           MIMRXBWDATA_35 : out std_logic;
           MIMRXBWDATA_36 : out std_logic;
           MIMRXBWDATA_37 : out std_logic;
           MIMRXBWDATA_38 : out std_logic;
           MIMRXBWDATA_39 : out std_logic;
           MIMRXBWDATA_40 : out std_logic;
           MIMRXBWDATA_41 : out std_logic;
           MIMRXBWDATA_42 : out std_logic;
           MIMRXBWDATA_43 : out std_logic;
           MIMRXBWDATA_44 : out std_logic;
           MIMRXBWDATA_45 : out std_logic;
           MIMRXBWDATA_46 : out std_logic;
           MIMRXBWDATA_47 : out std_logic;
           MIMRXBWDATA_48 : out std_logic;
           MIMRXBWDATA_49 : out std_logic;
           MIMRXBWDATA_50 : out std_logic;
           MIMRXBWDATA_51 : out std_logic;
           MIMRXBWDATA_52 : out std_logic;
           MIMRXBWDATA_53 : out std_logic;
           MIMRXBWDATA_54 : out std_logic;
           MIMRXBWDATA_55 : out std_logic;
           MIMRXBWDATA_56 : out std_logic;
           MIMRXBWDATA_57 : out std_logic;
           MIMRXBWDATA_58 : out std_logic;
           MIMRXBWDATA_59 : out std_logic;
           MIMRXBWDATA_60 : out std_logic;
           MIMRXBWDATA_61 : out std_logic;
           MIMRXBWDATA_62 : out std_logic;
           MIMRXBWDATA_63 : out std_logic;
           MIMRXBWADD_0 : out std_logic;
           MIMRXBWADD_1 : out std_logic;
           MIMRXBWADD_2 : out std_logic;
           MIMRXBWADD_3 : out std_logic;
           MIMRXBWADD_4 : out std_logic;
           MIMRXBWADD_5 : out std_logic;
           MIMRXBWADD_6 : out std_logic;
           MIMRXBWADD_7 : out std_logic;
           MIMRXBWADD_8 : out std_logic;
           MIMRXBWADD_9 : out std_logic;
           MIMRXBWADD_10 : out std_logic;
           MIMRXBWADD_11 : out std_logic;
           MIMRXBWADD_12 : out std_logic;
           MIMRXBRADD_0 : out std_logic;
           MIMRXBRADD_1 : out std_logic;
           MIMRXBRADD_2 : out std_logic;
           MIMRXBRADD_3 : out std_logic;
           MIMRXBRADD_4 : out std_logic;
           MIMRXBRADD_5 : out std_logic;
           MIMRXBRADD_6 : out std_logic;
           MIMRXBRADD_7 : out std_logic;
           MIMRXBRADD_8 : out std_logic;
           MIMRXBRADD_9 : out std_logic;
           MIMRXBRADD_10 : out std_logic;
           MIMRXBRADD_11 : out std_logic;
           MIMRXBRADD_12 : out std_logic;
           MIMRXBWEN : out std_logic;
           MIMRXBREN : out std_logic;
           MIMTXBWDATA_0 : out std_logic;
           MIMTXBWDATA_1 : out std_logic;
           MIMTXBWDATA_2 : out std_logic;
           MIMTXBWDATA_3 : out std_logic;
           MIMTXBWDATA_4 : out std_logic;
           MIMTXBWDATA_5 : out std_logic;
           MIMTXBWDATA_6 : out std_logic;
           MIMTXBWDATA_7 : out std_logic;
           MIMTXBWDATA_8 : out std_logic;
           MIMTXBWDATA_9 : out std_logic;
           MIMTXBWDATA_10 : out std_logic;
           MIMTXBWDATA_11 : out std_logic;
           MIMTXBWDATA_12 : out std_logic;
           MIMTXBWDATA_13 : out std_logic;
           MIMTXBWDATA_14 : out std_logic;
           MIMTXBWDATA_15 : out std_logic;
           MIMTXBWDATA_16 : out std_logic;
           MIMTXBWDATA_17 : out std_logic;
           MIMTXBWDATA_18 : out std_logic;
           MIMTXBWDATA_19 : out std_logic;
           MIMTXBWDATA_20 : out std_logic;
           MIMTXBWDATA_21 : out std_logic;
           MIMTXBWDATA_22 : out std_logic;
           MIMTXBWDATA_23 : out std_logic;
           MIMTXBWDATA_24 : out std_logic;
           MIMTXBWDATA_25 : out std_logic;
           MIMTXBWDATA_26 : out std_logic;
           MIMTXBWDATA_27 : out std_logic;
           MIMTXBWDATA_28 : out std_logic;
           MIMTXBWDATA_29 : out std_logic;
           MIMTXBWDATA_30 : out std_logic;
           MIMTXBWDATA_31 : out std_logic;
           MIMTXBWDATA_32 : out std_logic;
           MIMTXBWDATA_33 : out std_logic;
           MIMTXBWDATA_34 : out std_logic;
           MIMTXBWDATA_35 : out std_logic;
           MIMTXBWDATA_36 : out std_logic;
           MIMTXBWDATA_37 : out std_logic;
           MIMTXBWDATA_38 : out std_logic;
           MIMTXBWDATA_39 : out std_logic;
           MIMTXBWDATA_40 : out std_logic;
           MIMTXBWDATA_41 : out std_logic;
           MIMTXBWDATA_42 : out std_logic;
           MIMTXBWDATA_43 : out std_logic;
           MIMTXBWDATA_44 : out std_logic;
           MIMTXBWDATA_45 : out std_logic;
           MIMTXBWDATA_46 : out std_logic;
           MIMTXBWDATA_47 : out std_logic;
           MIMTXBWDATA_48 : out std_logic;
           MIMTXBWDATA_49 : out std_logic;
           MIMTXBWDATA_50 : out std_logic;
           MIMTXBWDATA_51 : out std_logic;
           MIMTXBWDATA_52 : out std_logic;
           MIMTXBWDATA_53 : out std_logic;
           MIMTXBWDATA_54 : out std_logic;
           MIMTXBWDATA_55 : out std_logic;
           MIMTXBWDATA_56 : out std_logic;
           MIMTXBWDATA_57 : out std_logic;
           MIMTXBWDATA_58 : out std_logic;
           MIMTXBWDATA_59 : out std_logic;
           MIMTXBWDATA_60 : out std_logic;
           MIMTXBWDATA_61 : out std_logic;
           MIMTXBWDATA_62 : out std_logic;
           MIMTXBWDATA_63 : out std_logic;
           MIMTXBWADD_0 : out std_logic;
           MIMTXBWADD_1 : out std_logic;
           MIMTXBWADD_2 : out std_logic;
           MIMTXBWADD_3 : out std_logic;
           MIMTXBWADD_4 : out std_logic;
           MIMTXBWADD_5 : out std_logic;
           MIMTXBWADD_6 : out std_logic;
           MIMTXBWADD_7 : out std_logic;
           MIMTXBWADD_8 : out std_logic;
           MIMTXBWADD_9 : out std_logic;
           MIMTXBWADD_10 : out std_logic;
           MIMTXBWADD_11 : out std_logic;
           MIMTXBWADD_12 : out std_logic;
           MIMTXBRADD_0 : out std_logic;
           MIMTXBRADD_1 : out std_logic;
           MIMTXBRADD_2 : out std_logic;
           MIMTXBRADD_3 : out std_logic;
           MIMTXBRADD_4 : out std_logic;
           MIMTXBRADD_5 : out std_logic;
           MIMTXBRADD_6 : out std_logic;
           MIMTXBRADD_7 : out std_logic;
           MIMTXBRADD_8 : out std_logic;
           MIMTXBRADD_9 : out std_logic;
           MIMTXBRADD_10 : out std_logic;
           MIMTXBRADD_11 : out std_logic;
           MIMTXBRADD_12 : out std_logic;
           MIMTXBWEN : out std_logic;
           MIMTXBREN : out std_logic;
           MIMDLLBWDATA_0 : out std_logic;
           MIMDLLBWDATA_1 : out std_logic;
           MIMDLLBWDATA_2 : out std_logic;
           MIMDLLBWDATA_3 : out std_logic;
           MIMDLLBWDATA_4 : out std_logic;
           MIMDLLBWDATA_5 : out std_logic;
           MIMDLLBWDATA_6 : out std_logic;
           MIMDLLBWDATA_7 : out std_logic;
           MIMDLLBWDATA_8 : out std_logic;
           MIMDLLBWDATA_9 : out std_logic;
           MIMDLLBWDATA_10 : out std_logic;
           MIMDLLBWDATA_11 : out std_logic;
           MIMDLLBWDATA_12 : out std_logic;
           MIMDLLBWDATA_13 : out std_logic;
           MIMDLLBWDATA_14 : out std_logic;
           MIMDLLBWDATA_15 : out std_logic;
           MIMDLLBWDATA_16 : out std_logic;
           MIMDLLBWDATA_17 : out std_logic;
           MIMDLLBWDATA_18 : out std_logic;
           MIMDLLBWDATA_19 : out std_logic;
           MIMDLLBWDATA_20 : out std_logic;
           MIMDLLBWDATA_21 : out std_logic;
           MIMDLLBWDATA_22 : out std_logic;
           MIMDLLBWDATA_23 : out std_logic;
           MIMDLLBWDATA_24 : out std_logic;
           MIMDLLBWDATA_25 : out std_logic;
           MIMDLLBWDATA_26 : out std_logic;
           MIMDLLBWDATA_27 : out std_logic;
           MIMDLLBWDATA_28 : out std_logic;
           MIMDLLBWDATA_29 : out std_logic;
           MIMDLLBWDATA_30 : out std_logic;
           MIMDLLBWDATA_31 : out std_logic;
           MIMDLLBWDATA_32 : out std_logic;
           MIMDLLBWDATA_33 : out std_logic;
           MIMDLLBWDATA_34 : out std_logic;
           MIMDLLBWDATA_35 : out std_logic;
           MIMDLLBWDATA_36 : out std_logic;
           MIMDLLBWDATA_37 : out std_logic;
           MIMDLLBWDATA_38 : out std_logic;
           MIMDLLBWDATA_39 : out std_logic;
           MIMDLLBWDATA_40 : out std_logic;
           MIMDLLBWDATA_41 : out std_logic;
           MIMDLLBWDATA_42 : out std_logic;
           MIMDLLBWDATA_43 : out std_logic;
           MIMDLLBWDATA_44 : out std_logic;
           MIMDLLBWDATA_45 : out std_logic;
           MIMDLLBWDATA_46 : out std_logic;
           MIMDLLBWDATA_47 : out std_logic;
           MIMDLLBWDATA_48 : out std_logic;
           MIMDLLBWDATA_49 : out std_logic;
           MIMDLLBWDATA_50 : out std_logic;
           MIMDLLBWDATA_51 : out std_logic;
           MIMDLLBWDATA_52 : out std_logic;
           MIMDLLBWDATA_53 : out std_logic;
           MIMDLLBWDATA_54 : out std_logic;
           MIMDLLBWDATA_55 : out std_logic;
           MIMDLLBWDATA_56 : out std_logic;
           MIMDLLBWDATA_57 : out std_logic;
           MIMDLLBWDATA_58 : out std_logic;
           MIMDLLBWDATA_59 : out std_logic;
           MIMDLLBWDATA_60 : out std_logic;
           MIMDLLBWDATA_61 : out std_logic;
           MIMDLLBWDATA_62 : out std_logic;
           MIMDLLBWDATA_63 : out std_logic;
           MIMDLLBWADD_0 : out std_logic;
           MIMDLLBWADD_1 : out std_logic;
           MIMDLLBWADD_2 : out std_logic;
           MIMDLLBWADD_3 : out std_logic;
           MIMDLLBWADD_4 : out std_logic;
           MIMDLLBWADD_5 : out std_logic;
           MIMDLLBWADD_6 : out std_logic;
           MIMDLLBWADD_7 : out std_logic;
           MIMDLLBWADD_8 : out std_logic;
           MIMDLLBWADD_9 : out std_logic;
           MIMDLLBWADD_10 : out std_logic;
           MIMDLLBWADD_11 : out std_logic;
           MIMDLLBRADD_0 : out std_logic;
           MIMDLLBRADD_1 : out std_logic;
           MIMDLLBRADD_2 : out std_logic;
           MIMDLLBRADD_3 : out std_logic;
           MIMDLLBRADD_4 : out std_logic;
           MIMDLLBRADD_5 : out std_logic;
           MIMDLLBRADD_6 : out std_logic;
           MIMDLLBRADD_7 : out std_logic;
           MIMDLLBRADD_8 : out std_logic;
           MIMDLLBRADD_9 : out std_logic;
           MIMDLLBRADD_10 : out std_logic;
           MIMDLLBRADD_11 : out std_logic;
           MIMDLLBWEN : out std_logic;
           MIMDLLBREN : out std_logic;
           CRMRXHOTRESETN : out std_logic;
           CRMDOHOTRESETN : out std_logic;
           CRMPWRSOFTRESETN : out std_logic;
           LLKTCSTATUS_0 : out std_logic;
           LLKTCSTATUS_1 : out std_logic;
           LLKTCSTATUS_2 : out std_logic;
           LLKTCSTATUS_3 : out std_logic;
           LLKTCSTATUS_4 : out std_logic;
           LLKTCSTATUS_5 : out std_logic;
           LLKTCSTATUS_6 : out std_logic;
           LLKTCSTATUS_7 : out std_logic;
           LLKTXDSTRDYN : out std_logic;
           LLKTXCHANSPACE_0 : out std_logic;
           LLKTXCHANSPACE_1 : out std_logic;
           LLKTXCHANSPACE_2 : out std_logic;
           LLKTXCHANSPACE_3 : out std_logic;
           LLKTXCHANSPACE_4 : out std_logic;
           LLKTXCHANSPACE_5 : out std_logic;
           LLKTXCHANSPACE_6 : out std_logic;
           LLKTXCHANSPACE_7 : out std_logic;
           LLKTXCHANSPACE_8 : out std_logic;
           LLKTXCHANSPACE_9 : out std_logic;
           LLKTXCHPOSTEDREADYN_0 : out std_logic;
           LLKTXCHPOSTEDREADYN_1 : out std_logic;
           LLKTXCHPOSTEDREADYN_2 : out std_logic;
           LLKTXCHPOSTEDREADYN_3 : out std_logic;
           LLKTXCHPOSTEDREADYN_4 : out std_logic;
           LLKTXCHPOSTEDREADYN_5 : out std_logic;
           LLKTXCHPOSTEDREADYN_6 : out std_logic;
           LLKTXCHPOSTEDREADYN_7 : out std_logic;
           LLKTXCHNONPOSTEDREADYN_0 : out std_logic;
           LLKTXCHNONPOSTEDREADYN_1 : out std_logic;
           LLKTXCHNONPOSTEDREADYN_2 : out std_logic;
           LLKTXCHNONPOSTEDREADYN_3 : out std_logic;
           LLKTXCHNONPOSTEDREADYN_4 : out std_logic;
           LLKTXCHNONPOSTEDREADYN_5 : out std_logic;
           LLKTXCHNONPOSTEDREADYN_6 : out std_logic;
           LLKTXCHNONPOSTEDREADYN_7 : out std_logic;
           LLKTXCHCOMPLETIONREADYN_0 : out std_logic;
           LLKTXCHCOMPLETIONREADYN_1 : out std_logic;
           LLKTXCHCOMPLETIONREADYN_2 : out std_logic;
           LLKTXCHCOMPLETIONREADYN_3 : out std_logic;
           LLKTXCHCOMPLETIONREADYN_4 : out std_logic;
           LLKTXCHCOMPLETIONREADYN_5 : out std_logic;
           LLKTXCHCOMPLETIONREADYN_6 : out std_logic;
           LLKTXCHCOMPLETIONREADYN_7 : out std_logic;
           LLKTXCONFIGREADYN : out std_logic;
           LLKRXDATA_0 : out std_logic;
           LLKRXDATA_1 : out std_logic;
           LLKRXDATA_2 : out std_logic;
           LLKRXDATA_3 : out std_logic;
           LLKRXDATA_4 : out std_logic;
           LLKRXDATA_5 : out std_logic;
           LLKRXDATA_6 : out std_logic;
           LLKRXDATA_7 : out std_logic;
           LLKRXDATA_8 : out std_logic;
           LLKRXDATA_9 : out std_logic;
           LLKRXDATA_10 : out std_logic;
           LLKRXDATA_11 : out std_logic;
           LLKRXDATA_12 : out std_logic;
           LLKRXDATA_13 : out std_logic;
           LLKRXDATA_14 : out std_logic;
           LLKRXDATA_15 : out std_logic;
           LLKRXDATA_16 : out std_logic;
           LLKRXDATA_17 : out std_logic;
           LLKRXDATA_18 : out std_logic;
           LLKRXDATA_19 : out std_logic;
           LLKRXDATA_20 : out std_logic;
           LLKRXDATA_21 : out std_logic;
           LLKRXDATA_22 : out std_logic;
           LLKRXDATA_23 : out std_logic;
           LLKRXDATA_24 : out std_logic;
           LLKRXDATA_25 : out std_logic;
           LLKRXDATA_26 : out std_logic;
           LLKRXDATA_27 : out std_logic;
           LLKRXDATA_28 : out std_logic;
           LLKRXDATA_29 : out std_logic;
           LLKRXDATA_30 : out std_logic;
           LLKRXDATA_31 : out std_logic;
           LLKRXDATA_32 : out std_logic;
           LLKRXDATA_33 : out std_logic;
           LLKRXDATA_34 : out std_logic;
           LLKRXDATA_35 : out std_logic;
           LLKRXDATA_36 : out std_logic;
           LLKRXDATA_37 : out std_logic;
           LLKRXDATA_38 : out std_logic;
           LLKRXDATA_39 : out std_logic;
           LLKRXDATA_40 : out std_logic;
           LLKRXDATA_41 : out std_logic;
           LLKRXDATA_42 : out std_logic;
           LLKRXDATA_43 : out std_logic;
           LLKRXDATA_44 : out std_logic;
           LLKRXDATA_45 : out std_logic;
           LLKRXDATA_46 : out std_logic;
           LLKRXDATA_47 : out std_logic;
           LLKRXDATA_48 : out std_logic;
           LLKRXDATA_49 : out std_logic;
           LLKRXDATA_50 : out std_logic;
           LLKRXDATA_51 : out std_logic;
           LLKRXDATA_52 : out std_logic;
           LLKRXDATA_53 : out std_logic;
           LLKRXDATA_54 : out std_logic;
           LLKRXDATA_55 : out std_logic;
           LLKRXDATA_56 : out std_logic;
           LLKRXDATA_57 : out std_logic;
           LLKRXDATA_58 : out std_logic;
           LLKRXDATA_59 : out std_logic;
           LLKRXDATA_60 : out std_logic;
           LLKRXDATA_61 : out std_logic;
           LLKRXDATA_62 : out std_logic;
           LLKRXDATA_63 : out std_logic;
           LLKRXSRCRDYN : out std_logic;
           LLKRXSRCLASTREQN : out std_logic;
           LLKRXSRCDSCN : out std_logic;
           LLKRXSOFN : out std_logic;
           LLKRXEOFN : out std_logic;
           LLKRXSOPN : out std_logic;
           LLKRXEOPN : out std_logic;
           LLKRXVALIDN_0 : out std_logic;
           LLKRXVALIDN_1 : out std_logic;
           LLKRXPREFERREDTYPE_0 : out std_logic;
           LLKRXPREFERREDTYPE_1 : out std_logic;
           LLKRXPREFERREDTYPE_2 : out std_logic;
           LLKRXPREFERREDTYPE_3 : out std_logic;
           LLKRXPREFERREDTYPE_4 : out std_logic;
           LLKRXPREFERREDTYPE_5 : out std_logic;
           LLKRXPREFERREDTYPE_6 : out std_logic;
           LLKRXPREFERREDTYPE_7 : out std_logic;
           LLKRXPREFERREDTYPE_8 : out std_logic;
           LLKRXPREFERREDTYPE_9 : out std_logic;
           LLKRXPREFERREDTYPE_10 : out std_logic;
           LLKRXPREFERREDTYPE_11 : out std_logic;
           LLKRXPREFERREDTYPE_12 : out std_logic;
           LLKRXPREFERREDTYPE_13 : out std_logic;
           LLKRXPREFERREDTYPE_14 : out std_logic;
           LLKRXPREFERREDTYPE_15 : out std_logic;
           LLKRXCHPOSTEDAVAILABLEN_0 : out std_logic;
           LLKRXCHPOSTEDAVAILABLEN_1 : out std_logic;
           LLKRXCHPOSTEDAVAILABLEN_2 : out std_logic;
           LLKRXCHPOSTEDAVAILABLEN_3 : out std_logic;
           LLKRXCHPOSTEDAVAILABLEN_4 : out std_logic;
           LLKRXCHPOSTEDAVAILABLEN_5 : out std_logic;
           LLKRXCHPOSTEDAVAILABLEN_6 : out std_logic;
           LLKRXCHPOSTEDAVAILABLEN_7 : out std_logic;
           LLKRXCHNONPOSTEDAVAILABLEN_0 : out std_logic;
           LLKRXCHNONPOSTEDAVAILABLEN_1 : out std_logic;
           LLKRXCHNONPOSTEDAVAILABLEN_2 : out std_logic;
           LLKRXCHNONPOSTEDAVAILABLEN_3 : out std_logic;
           LLKRXCHNONPOSTEDAVAILABLEN_4 : out std_logic;
           LLKRXCHNONPOSTEDAVAILABLEN_5 : out std_logic;
           LLKRXCHNONPOSTEDAVAILABLEN_6 : out std_logic;
           LLKRXCHNONPOSTEDAVAILABLEN_7 : out std_logic;
           LLKRXCHCOMPLETIONAVAILABLEN_0 : out std_logic;
           LLKRXCHCOMPLETIONAVAILABLEN_1 : out std_logic;
           LLKRXCHCOMPLETIONAVAILABLEN_2 : out std_logic;
           LLKRXCHCOMPLETIONAVAILABLEN_3 : out std_logic;
           LLKRXCHCOMPLETIONAVAILABLEN_4 : out std_logic;
           LLKRXCHCOMPLETIONAVAILABLEN_5 : out std_logic;
           LLKRXCHCOMPLETIONAVAILABLEN_6 : out std_logic;
           LLKRXCHCOMPLETIONAVAILABLEN_7 : out std_logic;
           LLKRXCHCONFIGAVAILABLEN : out std_logic;
           LLKRXCHPOSTEDPARTIALN_0 : out std_logic;
           LLKRXCHPOSTEDPARTIALN_1 : out std_logic;
           LLKRXCHPOSTEDPARTIALN_2 : out std_logic;
           LLKRXCHPOSTEDPARTIALN_3 : out std_logic;
           LLKRXCHPOSTEDPARTIALN_4 : out std_logic;
           LLKRXCHPOSTEDPARTIALN_5 : out std_logic;
           LLKRXCHPOSTEDPARTIALN_6 : out std_logic;
           LLKRXCHPOSTEDPARTIALN_7 : out std_logic;
           LLKRXCHNONPOSTEDPARTIALN_0 : out std_logic;
           LLKRXCHNONPOSTEDPARTIALN_1 : out std_logic;
           LLKRXCHNONPOSTEDPARTIALN_2 : out std_logic;
           LLKRXCHNONPOSTEDPARTIALN_3 : out std_logic;
           LLKRXCHNONPOSTEDPARTIALN_4 : out std_logic;
           LLKRXCHNONPOSTEDPARTIALN_5 : out std_logic;
           LLKRXCHNONPOSTEDPARTIALN_6 : out std_logic;
           LLKRXCHNONPOSTEDPARTIALN_7 : out std_logic;
           LLKRXCHCOMPLETIONPARTIALN_0 : out std_logic;
           LLKRXCHCOMPLETIONPARTIALN_1 : out std_logic;
           LLKRXCHCOMPLETIONPARTIALN_2 : out std_logic;
           LLKRXCHCOMPLETIONPARTIALN_3 : out std_logic;
           LLKRXCHCOMPLETIONPARTIALN_4 : out std_logic;
           LLKRXCHCOMPLETIONPARTIALN_5 : out std_logic;
           LLKRXCHCOMPLETIONPARTIALN_6 : out std_logic;
           LLKRXCHCOMPLETIONPARTIALN_7 : out std_logic;
           LLKRXCHCONFIGPARTIALN : out std_logic;
           LLKRX4DWHEADERN : out std_logic;
           LLKRXECRCBADN : out std_logic;
           MGMTRDATA_0 : out std_logic;
           MGMTRDATA_1 : out std_logic;
           MGMTRDATA_2 : out std_logic;
           MGMTRDATA_3 : out std_logic;
           MGMTRDATA_4 : out std_logic;
           MGMTRDATA_5 : out std_logic;
           MGMTRDATA_6 : out std_logic;
           MGMTRDATA_7 : out std_logic;
           MGMTRDATA_8 : out std_logic;
           MGMTRDATA_9 : out std_logic;
           MGMTRDATA_10 : out std_logic;
           MGMTRDATA_11 : out std_logic;
           MGMTRDATA_12 : out std_logic;
           MGMTRDATA_13 : out std_logic;
           MGMTRDATA_14 : out std_logic;
           MGMTRDATA_15 : out std_logic;
           MGMTRDATA_16 : out std_logic;
           MGMTRDATA_17 : out std_logic;
           MGMTRDATA_18 : out std_logic;
           MGMTRDATA_19 : out std_logic;
           MGMTRDATA_20 : out std_logic;
           MGMTRDATA_21 : out std_logic;
           MGMTRDATA_22 : out std_logic;
           MGMTRDATA_23 : out std_logic;
           MGMTRDATA_24 : out std_logic;
           MGMTRDATA_25 : out std_logic;
           MGMTRDATA_26 : out std_logic;
           MGMTRDATA_27 : out std_logic;
           MGMTRDATA_28 : out std_logic;
           MGMTRDATA_29 : out std_logic;
           MGMTRDATA_30 : out std_logic;
           MGMTRDATA_31 : out std_logic;
           MGMTPSO_0 : out std_logic;
           MGMTPSO_1 : out std_logic;
           MGMTPSO_2 : out std_logic;
           MGMTPSO_3 : out std_logic;
           MGMTPSO_4 : out std_logic;
           MGMTPSO_5 : out std_logic;
           MGMTPSO_6 : out std_logic;
           MGMTPSO_7 : out std_logic;
           MGMTPSO_8 : out std_logic;
           MGMTPSO_9 : out std_logic;
           MGMTPSO_10 : out std_logic;
           MGMTPSO_11 : out std_logic;
           MGMTPSO_12 : out std_logic;
           MGMTPSO_13 : out std_logic;
           MGMTPSO_14 : out std_logic;
           MGMTPSO_15 : out std_logic;
           MGMTPSO_16 : out std_logic;
           MGMTSTATSCREDIT_0 : out std_logic;
           MGMTSTATSCREDIT_1 : out std_logic;
           MGMTSTATSCREDIT_2 : out std_logic;
           MGMTSTATSCREDIT_3 : out std_logic;
           MGMTSTATSCREDIT_4 : out std_logic;
           MGMTSTATSCREDIT_5 : out std_logic;
           MGMTSTATSCREDIT_6 : out std_logic;
           MGMTSTATSCREDIT_7 : out std_logic;
           MGMTSTATSCREDIT_8 : out std_logic;
           MGMTSTATSCREDIT_9 : out std_logic;
           MGMTSTATSCREDIT_10 : out std_logic;
           MGMTSTATSCREDIT_11 : out std_logic;
           L0RXDLLTLPECRCOK : out std_logic;
           DLLTXPMDLLPOUTSTANDING : out std_logic;
           L0FIRSTCFGWRITEOCCURRED : out std_logic;
           L0CFGLOOPBACKACK : out std_logic;
           L0MACUPSTREAMDOWNSTREAM : out std_logic;
           L0RXMACLINKERROR_0 : out std_logic;
           L0RXMACLINKERROR_1 : out std_logic;
           L0MACLINKUP : out std_logic;
           L0MACNEGOTIATEDLINKWIDTH_0 : out std_logic;
           L0MACNEGOTIATEDLINKWIDTH_1 : out std_logic;
           L0MACNEGOTIATEDLINKWIDTH_2 : out std_logic;
           L0MACNEGOTIATEDLINKWIDTH_3 : out std_logic;
           L0MACLINKTRAINING : out std_logic;
           L0LTSSMSTATE_0 : out std_logic;
           L0LTSSMSTATE_1 : out std_logic;
           L0LTSSMSTATE_2 : out std_logic;
           L0LTSSMSTATE_3 : out std_logic;
           L0DLLVCSTATUS_0 : out std_logic;
           L0DLLVCSTATUS_1 : out std_logic;
           L0DLLVCSTATUS_2 : out std_logic;
           L0DLLVCSTATUS_3 : out std_logic;
           L0DLLVCSTATUS_4 : out std_logic;
           L0DLLVCSTATUS_5 : out std_logic;
           L0DLLVCSTATUS_6 : out std_logic;
           L0DLLVCSTATUS_7 : out std_logic;
           L0DLUPDOWN_0 : out std_logic;
           L0DLUPDOWN_1 : out std_logic;
           L0DLUPDOWN_2 : out std_logic;
           L0DLUPDOWN_3 : out std_logic;
           L0DLUPDOWN_4 : out std_logic;
           L0DLUPDOWN_5 : out std_logic;
           L0DLUPDOWN_6 : out std_logic;
           L0DLUPDOWN_7 : out std_logic;
           L0DLLERRORVECTOR_0 : out std_logic;
           L0DLLERRORVECTOR_1 : out std_logic;
           L0DLLERRORVECTOR_2 : out std_logic;
           L0DLLERRORVECTOR_3 : out std_logic;
           L0DLLERRORVECTOR_4 : out std_logic;
           L0DLLERRORVECTOR_5 : out std_logic;
           L0DLLERRORVECTOR_6 : out std_logic;
           L0DLLASRXSTATE_0 : out std_logic;
           L0DLLASRXSTATE_1 : out std_logic;
           L0DLLASTXSTATE : out std_logic;
           L0ASAUTONOMOUSINITCOMPLETED : out std_logic;
           L0COMPLETERID_0 : out std_logic;
           L0COMPLETERID_1 : out std_logic;
           L0COMPLETERID_2 : out std_logic;
           L0COMPLETERID_3 : out std_logic;
           L0COMPLETERID_4 : out std_logic;
           L0COMPLETERID_5 : out std_logic;
           L0COMPLETERID_6 : out std_logic;
           L0COMPLETERID_7 : out std_logic;
           L0COMPLETERID_8 : out std_logic;
           L0COMPLETERID_9 : out std_logic;
           L0COMPLETERID_10 : out std_logic;
           L0COMPLETERID_11 : out std_logic;
           L0COMPLETERID_12 : out std_logic;
           L0UNLOCKRECEIVED : out std_logic;
           L0CORRERRMSGRCVD : out std_logic;
           L0FATALERRMSGRCVD : out std_logic;
           L0NONFATALERRMSGRCVD : out std_logic;
           L0ERRMSGREQID_0 : out std_logic;
           L0ERRMSGREQID_1 : out std_logic;
           L0ERRMSGREQID_2 : out std_logic;
           L0ERRMSGREQID_3 : out std_logic;
           L0ERRMSGREQID_4 : out std_logic;
           L0ERRMSGREQID_5 : out std_logic;
           L0ERRMSGREQID_6 : out std_logic;
           L0ERRMSGREQID_7 : out std_logic;
           L0ERRMSGREQID_8 : out std_logic;
           L0ERRMSGREQID_9 : out std_logic;
           L0ERRMSGREQID_10 : out std_logic;
           L0ERRMSGREQID_11 : out std_logic;
           L0ERRMSGREQID_12 : out std_logic;
           L0ERRMSGREQID_13 : out std_logic;
           L0ERRMSGREQID_14 : out std_logic;
           L0ERRMSGREQID_15 : out std_logic;
           L0FWDCORRERROUT : out std_logic;
           L0FWDFATALERROUT : out std_logic;
           L0FWDNONFATALERROUT : out std_logic;
           L0RECEIVEDASSERTINTALEGACYINT : out std_logic;
           L0RECEIVEDASSERTINTBLEGACYINT : out std_logic;
           L0RECEIVEDASSERTINTCLEGACYINT : out std_logic;
           L0RECEIVEDASSERTINTDLEGACYINT : out std_logic;
           L0RECEIVEDDEASSERTINTALEGACYINT : out std_logic;
           L0RECEIVEDDEASSERTINTBLEGACYINT : out std_logic;
           L0RECEIVEDDEASSERTINTCLEGACYINT : out std_logic;
           L0RECEIVEDDEASSERTINTDLEGACYINT : out std_logic;
           L0MSIENABLE0 : out std_logic;
           L0MULTIMSGEN0_0 : out std_logic;
           L0MULTIMSGEN0_1 : out std_logic;
           L0MULTIMSGEN0_2 : out std_logic;
           L0STATSDLLPRECEIVED : out std_logic;
           L0STATSDLLPTRANSMITTED : out std_logic;
           L0STATSOSRECEIVED : out std_logic;
           L0STATSOSTRANSMITTED : out std_logic;
           L0STATSTLPRECEIVED : out std_logic;
           L0STATSTLPTRANSMITTED : out std_logic;
           L0STATSCFGRECEIVED : out std_logic;
           L0STATSCFGTRANSMITTED : out std_logic;
           L0STATSCFGOTHERRECEIVED : out std_logic;
           L0STATSCFGOTHERTRANSMITTED : out std_logic;
           MAXPAYLOADSIZE_0 : out std_logic;
           MAXPAYLOADSIZE_1 : out std_logic;
           MAXPAYLOADSIZE_2 : out std_logic;
           MAXREADREQUESTSIZE_0 : out std_logic;
           MAXREADREQUESTSIZE_1 : out std_logic;
           MAXREADREQUESTSIZE_2 : out std_logic;
           IOSPACEENABLE : out std_logic;
           MEMSPACEENABLE : out std_logic;
           L0ATTENTIONINDICATORCONTROL_0 : out std_logic;
           L0ATTENTIONINDICATORCONTROL_1 : out std_logic;
           L0POWERINDICATORCONTROL_0 : out std_logic;
           L0POWERINDICATORCONTROL_1 : out std_logic;
           L0POWERCONTROLLERCONTROL : out std_logic;
           L0TOGGLEELECTROMECHANICALINTERLOCK : out std_logic;
           L0RXBEACON : out std_logic;
           L0PWRSTATE0_0 : out std_logic;
           L0PWRSTATE0_1 : out std_logic;
           L0PMEACK : out std_logic;
           L0PMEREQOUT : out std_logic;
           L0PMEEN : out std_logic;
           L0PWRINHIBITTRANSFERS : out std_logic;
           L0PWRL1STATE : out std_logic;
           L0PWRL23READYDEVICE : out std_logic;
           L0PWRL23READYSTATE : out std_logic;
           L0PWRTXL0SSTATE : out std_logic;
           L0PWRTURNOFFREQ : out std_logic;
           L0RXDLLPM : out std_logic;
           L0RXDLLPMTYPE_0 : out std_logic;
           L0RXDLLPMTYPE_1 : out std_logic;
           L0RXDLLPMTYPE_2 : out std_logic;
           L0TXDLLPMUPDATED : out std_logic;
           L0MACNEWSTATEACK : out std_logic;
           L0MACRXL0SSTATE : out std_logic;
           L0MACENTEREDL0 : out std_logic;
           L0DLLRXACKOUTSTANDING : out std_logic;
           L0DLLTXOUTSTANDING : out std_logic;
           L0DLLTXNONFCOUTSTANDING : out std_logic;
           L0RXDLLTLPEND_0 : out std_logic;
           L0RXDLLTLPEND_1 : out std_logic;
           L0TXDLLSBFCUPDATED : out std_logic;
           L0RXDLLSBFCDATA_0 : out std_logic;
           L0RXDLLSBFCDATA_1 : out std_logic;
           L0RXDLLSBFCDATA_2 : out std_logic;
           L0RXDLLSBFCDATA_3 : out std_logic;
           L0RXDLLSBFCDATA_4 : out std_logic;
           L0RXDLLSBFCDATA_5 : out std_logic;
           L0RXDLLSBFCDATA_6 : out std_logic;
           L0RXDLLSBFCDATA_7 : out std_logic;
           L0RXDLLSBFCDATA_8 : out std_logic;
           L0RXDLLSBFCDATA_9 : out std_logic;
           L0RXDLLSBFCDATA_10 : out std_logic;
           L0RXDLLSBFCDATA_11 : out std_logic;
           L0RXDLLSBFCDATA_12 : out std_logic;
           L0RXDLLSBFCDATA_13 : out std_logic;
           L0RXDLLSBFCDATA_14 : out std_logic;
           L0RXDLLSBFCDATA_15 : out std_logic;
           L0RXDLLSBFCDATA_16 : out std_logic;
           L0RXDLLSBFCDATA_17 : out std_logic;
           L0RXDLLSBFCDATA_18 : out std_logic;
           L0RXDLLSBFCUPDATE : out std_logic;
           L0TXDLLFCNPOSTBYPUPDATED_0 : out std_logic;
           L0TXDLLFCNPOSTBYPUPDATED_1 : out std_logic;
           L0TXDLLFCNPOSTBYPUPDATED_2 : out std_logic;
           L0TXDLLFCNPOSTBYPUPDATED_3 : out std_logic;
           L0TXDLLFCNPOSTBYPUPDATED_4 : out std_logic;
           L0TXDLLFCNPOSTBYPUPDATED_5 : out std_logic;
           L0TXDLLFCNPOSTBYPUPDATED_6 : out std_logic;
           L0TXDLLFCNPOSTBYPUPDATED_7 : out std_logic;
           L0TXDLLFCPOSTORDUPDATED_0 : out std_logic;
           L0TXDLLFCPOSTORDUPDATED_1 : out std_logic;
           L0TXDLLFCPOSTORDUPDATED_2 : out std_logic;
           L0TXDLLFCPOSTORDUPDATED_3 : out std_logic;
           L0TXDLLFCPOSTORDUPDATED_4 : out std_logic;
           L0TXDLLFCPOSTORDUPDATED_5 : out std_logic;
           L0TXDLLFCPOSTORDUPDATED_6 : out std_logic;
           L0TXDLLFCPOSTORDUPDATED_7 : out std_logic;
           L0TXDLLFCCMPLMCUPDATED_0 : out std_logic;
           L0TXDLLFCCMPLMCUPDATED_1 : out std_logic;
           L0TXDLLFCCMPLMCUPDATED_2 : out std_logic;
           L0TXDLLFCCMPLMCUPDATED_3 : out std_logic;
           L0TXDLLFCCMPLMCUPDATED_4 : out std_logic;
           L0TXDLLFCCMPLMCUPDATED_5 : out std_logic;
           L0TXDLLFCCMPLMCUPDATED_6 : out std_logic;
           L0TXDLLFCCMPLMCUPDATED_7 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_0 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_1 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_2 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_3 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_4 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_5 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_6 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_7 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_8 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_9 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_10 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_11 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_12 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_13 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_14 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_15 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_16 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_17 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_18 : out std_logic;
           L0RXDLLFCNPOSTBYPCRED_19 : out std_logic;
           L0RXDLLFCNPOSTBYPUPDATE_0 : out std_logic;
           L0RXDLLFCNPOSTBYPUPDATE_1 : out std_logic;
           L0RXDLLFCNPOSTBYPUPDATE_2 : out std_logic;
           L0RXDLLFCNPOSTBYPUPDATE_3 : out std_logic;
           L0RXDLLFCNPOSTBYPUPDATE_4 : out std_logic;
           L0RXDLLFCNPOSTBYPUPDATE_5 : out std_logic;
           L0RXDLLFCNPOSTBYPUPDATE_6 : out std_logic;
           L0RXDLLFCNPOSTBYPUPDATE_7 : out std_logic;
           L0RXDLLFCPOSTORDCRED_0 : out std_logic;
           L0RXDLLFCPOSTORDCRED_1 : out std_logic;
           L0RXDLLFCPOSTORDCRED_2 : out std_logic;
           L0RXDLLFCPOSTORDCRED_3 : out std_logic;
           L0RXDLLFCPOSTORDCRED_4 : out std_logic;
           L0RXDLLFCPOSTORDCRED_5 : out std_logic;
           L0RXDLLFCPOSTORDCRED_6 : out std_logic;
           L0RXDLLFCPOSTORDCRED_7 : out std_logic;
           L0RXDLLFCPOSTORDCRED_8 : out std_logic;
           L0RXDLLFCPOSTORDCRED_9 : out std_logic;
           L0RXDLLFCPOSTORDCRED_10 : out std_logic;
           L0RXDLLFCPOSTORDCRED_11 : out std_logic;
           L0RXDLLFCPOSTORDCRED_12 : out std_logic;
           L0RXDLLFCPOSTORDCRED_13 : out std_logic;
           L0RXDLLFCPOSTORDCRED_14 : out std_logic;
           L0RXDLLFCPOSTORDCRED_15 : out std_logic;
           L0RXDLLFCPOSTORDCRED_16 : out std_logic;
           L0RXDLLFCPOSTORDCRED_17 : out std_logic;
           L0RXDLLFCPOSTORDCRED_18 : out std_logic;
           L0RXDLLFCPOSTORDCRED_19 : out std_logic;
           L0RXDLLFCPOSTORDCRED_20 : out std_logic;
           L0RXDLLFCPOSTORDCRED_21 : out std_logic;
           L0RXDLLFCPOSTORDCRED_22 : out std_logic;
           L0RXDLLFCPOSTORDCRED_23 : out std_logic;
           L0RXDLLFCPOSTORDUPDATE_0 : out std_logic;
           L0RXDLLFCPOSTORDUPDATE_1 : out std_logic;
           L0RXDLLFCPOSTORDUPDATE_2 : out std_logic;
           L0RXDLLFCPOSTORDUPDATE_3 : out std_logic;
           L0RXDLLFCPOSTORDUPDATE_4 : out std_logic;
           L0RXDLLFCPOSTORDUPDATE_5 : out std_logic;
           L0RXDLLFCPOSTORDUPDATE_6 : out std_logic;
           L0RXDLLFCPOSTORDUPDATE_7 : out std_logic;
           L0RXDLLFCCMPLMCCRED_0 : out std_logic;
           L0RXDLLFCCMPLMCCRED_1 : out std_logic;
           L0RXDLLFCCMPLMCCRED_2 : out std_logic;
           L0RXDLLFCCMPLMCCRED_3 : out std_logic;
           L0RXDLLFCCMPLMCCRED_4 : out std_logic;
           L0RXDLLFCCMPLMCCRED_5 : out std_logic;
           L0RXDLLFCCMPLMCCRED_6 : out std_logic;
           L0RXDLLFCCMPLMCCRED_7 : out std_logic;
           L0RXDLLFCCMPLMCCRED_8 : out std_logic;
           L0RXDLLFCCMPLMCCRED_9 : out std_logic;
           L0RXDLLFCCMPLMCCRED_10 : out std_logic;
           L0RXDLLFCCMPLMCCRED_11 : out std_logic;
           L0RXDLLFCCMPLMCCRED_12 : out std_logic;
           L0RXDLLFCCMPLMCCRED_13 : out std_logic;
           L0RXDLLFCCMPLMCCRED_14 : out std_logic;
           L0RXDLLFCCMPLMCCRED_15 : out std_logic;
           L0RXDLLFCCMPLMCCRED_16 : out std_logic;
           L0RXDLLFCCMPLMCCRED_17 : out std_logic;
           L0RXDLLFCCMPLMCCRED_18 : out std_logic;
           L0RXDLLFCCMPLMCCRED_19 : out std_logic;
           L0RXDLLFCCMPLMCCRED_20 : out std_logic;
           L0RXDLLFCCMPLMCCRED_21 : out std_logic;
           L0RXDLLFCCMPLMCCRED_22 : out std_logic;
           L0RXDLLFCCMPLMCCRED_23 : out std_logic;
           L0RXDLLFCCMPLMCUPDATE_0 : out std_logic;
           L0RXDLLFCCMPLMCUPDATE_1 : out std_logic;
           L0RXDLLFCCMPLMCUPDATE_2 : out std_logic;
           L0RXDLLFCCMPLMCUPDATE_3 : out std_logic;
           L0RXDLLFCCMPLMCUPDATE_4 : out std_logic;
           L0RXDLLFCCMPLMCUPDATE_5 : out std_logic;
           L0RXDLLFCCMPLMCUPDATE_6 : out std_logic;
           L0RXDLLFCCMPLMCUPDATE_7 : out std_logic;
           L0UCBYPFOUND_0 : out std_logic;
           L0UCBYPFOUND_1 : out std_logic;
           L0UCBYPFOUND_2 : out std_logic;
           L0UCBYPFOUND_3 : out std_logic;
           L0UCORDFOUND_0 : out std_logic;
           L0UCORDFOUND_1 : out std_logic;
           L0UCORDFOUND_2 : out std_logic;
           L0UCORDFOUND_3 : out std_logic;
           L0MCFOUND_0 : out std_logic;
           L0MCFOUND_1 : out std_logic;
           L0MCFOUND_2 : out std_logic;
           L0TRANSFORMEDVC_0 : out std_logic;
           L0TRANSFORMEDVC_1 : out std_logic;
           L0TRANSFORMEDVC_2 : out std_logic;
           BUSMASTERENABLE : out std_logic;
           PARITYERRORRESPONSE : out std_logic;
           SERRENABLE : out std_logic;
           INTERRUPTDISABLE : out std_logic;
           URREPORTINGENABLE : out std_logic );
end;

architecture SmartModel of pcie_internal_1_1_swift is
    attribute FOREIGN : STRING;
    attribute FOREIGN of SmartModel : architecture is "sm_init $ALDEC/BIN/swift.dll ; pcie_internal_1_1_swift";
begin
end SmartModel;

--Notice: timing checks disabled with +notimingcheck at compile-time
library ieee;
use ieee.std_logic_1164.all;
entity ppc405_adv_swift is
    generic ( TimingVersion : STRING := "ppc405_adv_swift";
              DelayRange : STRING := "MAX";
              MC_Reference : STRING := "0000" );
    port ( CFG_MCLK : in std_logic;
           BUS_RESET : in std_logic;
           GSR : in std_logic;
           GWE : in std_logic;
           GHIGHB : in std_logic;
           CPMC405CPUCLKEN : in std_logic;
           CPMC405JTAGCLKEN : in std_logic;
           CPMC405TIMERCLKEN : in std_logic;
           C405JTGPGMOUT : out std_logic;
           MCBCPUCLKEN : in std_logic;
           MCBJTAGEN : in std_logic;
           MCBTIMEREN : in std_logic;
           MCPPCRST : in std_logic;
           C405TRCODDEXECUTIONSTATUS_1 : out std_logic;
           C405TRCODDEXECUTIONSTATUS_0 : out std_logic;
           C405TRCEVENEXECUTIONSTATUS_1 : out std_logic;
           C405TRCEVENEXECUTIONSTATUS_0 : out std_logic;
           CPMC405CLOCK : in std_logic;
           CPMC405CORECLKINACTIVE : in std_logic;
           PLBCLK : in std_logic;
           CPMFCMCLK : in std_logic;
           CPMDCRCLK : in std_logic;
           CPMC405SYNCBYPASS : in std_logic;
           CPMC405TIMERTICK : in std_logic;
           C405CPMMSREE : out std_logic;
           C405CPMMSRCE : out std_logic;
           C405CPMTIMERIRQ : out std_logic;
           C405CPMTIMERRESETREQ : out std_logic;
           C405CPMCORESLEEPREQ : out std_logic;
           TIEC405DISOPERANDFWD : in std_logic;
           TIEC405DETERMINISTICMULT : in std_logic;
           TIEC405MMUEN : in std_logic;
           TIEPVRBIT8 : in std_logic;
           TIEPVRBIT9 : in std_logic;
           TIEPVRBIT10 : in std_logic;
           TIEPVRBIT11 : in std_logic;
           TIEPVRBIT28 : in std_logic;
           TIEPVRBIT29 : in std_logic;
           TIEPVRBIT30 : in std_logic;
           TIEPVRBIT31 : in std_logic;
           C405XXXMACHINECHECK : out std_logic;
           DCREMACENABLER : out std_logic;
           DCREMACCLK : out std_logic;
           DCREMACWRITE : out std_logic;
           DCREMACREAD : out std_logic;
           DCREMACDBUS_31 : out std_logic;
           DCREMACDBUS_30 : out std_logic;
           DCREMACDBUS_29 : out std_logic;
           DCREMACDBUS_28 : out std_logic;
           DCREMACDBUS_27 : out std_logic;
           DCREMACDBUS_26 : out std_logic;
           DCREMACDBUS_25 : out std_logic;
           DCREMACDBUS_24 : out std_logic;
           DCREMACDBUS_23 : out std_logic;
           DCREMACDBUS_22 : out std_logic;
           DCREMACDBUS_21 : out std_logic;
           DCREMACDBUS_20 : out std_logic;
           DCREMACDBUS_19 : out std_logic;
           DCREMACDBUS_18 : out std_logic;
           DCREMACDBUS_17 : out std_logic;
           DCREMACDBUS_16 : out std_logic;
           DCREMACDBUS_15 : out std_logic;
           DCREMACDBUS_14 : out std_logic;
           DCREMACDBUS_13 : out std_logic;
           DCREMACDBUS_12 : out std_logic;
           DCREMACDBUS_11 : out std_logic;
           DCREMACDBUS_10 : out std_logic;
           DCREMACDBUS_9 : out std_logic;
           DCREMACDBUS_8 : out std_logic;
           DCREMACDBUS_7 : out std_logic;
           DCREMACDBUS_6 : out std_logic;
           DCREMACDBUS_5 : out std_logic;
           DCREMACDBUS_4 : out std_logic;
           DCREMACDBUS_3 : out std_logic;
           DCREMACDBUS_2 : out std_logic;
           DCREMACDBUS_1 : out std_logic;
           DCREMACDBUS_0 : out std_logic;
           DCREMACABUS_9 : out std_logic;
           DCREMACABUS_8 : out std_logic;
           EMACDCRDBUS_31 : in std_logic;
           EMACDCRDBUS_30 : in std_logic;
           EMACDCRDBUS_29 : in std_logic;
           EMACDCRDBUS_28 : in std_logic;
           EMACDCRDBUS_27 : in std_logic;
           EMACDCRDBUS_26 : in std_logic;
           EMACDCRDBUS_25 : in std_logic;
           EMACDCRDBUS_24 : in std_logic;
           EMACDCRDBUS_23 : in std_logic;
           EMACDCRDBUS_22 : in std_logic;
           EMACDCRDBUS_21 : in std_logic;
           EMACDCRDBUS_20 : in std_logic;
           EMACDCRDBUS_19 : in std_logic;
           EMACDCRDBUS_18 : in std_logic;
           EMACDCRDBUS_17 : in std_logic;
           EMACDCRDBUS_16 : in std_logic;
           EMACDCRDBUS_15 : in std_logic;
           EMACDCRDBUS_14 : in std_logic;
           EMACDCRDBUS_13 : in std_logic;
           EMACDCRDBUS_12 : in std_logic;
           EMACDCRDBUS_11 : in std_logic;
           EMACDCRDBUS_10 : in std_logic;
           EMACDCRDBUS_9 : in std_logic;
           EMACDCRDBUS_8 : in std_logic;
           EMACDCRDBUS_7 : in std_logic;
           EMACDCRDBUS_6 : in std_logic;
           EMACDCRDBUS_5 : in std_logic;
           EMACDCRDBUS_4 : in std_logic;
           EMACDCRDBUS_3 : in std_logic;
           EMACDCRDBUS_2 : in std_logic;
           EMACDCRDBUS_1 : in std_logic;
           EMACDCRDBUS_0 : in std_logic;
           EMACDCRACK : in std_logic;
           C405RSTCHIPRESETREQ : out std_logic;
           C405RSTCORERESETREQ : out std_logic;
           C405RSTSYSRESETREQ : out std_logic;
           RSTC405RESETCHIP : in std_logic;
           RSTC405RESETCORE : in std_logic;
           RSTC405RESETSYS : in std_logic;
           C405PLBICUREQUEST : out std_logic;
           C405PLBICUPRIORITY_1 : out std_logic;
           C405PLBICUPRIORITY_0 : out std_logic;
           C405PLBICUCACHEABLE : out std_logic;
           C405PLBICUABUS_29 : out std_logic;
           C405PLBICUABUS_28 : out std_logic;
           C405PLBICUABUS_27 : out std_logic;
           C405PLBICUABUS_26 : out std_logic;
           C405PLBICUABUS_25 : out std_logic;
           C405PLBICUABUS_24 : out std_logic;
           C405PLBICUABUS_23 : out std_logic;
           C405PLBICUABUS_22 : out std_logic;
           C405PLBICUABUS_21 : out std_logic;
           C405PLBICUABUS_20 : out std_logic;
           C405PLBICUABUS_19 : out std_logic;
           C405PLBICUABUS_18 : out std_logic;
           C405PLBICUABUS_17 : out std_logic;
           C405PLBICUABUS_16 : out std_logic;
           C405PLBICUABUS_15 : out std_logic;
           C405PLBICUABUS_14 : out std_logic;
           C405PLBICUABUS_13 : out std_logic;
           C405PLBICUABUS_12 : out std_logic;
           C405PLBICUABUS_11 : out std_logic;
           C405PLBICUABUS_10 : out std_logic;
           C405PLBICUABUS_9 : out std_logic;
           C405PLBICUABUS_8 : out std_logic;
           C405PLBICUABUS_7 : out std_logic;
           C405PLBICUABUS_6 : out std_logic;
           C405PLBICUABUS_5 : out std_logic;
           C405PLBICUABUS_4 : out std_logic;
           C405PLBICUABUS_3 : out std_logic;
           C405PLBICUABUS_2 : out std_logic;
           C405PLBICUABUS_1 : out std_logic;
           C405PLBICUABUS_0 : out std_logic;
           C405PLBICUSIZE_3 : out std_logic;
           C405PLBICUSIZE_2 : out std_logic;
           C405PLBICUABORT : out std_logic;
           C405PLBICUU0ATTR : out std_logic;
           PLBC405ICUADDRACK : in std_logic;
           PLBC405ICUBUSY : in std_logic;
           PLBC405ICUERR : in std_logic;
           PLBC405ICURDDACK : in std_logic;
           PLBC405ICURDDBUS_63 : in std_logic;
           PLBC405ICURDDBUS_62 : in std_logic;
           PLBC405ICURDDBUS_61 : in std_logic;
           PLBC405ICURDDBUS_60 : in std_logic;
           PLBC405ICURDDBUS_59 : in std_logic;
           PLBC405ICURDDBUS_58 : in std_logic;
           PLBC405ICURDDBUS_57 : in std_logic;
           PLBC405ICURDDBUS_56 : in std_logic;
           PLBC405ICURDDBUS_55 : in std_logic;
           PLBC405ICURDDBUS_54 : in std_logic;
           PLBC405ICURDDBUS_53 : in std_logic;
           PLBC405ICURDDBUS_52 : in std_logic;
           PLBC405ICURDDBUS_51 : in std_logic;
           PLBC405ICURDDBUS_50 : in std_logic;
           PLBC405ICURDDBUS_49 : in std_logic;
           PLBC405ICURDDBUS_48 : in std_logic;
           PLBC405ICURDDBUS_47 : in std_logic;
           PLBC405ICURDDBUS_46 : in std_logic;
           PLBC405ICURDDBUS_45 : in std_logic;
           PLBC405ICURDDBUS_44 : in std_logic;
           PLBC405ICURDDBUS_43 : in std_logic;
           PLBC405ICURDDBUS_42 : in std_logic;
           PLBC405ICURDDBUS_41 : in std_logic;
           PLBC405ICURDDBUS_40 : in std_logic;
           PLBC405ICURDDBUS_39 : in std_logic;
           PLBC405ICURDDBUS_38 : in std_logic;
           PLBC405ICURDDBUS_37 : in std_logic;
           PLBC405ICURDDBUS_36 : in std_logic;
           PLBC405ICURDDBUS_35 : in std_logic;
           PLBC405ICURDDBUS_34 : in std_logic;
           PLBC405ICURDDBUS_33 : in std_logic;
           PLBC405ICURDDBUS_32 : in std_logic;
           PLBC405ICURDDBUS_31 : in std_logic;
           PLBC405ICURDDBUS_30 : in std_logic;
           PLBC405ICURDDBUS_29 : in std_logic;
           PLBC405ICURDDBUS_28 : in std_logic;
           PLBC405ICURDDBUS_27 : in std_logic;
           PLBC405ICURDDBUS_26 : in std_logic;
           PLBC405ICURDDBUS_25 : in std_logic;
           PLBC405ICURDDBUS_24 : in std_logic;
           PLBC405ICURDDBUS_23 : in std_logic;
           PLBC405ICURDDBUS_22 : in std_logic;
           PLBC405ICURDDBUS_21 : in std_logic;
           PLBC405ICURDDBUS_20 : in std_logic;
           PLBC405ICURDDBUS_19 : in std_logic;
           PLBC405ICURDDBUS_18 : in std_logic;
           PLBC405ICURDDBUS_17 : in std_logic;
           PLBC405ICURDDBUS_16 : in std_logic;
           PLBC405ICURDDBUS_15 : in std_logic;
           PLBC405ICURDDBUS_14 : in std_logic;
           PLBC405ICURDDBUS_13 : in std_logic;
           PLBC405ICURDDBUS_12 : in std_logic;
           PLBC405ICURDDBUS_11 : in std_logic;
           PLBC405ICURDDBUS_10 : in std_logic;
           PLBC405ICURDDBUS_9 : in std_logic;
           PLBC405ICURDDBUS_8 : in std_logic;
           PLBC405ICURDDBUS_7 : in std_logic;
           PLBC405ICURDDBUS_6 : in std_logic;
           PLBC405ICURDDBUS_5 : in std_logic;
           PLBC405ICURDDBUS_4 : in std_logic;
           PLBC405ICURDDBUS_3 : in std_logic;
           PLBC405ICURDDBUS_2 : in std_logic;
           PLBC405ICURDDBUS_1 : in std_logic;
           PLBC405ICURDDBUS_0 : in std_logic;
           PLBC405ICUSSIZE1 : in std_logic;
           PLBC405ICURDWDADDR_3 : in std_logic;
           PLBC405ICURDWDADDR_2 : in std_logic;
           PLBC405ICURDWDADDR_1 : in std_logic;
           C405PLBDCUREQUEST : out std_logic;
           C405PLBDCURNW : out std_logic;
           C405PLBDCUABUS_31 : out std_logic;
           C405PLBDCUABUS_30 : out std_logic;
           C405PLBDCUABUS_29 : out std_logic;
           C405PLBDCUABUS_28 : out std_logic;
           C405PLBDCUABUS_27 : out std_logic;
           C405PLBDCUABUS_26 : out std_logic;
           C405PLBDCUABUS_25 : out std_logic;
           C405PLBDCUABUS_24 : out std_logic;
           C405PLBDCUABUS_23 : out std_logic;
           C405PLBDCUABUS_22 : out std_logic;
           C405PLBDCUABUS_21 : out std_logic;
           C405PLBDCUABUS_20 : out std_logic;
           C405PLBDCUABUS_19 : out std_logic;
           C405PLBDCUABUS_18 : out std_logic;
           C405PLBDCUABUS_17 : out std_logic;
           C405PLBDCUABUS_16 : out std_logic;
           C405PLBDCUABUS_15 : out std_logic;
           C405PLBDCUABUS_14 : out std_logic;
           C405PLBDCUABUS_13 : out std_logic;
           C405PLBDCUABUS_12 : out std_logic;
           C405PLBDCUABUS_11 : out std_logic;
           C405PLBDCUABUS_10 : out std_logic;
           C405PLBDCUABUS_9 : out std_logic;
           C405PLBDCUABUS_8 : out std_logic;
           C405PLBDCUABUS_7 : out std_logic;
           C405PLBDCUABUS_6 : out std_logic;
           C405PLBDCUABUS_5 : out std_logic;
           C405PLBDCUABUS_4 : out std_logic;
           C405PLBDCUABUS_3 : out std_logic;
           C405PLBDCUABUS_2 : out std_logic;
           C405PLBDCUABUS_1 : out std_logic;
           C405PLBDCUABUS_0 : out std_logic;
           C405PLBDCUBE_7 : out std_logic;
           C405PLBDCUBE_6 : out std_logic;
           C405PLBDCUBE_5 : out std_logic;
           C405PLBDCUBE_4 : out std_logic;
           C405PLBDCUBE_3 : out std_logic;
           C405PLBDCUBE_2 : out std_logic;
           C405PLBDCUBE_1 : out std_logic;
           C405PLBDCUBE_0 : out std_logic;
           C405PLBDCUCACHEABLE : out std_logic;
           C405PLBDCUGUARDED : out std_logic;
           C405PLBDCUPRIORITY_1 : out std_logic;
           C405PLBDCUPRIORITY_0 : out std_logic;
           C405PLBDCUSIZE2 : out std_logic;
           C405PLBDCUABORT : out std_logic;
           C405PLBDCUWRDBUS_63 : out std_logic;
           C405PLBDCUWRDBUS_62 : out std_logic;
           C405PLBDCUWRDBUS_61 : out std_logic;
           C405PLBDCUWRDBUS_60 : out std_logic;
           C405PLBDCUWRDBUS_59 : out std_logic;
           C405PLBDCUWRDBUS_58 : out std_logic;
           C405PLBDCUWRDBUS_57 : out std_logic;
           C405PLBDCUWRDBUS_56 : out std_logic;
           C405PLBDCUWRDBUS_55 : out std_logic;
           C405PLBDCUWRDBUS_54 : out std_logic;
           C405PLBDCUWRDBUS_53 : out std_logic;
           C405PLBDCUWRDBUS_52 : out std_logic;
           C405PLBDCUWRDBUS_51 : out std_logic;
           C405PLBDCUWRDBUS_50 : out std_logic;
           C405PLBDCUWRDBUS_49 : out std_logic;
           C405PLBDCUWRDBUS_48 : out std_logic;
           C405PLBDCUWRDBUS_47 : out std_logic;
           C405PLBDCUWRDBUS_46 : out std_logic;
           C405PLBDCUWRDBUS_45 : out std_logic;
           C405PLBDCUWRDBUS_44 : out std_logic;
           C405PLBDCUWRDBUS_43 : out std_logic;
           C405PLBDCUWRDBUS_42 : out std_logic;
           C405PLBDCUWRDBUS_41 : out std_logic;
           C405PLBDCUWRDBUS_40 : out std_logic;
           C405PLBDCUWRDBUS_39 : out std_logic;
           C405PLBDCUWRDBUS_38 : out std_logic;
           C405PLBDCUWRDBUS_37 : out std_logic;
           C405PLBDCUWRDBUS_36 : out std_logic;
           C405PLBDCUWRDBUS_35 : out std_logic;
           C405PLBDCUWRDBUS_34 : out std_logic;
           C405PLBDCUWRDBUS_33 : out std_logic;
           C405PLBDCUWRDBUS_32 : out std_logic;
           C405PLBDCUWRDBUS_31 : out std_logic;
           C405PLBDCUWRDBUS_30 : out std_logic;
           C405PLBDCUWRDBUS_29 : out std_logic;
           C405PLBDCUWRDBUS_28 : out std_logic;
           C405PLBDCUWRDBUS_27 : out std_logic;
           C405PLBDCUWRDBUS_26 : out std_logic;
           C405PLBDCUWRDBUS_25 : out std_logic;
           C405PLBDCUWRDBUS_24 : out std_logic;
           C405PLBDCUWRDBUS_23 : out std_logic;
           C405PLBDCUWRDBUS_22 : out std_logic;
           C405PLBDCUWRDBUS_21 : out std_logic;
           C405PLBDCUWRDBUS_20 : out std_logic;
           C405PLBDCUWRDBUS_19 : out std_logic;
           C405PLBDCUWRDBUS_18 : out std_logic;
           C405PLBDCUWRDBUS_17 : out std_logic;
           C405PLBDCUWRDBUS_16 : out std_logic;
           C405PLBDCUWRDBUS_15 : out std_logic;
           C405PLBDCUWRDBUS_14 : out std_logic;
           C405PLBDCUWRDBUS_13 : out std_logic;
           C405PLBDCUWRDBUS_12 : out std_logic;
           C405PLBDCUWRDBUS_11 : out std_logic;
           C405PLBDCUWRDBUS_10 : out std_logic;
           C405PLBDCUWRDBUS_9 : out std_logic;
           C405PLBDCUWRDBUS_8 : out std_logic;
           C405PLBDCUWRDBUS_7 : out std_logic;
           C405PLBDCUWRDBUS_6 : out std_logic;
           C405PLBDCUWRDBUS_5 : out std_logic;
           C405PLBDCUWRDBUS_4 : out std_logic;
           C405PLBDCUWRDBUS_3 : out std_logic;
           C405PLBDCUWRDBUS_2 : out std_logic;
           C405PLBDCUWRDBUS_1 : out std_logic;
           C405PLBDCUWRDBUS_0 : out std_logic;
           C405PLBDCUU0ATTR : out std_logic;
           C405PLBDCUWRITETHRU : out std_logic;
           PLBC405DCUADDRACK : in std_logic;
           PLBC405DCUBUSY : in std_logic;
           PLBC405DCUERR : in std_logic;
           PLBC405DCURDDACK : in std_logic;
           PLBC405DCURDDBUS_63 : in std_logic;
           PLBC405DCURDDBUS_62 : in std_logic;
           PLBC405DCURDDBUS_61 : in std_logic;
           PLBC405DCURDDBUS_60 : in std_logic;
           PLBC405DCURDDBUS_59 : in std_logic;
           PLBC405DCURDDBUS_58 : in std_logic;
           PLBC405DCURDDBUS_57 : in std_logic;
           PLBC405DCURDDBUS_56 : in std_logic;
           PLBC405DCURDDBUS_55 : in std_logic;
           PLBC405DCURDDBUS_54 : in std_logic;
           PLBC405DCURDDBUS_53 : in std_logic;
           PLBC405DCURDDBUS_52 : in std_logic;
           PLBC405DCURDDBUS_51 : in std_logic;
           PLBC405DCURDDBUS_50 : in std_logic;
           PLBC405DCURDDBUS_49 : in std_logic;
           PLBC405DCURDDBUS_48 : in std_logic;
           PLBC405DCURDDBUS_47 : in std_logic;
           PLBC405DCURDDBUS_46 : in std_logic;
           PLBC405DCURDDBUS_45 : in std_logic;
           PLBC405DCURDDBUS_44 : in std_logic;
           PLBC405DCURDDBUS_43 : in std_logic;
           PLBC405DCURDDBUS_42 : in std_logic;
           PLBC405DCURDDBUS_41 : in std_logic;
           PLBC405DCURDDBUS_40 : in std_logic;
           PLBC405DCURDDBUS_39 : in std_logic;
           PLBC405DCURDDBUS_38 : in std_logic;
           PLBC405DCURDDBUS_37 : in std_logic;
           PLBC405DCURDDBUS_36 : in std_logic;
           PLBC405DCURDDBUS_35 : in std_logic;
           PLBC405DCURDDBUS_34 : in std_logic;
           PLBC405DCURDDBUS_33 : in std_logic;
           PLBC405DCURDDBUS_32 : in std_logic;
           PLBC405DCURDDBUS_31 : in std_logic;
           PLBC405DCURDDBUS_30 : in std_logic;
           PLBC405DCURDDBUS_29 : in std_logic;
           PLBC405DCURDDBUS_28 : in std_logic;
           PLBC405DCURDDBUS_27 : in std_logic;
           PLBC405DCURDDBUS_26 : in std_logic;
           PLBC405DCURDDBUS_25 : in std_logic;
           PLBC405DCURDDBUS_24 : in std_logic;
           PLBC405DCURDDBUS_23 : in std_logic;
           PLBC405DCURDDBUS_22 : in std_logic;
           PLBC405DCURDDBUS_21 : in std_logic;
           PLBC405DCURDDBUS_20 : in std_logic;
           PLBC405DCURDDBUS_19 : in std_logic;
           PLBC405DCURDDBUS_18 : in std_logic;
           PLBC405DCURDDBUS_17 : in std_logic;
           PLBC405DCURDDBUS_16 : in std_logic;
           PLBC405DCURDDBUS_15 : in std_logic;
           PLBC405DCURDDBUS_14 : in std_logic;
           PLBC405DCURDDBUS_13 : in std_logic;
           PLBC405DCURDDBUS_12 : in std_logic;
           PLBC405DCURDDBUS_11 : in std_logic;
           PLBC405DCURDDBUS_10 : in std_logic;
           PLBC405DCURDDBUS_9 : in std_logic;
           PLBC405DCURDDBUS_8 : in std_logic;
           PLBC405DCURDDBUS_7 : in std_logic;
           PLBC405DCURDDBUS_6 : in std_logic;
           PLBC405DCURDDBUS_5 : in std_logic;
           PLBC405DCURDDBUS_4 : in std_logic;
           PLBC405DCURDDBUS_3 : in std_logic;
           PLBC405DCURDDBUS_2 : in std_logic;
           PLBC405DCURDDBUS_1 : in std_logic;
           PLBC405DCURDDBUS_0 : in std_logic;
           PLBC405DCURDWDADDR_3 : in std_logic;
           PLBC405DCURDWDADDR_2 : in std_logic;
           PLBC405DCURDWDADDR_1 : in std_logic;
           PLBC405DCUSSIZE1 : in std_logic;
           PLBC405DCUWRDACK : in std_logic;
           ISOCMBRAMRDABUS_28 : out std_logic;
           ISOCMBRAMRDABUS_27 : out std_logic;
           ISOCMBRAMRDABUS_26 : out std_logic;
           ISOCMBRAMRDABUS_25 : out std_logic;
           ISOCMBRAMRDABUS_24 : out std_logic;
           ISOCMBRAMRDABUS_23 : out std_logic;
           ISOCMBRAMRDABUS_22 : out std_logic;
           ISOCMBRAMRDABUS_21 : out std_logic;
           ISOCMBRAMRDABUS_20 : out std_logic;
           ISOCMBRAMRDABUS_19 : out std_logic;
           ISOCMBRAMRDABUS_18 : out std_logic;
           ISOCMBRAMRDABUS_17 : out std_logic;
           ISOCMBRAMRDABUS_16 : out std_logic;
           ISOCMBRAMRDABUS_15 : out std_logic;
           ISOCMBRAMRDABUS_14 : out std_logic;
           ISOCMBRAMRDABUS_13 : out std_logic;
           ISOCMBRAMRDABUS_12 : out std_logic;
           ISOCMBRAMRDABUS_11 : out std_logic;
           ISOCMBRAMRDABUS_10 : out std_logic;
           ISOCMBRAMRDABUS_9 : out std_logic;
           ISOCMBRAMRDABUS_8 : out std_logic;
           ISOCMBRAMWRABUS_28 : out std_logic;
           ISOCMBRAMWRABUS_27 : out std_logic;
           ISOCMBRAMWRABUS_26 : out std_logic;
           ISOCMBRAMWRABUS_25 : out std_logic;
           ISOCMBRAMWRABUS_24 : out std_logic;
           ISOCMBRAMWRABUS_23 : out std_logic;
           ISOCMBRAMWRABUS_22 : out std_logic;
           ISOCMBRAMWRABUS_21 : out std_logic;
           ISOCMBRAMWRABUS_20 : out std_logic;
           ISOCMBRAMWRABUS_19 : out std_logic;
           ISOCMBRAMWRABUS_18 : out std_logic;
           ISOCMBRAMWRABUS_17 : out std_logic;
           ISOCMBRAMWRABUS_16 : out std_logic;
           ISOCMBRAMWRABUS_15 : out std_logic;
           ISOCMBRAMWRABUS_14 : out std_logic;
           ISOCMBRAMWRABUS_13 : out std_logic;
           ISOCMBRAMWRABUS_12 : out std_logic;
           ISOCMBRAMWRABUS_11 : out std_logic;
           ISOCMBRAMWRABUS_10 : out std_logic;
           ISOCMBRAMWRABUS_9 : out std_logic;
           ISOCMBRAMWRABUS_8 : out std_logic;
           ISOCMBRAMEN : out std_logic;
           ISOCMBRAMODDWRITEEN : out std_logic;
           ISOCMBRAMEVENWRITEEN : out std_logic;
           ISOCMBRAMWRDBUS_31 : out std_logic;
           ISOCMBRAMWRDBUS_30 : out std_logic;
           ISOCMBRAMWRDBUS_29 : out std_logic;
           ISOCMBRAMWRDBUS_28 : out std_logic;
           ISOCMBRAMWRDBUS_27 : out std_logic;
           ISOCMBRAMWRDBUS_26 : out std_logic;
           ISOCMBRAMWRDBUS_25 : out std_logic;
           ISOCMBRAMWRDBUS_24 : out std_logic;
           ISOCMBRAMWRDBUS_23 : out std_logic;
           ISOCMBRAMWRDBUS_22 : out std_logic;
           ISOCMBRAMWRDBUS_21 : out std_logic;
           ISOCMBRAMWRDBUS_20 : out std_logic;
           ISOCMBRAMWRDBUS_19 : out std_logic;
           ISOCMBRAMWRDBUS_18 : out std_logic;
           ISOCMBRAMWRDBUS_17 : out std_logic;
           ISOCMBRAMWRDBUS_16 : out std_logic;
           ISOCMBRAMWRDBUS_15 : out std_logic;
           ISOCMBRAMWRDBUS_14 : out std_logic;
           ISOCMBRAMWRDBUS_13 : out std_logic;
           ISOCMBRAMWRDBUS_12 : out std_logic;
           ISOCMBRAMWRDBUS_11 : out std_logic;
           ISOCMBRAMWRDBUS_10 : out std_logic;
           ISOCMBRAMWRDBUS_9 : out std_logic;
           ISOCMBRAMWRDBUS_8 : out std_logic;
           ISOCMBRAMWRDBUS_7 : out std_logic;
           ISOCMBRAMWRDBUS_6 : out std_logic;
           ISOCMBRAMWRDBUS_5 : out std_logic;
           ISOCMBRAMWRDBUS_4 : out std_logic;
           ISOCMBRAMWRDBUS_3 : out std_logic;
           ISOCMBRAMWRDBUS_2 : out std_logic;
           ISOCMBRAMWRDBUS_1 : out std_logic;
           ISOCMBRAMWRDBUS_0 : out std_logic;
           ISOCMDCRBRAMEVENEN : out std_logic;
           ISOCMDCRBRAMODDEN : out std_logic;
           ISOCMDCRBRAMRDSELECT : out std_logic;
           BRAMISOCMDCRRDDBUS_31 : in std_logic;
           BRAMISOCMDCRRDDBUS_30 : in std_logic;
           BRAMISOCMDCRRDDBUS_29 : in std_logic;
           BRAMISOCMDCRRDDBUS_28 : in std_logic;
           BRAMISOCMDCRRDDBUS_27 : in std_logic;
           BRAMISOCMDCRRDDBUS_26 : in std_logic;
           BRAMISOCMDCRRDDBUS_25 : in std_logic;
           BRAMISOCMDCRRDDBUS_24 : in std_logic;
           BRAMISOCMDCRRDDBUS_23 : in std_logic;
           BRAMISOCMDCRRDDBUS_22 : in std_logic;
           BRAMISOCMDCRRDDBUS_21 : in std_logic;
           BRAMISOCMDCRRDDBUS_20 : in std_logic;
           BRAMISOCMDCRRDDBUS_19 : in std_logic;
           BRAMISOCMDCRRDDBUS_18 : in std_logic;
           BRAMISOCMDCRRDDBUS_17 : in std_logic;
           BRAMISOCMDCRRDDBUS_16 : in std_logic;
           BRAMISOCMDCRRDDBUS_15 : in std_logic;
           BRAMISOCMDCRRDDBUS_14 : in std_logic;
           BRAMISOCMDCRRDDBUS_13 : in std_logic;
           BRAMISOCMDCRRDDBUS_12 : in std_logic;
           BRAMISOCMDCRRDDBUS_11 : in std_logic;
           BRAMISOCMDCRRDDBUS_10 : in std_logic;
           BRAMISOCMDCRRDDBUS_9 : in std_logic;
           BRAMISOCMDCRRDDBUS_8 : in std_logic;
           BRAMISOCMDCRRDDBUS_7 : in std_logic;
           BRAMISOCMDCRRDDBUS_6 : in std_logic;
           BRAMISOCMDCRRDDBUS_5 : in std_logic;
           BRAMISOCMDCRRDDBUS_4 : in std_logic;
           BRAMISOCMDCRRDDBUS_3 : in std_logic;
           BRAMISOCMDCRRDDBUS_2 : in std_logic;
           BRAMISOCMDCRRDDBUS_1 : in std_logic;
           BRAMISOCMDCRRDDBUS_0 : in std_logic;
           BRAMISOCMRDDBUS_63 : in std_logic;
           BRAMISOCMRDDBUS_62 : in std_logic;
           BRAMISOCMRDDBUS_61 : in std_logic;
           BRAMISOCMRDDBUS_60 : in std_logic;
           BRAMISOCMRDDBUS_59 : in std_logic;
           BRAMISOCMRDDBUS_58 : in std_logic;
           BRAMISOCMRDDBUS_57 : in std_logic;
           BRAMISOCMRDDBUS_56 : in std_logic;
           BRAMISOCMRDDBUS_55 : in std_logic;
           BRAMISOCMRDDBUS_54 : in std_logic;
           BRAMISOCMRDDBUS_53 : in std_logic;
           BRAMISOCMRDDBUS_52 : in std_logic;
           BRAMISOCMRDDBUS_51 : in std_logic;
           BRAMISOCMRDDBUS_50 : in std_logic;
           BRAMISOCMRDDBUS_49 : in std_logic;
           BRAMISOCMRDDBUS_48 : in std_logic;
           BRAMISOCMRDDBUS_47 : in std_logic;
           BRAMISOCMRDDBUS_46 : in std_logic;
           BRAMISOCMRDDBUS_45 : in std_logic;
           BRAMISOCMRDDBUS_44 : in std_logic;
           BRAMISOCMRDDBUS_43 : in std_logic;
           BRAMISOCMRDDBUS_42 : in std_logic;
           BRAMISOCMRDDBUS_41 : in std_logic;
           BRAMISOCMRDDBUS_40 : in std_logic;
           BRAMISOCMRDDBUS_39 : in std_logic;
           BRAMISOCMRDDBUS_38 : in std_logic;
           BRAMISOCMRDDBUS_37 : in std_logic;
           BRAMISOCMRDDBUS_36 : in std_logic;
           BRAMISOCMRDDBUS_35 : in std_logic;
           BRAMISOCMRDDBUS_34 : in std_logic;
           BRAMISOCMRDDBUS_33 : in std_logic;
           BRAMISOCMRDDBUS_32 : in std_logic;
           BRAMISOCMRDDBUS_31 : in std_logic;
           BRAMISOCMRDDBUS_30 : in std_logic;
           BRAMISOCMRDDBUS_29 : in std_logic;
           BRAMISOCMRDDBUS_28 : in std_logic;
           BRAMISOCMRDDBUS_27 : in std_logic;
           BRAMISOCMRDDBUS_26 : in std_logic;
           BRAMISOCMRDDBUS_25 : in std_logic;
           BRAMISOCMRDDBUS_24 : in std_logic;
           BRAMISOCMRDDBUS_23 : in std_logic;
           BRAMISOCMRDDBUS_22 : in std_logic;
           BRAMISOCMRDDBUS_21 : in std_logic;
           BRAMISOCMRDDBUS_20 : in std_logic;
           BRAMISOCMRDDBUS_19 : in std_logic;
           BRAMISOCMRDDBUS_18 : in std_logic;
           BRAMISOCMRDDBUS_17 : in std_logic;
           BRAMISOCMRDDBUS_16 : in std_logic;
           BRAMISOCMRDDBUS_15 : in std_logic;
           BRAMISOCMRDDBUS_14 : in std_logic;
           BRAMISOCMRDDBUS_13 : in std_logic;
           BRAMISOCMRDDBUS_12 : in std_logic;
           BRAMISOCMRDDBUS_11 : in std_logic;
           BRAMISOCMRDDBUS_10 : in std_logic;
           BRAMISOCMRDDBUS_9 : in std_logic;
           BRAMISOCMRDDBUS_8 : in std_logic;
           BRAMISOCMRDDBUS_7 : in std_logic;
           BRAMISOCMRDDBUS_6 : in std_logic;
           BRAMISOCMRDDBUS_5 : in std_logic;
           BRAMISOCMRDDBUS_4 : in std_logic;
           BRAMISOCMRDDBUS_3 : in std_logic;
           BRAMISOCMRDDBUS_2 : in std_logic;
           BRAMISOCMRDDBUS_1 : in std_logic;
           BRAMISOCMRDDBUS_0 : in std_logic;
           ISARCVALUE_7 : in std_logic;
           ISARCVALUE_6 : in std_logic;
           ISARCVALUE_5 : in std_logic;
           ISARCVALUE_4 : in std_logic;
           ISARCVALUE_3 : in std_logic;
           ISARCVALUE_2 : in std_logic;
           ISARCVALUE_1 : in std_logic;
           ISARCVALUE_0 : in std_logic;
           ISCNTLVALUE_7 : in std_logic;
           ISCNTLVALUE_6 : in std_logic;
           ISCNTLVALUE_5 : in std_logic;
           ISCNTLVALUE_4 : in std_logic;
           ISCNTLVALUE_3 : in std_logic;
           ISCNTLVALUE_2 : in std_logic;
           ISCNTLVALUE_1 : in std_logic;
           ISCNTLVALUE_0 : in std_logic;
           BRAMISOCMCLK : in std_logic;
           DSOCMBRAMABUS_29 : out std_logic;
           DSOCMBRAMABUS_28 : out std_logic;
           DSOCMBRAMABUS_27 : out std_logic;
           DSOCMBRAMABUS_26 : out std_logic;
           DSOCMBRAMABUS_25 : out std_logic;
           DSOCMBRAMABUS_24 : out std_logic;
           DSOCMBRAMABUS_23 : out std_logic;
           DSOCMBRAMABUS_22 : out std_logic;
           DSOCMBRAMABUS_21 : out std_logic;
           DSOCMBRAMABUS_20 : out std_logic;
           DSOCMBRAMABUS_19 : out std_logic;
           DSOCMBRAMABUS_18 : out std_logic;
           DSOCMBRAMABUS_17 : out std_logic;
           DSOCMBRAMABUS_16 : out std_logic;
           DSOCMBRAMABUS_15 : out std_logic;
           DSOCMBRAMABUS_14 : out std_logic;
           DSOCMBRAMABUS_13 : out std_logic;
           DSOCMBRAMABUS_12 : out std_logic;
           DSOCMBRAMABUS_11 : out std_logic;
           DSOCMBRAMABUS_10 : out std_logic;
           DSOCMBRAMABUS_9 : out std_logic;
           DSOCMBRAMABUS_8 : out std_logic;
           DSOCMBRAMBYTEWRITE_3 : out std_logic;
           DSOCMBRAMBYTEWRITE_2 : out std_logic;
           DSOCMBRAMBYTEWRITE_1 : out std_logic;
           DSOCMBRAMBYTEWRITE_0 : out std_logic;
           DSOCMBRAMEN : out std_logic;
           DSOCMBRAMWRDBUS_31 : out std_logic;
           DSOCMBRAMWRDBUS_30 : out std_logic;
           DSOCMBRAMWRDBUS_29 : out std_logic;
           DSOCMBRAMWRDBUS_28 : out std_logic;
           DSOCMBRAMWRDBUS_27 : out std_logic;
           DSOCMBRAMWRDBUS_26 : out std_logic;
           DSOCMBRAMWRDBUS_25 : out std_logic;
           DSOCMBRAMWRDBUS_24 : out std_logic;
           DSOCMBRAMWRDBUS_23 : out std_logic;
           DSOCMBRAMWRDBUS_22 : out std_logic;
           DSOCMBRAMWRDBUS_21 : out std_logic;
           DSOCMBRAMWRDBUS_20 : out std_logic;
           DSOCMBRAMWRDBUS_19 : out std_logic;
           DSOCMBRAMWRDBUS_18 : out std_logic;
           DSOCMBRAMWRDBUS_17 : out std_logic;
           DSOCMBRAMWRDBUS_16 : out std_logic;
           DSOCMBRAMWRDBUS_15 : out std_logic;
           DSOCMBRAMWRDBUS_14 : out std_logic;
           DSOCMBRAMWRDBUS_13 : out std_logic;
           DSOCMBRAMWRDBUS_12 : out std_logic;
           DSOCMBRAMWRDBUS_11 : out std_logic;
           DSOCMBRAMWRDBUS_10 : out std_logic;
           DSOCMBRAMWRDBUS_9 : out std_logic;
           DSOCMBRAMWRDBUS_8 : out std_logic;
           DSOCMBRAMWRDBUS_7 : out std_logic;
           DSOCMBRAMWRDBUS_6 : out std_logic;
           DSOCMBRAMWRDBUS_5 : out std_logic;
           DSOCMBRAMWRDBUS_4 : out std_logic;
           DSOCMBRAMWRDBUS_3 : out std_logic;
           DSOCMBRAMWRDBUS_2 : out std_logic;
           DSOCMBRAMWRDBUS_1 : out std_logic;
           DSOCMBRAMWRDBUS_0 : out std_logic;
           BRAMDSOCMRDDBUS_31 : in std_logic;
           BRAMDSOCMRDDBUS_30 : in std_logic;
           BRAMDSOCMRDDBUS_29 : in std_logic;
           BRAMDSOCMRDDBUS_28 : in std_logic;
           BRAMDSOCMRDDBUS_27 : in std_logic;
           BRAMDSOCMRDDBUS_26 : in std_logic;
           BRAMDSOCMRDDBUS_25 : in std_logic;
           BRAMDSOCMRDDBUS_24 : in std_logic;
           BRAMDSOCMRDDBUS_23 : in std_logic;
           BRAMDSOCMRDDBUS_22 : in std_logic;
           BRAMDSOCMRDDBUS_21 : in std_logic;
           BRAMDSOCMRDDBUS_20 : in std_logic;
           BRAMDSOCMRDDBUS_19 : in std_logic;
           BRAMDSOCMRDDBUS_18 : in std_logic;
           BRAMDSOCMRDDBUS_17 : in std_logic;
           BRAMDSOCMRDDBUS_16 : in std_logic;
           BRAMDSOCMRDDBUS_15 : in std_logic;
           BRAMDSOCMRDDBUS_14 : in std_logic;
           BRAMDSOCMRDDBUS_13 : in std_logic;
           BRAMDSOCMRDDBUS_12 : in std_logic;
           BRAMDSOCMRDDBUS_11 : in std_logic;
           BRAMDSOCMRDDBUS_10 : in std_logic;
           BRAMDSOCMRDDBUS_9 : in std_logic;
           BRAMDSOCMRDDBUS_8 : in std_logic;
           BRAMDSOCMRDDBUS_7 : in std_logic;
           BRAMDSOCMRDDBUS_6 : in std_logic;
           BRAMDSOCMRDDBUS_5 : in std_logic;
           BRAMDSOCMRDDBUS_4 : in std_logic;
           BRAMDSOCMRDDBUS_3 : in std_logic;
           BRAMDSOCMRDDBUS_2 : in std_logic;
           BRAMDSOCMRDDBUS_1 : in std_logic;
           BRAMDSOCMRDDBUS_0 : in std_logic;
           DSOCMRWCOMPLETE : in std_logic;
           DSOCMBUSY : out std_logic;
           DSOCMWRADDRVALID : out std_logic;
           DSOCMRDADDRVALID : out std_logic;
           TIEDCRADDR_5 : in std_logic;
           TIEDCRADDR_4 : in std_logic;
           TIEDCRADDR_3 : in std_logic;
           TIEDCRADDR_2 : in std_logic;
           TIEDCRADDR_1 : in std_logic;
           TIEDCRADDR_0 : in std_logic;
           DSARCVALUE_7 : in std_logic;
           DSARCVALUE_6 : in std_logic;
           DSARCVALUE_5 : in std_logic;
           DSARCVALUE_4 : in std_logic;
           DSARCVALUE_3 : in std_logic;
           DSARCVALUE_2 : in std_logic;
           DSARCVALUE_1 : in std_logic;
           DSARCVALUE_0 : in std_logic;
           DSCNTLVALUE_7 : in std_logic;
           DSCNTLVALUE_6 : in std_logic;
           DSCNTLVALUE_5 : in std_logic;
           DSCNTLVALUE_4 : in std_logic;
           DSCNTLVALUE_3 : in std_logic;
           DSCNTLVALUE_2 : in std_logic;
           DSCNTLVALUE_1 : in std_logic;
           DSCNTLVALUE_0 : in std_logic;
           BRAMDSOCMCLK : in std_logic;
           EXTDCRREAD : out std_logic;
           EXTDCRWRITE : out std_logic;
           EXTDCRABUS_9 : out std_logic;
           EXTDCRABUS_8 : out std_logic;
           EXTDCRABUS_7 : out std_logic;
           EXTDCRABUS_6 : out std_logic;
           EXTDCRABUS_5 : out std_logic;
           EXTDCRABUS_4 : out std_logic;
           EXTDCRABUS_3 : out std_logic;
           EXTDCRABUS_2 : out std_logic;
           EXTDCRABUS_1 : out std_logic;
           EXTDCRABUS_0 : out std_logic;
           EXTDCRDBUSOUT_31 : out std_logic;
           EXTDCRDBUSOUT_30 : out std_logic;
           EXTDCRDBUSOUT_29 : out std_logic;
           EXTDCRDBUSOUT_28 : out std_logic;
           EXTDCRDBUSOUT_27 : out std_logic;
           EXTDCRDBUSOUT_26 : out std_logic;
           EXTDCRDBUSOUT_25 : out std_logic;
           EXTDCRDBUSOUT_24 : out std_logic;
           EXTDCRDBUSOUT_23 : out std_logic;
           EXTDCRDBUSOUT_22 : out std_logic;
           EXTDCRDBUSOUT_21 : out std_logic;
           EXTDCRDBUSOUT_20 : out std_logic;
           EXTDCRDBUSOUT_19 : out std_logic;
           EXTDCRDBUSOUT_18 : out std_logic;
           EXTDCRDBUSOUT_17 : out std_logic;
           EXTDCRDBUSOUT_16 : out std_logic;
           EXTDCRDBUSOUT_15 : out std_logic;
           EXTDCRDBUSOUT_14 : out std_logic;
           EXTDCRDBUSOUT_13 : out std_logic;
           EXTDCRDBUSOUT_12 : out std_logic;
           EXTDCRDBUSOUT_11 : out std_logic;
           EXTDCRDBUSOUT_10 : out std_logic;
           EXTDCRDBUSOUT_9 : out std_logic;
           EXTDCRDBUSOUT_8 : out std_logic;
           EXTDCRDBUSOUT_7 : out std_logic;
           EXTDCRDBUSOUT_6 : out std_logic;
           EXTDCRDBUSOUT_5 : out std_logic;
           EXTDCRDBUSOUT_4 : out std_logic;
           EXTDCRDBUSOUT_3 : out std_logic;
           EXTDCRDBUSOUT_2 : out std_logic;
           EXTDCRDBUSOUT_1 : out std_logic;
           EXTDCRDBUSOUT_0 : out std_logic;
           EXTDCRACK : in std_logic;
           EXTDCRDBUSIN_31 : in std_logic;
           EXTDCRDBUSIN_30 : in std_logic;
           EXTDCRDBUSIN_29 : in std_logic;
           EXTDCRDBUSIN_28 : in std_logic;
           EXTDCRDBUSIN_27 : in std_logic;
           EXTDCRDBUSIN_26 : in std_logic;
           EXTDCRDBUSIN_25 : in std_logic;
           EXTDCRDBUSIN_24 : in std_logic;
           EXTDCRDBUSIN_23 : in std_logic;
           EXTDCRDBUSIN_22 : in std_logic;
           EXTDCRDBUSIN_21 : in std_logic;
           EXTDCRDBUSIN_20 : in std_logic;
           EXTDCRDBUSIN_19 : in std_logic;
           EXTDCRDBUSIN_18 : in std_logic;
           EXTDCRDBUSIN_17 : in std_logic;
           EXTDCRDBUSIN_16 : in std_logic;
           EXTDCRDBUSIN_15 : in std_logic;
           EXTDCRDBUSIN_14 : in std_logic;
           EXTDCRDBUSIN_13 : in std_logic;
           EXTDCRDBUSIN_12 : in std_logic;
           EXTDCRDBUSIN_11 : in std_logic;
           EXTDCRDBUSIN_10 : in std_logic;
           EXTDCRDBUSIN_9 : in std_logic;
           EXTDCRDBUSIN_8 : in std_logic;
           EXTDCRDBUSIN_7 : in std_logic;
           EXTDCRDBUSIN_6 : in std_logic;
           EXTDCRDBUSIN_5 : in std_logic;
           EXTDCRDBUSIN_4 : in std_logic;
           EXTDCRDBUSIN_3 : in std_logic;
           EXTDCRDBUSIN_2 : in std_logic;
           EXTDCRDBUSIN_1 : in std_logic;
           EXTDCRDBUSIN_0 : in std_logic;
           EICC405EXTINPUTIRQ : in std_logic;
           EICC405CRITINPUTIRQ : in std_logic;
           JTGC405BNDSCANTDO : in std_logic;
           JTGC405TCK : in std_logic;
           JTGC405TDI : in std_logic;
           JTGC405TMS : in std_logic;
           JTGC405TRSTNEG : in std_logic;
           C405JTGTDO : out std_logic;
           C405JTGTDOEN : out std_logic;
           C405JTGEXTEST : out std_logic;
           C405JTGCAPTUREDR : out std_logic;
           C405JTGSHIFTDR : out std_logic;
           C405JTGUPDATEDR : out std_logic;
           DBGC405DEBUGHALT : in std_logic;
           DBGC405UNCONDDEBUGEVENT : in std_logic;
           DBGC405EXTBUSHOLDACK : in std_logic;
           C405DBGMSRWE : out std_logic;
           C405DBGSTOPACK : out std_logic;
           C405DBGWBCOMPLETE : out std_logic;
           C405DBGWBFULL : out std_logic;
           C405DBGWBIAR_29 : out std_logic;
           C405DBGWBIAR_28 : out std_logic;
           C405DBGWBIAR_27 : out std_logic;
           C405DBGWBIAR_26 : out std_logic;
           C405DBGWBIAR_25 : out std_logic;
           C405DBGWBIAR_24 : out std_logic;
           C405DBGWBIAR_23 : out std_logic;
           C405DBGWBIAR_22 : out std_logic;
           C405DBGWBIAR_21 : out std_logic;
           C405DBGWBIAR_20 : out std_logic;
           C405DBGWBIAR_19 : out std_logic;
           C405DBGWBIAR_18 : out std_logic;
           C405DBGWBIAR_17 : out std_logic;
           C405DBGWBIAR_16 : out std_logic;
           C405DBGWBIAR_15 : out std_logic;
           C405DBGWBIAR_14 : out std_logic;
           C405DBGWBIAR_13 : out std_logic;
           C405DBGWBIAR_12 : out std_logic;
           C405DBGWBIAR_11 : out std_logic;
           C405DBGWBIAR_10 : out std_logic;
           C405DBGWBIAR_9 : out std_logic;
           C405DBGWBIAR_8 : out std_logic;
           C405DBGWBIAR_7 : out std_logic;
           C405DBGWBIAR_6 : out std_logic;
           C405DBGWBIAR_5 : out std_logic;
           C405DBGWBIAR_4 : out std_logic;
           C405DBGWBIAR_3 : out std_logic;
           C405DBGWBIAR_2 : out std_logic;
           C405DBGWBIAR_1 : out std_logic;
           C405DBGWBIAR_0 : out std_logic;
           C405TRCTRIGGEREVENTOUT : out std_logic;
           C405TRCTRIGGEREVENTTYPE_10 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_9 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_8 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_7 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_6 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_5 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_4 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_3 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_2 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_1 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_0 : out std_logic;
           C405TRCCYCLE : out std_logic;
           C405TRCTRACESTATUS_3 : out std_logic;
           C405TRCTRACESTATUS_2 : out std_logic;
           C405TRCTRACESTATUS_1 : out std_logic;
           C405TRCTRACESTATUS_0 : out std_logic;
           TRCC405TRACEDISABLE : in std_logic;
           TRCC405TRIGGEREVENTIN : in std_logic;
           C405DBGLOADDATAONAPUDBUS : out std_logic;
           APUFCMINSTRUCTION_31 : out std_logic;
           APUFCMINSTRUCTION_30 : out std_logic;
           APUFCMINSTRUCTION_29 : out std_logic;
           APUFCMINSTRUCTION_28 : out std_logic;
           APUFCMINSTRUCTION_27 : out std_logic;
           APUFCMINSTRUCTION_26 : out std_logic;
           APUFCMINSTRUCTION_25 : out std_logic;
           APUFCMINSTRUCTION_24 : out std_logic;
           APUFCMINSTRUCTION_23 : out std_logic;
           APUFCMINSTRUCTION_22 : out std_logic;
           APUFCMINSTRUCTION_21 : out std_logic;
           APUFCMINSTRUCTION_20 : out std_logic;
           APUFCMINSTRUCTION_19 : out std_logic;
           APUFCMINSTRUCTION_18 : out std_logic;
           APUFCMINSTRUCTION_17 : out std_logic;
           APUFCMINSTRUCTION_16 : out std_logic;
           APUFCMINSTRUCTION_15 : out std_logic;
           APUFCMINSTRUCTION_14 : out std_logic;
           APUFCMINSTRUCTION_13 : out std_logic;
           APUFCMINSTRUCTION_12 : out std_logic;
           APUFCMINSTRUCTION_11 : out std_logic;
           APUFCMINSTRUCTION_10 : out std_logic;
           APUFCMINSTRUCTION_9 : out std_logic;
           APUFCMINSTRUCTION_8 : out std_logic;
           APUFCMINSTRUCTION_7 : out std_logic;
           APUFCMINSTRUCTION_6 : out std_logic;
           APUFCMINSTRUCTION_5 : out std_logic;
           APUFCMINSTRUCTION_4 : out std_logic;
           APUFCMINSTRUCTION_3 : out std_logic;
           APUFCMINSTRUCTION_2 : out std_logic;
           APUFCMINSTRUCTION_1 : out std_logic;
           APUFCMINSTRUCTION_0 : out std_logic;
           APUFCMRADATA_31 : out std_logic;
           APUFCMRADATA_30 : out std_logic;
           APUFCMRADATA_29 : out std_logic;
           APUFCMRADATA_28 : out std_logic;
           APUFCMRADATA_27 : out std_logic;
           APUFCMRADATA_26 : out std_logic;
           APUFCMRADATA_25 : out std_logic;
           APUFCMRADATA_24 : out std_logic;
           APUFCMRADATA_23 : out std_logic;
           APUFCMRADATA_22 : out std_logic;
           APUFCMRADATA_21 : out std_logic;
           APUFCMRADATA_20 : out std_logic;
           APUFCMRADATA_19 : out std_logic;
           APUFCMRADATA_18 : out std_logic;
           APUFCMRADATA_17 : out std_logic;
           APUFCMRADATA_16 : out std_logic;
           APUFCMRADATA_15 : out std_logic;
           APUFCMRADATA_14 : out std_logic;
           APUFCMRADATA_13 : out std_logic;
           APUFCMRADATA_12 : out std_logic;
           APUFCMRADATA_11 : out std_logic;
           APUFCMRADATA_10 : out std_logic;
           APUFCMRADATA_9 : out std_logic;
           APUFCMRADATA_8 : out std_logic;
           APUFCMRADATA_7 : out std_logic;
           APUFCMRADATA_6 : out std_logic;
           APUFCMRADATA_5 : out std_logic;
           APUFCMRADATA_4 : out std_logic;
           APUFCMRADATA_3 : out std_logic;
           APUFCMRADATA_2 : out std_logic;
           APUFCMRADATA_1 : out std_logic;
           APUFCMRADATA_0 : out std_logic;
           APUFCMRBDATA_31 : out std_logic;
           APUFCMRBDATA_30 : out std_logic;
           APUFCMRBDATA_29 : out std_logic;
           APUFCMRBDATA_28 : out std_logic;
           APUFCMRBDATA_27 : out std_logic;
           APUFCMRBDATA_26 : out std_logic;
           APUFCMRBDATA_25 : out std_logic;
           APUFCMRBDATA_24 : out std_logic;
           APUFCMRBDATA_23 : out std_logic;
           APUFCMRBDATA_22 : out std_logic;
           APUFCMRBDATA_21 : out std_logic;
           APUFCMRBDATA_20 : out std_logic;
           APUFCMRBDATA_19 : out std_logic;
           APUFCMRBDATA_18 : out std_logic;
           APUFCMRBDATA_17 : out std_logic;
           APUFCMRBDATA_16 : out std_logic;
           APUFCMRBDATA_15 : out std_logic;
           APUFCMRBDATA_14 : out std_logic;
           APUFCMRBDATA_13 : out std_logic;
           APUFCMRBDATA_12 : out std_logic;
           APUFCMRBDATA_11 : out std_logic;
           APUFCMRBDATA_10 : out std_logic;
           APUFCMRBDATA_9 : out std_logic;
           APUFCMRBDATA_8 : out std_logic;
           APUFCMRBDATA_7 : out std_logic;
           APUFCMRBDATA_6 : out std_logic;
           APUFCMRBDATA_5 : out std_logic;
           APUFCMRBDATA_4 : out std_logic;
           APUFCMRBDATA_3 : out std_logic;
           APUFCMRBDATA_2 : out std_logic;
           APUFCMRBDATA_1 : out std_logic;
           APUFCMRBDATA_0 : out std_logic;
           APUFCMINSTRVALID : out std_logic;
           APUFCMLOADDATA_31 : out std_logic;
           APUFCMLOADDATA_30 : out std_logic;
           APUFCMLOADDATA_29 : out std_logic;
           APUFCMLOADDATA_28 : out std_logic;
           APUFCMLOADDATA_27 : out std_logic;
           APUFCMLOADDATA_26 : out std_logic;
           APUFCMLOADDATA_25 : out std_logic;
           APUFCMLOADDATA_24 : out std_logic;
           APUFCMLOADDATA_23 : out std_logic;
           APUFCMLOADDATA_22 : out std_logic;
           APUFCMLOADDATA_21 : out std_logic;
           APUFCMLOADDATA_20 : out std_logic;
           APUFCMLOADDATA_19 : out std_logic;
           APUFCMLOADDATA_18 : out std_logic;
           APUFCMLOADDATA_17 : out std_logic;
           APUFCMLOADDATA_16 : out std_logic;
           APUFCMLOADDATA_15 : out std_logic;
           APUFCMLOADDATA_14 : out std_logic;
           APUFCMLOADDATA_13 : out std_logic;
           APUFCMLOADDATA_12 : out std_logic;
           APUFCMLOADDATA_11 : out std_logic;
           APUFCMLOADDATA_10 : out std_logic;
           APUFCMLOADDATA_9 : out std_logic;
           APUFCMLOADDATA_8 : out std_logic;
           APUFCMLOADDATA_7 : out std_logic;
           APUFCMLOADDATA_6 : out std_logic;
           APUFCMLOADDATA_5 : out std_logic;
           APUFCMLOADDATA_4 : out std_logic;
           APUFCMLOADDATA_3 : out std_logic;
           APUFCMLOADDATA_2 : out std_logic;
           APUFCMLOADDATA_1 : out std_logic;
           APUFCMLOADDATA_0 : out std_logic;
           APUFCMOPERANDVALID : out std_logic;
           APUFCMLOADDVALID : out std_logic;
           APUFCMFLUSH : out std_logic;
           APUFCMWRITEBACKOK : out std_logic;
           APUFCMLOADBYTEEN_3 : out std_logic;
           APUFCMLOADBYTEEN_2 : out std_logic;
           APUFCMLOADBYTEEN_1 : out std_logic;
           APUFCMLOADBYTEEN_0 : out std_logic;
           APUFCMENDIAN : out std_logic;
           APUFCMXERCA : out std_logic;
           APUFCMDECODED : out std_logic;
           APUFCMDECUDI_2 : out std_logic;
           APUFCMDECUDI_1 : out std_logic;
           APUFCMDECUDI_0 : out std_logic;
           APUFCMDECUDIVALID : out std_logic;
           FCMAPUDONE : in std_logic;
           FCMAPURESULT_31 : in std_logic;
           FCMAPURESULT_30 : in std_logic;
           FCMAPURESULT_29 : in std_logic;
           FCMAPURESULT_28 : in std_logic;
           FCMAPURESULT_27 : in std_logic;
           FCMAPURESULT_26 : in std_logic;
           FCMAPURESULT_25 : in std_logic;
           FCMAPURESULT_24 : in std_logic;
           FCMAPURESULT_23 : in std_logic;
           FCMAPURESULT_22 : in std_logic;
           FCMAPURESULT_21 : in std_logic;
           FCMAPURESULT_20 : in std_logic;
           FCMAPURESULT_19 : in std_logic;
           FCMAPURESULT_18 : in std_logic;
           FCMAPURESULT_17 : in std_logic;
           FCMAPURESULT_16 : in std_logic;
           FCMAPURESULT_15 : in std_logic;
           FCMAPURESULT_14 : in std_logic;
           FCMAPURESULT_13 : in std_logic;
           FCMAPURESULT_12 : in std_logic;
           FCMAPURESULT_11 : in std_logic;
           FCMAPURESULT_10 : in std_logic;
           FCMAPURESULT_9 : in std_logic;
           FCMAPURESULT_8 : in std_logic;
           FCMAPURESULT_7 : in std_logic;
           FCMAPURESULT_6 : in std_logic;
           FCMAPURESULT_5 : in std_logic;
           FCMAPURESULT_4 : in std_logic;
           FCMAPURESULT_3 : in std_logic;
           FCMAPURESULT_2 : in std_logic;
           FCMAPURESULT_1 : in std_logic;
           FCMAPURESULT_0 : in std_logic;
           FCMAPURESULTVALID : in std_logic;
           FCMAPUINSTRACK : in std_logic;
           FCMAPUEXCEPTION : in std_logic;
           FCMAPUXERCA : in std_logic;
           FCMAPUXEROV : in std_logic;
           FCMAPUCR_3 : in std_logic;
           FCMAPUCR_2 : in std_logic;
           FCMAPUCR_1 : in std_logic;
           FCMAPUCR_0 : in std_logic;
           FCMAPUDCDFPUOP : in std_logic;
           FCMAPUDCDGPRWRITE : in std_logic;
           FCMAPUDCDRAEN : in std_logic;
           FCMAPUDCDRBEN : in std_logic;
           FCMAPUDCDLOAD : in std_logic;
           FCMAPUDCDSTORE : in std_logic;
           FCMAPUDCDXERCAEN : in std_logic;
           FCMAPUDCDXEROVEN : in std_logic;
           FCMAPUDCDPRIVOP : in std_logic;
           FCMAPUDCDCREN : in std_logic;
           FCMAPUEXECRFIELD_2 : in std_logic;
           FCMAPUEXECRFIELD_1 : in std_logic;
           FCMAPUEXECRFIELD_0 : in std_logic;
           FCMAPUDCDUPDATE : in std_logic;
           FCMAPUDCDFORCEALIGN : in std_logic;
           FCMAPUDCDFORCEBESTEERING : in std_logic;
           FCMAPUDCDLDSTBYTE : in std_logic;
           FCMAPUDCDLDSTHW : in std_logic;
           FCMAPUDCDLDSTWD : in std_logic;
           FCMAPUDCDLDSTDW : in std_logic;
           FCMAPUDCDLDSTQW : in std_logic;
           FCMAPUDCDTRAPBE : in std_logic;
           FCMAPUDCDTRAPLE : in std_logic;
           FCMAPUEXEBLOCKINGMCO : in std_logic;
           FCMAPUEXENONBLOCKINGMCO : in std_logic;
           FCMAPUSLEEPNOTREADY : in std_logic;
           FCMAPULOADWAIT : in std_logic;
           FCMAPUDECODEBUSY : in std_logic;
           TIEAPUCONTROL_15 : in std_logic;
           TIEAPUCONTROL_14 : in std_logic;
           TIEAPUCONTROL_13 : in std_logic;
           TIEAPUCONTROL_12 : in std_logic;
           TIEAPUCONTROL_11 : in std_logic;
           TIEAPUCONTROL_10 : in std_logic;
           TIEAPUCONTROL_9 : in std_logic;
           TIEAPUCONTROL_8 : in std_logic;
           TIEAPUCONTROL_7 : in std_logic;
           TIEAPUCONTROL_6 : in std_logic;
           TIEAPUCONTROL_5 : in std_logic;
           TIEAPUCONTROL_4 : in std_logic;
           TIEAPUCONTROL_3 : in std_logic;
           TIEAPUCONTROL_2 : in std_logic;
           TIEAPUCONTROL_1 : in std_logic;
           TIEAPUCONTROL_0 : in std_logic;
           TIEAPUUDI1_23 : in std_logic;
           TIEAPUUDI1_22 : in std_logic;
           TIEAPUUDI1_21 : in std_logic;
           TIEAPUUDI1_20 : in std_logic;
           TIEAPUUDI1_19 : in std_logic;
           TIEAPUUDI1_18 : in std_logic;
           TIEAPUUDI1_17 : in std_logic;
           TIEAPUUDI1_16 : in std_logic;
           TIEAPUUDI1_15 : in std_logic;
           TIEAPUUDI1_14 : in std_logic;
           TIEAPUUDI1_13 : in std_logic;
           TIEAPUUDI1_12 : in std_logic;
           TIEAPUUDI1_11 : in std_logic;
           TIEAPUUDI1_10 : in std_logic;
           TIEAPUUDI1_9 : in std_logic;
           TIEAPUUDI1_8 : in std_logic;
           TIEAPUUDI1_7 : in std_logic;
           TIEAPUUDI1_6 : in std_logic;
           TIEAPUUDI1_5 : in std_logic;
           TIEAPUUDI1_4 : in std_logic;
           TIEAPUUDI1_3 : in std_logic;
           TIEAPUUDI1_2 : in std_logic;
           TIEAPUUDI1_1 : in std_logic;
           TIEAPUUDI1_0 : in std_logic;
           TIEAPUUDI2_23 : in std_logic;
           TIEAPUUDI2_22 : in std_logic;
           TIEAPUUDI2_21 : in std_logic;
           TIEAPUUDI2_20 : in std_logic;
           TIEAPUUDI2_19 : in std_logic;
           TIEAPUUDI2_18 : in std_logic;
           TIEAPUUDI2_17 : in std_logic;
           TIEAPUUDI2_16 : in std_logic;
           TIEAPUUDI2_15 : in std_logic;
           TIEAPUUDI2_14 : in std_logic;
           TIEAPUUDI2_13 : in std_logic;
           TIEAPUUDI2_12 : in std_logic;
           TIEAPUUDI2_11 : in std_logic;
           TIEAPUUDI2_10 : in std_logic;
           TIEAPUUDI2_9 : in std_logic;
           TIEAPUUDI2_8 : in std_logic;
           TIEAPUUDI2_7 : in std_logic;
           TIEAPUUDI2_6 : in std_logic;
           TIEAPUUDI2_5 : in std_logic;
           TIEAPUUDI2_4 : in std_logic;
           TIEAPUUDI2_3 : in std_logic;
           TIEAPUUDI2_2 : in std_logic;
           TIEAPUUDI2_1 : in std_logic;
           TIEAPUUDI2_0 : in std_logic;
           TIEAPUUDI3_23 : in std_logic;
           TIEAPUUDI3_22 : in std_logic;
           TIEAPUUDI3_21 : in std_logic;
           TIEAPUUDI3_20 : in std_logic;
           TIEAPUUDI3_19 : in std_logic;
           TIEAPUUDI3_18 : in std_logic;
           TIEAPUUDI3_17 : in std_logic;
           TIEAPUUDI3_16 : in std_logic;
           TIEAPUUDI3_15 : in std_logic;
           TIEAPUUDI3_14 : in std_logic;
           TIEAPUUDI3_13 : in std_logic;
           TIEAPUUDI3_12 : in std_logic;
           TIEAPUUDI3_11 : in std_logic;
           TIEAPUUDI3_10 : in std_logic;
           TIEAPUUDI3_9 : in std_logic;
           TIEAPUUDI3_8 : in std_logic;
           TIEAPUUDI3_7 : in std_logic;
           TIEAPUUDI3_6 : in std_logic;
           TIEAPUUDI3_5 : in std_logic;
           TIEAPUUDI3_4 : in std_logic;
           TIEAPUUDI3_3 : in std_logic;
           TIEAPUUDI3_2 : in std_logic;
           TIEAPUUDI3_1 : in std_logic;
           TIEAPUUDI3_0 : in std_logic;
           TIEAPUUDI4_23 : in std_logic;
           TIEAPUUDI4_22 : in std_logic;
           TIEAPUUDI4_21 : in std_logic;
           TIEAPUUDI4_20 : in std_logic;
           TIEAPUUDI4_19 : in std_logic;
           TIEAPUUDI4_18 : in std_logic;
           TIEAPUUDI4_17 : in std_logic;
           TIEAPUUDI4_16 : in std_logic;
           TIEAPUUDI4_15 : in std_logic;
           TIEAPUUDI4_14 : in std_logic;
           TIEAPUUDI4_13 : in std_logic;
           TIEAPUUDI4_12 : in std_logic;
           TIEAPUUDI4_11 : in std_logic;
           TIEAPUUDI4_10 : in std_logic;
           TIEAPUUDI4_9 : in std_logic;
           TIEAPUUDI4_8 : in std_logic;
           TIEAPUUDI4_7 : in std_logic;
           TIEAPUUDI4_6 : in std_logic;
           TIEAPUUDI4_5 : in std_logic;
           TIEAPUUDI4_4 : in std_logic;
           TIEAPUUDI4_3 : in std_logic;
           TIEAPUUDI4_2 : in std_logic;
           TIEAPUUDI4_1 : in std_logic;
           TIEAPUUDI4_0 : in std_logic;
           TIEAPUUDI5_23 : in std_logic;
           TIEAPUUDI5_22 : in std_logic;
           TIEAPUUDI5_21 : in std_logic;
           TIEAPUUDI5_20 : in std_logic;
           TIEAPUUDI5_19 : in std_logic;
           TIEAPUUDI5_18 : in std_logic;
           TIEAPUUDI5_17 : in std_logic;
           TIEAPUUDI5_16 : in std_logic;
           TIEAPUUDI5_15 : in std_logic;
           TIEAPUUDI5_14 : in std_logic;
           TIEAPUUDI5_13 : in std_logic;
           TIEAPUUDI5_12 : in std_logic;
           TIEAPUUDI5_11 : in std_logic;
           TIEAPUUDI5_10 : in std_logic;
           TIEAPUUDI5_9 : in std_logic;
           TIEAPUUDI5_8 : in std_logic;
           TIEAPUUDI5_7 : in std_logic;
           TIEAPUUDI5_6 : in std_logic;
           TIEAPUUDI5_5 : in std_logic;
           TIEAPUUDI5_4 : in std_logic;
           TIEAPUUDI5_3 : in std_logic;
           TIEAPUUDI5_2 : in std_logic;
           TIEAPUUDI5_1 : in std_logic;
           TIEAPUUDI5_0 : in std_logic;
           TIEAPUUDI6_23 : in std_logic;
           TIEAPUUDI6_22 : in std_logic;
           TIEAPUUDI6_21 : in std_logic;
           TIEAPUUDI6_20 : in std_logic;
           TIEAPUUDI6_19 : in std_logic;
           TIEAPUUDI6_18 : in std_logic;
           TIEAPUUDI6_17 : in std_logic;
           TIEAPUUDI6_16 : in std_logic;
           TIEAPUUDI6_15 : in std_logic;
           TIEAPUUDI6_14 : in std_logic;
           TIEAPUUDI6_13 : in std_logic;
           TIEAPUUDI6_12 : in std_logic;
           TIEAPUUDI6_11 : in std_logic;
           TIEAPUUDI6_10 : in std_logic;
           TIEAPUUDI6_9 : in std_logic;
           TIEAPUUDI6_8 : in std_logic;
           TIEAPUUDI6_7 : in std_logic;
           TIEAPUUDI6_6 : in std_logic;
           TIEAPUUDI6_5 : in std_logic;
           TIEAPUUDI6_4 : in std_logic;
           TIEAPUUDI6_3 : in std_logic;
           TIEAPUUDI6_2 : in std_logic;
           TIEAPUUDI6_1 : in std_logic;
           TIEAPUUDI6_0 : in std_logic;
           TIEAPUUDI7_23 : in std_logic;
           TIEAPUUDI7_22 : in std_logic;
           TIEAPUUDI7_21 : in std_logic;
           TIEAPUUDI7_20 : in std_logic;
           TIEAPUUDI7_19 : in std_logic;
           TIEAPUUDI7_18 : in std_logic;
           TIEAPUUDI7_17 : in std_logic;
           TIEAPUUDI7_16 : in std_logic;
           TIEAPUUDI7_15 : in std_logic;
           TIEAPUUDI7_14 : in std_logic;
           TIEAPUUDI7_13 : in std_logic;
           TIEAPUUDI7_12 : in std_logic;
           TIEAPUUDI7_11 : in std_logic;
           TIEAPUUDI7_10 : in std_logic;
           TIEAPUUDI7_9 : in std_logic;
           TIEAPUUDI7_8 : in std_logic;
           TIEAPUUDI7_7 : in std_logic;
           TIEAPUUDI7_6 : in std_logic;
           TIEAPUUDI7_5 : in std_logic;
           TIEAPUUDI7_4 : in std_logic;
           TIEAPUUDI7_3 : in std_logic;
           TIEAPUUDI7_2 : in std_logic;
           TIEAPUUDI7_1 : in std_logic;
           TIEAPUUDI7_0 : in std_logic;
           TIEAPUUDI8_23 : in std_logic;
           TIEAPUUDI8_22 : in std_logic;
           TIEAPUUDI8_21 : in std_logic;
           TIEAPUUDI8_20 : in std_logic;
           TIEAPUUDI8_19 : in std_logic;
           TIEAPUUDI8_18 : in std_logic;
           TIEAPUUDI8_17 : in std_logic;
           TIEAPUUDI8_16 : in std_logic;
           TIEAPUUDI8_15 : in std_logic;
           TIEAPUUDI8_14 : in std_logic;
           TIEAPUUDI8_13 : in std_logic;
           TIEAPUUDI8_12 : in std_logic;
           TIEAPUUDI8_11 : in std_logic;
           TIEAPUUDI8_10 : in std_logic;
           TIEAPUUDI8_9 : in std_logic;
           TIEAPUUDI8_8 : in std_logic;
           TIEAPUUDI8_7 : in std_logic;
           TIEAPUUDI8_6 : in std_logic;
           TIEAPUUDI8_5 : in std_logic;
           TIEAPUUDI8_4 : in std_logic;
           TIEAPUUDI8_3 : in std_logic;
           TIEAPUUDI8_2 : in std_logic;
           TIEAPUUDI8_1 : in std_logic;
           TIEAPUUDI8_0 : in std_logic );
end;

architecture SmartModel of ppc405_adv_swift is
    attribute FOREIGN : STRING;
    attribute FOREIGN of SmartModel : architecture is "sm_init $ALDEC/BIN/swift.dll ; ppc405_adv_swift";
begin
end SmartModel;
--Notice: timing checks disabled with +notimingcheck at compile-time
library ieee;
use ieee.std_logic_1164.all;
entity ppc405_swift is
    generic ( TimingVersion : STRING := "ppc405_swift";
              DelayRange : STRING := "MAX";
              MC_Reference : STRING := "0000" );
    port ( BUS_CLK : in std_logic;
           BUS_RESET : in std_logic;
           GSR : in std_logic;
           GWE : in std_logic;
           GHIGHB : in std_logic;
           CPMC405CPUCLKEN : in std_logic;
           CPMC405JTAGCLKEN : in std_logic;
           CPMC405TIMERCLKEN : in std_logic;
           C405JTGPGMOUT : out std_logic;
           MCBCPUCLKEN : in std_logic;
           MCBJTAGEN : in std_logic;
           MCBTIMEREN : in std_logic;
           MCPPCRST : in std_logic;
           C405TRCODDEXECUTIONSTATUS_1 : out std_logic;
           C405TRCODDEXECUTIONSTATUS_0 : out std_logic;
           C405TRCEVENEXECUTIONSTATUS_1 : out std_logic;
           C405TRCEVENEXECUTIONSTATUS_0 : out std_logic;
           CPMC405CLOCK : in std_logic;
           CPMC405CORECLKINACTIVE : in std_logic;
           PLBCLK : in std_logic;
           CPMC405TIMERTICK : in std_logic;
           C405CPMMSREE : out std_logic;
           C405CPMMSRCE : out std_logic;
           C405CPMTIMERIRQ : out std_logic;
           C405CPMTIMERRESETREQ : out std_logic;
           C405CPMCORESLEEPREQ : out std_logic;
           TIEC405DISOPERANDFWD : in std_logic;
           TIEC405DETERMINISTICMULT : in std_logic;
           TIEC405MMUEN : in std_logic;
           TIEC405PVR_31 : in std_logic;
           TIEC405PVR_30 : in std_logic;
           TIEC405PVR_29 : in std_logic;
           TIEC405PVR_28 : in std_logic;
           C405XXXMACHINECHECK : out std_logic;
           C405RSTCHIPRESETREQ : out std_logic;
           C405RSTCORERESETREQ : out std_logic;
           C405RSTSYSRESETREQ : out std_logic;
           RSTC405RESETCHIP : in std_logic;
           RSTC405RESETCORE : in std_logic;
           RSTC405RESETSYS : in std_logic;
           C405PLBICUREQUEST : out std_logic;
           C405PLBICUPRIORITY_1 : out std_logic;
           C405PLBICUPRIORITY_0 : out std_logic;
           C405PLBICUCACHEABLE : out std_logic;
           C405PLBICUABUS_29 : out std_logic;
           C405PLBICUABUS_28 : out std_logic;
           C405PLBICUABUS_27 : out std_logic;
           C405PLBICUABUS_26 : out std_logic;
           C405PLBICUABUS_25 : out std_logic;
           C405PLBICUABUS_24 : out std_logic;
           C405PLBICUABUS_23 : out std_logic;
           C405PLBICUABUS_22 : out std_logic;
           C405PLBICUABUS_21 : out std_logic;
           C405PLBICUABUS_20 : out std_logic;
           C405PLBICUABUS_19 : out std_logic;
           C405PLBICUABUS_18 : out std_logic;
           C405PLBICUABUS_17 : out std_logic;
           C405PLBICUABUS_16 : out std_logic;
           C405PLBICUABUS_15 : out std_logic;
           C405PLBICUABUS_14 : out std_logic;
           C405PLBICUABUS_13 : out std_logic;
           C405PLBICUABUS_12 : out std_logic;
           C405PLBICUABUS_11 : out std_logic;
           C405PLBICUABUS_10 : out std_logic;
           C405PLBICUABUS_9 : out std_logic;
           C405PLBICUABUS_8 : out std_logic;
           C405PLBICUABUS_7 : out std_logic;
           C405PLBICUABUS_6 : out std_logic;
           C405PLBICUABUS_5 : out std_logic;
           C405PLBICUABUS_4 : out std_logic;
           C405PLBICUABUS_3 : out std_logic;
           C405PLBICUABUS_2 : out std_logic;
           C405PLBICUABUS_1 : out std_logic;
           C405PLBICUABUS_0 : out std_logic;
           C405PLBICUSIZE_3 : out std_logic;
           C405PLBICUSIZE_2 : out std_logic;
           C405PLBICUABORT : out std_logic;
           C405PLBICUU0ATTR : out std_logic;
           PLBC405ICUADDRACK : in std_logic;
           PLBC405ICUBUSY : in std_logic;
           PLBC405ICUERR : in std_logic;
           PLBC405ICURDDACK : in std_logic;
           PLBC405ICURDDBUS_63 : in std_logic;
           PLBC405ICURDDBUS_62 : in std_logic;
           PLBC405ICURDDBUS_61 : in std_logic;
           PLBC405ICURDDBUS_60 : in std_logic;
           PLBC405ICURDDBUS_59 : in std_logic;
           PLBC405ICURDDBUS_58 : in std_logic;
           PLBC405ICURDDBUS_57 : in std_logic;
           PLBC405ICURDDBUS_56 : in std_logic;
           PLBC405ICURDDBUS_55 : in std_logic;
           PLBC405ICURDDBUS_54 : in std_logic;
           PLBC405ICURDDBUS_53 : in std_logic;
           PLBC405ICURDDBUS_52 : in std_logic;
           PLBC405ICURDDBUS_51 : in std_logic;
           PLBC405ICURDDBUS_50 : in std_logic;
           PLBC405ICURDDBUS_49 : in std_logic;
           PLBC405ICURDDBUS_48 : in std_logic;
           PLBC405ICURDDBUS_47 : in std_logic;
           PLBC405ICURDDBUS_46 : in std_logic;
           PLBC405ICURDDBUS_45 : in std_logic;
           PLBC405ICURDDBUS_44 : in std_logic;
           PLBC405ICURDDBUS_43 : in std_logic;
           PLBC405ICURDDBUS_42 : in std_logic;
           PLBC405ICURDDBUS_41 : in std_logic;
           PLBC405ICURDDBUS_40 : in std_logic;
           PLBC405ICURDDBUS_39 : in std_logic;
           PLBC405ICURDDBUS_38 : in std_logic;
           PLBC405ICURDDBUS_37 : in std_logic;
           PLBC405ICURDDBUS_36 : in std_logic;
           PLBC405ICURDDBUS_35 : in std_logic;
           PLBC405ICURDDBUS_34 : in std_logic;
           PLBC405ICURDDBUS_33 : in std_logic;
           PLBC405ICURDDBUS_32 : in std_logic;
           PLBC405ICURDDBUS_31 : in std_logic;
           PLBC405ICURDDBUS_30 : in std_logic;
           PLBC405ICURDDBUS_29 : in std_logic;
           PLBC405ICURDDBUS_28 : in std_logic;
           PLBC405ICURDDBUS_27 : in std_logic;
           PLBC405ICURDDBUS_26 : in std_logic;
           PLBC405ICURDDBUS_25 : in std_logic;
           PLBC405ICURDDBUS_24 : in std_logic;
           PLBC405ICURDDBUS_23 : in std_logic;
           PLBC405ICURDDBUS_22 : in std_logic;
           PLBC405ICURDDBUS_21 : in std_logic;
           PLBC405ICURDDBUS_20 : in std_logic;
           PLBC405ICURDDBUS_19 : in std_logic;
           PLBC405ICURDDBUS_18 : in std_logic;
           PLBC405ICURDDBUS_17 : in std_logic;
           PLBC405ICURDDBUS_16 : in std_logic;
           PLBC405ICURDDBUS_15 : in std_logic;
           PLBC405ICURDDBUS_14 : in std_logic;
           PLBC405ICURDDBUS_13 : in std_logic;
           PLBC405ICURDDBUS_12 : in std_logic;
           PLBC405ICURDDBUS_11 : in std_logic;
           PLBC405ICURDDBUS_10 : in std_logic;
           PLBC405ICURDDBUS_9 : in std_logic;
           PLBC405ICURDDBUS_8 : in std_logic;
           PLBC405ICURDDBUS_7 : in std_logic;
           PLBC405ICURDDBUS_6 : in std_logic;
           PLBC405ICURDDBUS_5 : in std_logic;
           PLBC405ICURDDBUS_4 : in std_logic;
           PLBC405ICURDDBUS_3 : in std_logic;
           PLBC405ICURDDBUS_2 : in std_logic;
           PLBC405ICURDDBUS_1 : in std_logic;
           PLBC405ICURDDBUS_0 : in std_logic;
           PLBC405ICUSSIZE1 : in std_logic;
           PLBC405ICURDWDADDR_3 : in std_logic;
           PLBC405ICURDWDADDR_2 : in std_logic;
           PLBC405ICURDWDADDR_1 : in std_logic;
           C405PLBDCUREQUEST : out std_logic;
           C405PLBDCURNW : out std_logic;
           C405PLBDCUABUS_31 : out std_logic;
           C405PLBDCUABUS_30 : out std_logic;
           C405PLBDCUABUS_29 : out std_logic;
           C405PLBDCUABUS_28 : out std_logic;
           C405PLBDCUABUS_27 : out std_logic;
           C405PLBDCUABUS_26 : out std_logic;
           C405PLBDCUABUS_25 : out std_logic;
           C405PLBDCUABUS_24 : out std_logic;
           C405PLBDCUABUS_23 : out std_logic;
           C405PLBDCUABUS_22 : out std_logic;
           C405PLBDCUABUS_21 : out std_logic;
           C405PLBDCUABUS_20 : out std_logic;
           C405PLBDCUABUS_19 : out std_logic;
           C405PLBDCUABUS_18 : out std_logic;
           C405PLBDCUABUS_17 : out std_logic;
           C405PLBDCUABUS_16 : out std_logic;
           C405PLBDCUABUS_15 : out std_logic;
           C405PLBDCUABUS_14 : out std_logic;
           C405PLBDCUABUS_13 : out std_logic;
           C405PLBDCUABUS_12 : out std_logic;
           C405PLBDCUABUS_11 : out std_logic;
           C405PLBDCUABUS_10 : out std_logic;
           C405PLBDCUABUS_9 : out std_logic;
           C405PLBDCUABUS_8 : out std_logic;
           C405PLBDCUABUS_7 : out std_logic;
           C405PLBDCUABUS_6 : out std_logic;
           C405PLBDCUABUS_5 : out std_logic;
           C405PLBDCUABUS_4 : out std_logic;
           C405PLBDCUABUS_3 : out std_logic;
           C405PLBDCUABUS_2 : out std_logic;
           C405PLBDCUABUS_1 : out std_logic;
           C405PLBDCUABUS_0 : out std_logic;
           C405PLBDCUBE_7 : out std_logic;
           C405PLBDCUBE_6 : out std_logic;
           C405PLBDCUBE_5 : out std_logic;
           C405PLBDCUBE_4 : out std_logic;
           C405PLBDCUBE_3 : out std_logic;
           C405PLBDCUBE_2 : out std_logic;
           C405PLBDCUBE_1 : out std_logic;
           C405PLBDCUBE_0 : out std_logic;
           C405PLBDCUCACHEABLE : out std_logic;
           C405PLBDCUGUARDED : out std_logic;
           C405PLBDCUPRIORITY_1 : out std_logic;
           C405PLBDCUPRIORITY_0 : out std_logic;
           C405PLBDCUSIZE2 : out std_logic;
           C405PLBDCUABORT : out std_logic;
           C405PLBDCUWRDBUS_63 : out std_logic;
           C405PLBDCUWRDBUS_62 : out std_logic;
           C405PLBDCUWRDBUS_61 : out std_logic;
           C405PLBDCUWRDBUS_60 : out std_logic;
           C405PLBDCUWRDBUS_59 : out std_logic;
           C405PLBDCUWRDBUS_58 : out std_logic;
           C405PLBDCUWRDBUS_57 : out std_logic;
           C405PLBDCUWRDBUS_56 : out std_logic;
           C405PLBDCUWRDBUS_55 : out std_logic;
           C405PLBDCUWRDBUS_54 : out std_logic;
           C405PLBDCUWRDBUS_53 : out std_logic;
           C405PLBDCUWRDBUS_52 : out std_logic;
           C405PLBDCUWRDBUS_51 : out std_logic;
           C405PLBDCUWRDBUS_50 : out std_logic;
           C405PLBDCUWRDBUS_49 : out std_logic;
           C405PLBDCUWRDBUS_48 : out std_logic;
           C405PLBDCUWRDBUS_47 : out std_logic;
           C405PLBDCUWRDBUS_46 : out std_logic;
           C405PLBDCUWRDBUS_45 : out std_logic;
           C405PLBDCUWRDBUS_44 : out std_logic;
           C405PLBDCUWRDBUS_43 : out std_logic;
           C405PLBDCUWRDBUS_42 : out std_logic;
           C405PLBDCUWRDBUS_41 : out std_logic;
           C405PLBDCUWRDBUS_40 : out std_logic;
           C405PLBDCUWRDBUS_39 : out std_logic;
           C405PLBDCUWRDBUS_38 : out std_logic;
           C405PLBDCUWRDBUS_37 : out std_logic;
           C405PLBDCUWRDBUS_36 : out std_logic;
           C405PLBDCUWRDBUS_35 : out std_logic;
           C405PLBDCUWRDBUS_34 : out std_logic;
           C405PLBDCUWRDBUS_33 : out std_logic;
           C405PLBDCUWRDBUS_32 : out std_logic;
           C405PLBDCUWRDBUS_31 : out std_logic;
           C405PLBDCUWRDBUS_30 : out std_logic;
           C405PLBDCUWRDBUS_29 : out std_logic;
           C405PLBDCUWRDBUS_28 : out std_logic;
           C405PLBDCUWRDBUS_27 : out std_logic;
           C405PLBDCUWRDBUS_26 : out std_logic;
           C405PLBDCUWRDBUS_25 : out std_logic;
           C405PLBDCUWRDBUS_24 : out std_logic;
           C405PLBDCUWRDBUS_23 : out std_logic;
           C405PLBDCUWRDBUS_22 : out std_logic;
           C405PLBDCUWRDBUS_21 : out std_logic;
           C405PLBDCUWRDBUS_20 : out std_logic;
           C405PLBDCUWRDBUS_19 : out std_logic;
           C405PLBDCUWRDBUS_18 : out std_logic;
           C405PLBDCUWRDBUS_17 : out std_logic;
           C405PLBDCUWRDBUS_16 : out std_logic;
           C405PLBDCUWRDBUS_15 : out std_logic;
           C405PLBDCUWRDBUS_14 : out std_logic;
           C405PLBDCUWRDBUS_13 : out std_logic;
           C405PLBDCUWRDBUS_12 : out std_logic;
           C405PLBDCUWRDBUS_11 : out std_logic;
           C405PLBDCUWRDBUS_10 : out std_logic;
           C405PLBDCUWRDBUS_9 : out std_logic;
           C405PLBDCUWRDBUS_8 : out std_logic;
           C405PLBDCUWRDBUS_7 : out std_logic;
           C405PLBDCUWRDBUS_6 : out std_logic;
           C405PLBDCUWRDBUS_5 : out std_logic;
           C405PLBDCUWRDBUS_4 : out std_logic;
           C405PLBDCUWRDBUS_3 : out std_logic;
           C405PLBDCUWRDBUS_2 : out std_logic;
           C405PLBDCUWRDBUS_1 : out std_logic;
           C405PLBDCUWRDBUS_0 : out std_logic;
           C405PLBDCUU0ATTR : out std_logic;
           C405PLBDCUWRITETHRU : out std_logic;
           PLBC405DCUADDRACK : in std_logic;
           PLBC405DCUBUSY : in std_logic;
           PLBC405DCUERR : in std_logic;
           PLBC405DCURDDACK : in std_logic;
           PLBC405DCURDDBUS_63 : in std_logic;
           PLBC405DCURDDBUS_62 : in std_logic;
           PLBC405DCURDDBUS_61 : in std_logic;
           PLBC405DCURDDBUS_60 : in std_logic;
           PLBC405DCURDDBUS_59 : in std_logic;
           PLBC405DCURDDBUS_58 : in std_logic;
           PLBC405DCURDDBUS_57 : in std_logic;
           PLBC405DCURDDBUS_56 : in std_logic;
           PLBC405DCURDDBUS_55 : in std_logic;
           PLBC405DCURDDBUS_54 : in std_logic;
           PLBC405DCURDDBUS_53 : in std_logic;
           PLBC405DCURDDBUS_52 : in std_logic;
           PLBC405DCURDDBUS_51 : in std_logic;
           PLBC405DCURDDBUS_50 : in std_logic;
           PLBC405DCURDDBUS_49 : in std_logic;
           PLBC405DCURDDBUS_48 : in std_logic;
           PLBC405DCURDDBUS_47 : in std_logic;
           PLBC405DCURDDBUS_46 : in std_logic;
           PLBC405DCURDDBUS_45 : in std_logic;
           PLBC405DCURDDBUS_44 : in std_logic;
           PLBC405DCURDDBUS_43 : in std_logic;
           PLBC405DCURDDBUS_42 : in std_logic;
           PLBC405DCURDDBUS_41 : in std_logic;
           PLBC405DCURDDBUS_40 : in std_logic;
           PLBC405DCURDDBUS_39 : in std_logic;
           PLBC405DCURDDBUS_38 : in std_logic;
           PLBC405DCURDDBUS_37 : in std_logic;
           PLBC405DCURDDBUS_36 : in std_logic;
           PLBC405DCURDDBUS_35 : in std_logic;
           PLBC405DCURDDBUS_34 : in std_logic;
           PLBC405DCURDDBUS_33 : in std_logic;
           PLBC405DCURDDBUS_32 : in std_logic;
           PLBC405DCURDDBUS_31 : in std_logic;
           PLBC405DCURDDBUS_30 : in std_logic;
           PLBC405DCURDDBUS_29 : in std_logic;
           PLBC405DCURDDBUS_28 : in std_logic;
           PLBC405DCURDDBUS_27 : in std_logic;
           PLBC405DCURDDBUS_26 : in std_logic;
           PLBC405DCURDDBUS_25 : in std_logic;
           PLBC405DCURDDBUS_24 : in std_logic;
           PLBC405DCURDDBUS_23 : in std_logic;
           PLBC405DCURDDBUS_22 : in std_logic;
           PLBC405DCURDDBUS_21 : in std_logic;
           PLBC405DCURDDBUS_20 : in std_logic;
           PLBC405DCURDDBUS_19 : in std_logic;
           PLBC405DCURDDBUS_18 : in std_logic;
           PLBC405DCURDDBUS_17 : in std_logic;
           PLBC405DCURDDBUS_16 : in std_logic;
           PLBC405DCURDDBUS_15 : in std_logic;
           PLBC405DCURDDBUS_14 : in std_logic;
           PLBC405DCURDDBUS_13 : in std_logic;
           PLBC405DCURDDBUS_12 : in std_logic;
           PLBC405DCURDDBUS_11 : in std_logic;
           PLBC405DCURDDBUS_10 : in std_logic;
           PLBC405DCURDDBUS_9 : in std_logic;
           PLBC405DCURDDBUS_8 : in std_logic;
           PLBC405DCURDDBUS_7 : in std_logic;
           PLBC405DCURDDBUS_6 : in std_logic;
           PLBC405DCURDDBUS_5 : in std_logic;
           PLBC405DCURDDBUS_4 : in std_logic;
           PLBC405DCURDDBUS_3 : in std_logic;
           PLBC405DCURDDBUS_2 : in std_logic;
           PLBC405DCURDDBUS_1 : in std_logic;
           PLBC405DCURDDBUS_0 : in std_logic;
           PLBC405DCURDWDADDR_3 : in std_logic;
           PLBC405DCURDWDADDR_2 : in std_logic;
           PLBC405DCURDWDADDR_1 : in std_logic;
           PLBC405DCUSSIZE1 : in std_logic;
           PLBC405DCUWRDACK : in std_logic;
           ISOCMBRAMRDABUS_28 : out std_logic;
           ISOCMBRAMRDABUS_27 : out std_logic;
           ISOCMBRAMRDABUS_26 : out std_logic;
           ISOCMBRAMRDABUS_25 : out std_logic;
           ISOCMBRAMRDABUS_24 : out std_logic;
           ISOCMBRAMRDABUS_23 : out std_logic;
           ISOCMBRAMRDABUS_22 : out std_logic;
           ISOCMBRAMRDABUS_21 : out std_logic;
           ISOCMBRAMRDABUS_20 : out std_logic;
           ISOCMBRAMRDABUS_19 : out std_logic;
           ISOCMBRAMRDABUS_18 : out std_logic;
           ISOCMBRAMRDABUS_17 : out std_logic;
           ISOCMBRAMRDABUS_16 : out std_logic;
           ISOCMBRAMRDABUS_15 : out std_logic;
           ISOCMBRAMRDABUS_14 : out std_logic;
           ISOCMBRAMRDABUS_13 : out std_logic;
           ISOCMBRAMRDABUS_12 : out std_logic;
           ISOCMBRAMRDABUS_11 : out std_logic;
           ISOCMBRAMRDABUS_10 : out std_logic;
           ISOCMBRAMRDABUS_9 : out std_logic;
           ISOCMBRAMRDABUS_8 : out std_logic;
           ISOCMBRAMWRABUS_28 : out std_logic;
           ISOCMBRAMWRABUS_27 : out std_logic;
           ISOCMBRAMWRABUS_26 : out std_logic;
           ISOCMBRAMWRABUS_25 : out std_logic;
           ISOCMBRAMWRABUS_24 : out std_logic;
           ISOCMBRAMWRABUS_23 : out std_logic;
           ISOCMBRAMWRABUS_22 : out std_logic;
           ISOCMBRAMWRABUS_21 : out std_logic;
           ISOCMBRAMWRABUS_20 : out std_logic;
           ISOCMBRAMWRABUS_19 : out std_logic;
           ISOCMBRAMWRABUS_18 : out std_logic;
           ISOCMBRAMWRABUS_17 : out std_logic;
           ISOCMBRAMWRABUS_16 : out std_logic;
           ISOCMBRAMWRABUS_15 : out std_logic;
           ISOCMBRAMWRABUS_14 : out std_logic;
           ISOCMBRAMWRABUS_13 : out std_logic;
           ISOCMBRAMWRABUS_12 : out std_logic;
           ISOCMBRAMWRABUS_11 : out std_logic;
           ISOCMBRAMWRABUS_10 : out std_logic;
           ISOCMBRAMWRABUS_9 : out std_logic;
           ISOCMBRAMWRABUS_8 : out std_logic;
           ISOCMBRAMEN : out std_logic;
           ISOCMBRAMODDWRITEEN : out std_logic;
           ISOCMBRAMEVENWRITEEN : out std_logic;
           ISOCMBRAMWRDBUS_31 : out std_logic;
           ISOCMBRAMWRDBUS_30 : out std_logic;
           ISOCMBRAMWRDBUS_29 : out std_logic;
           ISOCMBRAMWRDBUS_28 : out std_logic;
           ISOCMBRAMWRDBUS_27 : out std_logic;
           ISOCMBRAMWRDBUS_26 : out std_logic;
           ISOCMBRAMWRDBUS_25 : out std_logic;
           ISOCMBRAMWRDBUS_24 : out std_logic;
           ISOCMBRAMWRDBUS_23 : out std_logic;
           ISOCMBRAMWRDBUS_22 : out std_logic;
           ISOCMBRAMWRDBUS_21 : out std_logic;
           ISOCMBRAMWRDBUS_20 : out std_logic;
           ISOCMBRAMWRDBUS_19 : out std_logic;
           ISOCMBRAMWRDBUS_18 : out std_logic;
           ISOCMBRAMWRDBUS_17 : out std_logic;
           ISOCMBRAMWRDBUS_16 : out std_logic;
           ISOCMBRAMWRDBUS_15 : out std_logic;
           ISOCMBRAMWRDBUS_14 : out std_logic;
           ISOCMBRAMWRDBUS_13 : out std_logic;
           ISOCMBRAMWRDBUS_12 : out std_logic;
           ISOCMBRAMWRDBUS_11 : out std_logic;
           ISOCMBRAMWRDBUS_10 : out std_logic;
           ISOCMBRAMWRDBUS_9 : out std_logic;
           ISOCMBRAMWRDBUS_8 : out std_logic;
           ISOCMBRAMWRDBUS_7 : out std_logic;
           ISOCMBRAMWRDBUS_6 : out std_logic;
           ISOCMBRAMWRDBUS_5 : out std_logic;
           ISOCMBRAMWRDBUS_4 : out std_logic;
           ISOCMBRAMWRDBUS_3 : out std_logic;
           ISOCMBRAMWRDBUS_2 : out std_logic;
           ISOCMBRAMWRDBUS_1 : out std_logic;
           ISOCMBRAMWRDBUS_0 : out std_logic;
           BRAMISOCMRDDBUS_63 : in std_logic;
           BRAMISOCMRDDBUS_62 : in std_logic;
           BRAMISOCMRDDBUS_61 : in std_logic;
           BRAMISOCMRDDBUS_60 : in std_logic;
           BRAMISOCMRDDBUS_59 : in std_logic;
           BRAMISOCMRDDBUS_58 : in std_logic;
           BRAMISOCMRDDBUS_57 : in std_logic;
           BRAMISOCMRDDBUS_56 : in std_logic;
           BRAMISOCMRDDBUS_55 : in std_logic;
           BRAMISOCMRDDBUS_54 : in std_logic;
           BRAMISOCMRDDBUS_53 : in std_logic;
           BRAMISOCMRDDBUS_52 : in std_logic;
           BRAMISOCMRDDBUS_51 : in std_logic;
           BRAMISOCMRDDBUS_50 : in std_logic;
           BRAMISOCMRDDBUS_49 : in std_logic;
           BRAMISOCMRDDBUS_48 : in std_logic;
           BRAMISOCMRDDBUS_47 : in std_logic;
           BRAMISOCMRDDBUS_46 : in std_logic;
           BRAMISOCMRDDBUS_45 : in std_logic;
           BRAMISOCMRDDBUS_44 : in std_logic;
           BRAMISOCMRDDBUS_43 : in std_logic;
           BRAMISOCMRDDBUS_42 : in std_logic;
           BRAMISOCMRDDBUS_41 : in std_logic;
           BRAMISOCMRDDBUS_40 : in std_logic;
           BRAMISOCMRDDBUS_39 : in std_logic;
           BRAMISOCMRDDBUS_38 : in std_logic;
           BRAMISOCMRDDBUS_37 : in std_logic;
           BRAMISOCMRDDBUS_36 : in std_logic;
           BRAMISOCMRDDBUS_35 : in std_logic;
           BRAMISOCMRDDBUS_34 : in std_logic;
           BRAMISOCMRDDBUS_33 : in std_logic;
           BRAMISOCMRDDBUS_32 : in std_logic;
           BRAMISOCMRDDBUS_31 : in std_logic;
           BRAMISOCMRDDBUS_30 : in std_logic;
           BRAMISOCMRDDBUS_29 : in std_logic;
           BRAMISOCMRDDBUS_28 : in std_logic;
           BRAMISOCMRDDBUS_27 : in std_logic;
           BRAMISOCMRDDBUS_26 : in std_logic;
           BRAMISOCMRDDBUS_25 : in std_logic;
           BRAMISOCMRDDBUS_24 : in std_logic;
           BRAMISOCMRDDBUS_23 : in std_logic;
           BRAMISOCMRDDBUS_22 : in std_logic;
           BRAMISOCMRDDBUS_21 : in std_logic;
           BRAMISOCMRDDBUS_20 : in std_logic;
           BRAMISOCMRDDBUS_19 : in std_logic;
           BRAMISOCMRDDBUS_18 : in std_logic;
           BRAMISOCMRDDBUS_17 : in std_logic;
           BRAMISOCMRDDBUS_16 : in std_logic;
           BRAMISOCMRDDBUS_15 : in std_logic;
           BRAMISOCMRDDBUS_14 : in std_logic;
           BRAMISOCMRDDBUS_13 : in std_logic;
           BRAMISOCMRDDBUS_12 : in std_logic;
           BRAMISOCMRDDBUS_11 : in std_logic;
           BRAMISOCMRDDBUS_10 : in std_logic;
           BRAMISOCMRDDBUS_9 : in std_logic;
           BRAMISOCMRDDBUS_8 : in std_logic;
           BRAMISOCMRDDBUS_7 : in std_logic;
           BRAMISOCMRDDBUS_6 : in std_logic;
           BRAMISOCMRDDBUS_5 : in std_logic;
           BRAMISOCMRDDBUS_4 : in std_logic;
           BRAMISOCMRDDBUS_3 : in std_logic;
           BRAMISOCMRDDBUS_2 : in std_logic;
           BRAMISOCMRDDBUS_1 : in std_logic;
           BRAMISOCMRDDBUS_0 : in std_logic;
           TIEISOCMDCRADDR_7 : in std_logic;
           TIEISOCMDCRADDR_6 : in std_logic;
           TIEISOCMDCRADDR_5 : in std_logic;
           TIEISOCMDCRADDR_4 : in std_logic;
           TIEISOCMDCRADDR_3 : in std_logic;
           TIEISOCMDCRADDR_2 : in std_logic;
           TIEISOCMDCRADDR_1 : in std_logic;
           TIEISOCMDCRADDR_0 : in std_logic;
           ISARCVALUE_7 : in std_logic;
           ISARCVALUE_6 : in std_logic;
           ISARCVALUE_5 : in std_logic;
           ISARCVALUE_4 : in std_logic;
           ISARCVALUE_3 : in std_logic;
           ISARCVALUE_2 : in std_logic;
           ISARCVALUE_1 : in std_logic;
           ISARCVALUE_0 : in std_logic;
           ISCNTLVALUE_7 : in std_logic;
           ISCNTLVALUE_6 : in std_logic;
           ISCNTLVALUE_5 : in std_logic;
           ISCNTLVALUE_4 : in std_logic;
           ISCNTLVALUE_3 : in std_logic;
           ISCNTLVALUE_2 : in std_logic;
           ISCNTLVALUE_1 : in std_logic;
           ISCNTLVALUE_0 : in std_logic;
           BRAMISOCMCLK : in std_logic;
           DSOCMBRAMABUS_29 : out std_logic;
           DSOCMBRAMABUS_28 : out std_logic;
           DSOCMBRAMABUS_27 : out std_logic;
           DSOCMBRAMABUS_26 : out std_logic;
           DSOCMBRAMABUS_25 : out std_logic;
           DSOCMBRAMABUS_24 : out std_logic;
           DSOCMBRAMABUS_23 : out std_logic;
           DSOCMBRAMABUS_22 : out std_logic;
           DSOCMBRAMABUS_21 : out std_logic;
           DSOCMBRAMABUS_20 : out std_logic;
           DSOCMBRAMABUS_19 : out std_logic;
           DSOCMBRAMABUS_18 : out std_logic;
           DSOCMBRAMABUS_17 : out std_logic;
           DSOCMBRAMABUS_16 : out std_logic;
           DSOCMBRAMABUS_15 : out std_logic;
           DSOCMBRAMABUS_14 : out std_logic;
           DSOCMBRAMABUS_13 : out std_logic;
           DSOCMBRAMABUS_12 : out std_logic;
           DSOCMBRAMABUS_11 : out std_logic;
           DSOCMBRAMABUS_10 : out std_logic;
           DSOCMBRAMABUS_9 : out std_logic;
           DSOCMBRAMABUS_8 : out std_logic;
           DSOCMBRAMBYTEWRITE_3 : out std_logic;
           DSOCMBRAMBYTEWRITE_2 : out std_logic;
           DSOCMBRAMBYTEWRITE_1 : out std_logic;
           DSOCMBRAMBYTEWRITE_0 : out std_logic;
           DSOCMBRAMEN : out std_logic;
           DSOCMBRAMWRDBUS_31 : out std_logic;
           DSOCMBRAMWRDBUS_30 : out std_logic;
           DSOCMBRAMWRDBUS_29 : out std_logic;
           DSOCMBRAMWRDBUS_28 : out std_logic;
           DSOCMBRAMWRDBUS_27 : out std_logic;
           DSOCMBRAMWRDBUS_26 : out std_logic;
           DSOCMBRAMWRDBUS_25 : out std_logic;
           DSOCMBRAMWRDBUS_24 : out std_logic;
           DSOCMBRAMWRDBUS_23 : out std_logic;
           DSOCMBRAMWRDBUS_22 : out std_logic;
           DSOCMBRAMWRDBUS_21 : out std_logic;
           DSOCMBRAMWRDBUS_20 : out std_logic;
           DSOCMBRAMWRDBUS_19 : out std_logic;
           DSOCMBRAMWRDBUS_18 : out std_logic;
           DSOCMBRAMWRDBUS_17 : out std_logic;
           DSOCMBRAMWRDBUS_16 : out std_logic;
           DSOCMBRAMWRDBUS_15 : out std_logic;
           DSOCMBRAMWRDBUS_14 : out std_logic;
           DSOCMBRAMWRDBUS_13 : out std_logic;
           DSOCMBRAMWRDBUS_12 : out std_logic;
           DSOCMBRAMWRDBUS_11 : out std_logic;
           DSOCMBRAMWRDBUS_10 : out std_logic;
           DSOCMBRAMWRDBUS_9 : out std_logic;
           DSOCMBRAMWRDBUS_8 : out std_logic;
           DSOCMBRAMWRDBUS_7 : out std_logic;
           DSOCMBRAMWRDBUS_6 : out std_logic;
           DSOCMBRAMWRDBUS_5 : out std_logic;
           DSOCMBRAMWRDBUS_4 : out std_logic;
           DSOCMBRAMWRDBUS_3 : out std_logic;
           DSOCMBRAMWRDBUS_2 : out std_logic;
           DSOCMBRAMWRDBUS_1 : out std_logic;
           DSOCMBRAMWRDBUS_0 : out std_logic;
           BRAMDSOCMRDDBUS_31 : in std_logic;
           BRAMDSOCMRDDBUS_30 : in std_logic;
           BRAMDSOCMRDDBUS_29 : in std_logic;
           BRAMDSOCMRDDBUS_28 : in std_logic;
           BRAMDSOCMRDDBUS_27 : in std_logic;
           BRAMDSOCMRDDBUS_26 : in std_logic;
           BRAMDSOCMRDDBUS_25 : in std_logic;
           BRAMDSOCMRDDBUS_24 : in std_logic;
           BRAMDSOCMRDDBUS_23 : in std_logic;
           BRAMDSOCMRDDBUS_22 : in std_logic;
           BRAMDSOCMRDDBUS_21 : in std_logic;
           BRAMDSOCMRDDBUS_20 : in std_logic;
           BRAMDSOCMRDDBUS_19 : in std_logic;
           BRAMDSOCMRDDBUS_18 : in std_logic;
           BRAMDSOCMRDDBUS_17 : in std_logic;
           BRAMDSOCMRDDBUS_16 : in std_logic;
           BRAMDSOCMRDDBUS_15 : in std_logic;
           BRAMDSOCMRDDBUS_14 : in std_logic;
           BRAMDSOCMRDDBUS_13 : in std_logic;
           BRAMDSOCMRDDBUS_12 : in std_logic;
           BRAMDSOCMRDDBUS_11 : in std_logic;
           BRAMDSOCMRDDBUS_10 : in std_logic;
           BRAMDSOCMRDDBUS_9 : in std_logic;
           BRAMDSOCMRDDBUS_8 : in std_logic;
           BRAMDSOCMRDDBUS_7 : in std_logic;
           BRAMDSOCMRDDBUS_6 : in std_logic;
           BRAMDSOCMRDDBUS_5 : in std_logic;
           BRAMDSOCMRDDBUS_4 : in std_logic;
           BRAMDSOCMRDDBUS_3 : in std_logic;
           BRAMDSOCMRDDBUS_2 : in std_logic;
           BRAMDSOCMRDDBUS_1 : in std_logic;
           BRAMDSOCMRDDBUS_0 : in std_logic;
           DSOCMBUSY : out std_logic;
           TIEDSOCMDCRADDR_7 : in std_logic;
           TIEDSOCMDCRADDR_6 : in std_logic;
           TIEDSOCMDCRADDR_5 : in std_logic;
           TIEDSOCMDCRADDR_4 : in std_logic;
           TIEDSOCMDCRADDR_3 : in std_logic;
           TIEDSOCMDCRADDR_2 : in std_logic;
           TIEDSOCMDCRADDR_1 : in std_logic;
           TIEDSOCMDCRADDR_0 : in std_logic;
           DSARCVALUE_7 : in std_logic;
           DSARCVALUE_6 : in std_logic;
           DSARCVALUE_5 : in std_logic;
           DSARCVALUE_4 : in std_logic;
           DSARCVALUE_3 : in std_logic;
           DSARCVALUE_2 : in std_logic;
           DSARCVALUE_1 : in std_logic;
           DSARCVALUE_0 : in std_logic;
           DSCNTLVALUE_7 : in std_logic;
           DSCNTLVALUE_6 : in std_logic;
           DSCNTLVALUE_5 : in std_logic;
           DSCNTLVALUE_4 : in std_logic;
           DSCNTLVALUE_3 : in std_logic;
           DSCNTLVALUE_2 : in std_logic;
           DSCNTLVALUE_1 : in std_logic;
           DSCNTLVALUE_0 : in std_logic;
           BRAMDSOCMCLK : in std_logic;
           C405DCRREAD : out std_logic;
           C405DCRWRITE : out std_logic;
           C405DCRABUS_9 : out std_logic;
           C405DCRABUS_8 : out std_logic;
           C405DCRABUS_7 : out std_logic;
           C405DCRABUS_6 : out std_logic;
           C405DCRABUS_5 : out std_logic;
           C405DCRABUS_4 : out std_logic;
           C405DCRABUS_3 : out std_logic;
           C405DCRABUS_2 : out std_logic;
           C405DCRABUS_1 : out std_logic;
           C405DCRABUS_0 : out std_logic;
           C405DCRDBUSOUT_31 : out std_logic;
           C405DCRDBUSOUT_30 : out std_logic;
           C405DCRDBUSOUT_29 : out std_logic;
           C405DCRDBUSOUT_28 : out std_logic;
           C405DCRDBUSOUT_27 : out std_logic;
           C405DCRDBUSOUT_26 : out std_logic;
           C405DCRDBUSOUT_25 : out std_logic;
           C405DCRDBUSOUT_24 : out std_logic;
           C405DCRDBUSOUT_23 : out std_logic;
           C405DCRDBUSOUT_22 : out std_logic;
           C405DCRDBUSOUT_21 : out std_logic;
           C405DCRDBUSOUT_20 : out std_logic;
           C405DCRDBUSOUT_19 : out std_logic;
           C405DCRDBUSOUT_18 : out std_logic;
           C405DCRDBUSOUT_17 : out std_logic;
           C405DCRDBUSOUT_16 : out std_logic;
           C405DCRDBUSOUT_15 : out std_logic;
           C405DCRDBUSOUT_14 : out std_logic;
           C405DCRDBUSOUT_13 : out std_logic;
           C405DCRDBUSOUT_12 : out std_logic;
           C405DCRDBUSOUT_11 : out std_logic;
           C405DCRDBUSOUT_10 : out std_logic;
           C405DCRDBUSOUT_9 : out std_logic;
           C405DCRDBUSOUT_8 : out std_logic;
           C405DCRDBUSOUT_7 : out std_logic;
           C405DCRDBUSOUT_6 : out std_logic;
           C405DCRDBUSOUT_5 : out std_logic;
           C405DCRDBUSOUT_4 : out std_logic;
           C405DCRDBUSOUT_3 : out std_logic;
           C405DCRDBUSOUT_2 : out std_logic;
           C405DCRDBUSOUT_1 : out std_logic;
           C405DCRDBUSOUT_0 : out std_logic;
           DCRC405ACK : in std_logic;
           DCRC405DBUSIN_31 : in std_logic;
           DCRC405DBUSIN_30 : in std_logic;
           DCRC405DBUSIN_29 : in std_logic;
           DCRC405DBUSIN_28 : in std_logic;
           DCRC405DBUSIN_27 : in std_logic;
           DCRC405DBUSIN_26 : in std_logic;
           DCRC405DBUSIN_25 : in std_logic;
           DCRC405DBUSIN_24 : in std_logic;
           DCRC405DBUSIN_23 : in std_logic;
           DCRC405DBUSIN_22 : in std_logic;
           DCRC405DBUSIN_21 : in std_logic;
           DCRC405DBUSIN_20 : in std_logic;
           DCRC405DBUSIN_19 : in std_logic;
           DCRC405DBUSIN_18 : in std_logic;
           DCRC405DBUSIN_17 : in std_logic;
           DCRC405DBUSIN_16 : in std_logic;
           DCRC405DBUSIN_15 : in std_logic;
           DCRC405DBUSIN_14 : in std_logic;
           DCRC405DBUSIN_13 : in std_logic;
           DCRC405DBUSIN_12 : in std_logic;
           DCRC405DBUSIN_11 : in std_logic;
           DCRC405DBUSIN_10 : in std_logic;
           DCRC405DBUSIN_9 : in std_logic;
           DCRC405DBUSIN_8 : in std_logic;
           DCRC405DBUSIN_7 : in std_logic;
           DCRC405DBUSIN_6 : in std_logic;
           DCRC405DBUSIN_5 : in std_logic;
           DCRC405DBUSIN_4 : in std_logic;
           DCRC405DBUSIN_3 : in std_logic;
           DCRC405DBUSIN_2 : in std_logic;
           DCRC405DBUSIN_1 : in std_logic;
           DCRC405DBUSIN_0 : in std_logic;
           EICC405EXTINPUTIRQ : in std_logic;
           EICC405CRITINPUTIRQ : in std_logic;
           JTGC405BNDSCANTDO : in std_logic;
           JTGC405TCK : in std_logic;
           JTGC405TDI : in std_logic;
           JTGC405TMS : in std_logic;
           JTGC405TRSTNEG : in std_logic;
           C405JTGTDO : out std_logic;
           C405JTGTDOEN : out std_logic;
           C405JTGEXTEST : out std_logic;
           C405JTGCAPTUREDR : out std_logic;
           C405JTGSHIFTDR : out std_logic;
           C405JTGUPDATEDR : out std_logic;
           DBGC405DEBUGHALT : in std_logic;
           DBGC405UNCONDDEBUGEVENT : in std_logic;
           DBGC405EXTBUSHOLDACK : in std_logic;
           C405DBGMSRWE : out std_logic;
           C405DBGSTOPACK : out std_logic;
           C405DBGWBCOMPLETE : out std_logic;
           C405DBGWBFULL : out std_logic;
           C405DBGWBIAR_29 : out std_logic;
           C405DBGWBIAR_28 : out std_logic;
           C405DBGWBIAR_27 : out std_logic;
           C405DBGWBIAR_26 : out std_logic;
           C405DBGWBIAR_25 : out std_logic;
           C405DBGWBIAR_24 : out std_logic;
           C405DBGWBIAR_23 : out std_logic;
           C405DBGWBIAR_22 : out std_logic;
           C405DBGWBIAR_21 : out std_logic;
           C405DBGWBIAR_20 : out std_logic;
           C405DBGWBIAR_19 : out std_logic;
           C405DBGWBIAR_18 : out std_logic;
           C405DBGWBIAR_17 : out std_logic;
           C405DBGWBIAR_16 : out std_logic;
           C405DBGWBIAR_15 : out std_logic;
           C405DBGWBIAR_14 : out std_logic;
           C405DBGWBIAR_13 : out std_logic;
           C405DBGWBIAR_12 : out std_logic;
           C405DBGWBIAR_11 : out std_logic;
           C405DBGWBIAR_10 : out std_logic;
           C405DBGWBIAR_9 : out std_logic;
           C405DBGWBIAR_8 : out std_logic;
           C405DBGWBIAR_7 : out std_logic;
           C405DBGWBIAR_6 : out std_logic;
           C405DBGWBIAR_5 : out std_logic;
           C405DBGWBIAR_4 : out std_logic;
           C405DBGWBIAR_3 : out std_logic;
           C405DBGWBIAR_2 : out std_logic;
           C405DBGWBIAR_1 : out std_logic;
           C405DBGWBIAR_0 : out std_logic;
           C405TRCTRIGGEREVENTOUT : out std_logic;
           C405TRCTRIGGEREVENTTYPE_10 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_9 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_8 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_7 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_6 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_5 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_4 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_3 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_2 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_1 : out std_logic;
           C405TRCTRIGGEREVENTTYPE_0 : out std_logic;
           C405TRCCYCLE : out std_logic;
           C405TRCTRACESTATUS_3 : out std_logic;
           C405TRCTRACESTATUS_2 : out std_logic;
           C405TRCTRACESTATUS_1 : out std_logic;
           C405TRCTRACESTATUS_0 : out std_logic;
           TRCC405TRACEDISABLE : in std_logic;
           TRCC405TRIGGEREVENTIN : in std_logic );
end;

architecture SmartModel of ppc405_swift is
    attribute FOREIGN : STRING;
    attribute FOREIGN of SmartModel : architecture is "sm_init $ALDEC/BIN/swift.dll ; ppc405_swift";
begin
end SmartModel;

--Notice: timing checks disabled with +notimingcheck at compile-time
library ieee;
use ieee.std_logic_1164.all;
entity temac_swift is
    generic ( TimingVersion : STRING := "temac_swift";
              DelayRange : STRING := "MAX";
              MC_Reference : STRING := "0000" );
    port ( RESET : in std_logic;
           PHYEMAC0GTXCLK : in std_logic;
           EMAC0PHYTXCLK : out std_logic;
           EMAC0PHYTXD_0 : out std_logic;
           EMAC0PHYTXD_1 : out std_logic;
           EMAC0PHYTXD_2 : out std_logic;
           EMAC0PHYTXD_3 : out std_logic;
           EMAC0PHYTXD_4 : out std_logic;
           EMAC0PHYTXD_5 : out std_logic;
           EMAC0PHYTXD_6 : out std_logic;
           EMAC0PHYTXD_7 : out std_logic;
           EMAC0PHYTXEN : out std_logic;
           EMAC0PHYTXER : out std_logic;
           PHYEMAC0RXCLK : in std_logic;
           PHYEMAC0CRS : in std_logic;
           PHYEMAC0COL : in std_logic;
           PHYEMAC0RXD_0 : in std_logic;
           PHYEMAC0RXD_1 : in std_logic;
           PHYEMAC0RXD_2 : in std_logic;
           PHYEMAC0RXD_3 : in std_logic;
           PHYEMAC0RXD_4 : in std_logic;
           PHYEMAC0RXD_5 : in std_logic;
           PHYEMAC0RXD_6 : in std_logic;
           PHYEMAC0RXD_7 : in std_logic;
           PHYEMAC0RXDV : in std_logic;
           PHYEMAC0RXER : in std_logic;
           PHYEMAC0RXCOMMADET : in std_logic;
           PHYEMAC0RXCHECKINGCRC : in std_logic;
           PHYEMAC0RXNOTINTABLE : in std_logic;
           PHYEMAC0RXDISPERR : in std_logic;
           PHYEMAC0RXCHARISK : in std_logic;
           PHYEMAC0RXCHARISCOMMA : in std_logic;
           PHYEMAC0RXRUNDISP : in std_logic;
           PHYEMAC0RXBUFSTATUS_0 : in std_logic;
           PHYEMAC0RXBUFSTATUS_1 : in std_logic;
           PHYEMAC0RXBUFERR : in std_logic;
           PHYEMAC0RXLOSSOFSYNC_0 : in std_logic;
           PHYEMAC0RXLOSSOFSYNC_1 : in std_logic;
           PHYEMAC0TXBUFERR : in std_logic;
           EMAC0PHYTXCHARISK : out std_logic;
           EMAC0PHYTXCHARDISPMODE : out std_logic;
           EMAC0PHYTXCHARDISPVAL : out std_logic;
           EMAC0PHYLOOPBACKMSB : out std_logic;
           EMAC0PHYMCLKOUT : out std_logic;
           PHYEMAC0MCLKIN : in std_logic;
           EMAC0PHYMDTRI : out std_logic;
           EMAC0PHYMDOUT : out std_logic;
           PHYEMAC0MDIN : in std_logic;
           PHYEMAC0PHYAD_0 : in std_logic;
           PHYEMAC0PHYAD_1 : in std_logic;
           PHYEMAC0PHYAD_2 : in std_logic;
           PHYEMAC0PHYAD_3 : in std_logic;
           PHYEMAC0PHYAD_4 : in std_logic;
           CLIENTEMAC0TXD_0 : in std_logic;
           CLIENTEMAC0TXD_1 : in std_logic;
           CLIENTEMAC0TXD_2 : in std_logic;
           CLIENTEMAC0TXD_3 : in std_logic;
           CLIENTEMAC0TXD_4 : in std_logic;
           CLIENTEMAC0TXD_5 : in std_logic;
           CLIENTEMAC0TXD_6 : in std_logic;
           CLIENTEMAC0TXD_7 : in std_logic;
           CLIENTEMAC0TXD_8 : in std_logic;
           CLIENTEMAC0TXD_9 : in std_logic;
           CLIENTEMAC0TXD_10 : in std_logic;
           CLIENTEMAC0TXD_11 : in std_logic;
           CLIENTEMAC0TXD_12 : in std_logic;
           CLIENTEMAC0TXD_13 : in std_logic;
           CLIENTEMAC0TXD_14 : in std_logic;
           CLIENTEMAC0TXD_15 : in std_logic;
           CLIENTEMAC0TXDVLD : in std_logic;
           CLIENTEMAC0TXDVLDMSW : in std_logic;
           EMAC0CLIENTTXACK : out std_logic;
           CLIENTEMAC0TXUNDERRUN : in std_logic;
           EMAC0CLIENTTXCOLLISION : out std_logic;
           EMAC0CLIENTTXRETRANSMIT : out std_logic;
           CLIENTEMAC0TXIFGDELAY_0 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_1 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_2 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_3 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_4 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_5 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_6 : in std_logic;
           CLIENTEMAC0TXIFGDELAY_7 : in std_logic;
           CLIENTEMAC0PAUSEREQ : in std_logic;
           CLIENTEMAC0PAUSEVAL_0 : in std_logic;
           CLIENTEMAC0PAUSEVAL_1 : in std_logic;
           CLIENTEMAC0PAUSEVAL_2 : in std_logic;
           CLIENTEMAC0PAUSEVAL_3 : in std_logic;
           CLIENTEMAC0PAUSEVAL_4 : in std_logic;
           CLIENTEMAC0PAUSEVAL_5 : in std_logic;
           CLIENTEMAC0PAUSEVAL_6 : in std_logic;
           CLIENTEMAC0PAUSEVAL_7 : in std_logic;
           CLIENTEMAC0PAUSEVAL_8 : in std_logic;
           CLIENTEMAC0PAUSEVAL_9 : in std_logic;
           CLIENTEMAC0PAUSEVAL_10 : in std_logic;
           CLIENTEMAC0PAUSEVAL_11 : in std_logic;
           CLIENTEMAC0PAUSEVAL_12 : in std_logic;
           CLIENTEMAC0PAUSEVAL_13 : in std_logic;
           CLIENTEMAC0PAUSEVAL_14 : in std_logic;
           CLIENTEMAC0PAUSEVAL_15 : in std_logic;
           CLIENTEMAC0TXFIRSTBYTE : in std_logic;
           EMAC0CLIENTRXD_0 : out std_logic;
           EMAC0CLIENTRXD_1 : out std_logic;
           EMAC0CLIENTRXD_2 : out std_logic;
           EMAC0CLIENTRXD_3 : out std_logic;
           EMAC0CLIENTRXD_4 : out std_logic;
           EMAC0CLIENTRXD_5 : out std_logic;
           EMAC0CLIENTRXD_6 : out std_logic;
           EMAC0CLIENTRXD_7 : out std_logic;
           EMAC0CLIENTRXD_8 : out std_logic;
           EMAC0CLIENTRXD_9 : out std_logic;
           EMAC0CLIENTRXD_10 : out std_logic;
           EMAC0CLIENTRXD_11 : out std_logic;
           EMAC0CLIENTRXD_12 : out std_logic;
           EMAC0CLIENTRXD_13 : out std_logic;
           EMAC0CLIENTRXD_14 : out std_logic;
           EMAC0CLIENTRXD_15 : out std_logic;
           EMAC0CLIENTRXDVLD : out std_logic;
           EMAC0CLIENTRXDVLDMSW : out std_logic;
           EMAC0CLIENTRXGOODFRAME : out std_logic;
           EMAC0CLIENTRXBADFRAME : out std_logic;
           EMAC0CLIENTRXFRAMEDROP : out std_logic;
           EMAC0CLIENTTXSTATS : out std_logic;
           EMAC0CLIENTTXSTATSVLD : out std_logic;
           EMAC0CLIENTTXSTATSBYTEVLD : out std_logic;
           EMAC0CLIENTRXSTATS_0 : out std_logic;
           EMAC0CLIENTRXSTATS_1 : out std_logic;
           EMAC0CLIENTRXSTATS_2 : out std_logic;
           EMAC0CLIENTRXSTATS_3 : out std_logic;
           EMAC0CLIENTRXSTATS_4 : out std_logic;
           EMAC0CLIENTRXSTATS_5 : out std_logic;
           EMAC0CLIENTRXSTATS_6 : out std_logic;
           EMAC0CLIENTRXSTATSVLD : out std_logic;
           EMAC0CLIENTRXSTATSBYTEVLD : out std_logic;
           EMAC0_1000BASEX_ENABLE : in std_logic;
           EMAC0_ADDRFILTER_ENABLE : in std_logic;
           EMAC0_BYTEPHY : in std_logic;
           EMAC0_CONFIGVEC_79 : in std_logic;
           EMAC0_DCRBASEADDR_7 : in std_logic;
           EMAC0_DCRBASEADDR_6 : in std_logic;
           EMAC0_DCRBASEADDR_5 : in std_logic;
           EMAC0_DCRBASEADDR_4 : in std_logic;
           EMAC0_DCRBASEADDR_3 : in std_logic;
           EMAC0_DCRBASEADDR_2 : in std_logic;
           EMAC0_DCRBASEADDR_1 : in std_logic;
           EMAC0_DCRBASEADDR_0 : in std_logic;
           EMAC0_GTLOOPBACK : in std_logic;
           EMAC0_HOST_ENABLE : in std_logic;
           EMAC0_LINKTIMERVAL_0 : in std_logic;
           EMAC0_LINKTIMERVAL_1 : in std_logic;
           EMAC0_LINKTIMERVAL_2 : in std_logic;
           EMAC0_LINKTIMERVAL_3 : in std_logic;
           EMAC0_LINKTIMERVAL_4 : in std_logic;
           EMAC0_LINKTIMERVAL_5 : in std_logic;
           EMAC0_LINKTIMERVAL_6 : in std_logic;
           EMAC0_LINKTIMERVAL_7 : in std_logic;
           EMAC0_LINKTIMERVAL_8 : in std_logic;
           EMAC0_LTCHECK_DISABLE : in std_logic;
           EMAC0_MDIO_ENABLE : in std_logic;
           EMAC0_PAUSEADDR_0 : in std_logic;
           EMAC0_PAUSEADDR_1 : in std_logic;
           EMAC0_PAUSEADDR_2 : in std_logic;
           EMAC0_PAUSEADDR_3 : in std_logic;
           EMAC0_PAUSEADDR_4 : in std_logic;
           EMAC0_PAUSEADDR_5 : in std_logic;
           EMAC0_PAUSEADDR_6 : in std_logic;
           EMAC0_PAUSEADDR_7 : in std_logic;
           EMAC0_PAUSEADDR_8 : in std_logic;
           EMAC0_PAUSEADDR_9 : in std_logic;
           EMAC0_PAUSEADDR_10 : in std_logic;
           EMAC0_PAUSEADDR_11 : in std_logic;
           EMAC0_PAUSEADDR_12 : in std_logic;
           EMAC0_PAUSEADDR_13 : in std_logic;
           EMAC0_PAUSEADDR_14 : in std_logic;
           EMAC0_PAUSEADDR_15 : in std_logic;
           EMAC0_PAUSEADDR_16 : in std_logic;
           EMAC0_PAUSEADDR_17 : in std_logic;
           EMAC0_PAUSEADDR_18 : in std_logic;
           EMAC0_PAUSEADDR_19 : in std_logic;
           EMAC0_PAUSEADDR_20 : in std_logic;
           EMAC0_PAUSEADDR_21 : in std_logic;
           EMAC0_PAUSEADDR_22 : in std_logic;
           EMAC0_PAUSEADDR_23 : in std_logic;
           EMAC0_PAUSEADDR_24 : in std_logic;
           EMAC0_PAUSEADDR_25 : in std_logic;
           EMAC0_PAUSEADDR_26 : in std_logic;
           EMAC0_PAUSEADDR_27 : in std_logic;
           EMAC0_PAUSEADDR_28 : in std_logic;
           EMAC0_PAUSEADDR_29 : in std_logic;
           EMAC0_PAUSEADDR_30 : in std_logic;
           EMAC0_PAUSEADDR_31 : in std_logic;
           EMAC0_PAUSEADDR_32 : in std_logic;
           EMAC0_PAUSEADDR_33 : in std_logic;
           EMAC0_PAUSEADDR_34 : in std_logic;
           EMAC0_PAUSEADDR_35 : in std_logic;
           EMAC0_PAUSEADDR_36 : in std_logic;
           EMAC0_PAUSEADDR_37 : in std_logic;
           EMAC0_PAUSEADDR_38 : in std_logic;
           EMAC0_PAUSEADDR_39 : in std_logic;
           EMAC0_PAUSEADDR_40 : in std_logic;
           EMAC0_PAUSEADDR_41 : in std_logic;
           EMAC0_PAUSEADDR_42 : in std_logic;
           EMAC0_PAUSEADDR_43 : in std_logic;
           EMAC0_PAUSEADDR_44 : in std_logic;
           EMAC0_PAUSEADDR_45 : in std_logic;
           EMAC0_PAUSEADDR_46 : in std_logic;
           EMAC0_PAUSEADDR_47 : in std_logic;
           EMAC0_PHYINITAUTONEG_ENABLE : in std_logic;
           EMAC0_PHYISOLATE : in std_logic;
           EMAC0_PHYLOOPBACKMSB : in std_logic;
           EMAC0_PHYPOWERDOWN : in std_logic;
           EMAC0_PHYRESET : in std_logic;
           EMAC0_RGMII_ENABLE : in std_logic;
           EMAC0_RX16BITCLIENT_ENABLE : in std_logic;
           EMAC0_RXFLOWCTRL_ENABLE : in std_logic;
           EMAC0_RXHALFDUPLEX : in std_logic;
           EMAC0_RXINBANDFCS_ENABLE : in std_logic;
           EMAC0_RXJUMBOFRAME_ENABLE : in std_logic;
           EMAC0_RXRESET : in std_logic;
           EMAC0_RXVLAN_ENABLE : in std_logic;
           EMAC0_RX_ENABLE : in std_logic;
           EMAC0_SGMII_ENABLE : in std_logic;
           EMAC0_SPEED_LSB : in std_logic;
           EMAC0_SPEED_MSB : in std_logic;
           EMAC0_TX16BITCLIENT_ENABLE : in std_logic;
           EMAC0_TXFLOWCTRL_ENABLE : in std_logic;
           EMAC0_TXHALFDUPLEX : in std_logic;
           EMAC0_TXIFGADJUST_ENABLE : in std_logic;
           EMAC0_TXINBANDFCS_ENABLE : in std_logic;
           EMAC0_TXJUMBOFRAME_ENABLE : in std_logic;
           EMAC0_TXRESET : in std_logic;
           EMAC0_TXVLAN_ENABLE : in std_logic;
           EMAC0_TX_ENABLE : in std_logic;
           EMAC0_UNICASTADDR_0 : in std_logic;
           EMAC0_UNICASTADDR_1 : in std_logic;
           EMAC0_UNICASTADDR_2 : in std_logic;
           EMAC0_UNICASTADDR_3 : in std_logic;
           EMAC0_UNICASTADDR_4 : in std_logic;
           EMAC0_UNICASTADDR_5 : in std_logic;
           EMAC0_UNICASTADDR_6 : in std_logic;
           EMAC0_UNICASTADDR_7 : in std_logic;
           EMAC0_UNICASTADDR_8 : in std_logic;
           EMAC0_UNICASTADDR_9 : in std_logic;
           EMAC0_UNICASTADDR_10 : in std_logic;
           EMAC0_UNICASTADDR_11 : in std_logic;
           EMAC0_UNICASTADDR_12 : in std_logic;
           EMAC0_UNICASTADDR_13 : in std_logic;
           EMAC0_UNICASTADDR_14 : in std_logic;
           EMAC0_UNICASTADDR_15 : in std_logic;
           EMAC0_UNICASTADDR_16 : in std_logic;
           EMAC0_UNICASTADDR_17 : in std_logic;
           EMAC0_UNICASTADDR_18 : in std_logic;
           EMAC0_UNICASTADDR_19 : in std_logic;
           EMAC0_UNICASTADDR_20 : in std_logic;
           EMAC0_UNICASTADDR_21 : in std_logic;
           EMAC0_UNICASTADDR_22 : in std_logic;
           EMAC0_UNICASTADDR_23 : in std_logic;
           EMAC0_UNICASTADDR_24 : in std_logic;
           EMAC0_UNICASTADDR_25 : in std_logic;
           EMAC0_UNICASTADDR_26 : in std_logic;
           EMAC0_UNICASTADDR_27 : in std_logic;
           EMAC0_UNICASTADDR_28 : in std_logic;
           EMAC0_UNICASTADDR_29 : in std_logic;
           EMAC0_UNICASTADDR_30 : in std_logic;
           EMAC0_UNICASTADDR_31 : in std_logic;
           EMAC0_UNICASTADDR_32 : in std_logic;
           EMAC0_UNICASTADDR_33 : in std_logic;
           EMAC0_UNICASTADDR_34 : in std_logic;
           EMAC0_UNICASTADDR_35 : in std_logic;
           EMAC0_UNICASTADDR_36 : in std_logic;
           EMAC0_UNICASTADDR_37 : in std_logic;
           EMAC0_UNICASTADDR_38 : in std_logic;
           EMAC0_UNICASTADDR_39 : in std_logic;
           EMAC0_UNICASTADDR_40 : in std_logic;
           EMAC0_UNICASTADDR_41 : in std_logic;
           EMAC0_UNICASTADDR_42 : in std_logic;
           EMAC0_UNICASTADDR_43 : in std_logic;
           EMAC0_UNICASTADDR_44 : in std_logic;
           EMAC0_UNICASTADDR_45 : in std_logic;
           EMAC0_UNICASTADDR_46 : in std_logic;
           EMAC0_UNICASTADDR_47 : in std_logic;
           EMAC0_UNIDIRECTION_ENABLE : in std_logic;
           EMAC0_USECLKEN : in std_logic;
           CLIENTEMAC0TXCLIENTCLKIN : in std_logic;
           PHYEMAC0TXGMIIMIICLKIN : in std_logic;
           CLIENTEMAC0RXCLIENTCLKIN : in std_logic;
           PHYEMAC0MIITXCLK : in std_logic;
           CLIENTEMAC0DCMLOCKED : in std_logic;
           PHYEMAC0SIGNALDET : in std_logic;
           EMAC0CLIENTTXCLIENTCLKOUT : out std_logic;
           EMAC0PHYTXGMIIMIICLKOUT : out std_logic;
           EMAC0CLIENTRXCLIENTCLKOUT : out std_logic;
           EMAC0CLIENTANINTERRUPT : out std_logic;
           EMAC0SPEEDIS10100 : out std_logic;
           EMAC0PHYSYNCACQSTATUS : out std_logic;
           EMAC0PHYENCOMMAALIGN : out std_logic;
           EMAC0PHYPOWERDOWN : out std_logic;
           EMAC0PHYMGTRXRESET : out std_logic;
           EMAC0PHYMGTTXRESET : out std_logic;
           PHYEMAC0RXCLKCORCNT_0 : in std_logic;
           PHYEMAC0RXCLKCORCNT_1 : in std_logic;
           PHYEMAC0RXCLKCORCNT_2 : in std_logic;
           PHYEMAC1GTXCLK : in std_logic;
           EMAC1PHYTXCLK : out std_logic;
           EMAC1PHYTXD_0 : out std_logic;
           EMAC1PHYTXD_1 : out std_logic;
           EMAC1PHYTXD_2 : out std_logic;
           EMAC1PHYTXD_3 : out std_logic;
           EMAC1PHYTXD_4 : out std_logic;
           EMAC1PHYTXD_5 : out std_logic;
           EMAC1PHYTXD_6 : out std_logic;
           EMAC1PHYTXD_7 : out std_logic;
           EMAC1PHYTXEN : out std_logic;
           EMAC1PHYTXER : out std_logic;
           PHYEMAC1RXCLK : in std_logic;
           PHYEMAC1CRS : in std_logic;
           PHYEMAC1COL : in std_logic;
           PHYEMAC1RXD_0 : in std_logic;
           PHYEMAC1RXD_1 : in std_logic;
           PHYEMAC1RXD_2 : in std_logic;
           PHYEMAC1RXD_3 : in std_logic;
           PHYEMAC1RXD_4 : in std_logic;
           PHYEMAC1RXD_5 : in std_logic;
           PHYEMAC1RXD_6 : in std_logic;
           PHYEMAC1RXD_7 : in std_logic;
           PHYEMAC1RXDV : in std_logic;
           PHYEMAC1RXER : in std_logic;
           PHYEMAC1RXCOMMADET : in std_logic;
           PHYEMAC1RXCHECKINGCRC : in std_logic;
           PHYEMAC1RXNOTINTABLE : in std_logic;
           PHYEMAC1RXDISPERR : in std_logic;
           PHYEMAC1RXCHARISK : in std_logic;
           PHYEMAC1RXCHARISCOMMA : in std_logic;
           PHYEMAC1RXRUNDISP : in std_logic;
           PHYEMAC1RXBUFSTATUS_0 : in std_logic;
           PHYEMAC1RXBUFSTATUS_1 : in std_logic;
           PHYEMAC1RXBUFERR : in std_logic;
           PHYEMAC1RXLOSSOFSYNC_0 : in std_logic;
           PHYEMAC1RXLOSSOFSYNC_1 : in std_logic;
           PHYEMAC1TXBUFERR : in std_logic;
           EMAC1PHYTXCHARISK : out std_logic;
           EMAC1PHYTXCHARDISPMODE : out std_logic;
           EMAC1PHYTXCHARDISPVAL : out std_logic;
           EMAC1PHYLOOPBACKMSB : out std_logic;
           EMAC1PHYMCLKOUT : out std_logic;
           PHYEMAC1MCLKIN : in std_logic;
           EMAC1PHYMDTRI : out std_logic;
           EMAC1PHYMDOUT : out std_logic;
           PHYEMAC1MDIN : in std_logic;
           PHYEMAC1PHYAD_0 : in std_logic;
           PHYEMAC1PHYAD_1 : in std_logic;
           PHYEMAC1PHYAD_2 : in std_logic;
           PHYEMAC1PHYAD_3 : in std_logic;
           PHYEMAC1PHYAD_4 : in std_logic;
           CLIENTEMAC1TXD_0 : in std_logic;
           CLIENTEMAC1TXD_1 : in std_logic;
           CLIENTEMAC1TXD_2 : in std_logic;
           CLIENTEMAC1TXD_3 : in std_logic;
           CLIENTEMAC1TXD_4 : in std_logic;
           CLIENTEMAC1TXD_5 : in std_logic;
           CLIENTEMAC1TXD_6 : in std_logic;
           CLIENTEMAC1TXD_7 : in std_logic;
           CLIENTEMAC1TXD_8 : in std_logic;
           CLIENTEMAC1TXD_9 : in std_logic;
           CLIENTEMAC1TXD_10 : in std_logic;
           CLIENTEMAC1TXD_11 : in std_logic;
           CLIENTEMAC1TXD_12 : in std_logic;
           CLIENTEMAC1TXD_13 : in std_logic;
           CLIENTEMAC1TXD_14 : in std_logic;
           CLIENTEMAC1TXD_15 : in std_logic;
           CLIENTEMAC1TXDVLD : in std_logic;
           CLIENTEMAC1TXDVLDMSW : in std_logic;
           EMAC1CLIENTTXACK : out std_logic;
           CLIENTEMAC1TXUNDERRUN : in std_logic;
           EMAC1CLIENTTXCOLLISION : out std_logic;
           EMAC1CLIENTTXRETRANSMIT : out std_logic;
           CLIENTEMAC1TXIFGDELAY_0 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_1 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_2 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_3 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_4 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_5 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_6 : in std_logic;
           CLIENTEMAC1TXIFGDELAY_7 : in std_logic;
           CLIENTEMAC1PAUSEREQ : in std_logic;
           CLIENTEMAC1PAUSEVAL_0 : in std_logic;
           CLIENTEMAC1PAUSEVAL_1 : in std_logic;
           CLIENTEMAC1PAUSEVAL_2 : in std_logic;
           CLIENTEMAC1PAUSEVAL_3 : in std_logic;
           CLIENTEMAC1PAUSEVAL_4 : in std_logic;
           CLIENTEMAC1PAUSEVAL_5 : in std_logic;
           CLIENTEMAC1PAUSEVAL_6 : in std_logic;
           CLIENTEMAC1PAUSEVAL_7 : in std_logic;
           CLIENTEMAC1PAUSEVAL_8 : in std_logic;
           CLIENTEMAC1PAUSEVAL_9 : in std_logic;
           CLIENTEMAC1PAUSEVAL_10 : in std_logic;
           CLIENTEMAC1PAUSEVAL_11 : in std_logic;
           CLIENTEMAC1PAUSEVAL_12 : in std_logic;
           CLIENTEMAC1PAUSEVAL_13 : in std_logic;
           CLIENTEMAC1PAUSEVAL_14 : in std_logic;
           CLIENTEMAC1PAUSEVAL_15 : in std_logic;
           CLIENTEMAC1TXFIRSTBYTE : in std_logic;
           EMAC1CLIENTRXD_0 : out std_logic;
           EMAC1CLIENTRXD_1 : out std_logic;
           EMAC1CLIENTRXD_2 : out std_logic;
           EMAC1CLIENTRXD_3 : out std_logic;
           EMAC1CLIENTRXD_4 : out std_logic;
           EMAC1CLIENTRXD_5 : out std_logic;
           EMAC1CLIENTRXD_6 : out std_logic;
           EMAC1CLIENTRXD_7 : out std_logic;
           EMAC1CLIENTRXD_8 : out std_logic;
           EMAC1CLIENTRXD_9 : out std_logic;
           EMAC1CLIENTRXD_10 : out std_logic;
           EMAC1CLIENTRXD_11 : out std_logic;
           EMAC1CLIENTRXD_12 : out std_logic;
           EMAC1CLIENTRXD_13 : out std_logic;
           EMAC1CLIENTRXD_14 : out std_logic;
           EMAC1CLIENTRXD_15 : out std_logic;
           EMAC1CLIENTRXDVLD : out std_logic;
           EMAC1CLIENTRXDVLDMSW : out std_logic;
           EMAC1CLIENTRXGOODFRAME : out std_logic;
           EMAC1CLIENTRXBADFRAME : out std_logic;
           EMAC1CLIENTRXFRAMEDROP : out std_logic;
           EMAC1CLIENTTXSTATS : out std_logic;
           EMAC1CLIENTTXSTATSVLD : out std_logic;
           EMAC1CLIENTTXSTATSBYTEVLD : out std_logic;
           EMAC1CLIENTRXSTATS_0 : out std_logic;
           EMAC1CLIENTRXSTATS_1 : out std_logic;
           EMAC1CLIENTRXSTATS_2 : out std_logic;
           EMAC1CLIENTRXSTATS_3 : out std_logic;
           EMAC1CLIENTRXSTATS_4 : out std_logic;
           EMAC1CLIENTRXSTATS_5 : out std_logic;
           EMAC1CLIENTRXSTATS_6 : out std_logic;
           EMAC1CLIENTRXSTATSVLD : out std_logic;
           EMAC1CLIENTRXSTATSBYTEVLD : out std_logic;
           EMAC1_1000BASEX_ENABLE : in std_logic;
           EMAC1_ADDRFILTER_ENABLE : in std_logic;
           EMAC1_BYTEPHY : in std_logic;
           EMAC1_CONFIGVEC_79 : in std_logic;
           EMAC1_DCRBASEADDR_7 : in std_logic;
           EMAC1_DCRBASEADDR_6 : in std_logic;
           EMAC1_DCRBASEADDR_5 : in std_logic;
           EMAC1_DCRBASEADDR_4 : in std_logic;
           EMAC1_DCRBASEADDR_3 : in std_logic;
           EMAC1_DCRBASEADDR_2 : in std_logic;
           EMAC1_DCRBASEADDR_1 : in std_logic;
           EMAC1_DCRBASEADDR_0 : in std_logic;
           EMAC1_GTLOOPBACK : in std_logic;
           EMAC1_HOST_ENABLE : in std_logic;
           EMAC1_LINKTIMERVAL_0 : in std_logic;
           EMAC1_LINKTIMERVAL_1 : in std_logic;
           EMAC1_LINKTIMERVAL_2 : in std_logic;
           EMAC1_LINKTIMERVAL_3 : in std_logic;
           EMAC1_LINKTIMERVAL_4 : in std_logic;
           EMAC1_LINKTIMERVAL_5 : in std_logic;
           EMAC1_LINKTIMERVAL_6 : in std_logic;
           EMAC1_LINKTIMERVAL_7 : in std_logic;
           EMAC1_LINKTIMERVAL_8 : in std_logic;
           EMAC1_LTCHECK_DISABLE : in std_logic;
           EMAC1_MDIO_ENABLE : in std_logic;
           EMAC1_PAUSEADDR_0 : in std_logic;
           EMAC1_PAUSEADDR_1 : in std_logic;
           EMAC1_PAUSEADDR_2 : in std_logic;
           EMAC1_PAUSEADDR_3 : in std_logic;
           EMAC1_PAUSEADDR_4 : in std_logic;
           EMAC1_PAUSEADDR_5 : in std_logic;
           EMAC1_PAUSEADDR_6 : in std_logic;
           EMAC1_PAUSEADDR_7 : in std_logic;
           EMAC1_PAUSEADDR_8 : in std_logic;
           EMAC1_PAUSEADDR_9 : in std_logic;
           EMAC1_PAUSEADDR_10 : in std_logic;
           EMAC1_PAUSEADDR_11 : in std_logic;
           EMAC1_PAUSEADDR_12 : in std_logic;
           EMAC1_PAUSEADDR_13 : in std_logic;
           EMAC1_PAUSEADDR_14 : in std_logic;
           EMAC1_PAUSEADDR_15 : in std_logic;
           EMAC1_PAUSEADDR_16 : in std_logic;
           EMAC1_PAUSEADDR_17 : in std_logic;
           EMAC1_PAUSEADDR_18 : in std_logic;
           EMAC1_PAUSEADDR_19 : in std_logic;
           EMAC1_PAUSEADDR_20 : in std_logic;
           EMAC1_PAUSEADDR_21 : in std_logic;
           EMAC1_PAUSEADDR_22 : in std_logic;
           EMAC1_PAUSEADDR_23 : in std_logic;
           EMAC1_PAUSEADDR_24 : in std_logic;
           EMAC1_PAUSEADDR_25 : in std_logic;
           EMAC1_PAUSEADDR_26 : in std_logic;
           EMAC1_PAUSEADDR_27 : in std_logic;
           EMAC1_PAUSEADDR_28 : in std_logic;
           EMAC1_PAUSEADDR_29 : in std_logic;
           EMAC1_PAUSEADDR_30 : in std_logic;
           EMAC1_PAUSEADDR_31 : in std_logic;
           EMAC1_PAUSEADDR_32 : in std_logic;
           EMAC1_PAUSEADDR_33 : in std_logic;
           EMAC1_PAUSEADDR_34 : in std_logic;
           EMAC1_PAUSEADDR_35 : in std_logic;
           EMAC1_PAUSEADDR_36 : in std_logic;
           EMAC1_PAUSEADDR_37 : in std_logic;
           EMAC1_PAUSEADDR_38 : in std_logic;
           EMAC1_PAUSEADDR_39 : in std_logic;
           EMAC1_PAUSEADDR_40 : in std_logic;
           EMAC1_PAUSEADDR_41 : in std_logic;
           EMAC1_PAUSEADDR_42 : in std_logic;
           EMAC1_PAUSEADDR_43 : in std_logic;
           EMAC1_PAUSEADDR_44 : in std_logic;
           EMAC1_PAUSEADDR_45 : in std_logic;
           EMAC1_PAUSEADDR_46 : in std_logic;
           EMAC1_PAUSEADDR_47 : in std_logic;
           EMAC1_PHYINITAUTONEG_ENABLE : in std_logic;
           EMAC1_PHYISOLATE : in std_logic;
           EMAC1_PHYLOOPBACKMSB : in std_logic;
           EMAC1_PHYPOWERDOWN : in std_logic;
           EMAC1_PHYRESET : in std_logic;
           EMAC1_RGMII_ENABLE : in std_logic;
           EMAC1_RX16BITCLIENT_ENABLE : in std_logic;
           EMAC1_RXFLOWCTRL_ENABLE : in std_logic;
           EMAC1_RXHALFDUPLEX : in std_logic;
           EMAC1_RXINBANDFCS_ENABLE : in std_logic;
           EMAC1_RXJUMBOFRAME_ENABLE : in std_logic;
           EMAC1_RXRESET : in std_logic;
           EMAC1_RXVLAN_ENABLE : in std_logic;
           EMAC1_RX_ENABLE : in std_logic;
           EMAC1_SGMII_ENABLE : in std_logic;
           EMAC1_SPEED_LSB : in std_logic;
           EMAC1_SPEED_MSB : in std_logic;
           EMAC1_TX16BITCLIENT_ENABLE : in std_logic;
           EMAC1_TXFLOWCTRL_ENABLE : in std_logic;
           EMAC1_TXHALFDUPLEX : in std_logic;
           EMAC1_TXIFGADJUST_ENABLE : in std_logic;
           EMAC1_TXINBANDFCS_ENABLE : in std_logic;
           EMAC1_TXJUMBOFRAME_ENABLE : in std_logic;
           EMAC1_TXRESET : in std_logic;
           EMAC1_TXVLAN_ENABLE : in std_logic;
           EMAC1_TX_ENABLE : in std_logic;
           EMAC1_UNICASTADDR_0 : in std_logic;
           EMAC1_UNICASTADDR_1 : in std_logic;
           EMAC1_UNICASTADDR_2 : in std_logic;
           EMAC1_UNICASTADDR_3 : in std_logic;
           EMAC1_UNICASTADDR_4 : in std_logic;
           EMAC1_UNICASTADDR_5 : in std_logic;
           EMAC1_UNICASTADDR_6 : in std_logic;
           EMAC1_UNICASTADDR_7 : in std_logic;
           EMAC1_UNICASTADDR_8 : in std_logic;
           EMAC1_UNICASTADDR_9 : in std_logic;
           EMAC1_UNICASTADDR_10 : in std_logic;
           EMAC1_UNICASTADDR_11 : in std_logic;
           EMAC1_UNICASTADDR_12 : in std_logic;
           EMAC1_UNICASTADDR_13 : in std_logic;
           EMAC1_UNICASTADDR_14 : in std_logic;
           EMAC1_UNICASTADDR_15 : in std_logic;
           EMAC1_UNICASTADDR_16 : in std_logic;
           EMAC1_UNICASTADDR_17 : in std_logic;
           EMAC1_UNICASTADDR_18 : in std_logic;
           EMAC1_UNICASTADDR_19 : in std_logic;
           EMAC1_UNICASTADDR_20 : in std_logic;
           EMAC1_UNICASTADDR_21 : in std_logic;
           EMAC1_UNICASTADDR_22 : in std_logic;
           EMAC1_UNICASTADDR_23 : in std_logic;
           EMAC1_UNICASTADDR_24 : in std_logic;
           EMAC1_UNICASTADDR_25 : in std_logic;
           EMAC1_UNICASTADDR_26 : in std_logic;
           EMAC1_UNICASTADDR_27 : in std_logic;
           EMAC1_UNICASTADDR_28 : in std_logic;
           EMAC1_UNICASTADDR_29 : in std_logic;
           EMAC1_UNICASTADDR_30 : in std_logic;
           EMAC1_UNICASTADDR_31 : in std_logic;
           EMAC1_UNICASTADDR_32 : in std_logic;
           EMAC1_UNICASTADDR_33 : in std_logic;
           EMAC1_UNICASTADDR_34 : in std_logic;
           EMAC1_UNICASTADDR_35 : in std_logic;
           EMAC1_UNICASTADDR_36 : in std_logic;
           EMAC1_UNICASTADDR_37 : in std_logic;
           EMAC1_UNICASTADDR_38 : in std_logic;
           EMAC1_UNICASTADDR_39 : in std_logic;
           EMAC1_UNICASTADDR_40 : in std_logic;
           EMAC1_UNICASTADDR_41 : in std_logic;
           EMAC1_UNICASTADDR_42 : in std_logic;
           EMAC1_UNICASTADDR_43 : in std_logic;
           EMAC1_UNICASTADDR_44 : in std_logic;
           EMAC1_UNICASTADDR_45 : in std_logic;
           EMAC1_UNICASTADDR_46 : in std_logic;
           EMAC1_UNICASTADDR_47 : in std_logic;
           EMAC1_UNIDIRECTION_ENABLE : in std_logic;
           EMAC1_USECLKEN : in std_logic;
           CLIENTEMAC1TXCLIENTCLKIN : in std_logic;
           PHYEMAC1TXGMIIMIICLKIN : in std_logic;
           CLIENTEMAC1RXCLIENTCLKIN : in std_logic;
           PHYEMAC1MIITXCLK : in std_logic;
           CLIENTEMAC1DCMLOCKED : in std_logic;
           PHYEMAC1SIGNALDET : in std_logic;
           EMAC1CLIENTTXCLIENTCLKOUT : out std_logic;
           EMAC1PHYTXGMIIMIICLKOUT : out std_logic;
           EMAC1CLIENTRXCLIENTCLKOUT : out std_logic;
           EMAC1CLIENTANINTERRUPT : out std_logic;
           EMAC1SPEEDIS10100 : out std_logic;
           EMAC1PHYSYNCACQSTATUS : out std_logic;
           EMAC1PHYENCOMMAALIGN : out std_logic;
           EMAC1PHYPOWERDOWN : out std_logic;
           EMAC1PHYMGTRXRESET : out std_logic;
           EMAC1PHYMGTTXRESET : out std_logic;
           PHYEMAC1RXCLKCORCNT_0 : in std_logic;
           PHYEMAC1RXCLKCORCNT_1 : in std_logic;
           PHYEMAC1RXCLKCORCNT_2 : in std_logic;
           DCREMACCLK : in std_logic;
           DCREMACABUS_9 : in std_logic;
           DCREMACABUS_8 : in std_logic;
           DCREMACABUS_7 : in std_logic;
           DCREMACABUS_6 : in std_logic;
           DCREMACABUS_5 : in std_logic;
           DCREMACABUS_4 : in std_logic;
           DCREMACABUS_3 : in std_logic;
           DCREMACABUS_2 : in std_logic;
           DCREMACABUS_1 : in std_logic;
           DCREMACABUS_0 : in std_logic;
           DCREMACWRITE : in std_logic;
           DCREMACREAD : in std_logic;
           DCREMACDBUS_31 : in std_logic;
           DCREMACDBUS_30 : in std_logic;
           DCREMACDBUS_29 : in std_logic;
           DCREMACDBUS_28 : in std_logic;
           DCREMACDBUS_27 : in std_logic;
           DCREMACDBUS_26 : in std_logic;
           DCREMACDBUS_25 : in std_logic;
           DCREMACDBUS_24 : in std_logic;
           DCREMACDBUS_23 : in std_logic;
           DCREMACDBUS_22 : in std_logic;
           DCREMACDBUS_21 : in std_logic;
           DCREMACDBUS_20 : in std_logic;
           DCREMACDBUS_19 : in std_logic;
           DCREMACDBUS_18 : in std_logic;
           DCREMACDBUS_17 : in std_logic;
           DCREMACDBUS_16 : in std_logic;
           DCREMACDBUS_15 : in std_logic;
           DCREMACDBUS_14 : in std_logic;
           DCREMACDBUS_13 : in std_logic;
           DCREMACDBUS_12 : in std_logic;
           DCREMACDBUS_11 : in std_logic;
           DCREMACDBUS_10 : in std_logic;
           DCREMACDBUS_9 : in std_logic;
           DCREMACDBUS_8 : in std_logic;
           DCREMACDBUS_7 : in std_logic;
           DCREMACDBUS_6 : in std_logic;
           DCREMACDBUS_5 : in std_logic;
           DCREMACDBUS_4 : in std_logic;
           DCREMACDBUS_3 : in std_logic;
           DCREMACDBUS_2 : in std_logic;
           DCREMACDBUS_1 : in std_logic;
           DCREMACDBUS_0 : in std_logic;
           EMACDCRACK : out std_logic;
           EMACDCRDBUS_31 : out std_logic;
           EMACDCRDBUS_30 : out std_logic;
           EMACDCRDBUS_29 : out std_logic;
           EMACDCRDBUS_28 : out std_logic;
           EMACDCRDBUS_27 : out std_logic;
           EMACDCRDBUS_26 : out std_logic;
           EMACDCRDBUS_25 : out std_logic;
           EMACDCRDBUS_24 : out std_logic;
           EMACDCRDBUS_23 : out std_logic;
           EMACDCRDBUS_22 : out std_logic;
           EMACDCRDBUS_21 : out std_logic;
           EMACDCRDBUS_20 : out std_logic;
           EMACDCRDBUS_19 : out std_logic;
           EMACDCRDBUS_18 : out std_logic;
           EMACDCRDBUS_17 : out std_logic;
           EMACDCRDBUS_16 : out std_logic;
           EMACDCRDBUS_15 : out std_logic;
           EMACDCRDBUS_14 : out std_logic;
           EMACDCRDBUS_13 : out std_logic;
           EMACDCRDBUS_12 : out std_logic;
           EMACDCRDBUS_11 : out std_logic;
           EMACDCRDBUS_10 : out std_logic;
           EMACDCRDBUS_9 : out std_logic;
           EMACDCRDBUS_8 : out std_logic;
           EMACDCRDBUS_7 : out std_logic;
           EMACDCRDBUS_6 : out std_logic;
           EMACDCRDBUS_5 : out std_logic;
           EMACDCRDBUS_4 : out std_logic;
           EMACDCRDBUS_3 : out std_logic;
           EMACDCRDBUS_2 : out std_logic;
           EMACDCRDBUS_1 : out std_logic;
           EMACDCRDBUS_0 : out std_logic;
           HOSTCLK : in std_logic;
           HOSTOPCODE_0 : in std_logic;
           HOSTOPCODE_1 : in std_logic;
           HOSTREQ : in std_logic;
           HOSTMIIMSEL : in std_logic;
           HOSTADDR_0 : in std_logic;
           HOSTADDR_1 : in std_logic;
           HOSTADDR_2 : in std_logic;
           HOSTADDR_3 : in std_logic;
           HOSTADDR_4 : in std_logic;
           HOSTADDR_5 : in std_logic;
           HOSTADDR_6 : in std_logic;
           HOSTADDR_7 : in std_logic;
           HOSTADDR_8 : in std_logic;
           HOSTADDR_9 : in std_logic;
           HOSTWRDATA_0 : in std_logic;
           HOSTWRDATA_1 : in std_logic;
           HOSTWRDATA_2 : in std_logic;
           HOSTWRDATA_3 : in std_logic;
           HOSTWRDATA_4 : in std_logic;
           HOSTWRDATA_5 : in std_logic;
           HOSTWRDATA_6 : in std_logic;
           HOSTWRDATA_7 : in std_logic;
           HOSTWRDATA_8 : in std_logic;
           HOSTWRDATA_9 : in std_logic;
           HOSTWRDATA_10 : in std_logic;
           HOSTWRDATA_11 : in std_logic;
           HOSTWRDATA_12 : in std_logic;
           HOSTWRDATA_13 : in std_logic;
           HOSTWRDATA_14 : in std_logic;
           HOSTWRDATA_15 : in std_logic;
           HOSTWRDATA_16 : in std_logic;
           HOSTWRDATA_17 : in std_logic;
           HOSTWRDATA_18 : in std_logic;
           HOSTWRDATA_19 : in std_logic;
           HOSTWRDATA_20 : in std_logic;
           HOSTWRDATA_21 : in std_logic;
           HOSTWRDATA_22 : in std_logic;
           HOSTWRDATA_23 : in std_logic;
           HOSTWRDATA_24 : in std_logic;
           HOSTWRDATA_25 : in std_logic;
           HOSTWRDATA_26 : in std_logic;
           HOSTWRDATA_27 : in std_logic;
           HOSTWRDATA_28 : in std_logic;
           HOSTWRDATA_29 : in std_logic;
           HOSTWRDATA_30 : in std_logic;
           HOSTWRDATA_31 : in std_logic;
           DCREMACENABLE : in std_logic;
           HOSTEMAC1SEL : in std_logic;
           HOSTMIIMRDY : out std_logic;
           HOSTRDDATA_0 : out std_logic;
           HOSTRDDATA_1 : out std_logic;
           HOSTRDDATA_2 : out std_logic;
           HOSTRDDATA_3 : out std_logic;
           HOSTRDDATA_4 : out std_logic;
           HOSTRDDATA_5 : out std_logic;
           HOSTRDDATA_6 : out std_logic;
           HOSTRDDATA_7 : out std_logic;
           HOSTRDDATA_8 : out std_logic;
           HOSTRDDATA_9 : out std_logic;
           HOSTRDDATA_10 : out std_logic;
           HOSTRDDATA_11 : out std_logic;
           HOSTRDDATA_12 : out std_logic;
           HOSTRDDATA_13 : out std_logic;
           HOSTRDDATA_14 : out std_logic;
           HOSTRDDATA_15 : out std_logic;
           HOSTRDDATA_16 : out std_logic;
           HOSTRDDATA_17 : out std_logic;
           HOSTRDDATA_18 : out std_logic;
           HOSTRDDATA_19 : out std_logic;
           HOSTRDDATA_20 : out std_logic;
           HOSTRDDATA_21 : out std_logic;
           HOSTRDDATA_22 : out std_logic;
           HOSTRDDATA_23 : out std_logic;
           HOSTRDDATA_24 : out std_logic;
           HOSTRDDATA_25 : out std_logic;
           HOSTRDDATA_26 : out std_logic;
           HOSTRDDATA_27 : out std_logic;
           HOSTRDDATA_28 : out std_logic;
           HOSTRDDATA_29 : out std_logic;
           HOSTRDDATA_30 : out std_logic;
           HOSTRDDATA_31 : out std_logic;
           DCRHOSTDONEIR : out std_logic );
end;

architecture SmartModel of temac_swift is
    attribute FOREIGN : STRING;
    attribute FOREIGN of SmartModel : architecture is "sm_init $ALDEC/BIN/swift.dll ; temac_swift";
begin
end SmartModel;

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.numeric_std.all;

entity DCC_FPGACORE_SWIFT_BUS is
port (
		BCLK : out std_ulogic;
		DONEOUT : out std_ulogic;
		DOUT0 : out std_ulogic;
		DOUT1 : out std_ulogic;
		DOUT2 : out std_ulogic;
		DOUT3 : out std_ulogic;
		DOUT4 : out std_ulogic;
		DOUT5 : out std_ulogic;
		DOUT6 : out std_ulogic;
		DOUT7 : out std_ulogic;
		GSR : out std_ulogic;
		GTS : out std_ulogic;
		GWE : out std_ulogic;
		INITBOUT : out std_ulogic;
		TDO : out std_ulogic;

		CCLK : in std_ulogic;
		CSB : in std_ulogic;
		DIN0 : in std_ulogic;
		DIN1 : in std_ulogic;
		DIN2 : in std_ulogic;
		DIN3 : in std_ulogic;
		DIN4 : in std_ulogic;
		DIN5 : in std_ulogic;
		DIN6 : in std_ulogic;
		DIN7 : in std_ulogic;
		DONEIN : in std_ulogic;
		LBISTISOLATEB : in std_ulogic;
		M0 : in std_ulogic;
		M1 : in std_ulogic;
		M2 : in std_ulogic;
		PROGB : in std_ulogic;
		TCK : in std_ulogic;
		TDI : in std_ulogic;
		TMS : in std_ulogic;
		WRITEB : in std_ulogic;
		XBID : in std_logic_vector(8 downto 0)
     );

end DCC_FPGACORE_SWIFT_BUS;

architecture DCC_FPGACORE_SWIFT_BUS_v of DCC_FPGACORE_SWIFT_BUS is
Component DCC_FPGACORE_SWIFT -----
	generic (
          TimingVersion : STRING := "dcc_fpgacore_swift";
          DelayRange : STRING := "MAX";
          MC_Reference : STRING := "0000"
          );
	port (
		BCLK : out std_ulogic;
		DONEOUT : out std_ulogic;
		DOUT0 : out std_ulogic;
		DOUT1 : out std_ulogic;
		DOUT2 : out std_ulogic;
		DOUT3 : out std_ulogic;
		DOUT4 : out std_ulogic;
		DOUT5 : out std_ulogic;
		DOUT6 : out std_ulogic;
		DOUT7 : out std_ulogic;
		GSR : out std_ulogic;
		GTS : out std_ulogic;
		GWE : out std_ulogic;
		INITBOUT : out std_ulogic;
		TDO : out std_ulogic;

		CCLK : in std_ulogic;
		CSB : in std_ulogic;
		DIN0 : in std_ulogic;
		DIN1 : in std_ulogic;
		DIN2 : in std_ulogic;
		DIN3 : in std_ulogic;
		DIN4 : in std_ulogic;
		DIN5 : in std_ulogic;
		DIN6 : in std_ulogic;
		DIN7 : in std_ulogic;
		DONEIN : in std_ulogic;
		LBISTISOLATEB : in std_ulogic;
		M0 : in std_ulogic;
		M1 : in std_ulogic;
		M2 : in std_ulogic;
		PROGB : in std_ulogic;
		TCK : in std_ulogic;
		TDI : in std_ulogic;
		TMS : in std_ulogic;
		WRITEB : in std_ulogic;
		XBID : in std_logic_vector(8 downto 0)          
);
end component;

for all : DCC_FPGACORE_SWIFT
use entity work.DCC_FPGACORE_SWIFT
	port map (
          XBID_0  =>           XBID(0)  ,
          XBID_1 =>           XBID(1) ,
          XBID_2 =>           XBID(2) ,
          XBID_3 =>           XBID(3) ,
          XBID_4 =>           XBID(4) ,
          XBID_5 =>           XBID(5) ,
          XBID_6 =>           XBID(6) ,
          XBID_7 =>           XBID(7) ,
          XBID_8 =>           XBID(8) ,
          CCLK =>           CCLK ,
          DONEOUT =>           DONEOUT ,
          DONEIN =>           DONEIN ,
          M2 =>           M2 ,
          M1 =>           M1 ,
          M0 =>           M0 ,
          TMS =>           TMS ,
          TCK =>           TCK ,
          TDI =>           TDI ,
          TDO =>           TDO ,
          DIN0 =>           DIN0 ,
          DIN1 =>           DIN1 ,
          DIN2 =>           DIN2 ,
          DIN3 =>           DIN3 ,
          DIN4 =>           DIN4 ,
          DIN5 =>           DIN5 ,
          DIN6 =>           DIN6 ,
          DIN7 =>           DIN7 ,
          DOUT0 =>           DOUT0 ,
          DOUT1 =>           DOUT1 ,
          DOUT2 =>           DOUT2 ,
          DOUT3 =>           DOUT3 ,
          DOUT4 =>           DOUT4 ,
          DOUT5 =>           DOUT5 ,
          DOUT6 =>           DOUT6 ,
          DOUT7 =>           DOUT7 ,
          PROGB =>           PROGB ,
          CSB =>           CSB ,
          WRITEB =>           WRITEB ,
          INITBOUT =>           INITBOUT ,
          GSR =>           GSR ,
          GTS =>           GTS ,
          GWE =>           GWE ,
          BCLK =>           BCLK ,
          LBISTISOLATEB =>           LBISTISOLATEB

	);

begin -- DCC_FPGACORE_SWIFT_BUS
dcc_fpgacore_swift_inst : DCC_FPGACORE_SWIFT
	port map (
          XBID  =>           XBID  ,
          CCLK =>           CCLK ,
          DONEOUT =>           DONEOUT ,
          DONEIN =>           DONEIN ,
          M2 =>           M2 ,
          M1 =>           M1 ,
          M0 =>           M0 ,
          TMS =>           TMS ,
          TCK =>           TCK ,
          TDI =>           TDI ,
          TDO =>           TDO ,
          DIN0 =>           DIN0 ,
          DIN1 =>           DIN1 ,
          DIN2 =>           DIN2 ,
          DIN3 =>           DIN3 ,
          DIN4 =>           DIN4 ,
          DIN5 =>           DIN5 ,
          DIN6 =>           DIN6 ,
          DIN7 =>           DIN7 ,
          DOUT0 =>           DOUT0 ,
          DOUT1 =>           DOUT1 ,
          DOUT2 =>           DOUT2 ,
          DOUT3 =>           DOUT3 ,
          DOUT4 =>           DOUT4 ,
          DOUT5 =>           DOUT5 ,
          DOUT6 =>           DOUT6 ,
          DOUT7 =>           DOUT7 ,
          PROGB =>           PROGB ,
          CSB =>           CSB ,
          WRITEB =>           WRITEB ,
          INITBOUT =>           INITBOUT ,
          GSR =>           GSR ,
          GTS =>           GTS ,
          GWE =>           GWE ,
          BCLK =>           BCLK ,
          LBISTISOLATEB =>           LBISTISOLATEB

);
end DCC_FPGACORE_SWIFT_BUS_v;
library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity EMAC_SWIFT_BUS is
	port (
		DCRHOSTDONEIR        : out std_ulogic;
		EMAC0CLIENTANINTERRUPT : out std_ulogic;
		EMAC0CLIENTRXBADFRAME : out std_ulogic;
		EMAC0CLIENTRXCLIENTCLKOUT : out std_ulogic;
		EMAC0CLIENTRXD       : out std_logic_vector(15 downto 0);
		EMAC0CLIENTRXDVLD    : out std_ulogic;
		EMAC0CLIENTRXDVLDMSW : out std_ulogic;
		EMAC0CLIENTRXDVREG6  : out std_ulogic;
		EMAC0CLIENTRXFRAMEDROP : out std_ulogic;
		EMAC0CLIENTRXGOODFRAME : out std_ulogic;
		EMAC0CLIENTRXSTATS   : out std_logic_vector(6 downto 0);
		EMAC0CLIENTRXSTATSBYTEVLD : out std_ulogic;
		EMAC0CLIENTRXSTATSVLD : out std_ulogic;
		EMAC0CLIENTTXACK     : out std_ulogic;
		EMAC0CLIENTTXCLIENTCLKOUT : out std_ulogic;
		EMAC0CLIENTTXCOLLISION : out std_ulogic;
		EMAC0CLIENTTXGMIIMIICLKOUT : out std_ulogic;
		EMAC0CLIENTTXRETRANSMIT : out std_ulogic;
		EMAC0CLIENTTXSTATS   : out std_ulogic;
		EMAC0CLIENTTXSTATSBYTEVLD : out std_ulogic;
		EMAC0CLIENTTXSTATSVLD : out std_ulogic;
		EMAC0PHYENCOMMAALIGN : out std_ulogic;
		EMAC0PHYLOOPBACKMSB  : out std_ulogic;
		EMAC0PHYMCLKOUT      : out std_ulogic;
		EMAC0PHYMDOUT        : out std_ulogic;
		EMAC0PHYMDTRI        : out std_ulogic;
		EMAC0PHYMGTRXRESET   : out std_ulogic;
		EMAC0PHYMGTTXRESET   : out std_ulogic;
		EMAC0PHYPOWERDOWN    : out std_ulogic;
		EMAC0PHYSYNCACQSTATUS : out std_ulogic;
		EMAC0PHYTXCHARDISPMODE : out std_ulogic;
		EMAC0PHYTXCHARDISPVAL : out std_ulogic;
		EMAC0PHYTXCHARISK    : out std_ulogic;
		EMAC0PHYTXCLK        : out std_ulogic;
		EMAC0PHYTXD          : out std_logic_vector(7 downto 0);
		EMAC0PHYTXEN         : out std_ulogic;
		EMAC0PHYTXER         : out std_ulogic;
		EMAC1CLIENTANINTERRUPT : out std_ulogic;
		EMAC1CLIENTRXBADFRAME : out std_ulogic;
		EMAC1CLIENTRXCLIENTCLKOUT : out std_ulogic;
		EMAC1CLIENTRXD       : out std_logic_vector(15 downto 0);
		EMAC1CLIENTRXDVLD    : out std_ulogic;
		EMAC1CLIENTRXDVLDMSW : out std_ulogic;
		EMAC1CLIENTRXDVREG6  : out std_ulogic;
		EMAC1CLIENTRXFRAMEDROP : out std_ulogic;
		EMAC1CLIENTRXGOODFRAME : out std_ulogic;
		EMAC1CLIENTRXSTATS   : out std_logic_vector(6 downto 0);
		EMAC1CLIENTRXSTATSBYTEVLD : out std_ulogic;
		EMAC1CLIENTRXSTATSVLD : out std_ulogic;
		EMAC1CLIENTTXACK     : out std_ulogic;
		EMAC1CLIENTTXCLIENTCLKOUT : out std_ulogic;
		EMAC1CLIENTTXCOLLISION : out std_ulogic;
		EMAC1CLIENTTXGMIIMIICLKOUT : out std_ulogic;
		EMAC1CLIENTTXRETRANSMIT : out std_ulogic;
		EMAC1CLIENTTXSTATS   : out std_ulogic;
		EMAC1CLIENTTXSTATSBYTEVLD : out std_ulogic;
		EMAC1CLIENTTXSTATSVLD : out std_ulogic;
		EMAC1PHYENCOMMAALIGN : out std_ulogic;
		EMAC1PHYLOOPBACKMSB  : out std_ulogic;
		EMAC1PHYMCLKOUT      : out std_ulogic;
		EMAC1PHYMDOUT        : out std_ulogic;
		EMAC1PHYMDTRI        : out std_ulogic;
		EMAC1PHYMGTRXRESET   : out std_ulogic;
		EMAC1PHYMGTTXRESET   : out std_ulogic;
		EMAC1PHYPOWERDOWN    : out std_ulogic;
		EMAC1PHYSYNCACQSTATUS : out std_ulogic;
		EMAC1PHYTXCHARDISPMODE : out std_ulogic;
		EMAC1PHYTXCHARDISPVAL : out std_ulogic;
		EMAC1PHYTXCHARISK    : out std_ulogic;
		EMAC1PHYTXCLK        : out std_ulogic;
		EMAC1PHYTXD          : out std_logic_vector(7 downto 0);
		EMAC1PHYTXEN         : out std_ulogic;
		EMAC1PHYTXER         : out std_ulogic;
		EMACDCRACK           : out std_ulogic;
		EMACDCRDBUS          : out std_logic_vector(0 to 31);
		HOSTMIIMRDY          : out std_ulogic;
		HOSTRDDATA           : out std_logic_vector(31 downto 0);

		CLIENTEMAC0DCMLOCKED : in std_ulogic;
		CLIENTEMAC0PAUSEREQ  : in std_ulogic;
		CLIENTEMAC0PAUSEVAL  : in std_logic_vector(15 downto 0);
		CLIENTEMAC0RXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC0TXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC0TXD       : in std_logic_vector(15 downto 0);
		CLIENTEMAC0TXDVLD    : in std_ulogic;
		CLIENTEMAC0TXDVLDMSW : in std_ulogic;
		CLIENTEMAC0TXFIRSTBYTE : in std_ulogic;
		CLIENTEMAC0TXGMIIMIICLKIN : in std_ulogic;
		CLIENTEMAC0TXIFGDELAY : in std_logic_vector(7 downto 0);
		CLIENTEMAC0TXUNDERRUN : in std_ulogic;
		CLIENTEMAC1DCMLOCKED : in std_ulogic;
		CLIENTEMAC1PAUSEREQ  : in std_ulogic;
		CLIENTEMAC1PAUSEVAL  : in std_logic_vector(15 downto 0);
		CLIENTEMAC1RXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC1TXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC1TXD       : in std_logic_vector(15 downto 0);
		CLIENTEMAC1TXDVLD    : in std_ulogic;
		CLIENTEMAC1TXDVLDMSW : in std_ulogic;
		CLIENTEMAC1TXFIRSTBYTE : in std_ulogic;
		CLIENTEMAC1TXGMIIMIICLKIN : in std_ulogic;
		CLIENTEMAC1TXIFGDELAY : in std_logic_vector(7 downto 0);
		CLIENTEMAC1TXUNDERRUN : in std_ulogic;
		DCREMACABUS          : in std_logic_vector(8 to 9);
		DCREMACCLK           : in std_ulogic;
		DCREMACDBUS          : in std_logic_vector(0 to 31);
		DCREMACENABLE        : in std_ulogic;
		DCREMACREAD          : in std_ulogic;
		DCREMACWRITE         : in std_ulogic;
		HOSTADDR             : in std_logic_vector(9 downto 0);
		HOSTCLK              : in std_ulogic;
		HOSTEMAC1SEL         : in std_ulogic;
		HOSTMIIMSEL          : in std_ulogic;
		HOSTOPCODE           : in std_logic_vector(1 downto 0);
		HOSTREQ              : in std_ulogic;
		HOSTWRDATA           : in std_logic_vector(31 downto 0);
		PHYEMAC0COL          : in std_ulogic;
		PHYEMAC0CRS          : in std_ulogic;
		PHYEMAC0GTXCLK       : in std_ulogic;
		PHYEMAC0MCLKIN       : in std_ulogic;
		PHYEMAC0MDIN         : in std_ulogic;
		PHYEMAC0MIITXCLK     : in std_ulogic;
		PHYEMAC0PHYAD        : in std_logic_vector(4 downto 0);
		PHYEMAC0RXBUFERR     : in std_ulogic;
		PHYEMAC0RXBUFSTATUS  : in std_logic_vector(1 downto 0);
		PHYEMAC0RXCHARISCOMMA : in std_ulogic;
		PHYEMAC0RXCHARISK    : in std_ulogic;
		PHYEMAC0RXCHECKINGCRC : in std_ulogic;
		PHYEMAC0RXCLK        : in std_ulogic;
		PHYEMAC0RXCLKCORCNT  : in std_logic_vector(2 downto 0);
		PHYEMAC0RXCOMMADET   : in std_ulogic;
		PHYEMAC0RXD          : in std_logic_vector(7 downto 0);
		PHYEMAC0RXDISPERR    : in std_ulogic;
		PHYEMAC0RXDV         : in std_ulogic;
		PHYEMAC0RXER         : in std_ulogic;
		PHYEMAC0RXLOSSOFSYNC : in std_logic_vector(1 downto 0);
		PHYEMAC0RXNOTINTABLE : in std_ulogic;
		PHYEMAC0RXRUNDISP    : in std_ulogic;
		PHYEMAC0SIGNALDET    : in std_ulogic;
		PHYEMAC0TXBUFERR     : in std_ulogic;
		PHYEMAC1COL          : in std_ulogic;
		PHYEMAC1CRS          : in std_ulogic;
		PHYEMAC1GTXCLK       : in std_ulogic;
		PHYEMAC1MCLKIN       : in std_ulogic;
		PHYEMAC1MDIN         : in std_ulogic;
		PHYEMAC1MIITXCLK     : in std_ulogic;
		PHYEMAC1PHYAD        : in std_logic_vector(4 downto 0);
		PHYEMAC1RXBUFERR     : in std_ulogic;
		PHYEMAC1RXBUFSTATUS  : in std_logic_vector(1 downto 0);
		PHYEMAC1RXCHARISCOMMA : in std_ulogic;
		PHYEMAC1RXCHARISK    : in std_ulogic;
		PHYEMAC1RXCHECKINGCRC : in std_ulogic;
		PHYEMAC1RXCLK        : in std_ulogic;
		PHYEMAC1RXCLKCORCNT  : in std_logic_vector(2 downto 0);
		PHYEMAC1RXCOMMADET   : in std_ulogic;
		PHYEMAC1RXD          : in std_logic_vector(7 downto 0);
		PHYEMAC1RXDISPERR    : in std_ulogic;
		PHYEMAC1RXDV         : in std_ulogic;
		PHYEMAC1RXER         : in std_ulogic;
		PHYEMAC1RXLOSSOFSYNC : in std_logic_vector(1 downto 0);
		PHYEMAC1RXNOTINTABLE : in std_ulogic;
		PHYEMAC1RXRUNDISP    : in std_ulogic;
		PHYEMAC1SIGNALDET    : in std_ulogic;
		PHYEMAC1TXBUFERR     : in std_ulogic;
		RESET                : in std_ulogic;
		TIEEMAC0CONFIGVEC    : in std_logic_vector(79 downto 0);
		TIEEMAC0UNICASTADDR  : in std_logic_vector(47 downto 0);
		TIEEMAC1CONFIGVEC    : in std_logic_vector(79 downto 0);
		TIEEMAC1UNICASTADDR  : in std_logic_vector(47 downto 0)
	);
end EMAC_SWIFT_BUS;

architecture EMAC_SWIFT_BUS_v of EMAC_SWIFT_BUS is
component EMAC_SWIFT
	generic (
		DelayRange           : STRING := "MAX";
		MC_Reference         : STRING := "0000";
		TimingVersion        : STRING := "emac_swift"
		);
	port (
		DCRHOSTDONEIR        : out std_ulogic;
		EMAC0CLIENTANINTERRUPT : out std_ulogic;
		EMAC0CLIENTRXBADFRAME : out std_ulogic;
		EMAC0CLIENTRXCLIENTCLKOUT : out std_ulogic;
		EMAC0CLIENTRXD       : out std_logic_vector(15 downto 0);
		EMAC0CLIENTRXDVLD    : out std_ulogic;
		EMAC0CLIENTRXDVLDMSW : out std_ulogic;
		EMAC0CLIENTRXDVREG6  : out std_ulogic;
		EMAC0CLIENTRXFRAMEDROP : out std_ulogic;
		EMAC0CLIENTRXGOODFRAME : out std_ulogic;
		EMAC0CLIENTRXSTATS   : out std_logic_vector(6 downto 0);
		EMAC0CLIENTRXSTATSBYTEVLD : out std_ulogic;
		EMAC0CLIENTRXSTATSVLD : out std_ulogic;
		EMAC0CLIENTTXACK     : out std_ulogic;
		EMAC0CLIENTTXCLIENTCLKOUT : out std_ulogic;
		EMAC0CLIENTTXCOLLISION : out std_ulogic;
		EMAC0CLIENTTXGMIIMIICLKOUT : out std_ulogic;
		EMAC0CLIENTTXRETRANSMIT : out std_ulogic;
		EMAC0CLIENTTXSTATS   : out std_ulogic;
		EMAC0CLIENTTXSTATSBYTEVLD : out std_ulogic;
		EMAC0CLIENTTXSTATSVLD : out std_ulogic;
		EMAC0PHYENCOMMAALIGN : out std_ulogic;
		EMAC0PHYLOOPBACKMSB  : out std_ulogic;
		EMAC0PHYMCLKOUT      : out std_ulogic;
		EMAC0PHYMDOUT        : out std_ulogic;
		EMAC0PHYMDTRI        : out std_ulogic;
		EMAC0PHYMGTRXRESET   : out std_ulogic;
		EMAC0PHYMGTTXRESET   : out std_ulogic;
		EMAC0PHYPOWERDOWN    : out std_ulogic;
		EMAC0PHYSYNCACQSTATUS : out std_ulogic;
		EMAC0PHYTXCHARDISPMODE : out std_ulogic;
		EMAC0PHYTXCHARDISPVAL : out std_ulogic;
		EMAC0PHYTXCHARISK    : out std_ulogic;
		EMAC0PHYTXCLK        : out std_ulogic;
		EMAC0PHYTXD          : out std_logic_vector(7 downto 0);
		EMAC0PHYTXEN         : out std_ulogic;
		EMAC0PHYTXER         : out std_ulogic;
		EMAC1CLIENTANINTERRUPT : out std_ulogic;
		EMAC1CLIENTRXBADFRAME : out std_ulogic;
		EMAC1CLIENTRXCLIENTCLKOUT : out std_ulogic;
		EMAC1CLIENTRXD       : out std_logic_vector(15 downto 0);
		EMAC1CLIENTRXDVLD    : out std_ulogic;
		EMAC1CLIENTRXDVLDMSW : out std_ulogic;
		EMAC1CLIENTRXDVREG6  : out std_ulogic;
		EMAC1CLIENTRXFRAMEDROP : out std_ulogic;
		EMAC1CLIENTRXGOODFRAME : out std_ulogic;
		EMAC1CLIENTRXSTATS   : out std_logic_vector(6 downto 0);
		EMAC1CLIENTRXSTATSBYTEVLD : out std_ulogic;
		EMAC1CLIENTRXSTATSVLD : out std_ulogic;
		EMAC1CLIENTTXACK     : out std_ulogic;
		EMAC1CLIENTTXCLIENTCLKOUT : out std_ulogic;
		EMAC1CLIENTTXCOLLISION : out std_ulogic;
		EMAC1CLIENTTXGMIIMIICLKOUT : out std_ulogic;
		EMAC1CLIENTTXRETRANSMIT : out std_ulogic;
		EMAC1CLIENTTXSTATS   : out std_ulogic;
		EMAC1CLIENTTXSTATSBYTEVLD : out std_ulogic;
		EMAC1CLIENTTXSTATSVLD : out std_ulogic;
		EMAC1PHYENCOMMAALIGN : out std_ulogic;
		EMAC1PHYLOOPBACKMSB  : out std_ulogic;
		EMAC1PHYMCLKOUT      : out std_ulogic;
		EMAC1PHYMDOUT        : out std_ulogic;
		EMAC1PHYMDTRI        : out std_ulogic;
		EMAC1PHYMGTRXRESET   : out std_ulogic;
		EMAC1PHYMGTTXRESET   : out std_ulogic;
		EMAC1PHYPOWERDOWN    : out std_ulogic;
		EMAC1PHYSYNCACQSTATUS : out std_ulogic;
		EMAC1PHYTXCHARDISPMODE : out std_ulogic;
		EMAC1PHYTXCHARDISPVAL : out std_ulogic;
		EMAC1PHYTXCHARISK    : out std_ulogic;
		EMAC1PHYTXCLK        : out std_ulogic;
		EMAC1PHYTXD          : out std_logic_vector(7 downto 0);
		EMAC1PHYTXEN         : out std_ulogic;
		EMAC1PHYTXER         : out std_ulogic;
		EMACDCRACK           : out std_ulogic;
		EMACDCRDBUS          : out std_logic_vector(0 to 31);
		HOSTMIIMRDY          : out std_ulogic;
		HOSTRDDATA           : out std_logic_vector(31 downto 0);

		CLIENTEMAC0DCMLOCKED : in std_ulogic;
		CLIENTEMAC0PAUSEREQ  : in std_ulogic;
		CLIENTEMAC0PAUSEVAL  : in std_logic_vector(15 downto 0);
		CLIENTEMAC0RXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC0TXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC0TXD       : in std_logic_vector(15 downto 0);
		CLIENTEMAC0TXDVLD    : in std_ulogic;
		CLIENTEMAC0TXDVLDMSW : in std_ulogic;
		CLIENTEMAC0TXFIRSTBYTE : in std_ulogic;
		CLIENTEMAC0TXGMIIMIICLKIN : in std_ulogic;
		CLIENTEMAC0TXIFGDELAY : in std_logic_vector(7 downto 0);
		CLIENTEMAC0TXUNDERRUN : in std_ulogic;
		CLIENTEMAC1DCMLOCKED : in std_ulogic;
		CLIENTEMAC1PAUSEREQ  : in std_ulogic;
		CLIENTEMAC1PAUSEVAL  : in std_logic_vector(15 downto 0);
		CLIENTEMAC1RXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC1TXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC1TXD       : in std_logic_vector(15 downto 0);
		CLIENTEMAC1TXDVLD    : in std_ulogic;
		CLIENTEMAC1TXDVLDMSW : in std_ulogic;
		CLIENTEMAC1TXFIRSTBYTE : in std_ulogic;
		CLIENTEMAC1TXGMIIMIICLKIN : in std_ulogic;
		CLIENTEMAC1TXIFGDELAY : in std_logic_vector(7 downto 0);
		CLIENTEMAC1TXUNDERRUN : in std_ulogic;
		DCREMACABUS          : in std_logic_vector(8 to 9);
		DCREMACCLK           : in std_ulogic;
		DCREMACDBUS          : in std_logic_vector(0 to 31);
		DCREMACENABLE        : in std_ulogic;
		DCREMACREAD          : in std_ulogic;
		DCREMACWRITE         : in std_ulogic;
		HOSTADDR             : in std_logic_vector(9 downto 0);
		HOSTCLK              : in std_ulogic;
		HOSTEMAC1SEL         : in std_ulogic;
		HOSTMIIMSEL          : in std_ulogic;
		HOSTOPCODE           : in std_logic_vector(1 downto 0);
		HOSTREQ              : in std_ulogic;
		HOSTWRDATA           : in std_logic_vector(31 downto 0);
		PHYEMAC0COL          : in std_ulogic;
		PHYEMAC0CRS          : in std_ulogic;
		PHYEMAC0GTXCLK       : in std_ulogic;
		PHYEMAC0MCLKIN       : in std_ulogic;
		PHYEMAC0MDIN         : in std_ulogic;
		PHYEMAC0MIITXCLK     : in std_ulogic;
		PHYEMAC0PHYAD        : in std_logic_vector(4 downto 0);
		PHYEMAC0RXBUFERR     : in std_ulogic;
		PHYEMAC0RXBUFSTATUS  : in std_logic_vector(1 downto 0);
		PHYEMAC0RXCHARISCOMMA : in std_ulogic;
		PHYEMAC0RXCHARISK    : in std_ulogic;
		PHYEMAC0RXCHECKINGCRC : in std_ulogic;
		PHYEMAC0RXCLK        : in std_ulogic;
		PHYEMAC0RXCLKCORCNT  : in std_logic_vector(2 downto 0);
		PHYEMAC0RXCOMMADET   : in std_ulogic;
		PHYEMAC0RXD          : in std_logic_vector(7 downto 0);
		PHYEMAC0RXDISPERR    : in std_ulogic;
		PHYEMAC0RXDV         : in std_ulogic;
		PHYEMAC0RXER         : in std_ulogic;
		PHYEMAC0RXLOSSOFSYNC : in std_logic_vector(1 downto 0);
		PHYEMAC0RXNOTINTABLE : in std_ulogic;
		PHYEMAC0RXRUNDISP    : in std_ulogic;
		PHYEMAC0SIGNALDET    : in std_ulogic;
		PHYEMAC0TXBUFERR     : in std_ulogic;
		PHYEMAC1COL          : in std_ulogic;
		PHYEMAC1CRS          : in std_ulogic;
		PHYEMAC1GTXCLK       : in std_ulogic;
		PHYEMAC1MCLKIN       : in std_ulogic;
		PHYEMAC1MDIN         : in std_ulogic;
		PHYEMAC1MIITXCLK     : in std_ulogic;
		PHYEMAC1PHYAD        : in std_logic_vector(4 downto 0);
		PHYEMAC1RXBUFERR     : in std_ulogic;
		PHYEMAC1RXBUFSTATUS  : in std_logic_vector(1 downto 0);
		PHYEMAC1RXCHARISCOMMA : in std_ulogic;
		PHYEMAC1RXCHARISK    : in std_ulogic;
		PHYEMAC1RXCHECKINGCRC : in std_ulogic;
		PHYEMAC1RXCLK        : in std_ulogic;
		PHYEMAC1RXCLKCORCNT  : in std_logic_vector(2 downto 0);
		PHYEMAC1RXCOMMADET   : in std_ulogic;
		PHYEMAC1RXD          : in std_logic_vector(7 downto 0);
		PHYEMAC1RXDISPERR    : in std_ulogic;
		PHYEMAC1RXDV         : in std_ulogic;
		PHYEMAC1RXER         : in std_ulogic;
		PHYEMAC1RXLOSSOFSYNC : in std_logic_vector(1 downto 0);
		PHYEMAC1RXNOTINTABLE : in std_ulogic;
		PHYEMAC1RXRUNDISP    : in std_ulogic;
		PHYEMAC1SIGNALDET    : in std_ulogic;
		PHYEMAC1TXBUFERR     : in std_ulogic;
		RESET                : in std_ulogic;
		TIEEMAC0CONFIGVEC    : in std_logic_vector(79 downto 0);
		TIEEMAC0UNICASTADDR  : in std_logic_vector(47 downto 0);
		TIEEMAC1CONFIGVEC    : in std_logic_vector(79 downto 0);
		TIEEMAC1UNICASTADDR  : in std_logic_vector(47 downto 0)
	);
end component;

for all: EMAC_SWIFT
use entity work.EMAC_SWIFT
	port map (
		DCRHOSTDONEIR        => DCRHOSTDONEIR,
		EMAC0CLIENTANINTERRUPT => EMAC0CLIENTANINTERRUPT,
		EMAC0CLIENTRXBADFRAME => EMAC0CLIENTRXBADFRAME,
		EMAC0CLIENTRXCLIENTCLKOUT => EMAC0CLIENTRXCLIENTCLKOUT,
		EMAC0CLIENTRXDVLD    => EMAC0CLIENTRXDVLD,
		EMAC0CLIENTRXDVLDMSW => EMAC0CLIENTRXDVLDMSW,
		EMAC0CLIENTRXDVREG6  => EMAC0CLIENTRXDVREG6,
		EMAC0CLIENTRXD_0     => EMAC0CLIENTRXD(0),
		EMAC0CLIENTRXD_1     => EMAC0CLIENTRXD(1),
		EMAC0CLIENTRXD_10    => EMAC0CLIENTRXD(10),
		EMAC0CLIENTRXD_11    => EMAC0CLIENTRXD(11),
		EMAC0CLIENTRXD_12    => EMAC0CLIENTRXD(12),
		EMAC0CLIENTRXD_13    => EMAC0CLIENTRXD(13),
		EMAC0CLIENTRXD_14    => EMAC0CLIENTRXD(14),
		EMAC0CLIENTRXD_15    => EMAC0CLIENTRXD(15),
		EMAC0CLIENTRXD_2     => EMAC0CLIENTRXD(2),
		EMAC0CLIENTRXD_3     => EMAC0CLIENTRXD(3),
		EMAC0CLIENTRXD_4     => EMAC0CLIENTRXD(4),
		EMAC0CLIENTRXD_5     => EMAC0CLIENTRXD(5),
		EMAC0CLIENTRXD_6     => EMAC0CLIENTRXD(6),
		EMAC0CLIENTRXD_7     => EMAC0CLIENTRXD(7),
		EMAC0CLIENTRXD_8     => EMAC0CLIENTRXD(8),
		EMAC0CLIENTRXD_9     => EMAC0CLIENTRXD(9),
		EMAC0CLIENTRXFRAMEDROP => EMAC0CLIENTRXFRAMEDROP,
		EMAC0CLIENTRXGOODFRAME => EMAC0CLIENTRXGOODFRAME,
		EMAC0CLIENTRXSTATSBYTEVLD => EMAC0CLIENTRXSTATSBYTEVLD,
		EMAC0CLIENTRXSTATSVLD => EMAC0CLIENTRXSTATSVLD,
		EMAC0CLIENTRXSTATS_0 => EMAC0CLIENTRXSTATS(0),
		EMAC0CLIENTRXSTATS_1 => EMAC0CLIENTRXSTATS(1),
		EMAC0CLIENTRXSTATS_2 => EMAC0CLIENTRXSTATS(2),
		EMAC0CLIENTRXSTATS_3 => EMAC0CLIENTRXSTATS(3),
		EMAC0CLIENTRXSTATS_4 => EMAC0CLIENTRXSTATS(4),
		EMAC0CLIENTRXSTATS_5 => EMAC0CLIENTRXSTATS(5),
		EMAC0CLIENTRXSTATS_6 => EMAC0CLIENTRXSTATS(6),
		EMAC0CLIENTTXACK     => EMAC0CLIENTTXACK,
		EMAC0CLIENTTXCLIENTCLKOUT => EMAC0CLIENTTXCLIENTCLKOUT,
		EMAC0CLIENTTXCOLLISION => EMAC0CLIENTTXCOLLISION,
		EMAC0CLIENTTXGMIIMIICLKOUT => EMAC0CLIENTTXGMIIMIICLKOUT,
		EMAC0CLIENTTXRETRANSMIT => EMAC0CLIENTTXRETRANSMIT,
		EMAC0CLIENTTXSTATS   => EMAC0CLIENTTXSTATS,
		EMAC0CLIENTTXSTATSBYTEVLD => EMAC0CLIENTTXSTATSBYTEVLD,
		EMAC0CLIENTTXSTATSVLD => EMAC0CLIENTTXSTATSVLD,
		EMAC0PHYENCOMMAALIGN => EMAC0PHYENCOMMAALIGN,
		EMAC0PHYLOOPBACKMSB  => EMAC0PHYLOOPBACKMSB,
		EMAC0PHYMCLKOUT      => EMAC0PHYMCLKOUT,
		EMAC0PHYMDOUT        => EMAC0PHYMDOUT,
		EMAC0PHYMDTRI        => EMAC0PHYMDTRI,
		EMAC0PHYMGTRXRESET   => EMAC0PHYMGTRXRESET,
		EMAC0PHYMGTTXRESET   => EMAC0PHYMGTTXRESET,
		EMAC0PHYPOWERDOWN    => EMAC0PHYPOWERDOWN,
		EMAC0PHYSYNCACQSTATUS => EMAC0PHYSYNCACQSTATUS,
		EMAC0PHYTXCHARDISPMODE => EMAC0PHYTXCHARDISPMODE,
		EMAC0PHYTXCHARDISPVAL => EMAC0PHYTXCHARDISPVAL,
		EMAC0PHYTXCHARISK    => EMAC0PHYTXCHARISK,
		EMAC0PHYTXCLK        => EMAC0PHYTXCLK,
		EMAC0PHYTXD_0        => EMAC0PHYTXD(0),
		EMAC0PHYTXD_1        => EMAC0PHYTXD(1),
		EMAC0PHYTXD_2        => EMAC0PHYTXD(2),
		EMAC0PHYTXD_3        => EMAC0PHYTXD(3),
		EMAC0PHYTXD_4        => EMAC0PHYTXD(4),
		EMAC0PHYTXD_5        => EMAC0PHYTXD(5),
		EMAC0PHYTXD_6        => EMAC0PHYTXD(6),
		EMAC0PHYTXD_7        => EMAC0PHYTXD(7),
		EMAC0PHYTXEN         => EMAC0PHYTXEN,
		EMAC0PHYTXER         => EMAC0PHYTXER,
		EMAC1CLIENTANINTERRUPT => EMAC1CLIENTANINTERRUPT,
		EMAC1CLIENTRXBADFRAME => EMAC1CLIENTRXBADFRAME,
		EMAC1CLIENTRXCLIENTCLKOUT => EMAC1CLIENTRXCLIENTCLKOUT,
		EMAC1CLIENTRXDVLD    => EMAC1CLIENTRXDVLD,
		EMAC1CLIENTRXDVLDMSW => EMAC1CLIENTRXDVLDMSW,
		EMAC1CLIENTRXDVREG6  => EMAC1CLIENTRXDVREG6,
		EMAC1CLIENTRXD_0     => EMAC1CLIENTRXD(0),
		EMAC1CLIENTRXD_1     => EMAC1CLIENTRXD(1),
		EMAC1CLIENTRXD_10    => EMAC1CLIENTRXD(10),
		EMAC1CLIENTRXD_11    => EMAC1CLIENTRXD(11),
		EMAC1CLIENTRXD_12    => EMAC1CLIENTRXD(12),
		EMAC1CLIENTRXD_13    => EMAC1CLIENTRXD(13),
		EMAC1CLIENTRXD_14    => EMAC1CLIENTRXD(14),
		EMAC1CLIENTRXD_15    => EMAC1CLIENTRXD(15),
		EMAC1CLIENTRXD_2     => EMAC1CLIENTRXD(2),
		EMAC1CLIENTRXD_3     => EMAC1CLIENTRXD(3),
		EMAC1CLIENTRXD_4     => EMAC1CLIENTRXD(4),
		EMAC1CLIENTRXD_5     => EMAC1CLIENTRXD(5),
		EMAC1CLIENTRXD_6     => EMAC1CLIENTRXD(6),
		EMAC1CLIENTRXD_7     => EMAC1CLIENTRXD(7),
		EMAC1CLIENTRXD_8     => EMAC1CLIENTRXD(8),
		EMAC1CLIENTRXD_9     => EMAC1CLIENTRXD(9),
		EMAC1CLIENTRXFRAMEDROP => EMAC1CLIENTRXFRAMEDROP,
		EMAC1CLIENTRXGOODFRAME => EMAC1CLIENTRXGOODFRAME,
		EMAC1CLIENTRXSTATSBYTEVLD => EMAC1CLIENTRXSTATSBYTEVLD,
		EMAC1CLIENTRXSTATSVLD => EMAC1CLIENTRXSTATSVLD,
		EMAC1CLIENTRXSTATS_0 => EMAC1CLIENTRXSTATS(0),
		EMAC1CLIENTRXSTATS_1 => EMAC1CLIENTRXSTATS(1),
		EMAC1CLIENTRXSTATS_2 => EMAC1CLIENTRXSTATS(2),
		EMAC1CLIENTRXSTATS_3 => EMAC1CLIENTRXSTATS(3),
		EMAC1CLIENTRXSTATS_4 => EMAC1CLIENTRXSTATS(4),
		EMAC1CLIENTRXSTATS_5 => EMAC1CLIENTRXSTATS(5),
		EMAC1CLIENTRXSTATS_6 => EMAC1CLIENTRXSTATS(6),
		EMAC1CLIENTTXACK     => EMAC1CLIENTTXACK,
		EMAC1CLIENTTXCLIENTCLKOUT => EMAC1CLIENTTXCLIENTCLKOUT,
		EMAC1CLIENTTXCOLLISION => EMAC1CLIENTTXCOLLISION,
		EMAC1CLIENTTXGMIIMIICLKOUT => EMAC1CLIENTTXGMIIMIICLKOUT,
		EMAC1CLIENTTXRETRANSMIT => EMAC1CLIENTTXRETRANSMIT,
		EMAC1CLIENTTXSTATS   => EMAC1CLIENTTXSTATS,
		EMAC1CLIENTTXSTATSBYTEVLD => EMAC1CLIENTTXSTATSBYTEVLD,
		EMAC1CLIENTTXSTATSVLD => EMAC1CLIENTTXSTATSVLD,
		EMAC1PHYENCOMMAALIGN => EMAC1PHYENCOMMAALIGN,
		EMAC1PHYLOOPBACKMSB  => EMAC1PHYLOOPBACKMSB,
		EMAC1PHYMCLKOUT      => EMAC1PHYMCLKOUT,
		EMAC1PHYMDOUT        => EMAC1PHYMDOUT,
		EMAC1PHYMDTRI        => EMAC1PHYMDTRI,
		EMAC1PHYMGTRXRESET   => EMAC1PHYMGTRXRESET,
		EMAC1PHYMGTTXRESET   => EMAC1PHYMGTTXRESET,
		EMAC1PHYPOWERDOWN    => EMAC1PHYPOWERDOWN,
		EMAC1PHYSYNCACQSTATUS => EMAC1PHYSYNCACQSTATUS,
		EMAC1PHYTXCHARDISPMODE => EMAC1PHYTXCHARDISPMODE,
		EMAC1PHYTXCHARDISPVAL => EMAC1PHYTXCHARDISPVAL,
		EMAC1PHYTXCHARISK    => EMAC1PHYTXCHARISK,
		EMAC1PHYTXCLK        => EMAC1PHYTXCLK,
		EMAC1PHYTXD_0        => EMAC1PHYTXD(0),
		EMAC1PHYTXD_1        => EMAC1PHYTXD(1),
		EMAC1PHYTXD_2        => EMAC1PHYTXD(2),
		EMAC1PHYTXD_3        => EMAC1PHYTXD(3),
		EMAC1PHYTXD_4        => EMAC1PHYTXD(4),
		EMAC1PHYTXD_5        => EMAC1PHYTXD(5),
		EMAC1PHYTXD_6        => EMAC1PHYTXD(6),
		EMAC1PHYTXD_7        => EMAC1PHYTXD(7),
		EMAC1PHYTXEN         => EMAC1PHYTXEN,
		EMAC1PHYTXER         => EMAC1PHYTXER,
		EMACDCRACK           => EMACDCRACK,
		EMACDCRDBUS_0        => EMACDCRDBUS(0),
		EMACDCRDBUS_1        => EMACDCRDBUS(1),
		EMACDCRDBUS_10       => EMACDCRDBUS(10),
		EMACDCRDBUS_11       => EMACDCRDBUS(11),
		EMACDCRDBUS_12       => EMACDCRDBUS(12),
		EMACDCRDBUS_13       => EMACDCRDBUS(13),
		EMACDCRDBUS_14       => EMACDCRDBUS(14),
		EMACDCRDBUS_15       => EMACDCRDBUS(15),
		EMACDCRDBUS_16       => EMACDCRDBUS(16),
		EMACDCRDBUS_17       => EMACDCRDBUS(17),
		EMACDCRDBUS_18       => EMACDCRDBUS(18),
		EMACDCRDBUS_19       => EMACDCRDBUS(19),
		EMACDCRDBUS_2        => EMACDCRDBUS(2),
		EMACDCRDBUS_20       => EMACDCRDBUS(20),
		EMACDCRDBUS_21       => EMACDCRDBUS(21),
		EMACDCRDBUS_22       => EMACDCRDBUS(22),
		EMACDCRDBUS_23       => EMACDCRDBUS(23),
		EMACDCRDBUS_24       => EMACDCRDBUS(24),
		EMACDCRDBUS_25       => EMACDCRDBUS(25),
		EMACDCRDBUS_26       => EMACDCRDBUS(26),
		EMACDCRDBUS_27       => EMACDCRDBUS(27),
		EMACDCRDBUS_28       => EMACDCRDBUS(28),
		EMACDCRDBUS_29       => EMACDCRDBUS(29),
		EMACDCRDBUS_3        => EMACDCRDBUS(3),
		EMACDCRDBUS_30       => EMACDCRDBUS(30),
		EMACDCRDBUS_31       => EMACDCRDBUS(31),
		EMACDCRDBUS_4        => EMACDCRDBUS(4),
		EMACDCRDBUS_5        => EMACDCRDBUS(5),
		EMACDCRDBUS_6        => EMACDCRDBUS(6),
		EMACDCRDBUS_7        => EMACDCRDBUS(7),
		EMACDCRDBUS_8        => EMACDCRDBUS(8),
		EMACDCRDBUS_9        => EMACDCRDBUS(9),
		HOSTMIIMRDY          => HOSTMIIMRDY,
		HOSTRDDATA_0         => HOSTRDDATA(0),
		HOSTRDDATA_1         => HOSTRDDATA(1),
		HOSTRDDATA_10        => HOSTRDDATA(10),
		HOSTRDDATA_11        => HOSTRDDATA(11),
		HOSTRDDATA_12        => HOSTRDDATA(12),
		HOSTRDDATA_13        => HOSTRDDATA(13),
		HOSTRDDATA_14        => HOSTRDDATA(14),
		HOSTRDDATA_15        => HOSTRDDATA(15),
		HOSTRDDATA_16        => HOSTRDDATA(16),
		HOSTRDDATA_17        => HOSTRDDATA(17),
		HOSTRDDATA_18        => HOSTRDDATA(18),
		HOSTRDDATA_19        => HOSTRDDATA(19),
		HOSTRDDATA_2         => HOSTRDDATA(2),
		HOSTRDDATA_20        => HOSTRDDATA(20),
		HOSTRDDATA_21        => HOSTRDDATA(21),
		HOSTRDDATA_22        => HOSTRDDATA(22),
		HOSTRDDATA_23        => HOSTRDDATA(23),
		HOSTRDDATA_24        => HOSTRDDATA(24),
		HOSTRDDATA_25        => HOSTRDDATA(25),
		HOSTRDDATA_26        => HOSTRDDATA(26),
		HOSTRDDATA_27        => HOSTRDDATA(27),
		HOSTRDDATA_28        => HOSTRDDATA(28),
		HOSTRDDATA_29        => HOSTRDDATA(29),
		HOSTRDDATA_3         => HOSTRDDATA(3),
		HOSTRDDATA_30        => HOSTRDDATA(30),
		HOSTRDDATA_31        => HOSTRDDATA(31),
		HOSTRDDATA_4         => HOSTRDDATA(4),
		HOSTRDDATA_5         => HOSTRDDATA(5),
		HOSTRDDATA_6         => HOSTRDDATA(6),
		HOSTRDDATA_7         => HOSTRDDATA(7),
		HOSTRDDATA_8         => HOSTRDDATA(8),
		HOSTRDDATA_9         => HOSTRDDATA(9),

		CLIENTEMAC0DCMLOCKED => CLIENTEMAC0DCMLOCKED,
		CLIENTEMAC0PAUSEREQ  => CLIENTEMAC0PAUSEREQ,
		CLIENTEMAC0PAUSEVAL_0 => CLIENTEMAC0PAUSEVAL(0),
		CLIENTEMAC0PAUSEVAL_1 => CLIENTEMAC0PAUSEVAL(1),
		CLIENTEMAC0PAUSEVAL_10 => CLIENTEMAC0PAUSEVAL(10),
		CLIENTEMAC0PAUSEVAL_11 => CLIENTEMAC0PAUSEVAL(11),
		CLIENTEMAC0PAUSEVAL_12 => CLIENTEMAC0PAUSEVAL(12),
		CLIENTEMAC0PAUSEVAL_13 => CLIENTEMAC0PAUSEVAL(13),
		CLIENTEMAC0PAUSEVAL_14 => CLIENTEMAC0PAUSEVAL(14),
		CLIENTEMAC0PAUSEVAL_15 => CLIENTEMAC0PAUSEVAL(15),
		CLIENTEMAC0PAUSEVAL_2 => CLIENTEMAC0PAUSEVAL(2),
		CLIENTEMAC0PAUSEVAL_3 => CLIENTEMAC0PAUSEVAL(3),
		CLIENTEMAC0PAUSEVAL_4 => CLIENTEMAC0PAUSEVAL(4),
		CLIENTEMAC0PAUSEVAL_5 => CLIENTEMAC0PAUSEVAL(5),
		CLIENTEMAC0PAUSEVAL_6 => CLIENTEMAC0PAUSEVAL(6),
		CLIENTEMAC0PAUSEVAL_7 => CLIENTEMAC0PAUSEVAL(7),
		CLIENTEMAC0PAUSEVAL_8 => CLIENTEMAC0PAUSEVAL(8),
		CLIENTEMAC0PAUSEVAL_9 => CLIENTEMAC0PAUSEVAL(9),
		CLIENTEMAC0RXCLIENTCLKIN => CLIENTEMAC0RXCLIENTCLKIN,
		CLIENTEMAC0TXCLIENTCLKIN => CLIENTEMAC0TXCLIENTCLKIN,
		CLIENTEMAC0TXDVLD    => CLIENTEMAC0TXDVLD,
		CLIENTEMAC0TXDVLDMSW => CLIENTEMAC0TXDVLDMSW,
		CLIENTEMAC0TXD_0     => CLIENTEMAC0TXD(0),
		CLIENTEMAC0TXD_1     => CLIENTEMAC0TXD(1),
		CLIENTEMAC0TXD_10    => CLIENTEMAC0TXD(10),
		CLIENTEMAC0TXD_11    => CLIENTEMAC0TXD(11),
		CLIENTEMAC0TXD_12    => CLIENTEMAC0TXD(12),
		CLIENTEMAC0TXD_13    => CLIENTEMAC0TXD(13),
		CLIENTEMAC0TXD_14    => CLIENTEMAC0TXD(14),
		CLIENTEMAC0TXD_15    => CLIENTEMAC0TXD(15),
		CLIENTEMAC0TXD_2     => CLIENTEMAC0TXD(2),
		CLIENTEMAC0TXD_3     => CLIENTEMAC0TXD(3),
		CLIENTEMAC0TXD_4     => CLIENTEMAC0TXD(4),
		CLIENTEMAC0TXD_5     => CLIENTEMAC0TXD(5),
		CLIENTEMAC0TXD_6     => CLIENTEMAC0TXD(6),
		CLIENTEMAC0TXD_7     => CLIENTEMAC0TXD(7),
		CLIENTEMAC0TXD_8     => CLIENTEMAC0TXD(8),
		CLIENTEMAC0TXD_9     => CLIENTEMAC0TXD(9),
		CLIENTEMAC0TXFIRSTBYTE => CLIENTEMAC0TXFIRSTBYTE,
		CLIENTEMAC0TXGMIIMIICLKIN => CLIENTEMAC0TXGMIIMIICLKIN,
		CLIENTEMAC0TXIFGDELAY_0 => CLIENTEMAC0TXIFGDELAY(0),
		CLIENTEMAC0TXIFGDELAY_1 => CLIENTEMAC0TXIFGDELAY(1),
		CLIENTEMAC0TXIFGDELAY_2 => CLIENTEMAC0TXIFGDELAY(2),
		CLIENTEMAC0TXIFGDELAY_3 => CLIENTEMAC0TXIFGDELAY(3),
		CLIENTEMAC0TXIFGDELAY_4 => CLIENTEMAC0TXIFGDELAY(4),
		CLIENTEMAC0TXIFGDELAY_5 => CLIENTEMAC0TXIFGDELAY(5),
		CLIENTEMAC0TXIFGDELAY_6 => CLIENTEMAC0TXIFGDELAY(6),
		CLIENTEMAC0TXIFGDELAY_7 => CLIENTEMAC0TXIFGDELAY(7),
		CLIENTEMAC0TXUNDERRUN => CLIENTEMAC0TXUNDERRUN,
		CLIENTEMAC1DCMLOCKED => CLIENTEMAC1DCMLOCKED,
		CLIENTEMAC1PAUSEREQ  => CLIENTEMAC1PAUSEREQ,
		CLIENTEMAC1PAUSEVAL_0 => CLIENTEMAC1PAUSEVAL(0),
		CLIENTEMAC1PAUSEVAL_1 => CLIENTEMAC1PAUSEVAL(1),
		CLIENTEMAC1PAUSEVAL_10 => CLIENTEMAC1PAUSEVAL(10),
		CLIENTEMAC1PAUSEVAL_11 => CLIENTEMAC1PAUSEVAL(11),
		CLIENTEMAC1PAUSEVAL_12 => CLIENTEMAC1PAUSEVAL(12),
		CLIENTEMAC1PAUSEVAL_13 => CLIENTEMAC1PAUSEVAL(13),
		CLIENTEMAC1PAUSEVAL_14 => CLIENTEMAC1PAUSEVAL(14),
		CLIENTEMAC1PAUSEVAL_15 => CLIENTEMAC1PAUSEVAL(15),
		CLIENTEMAC1PAUSEVAL_2 => CLIENTEMAC1PAUSEVAL(2),
		CLIENTEMAC1PAUSEVAL_3 => CLIENTEMAC1PAUSEVAL(3),
		CLIENTEMAC1PAUSEVAL_4 => CLIENTEMAC1PAUSEVAL(4),
		CLIENTEMAC1PAUSEVAL_5 => CLIENTEMAC1PAUSEVAL(5),
		CLIENTEMAC1PAUSEVAL_6 => CLIENTEMAC1PAUSEVAL(6),
		CLIENTEMAC1PAUSEVAL_7 => CLIENTEMAC1PAUSEVAL(7),
		CLIENTEMAC1PAUSEVAL_8 => CLIENTEMAC1PAUSEVAL(8),
		CLIENTEMAC1PAUSEVAL_9 => CLIENTEMAC1PAUSEVAL(9),
		CLIENTEMAC1RXCLIENTCLKIN => CLIENTEMAC1RXCLIENTCLKIN,
		CLIENTEMAC1TXCLIENTCLKIN => CLIENTEMAC1TXCLIENTCLKIN,
		CLIENTEMAC1TXDVLD    => CLIENTEMAC1TXDVLD,
		CLIENTEMAC1TXDVLDMSW => CLIENTEMAC1TXDVLDMSW,
		CLIENTEMAC1TXD_0     => CLIENTEMAC1TXD(0),
		CLIENTEMAC1TXD_1     => CLIENTEMAC1TXD(1),
		CLIENTEMAC1TXD_10    => CLIENTEMAC1TXD(10),
		CLIENTEMAC1TXD_11    => CLIENTEMAC1TXD(11),
		CLIENTEMAC1TXD_12    => CLIENTEMAC1TXD(12),
		CLIENTEMAC1TXD_13    => CLIENTEMAC1TXD(13),
		CLIENTEMAC1TXD_14    => CLIENTEMAC1TXD(14),
		CLIENTEMAC1TXD_15    => CLIENTEMAC1TXD(15),
		CLIENTEMAC1TXD_2     => CLIENTEMAC1TXD(2),
		CLIENTEMAC1TXD_3     => CLIENTEMAC1TXD(3),
		CLIENTEMAC1TXD_4     => CLIENTEMAC1TXD(4),
		CLIENTEMAC1TXD_5     => CLIENTEMAC1TXD(5),
		CLIENTEMAC1TXD_6     => CLIENTEMAC1TXD(6),
		CLIENTEMAC1TXD_7     => CLIENTEMAC1TXD(7),
		CLIENTEMAC1TXD_8     => CLIENTEMAC1TXD(8),
		CLIENTEMAC1TXD_9     => CLIENTEMAC1TXD(9),
		CLIENTEMAC1TXFIRSTBYTE => CLIENTEMAC1TXFIRSTBYTE,
		CLIENTEMAC1TXGMIIMIICLKIN => CLIENTEMAC1TXGMIIMIICLKIN,
		CLIENTEMAC1TXIFGDELAY_0 => CLIENTEMAC1TXIFGDELAY(0),
		CLIENTEMAC1TXIFGDELAY_1 => CLIENTEMAC1TXIFGDELAY(1),
		CLIENTEMAC1TXIFGDELAY_2 => CLIENTEMAC1TXIFGDELAY(2),
		CLIENTEMAC1TXIFGDELAY_3 => CLIENTEMAC1TXIFGDELAY(3),
		CLIENTEMAC1TXIFGDELAY_4 => CLIENTEMAC1TXIFGDELAY(4),
		CLIENTEMAC1TXIFGDELAY_5 => CLIENTEMAC1TXIFGDELAY(5),
		CLIENTEMAC1TXIFGDELAY_6 => CLIENTEMAC1TXIFGDELAY(6),
		CLIENTEMAC1TXIFGDELAY_7 => CLIENTEMAC1TXIFGDELAY(7),
		CLIENTEMAC1TXUNDERRUN => CLIENTEMAC1TXUNDERRUN,
		DCREMACABUS_8        => DCREMACABUS(8),
		DCREMACABUS_9        => DCREMACABUS(9),
		DCREMACCLK           => DCREMACCLK,
		DCREMACDBUS_0        => DCREMACDBUS(0),
		DCREMACDBUS_1        => DCREMACDBUS(1),
		DCREMACDBUS_10       => DCREMACDBUS(10),
		DCREMACDBUS_11       => DCREMACDBUS(11),
		DCREMACDBUS_12       => DCREMACDBUS(12),
		DCREMACDBUS_13       => DCREMACDBUS(13),
		DCREMACDBUS_14       => DCREMACDBUS(14),
		DCREMACDBUS_15       => DCREMACDBUS(15),
		DCREMACDBUS_16       => DCREMACDBUS(16),
		DCREMACDBUS_17       => DCREMACDBUS(17),
		DCREMACDBUS_18       => DCREMACDBUS(18),
		DCREMACDBUS_19       => DCREMACDBUS(19),
		DCREMACDBUS_2        => DCREMACDBUS(2),
		DCREMACDBUS_20       => DCREMACDBUS(20),
		DCREMACDBUS_21       => DCREMACDBUS(21),
		DCREMACDBUS_22       => DCREMACDBUS(22),
		DCREMACDBUS_23       => DCREMACDBUS(23),
		DCREMACDBUS_24       => DCREMACDBUS(24),
		DCREMACDBUS_25       => DCREMACDBUS(25),
		DCREMACDBUS_26       => DCREMACDBUS(26),
		DCREMACDBUS_27       => DCREMACDBUS(27),
		DCREMACDBUS_28       => DCREMACDBUS(28),
		DCREMACDBUS_29       => DCREMACDBUS(29),
		DCREMACDBUS_3        => DCREMACDBUS(3),
		DCREMACDBUS_30       => DCREMACDBUS(30),
		DCREMACDBUS_31       => DCREMACDBUS(31),
		DCREMACDBUS_4        => DCREMACDBUS(4),
		DCREMACDBUS_5        => DCREMACDBUS(5),
		DCREMACDBUS_6        => DCREMACDBUS(6),
		DCREMACDBUS_7        => DCREMACDBUS(7),
		DCREMACDBUS_8        => DCREMACDBUS(8),
		DCREMACDBUS_9        => DCREMACDBUS(9),
		DCREMACENABLE        => DCREMACENABLE,
		DCREMACREAD          => DCREMACREAD,
		DCREMACWRITE         => DCREMACWRITE,
		HOSTADDR_0           => HOSTADDR(0),
		HOSTADDR_1           => HOSTADDR(1),
		HOSTADDR_2           => HOSTADDR(2),
		HOSTADDR_3           => HOSTADDR(3),
		HOSTADDR_4           => HOSTADDR(4),
		HOSTADDR_5           => HOSTADDR(5),
		HOSTADDR_6           => HOSTADDR(6),
		HOSTADDR_7           => HOSTADDR(7),
		HOSTADDR_8           => HOSTADDR(8),
		HOSTADDR_9           => HOSTADDR(9),
		HOSTCLK              => HOSTCLK,
		HOSTEMAC1SEL         => HOSTEMAC1SEL,
		HOSTMIIMSEL          => HOSTMIIMSEL,
		HOSTOPCODE_0         => HOSTOPCODE(0),
		HOSTOPCODE_1         => HOSTOPCODE(1),
		HOSTREQ              => HOSTREQ,
		HOSTWRDATA_0         => HOSTWRDATA(0),
		HOSTWRDATA_1         => HOSTWRDATA(1),
		HOSTWRDATA_10        => HOSTWRDATA(10),
		HOSTWRDATA_11        => HOSTWRDATA(11),
		HOSTWRDATA_12        => HOSTWRDATA(12),
		HOSTWRDATA_13        => HOSTWRDATA(13),
		HOSTWRDATA_14        => HOSTWRDATA(14),
		HOSTWRDATA_15        => HOSTWRDATA(15),
		HOSTWRDATA_16        => HOSTWRDATA(16),
		HOSTWRDATA_17        => HOSTWRDATA(17),
		HOSTWRDATA_18        => HOSTWRDATA(18),
		HOSTWRDATA_19        => HOSTWRDATA(19),
		HOSTWRDATA_2         => HOSTWRDATA(2),
		HOSTWRDATA_20        => HOSTWRDATA(20),
		HOSTWRDATA_21        => HOSTWRDATA(21),
		HOSTWRDATA_22        => HOSTWRDATA(22),
		HOSTWRDATA_23        => HOSTWRDATA(23),
		HOSTWRDATA_24        => HOSTWRDATA(24),
		HOSTWRDATA_25        => HOSTWRDATA(25),
		HOSTWRDATA_26        => HOSTWRDATA(26),
		HOSTWRDATA_27        => HOSTWRDATA(27),
		HOSTWRDATA_28        => HOSTWRDATA(28),
		HOSTWRDATA_29        => HOSTWRDATA(29),
		HOSTWRDATA_3         => HOSTWRDATA(3),
		HOSTWRDATA_30        => HOSTWRDATA(30),
		HOSTWRDATA_31        => HOSTWRDATA(31),
		HOSTWRDATA_4         => HOSTWRDATA(4),
		HOSTWRDATA_5         => HOSTWRDATA(5),
		HOSTWRDATA_6         => HOSTWRDATA(6),
		HOSTWRDATA_7         => HOSTWRDATA(7),
		HOSTWRDATA_8         => HOSTWRDATA(8),
		HOSTWRDATA_9         => HOSTWRDATA(9),
		PHYEMAC0COL          => PHYEMAC0COL,
		PHYEMAC0CRS          => PHYEMAC0CRS,
		PHYEMAC0GTXCLK       => PHYEMAC0GTXCLK,
		PHYEMAC0MCLKIN       => PHYEMAC0MCLKIN,
		PHYEMAC0MDIN         => PHYEMAC0MDIN,
		PHYEMAC0MIITXCLK     => PHYEMAC0MIITXCLK,
		PHYEMAC0PHYAD_0      => PHYEMAC0PHYAD(0),
		PHYEMAC0PHYAD_1      => PHYEMAC0PHYAD(1),
		PHYEMAC0PHYAD_2      => PHYEMAC0PHYAD(2),
		PHYEMAC0PHYAD_3      => PHYEMAC0PHYAD(3),
		PHYEMAC0PHYAD_4      => PHYEMAC0PHYAD(4),
		PHYEMAC0RXBUFERR     => PHYEMAC0RXBUFERR,
		PHYEMAC0RXBUFSTATUS_0 => PHYEMAC0RXBUFSTATUS(0),
		PHYEMAC0RXBUFSTATUS_1 => PHYEMAC0RXBUFSTATUS(1),
		PHYEMAC0RXCHARISCOMMA => PHYEMAC0RXCHARISCOMMA,
		PHYEMAC0RXCHARISK    => PHYEMAC0RXCHARISK,
		PHYEMAC0RXCHECKINGCRC => PHYEMAC0RXCHECKINGCRC,
		PHYEMAC0RXCLK        => PHYEMAC0RXCLK,
		PHYEMAC0RXCLKCORCNT_0 => PHYEMAC0RXCLKCORCNT(0),
		PHYEMAC0RXCLKCORCNT_1 => PHYEMAC0RXCLKCORCNT(1),
		PHYEMAC0RXCLKCORCNT_2 => PHYEMAC0RXCLKCORCNT(2),
		PHYEMAC0RXCOMMADET   => PHYEMAC0RXCOMMADET,
		PHYEMAC0RXDISPERR    => PHYEMAC0RXDISPERR,
		PHYEMAC0RXDV         => PHYEMAC0RXDV,
		PHYEMAC0RXD_0        => PHYEMAC0RXD(0),
		PHYEMAC0RXD_1        => PHYEMAC0RXD(1),
		PHYEMAC0RXD_2        => PHYEMAC0RXD(2),
		PHYEMAC0RXD_3        => PHYEMAC0RXD(3),
		PHYEMAC0RXD_4        => PHYEMAC0RXD(4),
		PHYEMAC0RXD_5        => PHYEMAC0RXD(5),
		PHYEMAC0RXD_6        => PHYEMAC0RXD(6),
		PHYEMAC0RXD_7        => PHYEMAC0RXD(7),
		PHYEMAC0RXER         => PHYEMAC0RXER,
		PHYEMAC0RXLOSSOFSYNC_0 => PHYEMAC0RXLOSSOFSYNC(0),
		PHYEMAC0RXLOSSOFSYNC_1 => PHYEMAC0RXLOSSOFSYNC(1),
		PHYEMAC0RXNOTINTABLE => PHYEMAC0RXNOTINTABLE,
		PHYEMAC0RXRUNDISP    => PHYEMAC0RXRUNDISP,
		PHYEMAC0SIGNALDET    => PHYEMAC0SIGNALDET,
		PHYEMAC0TXBUFERR     => PHYEMAC0TXBUFERR,
		PHYEMAC1COL          => PHYEMAC1COL,
		PHYEMAC1CRS          => PHYEMAC1CRS,
		PHYEMAC1GTXCLK       => PHYEMAC1GTXCLK,
		PHYEMAC1MCLKIN       => PHYEMAC1MCLKIN,
		PHYEMAC1MDIN         => PHYEMAC1MDIN,
		PHYEMAC1MIITXCLK     => PHYEMAC1MIITXCLK,
		PHYEMAC1PHYAD_0      => PHYEMAC1PHYAD(0),
		PHYEMAC1PHYAD_1      => PHYEMAC1PHYAD(1),
		PHYEMAC1PHYAD_2      => PHYEMAC1PHYAD(2),
		PHYEMAC1PHYAD_3      => PHYEMAC1PHYAD(3),
		PHYEMAC1PHYAD_4      => PHYEMAC1PHYAD(4),
		PHYEMAC1RXBUFERR     => PHYEMAC1RXBUFERR,
		PHYEMAC1RXBUFSTATUS_0 => PHYEMAC1RXBUFSTATUS(0),
		PHYEMAC1RXBUFSTATUS_1 => PHYEMAC1RXBUFSTATUS(1),
		PHYEMAC1RXCHARISCOMMA => PHYEMAC1RXCHARISCOMMA,
		PHYEMAC1RXCHARISK    => PHYEMAC1RXCHARISK,
		PHYEMAC1RXCHECKINGCRC => PHYEMAC1RXCHECKINGCRC,
		PHYEMAC1RXCLK        => PHYEMAC1RXCLK,
		PHYEMAC1RXCLKCORCNT_0 => PHYEMAC1RXCLKCORCNT(0),
		PHYEMAC1RXCLKCORCNT_1 => PHYEMAC1RXCLKCORCNT(1),
		PHYEMAC1RXCLKCORCNT_2 => PHYEMAC1RXCLKCORCNT(2),
		PHYEMAC1RXCOMMADET   => PHYEMAC1RXCOMMADET,
		PHYEMAC1RXDISPERR    => PHYEMAC1RXDISPERR,
		PHYEMAC1RXDV         => PHYEMAC1RXDV,
		PHYEMAC1RXD_0        => PHYEMAC1RXD(0),
		PHYEMAC1RXD_1        => PHYEMAC1RXD(1),
		PHYEMAC1RXD_2        => PHYEMAC1RXD(2),
		PHYEMAC1RXD_3        => PHYEMAC1RXD(3),
		PHYEMAC1RXD_4        => PHYEMAC1RXD(4),
		PHYEMAC1RXD_5        => PHYEMAC1RXD(5),
		PHYEMAC1RXD_6        => PHYEMAC1RXD(6),
		PHYEMAC1RXD_7        => PHYEMAC1RXD(7),
		PHYEMAC1RXER         => PHYEMAC1RXER,
		PHYEMAC1RXLOSSOFSYNC_0 => PHYEMAC1RXLOSSOFSYNC(0),
		PHYEMAC1RXLOSSOFSYNC_1 => PHYEMAC1RXLOSSOFSYNC(1),
		PHYEMAC1RXNOTINTABLE => PHYEMAC1RXNOTINTABLE,
		PHYEMAC1RXRUNDISP    => PHYEMAC1RXRUNDISP,
		PHYEMAC1SIGNALDET    => PHYEMAC1SIGNALDET,
		PHYEMAC1TXBUFERR     => PHYEMAC1TXBUFERR,
		RESET                => RESET,
		TIEEMAC0CONFIGVEC_0  => TIEEMAC0CONFIGVEC(0),
		TIEEMAC0CONFIGVEC_1  => TIEEMAC0CONFIGVEC(1),
		TIEEMAC0CONFIGVEC_10 => TIEEMAC0CONFIGVEC(10),
		TIEEMAC0CONFIGVEC_11 => TIEEMAC0CONFIGVEC(11),
		TIEEMAC0CONFIGVEC_12 => TIEEMAC0CONFIGVEC(12),
		TIEEMAC0CONFIGVEC_13 => TIEEMAC0CONFIGVEC(13),
		TIEEMAC0CONFIGVEC_14 => TIEEMAC0CONFIGVEC(14),
		TIEEMAC0CONFIGVEC_15 => TIEEMAC0CONFIGVEC(15),
		TIEEMAC0CONFIGVEC_16 => TIEEMAC0CONFIGVEC(16),
		TIEEMAC0CONFIGVEC_17 => TIEEMAC0CONFIGVEC(17),
		TIEEMAC0CONFIGVEC_18 => TIEEMAC0CONFIGVEC(18),
		TIEEMAC0CONFIGVEC_19 => TIEEMAC0CONFIGVEC(19),
		TIEEMAC0CONFIGVEC_2  => TIEEMAC0CONFIGVEC(2),
		TIEEMAC0CONFIGVEC_20 => TIEEMAC0CONFIGVEC(20),
		TIEEMAC0CONFIGVEC_21 => TIEEMAC0CONFIGVEC(21),
		TIEEMAC0CONFIGVEC_22 => TIEEMAC0CONFIGVEC(22),
		TIEEMAC0CONFIGVEC_23 => TIEEMAC0CONFIGVEC(23),
		TIEEMAC0CONFIGVEC_24 => TIEEMAC0CONFIGVEC(24),
		TIEEMAC0CONFIGVEC_25 => TIEEMAC0CONFIGVEC(25),
		TIEEMAC0CONFIGVEC_26 => TIEEMAC0CONFIGVEC(26),
		TIEEMAC0CONFIGVEC_27 => TIEEMAC0CONFIGVEC(27),
		TIEEMAC0CONFIGVEC_28 => TIEEMAC0CONFIGVEC(28),
		TIEEMAC0CONFIGVEC_29 => TIEEMAC0CONFIGVEC(29),
		TIEEMAC0CONFIGVEC_3  => TIEEMAC0CONFIGVEC(3),
		TIEEMAC0CONFIGVEC_30 => TIEEMAC0CONFIGVEC(30),
		TIEEMAC0CONFIGVEC_31 => TIEEMAC0CONFIGVEC(31),
		TIEEMAC0CONFIGVEC_32 => TIEEMAC0CONFIGVEC(32),
		TIEEMAC0CONFIGVEC_33 => TIEEMAC0CONFIGVEC(33),
		TIEEMAC0CONFIGVEC_34 => TIEEMAC0CONFIGVEC(34),
		TIEEMAC0CONFIGVEC_35 => TIEEMAC0CONFIGVEC(35),
		TIEEMAC0CONFIGVEC_36 => TIEEMAC0CONFIGVEC(36),
		TIEEMAC0CONFIGVEC_37 => TIEEMAC0CONFIGVEC(37),
		TIEEMAC0CONFIGVEC_38 => TIEEMAC0CONFIGVEC(38),
		TIEEMAC0CONFIGVEC_39 => TIEEMAC0CONFIGVEC(39),
		TIEEMAC0CONFIGVEC_4  => TIEEMAC0CONFIGVEC(4),
		TIEEMAC0CONFIGVEC_40 => TIEEMAC0CONFIGVEC(40),
		TIEEMAC0CONFIGVEC_41 => TIEEMAC0CONFIGVEC(41),
		TIEEMAC0CONFIGVEC_42 => TIEEMAC0CONFIGVEC(42),
		TIEEMAC0CONFIGVEC_43 => TIEEMAC0CONFIGVEC(43),
		TIEEMAC0CONFIGVEC_44 => TIEEMAC0CONFIGVEC(44),
		TIEEMAC0CONFIGVEC_45 => TIEEMAC0CONFIGVEC(45),
		TIEEMAC0CONFIGVEC_46 => TIEEMAC0CONFIGVEC(46),
		TIEEMAC0CONFIGVEC_47 => TIEEMAC0CONFIGVEC(47),
		TIEEMAC0CONFIGVEC_48 => TIEEMAC0CONFIGVEC(48),
		TIEEMAC0CONFIGVEC_49 => TIEEMAC0CONFIGVEC(49),
		TIEEMAC0CONFIGVEC_5  => TIEEMAC0CONFIGVEC(5),
		TIEEMAC0CONFIGVEC_50 => TIEEMAC0CONFIGVEC(50),
		TIEEMAC0CONFIGVEC_51 => TIEEMAC0CONFIGVEC(51),
		TIEEMAC0CONFIGVEC_52 => TIEEMAC0CONFIGVEC(52),
		TIEEMAC0CONFIGVEC_53 => TIEEMAC0CONFIGVEC(53),
		TIEEMAC0CONFIGVEC_54 => TIEEMAC0CONFIGVEC(54),
		TIEEMAC0CONFIGVEC_55 => TIEEMAC0CONFIGVEC(55),
		TIEEMAC0CONFIGVEC_56 => TIEEMAC0CONFIGVEC(56),
		TIEEMAC0CONFIGVEC_57 => TIEEMAC0CONFIGVEC(57),
		TIEEMAC0CONFIGVEC_58 => TIEEMAC0CONFIGVEC(58),
		TIEEMAC0CONFIGVEC_59 => TIEEMAC0CONFIGVEC(59),
		TIEEMAC0CONFIGVEC_6  => TIEEMAC0CONFIGVEC(6),
		TIEEMAC0CONFIGVEC_60 => TIEEMAC0CONFIGVEC(60),
		TIEEMAC0CONFIGVEC_61 => TIEEMAC0CONFIGVEC(61),
		TIEEMAC0CONFIGVEC_62 => TIEEMAC0CONFIGVEC(62),
		TIEEMAC0CONFIGVEC_63 => TIEEMAC0CONFIGVEC(63),
		TIEEMAC0CONFIGVEC_64 => TIEEMAC0CONFIGVEC(64),
		TIEEMAC0CONFIGVEC_65 => TIEEMAC0CONFIGVEC(65),
		TIEEMAC0CONFIGVEC_66 => TIEEMAC0CONFIGVEC(66),
		TIEEMAC0CONFIGVEC_67 => TIEEMAC0CONFIGVEC(67),
		TIEEMAC0CONFIGVEC_68 => TIEEMAC0CONFIGVEC(68),
		TIEEMAC0CONFIGVEC_69 => TIEEMAC0CONFIGVEC(69),
		TIEEMAC0CONFIGVEC_7  => TIEEMAC0CONFIGVEC(7),
		TIEEMAC0CONFIGVEC_70 => TIEEMAC0CONFIGVEC(70),
		TIEEMAC0CONFIGVEC_71 => TIEEMAC0CONFIGVEC(71),
		TIEEMAC0CONFIGVEC_72 => TIEEMAC0CONFIGVEC(72),
		TIEEMAC0CONFIGVEC_73 => TIEEMAC0CONFIGVEC(73),
		TIEEMAC0CONFIGVEC_74 => TIEEMAC0CONFIGVEC(74),
		TIEEMAC0CONFIGVEC_75 => TIEEMAC0CONFIGVEC(75),
		TIEEMAC0CONFIGVEC_76 => TIEEMAC0CONFIGVEC(76),
		TIEEMAC0CONFIGVEC_77 => TIEEMAC0CONFIGVEC(77),
		TIEEMAC0CONFIGVEC_78 => TIEEMAC0CONFIGVEC(78),
		TIEEMAC0CONFIGVEC_79 => TIEEMAC0CONFIGVEC(79),
		TIEEMAC0CONFIGVEC_8  => TIEEMAC0CONFIGVEC(8),
		TIEEMAC0CONFIGVEC_9  => TIEEMAC0CONFIGVEC(9),
		TIEEMAC0UNICASTADDR_0 => TIEEMAC0UNICASTADDR(0),
		TIEEMAC0UNICASTADDR_1 => TIEEMAC0UNICASTADDR(1),
		TIEEMAC0UNICASTADDR_10 => TIEEMAC0UNICASTADDR(10),
		TIEEMAC0UNICASTADDR_11 => TIEEMAC0UNICASTADDR(11),
		TIEEMAC0UNICASTADDR_12 => TIEEMAC0UNICASTADDR(12),
		TIEEMAC0UNICASTADDR_13 => TIEEMAC0UNICASTADDR(13),
		TIEEMAC0UNICASTADDR_14 => TIEEMAC0UNICASTADDR(14),
		TIEEMAC0UNICASTADDR_15 => TIEEMAC0UNICASTADDR(15),
		TIEEMAC0UNICASTADDR_16 => TIEEMAC0UNICASTADDR(16),
		TIEEMAC0UNICASTADDR_17 => TIEEMAC0UNICASTADDR(17),
		TIEEMAC0UNICASTADDR_18 => TIEEMAC0UNICASTADDR(18),
		TIEEMAC0UNICASTADDR_19 => TIEEMAC0UNICASTADDR(19),
		TIEEMAC0UNICASTADDR_2 => TIEEMAC0UNICASTADDR(2),
		TIEEMAC0UNICASTADDR_20 => TIEEMAC0UNICASTADDR(20),
		TIEEMAC0UNICASTADDR_21 => TIEEMAC0UNICASTADDR(21),
		TIEEMAC0UNICASTADDR_22 => TIEEMAC0UNICASTADDR(22),
		TIEEMAC0UNICASTADDR_23 => TIEEMAC0UNICASTADDR(23),
		TIEEMAC0UNICASTADDR_24 => TIEEMAC0UNICASTADDR(24),
		TIEEMAC0UNICASTADDR_25 => TIEEMAC0UNICASTADDR(25),
		TIEEMAC0UNICASTADDR_26 => TIEEMAC0UNICASTADDR(26),
		TIEEMAC0UNICASTADDR_27 => TIEEMAC0UNICASTADDR(27),
		TIEEMAC0UNICASTADDR_28 => TIEEMAC0UNICASTADDR(28),
		TIEEMAC0UNICASTADDR_29 => TIEEMAC0UNICASTADDR(29),
		TIEEMAC0UNICASTADDR_3 => TIEEMAC0UNICASTADDR(3),
		TIEEMAC0UNICASTADDR_30 => TIEEMAC0UNICASTADDR(30),
		TIEEMAC0UNICASTADDR_31 => TIEEMAC0UNICASTADDR(31),
		TIEEMAC0UNICASTADDR_32 => TIEEMAC0UNICASTADDR(32),
		TIEEMAC0UNICASTADDR_33 => TIEEMAC0UNICASTADDR(33),
		TIEEMAC0UNICASTADDR_34 => TIEEMAC0UNICASTADDR(34),
		TIEEMAC0UNICASTADDR_35 => TIEEMAC0UNICASTADDR(35),
		TIEEMAC0UNICASTADDR_36 => TIEEMAC0UNICASTADDR(36),
		TIEEMAC0UNICASTADDR_37 => TIEEMAC0UNICASTADDR(37),
		TIEEMAC0UNICASTADDR_38 => TIEEMAC0UNICASTADDR(38),
		TIEEMAC0UNICASTADDR_39 => TIEEMAC0UNICASTADDR(39),
		TIEEMAC0UNICASTADDR_4 => TIEEMAC0UNICASTADDR(4),
		TIEEMAC0UNICASTADDR_40 => TIEEMAC0UNICASTADDR(40),
		TIEEMAC0UNICASTADDR_41 => TIEEMAC0UNICASTADDR(41),
		TIEEMAC0UNICASTADDR_42 => TIEEMAC0UNICASTADDR(42),
		TIEEMAC0UNICASTADDR_43 => TIEEMAC0UNICASTADDR(43),
		TIEEMAC0UNICASTADDR_44 => TIEEMAC0UNICASTADDR(44),
		TIEEMAC0UNICASTADDR_45 => TIEEMAC0UNICASTADDR(45),
		TIEEMAC0UNICASTADDR_46 => TIEEMAC0UNICASTADDR(46),
		TIEEMAC0UNICASTADDR_47 => TIEEMAC0UNICASTADDR(47),
		TIEEMAC0UNICASTADDR_5 => TIEEMAC0UNICASTADDR(5),
		TIEEMAC0UNICASTADDR_6 => TIEEMAC0UNICASTADDR(6),
		TIEEMAC0UNICASTADDR_7 => TIEEMAC0UNICASTADDR(7),
		TIEEMAC0UNICASTADDR_8 => TIEEMAC0UNICASTADDR(8),
		TIEEMAC0UNICASTADDR_9 => TIEEMAC0UNICASTADDR(9),
		TIEEMAC1CONFIGVEC_0  => TIEEMAC1CONFIGVEC(0),
		TIEEMAC1CONFIGVEC_1  => TIEEMAC1CONFIGVEC(1),
		TIEEMAC1CONFIGVEC_10 => TIEEMAC1CONFIGVEC(10),
		TIEEMAC1CONFIGVEC_11 => TIEEMAC1CONFIGVEC(11),
		TIEEMAC1CONFIGVEC_12 => TIEEMAC1CONFIGVEC(12),
		TIEEMAC1CONFIGVEC_13 => TIEEMAC1CONFIGVEC(13),
		TIEEMAC1CONFIGVEC_14 => TIEEMAC1CONFIGVEC(14),
		TIEEMAC1CONFIGVEC_15 => TIEEMAC1CONFIGVEC(15),
		TIEEMAC1CONFIGVEC_16 => TIEEMAC1CONFIGVEC(16),
		TIEEMAC1CONFIGVEC_17 => TIEEMAC1CONFIGVEC(17),
		TIEEMAC1CONFIGVEC_18 => TIEEMAC1CONFIGVEC(18),
		TIEEMAC1CONFIGVEC_19 => TIEEMAC1CONFIGVEC(19),
		TIEEMAC1CONFIGVEC_2  => TIEEMAC1CONFIGVEC(2),
		TIEEMAC1CONFIGVEC_20 => TIEEMAC1CONFIGVEC(20),
		TIEEMAC1CONFIGVEC_21 => TIEEMAC1CONFIGVEC(21),
		TIEEMAC1CONFIGVEC_22 => TIEEMAC1CONFIGVEC(22),
		TIEEMAC1CONFIGVEC_23 => TIEEMAC1CONFIGVEC(23),
		TIEEMAC1CONFIGVEC_24 => TIEEMAC1CONFIGVEC(24),
		TIEEMAC1CONFIGVEC_25 => TIEEMAC1CONFIGVEC(25),
		TIEEMAC1CONFIGVEC_26 => TIEEMAC1CONFIGVEC(26),
		TIEEMAC1CONFIGVEC_27 => TIEEMAC1CONFIGVEC(27),
		TIEEMAC1CONFIGVEC_28 => TIEEMAC1CONFIGVEC(28),
		TIEEMAC1CONFIGVEC_29 => TIEEMAC1CONFIGVEC(29),
		TIEEMAC1CONFIGVEC_3  => TIEEMAC1CONFIGVEC(3),
		TIEEMAC1CONFIGVEC_30 => TIEEMAC1CONFIGVEC(30),
		TIEEMAC1CONFIGVEC_31 => TIEEMAC1CONFIGVEC(31),
		TIEEMAC1CONFIGVEC_32 => TIEEMAC1CONFIGVEC(32),
		TIEEMAC1CONFIGVEC_33 => TIEEMAC1CONFIGVEC(33),
		TIEEMAC1CONFIGVEC_34 => TIEEMAC1CONFIGVEC(34),
		TIEEMAC1CONFIGVEC_35 => TIEEMAC1CONFIGVEC(35),
		TIEEMAC1CONFIGVEC_36 => TIEEMAC1CONFIGVEC(36),
		TIEEMAC1CONFIGVEC_37 => TIEEMAC1CONFIGVEC(37),
		TIEEMAC1CONFIGVEC_38 => TIEEMAC1CONFIGVEC(38),
		TIEEMAC1CONFIGVEC_39 => TIEEMAC1CONFIGVEC(39),
		TIEEMAC1CONFIGVEC_4  => TIEEMAC1CONFIGVEC(4),
		TIEEMAC1CONFIGVEC_40 => TIEEMAC1CONFIGVEC(40),
		TIEEMAC1CONFIGVEC_41 => TIEEMAC1CONFIGVEC(41),
		TIEEMAC1CONFIGVEC_42 => TIEEMAC1CONFIGVEC(42),
		TIEEMAC1CONFIGVEC_43 => TIEEMAC1CONFIGVEC(43),
		TIEEMAC1CONFIGVEC_44 => TIEEMAC1CONFIGVEC(44),
		TIEEMAC1CONFIGVEC_45 => TIEEMAC1CONFIGVEC(45),
		TIEEMAC1CONFIGVEC_46 => TIEEMAC1CONFIGVEC(46),
		TIEEMAC1CONFIGVEC_47 => TIEEMAC1CONFIGVEC(47),
		TIEEMAC1CONFIGVEC_48 => TIEEMAC1CONFIGVEC(48),
		TIEEMAC1CONFIGVEC_49 => TIEEMAC1CONFIGVEC(49),
		TIEEMAC1CONFIGVEC_5  => TIEEMAC1CONFIGVEC(5),
		TIEEMAC1CONFIGVEC_50 => TIEEMAC1CONFIGVEC(50),
		TIEEMAC1CONFIGVEC_51 => TIEEMAC1CONFIGVEC(51),
		TIEEMAC1CONFIGVEC_52 => TIEEMAC1CONFIGVEC(52),
		TIEEMAC1CONFIGVEC_53 => TIEEMAC1CONFIGVEC(53),
		TIEEMAC1CONFIGVEC_54 => TIEEMAC1CONFIGVEC(54),
		TIEEMAC1CONFIGVEC_55 => TIEEMAC1CONFIGVEC(55),
		TIEEMAC1CONFIGVEC_56 => TIEEMAC1CONFIGVEC(56),
		TIEEMAC1CONFIGVEC_57 => TIEEMAC1CONFIGVEC(57),
		TIEEMAC1CONFIGVEC_58 => TIEEMAC1CONFIGVEC(58),
		TIEEMAC1CONFIGVEC_59 => TIEEMAC1CONFIGVEC(59),
		TIEEMAC1CONFIGVEC_6  => TIEEMAC1CONFIGVEC(6),
		TIEEMAC1CONFIGVEC_60 => TIEEMAC1CONFIGVEC(60),
		TIEEMAC1CONFIGVEC_61 => TIEEMAC1CONFIGVEC(61),
		TIEEMAC1CONFIGVEC_62 => TIEEMAC1CONFIGVEC(62),
		TIEEMAC1CONFIGVEC_63 => TIEEMAC1CONFIGVEC(63),
		TIEEMAC1CONFIGVEC_64 => TIEEMAC1CONFIGVEC(64),
		TIEEMAC1CONFIGVEC_65 => TIEEMAC1CONFIGVEC(65),
		TIEEMAC1CONFIGVEC_66 => TIEEMAC1CONFIGVEC(66),
		TIEEMAC1CONFIGVEC_67 => TIEEMAC1CONFIGVEC(67),
		TIEEMAC1CONFIGVEC_68 => TIEEMAC1CONFIGVEC(68),
		TIEEMAC1CONFIGVEC_69 => TIEEMAC1CONFIGVEC(69),
		TIEEMAC1CONFIGVEC_7  => TIEEMAC1CONFIGVEC(7),
		TIEEMAC1CONFIGVEC_70 => TIEEMAC1CONFIGVEC(70),
		TIEEMAC1CONFIGVEC_71 => TIEEMAC1CONFIGVEC(71),
		TIEEMAC1CONFIGVEC_72 => TIEEMAC1CONFIGVEC(72),
		TIEEMAC1CONFIGVEC_73 => TIEEMAC1CONFIGVEC(73),
		TIEEMAC1CONFIGVEC_74 => TIEEMAC1CONFIGVEC(74),
		TIEEMAC1CONFIGVEC_75 => TIEEMAC1CONFIGVEC(75),
		TIEEMAC1CONFIGVEC_76 => TIEEMAC1CONFIGVEC(76),
		TIEEMAC1CONFIGVEC_77 => TIEEMAC1CONFIGVEC(77),
		TIEEMAC1CONFIGVEC_78 => TIEEMAC1CONFIGVEC(78),
		TIEEMAC1CONFIGVEC_79 => TIEEMAC1CONFIGVEC(79),
		TIEEMAC1CONFIGVEC_8  => TIEEMAC1CONFIGVEC(8),
		TIEEMAC1CONFIGVEC_9  => TIEEMAC1CONFIGVEC(9),
		TIEEMAC1UNICASTADDR_0 => TIEEMAC1UNICASTADDR(0),
		TIEEMAC1UNICASTADDR_1 => TIEEMAC1UNICASTADDR(1),
		TIEEMAC1UNICASTADDR_10 => TIEEMAC1UNICASTADDR(10),
		TIEEMAC1UNICASTADDR_11 => TIEEMAC1UNICASTADDR(11),
		TIEEMAC1UNICASTADDR_12 => TIEEMAC1UNICASTADDR(12),
		TIEEMAC1UNICASTADDR_13 => TIEEMAC1UNICASTADDR(13),
		TIEEMAC1UNICASTADDR_14 => TIEEMAC1UNICASTADDR(14),
		TIEEMAC1UNICASTADDR_15 => TIEEMAC1UNICASTADDR(15),
		TIEEMAC1UNICASTADDR_16 => TIEEMAC1UNICASTADDR(16),
		TIEEMAC1UNICASTADDR_17 => TIEEMAC1UNICASTADDR(17),
		TIEEMAC1UNICASTADDR_18 => TIEEMAC1UNICASTADDR(18),
		TIEEMAC1UNICASTADDR_19 => TIEEMAC1UNICASTADDR(19),
		TIEEMAC1UNICASTADDR_2 => TIEEMAC1UNICASTADDR(2),
		TIEEMAC1UNICASTADDR_20 => TIEEMAC1UNICASTADDR(20),
		TIEEMAC1UNICASTADDR_21 => TIEEMAC1UNICASTADDR(21),
		TIEEMAC1UNICASTADDR_22 => TIEEMAC1UNICASTADDR(22),
		TIEEMAC1UNICASTADDR_23 => TIEEMAC1UNICASTADDR(23),
		TIEEMAC1UNICASTADDR_24 => TIEEMAC1UNICASTADDR(24),
		TIEEMAC1UNICASTADDR_25 => TIEEMAC1UNICASTADDR(25),
		TIEEMAC1UNICASTADDR_26 => TIEEMAC1UNICASTADDR(26),
		TIEEMAC1UNICASTADDR_27 => TIEEMAC1UNICASTADDR(27),
		TIEEMAC1UNICASTADDR_28 => TIEEMAC1UNICASTADDR(28),
		TIEEMAC1UNICASTADDR_29 => TIEEMAC1UNICASTADDR(29),
		TIEEMAC1UNICASTADDR_3 => TIEEMAC1UNICASTADDR(3),
		TIEEMAC1UNICASTADDR_30 => TIEEMAC1UNICASTADDR(30),
		TIEEMAC1UNICASTADDR_31 => TIEEMAC1UNICASTADDR(31),
		TIEEMAC1UNICASTADDR_32 => TIEEMAC1UNICASTADDR(32),
		TIEEMAC1UNICASTADDR_33 => TIEEMAC1UNICASTADDR(33),
		TIEEMAC1UNICASTADDR_34 => TIEEMAC1UNICASTADDR(34),
		TIEEMAC1UNICASTADDR_35 => TIEEMAC1UNICASTADDR(35),
		TIEEMAC1UNICASTADDR_36 => TIEEMAC1UNICASTADDR(36),
		TIEEMAC1UNICASTADDR_37 => TIEEMAC1UNICASTADDR(37),
		TIEEMAC1UNICASTADDR_38 => TIEEMAC1UNICASTADDR(38),
		TIEEMAC1UNICASTADDR_39 => TIEEMAC1UNICASTADDR(39),
		TIEEMAC1UNICASTADDR_4 => TIEEMAC1UNICASTADDR(4),
		TIEEMAC1UNICASTADDR_40 => TIEEMAC1UNICASTADDR(40),
		TIEEMAC1UNICASTADDR_41 => TIEEMAC1UNICASTADDR(41),
		TIEEMAC1UNICASTADDR_42 => TIEEMAC1UNICASTADDR(42),
		TIEEMAC1UNICASTADDR_43 => TIEEMAC1UNICASTADDR(43),
		TIEEMAC1UNICASTADDR_44 => TIEEMAC1UNICASTADDR(44),
		TIEEMAC1UNICASTADDR_45 => TIEEMAC1UNICASTADDR(45),
		TIEEMAC1UNICASTADDR_46 => TIEEMAC1UNICASTADDR(46),
		TIEEMAC1UNICASTADDR_47 => TIEEMAC1UNICASTADDR(47),
		TIEEMAC1UNICASTADDR_5 => TIEEMAC1UNICASTADDR(5),
		TIEEMAC1UNICASTADDR_6 => TIEEMAC1UNICASTADDR(6),
		TIEEMAC1UNICASTADDR_7 => TIEEMAC1UNICASTADDR(7),
		TIEEMAC1UNICASTADDR_8 => TIEEMAC1UNICASTADDR(8),
		TIEEMAC1UNICASTADDR_9 => TIEEMAC1UNICASTADDR(9)
		);
begin
emac_swift_inst : EMAC_SWIFT
	port map (
		DCRHOSTDONEIR         =>  DCRHOSTDONEIR,
		EMAC0CLIENTANINTERRUPT  =>  EMAC0CLIENTANINTERRUPT,
		EMAC0CLIENTRXBADFRAME  =>  EMAC0CLIENTRXBADFRAME,
		EMAC0CLIENTRXCLIENTCLKOUT  =>  EMAC0CLIENTRXCLIENTCLKOUT,
		EMAC0CLIENTRXD        =>  EMAC0CLIENTRXD,
		EMAC0CLIENTRXDVLD     =>  EMAC0CLIENTRXDVLD,
		EMAC0CLIENTRXDVLDMSW  =>  EMAC0CLIENTRXDVLDMSW,
		EMAC0CLIENTRXDVREG6   =>  EMAC0CLIENTRXDVREG6,
		EMAC0CLIENTRXFRAMEDROP  =>  EMAC0CLIENTRXFRAMEDROP,
		EMAC0CLIENTRXGOODFRAME  =>  EMAC0CLIENTRXGOODFRAME,
		EMAC0CLIENTRXSTATS    =>  EMAC0CLIENTRXSTATS,
		EMAC0CLIENTRXSTATSBYTEVLD  =>  EMAC0CLIENTRXSTATSBYTEVLD,
		EMAC0CLIENTRXSTATSVLD  =>  EMAC0CLIENTRXSTATSVLD,
		EMAC0CLIENTTXACK      =>  EMAC0CLIENTTXACK,
		EMAC0CLIENTTXCLIENTCLKOUT  =>  EMAC0CLIENTTXCLIENTCLKOUT,
		EMAC0CLIENTTXCOLLISION  =>  EMAC0CLIENTTXCOLLISION,
		EMAC0CLIENTTXGMIIMIICLKOUT  =>  EMAC0CLIENTTXGMIIMIICLKOUT,
		EMAC0CLIENTTXRETRANSMIT  =>  EMAC0CLIENTTXRETRANSMIT,
		EMAC0CLIENTTXSTATS    =>  EMAC0CLIENTTXSTATS,
		EMAC0CLIENTTXSTATSBYTEVLD  =>  EMAC0CLIENTTXSTATSBYTEVLD,
		EMAC0CLIENTTXSTATSVLD  =>  EMAC0CLIENTTXSTATSVLD,
		EMAC0PHYENCOMMAALIGN  =>  EMAC0PHYENCOMMAALIGN,
		EMAC0PHYLOOPBACKMSB   =>  EMAC0PHYLOOPBACKMSB,
		EMAC0PHYMCLKOUT       =>  EMAC0PHYMCLKOUT,
		EMAC0PHYMDOUT         =>  EMAC0PHYMDOUT,
		EMAC0PHYMDTRI         =>  EMAC0PHYMDTRI,
		EMAC0PHYMGTRXRESET    =>  EMAC0PHYMGTRXRESET,
		EMAC0PHYMGTTXRESET    =>  EMAC0PHYMGTTXRESET,
		EMAC0PHYPOWERDOWN     =>  EMAC0PHYPOWERDOWN,
		EMAC0PHYSYNCACQSTATUS  =>  EMAC0PHYSYNCACQSTATUS,
		EMAC0PHYTXCHARDISPMODE  =>  EMAC0PHYTXCHARDISPMODE,
		EMAC0PHYTXCHARDISPVAL  =>  EMAC0PHYTXCHARDISPVAL,
		EMAC0PHYTXCHARISK     =>  EMAC0PHYTXCHARISK,
		EMAC0PHYTXCLK         =>  EMAC0PHYTXCLK,
		EMAC0PHYTXD           =>  EMAC0PHYTXD,
		EMAC0PHYTXEN          =>  EMAC0PHYTXEN,
		EMAC0PHYTXER          =>  EMAC0PHYTXER,
		EMAC1CLIENTANINTERRUPT  =>  EMAC1CLIENTANINTERRUPT,
		EMAC1CLIENTRXBADFRAME  =>  EMAC1CLIENTRXBADFRAME,
		EMAC1CLIENTRXCLIENTCLKOUT  =>  EMAC1CLIENTRXCLIENTCLKOUT,
		EMAC1CLIENTRXD        =>  EMAC1CLIENTRXD,
		EMAC1CLIENTRXDVLD     =>  EMAC1CLIENTRXDVLD,
		EMAC1CLIENTRXDVLDMSW  =>  EMAC1CLIENTRXDVLDMSW,
		EMAC1CLIENTRXDVREG6   =>  EMAC1CLIENTRXDVREG6,
		EMAC1CLIENTRXFRAMEDROP  =>  EMAC1CLIENTRXFRAMEDROP,
		EMAC1CLIENTRXGOODFRAME  =>  EMAC1CLIENTRXGOODFRAME,
		EMAC1CLIENTRXSTATS    =>  EMAC1CLIENTRXSTATS,
		EMAC1CLIENTRXSTATSBYTEVLD  =>  EMAC1CLIENTRXSTATSBYTEVLD,
		EMAC1CLIENTRXSTATSVLD  =>  EMAC1CLIENTRXSTATSVLD,
		EMAC1CLIENTTXACK      =>  EMAC1CLIENTTXACK,
		EMAC1CLIENTTXCLIENTCLKOUT  =>  EMAC1CLIENTTXCLIENTCLKOUT,
		EMAC1CLIENTTXCOLLISION  =>  EMAC1CLIENTTXCOLLISION,
		EMAC1CLIENTTXGMIIMIICLKOUT  =>  EMAC1CLIENTTXGMIIMIICLKOUT,
		EMAC1CLIENTTXRETRANSMIT  =>  EMAC1CLIENTTXRETRANSMIT,
		EMAC1CLIENTTXSTATS    =>  EMAC1CLIENTTXSTATS,
		EMAC1CLIENTTXSTATSBYTEVLD  =>  EMAC1CLIENTTXSTATSBYTEVLD,
		EMAC1CLIENTTXSTATSVLD  =>  EMAC1CLIENTTXSTATSVLD,
		EMAC1PHYENCOMMAALIGN  =>  EMAC1PHYENCOMMAALIGN,
		EMAC1PHYLOOPBACKMSB   =>  EMAC1PHYLOOPBACKMSB,
		EMAC1PHYMCLKOUT       =>  EMAC1PHYMCLKOUT,
		EMAC1PHYMDOUT         =>  EMAC1PHYMDOUT,
		EMAC1PHYMDTRI         =>  EMAC1PHYMDTRI,
		EMAC1PHYMGTRXRESET    =>  EMAC1PHYMGTRXRESET,
		EMAC1PHYMGTTXRESET    =>  EMAC1PHYMGTTXRESET,
		EMAC1PHYPOWERDOWN     =>  EMAC1PHYPOWERDOWN,
		EMAC1PHYSYNCACQSTATUS  =>  EMAC1PHYSYNCACQSTATUS,
		EMAC1PHYTXCHARDISPMODE  =>  EMAC1PHYTXCHARDISPMODE,
		EMAC1PHYTXCHARDISPVAL  =>  EMAC1PHYTXCHARDISPVAL,
		EMAC1PHYTXCHARISK     =>  EMAC1PHYTXCHARISK,
		EMAC1PHYTXCLK         =>  EMAC1PHYTXCLK,
		EMAC1PHYTXD           =>  EMAC1PHYTXD,
		EMAC1PHYTXEN          =>  EMAC1PHYTXEN,
		EMAC1PHYTXER          =>  EMAC1PHYTXER,
		EMACDCRACK            =>  EMACDCRACK,
		EMACDCRDBUS           =>  EMACDCRDBUS,
		HOSTMIIMRDY           =>  HOSTMIIMRDY,
		HOSTRDDATA            =>  HOSTRDDATA,

		CLIENTEMAC0DCMLOCKED  =>  CLIENTEMAC0DCMLOCKED,
		CLIENTEMAC0PAUSEREQ   =>  CLIENTEMAC0PAUSEREQ,
		CLIENTEMAC0PAUSEVAL   =>  CLIENTEMAC0PAUSEVAL,
		CLIENTEMAC0RXCLIENTCLKIN  =>  CLIENTEMAC0RXCLIENTCLKIN,
		CLIENTEMAC0TXCLIENTCLKIN  =>  CLIENTEMAC0TXCLIENTCLKIN,
		CLIENTEMAC0TXD        =>  CLIENTEMAC0TXD,
		CLIENTEMAC0TXDVLD     =>  CLIENTEMAC0TXDVLD,
		CLIENTEMAC0TXDVLDMSW  =>  CLIENTEMAC0TXDVLDMSW,
		CLIENTEMAC0TXFIRSTBYTE  =>  CLIENTEMAC0TXFIRSTBYTE,
		CLIENTEMAC0TXGMIIMIICLKIN  =>  CLIENTEMAC0TXGMIIMIICLKIN,
		CLIENTEMAC0TXIFGDELAY  =>  CLIENTEMAC0TXIFGDELAY,
		CLIENTEMAC0TXUNDERRUN  =>  CLIENTEMAC0TXUNDERRUN,
		CLIENTEMAC1DCMLOCKED  =>  CLIENTEMAC1DCMLOCKED,
		CLIENTEMAC1PAUSEREQ   =>  CLIENTEMAC1PAUSEREQ,
		CLIENTEMAC1PAUSEVAL   =>  CLIENTEMAC1PAUSEVAL,
		CLIENTEMAC1RXCLIENTCLKIN  =>  CLIENTEMAC1RXCLIENTCLKIN,
		CLIENTEMAC1TXCLIENTCLKIN  =>  CLIENTEMAC1TXCLIENTCLKIN,
		CLIENTEMAC1TXD        =>  CLIENTEMAC1TXD,
		CLIENTEMAC1TXDVLD     =>  CLIENTEMAC1TXDVLD,
		CLIENTEMAC1TXDVLDMSW  =>  CLIENTEMAC1TXDVLDMSW,
		CLIENTEMAC1TXFIRSTBYTE  =>  CLIENTEMAC1TXFIRSTBYTE,
		CLIENTEMAC1TXGMIIMIICLKIN  =>  CLIENTEMAC1TXGMIIMIICLKIN,
		CLIENTEMAC1TXIFGDELAY  =>  CLIENTEMAC1TXIFGDELAY,
		CLIENTEMAC1TXUNDERRUN  =>  CLIENTEMAC1TXUNDERRUN,
		DCREMACABUS           =>  DCREMACABUS,
		DCREMACCLK            =>  DCREMACCLK,
		DCREMACDBUS           =>  DCREMACDBUS,
		DCREMACENABLE         =>  DCREMACENABLE,
		DCREMACREAD           =>  DCREMACREAD,
		DCREMACWRITE          =>  DCREMACWRITE,
		HOSTADDR              =>  HOSTADDR,
		HOSTCLK               =>  HOSTCLK,
		HOSTEMAC1SEL          =>  HOSTEMAC1SEL,
		HOSTMIIMSEL           =>  HOSTMIIMSEL,
		HOSTOPCODE            =>  HOSTOPCODE,
		HOSTREQ               =>  HOSTREQ,
		HOSTWRDATA            =>  HOSTWRDATA,
		PHYEMAC0COL           =>  PHYEMAC0COL,
		PHYEMAC0CRS           =>  PHYEMAC0CRS,
		PHYEMAC0GTXCLK        =>  PHYEMAC0GTXCLK,
		PHYEMAC0MCLKIN        =>  PHYEMAC0MCLKIN,
		PHYEMAC0MDIN          =>  PHYEMAC0MDIN,
		PHYEMAC0MIITXCLK      =>  PHYEMAC0MIITXCLK,
		PHYEMAC0PHYAD         =>  PHYEMAC0PHYAD,
		PHYEMAC0RXBUFERR      =>  PHYEMAC0RXBUFERR,
		PHYEMAC0RXBUFSTATUS   =>  PHYEMAC0RXBUFSTATUS,
		PHYEMAC0RXCHARISCOMMA  =>  PHYEMAC0RXCHARISCOMMA,
		PHYEMAC0RXCHARISK     =>  PHYEMAC0RXCHARISK,
		PHYEMAC0RXCHECKINGCRC  =>  PHYEMAC0RXCHECKINGCRC,
		PHYEMAC0RXCLK         =>  PHYEMAC0RXCLK,
		PHYEMAC0RXCLKCORCNT   =>  PHYEMAC0RXCLKCORCNT,
		PHYEMAC0RXCOMMADET    =>  PHYEMAC0RXCOMMADET,
		PHYEMAC0RXD           =>  PHYEMAC0RXD,
		PHYEMAC0RXDISPERR     =>  PHYEMAC0RXDISPERR,
		PHYEMAC0RXDV          =>  PHYEMAC0RXDV,
		PHYEMAC0RXER          =>  PHYEMAC0RXER,
		PHYEMAC0RXLOSSOFSYNC  =>  PHYEMAC0RXLOSSOFSYNC,
		PHYEMAC0RXNOTINTABLE  =>  PHYEMAC0RXNOTINTABLE,
		PHYEMAC0RXRUNDISP     =>  PHYEMAC0RXRUNDISP,
		PHYEMAC0SIGNALDET     =>  PHYEMAC0SIGNALDET,
		PHYEMAC0TXBUFERR      =>  PHYEMAC0TXBUFERR,
		PHYEMAC1COL           =>  PHYEMAC1COL,
		PHYEMAC1CRS           =>  PHYEMAC1CRS,
		PHYEMAC1GTXCLK        =>  PHYEMAC1GTXCLK,
		PHYEMAC1MCLKIN        =>  PHYEMAC1MCLKIN,
		PHYEMAC1MDIN          =>  PHYEMAC1MDIN,
		PHYEMAC1MIITXCLK      =>  PHYEMAC1MIITXCLK,
		PHYEMAC1PHYAD         =>  PHYEMAC1PHYAD,
		PHYEMAC1RXBUFERR      =>  PHYEMAC1RXBUFERR,
		PHYEMAC1RXBUFSTATUS   =>  PHYEMAC1RXBUFSTATUS,
		PHYEMAC1RXCHARISCOMMA  =>  PHYEMAC1RXCHARISCOMMA,
		PHYEMAC1RXCHARISK     =>  PHYEMAC1RXCHARISK,
		PHYEMAC1RXCHECKINGCRC  =>  PHYEMAC1RXCHECKINGCRC,
		PHYEMAC1RXCLK         =>  PHYEMAC1RXCLK,
		PHYEMAC1RXCLKCORCNT   =>  PHYEMAC1RXCLKCORCNT,
		PHYEMAC1RXCOMMADET    =>  PHYEMAC1RXCOMMADET,
		PHYEMAC1RXD           =>  PHYEMAC1RXD,
		PHYEMAC1RXDISPERR     =>  PHYEMAC1RXDISPERR,
		PHYEMAC1RXDV          =>  PHYEMAC1RXDV,
		PHYEMAC1RXER          =>  PHYEMAC1RXER,
		PHYEMAC1RXLOSSOFSYNC  =>  PHYEMAC1RXLOSSOFSYNC,
		PHYEMAC1RXNOTINTABLE  =>  PHYEMAC1RXNOTINTABLE,
		PHYEMAC1RXRUNDISP     =>  PHYEMAC1RXRUNDISP,
		PHYEMAC1SIGNALDET     =>  PHYEMAC1SIGNALDET,
		PHYEMAC1TXBUFERR      =>  PHYEMAC1TXBUFERR,
		RESET                 =>  RESET,
		TIEEMAC0CONFIGVEC     =>  TIEEMAC0CONFIGVEC,
		TIEEMAC0UNICASTADDR   =>  TIEEMAC0UNICASTADDR,
		TIEEMAC1CONFIGVEC     =>  TIEEMAC1CONFIGVEC,
		TIEEMAC1UNICASTADDR   =>  TIEEMAC1UNICASTADDR
	);
end EMAC_SWIFT_BUS_V;
library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.numeric_std.all;

entity GT10_SWIFT_BUS is
	port (
		CHBONDDONE : out STD_ULOGIC;
		CHBONDO : out STD_LOGIC_VECTOR(4 downto 0);
		PMARXLOCK : out STD_ULOGIC;
		RXBUFSTATUS : out STD_LOGIC_VECTOR(1 downto 0);
		RXCHARISCOMMA : out STD_LOGIC_VECTOR(7 downto 0);
		RXCHARISK : out STD_LOGIC_VECTOR(7 downto 0);
		RXCLKCORCNT : out STD_LOGIC_VECTOR(2 downto 0);
		RXCOMMADET : out STD_ULOGIC;
		RXDATA : out STD_LOGIC_VECTOR(63 downto 0);
		RXDISPERR : out STD_LOGIC_VECTOR(7 downto 0);
		RXLOSSOFSYNC : out STD_LOGIC_VECTOR(1 downto 0);
		RXNOTINTABLE : out STD_LOGIC_VECTOR(7 downto 0);
		RXREALIGN : out STD_ULOGIC;
		RXRECCLK : out STD_ULOGIC;
		RXRUNDISP : out STD_LOGIC_VECTOR(7 downto 0);
		TXBUFERR : out STD_ULOGIC;
		TXKERR : out STD_LOGIC_VECTOR(7 downto 0);
		TXN : out STD_ULOGIC;
		TXOUTCLK : out STD_ULOGIC;
		TXP : out STD_ULOGIC;
		TXRUNDISP : out STD_LOGIC_VECTOR(7 downto 0);

		BREFCLKNIN : in STD_ULOGIC;
		BREFCLKPIN : in STD_ULOGIC;
		CHBONDI : in STD_LOGIC_VECTOR(4 downto 0);
		ENCHANSYNC : in STD_ULOGIC;
		ENMCOMMAALIGN : in STD_ULOGIC;
		ENPCOMMAALIGN : in STD_ULOGIC;
		LOOPBACK : in STD_LOGIC_VECTOR(1 downto 0);
		PMAINIT : in STD_ULOGIC;
		PMAREGADDR : in STD_LOGIC_VECTOR(5 downto 0);
		PMAREGDATAIN : in STD_LOGIC_VECTOR(7 downto 0);
		PMAREGRW : in STD_ULOGIC;
		PMAREGSTROBE : in STD_ULOGIC;
		PMARXLOCKSEL : in STD_LOGIC_VECTOR(1 downto 0);
		POWERDOWN : in STD_ULOGIC;
		REFCLK : in STD_ULOGIC;
		REFCLK2 : in STD_ULOGIC;
		REFCLKBSEL : in STD_ULOGIC;
		REFCLKSEL : in STD_ULOGIC;
		RXBLOCKSYNC64B66BUSE : in STD_ULOGIC;
		RXCOMMADETUSE : in STD_ULOGIC;
		RXDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		RXDEC64B66BUSE : in STD_ULOGIC;
		RXDEC8B10BUSE : in STD_ULOGIC;
		RXDESCRAM64B66BUSE : in STD_ULOGIC;
		RXIGNOREBTF : in STD_ULOGIC;
		RXINTDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		RXN : in STD_ULOGIC;
		RXP : in STD_ULOGIC;
		RXPOLARITY : in STD_ULOGIC;
		RXRESET : in STD_ULOGIC;
		RXSLIDE : in STD_ULOGIC;
		RXUSRCLK : in STD_ULOGIC;
		RXUSRCLK2 : in STD_ULOGIC;
		TXBYPASS8B10B : in STD_LOGIC_VECTOR(7 downto 0);
		TXCHARDISPMODE : in STD_LOGIC_VECTOR(7 downto 0);
		TXCHARDISPVAL : in STD_LOGIC_VECTOR(7 downto 0);
		TXCHARISK : in STD_LOGIC_VECTOR(7 downto 0);
		TXDATA : in STD_LOGIC_VECTOR(63 downto 0);
		TXDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		TXENC64B66BUSE : in STD_ULOGIC;
		TXENC8B10BUSE : in STD_ULOGIC;
		TXGEARBOX64B66BUSE : in STD_ULOGIC;
		TXINHIBIT : in STD_ULOGIC;
		TXINTDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		TXPOLARITY : in STD_ULOGIC;
		TXRESET : in STD_ULOGIC;
		TXSCRAM64B66BUSE : in STD_ULOGIC;
		TXUSRCLK : in STD_ULOGIC;
		TXUSRCLK2 : in STD_ULOGIC;
		ALIGN_COMMA_WORD : in STD_LOGIC_VECTOR(1 downto 0);
		CHAN_BOND_LIMIT : in STD_LOGIC_VECTOR(5 downto 0);
		CHAN_BOND_MODE : in STD_LOGIC_VECTOR(1 downto 0);
		CHAN_BOND_ONE_SHOT : in STD_ULOGIC;
		CHAN_BOND_SEQ_1_1 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_1_2 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_1_3 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_1_4 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_1_MASK : in STD_LOGIC_VECTOR(3 downto 0);
		CHAN_BOND_SEQ_2_1 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_2_2 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_2_3 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_2_4 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_2_MASK : in STD_LOGIC_VECTOR(3 downto 0);
		CHAN_BOND_SEQ_2_USE : in STD_ULOGIC;
		CHAN_BOND_SEQ_LEN : in STD_LOGIC_VECTOR(2 downto 0);
                CHAN_BOND_64B66B_SV : in std_ulogic;                
		CLK_COR_8B10B_DE : in STD_ULOGIC;
		CLK_COR_MAX_LAT : in STD_LOGIC_VECTOR(5 downto 0);
		CLK_COR_MIN_LAT : in STD_LOGIC_VECTOR(5 downto 0);
		CLK_COR_SEQ_1_1 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_1_2 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_1_3 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_1_4 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_1_MASK : in STD_LOGIC_VECTOR(3 downto 0);
		CLK_COR_SEQ_2_1 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_2_2 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_2_3 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_2_4 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_2_MASK : in STD_LOGIC_VECTOR(3 downto 0);
		CLK_COR_SEQ_2_USE : in STD_ULOGIC;
		CLK_COR_SEQ_DROP : in STD_ULOGIC;
		CLK_COR_SEQ_LEN : in STD_LOGIC_VECTOR(2 downto 0);
		CLK_CORRECT_USE : in STD_ULOGIC;
		COMMA_10B_MASK : in STD_LOGIC_VECTOR(9 downto 0);
		DEC_MCOMMA_DETECT : in STD_ULOGIC;
		DEC_PCOMMA_DETECT : in STD_ULOGIC;
		DEC_VALID_COMMA_ONLY : in STD_ULOGIC;
		MCOMMA_10B_VALUE : in STD_LOGIC_VECTOR(9 downto 0);
		MCOMMA_DETECT : in STD_ULOGIC;
		PCOMMA_10B_VALUE : in STD_LOGIC_VECTOR(9 downto 0);
		PCOMMA_DETECT : in STD_ULOGIC;
		PMA_SPEED : in STD_LOGIC_VECTOR(119 downto 0);
		PMA_PWR_CNTRL : in STD_LOGIC_VECTOR(7 downto 0);
		RX_BUFFER_USE : in STD_ULOGIC;
		RX_LOS_INVALID_INCR : in STD_LOGIC_VECTOR(7 downto 0);
		RX_LOS_THRESHOLD : in STD_LOGIC_VECTOR(7 downto 0);
		RX_LOSS_OF_SYNC_FSM : in STD_ULOGIC;
		SH_CNT_MAX : in STD_LOGIC_VECTOR(7 downto 0);
		SH_INVALID_CNT_MAX : in STD_LOGIC_VECTOR(7 downto 0);
		TX_BUFFER_USE : in STD_ULOGIC;
		GSR : in STD_ULOGIC
	);
end gt10_swift_bus;

architecture GT10_SWIFT_BUS_v of GT10_SWIFT_BUS is
component GT10_SWIFT
	generic (
		TimingVersion : STRING := "gt10_swift";
		DelayRange : STRING := "MAX";
		MC_Reference : STRING := "0000"
	);
	port (
		CHBONDDONE : out STD_ULOGIC;
		CHBONDO : out STD_LOGIC_VECTOR(4 downto 0);
		PMARXLOCK : out STD_ULOGIC;
		RXBUFSTATUS : out STD_LOGIC_VECTOR(1 downto 0);
		RXCHARISCOMMA : out STD_LOGIC_VECTOR(7 downto 0);
		RXCHARISK : out STD_LOGIC_VECTOR(7 downto 0);
		RXCLKCORCNT : out STD_LOGIC_VECTOR(2 downto 0);
		RXCOMMADET : out STD_ULOGIC;
		RXDATA : out STD_LOGIC_VECTOR(63 downto 0);
		RXDISPERR : out STD_LOGIC_VECTOR(7 downto 0);
		RXLOSSOFSYNC : out STD_LOGIC_VECTOR(1 downto 0);
		RXNOTINTABLE : out STD_LOGIC_VECTOR(7 downto 0);
		RXREALIGN : out STD_ULOGIC;
		RXRECCLK : out STD_ULOGIC;
		RXRUNDISP : out STD_LOGIC_VECTOR(7 downto 0);
		TXBUFERR : out STD_ULOGIC;
		TXKERR : out STD_LOGIC_VECTOR(7 downto 0);
		TXN : out STD_ULOGIC;
		TXOUTCLK : out STD_ULOGIC;
		TXP : out STD_ULOGIC;
		TXRUNDISP : out STD_LOGIC_VECTOR(7 downto 0);

		BREFCLKNIN : in STD_ULOGIC;
		BREFCLKPIN : in STD_ULOGIC;
		CHBONDI : in STD_LOGIC_VECTOR(4 downto 0);
		ENCHANSYNC : in STD_ULOGIC;
		ENMCOMMAALIGN : in STD_ULOGIC;
		ENPCOMMAALIGN : in STD_ULOGIC;
		LOOPBACK : in STD_LOGIC_VECTOR(1 downto 0);
		PMAINIT : in STD_ULOGIC;
		PMAREGADDR : in STD_LOGIC_VECTOR(5 downto 0);
		PMAREGDATAIN : in STD_LOGIC_VECTOR(7 downto 0);
		PMAREGRW : in STD_ULOGIC;
		PMAREGSTROBE : in STD_ULOGIC;
		PMARXLOCKSEL : in STD_LOGIC_VECTOR(1 downto 0);
		POWERDOWN : in STD_ULOGIC;
		REFCLK : in STD_ULOGIC;
		REFCLK2 : in STD_ULOGIC;
		REFCLKBSEL : in STD_ULOGIC;
		REFCLKSEL : in STD_ULOGIC;
		RXBLOCKSYNC64B66BUSE : in STD_ULOGIC;
		RXCOMMADETUSE : in STD_ULOGIC;
		RXDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		RXDEC64B66BUSE : in STD_ULOGIC;
		RXDEC8B10BUSE : in STD_ULOGIC;
		RXDESCRAM64B66BUSE : in STD_ULOGIC;
		RXIGNOREBTF : in STD_ULOGIC;
		RXINTDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		RXN : in STD_ULOGIC;
		RXP : in STD_ULOGIC;
		RXPOLARITY : in STD_ULOGIC;
		RXRESET : in STD_ULOGIC;
		RXSLIDE : in STD_ULOGIC;
		RXUSRCLK : in STD_ULOGIC;
		RXUSRCLK2 : in STD_ULOGIC;
		TXBYPASS8B10B : in STD_LOGIC_VECTOR(7 downto 0);
		TXCHARDISPMODE : in STD_LOGIC_VECTOR(7 downto 0);
		TXCHARDISPVAL : in STD_LOGIC_VECTOR(7 downto 0);
		TXCHARISK : in STD_LOGIC_VECTOR(7 downto 0);
		TXDATA : in STD_LOGIC_VECTOR(63 downto 0);
		TXDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		TXENC64B66BUSE : in STD_ULOGIC;
		TXENC8B10BUSE : in STD_ULOGIC;
		TXGEARBOX64B66BUSE : in STD_ULOGIC;
		TXINHIBIT : in STD_ULOGIC;
		TXINTDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		TXPOLARITY : in STD_ULOGIC;
		TXRESET : in STD_ULOGIC;
		TXSCRAM64B66BUSE : in STD_ULOGIC;
		TXUSRCLK : in STD_ULOGIC;
		TXUSRCLK2 : in STD_ULOGIC;
		ALIGN_COMMA_WORD : in STD_LOGIC_VECTOR(1 downto 0);
		CHAN_BOND_LIMIT : in STD_LOGIC_VECTOR(5 downto 0);
		CHAN_BOND_MODE : in STD_LOGIC_VECTOR(1 downto 0);
		CHAN_BOND_ONE_SHOT : in STD_ULOGIC;
		CHAN_BOND_SEQ_1_1 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_1_2 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_1_3 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_1_4 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_1_MASK : in STD_LOGIC_VECTOR(3 downto 0);
		CHAN_BOND_SEQ_2_1 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_2_2 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_2_3 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_2_4 : in STD_LOGIC_VECTOR(10 downto 0);
		CHAN_BOND_SEQ_2_MASK : in STD_LOGIC_VECTOR(3 downto 0);
		CHAN_BOND_SEQ_2_USE : in STD_ULOGIC;
		CHAN_BOND_SEQ_LEN : in STD_LOGIC_VECTOR(2 downto 0);
                CHAN_BOND_64B66B_SV : in std_ulogic;                
		CLK_COR_8B10B_DE : in STD_ULOGIC;
		CLK_COR_MAX_LAT : in STD_LOGIC_VECTOR(5 downto 0);
		CLK_COR_MIN_LAT : in STD_LOGIC_VECTOR(5 downto 0);
		CLK_COR_SEQ_1_1 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_1_2 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_1_3 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_1_4 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_1_MASK : in STD_LOGIC_VECTOR(3 downto 0);
		CLK_COR_SEQ_2_1 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_2_2 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_2_3 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_2_4 : in STD_LOGIC_VECTOR(10 downto 0);
		CLK_COR_SEQ_2_MASK : in STD_LOGIC_VECTOR(3 downto 0);
		CLK_COR_SEQ_2_USE : in STD_ULOGIC;
		CLK_COR_SEQ_DROP : in STD_ULOGIC;
		CLK_COR_SEQ_LEN : in STD_LOGIC_VECTOR(2 downto 0);
		CLK_CORRECT_USE : in STD_ULOGIC;
		COMMA_10B_MASK : in STD_LOGIC_VECTOR(9 downto 0);
		DEC_MCOMMA_DETECT : in STD_ULOGIC;
		DEC_PCOMMA_DETECT : in STD_ULOGIC;
		DEC_VALID_COMMA_ONLY : in STD_ULOGIC;
		MCOMMA_10B_VALUE : in STD_LOGIC_VECTOR(9 downto 0);
		MCOMMA_DETECT : in STD_ULOGIC;
		PCOMMA_10B_VALUE : in STD_LOGIC_VECTOR(9 downto 0);
		PCOMMA_DETECT : in STD_ULOGIC;
		PMA_SPEED : in STD_LOGIC_VECTOR(119 downto 0);
		PMA_PWR_CNTRL : in STD_LOGIC_VECTOR(7 downto 0);
		RX_BUFFER_USE : in STD_ULOGIC;
		RX_LOS_INVALID_INCR : in STD_LOGIC_VECTOR(7 downto 0);
		RX_LOS_THRESHOLD : in STD_LOGIC_VECTOR(7 downto 0);
		RX_LOSS_OF_SYNC_FSM : in STD_ULOGIC;
		SH_CNT_MAX : in STD_LOGIC_VECTOR(7 downto 0);
		SH_INVALID_CNT_MAX : in STD_LOGIC_VECTOR(7 downto 0);
		TX_BUFFER_USE : in STD_ULOGIC;
		GSR : in STD_ULOGIC
	);
end component;

for all : GT10_SWIFT
use entity work.GT10_SWIFT
	port map (
		CHBONDDONE => CHBONDDONE,
		CHBONDO_0 => CHBONDO(0),
		CHBONDO_1 => CHBONDO(1),
		CHBONDO_2 => CHBONDO(2),
		CHBONDO_3 => CHBONDO(3),
		CHBONDO_4 => CHBONDO(4),
		RXBUFSTATUS_0 => RXBUFSTATUS(0),
		RXBUFSTATUS_1 => RXBUFSTATUS(1),
		RXCHARISCOMMA_0 => RXCHARISCOMMA(0),
		RXCHARISCOMMA_1 => RXCHARISCOMMA(1),
		RXCHARISCOMMA_2 => RXCHARISCOMMA(2),
		RXCHARISCOMMA_3 => RXCHARISCOMMA(3),
		RXCHARISCOMMA_4 => RXCHARISCOMMA(4),
		RXCHARISCOMMA_5 => RXCHARISCOMMA(5),
		RXCHARISCOMMA_6 => RXCHARISCOMMA(6),
		RXCHARISCOMMA_7 => RXCHARISCOMMA(7),
		RXCHARISK_0 => RXCHARISK(0),
		RXCHARISK_1 => RXCHARISK(1),
		RXCHARISK_2 => RXCHARISK(2),
		RXCHARISK_3 => RXCHARISK(3),
		RXCHARISK_4 => RXCHARISK(4),
		RXCHARISK_5 => RXCHARISK(5),
		RXCHARISK_6 => RXCHARISK(6),
		RXCHARISK_7 => RXCHARISK(7),
		RXCLKCORCNT_0 => RXCLKCORCNT(0),
		RXCLKCORCNT_1 => RXCLKCORCNT(1),
		RXCLKCORCNT_2 => RXCLKCORCNT(2),
		RXCOMMADET => RXCOMMADET,
		RXDATA_0 => RXDATA(0),
		RXDATA_1 => RXDATA(1),
		RXDATA_2 => RXDATA(2),
		RXDATA_3 => RXDATA(3),
		RXDATA_4 => RXDATA(4),
		RXDATA_5 => RXDATA(5),
		RXDATA_6 => RXDATA(6),
		RXDATA_7 => RXDATA(7),
		RXDATA_8 => RXDATA(8),
		RXDATA_9 => RXDATA(9),
		RXDATA_10 => RXDATA(10),
		RXDATA_11 => RXDATA(11),
		RXDATA_12 => RXDATA(12),
		RXDATA_13 => RXDATA(13),
		RXDATA_14 => RXDATA(14),
		RXDATA_15 => RXDATA(15),
		RXDATA_16 => RXDATA(16),
		RXDATA_17 => RXDATA(17),
		RXDATA_18 => RXDATA(18),
		RXDATA_19 => RXDATA(19),
		RXDATA_20 => RXDATA(20),
		RXDATA_21 => RXDATA(21),
		RXDATA_22 => RXDATA(22),
		RXDATA_23 => RXDATA(23),
		RXDATA_24 => RXDATA(24),
		RXDATA_25 => RXDATA(25),
		RXDATA_26 => RXDATA(26),
		RXDATA_27 => RXDATA(27),
		RXDATA_28 => RXDATA(28),
		RXDATA_29 => RXDATA(29),
		RXDATA_30 => RXDATA(30),
		RXDATA_31 => RXDATA(31),
		RXDATA_32 => RXDATA(32),
		RXDATA_33 => RXDATA(33),
		RXDATA_34 => RXDATA(34),
		RXDATA_35 => RXDATA(35),
		RXDATA_36 => RXDATA(36),
		RXDATA_37 => RXDATA(37),
		RXDATA_38 => RXDATA(38),
		RXDATA_39 => RXDATA(39),
		RXDATA_40 => RXDATA(40),
		RXDATA_41 => RXDATA(41),
		RXDATA_42 => RXDATA(42),
		RXDATA_43 => RXDATA(43),
		RXDATA_44 => RXDATA(44),
		RXDATA_45 => RXDATA(45),
		RXDATA_46 => RXDATA(46),
		RXDATA_47 => RXDATA(47),
		RXDATA_48 => RXDATA(48),
		RXDATA_49 => RXDATA(49),
		RXDATA_50 => RXDATA(50),
		RXDATA_51 => RXDATA(51),
		RXDATA_52 => RXDATA(52),
		RXDATA_53 => RXDATA(53),
		RXDATA_54 => RXDATA(54),
		RXDATA_55 => RXDATA(55),
		RXDATA_56 => RXDATA(56),
		RXDATA_57 => RXDATA(57),
		RXDATA_58 => RXDATA(58),
		RXDATA_59 => RXDATA(59),
		RXDATA_60 => RXDATA(60),
		RXDATA_61 => RXDATA(61),
		RXDATA_62 => RXDATA(62),
		RXDATA_63 => RXDATA(63),
		RXDISPERR_0 => RXDISPERR(0),
		RXDISPERR_1 => RXDISPERR(1),
		RXDISPERR_2 => RXDISPERR(2),
		RXDISPERR_3 => RXDISPERR(3),
		RXDISPERR_4 => RXDISPERR(4),
		RXDISPERR_5 => RXDISPERR(5),
		RXDISPERR_6 => RXDISPERR(6),
		RXDISPERR_7 => RXDISPERR(7),
		RXLOSSOFSYNC_0 => RXLOSSOFSYNC(0),
		RXLOSSOFSYNC_1 => RXLOSSOFSYNC(1),
		RXNOTINTABLE_0 => RXNOTINTABLE(0),
		RXNOTINTABLE_1 => RXNOTINTABLE(1),
		RXNOTINTABLE_2 => RXNOTINTABLE(2),
		RXNOTINTABLE_3 => RXNOTINTABLE(3),
		RXNOTINTABLE_4 => RXNOTINTABLE(4),
		RXNOTINTABLE_5 => RXNOTINTABLE(5),
		RXNOTINTABLE_6 => RXNOTINTABLE(6),
		RXNOTINTABLE_7 => RXNOTINTABLE(7),
		RXREALIGN => RXREALIGN,
		RXRECCLK => RXRECCLK,
		RXRUNDISP_0 => RXRUNDISP(0),
		RXRUNDISP_1 => RXRUNDISP(1),
		RXRUNDISP_2 => RXRUNDISP(2),
		RXRUNDISP_3 => RXRUNDISP(3),
		RXRUNDISP_4 => RXRUNDISP(4),
		RXRUNDISP_5 => RXRUNDISP(5),
		RXRUNDISP_6 => RXRUNDISP(6),
		RXRUNDISP_7 => RXRUNDISP(7),
		TXBUFERR => TXBUFERR,
		TXKERR_0 => TXKERR(0),
		TXKERR_1 => TXKERR(1),
		TXKERR_2 => TXKERR(2),
		TXKERR_3 => TXKERR(3),
		TXKERR_4 => TXKERR(4),
		TXKERR_5 => TXKERR(5),
		TXKERR_6 => TXKERR(6),
		TXKERR_7 => TXKERR(7),
		TXN => TXN,
		TXOUTCLK => TXOUTCLK,
		TXP => TXP,
		TXRUNDISP_0 => TXRUNDISP(0),
		TXRUNDISP_1 => TXRUNDISP(1),
		TXRUNDISP_2 => TXRUNDISP(2),
		TXRUNDISP_3 => TXRUNDISP(3),
		TXRUNDISP_4 => TXRUNDISP(4),
		TXRUNDISP_5 => TXRUNDISP(5),
		TXRUNDISP_6 => TXRUNDISP(6),
		TXRUNDISP_7 => TXRUNDISP(7),
		BREFCLKNIN => BREFCLKNIN,
		BREFCLKPIN => BREFCLKPIN,
		CHBONDI_0 => CHBONDI(0),
		CHBONDI_1 => CHBONDI(1),
		CHBONDI_2 => CHBONDI(2),
		CHBONDI_3 => CHBONDI(3),
		CHBONDI_4 => CHBONDI(4),
		ENCHANSYNC => ENCHANSYNC,
		ENMCOMMAALIGN => ENMCOMMAALIGN,
		ENPCOMMAALIGN => ENPCOMMAALIGN,
		LOOPBACK_0 => LOOPBACK(0),
		LOOPBACK_1 => LOOPBACK(1),
		PMAINIT => PMAINIT,
		PMAREGADDR_0 => PMAREGADDR(0),
		PMAREGADDR_1 => PMAREGADDR(1),
		PMAREGADDR_2 => PMAREGADDR(2),
		PMAREGADDR_3 => PMAREGADDR(3),
		PMAREGADDR_4 => PMAREGADDR(4),
		PMAREGADDR_5 => PMAREGADDR(5),
		PMAREGDATAIN_0 => PMAREGDATAIN(0),
		PMAREGDATAIN_1 => PMAREGDATAIN(1),
		PMAREGDATAIN_2 => PMAREGDATAIN(2),
		PMAREGDATAIN_3 => PMAREGDATAIN(3),
		PMAREGDATAIN_4 => PMAREGDATAIN(4),
		PMAREGDATAIN_5 => PMAREGDATAIN(5),
		PMAREGDATAIN_6 => PMAREGDATAIN(6),
		PMAREGDATAIN_7 => PMAREGDATAIN(7),
		PMAREGRW => PMAREGRW,
		PMAREGSTROBE => PMAREGSTROBE,
		PMARXLOCK => PMARXLOCK,
		PMARXLOCKSEL_0 => PMARXLOCKSEL(0),
		PMARXLOCKSEL_1 => PMARXLOCKSEL(1),
		POWERDOWN => POWERDOWN,
		REFCLK => REFCLK,
		REFCLK2 => REFCLK2,
		REFCLKBSEL => REFCLKBSEL,
		REFCLKSEL => REFCLKSEL,
		RXBLOCKSYNC64B66BUSE => RXBLOCKSYNC64B66BUSE,
		RXCOMMADETUSE => RXCOMMADETUSE,
		RXDATAWIDTH_0 => RXDATAWIDTH(0),
		RXDATAWIDTH_1 => RXDATAWIDTH(1),
		RXDEC64B66BUSE => RXDEC64B66BUSE,
		RXDEC8B10BUSE => RXDEC8B10BUSE,
		RXDESCRAM64B66BUSE => RXDESCRAM64B66BUSE,
		RXIGNOREBTF => RXIGNOREBTF,
		RXINTDATAWIDTH_0 => RXINTDATAWIDTH(0),
		RXINTDATAWIDTH_1 => RXINTDATAWIDTH(1),
		RXN => RXN,
		RXP => RXP,
		RXPOLARITY => RXPOLARITY,
		RXRESET => RXRESET,
		RXSLIDE => RXSLIDE,
		RXUSRCLK => RXUSRCLK,
		RXUSRCLK2 => RXUSRCLK2,
		TXBYPASS8B10B_0 => TXBYPASS8B10B(0),
		TXBYPASS8B10B_1 => TXBYPASS8B10B(1),
		TXBYPASS8B10B_2 => TXBYPASS8B10B(2),
		TXBYPASS8B10B_3 => TXBYPASS8B10B(3),
		TXBYPASS8B10B_4 => TXBYPASS8B10B(4),
		TXBYPASS8B10B_5 => TXBYPASS8B10B(5),
		TXBYPASS8B10B_6 => TXBYPASS8B10B(6),
		TXBYPASS8B10B_7 => TXBYPASS8B10B(7),
		TXCHARDISPMODE_0 => TXCHARDISPMODE(0),
		TXCHARDISPMODE_1 => TXCHARDISPMODE(1),
		TXCHARDISPMODE_2 => TXCHARDISPMODE(2),
		TXCHARDISPMODE_3 => TXCHARDISPMODE(3),
		TXCHARDISPMODE_4 => TXCHARDISPMODE(4),
		TXCHARDISPMODE_5 => TXCHARDISPMODE(5),
		TXCHARDISPMODE_6 => TXCHARDISPMODE(6),
		TXCHARDISPMODE_7 => TXCHARDISPMODE(7),
		TXCHARDISPVAL_0 => TXCHARDISPVAL(0),
		TXCHARDISPVAL_1 => TXCHARDISPVAL(1),
		TXCHARDISPVAL_2 => TXCHARDISPVAL(2),
		TXCHARDISPVAL_3 => TXCHARDISPVAL(3),
		TXCHARDISPVAL_4 => TXCHARDISPVAL(4),
		TXCHARDISPVAL_5 => TXCHARDISPVAL(5),
		TXCHARDISPVAL_6 => TXCHARDISPVAL(6),
		TXCHARDISPVAL_7 => TXCHARDISPVAL(7),
		TXCHARISK_0 => TXCHARISK(0),
		TXCHARISK_1 => TXCHARISK(1),
		TXCHARISK_2 => TXCHARISK(2),
		TXCHARISK_3 => TXCHARISK(3),
		TXCHARISK_4 => TXCHARISK(4),
		TXCHARISK_5 => TXCHARISK(5),
		TXCHARISK_6 => TXCHARISK(6),
		TXCHARISK_7 => TXCHARISK(7),
		TXDATA_0 => TXDATA(0),
		TXDATA_1 => TXDATA(1),
		TXDATA_2 => TXDATA(2),
		TXDATA_3 => TXDATA(3),
		TXDATA_4 => TXDATA(4),
		TXDATA_5 => TXDATA(5),
		TXDATA_6 => TXDATA(6),
		TXDATA_7 => TXDATA(7),
		TXDATA_8 => TXDATA(8),
		TXDATA_9 => TXDATA(9),
		TXDATA_10 => TXDATA(10),
		TXDATA_11 => TXDATA(11),
		TXDATA_12 => TXDATA(12),
		TXDATA_13 => TXDATA(13),
		TXDATA_14 => TXDATA(14),
		TXDATA_15 => TXDATA(15),
		TXDATA_16 => TXDATA(16),
		TXDATA_17 => TXDATA(17),
		TXDATA_18 => TXDATA(18),
		TXDATA_19 => TXDATA(19),
		TXDATA_20 => TXDATA(20),
		TXDATA_21 => TXDATA(21),
		TXDATA_22 => TXDATA(22),
		TXDATA_23 => TXDATA(23),
		TXDATA_24 => TXDATA(24),
		TXDATA_25 => TXDATA(25),
		TXDATA_26 => TXDATA(26),
		TXDATA_27 => TXDATA(27),
		TXDATA_28 => TXDATA(28),
		TXDATA_29 => TXDATA(29),
		TXDATA_30 => TXDATA(30),
		TXDATA_31 => TXDATA(31),
		TXDATA_32 => TXDATA(32),
		TXDATA_33 => TXDATA(33),
		TXDATA_34 => TXDATA(34),
		TXDATA_35 => TXDATA(35),
		TXDATA_36 => TXDATA(36),
		TXDATA_37 => TXDATA(37),
		TXDATA_38 => TXDATA(38),
		TXDATA_39 => TXDATA(39),
		TXDATA_40 => TXDATA(40),
		TXDATA_41 => TXDATA(41),
		TXDATA_42 => TXDATA(42),
		TXDATA_43 => TXDATA(43),
		TXDATA_44 => TXDATA(44),
		TXDATA_45 => TXDATA(45),
		TXDATA_46 => TXDATA(46),
		TXDATA_47 => TXDATA(47),
		TXDATA_48 => TXDATA(48),
		TXDATA_49 => TXDATA(49),
		TXDATA_50 => TXDATA(50),
		TXDATA_51 => TXDATA(51),
		TXDATA_52 => TXDATA(52),
		TXDATA_53 => TXDATA(53),
		TXDATA_54 => TXDATA(54),
		TXDATA_55 => TXDATA(55),
		TXDATA_56 => TXDATA(56),
		TXDATA_57 => TXDATA(57),
		TXDATA_58 => TXDATA(58),
		TXDATA_59 => TXDATA(59),
		TXDATA_60 => TXDATA(60),
		TXDATA_61 => TXDATA(61),
		TXDATA_62 => TXDATA(62),
		TXDATA_63 => TXDATA(63),
		TXDATAWIDTH_0 => TXDATAWIDTH(0),
		TXDATAWIDTH_1 => TXDATAWIDTH(1),
		TXENC64B66BUSE => TXENC64B66BUSE,
		TXENC8B10BUSE => TXENC8B10BUSE,
		TXGEARBOX64B66BUSE => TXGEARBOX64B66BUSE,
		TXINHIBIT => TXINHIBIT,
		TXINTDATAWIDTH_0 => TXINTDATAWIDTH(0),
		TXINTDATAWIDTH_1 => TXINTDATAWIDTH(1),
		TXPOLARITY => TXPOLARITY,
		TXRESET => TXRESET,
		TXSCRAM64B66BUSE => TXSCRAM64B66BUSE,
		TXUSRCLK => TXUSRCLK,
		TXUSRCLK2 => TXUSRCLK2,
		ALIGN_COMMA_WORD_0 => ALIGN_COMMA_WORD(0),
		ALIGN_COMMA_WORD_1 => ALIGN_COMMA_WORD(1),
		CHAN_BOND_LIMIT_0 => CHAN_BOND_LIMIT(0),
		CHAN_BOND_LIMIT_1 => CHAN_BOND_LIMIT(1),
		CHAN_BOND_LIMIT_2 => CHAN_BOND_LIMIT(2),
		CHAN_BOND_LIMIT_3 => CHAN_BOND_LIMIT(3),
		CHAN_BOND_LIMIT_4 => CHAN_BOND_LIMIT(4),
		CHAN_BOND_LIMIT_5 => CHAN_BOND_LIMIT(5),
		CHAN_BOND_MODE_0 => CHAN_BOND_MODE(0),
		CHAN_BOND_MODE_1 => CHAN_BOND_MODE(1),
		CHAN_BOND_ONE_SHOT => CHAN_BOND_ONE_SHOT,
		CHAN_BOND_SEQ_1_1_0 => CHAN_BOND_SEQ_1_1(0),
		CHAN_BOND_SEQ_1_1_1 => CHAN_BOND_SEQ_1_1(1),
		CHAN_BOND_SEQ_1_1_2 => CHAN_BOND_SEQ_1_1(2),
		CHAN_BOND_SEQ_1_1_3 => CHAN_BOND_SEQ_1_1(3),
		CHAN_BOND_SEQ_1_1_4 => CHAN_BOND_SEQ_1_1(4),
		CHAN_BOND_SEQ_1_1_5 => CHAN_BOND_SEQ_1_1(5),
		CHAN_BOND_SEQ_1_1_6 => CHAN_BOND_SEQ_1_1(6),
		CHAN_BOND_SEQ_1_1_7 => CHAN_BOND_SEQ_1_1(7),
		CHAN_BOND_SEQ_1_1_8 => CHAN_BOND_SEQ_1_1(8),
		CHAN_BOND_SEQ_1_1_9 => CHAN_BOND_SEQ_1_1(9),
		CHAN_BOND_SEQ_1_1_10 => CHAN_BOND_SEQ_1_1(10),
		CHAN_BOND_SEQ_1_2_0 => CHAN_BOND_SEQ_1_2(0),
		CHAN_BOND_SEQ_1_2_1 => CHAN_BOND_SEQ_1_2(1),
		CHAN_BOND_SEQ_1_2_2 => CHAN_BOND_SEQ_1_2(2),
		CHAN_BOND_SEQ_1_2_3 => CHAN_BOND_SEQ_1_2(3),
		CHAN_BOND_SEQ_1_2_4 => CHAN_BOND_SEQ_1_2(4),
		CHAN_BOND_SEQ_1_2_5 => CHAN_BOND_SEQ_1_2(5),
		CHAN_BOND_SEQ_1_2_6 => CHAN_BOND_SEQ_1_2(6),
		CHAN_BOND_SEQ_1_2_7 => CHAN_BOND_SEQ_1_2(7),
		CHAN_BOND_SEQ_1_2_8 => CHAN_BOND_SEQ_1_2(8),
		CHAN_BOND_SEQ_1_2_9 => CHAN_BOND_SEQ_1_2(9),
		CHAN_BOND_SEQ_1_2_10 => CHAN_BOND_SEQ_1_2(10),
		CHAN_BOND_SEQ_1_3_0 => CHAN_BOND_SEQ_1_3(0),
		CHAN_BOND_SEQ_1_3_1 => CHAN_BOND_SEQ_1_3(1),
		CHAN_BOND_SEQ_1_3_2 => CHAN_BOND_SEQ_1_3(2),
		CHAN_BOND_SEQ_1_3_3 => CHAN_BOND_SEQ_1_3(3),
		CHAN_BOND_SEQ_1_3_4 => CHAN_BOND_SEQ_1_3(4),
		CHAN_BOND_SEQ_1_3_5 => CHAN_BOND_SEQ_1_3(5),
		CHAN_BOND_SEQ_1_3_6 => CHAN_BOND_SEQ_1_3(6),
		CHAN_BOND_SEQ_1_3_7 => CHAN_BOND_SEQ_1_3(7),
		CHAN_BOND_SEQ_1_3_8 => CHAN_BOND_SEQ_1_3(8),
		CHAN_BOND_SEQ_1_3_9 => CHAN_BOND_SEQ_1_3(9),
		CHAN_BOND_SEQ_1_3_10 => CHAN_BOND_SEQ_1_3(10),
		CHAN_BOND_SEQ_1_4_0 => CHAN_BOND_SEQ_1_4(0),
		CHAN_BOND_SEQ_1_4_1 => CHAN_BOND_SEQ_1_4(1),
		CHAN_BOND_SEQ_1_4_2 => CHAN_BOND_SEQ_1_4(2),
		CHAN_BOND_SEQ_1_4_3 => CHAN_BOND_SEQ_1_4(3),
		CHAN_BOND_SEQ_1_4_4 => CHAN_BOND_SEQ_1_4(4),
		CHAN_BOND_SEQ_1_4_5 => CHAN_BOND_SEQ_1_4(5),
		CHAN_BOND_SEQ_1_4_6 => CHAN_BOND_SEQ_1_4(6),
		CHAN_BOND_SEQ_1_4_7 => CHAN_BOND_SEQ_1_4(7),
		CHAN_BOND_SEQ_1_4_8 => CHAN_BOND_SEQ_1_4(8),
		CHAN_BOND_SEQ_1_4_9 => CHAN_BOND_SEQ_1_4(9),
		CHAN_BOND_SEQ_1_4_10 => CHAN_BOND_SEQ_1_4(10),
		CHAN_BOND_SEQ_1_MASK_0 => CHAN_BOND_SEQ_1_MASK(0),
		CHAN_BOND_SEQ_1_MASK_1 => CHAN_BOND_SEQ_1_MASK(1),
		CHAN_BOND_SEQ_1_MASK_2 => CHAN_BOND_SEQ_1_MASK(2),
		CHAN_BOND_SEQ_1_MASK_3 => CHAN_BOND_SEQ_1_MASK(3),
		CHAN_BOND_SEQ_2_1_0 => CHAN_BOND_SEQ_2_1(0),
		CHAN_BOND_SEQ_2_1_1 => CHAN_BOND_SEQ_2_1(1),
		CHAN_BOND_SEQ_2_1_2 => CHAN_BOND_SEQ_2_1(2),
		CHAN_BOND_SEQ_2_1_3 => CHAN_BOND_SEQ_2_1(3),
		CHAN_BOND_SEQ_2_1_4 => CHAN_BOND_SEQ_2_1(4),
		CHAN_BOND_SEQ_2_1_5 => CHAN_BOND_SEQ_2_1(5),
		CHAN_BOND_SEQ_2_1_6 => CHAN_BOND_SEQ_2_1(6),
		CHAN_BOND_SEQ_2_1_7 => CHAN_BOND_SEQ_2_1(7),
		CHAN_BOND_SEQ_2_1_8 => CHAN_BOND_SEQ_2_1(8),
		CHAN_BOND_SEQ_2_1_9 => CHAN_BOND_SEQ_2_1(9),
		CHAN_BOND_SEQ_2_1_10 => CHAN_BOND_SEQ_2_1(10),
		CHAN_BOND_SEQ_2_2_0 => CHAN_BOND_SEQ_2_2(0),
		CHAN_BOND_SEQ_2_2_1 => CHAN_BOND_SEQ_2_2(1),
		CHAN_BOND_SEQ_2_2_2 => CHAN_BOND_SEQ_2_2(2),
		CHAN_BOND_SEQ_2_2_3 => CHAN_BOND_SEQ_2_2(3),
		CHAN_BOND_SEQ_2_2_4 => CHAN_BOND_SEQ_2_2(4),
		CHAN_BOND_SEQ_2_2_5 => CHAN_BOND_SEQ_2_2(5),
		CHAN_BOND_SEQ_2_2_6 => CHAN_BOND_SEQ_2_2(6),
		CHAN_BOND_SEQ_2_2_7 => CHAN_BOND_SEQ_2_2(7),
		CHAN_BOND_SEQ_2_2_8 => CHAN_BOND_SEQ_2_2(8),
		CHAN_BOND_SEQ_2_2_9 => CHAN_BOND_SEQ_2_2(9),
		CHAN_BOND_SEQ_2_2_10 => CHAN_BOND_SEQ_2_2(10),
		CHAN_BOND_SEQ_2_3_0 => CHAN_BOND_SEQ_2_3(0),
		CHAN_BOND_SEQ_2_3_1 => CHAN_BOND_SEQ_2_3(1),
		CHAN_BOND_SEQ_2_3_2 => CHAN_BOND_SEQ_2_3(2),
		CHAN_BOND_SEQ_2_3_3 => CHAN_BOND_SEQ_2_3(3),
		CHAN_BOND_SEQ_2_3_4 => CHAN_BOND_SEQ_2_3(4),
		CHAN_BOND_SEQ_2_3_5 => CHAN_BOND_SEQ_2_3(5),
		CHAN_BOND_SEQ_2_3_6 => CHAN_BOND_SEQ_2_3(6),
		CHAN_BOND_SEQ_2_3_7 => CHAN_BOND_SEQ_2_3(7),
		CHAN_BOND_SEQ_2_3_8 => CHAN_BOND_SEQ_2_3(8),
		CHAN_BOND_SEQ_2_3_9 => CHAN_BOND_SEQ_2_3(9),
		CHAN_BOND_SEQ_2_3_10 => CHAN_BOND_SEQ_2_3(10),
		CHAN_BOND_SEQ_2_4_0 => CHAN_BOND_SEQ_2_4(0),
		CHAN_BOND_SEQ_2_4_1 => CHAN_BOND_SEQ_2_4(1),
		CHAN_BOND_SEQ_2_4_2 => CHAN_BOND_SEQ_2_4(2),
		CHAN_BOND_SEQ_2_4_3 => CHAN_BOND_SEQ_2_4(3),
		CHAN_BOND_SEQ_2_4_4 => CHAN_BOND_SEQ_2_4(4),
		CHAN_BOND_SEQ_2_4_5 => CHAN_BOND_SEQ_2_4(5),
		CHAN_BOND_SEQ_2_4_6 => CHAN_BOND_SEQ_2_4(6),
		CHAN_BOND_SEQ_2_4_7 => CHAN_BOND_SEQ_2_4(7),
		CHAN_BOND_SEQ_2_4_8 => CHAN_BOND_SEQ_2_4(8),
		CHAN_BOND_SEQ_2_4_9 => CHAN_BOND_SEQ_2_4(9),
		CHAN_BOND_SEQ_2_4_10 => CHAN_BOND_SEQ_2_4(10),
		CHAN_BOND_SEQ_2_MASK_0 => CHAN_BOND_SEQ_2_MASK(0),
		CHAN_BOND_SEQ_2_MASK_1 => CHAN_BOND_SEQ_2_MASK(1),
		CHAN_BOND_SEQ_2_MASK_2 => CHAN_BOND_SEQ_2_MASK(2),
		CHAN_BOND_SEQ_2_MASK_3 => CHAN_BOND_SEQ_2_MASK(3),
		CHAN_BOND_SEQ_2_USE => CHAN_BOND_SEQ_2_USE,
		CHAN_BOND_SEQ_LEN_0 => CHAN_BOND_SEQ_LEN(0),
		CHAN_BOND_SEQ_LEN_1 => CHAN_BOND_SEQ_LEN(1),
		CHAN_BOND_SEQ_LEN_2 => CHAN_BOND_SEQ_LEN(2),
                CHAN_BOND_64B66B_SV => CHAN_BOND_64B66B_SV,                
		CLK_COR_8B10B_DE => CLK_COR_8B10B_DE,
		CLK_COR_MAX_LAT_0 => CLK_COR_MAX_LAT(0),
		CLK_COR_MAX_LAT_1 => CLK_COR_MAX_LAT(1),
		CLK_COR_MAX_LAT_2 => CLK_COR_MAX_LAT(2),
		CLK_COR_MAX_LAT_3 => CLK_COR_MAX_LAT(3),
		CLK_COR_MAX_LAT_4 => CLK_COR_MAX_LAT(4),
		CLK_COR_MAX_LAT_5 => CLK_COR_MAX_LAT(5),
		CLK_COR_MIN_LAT_0 => CLK_COR_MIN_LAT(0),
		CLK_COR_MIN_LAT_1 => CLK_COR_MIN_LAT(1),
		CLK_COR_MIN_LAT_2 => CLK_COR_MIN_LAT(2),
		CLK_COR_MIN_LAT_3 => CLK_COR_MIN_LAT(3),
		CLK_COR_MIN_LAT_4 => CLK_COR_MIN_LAT(4),
		CLK_COR_MIN_LAT_5 => CLK_COR_MIN_LAT(5),
		CLK_COR_SEQ_1_1_0 => CLK_COR_SEQ_1_1(0),
		CLK_COR_SEQ_1_1_1 => CLK_COR_SEQ_1_1(1),
		CLK_COR_SEQ_1_1_2 => CLK_COR_SEQ_1_1(2),
		CLK_COR_SEQ_1_1_3 => CLK_COR_SEQ_1_1(3),
		CLK_COR_SEQ_1_1_4 => CLK_COR_SEQ_1_1(4),
		CLK_COR_SEQ_1_1_5 => CLK_COR_SEQ_1_1(5),
		CLK_COR_SEQ_1_1_6 => CLK_COR_SEQ_1_1(6),
		CLK_COR_SEQ_1_1_7 => CLK_COR_SEQ_1_1(7),
		CLK_COR_SEQ_1_1_8 => CLK_COR_SEQ_1_1(8),
		CLK_COR_SEQ_1_1_9 => CLK_COR_SEQ_1_1(9),
		CLK_COR_SEQ_1_1_10 => CLK_COR_SEQ_1_1(10),
		CLK_COR_SEQ_1_2_0 => CLK_COR_SEQ_1_2(0),
		CLK_COR_SEQ_1_2_1 => CLK_COR_SEQ_1_2(1),
		CLK_COR_SEQ_1_2_2 => CLK_COR_SEQ_1_2(2),
		CLK_COR_SEQ_1_2_3 => CLK_COR_SEQ_1_2(3),
		CLK_COR_SEQ_1_2_4 => CLK_COR_SEQ_1_2(4),
		CLK_COR_SEQ_1_2_5 => CLK_COR_SEQ_1_2(5),
		CLK_COR_SEQ_1_2_6 => CLK_COR_SEQ_1_2(6),
		CLK_COR_SEQ_1_2_7 => CLK_COR_SEQ_1_2(7),
		CLK_COR_SEQ_1_2_8 => CLK_COR_SEQ_1_2(8),
		CLK_COR_SEQ_1_2_9 => CLK_COR_SEQ_1_2(9),
		CLK_COR_SEQ_1_2_10 => CLK_COR_SEQ_1_2(10),
		CLK_COR_SEQ_1_3_0 => CLK_COR_SEQ_1_3(0),
		CLK_COR_SEQ_1_3_1 => CLK_COR_SEQ_1_3(1),
		CLK_COR_SEQ_1_3_2 => CLK_COR_SEQ_1_3(2),
		CLK_COR_SEQ_1_3_3 => CLK_COR_SEQ_1_3(3),
		CLK_COR_SEQ_1_3_4 => CLK_COR_SEQ_1_3(4),
		CLK_COR_SEQ_1_3_5 => CLK_COR_SEQ_1_3(5),
		CLK_COR_SEQ_1_3_6 => CLK_COR_SEQ_1_3(6),
		CLK_COR_SEQ_1_3_7 => CLK_COR_SEQ_1_3(7),
		CLK_COR_SEQ_1_3_8 => CLK_COR_SEQ_1_3(8),
		CLK_COR_SEQ_1_3_9 => CLK_COR_SEQ_1_3(9),
		CLK_COR_SEQ_1_3_10 => CLK_COR_SEQ_1_3(10),
		CLK_COR_SEQ_1_4_0 => CLK_COR_SEQ_1_4(0),
		CLK_COR_SEQ_1_4_1 => CLK_COR_SEQ_1_4(1),
		CLK_COR_SEQ_1_4_2 => CLK_COR_SEQ_1_4(2),
		CLK_COR_SEQ_1_4_3 => CLK_COR_SEQ_1_4(3),
		CLK_COR_SEQ_1_4_4 => CLK_COR_SEQ_1_4(4),
		CLK_COR_SEQ_1_4_5 => CLK_COR_SEQ_1_4(5),
		CLK_COR_SEQ_1_4_6 => CLK_COR_SEQ_1_4(6),
		CLK_COR_SEQ_1_4_7 => CLK_COR_SEQ_1_4(7),
		CLK_COR_SEQ_1_4_8 => CLK_COR_SEQ_1_4(8),
		CLK_COR_SEQ_1_4_9 => CLK_COR_SEQ_1_4(9),
		CLK_COR_SEQ_1_4_10 => CLK_COR_SEQ_1_4(10),
		CLK_COR_SEQ_1_MASK_0 => CLK_COR_SEQ_1_MASK(0),
		CLK_COR_SEQ_1_MASK_1 => CLK_COR_SEQ_1_MASK(1),
		CLK_COR_SEQ_1_MASK_2 => CLK_COR_SEQ_1_MASK(2),
		CLK_COR_SEQ_1_MASK_3 => CLK_COR_SEQ_1_MASK(3),
		CLK_COR_SEQ_2_1_0 => CLK_COR_SEQ_2_1(0),
		CLK_COR_SEQ_2_1_1 => CLK_COR_SEQ_2_1(1),
		CLK_COR_SEQ_2_1_2 => CLK_COR_SEQ_2_1(2),
		CLK_COR_SEQ_2_1_3 => CLK_COR_SEQ_2_1(3),
		CLK_COR_SEQ_2_1_4 => CLK_COR_SEQ_2_1(4),
		CLK_COR_SEQ_2_1_5 => CLK_COR_SEQ_2_1(5),
		CLK_COR_SEQ_2_1_6 => CLK_COR_SEQ_2_1(6),
		CLK_COR_SEQ_2_1_7 => CLK_COR_SEQ_2_1(7),
		CLK_COR_SEQ_2_1_8 => CLK_COR_SEQ_2_1(8),
		CLK_COR_SEQ_2_1_9 => CLK_COR_SEQ_2_1(9),
		CLK_COR_SEQ_2_1_10 => CLK_COR_SEQ_2_1(10),
		CLK_COR_SEQ_2_2_0 => CLK_COR_SEQ_2_2(0),
		CLK_COR_SEQ_2_2_1 => CLK_COR_SEQ_2_2(1),
		CLK_COR_SEQ_2_2_2 => CLK_COR_SEQ_2_2(2),
		CLK_COR_SEQ_2_2_3 => CLK_COR_SEQ_2_2(3),
		CLK_COR_SEQ_2_2_4 => CLK_COR_SEQ_2_2(4),
		CLK_COR_SEQ_2_2_5 => CLK_COR_SEQ_2_2(5),
		CLK_COR_SEQ_2_2_6 => CLK_COR_SEQ_2_2(6),
		CLK_COR_SEQ_2_2_7 => CLK_COR_SEQ_2_2(7),
		CLK_COR_SEQ_2_2_8 => CLK_COR_SEQ_2_2(8),
		CLK_COR_SEQ_2_2_9 => CLK_COR_SEQ_2_2(9),
		CLK_COR_SEQ_2_2_10 => CLK_COR_SEQ_2_2(10),
		CLK_COR_SEQ_2_3_0 => CLK_COR_SEQ_2_3(0),
		CLK_COR_SEQ_2_3_1 => CLK_COR_SEQ_2_3(1),
		CLK_COR_SEQ_2_3_2 => CLK_COR_SEQ_2_3(2),
		CLK_COR_SEQ_2_3_3 => CLK_COR_SEQ_2_3(3),
		CLK_COR_SEQ_2_3_4 => CLK_COR_SEQ_2_3(4),
		CLK_COR_SEQ_2_3_5 => CLK_COR_SEQ_2_3(5),
		CLK_COR_SEQ_2_3_6 => CLK_COR_SEQ_2_3(6),
		CLK_COR_SEQ_2_3_7 => CLK_COR_SEQ_2_3(7),
		CLK_COR_SEQ_2_3_8 => CLK_COR_SEQ_2_3(8),
		CLK_COR_SEQ_2_3_9 => CLK_COR_SEQ_2_3(9),
		CLK_COR_SEQ_2_3_10 => CLK_COR_SEQ_2_3(10),
		CLK_COR_SEQ_2_4_0 => CLK_COR_SEQ_2_4(0),
		CLK_COR_SEQ_2_4_1 => CLK_COR_SEQ_2_4(1),
		CLK_COR_SEQ_2_4_2 => CLK_COR_SEQ_2_4(2),
		CLK_COR_SEQ_2_4_3 => CLK_COR_SEQ_2_4(3),
		CLK_COR_SEQ_2_4_4 => CLK_COR_SEQ_2_4(4),
		CLK_COR_SEQ_2_4_5 => CLK_COR_SEQ_2_4(5),
		CLK_COR_SEQ_2_4_6 => CLK_COR_SEQ_2_4(6),
		CLK_COR_SEQ_2_4_7 => CLK_COR_SEQ_2_4(7),
		CLK_COR_SEQ_2_4_8 => CLK_COR_SEQ_2_4(8),
		CLK_COR_SEQ_2_4_9 => CLK_COR_SEQ_2_4(9),
		CLK_COR_SEQ_2_4_10 => CLK_COR_SEQ_2_4(10),
		CLK_COR_SEQ_2_MASK_0 => CLK_COR_SEQ_2_MASK(0),
		CLK_COR_SEQ_2_MASK_1 => CLK_COR_SEQ_2_MASK(1),
		CLK_COR_SEQ_2_MASK_2 => CLK_COR_SEQ_2_MASK(2),
		CLK_COR_SEQ_2_MASK_3 => CLK_COR_SEQ_2_MASK(3),
		CLK_COR_SEQ_2_USE => CLK_COR_SEQ_2_USE,
		CLK_COR_SEQ_DROP => CLK_COR_SEQ_DROP,
		CLK_COR_SEQ_LEN_0 => CLK_COR_SEQ_LEN(0),
		CLK_COR_SEQ_LEN_1 => CLK_COR_SEQ_LEN(1),
		CLK_COR_SEQ_LEN_2 => CLK_COR_SEQ_LEN(2),
		CLK_CORRECT_USE => CLK_CORRECT_USE,
		COMMA_10B_MASK_0 => COMMA_10B_MASK(0),
		COMMA_10B_MASK_1 => COMMA_10B_MASK(1),
		COMMA_10B_MASK_2 => COMMA_10B_MASK(2),
		COMMA_10B_MASK_3 => COMMA_10B_MASK(3),
		COMMA_10B_MASK_4 => COMMA_10B_MASK(4),
		COMMA_10B_MASK_5 => COMMA_10B_MASK(5),
		COMMA_10B_MASK_6 => COMMA_10B_MASK(6),
		COMMA_10B_MASK_7 => COMMA_10B_MASK(7),
		COMMA_10B_MASK_8 => COMMA_10B_MASK(8),
		COMMA_10B_MASK_9 => COMMA_10B_MASK(9),
		DEC_MCOMMA_DETECT => DEC_MCOMMA_DETECT,
		DEC_PCOMMA_DETECT => DEC_PCOMMA_DETECT,
		DEC_VALID_COMMA_ONLY => DEC_VALID_COMMA_ONLY,
		MCOMMA_10B_VALUE_0 => MCOMMA_10B_VALUE(0),
		MCOMMA_10B_VALUE_1 => MCOMMA_10B_VALUE(1),
		MCOMMA_10B_VALUE_2 => MCOMMA_10B_VALUE(2),
		MCOMMA_10B_VALUE_3 => MCOMMA_10B_VALUE(3),
		MCOMMA_10B_VALUE_4 => MCOMMA_10B_VALUE(4),
		MCOMMA_10B_VALUE_5 => MCOMMA_10B_VALUE(5),
		MCOMMA_10B_VALUE_6 => MCOMMA_10B_VALUE(6),
		MCOMMA_10B_VALUE_7 => MCOMMA_10B_VALUE(7),
		MCOMMA_10B_VALUE_8 => MCOMMA_10B_VALUE(8),
		MCOMMA_10B_VALUE_9 => MCOMMA_10B_VALUE(9),
		MCOMMA_DETECT => MCOMMA_DETECT,
		PCOMMA_10B_VALUE_0 => PCOMMA_10B_VALUE(0),
		PCOMMA_10B_VALUE_1 => PCOMMA_10B_VALUE(1),
		PCOMMA_10B_VALUE_2 => PCOMMA_10B_VALUE(2),
		PCOMMA_10B_VALUE_3 => PCOMMA_10B_VALUE(3),
		PCOMMA_10B_VALUE_4 => PCOMMA_10B_VALUE(4),
		PCOMMA_10B_VALUE_5 => PCOMMA_10B_VALUE(5),
		PCOMMA_10B_VALUE_6 => PCOMMA_10B_VALUE(6),
		PCOMMA_10B_VALUE_7 => PCOMMA_10B_VALUE(7),
		PCOMMA_10B_VALUE_8 => PCOMMA_10B_VALUE(8),
		PCOMMA_10B_VALUE_9 => PCOMMA_10B_VALUE(9),
		PCOMMA_DETECT => PCOMMA_DETECT,
		PMA_SPEED_0 => PMA_SPEED(0),
		PMA_SPEED_1 => PMA_SPEED(1),
		PMA_SPEED_2 => PMA_SPEED(2),
		PMA_SPEED_3 => PMA_SPEED(3),
		PMA_SPEED_4 => PMA_SPEED(4),
		PMA_SPEED_5 => PMA_SPEED(5),
		PMA_SPEED_6 => PMA_SPEED(6),
		PMA_SPEED_7 => PMA_SPEED(7),
		PMA_SPEED_8 => PMA_SPEED(8),
		PMA_SPEED_9 => PMA_SPEED(9),
		PMA_SPEED_10 => PMA_SPEED(10),
		PMA_SPEED_11 => PMA_SPEED(11),
		PMA_SPEED_12 => PMA_SPEED(12),
		PMA_SPEED_13 => PMA_SPEED(13),
		PMA_SPEED_14 => PMA_SPEED(14),
		PMA_SPEED_15 => PMA_SPEED(15),
		PMA_SPEED_16 => PMA_SPEED(16),
		PMA_SPEED_17 => PMA_SPEED(17),
		PMA_SPEED_18 => PMA_SPEED(18),
		PMA_SPEED_19 => PMA_SPEED(19),
		PMA_SPEED_20 => PMA_SPEED(20),
		PMA_SPEED_21 => PMA_SPEED(21),
		PMA_SPEED_22 => PMA_SPEED(22),
		PMA_SPEED_23 => PMA_SPEED(23),
		PMA_SPEED_24 => PMA_SPEED(24),
		PMA_SPEED_25 => PMA_SPEED(25),
		PMA_SPEED_26 => PMA_SPEED(26),
		PMA_SPEED_27 => PMA_SPEED(27),
		PMA_SPEED_28 => PMA_SPEED(28),
		PMA_SPEED_29 => PMA_SPEED(29),
		PMA_SPEED_30 => PMA_SPEED(30),
		PMA_SPEED_31 => PMA_SPEED(31),
		PMA_SPEED_32 => PMA_SPEED(32),
		PMA_SPEED_33 => PMA_SPEED(33),
		PMA_SPEED_34 => PMA_SPEED(34),
		PMA_SPEED_35 => PMA_SPEED(35),
		PMA_SPEED_36 => PMA_SPEED(36),
		PMA_SPEED_37 => PMA_SPEED(37),
		PMA_SPEED_38 => PMA_SPEED(38),
		PMA_SPEED_39 => PMA_SPEED(39),
		PMA_SPEED_40 => PMA_SPEED(40),
		PMA_SPEED_41 => PMA_SPEED(41),
		PMA_SPEED_42 => PMA_SPEED(42),
		PMA_SPEED_43 => PMA_SPEED(43),
		PMA_SPEED_44 => PMA_SPEED(44),
		PMA_SPEED_45 => PMA_SPEED(45),
		PMA_SPEED_46 => PMA_SPEED(46),
		PMA_SPEED_47 => PMA_SPEED(47),
		PMA_SPEED_48 => PMA_SPEED(48),
		PMA_SPEED_49 => PMA_SPEED(49),
		PMA_SPEED_50 => PMA_SPEED(50),
		PMA_SPEED_51 => PMA_SPEED(51),
		PMA_SPEED_52 => PMA_SPEED(52),
		PMA_SPEED_53 => PMA_SPEED(53),
		PMA_SPEED_54 => PMA_SPEED(54),
		PMA_SPEED_55 => PMA_SPEED(55),
		PMA_SPEED_56 => PMA_SPEED(56),
		PMA_SPEED_57 => PMA_SPEED(57),
		PMA_SPEED_58 => PMA_SPEED(58),
		PMA_SPEED_59 => PMA_SPEED(59),
		PMA_SPEED_60 => PMA_SPEED(60),
		PMA_SPEED_61 => PMA_SPEED(61),
		PMA_SPEED_62 => PMA_SPEED(62),
		PMA_SPEED_63 => PMA_SPEED(63),
		PMA_SPEED_64 => PMA_SPEED(64),
		PMA_SPEED_65 => PMA_SPEED(65),
		PMA_SPEED_66 => PMA_SPEED(66),
		PMA_SPEED_67 => PMA_SPEED(67),
		PMA_SPEED_68 => PMA_SPEED(68),
		PMA_SPEED_69 => PMA_SPEED(69),
		PMA_SPEED_70 => PMA_SPEED(70),
		PMA_SPEED_71 => PMA_SPEED(71),
		PMA_SPEED_72 => PMA_SPEED(72),
		PMA_SPEED_73 => PMA_SPEED(73),
		PMA_SPEED_74 => PMA_SPEED(74),
		PMA_SPEED_75 => PMA_SPEED(75),
		PMA_SPEED_76 => PMA_SPEED(76),
		PMA_SPEED_77 => PMA_SPEED(77),
		PMA_SPEED_78 => PMA_SPEED(78),
		PMA_SPEED_79 => PMA_SPEED(79),
		PMA_SPEED_80 => PMA_SPEED(80),
		PMA_SPEED_81 => PMA_SPEED(81),
		PMA_SPEED_82 => PMA_SPEED(82),
		PMA_SPEED_83 => PMA_SPEED(83),
		PMA_SPEED_84 => PMA_SPEED(84),
		PMA_SPEED_85 => PMA_SPEED(85),
		PMA_SPEED_86 => PMA_SPEED(86),
		PMA_SPEED_87 => PMA_SPEED(87),
		PMA_SPEED_88 => PMA_SPEED(88),
		PMA_SPEED_89 => PMA_SPEED(89),
		PMA_SPEED_90 => PMA_SPEED(90),
		PMA_SPEED_91 => PMA_SPEED(91),
		PMA_SPEED_92 => PMA_SPEED(92),
		PMA_SPEED_93 => PMA_SPEED(93),
		PMA_SPEED_94 => PMA_SPEED(94),
		PMA_SPEED_95 => PMA_SPEED(95),
		PMA_SPEED_96 => PMA_SPEED(96),
		PMA_SPEED_97 => PMA_SPEED(97),
		PMA_SPEED_98 => PMA_SPEED(98),
		PMA_SPEED_99 => PMA_SPEED(99),
		PMA_SPEED_100 => PMA_SPEED(100),
		PMA_SPEED_101 => PMA_SPEED(101),
		PMA_SPEED_102 => PMA_SPEED(102),
		PMA_SPEED_103 => PMA_SPEED(103),
		PMA_SPEED_104 => PMA_SPEED(104),
		PMA_SPEED_105 => PMA_SPEED(105),
		PMA_SPEED_106 => PMA_SPEED(106),
		PMA_SPEED_107 => PMA_SPEED(107),
		PMA_SPEED_108 => PMA_SPEED(108),
		PMA_SPEED_109 => PMA_SPEED(109),
		PMA_SPEED_110 => PMA_SPEED(110),
		PMA_SPEED_111 => PMA_SPEED(111),
		PMA_SPEED_112 => PMA_SPEED(112),
		PMA_SPEED_113 => PMA_SPEED(113),
		PMA_SPEED_114 => PMA_SPEED(114),
		PMA_SPEED_115 => PMA_SPEED(115),
		PMA_SPEED_116 => PMA_SPEED(116),
		PMA_SPEED_117 => PMA_SPEED(117),
		PMA_SPEED_118 => PMA_SPEED(118),
		PMA_SPEED_119 => PMA_SPEED(119),                
		PMA_PWR_CNTRL_0 => PMA_PWR_CNTRL(0),
		PMA_PWR_CNTRL_1 => PMA_PWR_CNTRL(1),
		PMA_PWR_CNTRL_2 => PMA_PWR_CNTRL(2),
		PMA_PWR_CNTRL_3 => PMA_PWR_CNTRL(3),
		PMA_PWR_CNTRL_4 => PMA_PWR_CNTRL(4),
		PMA_PWR_CNTRL_5 => PMA_PWR_CNTRL(5),
		PMA_PWR_CNTRL_6 => PMA_PWR_CNTRL(6),
		PMA_PWR_CNTRL_7 => PMA_PWR_CNTRL(7),
		RX_BUFFER_USE => RX_BUFFER_USE,
		RX_LOS_INVALID_INCR_0 => RX_LOS_INVALID_INCR(0),
		RX_LOS_INVALID_INCR_1 => RX_LOS_INVALID_INCR(1),
		RX_LOS_INVALID_INCR_2 => RX_LOS_INVALID_INCR(2),
		RX_LOS_INVALID_INCR_3 => RX_LOS_INVALID_INCR(3),
		RX_LOS_INVALID_INCR_4 => RX_LOS_INVALID_INCR(4),
		RX_LOS_INVALID_INCR_5 => RX_LOS_INVALID_INCR(5),
		RX_LOS_INVALID_INCR_6 => RX_LOS_INVALID_INCR(6),
		RX_LOS_INVALID_INCR_7 => RX_LOS_INVALID_INCR(7),
		RX_LOS_THRESHOLD_0 => RX_LOS_THRESHOLD(0),
		RX_LOS_THRESHOLD_1 => RX_LOS_THRESHOLD(1),
		RX_LOS_THRESHOLD_2 => RX_LOS_THRESHOLD(2),
		RX_LOS_THRESHOLD_3 => RX_LOS_THRESHOLD(3),
		RX_LOS_THRESHOLD_4 => RX_LOS_THRESHOLD(4),
		RX_LOS_THRESHOLD_5 => RX_LOS_THRESHOLD(5),
		RX_LOS_THRESHOLD_6 => RX_LOS_THRESHOLD(6),
		RX_LOS_THRESHOLD_7 => RX_LOS_THRESHOLD(7),
		RX_LOSS_OF_SYNC_FSM => RX_LOSS_OF_SYNC_FSM,
		SH_CNT_MAX_0 => SH_CNT_MAX(0),
		SH_CNT_MAX_1 => SH_CNT_MAX(1),
		SH_CNT_MAX_2 => SH_CNT_MAX(2),
		SH_CNT_MAX_3 => SH_CNT_MAX(3),
		SH_CNT_MAX_4 => SH_CNT_MAX(4),
		SH_CNT_MAX_5 => SH_CNT_MAX(5),
		SH_CNT_MAX_6 => SH_CNT_MAX(6),
		SH_CNT_MAX_7 => SH_CNT_MAX(7),
		SH_INVALID_CNT_MAX_0 => SH_INVALID_CNT_MAX(0),
		SH_INVALID_CNT_MAX_1 => SH_INVALID_CNT_MAX(1),
		SH_INVALID_CNT_MAX_2 => SH_INVALID_CNT_MAX(2),
		SH_INVALID_CNT_MAX_3 => SH_INVALID_CNT_MAX(3),
		SH_INVALID_CNT_MAX_4 => SH_INVALID_CNT_MAX(4),
		SH_INVALID_CNT_MAX_5 => SH_INVALID_CNT_MAX(5),
		SH_INVALID_CNT_MAX_6 => SH_INVALID_CNT_MAX(6),
		SH_INVALID_CNT_MAX_7 => SH_INVALID_CNT_MAX(7),
		TX_BUFFER_USE => TX_BUFFER_USE,
		GSR => GSR
	);
begin -- GT10_SWIFT_BUS
gt10_swift_inst : GT10_SWIFT
	port map (
		ALIGN_COMMA_WORD => ALIGN_COMMA_WORD,
		BREFCLKNIN => BREFCLKNIN,
		BREFCLKPIN => BREFCLKPIN,
		CHAN_BOND_LIMIT => CHAN_BOND_LIMIT,
		CHAN_BOND_MODE => CHAN_BOND_MODE,
		CHAN_BOND_ONE_SHOT => CHAN_BOND_ONE_SHOT,
		CHAN_BOND_SEQ_1_1 => CHAN_BOND_SEQ_1_1,
		CHAN_BOND_SEQ_1_2 => CHAN_BOND_SEQ_1_2,
		CHAN_BOND_SEQ_1_3 => CHAN_BOND_SEQ_1_3,
		CHAN_BOND_SEQ_1_4 => CHAN_BOND_SEQ_1_4,
		CHAN_BOND_SEQ_1_MASK => CHAN_BOND_SEQ_1_MASK,
		CHAN_BOND_SEQ_2_1 => CHAN_BOND_SEQ_2_1,
		CHAN_BOND_SEQ_2_2 => CHAN_BOND_SEQ_2_2,
		CHAN_BOND_SEQ_2_3 => CHAN_BOND_SEQ_2_3,
		CHAN_BOND_SEQ_2_4 => CHAN_BOND_SEQ_2_4,
		CHAN_BOND_SEQ_2_MASK => CHAN_BOND_SEQ_2_MASK,
		CHAN_BOND_SEQ_2_USE => CHAN_BOND_SEQ_2_USE,
		CHAN_BOND_SEQ_LEN => CHAN_BOND_SEQ_LEN,
                CHAN_BOND_64B66B_SV => CHAN_BOND_64B66B_SV,                                
		CHBONDDONE => CHBONDDONE,
		CHBONDI => CHBONDI,
		CHBONDO => CHBONDO,
		CLK_CORRECT_USE => CLK_CORRECT_USE,
		CLK_COR_8B10B_DE => CLK_COR_8B10B_DE,
		CLK_COR_MAX_LAT => CLK_COR_MAX_LAT,
		CLK_COR_MIN_LAT => CLK_COR_MIN_LAT,
		CLK_COR_SEQ_1_1 => CLK_COR_SEQ_1_1,
		CLK_COR_SEQ_1_2 => CLK_COR_SEQ_1_2,
		CLK_COR_SEQ_1_3 => CLK_COR_SEQ_1_3,
		CLK_COR_SEQ_1_4 => CLK_COR_SEQ_1_4,
		CLK_COR_SEQ_1_MASK => CLK_COR_SEQ_1_MASK,
		CLK_COR_SEQ_2_1 => CLK_COR_SEQ_2_1,
		CLK_COR_SEQ_2_2 => CLK_COR_SEQ_2_2,
		CLK_COR_SEQ_2_3 => CLK_COR_SEQ_2_3,
		CLK_COR_SEQ_2_4 => CLK_COR_SEQ_2_4,
		CLK_COR_SEQ_2_MASK => CLK_COR_SEQ_2_MASK,
		CLK_COR_SEQ_2_USE => CLK_COR_SEQ_2_USE,
		CLK_COR_SEQ_DROP => CLK_COR_SEQ_DROP,
		CLK_COR_SEQ_LEN => CLK_COR_SEQ_LEN,
		COMMA_10B_MASK => COMMA_10B_MASK,
		DEC_MCOMMA_DETECT => DEC_MCOMMA_DETECT,
		DEC_PCOMMA_DETECT => DEC_PCOMMA_DETECT,
		DEC_VALID_COMMA_ONLY => DEC_VALID_COMMA_ONLY,
		ENCHANSYNC => ENCHANSYNC,
		ENMCOMMAALIGN => ENMCOMMAALIGN,
		ENPCOMMAALIGN => ENPCOMMAALIGN,
		GSR => GSR,
		LOOPBACK => LOOPBACK,
		MCOMMA_10B_VALUE => MCOMMA_10B_VALUE,
		MCOMMA_DETECT => MCOMMA_DETECT,
		PCOMMA_10B_VALUE => PCOMMA_10B_VALUE,
		PCOMMA_DETECT => PCOMMA_DETECT,
		PMAINIT => PMAINIT,
		PMAREGADDR => PMAREGADDR,
		PMAREGDATAIN => PMAREGDATAIN,
		PMAREGRW => PMAREGRW,
		PMAREGSTROBE => PMAREGSTROBE,
		PMARXLOCK => PMARXLOCK,
		PMARXLOCKSEL => PMARXLOCKSEL,
		PMA_PWR_CNTRL => PMA_PWR_CNTRL,
		PMA_SPEED => PMA_SPEED,
		POWERDOWN => POWERDOWN,
		REFCLK => REFCLK,
		REFCLK2 => REFCLK2,
		REFCLKBSEL => REFCLKBSEL,
		REFCLKSEL => REFCLKSEL,
		RXBLOCKSYNC64B66BUSE => RXBLOCKSYNC64B66BUSE,
		RXBUFSTATUS => RXBUFSTATUS,
		RXCHARISCOMMA => RXCHARISCOMMA,
		RXCHARISK => RXCHARISK,
		RXCLKCORCNT => RXCLKCORCNT,
		RXCOMMADET => RXCOMMADET,
		RXCOMMADETUSE => RXCOMMADETUSE,
		RXDATA => RXDATA,
		RXDATAWIDTH => RXDATAWIDTH,
		RXDEC64B66BUSE => RXDEC64B66BUSE,
		RXDEC8B10BUSE => RXDEC8B10BUSE,
		RXDESCRAM64B66BUSE => RXDESCRAM64B66BUSE,
		RXDISPERR => RXDISPERR,
		RXIGNOREBTF => RXIGNOREBTF,
		RXINTDATAWIDTH => RXINTDATAWIDTH,
		RXLOSSOFSYNC => RXLOSSOFSYNC,
		RXN => RXN,
		RXNOTINTABLE => RXNOTINTABLE,
		RXP => RXP,
		RXPOLARITY => RXPOLARITY,
		RXREALIGN => RXREALIGN,
		RXRECCLK => RXRECCLK,
		RXRESET => RXRESET,
		RXRUNDISP => RXRUNDISP,
		RXSLIDE => RXSLIDE,
		RXUSRCLK => RXUSRCLK,
		RXUSRCLK2 => RXUSRCLK2,
		RX_BUFFER_USE => RX_BUFFER_USE,
		RX_LOSS_OF_SYNC_FSM => RX_LOSS_OF_SYNC_FSM,
		RX_LOS_INVALID_INCR => RX_LOS_INVALID_INCR,
		RX_LOS_THRESHOLD => RX_LOS_THRESHOLD,
		SH_CNT_MAX => SH_CNT_MAX,
		SH_INVALID_CNT_MAX => SH_INVALID_CNT_MAX,
		TXBUFERR => TXBUFERR,
		TXBYPASS8B10B => TXBYPASS8B10B,
		TXCHARDISPMODE => TXCHARDISPMODE,
		TXCHARDISPVAL => TXCHARDISPVAL,
		TXCHARISK => TXCHARISK,
		TXDATA => TXDATA,
		TXDATAWIDTH => TXDATAWIDTH,
		TXENC64B66BUSE => TXENC64B66BUSE,
		TXENC8B10BUSE => TXENC8B10BUSE,
		TXGEARBOX64B66BUSE => TXGEARBOX64B66BUSE,
		TXINHIBIT => TXINHIBIT,
		TXINTDATAWIDTH => TXINTDATAWIDTH,
		TXKERR => TXKERR,
		TXN => TXN,
		TXOUTCLK => TXOUTCLK,
		TXP => TXP,
		TXPOLARITY => TXPOLARITY,
		TXRESET => TXRESET,
		TXRUNDISP => TXRUNDISP,
		TXSCRAM64B66BUSE => TXSCRAM64B66BUSE,
		TXUSRCLK => TXUSRCLK,
		TXUSRCLK2 => TXUSRCLK2,
		TX_BUFFER_USE => TX_BUFFER_USE
	);
end GT10_SWIFT_BUS_v;
library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity GT11_SWIFT_BUS is
    port (
      CHBONDO              : out std_logic_vector(4 downto 0);
      COMBUSOUT            : out std_logic_vector(15 downto 0);
      DO                   : out std_logic_vector(15 downto 0);
      DRDY                 : out std_ulogic;
      RXBUFERR             : out std_ulogic;
      RXCALFAIL            : out std_ulogic;
      RXCHARISCOMMA        : out std_logic_vector(7 downto 0);
      RXCHARISK            : out std_logic_vector(7 downto 0);
      RXCOMMADET           : out std_ulogic;
      RXCRCOUT             : out std_logic_vector(31 downto 0);
      RXCYCLELIMIT         : out std_ulogic;
      RXDATA               : out std_logic_vector(63 downto 0);
      RXDISPERR            : out std_logic_vector(7 downto 0);
      RXLOCK               : out std_ulogic;
      RXLOSSOFSYNC         : out std_logic_vector(1 downto 0);
      RXMCLK               : out std_ulogic;
      RXNOTINTABLE         : out std_logic_vector(7 downto 0);
      RXPCSHCLKOUT         : out std_ulogic;
      RXREALIGN            : out std_ulogic;
      RXRECCLK1            : out std_ulogic;
      RXRECCLK2            : out std_ulogic;
      RXRUNDISP            : out std_logic_vector(7 downto 0);
      RXSIGDET             : out std_ulogic;
      RXSTATUS             : out std_logic_vector(5 downto 0);
      TX1N                 : out std_ulogic;
      TX1P                 : out std_ulogic;
      TXBUFERR             : out std_ulogic;
      TXCALFAIL            : out std_ulogic;
      TXCRCOUT             : out std_logic_vector(31 downto 0);
      TXCYCLELIMIT         : out std_ulogic;
      TXKERR               : out std_logic_vector(7 downto 0);
      TXLOCK               : out std_ulogic;
      TXOUTCLK1            : out std_ulogic;
      TXOUTCLK2            : out std_ulogic;
      TXPCSHCLKOUT         : out std_ulogic;
      TXRUNDISP            : out std_logic_vector(7 downto 0);

      GT11_MODE : in std_logic_vector(1 downto 0);
      
      PMACFG : in std_logic_vector(63 downto 0);
      PMACFG2 : in std_logic_vector(63 downto 0);
      RXACLCFG : in std_logic_vector(63 downto 0);
      RXAEQCFG : in std_logic_vector(63 downto 0);
      RXAFECFG : in std_logic_vector(63 downto 0);
      synDigCfgChnBnd1 : in std_logic_vector(63 downto 0);
      synDigCfgChnBnd2 : in std_logic_vector(63 downto 0);
      synDigCfgClkCor1 : in std_logic_vector(63 downto 0);
      synDigCfgClkCor2 : in std_logic_vector(63 downto 0);
      synDigCfgComma1 : in std_logic_vector(63 downto 0);
      synDigCfgComma2 : in std_logic_vector(63 downto 0);
      synDigCfgCrc : in std_logic_vector(63 downto 0);
      synDigCfgMisc : in std_logic_vector(63 downto 0);
      synDigCfgSynPmaFD : in std_logic_vector(63 downto 0);
      TXACFG : in std_logic_vector(63 downto 0);
      TXCLCFG : in std_logic_vector(63 downto 0);                  

      CHBONDI              : in std_logic_vector(4 downto 0);
      COMBUSIN             : in std_logic_vector(15 downto 0);
      DADDR                : in std_logic_vector(7 downto 0);
      DCLK                 : in std_ulogic;
      DEN                  : in std_ulogic;
      DI                   : in std_logic_vector(15 downto 0);
      DWE                  : in std_ulogic;
      ENCHANSYNC           : in std_ulogic;
      ENMCOMMAALIGN        : in std_ulogic;
      ENPCOMMAALIGN        : in std_ulogic;
      GREFCLK              : in std_ulogic;
      GSR : in std_ulogic;
      LOOPBACK             : in std_logic_vector(1 downto 0);
      POWERDOWN            : in std_ulogic;
      REFCLK1              : in std_ulogic;
      REFCLK2              : in std_ulogic;
      RX1N                 : in std_ulogic;
      RX1P                 : in std_ulogic;
      RXBLOCKSYNC64B66BUSE : in std_ulogic;
      RXCLKSTABLE          : in std_ulogic;
      RXCOMMADETUSE        : in std_ulogic;
      RXCRCCLK             : in std_ulogic;
      RXCRCDATAVALID       : in std_ulogic;
      RXCRCDATAWIDTH       : in std_logic_vector(2 downto 0);
      RXCRCIN              : in std_logic_vector(63 downto 0);
      RXCRCINIT            : in std_ulogic;
      RXCRCINTCLK          : in std_ulogic;
      RXCRCPD              : in std_ulogic;
      RXCRCRESET           : in std_ulogic;
      RXDATAWIDTH          : in std_logic_vector(1 downto 0);
      RXDEC64B66BUSE       : in std_ulogic;
      RXDEC8B10BUSE        : in std_ulogic;
      RXDESCRAM64B66BUSE   : in std_ulogic;
      RXIGNOREBTF          : in std_ulogic;
      RXINTDATAWIDTH       : in std_logic_vector(1 downto 0);
      RXPMARESET           : in std_ulogic;
      RXPOLARITY           : in std_ulogic;
      RXRESET              : in std_ulogic;
      RXSLIDE              : in std_ulogic;
      RXSYNC               : in std_ulogic;
      RXUSRCLK             : in std_ulogic;
      RXUSRCLK2            : in std_ulogic;
      TXBYPASS8B10B        : in std_logic_vector(7 downto 0);
      TXCHARDISPMODE       : in std_logic_vector(7 downto 0);
      TXCHARDISPVAL        : in std_logic_vector(7 downto 0);
      TXCHARISK            : in std_logic_vector(7 downto 0);
      TXCLKSTABLE          : in std_ulogic;
      TXCRCCLK             : in std_ulogic;
      TXCRCDATAVALID       : in std_ulogic;
      TXCRCDATAWIDTH       : in std_logic_vector(2 downto 0);
      TXCRCIN              : in std_logic_vector(63 downto 0);
      TXCRCINIT            : in std_ulogic;
      TXCRCINTCLK          : in std_ulogic;
      TXCRCPD              : in std_ulogic;
      TXCRCRESET           : in std_ulogic;
      TXDATA               : in std_logic_vector(63 downto 0);
      TXDATAWIDTH          : in std_logic_vector(1 downto 0);
      TXENC64B66BUSE       : in std_ulogic;
      TXENC8B10BUSE        : in std_ulogic;
      TXENOOB              : in std_ulogic;
      TXGEARBOX64B66BUSE   : in std_ulogic;
      TXINHIBIT            : in std_ulogic;
      TXINTDATAWIDTH       : in std_logic_vector(1 downto 0);
      TXPMARESET           : in std_ulogic;
      TXPOLARITY           : in std_ulogic;
      TXRESET              : in std_ulogic;
      TXSCRAM64B66BUSE     : in std_ulogic;
      TXSYNC               : in std_ulogic;
      TXUSRCLK             : in std_ulogic;
      TXUSRCLK2            : in std_ulogic
    );
end GT11_SWIFT_BUS;

architecture GT11_SWIFT_BUS_v of GT11_SWIFT_BUS is
component GT11_SWIFT
	generic (
		DelayRange           : STRING := "MAX";
		MC_Reference         : STRING := "0000";
		TimingVersion        : STRING := "gt11_swift"
		);
	port (

			CHBONDO : out STD_LOGIC_VECTOR(4 downto 0);
		COMBUSOUT : out std_logic_vector(15 downto 0);                        
			DO : out STD_LOGIC_VECTOR(15 downto 0);
		DRDY : out STD_LOGIC;
		RXBUFERR : out STD_LOGIC;
		RXCALFAIL : out STD_LOGIC;
			RXCHARISCOMMA : out STD_LOGIC_VECTOR(7 downto 0);
			RXCHARISK : out STD_LOGIC_VECTOR(7 downto 0);
		RXCOMMADET : out STD_LOGIC;
			RXCRCOUT : out STD_LOGIC_VECTOR(31 downto 0);
		RXCYCLELIMIT : out STD_LOGIC;
			RXDATA : out STD_LOGIC_VECTOR(63 downto 0);
			RXDISPERR : out STD_LOGIC_VECTOR(7 downto 0);
		RXLOCK : out STD_LOGIC;
			RXLOSSOFSYNC : out STD_LOGIC_VECTOR(1 downto 0);
		RXMCLK : out STD_LOGIC;
			RXNOTINTABLE : out STD_LOGIC_VECTOR(7 downto 0);
		RXPCSHCLKOUT : out STD_LOGIC;
		RXREALIGN : out STD_LOGIC;
		RXRECCLK1 : out STD_LOGIC;
		RXRECCLK2 : out STD_LOGIC;
			RXRUNDISP : out STD_LOGIC_VECTOR(7 downto 0);
		RXSIGDET : out STD_LOGIC;
			RXSTATUS : out STD_LOGIC_VECTOR(5 downto 0);
		TX1N : out STD_LOGIC;
		TX1P : out STD_LOGIC;
		TXBUFERR : out STD_LOGIC;
		TXCALFAIL : out STD_LOGIC;
			TXCRCOUT : out STD_LOGIC_VECTOR(31 downto 0);
		TXCYCLELIMIT : out STD_LOGIC;
			TXKERR : out STD_LOGIC_VECTOR(7 downto 0);
		TXLOCK : out STD_LOGIC;
		TXOUTCLK1 : out STD_LOGIC;
		TXOUTCLK2 : out STD_LOGIC;
		TXPCSHCLKOUT : out STD_LOGIC;
			TXRUNDISP : out STD_LOGIC_VECTOR(7 downto 0);
			CHBONDI : in STD_LOGIC_VECTOR(4 downto 0);
		COMBUSIN : in std_logic_vector(15 downto 0);                        
			DADDR : in STD_LOGIC_VECTOR(7 downto 0);
		DCLK : in STD_LOGIC;
		DEN : in STD_LOGIC;
			DI : in STD_LOGIC_VECTOR(15 downto 0);
		DWE : in STD_LOGIC;
		ENCHANSYNC : in STD_LOGIC;
		ENMCOMMAALIGN : in STD_LOGIC;
		ENPCOMMAALIGN : in STD_LOGIC;
		GREFCLK : in STD_LOGIC;
		GSR : in STD_LOGIC;
			LOOPBACK : in STD_LOGIC_VECTOR(1 downto 0);
			PMACFG2 : in STD_LOGIC_VECTOR(63 downto 0);
			PMACFG : in STD_LOGIC_VECTOR(63 downto 0);
		POWERDOWN : in STD_LOGIC;
		REFCLK1 : in STD_LOGIC;
		REFCLK2 : in STD_LOGIC;
		RX1N : in STD_LOGIC;
		RX1P : in STD_LOGIC;
			RXACLCFG : in STD_LOGIC_VECTOR(63 downto 0);
			RXAEQCFG : in STD_LOGIC_VECTOR(63 downto 0);
			RXAFECFG : in STD_LOGIC_VECTOR(63 downto 0);
		RXBLOCKSYNC64B66BUSE : in STD_LOGIC;
		RXCLKSTABLE : in STD_LOGIC;
		RXCOMMADETUSE : in STD_LOGIC;
		RXCRCCLK : in STD_LOGIC;
		RXCRCDATAVALID : in STD_LOGIC;
			RXCRCDATAWIDTH : in STD_LOGIC_VECTOR(2 downto 0);
			RXCRCIN : in STD_LOGIC_VECTOR(63 downto 0);
		RXCRCINIT : in STD_LOGIC;
		RXCRCINTCLK : in STD_LOGIC;
		RXCRCPD : in STD_LOGIC;
		RXCRCRESET : in STD_LOGIC;
			RXDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		RXDEC8B10BUSE : in STD_LOGIC;
		RXDEC64B66BUSE : in STD_LOGIC;
		RXDESCRAM64B66BUSE : in STD_LOGIC;
		RXIGNOREBTF : in STD_LOGIC;
			RXINTDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		RXPMARESET : in STD_LOGIC;
		RXPOLARITY : in STD_LOGIC;
		RXRESET : in STD_LOGIC;
		RXSLIDE : in STD_LOGIC;
		RXSYNC : in STD_LOGIC;
		RXUSRCLK : in STD_LOGIC;
		RXUSRCLK2 : in STD_LOGIC;
			TXACFG : in STD_LOGIC_VECTOR(63 downto 0);
			TXBYPASS8B10B : in STD_LOGIC_VECTOR(7 downto 0);
			TXCHARDISPMODE : in STD_LOGIC_VECTOR(7 downto 0);
			TXCHARDISPVAL : in STD_LOGIC_VECTOR(7 downto 0);
			TXCHARISK : in STD_LOGIC_VECTOR(7 downto 0);
			TXCLCFG : in STD_LOGIC_VECTOR(63 downto 0);
		TXCLKSTABLE : in STD_LOGIC;
		TXCRCCLK : in STD_LOGIC;
		TXCRCDATAVALID : in STD_LOGIC;
			TXCRCDATAWIDTH : in STD_LOGIC_VECTOR(2 downto 0);
			TXCRCIN : in STD_LOGIC_VECTOR(63 downto 0);
		TXCRCINIT : in STD_LOGIC;
		TXCRCINTCLK : in STD_LOGIC;
		TXCRCPD : in STD_LOGIC;
		TXCRCRESET : in STD_LOGIC;
			TXDATA : in STD_LOGIC_VECTOR(63 downto 0);
			TXDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		TXENC8B10BUSE : in STD_LOGIC;
		TXENC64B66BUSE : in STD_LOGIC;
		TXENOOB : in STD_LOGIC;
		TXGEARBOX64B66BUSE : in STD_LOGIC;
		TXINHIBIT : in STD_LOGIC;
			TXINTDATAWIDTH : in STD_LOGIC_VECTOR(1 downto 0);
		TXPMARESET : in STD_LOGIC;
		TXPOLARITY : in STD_LOGIC;
		TXRESET : in STD_LOGIC;
		TXSCRAM64B66BUSE : in STD_LOGIC;
		TXSYNC : in STD_LOGIC;
		TXUSRCLK : in STD_LOGIC;
		TXUSRCLK2 : in STD_LOGIC;
			synDigCfgChnBnd1 : in STD_LOGIC_VECTOR(63 downto 0);
			synDigCfgChnBnd2 : in STD_LOGIC_VECTOR(63 downto 0);
			synDigCfgClkCor1 : in STD_LOGIC_VECTOR(63 downto 0);
			synDigCfgClkCor2 : in STD_LOGIC_VECTOR(63 downto 0);
			synDigCfgComma1 : in STD_LOGIC_VECTOR(63 downto 0);
			synDigCfgComma2 : in STD_LOGIC_VECTOR(63 downto 0);
			synDigCfgCrc : in STD_LOGIC_VECTOR(63 downto 0);
			synDigCfgMisc : in STD_LOGIC_VECTOR(63 downto 0);
			synDigCfgSynPmaFD : in STD_LOGIC_VECTOR(63 downto 0);
			GT11_MODE : in STD_LOGIC_VECTOR(1 downto 0)          );
end component;

for all: GT11_SWIFT
use entity work.GT11_SWIFT
	port map (
CHBONDO_0 => CHBONDO(0),
CHBONDO_1 => CHBONDO(1),
CHBONDO_2 => CHBONDO(2),
CHBONDO_3 => CHBONDO(3),
CHBONDO_4 => CHBONDO(4),
COMBUSOUT_0 => COMBUSOUT(0),
COMBUSOUT_1 => COMBUSOUT(1),
COMBUSOUT_2 => COMBUSOUT(2),
COMBUSOUT_3 => COMBUSOUT(3),
COMBUSOUT_4 => COMBUSOUT(4),
COMBUSOUT_5 => COMBUSOUT(5),
COMBUSOUT_6 => COMBUSOUT(6),
COMBUSOUT_7 => COMBUSOUT(7),
COMBUSOUT_8 => COMBUSOUT(8),
COMBUSOUT_9 => COMBUSOUT(9),
COMBUSOUT_10 => COMBUSOUT(10),
COMBUSOUT_11 => COMBUSOUT(11),
COMBUSOUT_12 => COMBUSOUT(12),
COMBUSOUT_13 => COMBUSOUT(13),
COMBUSOUT_14 => COMBUSOUT(14),
COMBUSOUT_15 => COMBUSOUT(15),
DO_0 => DO(0),
DO_1 => DO(1),
DO_2 => DO(2),
DO_3 => DO(3),
DO_4 => DO(4),
DO_5 => DO(5),
DO_6 => DO(6),
DO_7 => DO(7),
DO_8 => DO(8),
DO_9 => DO(9),
DO_10 => DO(10),
DO_11 => DO(11),
DO_12 => DO(12),
DO_13 => DO(13),
DO_14 => DO(14),
DO_15 => DO(15),
DRDY => DRDY,
RXBUFERR => RXBUFERR,
RXCALFAIL => RXCALFAIL,
RXCHARISCOMMA_0 => RXCHARISCOMMA(0),
RXCHARISCOMMA_1 => RXCHARISCOMMA(1),
RXCHARISCOMMA_2 => RXCHARISCOMMA(2),
RXCHARISCOMMA_3 => RXCHARISCOMMA(3),
RXCHARISCOMMA_4 => RXCHARISCOMMA(4),
RXCHARISCOMMA_5 => RXCHARISCOMMA(5),
RXCHARISCOMMA_6 => RXCHARISCOMMA(6),
RXCHARISCOMMA_7 => RXCHARISCOMMA(7),
RXCHARISK_0 => RXCHARISK(0),
RXCHARISK_1 => RXCHARISK(1),
RXCHARISK_2 => RXCHARISK(2),
RXCHARISK_3 => RXCHARISK(3),
RXCHARISK_4 => RXCHARISK(4),
RXCHARISK_5 => RXCHARISK(5),
RXCHARISK_6 => RXCHARISK(6),
RXCHARISK_7 => RXCHARISK(7),
RXCOMMADET => RXCOMMADET,
RXCRCOUT_0 => RXCRCOUT(0),
RXCRCOUT_1 => RXCRCOUT(1),
RXCRCOUT_2 => RXCRCOUT(2),
RXCRCOUT_3 => RXCRCOUT(3),
RXCRCOUT_4 => RXCRCOUT(4),
RXCRCOUT_5 => RXCRCOUT(5),
RXCRCOUT_6 => RXCRCOUT(6),
RXCRCOUT_7 => RXCRCOUT(7),
RXCRCOUT_8 => RXCRCOUT(8),
RXCRCOUT_9 => RXCRCOUT(9),
RXCRCOUT_10 => RXCRCOUT(10),
RXCRCOUT_11 => RXCRCOUT(11),
RXCRCOUT_12 => RXCRCOUT(12),
RXCRCOUT_13 => RXCRCOUT(13),
RXCRCOUT_14 => RXCRCOUT(14),
RXCRCOUT_15 => RXCRCOUT(15),
RXCRCOUT_16 => RXCRCOUT(16),
RXCRCOUT_17 => RXCRCOUT(17),
RXCRCOUT_18 => RXCRCOUT(18),
RXCRCOUT_19 => RXCRCOUT(19),
RXCRCOUT_20 => RXCRCOUT(20),
RXCRCOUT_21 => RXCRCOUT(21),
RXCRCOUT_22 => RXCRCOUT(22),
RXCRCOUT_23 => RXCRCOUT(23),
RXCRCOUT_24 => RXCRCOUT(24),
RXCRCOUT_25 => RXCRCOUT(25),
RXCRCOUT_26 => RXCRCOUT(26),
RXCRCOUT_27 => RXCRCOUT(27),
RXCRCOUT_28 => RXCRCOUT(28),
RXCRCOUT_29 => RXCRCOUT(29),
RXCRCOUT_30 => RXCRCOUT(30),
RXCRCOUT_31 => RXCRCOUT(31),
RXCYCLELIMIT => RXCYCLELIMIT,
RXDATA_0 => RXDATA(0),
RXDATA_1 => RXDATA(1),
RXDATA_2 => RXDATA(2),
RXDATA_3 => RXDATA(3),
RXDATA_4 => RXDATA(4),
RXDATA_5 => RXDATA(5),
RXDATA_6 => RXDATA(6),
RXDATA_7 => RXDATA(7),
RXDATA_8 => RXDATA(8),
RXDATA_9 => RXDATA(9),
RXDATA_10 => RXDATA(10),
RXDATA_11 => RXDATA(11),
RXDATA_12 => RXDATA(12),
RXDATA_13 => RXDATA(13),
RXDATA_14 => RXDATA(14),
RXDATA_15 => RXDATA(15),
RXDATA_16 => RXDATA(16),
RXDATA_17 => RXDATA(17),
RXDATA_18 => RXDATA(18),
RXDATA_19 => RXDATA(19),
RXDATA_20 => RXDATA(20),
RXDATA_21 => RXDATA(21),
RXDATA_22 => RXDATA(22),
RXDATA_23 => RXDATA(23),
RXDATA_24 => RXDATA(24),
RXDATA_25 => RXDATA(25),
RXDATA_26 => RXDATA(26),
RXDATA_27 => RXDATA(27),
RXDATA_28 => RXDATA(28),
RXDATA_29 => RXDATA(29),
RXDATA_30 => RXDATA(30),
RXDATA_31 => RXDATA(31),
RXDATA_32 => RXDATA(32),
RXDATA_33 => RXDATA(33),
RXDATA_34 => RXDATA(34),
RXDATA_35 => RXDATA(35),
RXDATA_36 => RXDATA(36),
RXDATA_37 => RXDATA(37),
RXDATA_38 => RXDATA(38),
RXDATA_39 => RXDATA(39),
RXDATA_40 => RXDATA(40),
RXDATA_41 => RXDATA(41),
RXDATA_42 => RXDATA(42),
RXDATA_43 => RXDATA(43),
RXDATA_44 => RXDATA(44),
RXDATA_45 => RXDATA(45),
RXDATA_46 => RXDATA(46),
RXDATA_47 => RXDATA(47),
RXDATA_48 => RXDATA(48),
RXDATA_49 => RXDATA(49),
RXDATA_50 => RXDATA(50),
RXDATA_51 => RXDATA(51),
RXDATA_52 => RXDATA(52),
RXDATA_53 => RXDATA(53),
RXDATA_54 => RXDATA(54),
RXDATA_55 => RXDATA(55),
RXDATA_56 => RXDATA(56),
RXDATA_57 => RXDATA(57),
RXDATA_58 => RXDATA(58),
RXDATA_59 => RXDATA(59),
RXDATA_60 => RXDATA(60),
RXDATA_61 => RXDATA(61),
RXDATA_62 => RXDATA(62),
RXDATA_63 => RXDATA(63),
RXDISPERR_0 => RXDISPERR(0),
RXDISPERR_1 => RXDISPERR(1),
RXDISPERR_2 => RXDISPERR(2),
RXDISPERR_3 => RXDISPERR(3),
RXDISPERR_4 => RXDISPERR(4),
RXDISPERR_5 => RXDISPERR(5),
RXDISPERR_6 => RXDISPERR(6),
RXDISPERR_7 => RXDISPERR(7),
RXLOCK => RXLOCK,
RXLOSSOFSYNC_0 => RXLOSSOFSYNC(0),
RXLOSSOFSYNC_1 => RXLOSSOFSYNC(1),
RXMCLK => RXMCLK,
RXNOTINTABLE_0 => RXNOTINTABLE(0),
RXNOTINTABLE_1 => RXNOTINTABLE(1),
RXNOTINTABLE_2 => RXNOTINTABLE(2),
RXNOTINTABLE_3 => RXNOTINTABLE(3),
RXNOTINTABLE_4 => RXNOTINTABLE(4),
RXNOTINTABLE_5 => RXNOTINTABLE(5),
RXNOTINTABLE_6 => RXNOTINTABLE(6),
RXNOTINTABLE_7 => RXNOTINTABLE(7),
RXPCSHCLKOUT => RXPCSHCLKOUT,
RXREALIGN => RXREALIGN,
RXRECCLK1 => RXRECCLK1,
RXRECCLK2 => RXRECCLK2,
RXRUNDISP_0 => RXRUNDISP(0),
RXRUNDISP_1 => RXRUNDISP(1),
RXRUNDISP_2 => RXRUNDISP(2),
RXRUNDISP_3 => RXRUNDISP(3),
RXRUNDISP_4 => RXRUNDISP(4),
RXRUNDISP_5 => RXRUNDISP(5),
RXRUNDISP_6 => RXRUNDISP(6),
RXRUNDISP_7 => RXRUNDISP(7),
RXSIGDET => RXSIGDET,
RXSTATUS_0 => RXSTATUS(0),
RXSTATUS_1 => RXSTATUS(1),
RXSTATUS_2 => RXSTATUS(2),
RXSTATUS_3 => RXSTATUS(3),
RXSTATUS_4 => RXSTATUS(4),
RXSTATUS_5 => RXSTATUS(5),
TX1N => TX1N,
TX1P => TX1P,
TXBUFERR => TXBUFERR,
TXCALFAIL => TXCALFAIL,
TXCRCOUT_0 => TXCRCOUT(0),
TXCRCOUT_1 => TXCRCOUT(1),
TXCRCOUT_2 => TXCRCOUT(2),
TXCRCOUT_3 => TXCRCOUT(3),
TXCRCOUT_4 => TXCRCOUT(4),
TXCRCOUT_5 => TXCRCOUT(5),
TXCRCOUT_6 => TXCRCOUT(6),
TXCRCOUT_7 => TXCRCOUT(7),
TXCRCOUT_8 => TXCRCOUT(8),
TXCRCOUT_9 => TXCRCOUT(9),
TXCRCOUT_10 => TXCRCOUT(10),
TXCRCOUT_11 => TXCRCOUT(11),
TXCRCOUT_12 => TXCRCOUT(12),
TXCRCOUT_13 => TXCRCOUT(13),
TXCRCOUT_14 => TXCRCOUT(14),
TXCRCOUT_15 => TXCRCOUT(15),
TXCRCOUT_16 => TXCRCOUT(16),
TXCRCOUT_17 => TXCRCOUT(17),
TXCRCOUT_18 => TXCRCOUT(18),
TXCRCOUT_19 => TXCRCOUT(19),
TXCRCOUT_20 => TXCRCOUT(20),
TXCRCOUT_21 => TXCRCOUT(21),
TXCRCOUT_22 => TXCRCOUT(22),
TXCRCOUT_23 => TXCRCOUT(23),
TXCRCOUT_24 => TXCRCOUT(24),
TXCRCOUT_25 => TXCRCOUT(25),
TXCRCOUT_26 => TXCRCOUT(26),
TXCRCOUT_27 => TXCRCOUT(27),
TXCRCOUT_28 => TXCRCOUT(28),
TXCRCOUT_29 => TXCRCOUT(29),
TXCRCOUT_30 => TXCRCOUT(30),
TXCRCOUT_31 => TXCRCOUT(31),
TXCYCLELIMIT => TXCYCLELIMIT,
TXKERR_0 => TXKERR(0),
TXKERR_1 => TXKERR(1),
TXKERR_2 => TXKERR(2),
TXKERR_3 => TXKERR(3),
TXKERR_4 => TXKERR(4),
TXKERR_5 => TXKERR(5),
TXKERR_6 => TXKERR(6),
TXKERR_7 => TXKERR(7),
TXLOCK => TXLOCK,
TXOUTCLK1 => TXOUTCLK1,
TXOUTCLK2 => TXOUTCLK2,
TXPCSHCLKOUT => TXPCSHCLKOUT,
TXRUNDISP_0 => TXRUNDISP(0),
TXRUNDISP_1 => TXRUNDISP(1),
TXRUNDISP_2 => TXRUNDISP(2),
TXRUNDISP_3 => TXRUNDISP(3),
TXRUNDISP_4 => TXRUNDISP(4),
TXRUNDISP_5 => TXRUNDISP(5),
TXRUNDISP_6 => TXRUNDISP(6),
TXRUNDISP_7 => TXRUNDISP(7),
CHBONDI_0 => CHBONDI(0),
CHBONDI_1 => CHBONDI(1),
CHBONDI_2 => CHBONDI(2),
CHBONDI_3 => CHBONDI(3),
CHBONDI_4 => CHBONDI(4),
COMBUSIN_0 => COMBUSIN(0),
COMBUSIN_1 => COMBUSIN(1),
COMBUSIN_2 => COMBUSIN(2),
COMBUSIN_3 => COMBUSIN(3),
COMBUSIN_4 => COMBUSIN(4),
COMBUSIN_5 => COMBUSIN(5),
COMBUSIN_6 => COMBUSIN(6),
COMBUSIN_7 => COMBUSIN(7),
COMBUSIN_8 => COMBUSIN(8),
COMBUSIN_9 => COMBUSIN(9),
COMBUSIN_10 => COMBUSIN(10),
COMBUSIN_11 => COMBUSIN(11),
COMBUSIN_12 => COMBUSIN(12),
COMBUSIN_13 => COMBUSIN(13),
COMBUSIN_14 => COMBUSIN(14),
COMBUSIN_15 => COMBUSIN(15),
DADDR_0 => DADDR(0),
DADDR_1 => DADDR(1),
DADDR_2 => DADDR(2),
DADDR_3 => DADDR(3),
DADDR_4 => DADDR(4),
DADDR_5 => DADDR(5),
DADDR_6 => DADDR(6),
DADDR_7 => DADDR(7),
DCLK => DCLK,
DEN => DEN,
DI_0 => DI(0),
DI_1 => DI(1),
DI_2 => DI(2),
DI_3 => DI(3),
DI_4 => DI(4),
DI_5 => DI(5),
DI_6 => DI(6),
DI_7 => DI(7),
DI_8 => DI(8),
DI_9 => DI(9),
DI_10 => DI(10),
DI_11 => DI(11),
DI_12 => DI(12),
DI_13 => DI(13),
DI_14 => DI(14),
DI_15 => DI(15),
DWE => DWE,
ENCHANSYNC => ENCHANSYNC,
ENMCOMMAALIGN => ENMCOMMAALIGN,
ENPCOMMAALIGN => ENPCOMMAALIGN,
GREFCLK => GREFCLK,
GSR => GSR,
LOOPBACK_0 => LOOPBACK(0),
LOOPBACK_1 => LOOPBACK(1),
PMACFG2_0 => PMACFG2(0),
PMACFG2_1 => PMACFG2(1),
PMACFG2_2 => PMACFG2(2),
PMACFG2_3 => PMACFG2(3),
PMACFG2_4 => PMACFG2(4),
PMACFG2_5 => PMACFG2(5),
PMACFG2_6 => PMACFG2(6),
PMACFG2_7 => PMACFG2(7),
PMACFG2_8 => PMACFG2(8),
PMACFG2_9 => PMACFG2(9),
PMACFG2_10 => PMACFG2(10),
PMACFG2_11 => PMACFG2(11),
PMACFG2_12 => PMACFG2(12),
PMACFG2_13 => PMACFG2(13),
PMACFG2_14 => PMACFG2(14),
PMACFG2_15 => PMACFG2(15),
PMACFG2_16 => PMACFG2(16),
PMACFG2_17 => PMACFG2(17),
PMACFG2_18 => PMACFG2(18),
PMACFG2_19 => PMACFG2(19),
PMACFG2_20 => PMACFG2(20),
PMACFG2_21 => PMACFG2(21),
PMACFG2_22 => PMACFG2(22),
PMACFG2_23 => PMACFG2(23),
PMACFG2_24 => PMACFG2(24),
PMACFG2_25 => PMACFG2(25),
PMACFG2_26 => PMACFG2(26),
PMACFG2_27 => PMACFG2(27),
PMACFG2_28 => PMACFG2(28),
PMACFG2_29 => PMACFG2(29),
PMACFG2_30 => PMACFG2(30),
PMACFG2_31 => PMACFG2(31),
PMACFG2_32 => PMACFG2(32),
PMACFG2_33 => PMACFG2(33),
PMACFG2_34 => PMACFG2(34),
PMACFG2_35 => PMACFG2(35),
PMACFG2_36 => PMACFG2(36),
PMACFG2_37 => PMACFG2(37),
PMACFG2_38 => PMACFG2(38),
PMACFG2_39 => PMACFG2(39),
PMACFG2_40 => PMACFG2(40),
PMACFG2_41 => PMACFG2(41),
PMACFG2_42 => PMACFG2(42),
PMACFG2_43 => PMACFG2(43),
PMACFG2_44 => PMACFG2(44),
PMACFG2_45 => PMACFG2(45),
PMACFG2_46 => PMACFG2(46),
PMACFG2_47 => PMACFG2(47),
PMACFG2_48 => PMACFG2(48),
PMACFG2_49 => PMACFG2(49),
PMACFG2_50 => PMACFG2(50),
PMACFG2_51 => PMACFG2(51),
PMACFG2_52 => PMACFG2(52),
PMACFG2_53 => PMACFG2(53),
PMACFG2_54 => PMACFG2(54),
PMACFG2_55 => PMACFG2(55),
PMACFG2_56 => PMACFG2(56),
PMACFG2_57 => PMACFG2(57),
PMACFG2_58 => PMACFG2(58),
PMACFG2_59 => PMACFG2(59),
PMACFG2_60 => PMACFG2(60),
PMACFG2_61 => PMACFG2(61),
PMACFG2_62 => PMACFG2(62),
PMACFG2_63 => PMACFG2(63),
PMACFG_0 => PMACFG(0),
PMACFG_1 => PMACFG(1),
PMACFG_2 => PMACFG(2),
PMACFG_3 => PMACFG(3),
PMACFG_4 => PMACFG(4),
PMACFG_5 => PMACFG(5),
PMACFG_6 => PMACFG(6),
PMACFG_7 => PMACFG(7),
PMACFG_8 => PMACFG(8),
PMACFG_9 => PMACFG(9),
PMACFG_10 => PMACFG(10),
PMACFG_11 => PMACFG(11),
PMACFG_12 => PMACFG(12),
PMACFG_13 => PMACFG(13),
PMACFG_14 => PMACFG(14),
PMACFG_15 => PMACFG(15),
PMACFG_16 => PMACFG(16),
PMACFG_17 => PMACFG(17),
PMACFG_18 => PMACFG(18),
PMACFG_19 => PMACFG(19),
PMACFG_20 => PMACFG(20),
PMACFG_21 => PMACFG(21),
PMACFG_22 => PMACFG(22),
PMACFG_23 => PMACFG(23),
PMACFG_24 => PMACFG(24),
PMACFG_25 => PMACFG(25),
PMACFG_26 => PMACFG(26),
PMACFG_27 => PMACFG(27),
PMACFG_28 => PMACFG(28),
PMACFG_29 => PMACFG(29),
PMACFG_30 => PMACFG(30),
PMACFG_31 => PMACFG(31),
PMACFG_32 => PMACFG(32),
PMACFG_33 => PMACFG(33),
PMACFG_34 => PMACFG(34),
PMACFG_35 => PMACFG(35),
PMACFG_36 => PMACFG(36),
PMACFG_37 => PMACFG(37),
PMACFG_38 => PMACFG(38),
PMACFG_39 => PMACFG(39),
PMACFG_40 => PMACFG(40),
PMACFG_41 => PMACFG(41),
PMACFG_42 => PMACFG(42),
PMACFG_43 => PMACFG(43),
PMACFG_44 => PMACFG(44),
PMACFG_45 => PMACFG(45),
PMACFG_46 => PMACFG(46),
PMACFG_47 => PMACFG(47),
PMACFG_48 => PMACFG(48),
PMACFG_49 => PMACFG(49),
PMACFG_50 => PMACFG(50),
PMACFG_51 => PMACFG(51),
PMACFG_52 => PMACFG(52),
PMACFG_53 => PMACFG(53),
PMACFG_54 => PMACFG(54),
PMACFG_55 => PMACFG(55),
PMACFG_56 => PMACFG(56),
PMACFG_57 => PMACFG(57),
PMACFG_58 => PMACFG(58),
PMACFG_59 => PMACFG(59),
PMACFG_60 => PMACFG(60),
PMACFG_61 => PMACFG(61),
PMACFG_62 => PMACFG(62),
PMACFG_63 => PMACFG(63),
POWERDOWN => POWERDOWN,
REFCLK1 => REFCLK1,
REFCLK2 => REFCLK2,
RX1N => RX1N,
RX1P => RX1P,
RXACLCFG_0 => RXACLCFG(0),
RXACLCFG_1 => RXACLCFG(1),
RXACLCFG_2 => RXACLCFG(2),
RXACLCFG_3 => RXACLCFG(3),
RXACLCFG_4 => RXACLCFG(4),
RXACLCFG_5 => RXACLCFG(5),
RXACLCFG_6 => RXACLCFG(6),
RXACLCFG_7 => RXACLCFG(7),
RXACLCFG_8 => RXACLCFG(8),
RXACLCFG_9 => RXACLCFG(9),
RXACLCFG_10 => RXACLCFG(10),
RXACLCFG_11 => RXACLCFG(11),
RXACLCFG_12 => RXACLCFG(12),
RXACLCFG_13 => RXACLCFG(13),
RXACLCFG_14 => RXACLCFG(14),
RXACLCFG_15 => RXACLCFG(15),
RXACLCFG_16 => RXACLCFG(16),
RXACLCFG_17 => RXACLCFG(17),
RXACLCFG_18 => RXACLCFG(18),
RXACLCFG_19 => RXACLCFG(19),
RXACLCFG_20 => RXACLCFG(20),
RXACLCFG_21 => RXACLCFG(21),
RXACLCFG_22 => RXACLCFG(22),
RXACLCFG_23 => RXACLCFG(23),
RXACLCFG_24 => RXACLCFG(24),
RXACLCFG_25 => RXACLCFG(25),
RXACLCFG_26 => RXACLCFG(26),
RXACLCFG_27 => RXACLCFG(27),
RXACLCFG_28 => RXACLCFG(28),
RXACLCFG_29 => RXACLCFG(29),
RXACLCFG_30 => RXACLCFG(30),
RXACLCFG_31 => RXACLCFG(31),
RXACLCFG_32 => RXACLCFG(32),
RXACLCFG_33 => RXACLCFG(33),
RXACLCFG_34 => RXACLCFG(34),
RXACLCFG_35 => RXACLCFG(35),
RXACLCFG_36 => RXACLCFG(36),
RXACLCFG_37 => RXACLCFG(37),
RXACLCFG_38 => RXACLCFG(38),
RXACLCFG_39 => RXACLCFG(39),
RXACLCFG_40 => RXACLCFG(40),
RXACLCFG_41 => RXACLCFG(41),
RXACLCFG_42 => RXACLCFG(42),
RXACLCFG_43 => RXACLCFG(43),
RXACLCFG_44 => RXACLCFG(44),
RXACLCFG_45 => RXACLCFG(45),
RXACLCFG_46 => RXACLCFG(46),
RXACLCFG_47 => RXACLCFG(47),
RXACLCFG_48 => RXACLCFG(48),
RXACLCFG_49 => RXACLCFG(49),
RXACLCFG_50 => RXACLCFG(50),
RXACLCFG_51 => RXACLCFG(51),
RXACLCFG_52 => RXACLCFG(52),
RXACLCFG_53 => RXACLCFG(53),
RXACLCFG_54 => RXACLCFG(54),
RXACLCFG_55 => RXACLCFG(55),
RXACLCFG_56 => RXACLCFG(56),
RXACLCFG_57 => RXACLCFG(57),
RXACLCFG_58 => RXACLCFG(58),
RXACLCFG_59 => RXACLCFG(59),
RXACLCFG_60 => RXACLCFG(60),
RXACLCFG_61 => RXACLCFG(61),
RXACLCFG_62 => RXACLCFG(62),
RXACLCFG_63 => RXACLCFG(63),
RXAEQCFG_0 => RXAEQCFG(0),
RXAEQCFG_1 => RXAEQCFG(1),
RXAEQCFG_2 => RXAEQCFG(2),
RXAEQCFG_3 => RXAEQCFG(3),
RXAEQCFG_4 => RXAEQCFG(4),
RXAEQCFG_5 => RXAEQCFG(5),
RXAEQCFG_6 => RXAEQCFG(6),
RXAEQCFG_7 => RXAEQCFG(7),
RXAEQCFG_8 => RXAEQCFG(8),
RXAEQCFG_9 => RXAEQCFG(9),
RXAEQCFG_10 => RXAEQCFG(10),
RXAEQCFG_11 => RXAEQCFG(11),
RXAEQCFG_12 => RXAEQCFG(12),
RXAEQCFG_13 => RXAEQCFG(13),
RXAEQCFG_14 => RXAEQCFG(14),
RXAEQCFG_15 => RXAEQCFG(15),
RXAEQCFG_16 => RXAEQCFG(16),
RXAEQCFG_17 => RXAEQCFG(17),
RXAEQCFG_18 => RXAEQCFG(18),
RXAEQCFG_19 => RXAEQCFG(19),
RXAEQCFG_20 => RXAEQCFG(20),
RXAEQCFG_21 => RXAEQCFG(21),
RXAEQCFG_22 => RXAEQCFG(22),
RXAEQCFG_23 => RXAEQCFG(23),
RXAEQCFG_24 => RXAEQCFG(24),
RXAEQCFG_25 => RXAEQCFG(25),
RXAEQCFG_26 => RXAEQCFG(26),
RXAEQCFG_27 => RXAEQCFG(27),
RXAEQCFG_28 => RXAEQCFG(28),
RXAEQCFG_29 => RXAEQCFG(29),
RXAEQCFG_30 => RXAEQCFG(30),
RXAEQCFG_31 => RXAEQCFG(31),
RXAEQCFG_32 => RXAEQCFG(32),
RXAEQCFG_33 => RXAEQCFG(33),
RXAEQCFG_34 => RXAEQCFG(34),
RXAEQCFG_35 => RXAEQCFG(35),
RXAEQCFG_36 => RXAEQCFG(36),
RXAEQCFG_37 => RXAEQCFG(37),
RXAEQCFG_38 => RXAEQCFG(38),
RXAEQCFG_39 => RXAEQCFG(39),
RXAEQCFG_40 => RXAEQCFG(40),
RXAEQCFG_41 => RXAEQCFG(41),
RXAEQCFG_42 => RXAEQCFG(42),
RXAEQCFG_43 => RXAEQCFG(43),
RXAEQCFG_44 => RXAEQCFG(44),
RXAEQCFG_45 => RXAEQCFG(45),
RXAEQCFG_46 => RXAEQCFG(46),
RXAEQCFG_47 => RXAEQCFG(47),
RXAEQCFG_48 => RXAEQCFG(48),
RXAEQCFG_49 => RXAEQCFG(49),
RXAEQCFG_50 => RXAEQCFG(50),
RXAEQCFG_51 => RXAEQCFG(51),
RXAEQCFG_52 => RXAEQCFG(52),
RXAEQCFG_53 => RXAEQCFG(53),
RXAEQCFG_54 => RXAEQCFG(54),
RXAEQCFG_55 => RXAEQCFG(55),
RXAEQCFG_56 => RXAEQCFG(56),
RXAEQCFG_57 => RXAEQCFG(57),
RXAEQCFG_58 => RXAEQCFG(58),
RXAEQCFG_59 => RXAEQCFG(59),
RXAEQCFG_60 => RXAEQCFG(60),
RXAEQCFG_61 => RXAEQCFG(61),
RXAEQCFG_62 => RXAEQCFG(62),
RXAEQCFG_63 => RXAEQCFG(63),
RXAFECFG_0 => RXAFECFG(0),
RXAFECFG_1 => RXAFECFG(1),
RXAFECFG_2 => RXAFECFG(2),
RXAFECFG_3 => RXAFECFG(3),
RXAFECFG_4 => RXAFECFG(4),
RXAFECFG_5 => RXAFECFG(5),
RXAFECFG_6 => RXAFECFG(6),
RXAFECFG_7 => RXAFECFG(7),
RXAFECFG_8 => RXAFECFG(8),
RXAFECFG_9 => RXAFECFG(9),
RXAFECFG_10 => RXAFECFG(10),
RXAFECFG_11 => RXAFECFG(11),
RXAFECFG_12 => RXAFECFG(12),
RXAFECFG_13 => RXAFECFG(13),
RXAFECFG_14 => RXAFECFG(14),
RXAFECFG_15 => RXAFECFG(15),
RXAFECFG_16 => RXAFECFG(16),
RXAFECFG_17 => RXAFECFG(17),
RXAFECFG_18 => RXAFECFG(18),
RXAFECFG_19 => RXAFECFG(19),
RXAFECFG_20 => RXAFECFG(20),
RXAFECFG_21 => RXAFECFG(21),
RXAFECFG_22 => RXAFECFG(22),
RXAFECFG_23 => RXAFECFG(23),
RXAFECFG_24 => RXAFECFG(24),
RXAFECFG_25 => RXAFECFG(25),
RXAFECFG_26 => RXAFECFG(26),
RXAFECFG_27 => RXAFECFG(27),
RXAFECFG_28 => RXAFECFG(28),
RXAFECFG_29 => RXAFECFG(29),
RXAFECFG_30 => RXAFECFG(30),
RXAFECFG_31 => RXAFECFG(31),
RXAFECFG_32 => RXAFECFG(32),
RXAFECFG_33 => RXAFECFG(33),
RXAFECFG_34 => RXAFECFG(34),
RXAFECFG_35 => RXAFECFG(35),
RXAFECFG_36 => RXAFECFG(36),
RXAFECFG_37 => RXAFECFG(37),
RXAFECFG_38 => RXAFECFG(38),
RXAFECFG_39 => RXAFECFG(39),
RXAFECFG_40 => RXAFECFG(40),
RXAFECFG_41 => RXAFECFG(41),
RXAFECFG_42 => RXAFECFG(42),
RXAFECFG_43 => RXAFECFG(43),
RXAFECFG_44 => RXAFECFG(44),
RXAFECFG_45 => RXAFECFG(45),
RXAFECFG_46 => RXAFECFG(46),
RXAFECFG_47 => RXAFECFG(47),
RXAFECFG_48 => RXAFECFG(48),
RXAFECFG_49 => RXAFECFG(49),
RXAFECFG_50 => RXAFECFG(50),
RXAFECFG_51 => RXAFECFG(51),
RXAFECFG_52 => RXAFECFG(52),
RXAFECFG_53 => RXAFECFG(53),
RXAFECFG_54 => RXAFECFG(54),
RXAFECFG_55 => RXAFECFG(55),
RXAFECFG_56 => RXAFECFG(56),
RXAFECFG_57 => RXAFECFG(57),
RXAFECFG_58 => RXAFECFG(58),
RXAFECFG_59 => RXAFECFG(59),
RXAFECFG_60 => RXAFECFG(60),
RXAFECFG_61 => RXAFECFG(61),
RXAFECFG_62 => RXAFECFG(62),
RXAFECFG_63 => RXAFECFG(63),
RXBLOCKSYNC64B66BUSE => RXBLOCKSYNC64B66BUSE,
RXCLKSTABLE => RXCLKSTABLE,
RXCOMMADETUSE => RXCOMMADETUSE,
RXCRCCLK => RXCRCCLK,
RXCRCDATAVALID => RXCRCDATAVALID,
RXCRCDATAWIDTH_0 => RXCRCDATAWIDTH(0),
RXCRCDATAWIDTH_1 => RXCRCDATAWIDTH(1),
RXCRCDATAWIDTH_2 => RXCRCDATAWIDTH(2),
RXCRCIN_0 => RXCRCIN(0),
RXCRCIN_1 => RXCRCIN(1),
RXCRCIN_2 => RXCRCIN(2),
RXCRCIN_3 => RXCRCIN(3),
RXCRCIN_4 => RXCRCIN(4),
RXCRCIN_5 => RXCRCIN(5),
RXCRCIN_6 => RXCRCIN(6),
RXCRCIN_7 => RXCRCIN(7),
RXCRCIN_8 => RXCRCIN(8),
RXCRCIN_9 => RXCRCIN(9),
RXCRCIN_10 => RXCRCIN(10),
RXCRCIN_11 => RXCRCIN(11),
RXCRCIN_12 => RXCRCIN(12),
RXCRCIN_13 => RXCRCIN(13),
RXCRCIN_14 => RXCRCIN(14),
RXCRCIN_15 => RXCRCIN(15),
RXCRCIN_16 => RXCRCIN(16),
RXCRCIN_17 => RXCRCIN(17),
RXCRCIN_18 => RXCRCIN(18),
RXCRCIN_19 => RXCRCIN(19),
RXCRCIN_20 => RXCRCIN(20),
RXCRCIN_21 => RXCRCIN(21),
RXCRCIN_22 => RXCRCIN(22),
RXCRCIN_23 => RXCRCIN(23),
RXCRCIN_24 => RXCRCIN(24),
RXCRCIN_25 => RXCRCIN(25),
RXCRCIN_26 => RXCRCIN(26),
RXCRCIN_27 => RXCRCIN(27),
RXCRCIN_28 => RXCRCIN(28),
RXCRCIN_29 => RXCRCIN(29),
RXCRCIN_30 => RXCRCIN(30),
RXCRCIN_31 => RXCRCIN(31),
RXCRCIN_32 => RXCRCIN(32),
RXCRCIN_33 => RXCRCIN(33),
RXCRCIN_34 => RXCRCIN(34),
RXCRCIN_35 => RXCRCIN(35),
RXCRCIN_36 => RXCRCIN(36),
RXCRCIN_37 => RXCRCIN(37),
RXCRCIN_38 => RXCRCIN(38),
RXCRCIN_39 => RXCRCIN(39),
RXCRCIN_40 => RXCRCIN(40),
RXCRCIN_41 => RXCRCIN(41),
RXCRCIN_42 => RXCRCIN(42),
RXCRCIN_43 => RXCRCIN(43),
RXCRCIN_44 => RXCRCIN(44),
RXCRCIN_45 => RXCRCIN(45),
RXCRCIN_46 => RXCRCIN(46),
RXCRCIN_47 => RXCRCIN(47),
RXCRCIN_48 => RXCRCIN(48),
RXCRCIN_49 => RXCRCIN(49),
RXCRCIN_50 => RXCRCIN(50),
RXCRCIN_51 => RXCRCIN(51),
RXCRCIN_52 => RXCRCIN(52),
RXCRCIN_53 => RXCRCIN(53),
RXCRCIN_54 => RXCRCIN(54),
RXCRCIN_55 => RXCRCIN(55),
RXCRCIN_56 => RXCRCIN(56),
RXCRCIN_57 => RXCRCIN(57),
RXCRCIN_58 => RXCRCIN(58),
RXCRCIN_59 => RXCRCIN(59),
RXCRCIN_60 => RXCRCIN(60),
RXCRCIN_61 => RXCRCIN(61),
RXCRCIN_62 => RXCRCIN(62),
RXCRCIN_63 => RXCRCIN(63),
RXCRCINIT => RXCRCINIT,
RXCRCINTCLK => RXCRCINTCLK,
RXCRCPD => RXCRCPD,
RXCRCRESET => RXCRCRESET,
RXDATAWIDTH_0 => RXDATAWIDTH(0),
RXDATAWIDTH_1 => RXDATAWIDTH(1),
RXDEC8B10BUSE => RXDEC8B10BUSE,
RXDEC64B66BUSE => RXDEC64B66BUSE,
RXDESCRAM64B66BUSE => RXDESCRAM64B66BUSE,
RXIGNOREBTF => RXIGNOREBTF,
RXINTDATAWIDTH_0 => RXINTDATAWIDTH(0),
RXINTDATAWIDTH_1 => RXINTDATAWIDTH(1),
RXPMARESET => RXPMARESET,
RXPOLARITY => RXPOLARITY,
RXRESET => RXRESET,
RXSLIDE => RXSLIDE,
RXSYNC => RXSYNC,
RXUSRCLK => RXUSRCLK,
RXUSRCLK2 => RXUSRCLK2,
TXACFG_0 => TXACFG(0),
TXACFG_1 => TXACFG(1),
TXACFG_2 => TXACFG(2),
TXACFG_3 => TXACFG(3),
TXACFG_4 => TXACFG(4),
TXACFG_5 => TXACFG(5),
TXACFG_6 => TXACFG(6),
TXACFG_7 => TXACFG(7),
TXACFG_8 => TXACFG(8),
TXACFG_9 => TXACFG(9),
TXACFG_10 => TXACFG(10),
TXACFG_11 => TXACFG(11),
TXACFG_12 => TXACFG(12),
TXACFG_13 => TXACFG(13),
TXACFG_14 => TXACFG(14),
TXACFG_15 => TXACFG(15),
TXACFG_16 => TXACFG(16),
TXACFG_17 => TXACFG(17),
TXACFG_18 => TXACFG(18),
TXACFG_19 => TXACFG(19),
TXACFG_20 => TXACFG(20),
TXACFG_21 => TXACFG(21),
TXACFG_22 => TXACFG(22),
TXACFG_23 => TXACFG(23),
TXACFG_24 => TXACFG(24),
TXACFG_25 => TXACFG(25),
TXACFG_26 => TXACFG(26),
TXACFG_27 => TXACFG(27),
TXACFG_28 => TXACFG(28),
TXACFG_29 => TXACFG(29),
TXACFG_30 => TXACFG(30),
TXACFG_31 => TXACFG(31),
TXACFG_32 => TXACFG(32),
TXACFG_33 => TXACFG(33),
TXACFG_34 => TXACFG(34),
TXACFG_35 => TXACFG(35),
TXACFG_36 => TXACFG(36),
TXACFG_37 => TXACFG(37),
TXACFG_38 => TXACFG(38),
TXACFG_39 => TXACFG(39),
TXACFG_40 => TXACFG(40),
TXACFG_41 => TXACFG(41),
TXACFG_42 => TXACFG(42),
TXACFG_43 => TXACFG(43),
TXACFG_44 => TXACFG(44),
TXACFG_45 => TXACFG(45),
TXACFG_46 => TXACFG(46),
TXACFG_47 => TXACFG(47),
TXACFG_48 => TXACFG(48),
TXACFG_49 => TXACFG(49),
TXACFG_50 => TXACFG(50),
TXACFG_51 => TXACFG(51),
TXACFG_52 => TXACFG(52),
TXACFG_53 => TXACFG(53),
TXACFG_54 => TXACFG(54),
TXACFG_55 => TXACFG(55),
TXACFG_56 => TXACFG(56),
TXACFG_57 => TXACFG(57),
TXACFG_58 => TXACFG(58),
TXACFG_59 => TXACFG(59),
TXACFG_60 => TXACFG(60),
TXACFG_61 => TXACFG(61),
TXACFG_62 => TXACFG(62),
TXACFG_63 => TXACFG(63),
TXBYPASS8B10B_0 => TXBYPASS8B10B(0),
TXBYPASS8B10B_1 => TXBYPASS8B10B(1),
TXBYPASS8B10B_2 => TXBYPASS8B10B(2),
TXBYPASS8B10B_3 => TXBYPASS8B10B(3),
TXBYPASS8B10B_4 => TXBYPASS8B10B(4),
TXBYPASS8B10B_5 => TXBYPASS8B10B(5),
TXBYPASS8B10B_6 => TXBYPASS8B10B(6),
TXBYPASS8B10B_7 => TXBYPASS8B10B(7),
TXCHARDISPMODE_0 => TXCHARDISPMODE(0),
TXCHARDISPMODE_1 => TXCHARDISPMODE(1),
TXCHARDISPMODE_2 => TXCHARDISPMODE(2),
TXCHARDISPMODE_3 => TXCHARDISPMODE(3),
TXCHARDISPMODE_4 => TXCHARDISPMODE(4),
TXCHARDISPMODE_5 => TXCHARDISPMODE(5),
TXCHARDISPMODE_6 => TXCHARDISPMODE(6),
TXCHARDISPMODE_7 => TXCHARDISPMODE(7),
TXCHARDISPVAL_0 => TXCHARDISPVAL(0),
TXCHARDISPVAL_1 => TXCHARDISPVAL(1),
TXCHARDISPVAL_2 => TXCHARDISPVAL(2),
TXCHARDISPVAL_3 => TXCHARDISPVAL(3),
TXCHARDISPVAL_4 => TXCHARDISPVAL(4),
TXCHARDISPVAL_5 => TXCHARDISPVAL(5),
TXCHARDISPVAL_6 => TXCHARDISPVAL(6),
TXCHARDISPVAL_7 => TXCHARDISPVAL(7),
TXCHARISK_0 => TXCHARISK(0),
TXCHARISK_1 => TXCHARISK(1),
TXCHARISK_2 => TXCHARISK(2),
TXCHARISK_3 => TXCHARISK(3),
TXCHARISK_4 => TXCHARISK(4),
TXCHARISK_5 => TXCHARISK(5),
TXCHARISK_6 => TXCHARISK(6),
TXCHARISK_7 => TXCHARISK(7),
TXCLCFG_0 => TXCLCFG(0),
TXCLCFG_1 => TXCLCFG(1),
TXCLCFG_2 => TXCLCFG(2),
TXCLCFG_3 => TXCLCFG(3),
TXCLCFG_4 => TXCLCFG(4),
TXCLCFG_5 => TXCLCFG(5),
TXCLCFG_6 => TXCLCFG(6),
TXCLCFG_7 => TXCLCFG(7),
TXCLCFG_8 => TXCLCFG(8),
TXCLCFG_9 => TXCLCFG(9),
TXCLCFG_10 => TXCLCFG(10),
TXCLCFG_11 => TXCLCFG(11),
TXCLCFG_12 => TXCLCFG(12),
TXCLCFG_13 => TXCLCFG(13),
TXCLCFG_14 => TXCLCFG(14),
TXCLCFG_15 => TXCLCFG(15),
TXCLCFG_16 => TXCLCFG(16),
TXCLCFG_17 => TXCLCFG(17),
TXCLCFG_18 => TXCLCFG(18),
TXCLCFG_19 => TXCLCFG(19),
TXCLCFG_20 => TXCLCFG(20),
TXCLCFG_21 => TXCLCFG(21),
TXCLCFG_22 => TXCLCFG(22),
TXCLCFG_23 => TXCLCFG(23),
TXCLCFG_24 => TXCLCFG(24),
TXCLCFG_25 => TXCLCFG(25),
TXCLCFG_26 => TXCLCFG(26),
TXCLCFG_27 => TXCLCFG(27),
TXCLCFG_28 => TXCLCFG(28),
TXCLCFG_29 => TXCLCFG(29),
TXCLCFG_30 => TXCLCFG(30),
TXCLCFG_31 => TXCLCFG(31),
TXCLCFG_32 => TXCLCFG(32),
TXCLCFG_33 => TXCLCFG(33),
TXCLCFG_34 => TXCLCFG(34),
TXCLCFG_35 => TXCLCFG(35),
TXCLCFG_36 => TXCLCFG(36),
TXCLCFG_37 => TXCLCFG(37),
TXCLCFG_38 => TXCLCFG(38),
TXCLCFG_39 => TXCLCFG(39),
TXCLCFG_40 => TXCLCFG(40),
TXCLCFG_41 => TXCLCFG(41),
TXCLCFG_42 => TXCLCFG(42),
TXCLCFG_43 => TXCLCFG(43),
TXCLCFG_44 => TXCLCFG(44),
TXCLCFG_45 => TXCLCFG(45),
TXCLCFG_46 => TXCLCFG(46),
TXCLCFG_47 => TXCLCFG(47),
TXCLCFG_48 => TXCLCFG(48),
TXCLCFG_49 => TXCLCFG(49),
TXCLCFG_50 => TXCLCFG(50),
TXCLCFG_51 => TXCLCFG(51),
TXCLCFG_52 => TXCLCFG(52),
TXCLCFG_53 => TXCLCFG(53),
TXCLCFG_54 => TXCLCFG(54),
TXCLCFG_55 => TXCLCFG(55),
TXCLCFG_56 => TXCLCFG(56),
TXCLCFG_57 => TXCLCFG(57),
TXCLCFG_58 => TXCLCFG(58),
TXCLCFG_59 => TXCLCFG(59),
TXCLCFG_60 => TXCLCFG(60),
TXCLCFG_61 => TXCLCFG(61),
TXCLCFG_62 => TXCLCFG(62),
TXCLCFG_63 => TXCLCFG(63),
TXCLKSTABLE => TXCLKSTABLE,
TXCRCCLK => TXCRCCLK,
TXCRCDATAVALID => TXCRCDATAVALID,
TXCRCDATAWIDTH_0 => TXCRCDATAWIDTH(0),
TXCRCDATAWIDTH_1 => TXCRCDATAWIDTH(1),
TXCRCDATAWIDTH_2 => TXCRCDATAWIDTH(2),
TXCRCIN_0 => TXCRCIN(0),
TXCRCIN_1 => TXCRCIN(1),
TXCRCIN_2 => TXCRCIN(2),
TXCRCIN_3 => TXCRCIN(3),
TXCRCIN_4 => TXCRCIN(4),
TXCRCIN_5 => TXCRCIN(5),
TXCRCIN_6 => TXCRCIN(6),
TXCRCIN_7 => TXCRCIN(7),
TXCRCIN_8 => TXCRCIN(8),
TXCRCIN_9 => TXCRCIN(9),
TXCRCIN_10 => TXCRCIN(10),
TXCRCIN_11 => TXCRCIN(11),
TXCRCIN_12 => TXCRCIN(12),
TXCRCIN_13 => TXCRCIN(13),
TXCRCIN_14 => TXCRCIN(14),
TXCRCIN_15 => TXCRCIN(15),
TXCRCIN_16 => TXCRCIN(16),
TXCRCIN_17 => TXCRCIN(17),
TXCRCIN_18 => TXCRCIN(18),
TXCRCIN_19 => TXCRCIN(19),
TXCRCIN_20 => TXCRCIN(20),
TXCRCIN_21 => TXCRCIN(21),
TXCRCIN_22 => TXCRCIN(22),
TXCRCIN_23 => TXCRCIN(23),
TXCRCIN_24 => TXCRCIN(24),
TXCRCIN_25 => TXCRCIN(25),
TXCRCIN_26 => TXCRCIN(26),
TXCRCIN_27 => TXCRCIN(27),
TXCRCIN_28 => TXCRCIN(28),
TXCRCIN_29 => TXCRCIN(29),
TXCRCIN_30 => TXCRCIN(30),
TXCRCIN_31 => TXCRCIN(31),
TXCRCIN_32 => TXCRCIN(32),
TXCRCIN_33 => TXCRCIN(33),
TXCRCIN_34 => TXCRCIN(34),
TXCRCIN_35 => TXCRCIN(35),
TXCRCIN_36 => TXCRCIN(36),
TXCRCIN_37 => TXCRCIN(37),
TXCRCIN_38 => TXCRCIN(38),
TXCRCIN_39 => TXCRCIN(39),
TXCRCIN_40 => TXCRCIN(40),
TXCRCIN_41 => TXCRCIN(41),
TXCRCIN_42 => TXCRCIN(42),
TXCRCIN_43 => TXCRCIN(43),
TXCRCIN_44 => TXCRCIN(44),
TXCRCIN_45 => TXCRCIN(45),
TXCRCIN_46 => TXCRCIN(46),
TXCRCIN_47 => TXCRCIN(47),
TXCRCIN_48 => TXCRCIN(48),
TXCRCIN_49 => TXCRCIN(49),
TXCRCIN_50 => TXCRCIN(50),
TXCRCIN_51 => TXCRCIN(51),
TXCRCIN_52 => TXCRCIN(52),
TXCRCIN_53 => TXCRCIN(53),
TXCRCIN_54 => TXCRCIN(54),
TXCRCIN_55 => TXCRCIN(55),
TXCRCIN_56 => TXCRCIN(56),
TXCRCIN_57 => TXCRCIN(57),
TXCRCIN_58 => TXCRCIN(58),
TXCRCIN_59 => TXCRCIN(59),
TXCRCIN_60 => TXCRCIN(60),
TXCRCIN_61 => TXCRCIN(61),
TXCRCIN_62 => TXCRCIN(62),
TXCRCIN_63 => TXCRCIN(63),
TXCRCINIT => TXCRCINIT,
TXCRCINTCLK => TXCRCINTCLK,
TXCRCPD => TXCRCPD,
TXCRCRESET => TXCRCRESET,
TXDATA_0 => TXDATA(0),
TXDATA_1 => TXDATA(1),
TXDATA_2 => TXDATA(2),
TXDATA_3 => TXDATA(3),
TXDATA_4 => TXDATA(4),
TXDATA_5 => TXDATA(5),
TXDATA_6 => TXDATA(6),
TXDATA_7 => TXDATA(7),
TXDATA_8 => TXDATA(8),
TXDATA_9 => TXDATA(9),
TXDATA_10 => TXDATA(10),
TXDATA_11 => TXDATA(11),
TXDATA_12 => TXDATA(12),
TXDATA_13 => TXDATA(13),
TXDATA_14 => TXDATA(14),
TXDATA_15 => TXDATA(15),
TXDATA_16 => TXDATA(16),
TXDATA_17 => TXDATA(17),
TXDATA_18 => TXDATA(18),
TXDATA_19 => TXDATA(19),
TXDATA_20 => TXDATA(20),
TXDATA_21 => TXDATA(21),
TXDATA_22 => TXDATA(22),
TXDATA_23 => TXDATA(23),
TXDATA_24 => TXDATA(24),
TXDATA_25 => TXDATA(25),
TXDATA_26 => TXDATA(26),
TXDATA_27 => TXDATA(27),
TXDATA_28 => TXDATA(28),
TXDATA_29 => TXDATA(29),
TXDATA_30 => TXDATA(30),
TXDATA_31 => TXDATA(31),
TXDATA_32 => TXDATA(32),
TXDATA_33 => TXDATA(33),
TXDATA_34 => TXDATA(34),
TXDATA_35 => TXDATA(35),
TXDATA_36 => TXDATA(36),
TXDATA_37 => TXDATA(37),
TXDATA_38 => TXDATA(38),
TXDATA_39 => TXDATA(39),
TXDATA_40 => TXDATA(40),
TXDATA_41 => TXDATA(41),
TXDATA_42 => TXDATA(42),
TXDATA_43 => TXDATA(43),
TXDATA_44 => TXDATA(44),
TXDATA_45 => TXDATA(45),
TXDATA_46 => TXDATA(46),
TXDATA_47 => TXDATA(47),
TXDATA_48 => TXDATA(48),
TXDATA_49 => TXDATA(49),
TXDATA_50 => TXDATA(50),
TXDATA_51 => TXDATA(51),
TXDATA_52 => TXDATA(52),
TXDATA_53 => TXDATA(53),
TXDATA_54 => TXDATA(54),
TXDATA_55 => TXDATA(55),
TXDATA_56 => TXDATA(56),
TXDATA_57 => TXDATA(57),
TXDATA_58 => TXDATA(58),
TXDATA_59 => TXDATA(59),
TXDATA_60 => TXDATA(60),
TXDATA_61 => TXDATA(61),
TXDATA_62 => TXDATA(62),
TXDATA_63 => TXDATA(63),
TXDATAWIDTH_0 => TXDATAWIDTH(0),
TXDATAWIDTH_1 => TXDATAWIDTH(1),
TXENC8B10BUSE => TXENC8B10BUSE,
TXENC64B66BUSE => TXENC64B66BUSE,
TXENOOB => TXENOOB,
TXGEARBOX64B66BUSE => TXGEARBOX64B66BUSE,
TXINHIBIT => TXINHIBIT,
TXINTDATAWIDTH_0 => TXINTDATAWIDTH(0),
TXINTDATAWIDTH_1 => TXINTDATAWIDTH(1),
TXPMARESET => TXPMARESET,
TXPOLARITY => TXPOLARITY,
TXRESET => TXRESET,
TXSCRAM64B66BUSE => TXSCRAM64B66BUSE,
TXSYNC => TXSYNC,
TXUSRCLK => TXUSRCLK,
TXUSRCLK2 => TXUSRCLK2,
synDigCfgChnBnd1_0 => synDigCfgChnBnd1(0),
synDigCfgChnBnd1_1 => synDigCfgChnBnd1(1),
synDigCfgChnBnd1_2 => synDigCfgChnBnd1(2),
synDigCfgChnBnd1_3 => synDigCfgChnBnd1(3),
synDigCfgChnBnd1_4 => synDigCfgChnBnd1(4),
synDigCfgChnBnd1_5 => synDigCfgChnBnd1(5),
synDigCfgChnBnd1_6 => synDigCfgChnBnd1(6),
synDigCfgChnBnd1_7 => synDigCfgChnBnd1(7),
synDigCfgChnBnd1_8 => synDigCfgChnBnd1(8),
synDigCfgChnBnd1_9 => synDigCfgChnBnd1(9),
synDigCfgChnBnd1_10 => synDigCfgChnBnd1(10),
synDigCfgChnBnd1_11 => synDigCfgChnBnd1(11),
synDigCfgChnBnd1_12 => synDigCfgChnBnd1(12),
synDigCfgChnBnd1_13 => synDigCfgChnBnd1(13),
synDigCfgChnBnd1_14 => synDigCfgChnBnd1(14),
synDigCfgChnBnd1_15 => synDigCfgChnBnd1(15),
synDigCfgChnBnd1_16 => synDigCfgChnBnd1(16),
synDigCfgChnBnd1_17 => synDigCfgChnBnd1(17),
synDigCfgChnBnd1_18 => synDigCfgChnBnd1(18),
synDigCfgChnBnd1_19 => synDigCfgChnBnd1(19),
synDigCfgChnBnd1_20 => synDigCfgChnBnd1(20),
synDigCfgChnBnd1_21 => synDigCfgChnBnd1(21),
synDigCfgChnBnd1_22 => synDigCfgChnBnd1(22),
synDigCfgChnBnd1_23 => synDigCfgChnBnd1(23),
synDigCfgChnBnd1_24 => synDigCfgChnBnd1(24),
synDigCfgChnBnd1_25 => synDigCfgChnBnd1(25),
synDigCfgChnBnd1_26 => synDigCfgChnBnd1(26),
synDigCfgChnBnd1_27 => synDigCfgChnBnd1(27),
synDigCfgChnBnd1_28 => synDigCfgChnBnd1(28),
synDigCfgChnBnd1_29 => synDigCfgChnBnd1(29),
synDigCfgChnBnd1_30 => synDigCfgChnBnd1(30),
synDigCfgChnBnd1_31 => synDigCfgChnBnd1(31),
synDigCfgChnBnd1_32 => synDigCfgChnBnd1(32),
synDigCfgChnBnd1_33 => synDigCfgChnBnd1(33),
synDigCfgChnBnd1_34 => synDigCfgChnBnd1(34),
synDigCfgChnBnd1_35 => synDigCfgChnBnd1(35),
synDigCfgChnBnd1_36 => synDigCfgChnBnd1(36),
synDigCfgChnBnd1_37 => synDigCfgChnBnd1(37),
synDigCfgChnBnd1_38 => synDigCfgChnBnd1(38),
synDigCfgChnBnd1_39 => synDigCfgChnBnd1(39),
synDigCfgChnBnd1_40 => synDigCfgChnBnd1(40),
synDigCfgChnBnd1_41 => synDigCfgChnBnd1(41),
synDigCfgChnBnd1_42 => synDigCfgChnBnd1(42),
synDigCfgChnBnd1_43 => synDigCfgChnBnd1(43),
synDigCfgChnBnd1_44 => synDigCfgChnBnd1(44),
synDigCfgChnBnd1_45 => synDigCfgChnBnd1(45),
synDigCfgChnBnd1_46 => synDigCfgChnBnd1(46),
synDigCfgChnBnd1_47 => synDigCfgChnBnd1(47),
synDigCfgChnBnd1_48 => synDigCfgChnBnd1(48),
synDigCfgChnBnd1_49 => synDigCfgChnBnd1(49),
synDigCfgChnBnd1_50 => synDigCfgChnBnd1(50),
synDigCfgChnBnd1_51 => synDigCfgChnBnd1(51),
synDigCfgChnBnd1_52 => synDigCfgChnBnd1(52),
synDigCfgChnBnd1_53 => synDigCfgChnBnd1(53),
synDigCfgChnBnd1_54 => synDigCfgChnBnd1(54),
synDigCfgChnBnd1_55 => synDigCfgChnBnd1(55),
synDigCfgChnBnd1_56 => synDigCfgChnBnd1(56),
synDigCfgChnBnd1_57 => synDigCfgChnBnd1(57),
synDigCfgChnBnd1_58 => synDigCfgChnBnd1(58),
synDigCfgChnBnd1_59 => synDigCfgChnBnd1(59),
synDigCfgChnBnd1_60 => synDigCfgChnBnd1(60),
synDigCfgChnBnd1_61 => synDigCfgChnBnd1(61),
synDigCfgChnBnd1_62 => synDigCfgChnBnd1(62),
synDigCfgChnBnd1_63 => synDigCfgChnBnd1(63),
synDigCfgChnBnd2_0 => synDigCfgChnBnd2(0),
synDigCfgChnBnd2_1 => synDigCfgChnBnd2(1),
synDigCfgChnBnd2_2 => synDigCfgChnBnd2(2),
synDigCfgChnBnd2_3 => synDigCfgChnBnd2(3),
synDigCfgChnBnd2_4 => synDigCfgChnBnd2(4),
synDigCfgChnBnd2_5 => synDigCfgChnBnd2(5),
synDigCfgChnBnd2_6 => synDigCfgChnBnd2(6),
synDigCfgChnBnd2_7 => synDigCfgChnBnd2(7),
synDigCfgChnBnd2_8 => synDigCfgChnBnd2(8),
synDigCfgChnBnd2_9 => synDigCfgChnBnd2(9),
synDigCfgChnBnd2_10 => synDigCfgChnBnd2(10),
synDigCfgChnBnd2_11 => synDigCfgChnBnd2(11),
synDigCfgChnBnd2_12 => synDigCfgChnBnd2(12),
synDigCfgChnBnd2_13 => synDigCfgChnBnd2(13),
synDigCfgChnBnd2_14 => synDigCfgChnBnd2(14),
synDigCfgChnBnd2_15 => synDigCfgChnBnd2(15),
synDigCfgChnBnd2_16 => synDigCfgChnBnd2(16),
synDigCfgChnBnd2_17 => synDigCfgChnBnd2(17),
synDigCfgChnBnd2_18 => synDigCfgChnBnd2(18),
synDigCfgChnBnd2_19 => synDigCfgChnBnd2(19),
synDigCfgChnBnd2_20 => synDigCfgChnBnd2(20),
synDigCfgChnBnd2_21 => synDigCfgChnBnd2(21),
synDigCfgChnBnd2_22 => synDigCfgChnBnd2(22),
synDigCfgChnBnd2_23 => synDigCfgChnBnd2(23),
synDigCfgChnBnd2_24 => synDigCfgChnBnd2(24),
synDigCfgChnBnd2_25 => synDigCfgChnBnd2(25),
synDigCfgChnBnd2_26 => synDigCfgChnBnd2(26),
synDigCfgChnBnd2_27 => synDigCfgChnBnd2(27),
synDigCfgChnBnd2_28 => synDigCfgChnBnd2(28),
synDigCfgChnBnd2_29 => synDigCfgChnBnd2(29),
synDigCfgChnBnd2_30 => synDigCfgChnBnd2(30),
synDigCfgChnBnd2_31 => synDigCfgChnBnd2(31),
synDigCfgChnBnd2_32 => synDigCfgChnBnd2(32),
synDigCfgChnBnd2_33 => synDigCfgChnBnd2(33),
synDigCfgChnBnd2_34 => synDigCfgChnBnd2(34),
synDigCfgChnBnd2_35 => synDigCfgChnBnd2(35),
synDigCfgChnBnd2_36 => synDigCfgChnBnd2(36),
synDigCfgChnBnd2_37 => synDigCfgChnBnd2(37),
synDigCfgChnBnd2_38 => synDigCfgChnBnd2(38),
synDigCfgChnBnd2_39 => synDigCfgChnBnd2(39),
synDigCfgChnBnd2_40 => synDigCfgChnBnd2(40),
synDigCfgChnBnd2_41 => synDigCfgChnBnd2(41),
synDigCfgChnBnd2_42 => synDigCfgChnBnd2(42),
synDigCfgChnBnd2_43 => synDigCfgChnBnd2(43),
synDigCfgChnBnd2_44 => synDigCfgChnBnd2(44),
synDigCfgChnBnd2_45 => synDigCfgChnBnd2(45),
synDigCfgChnBnd2_46 => synDigCfgChnBnd2(46),
synDigCfgChnBnd2_47 => synDigCfgChnBnd2(47),
synDigCfgChnBnd2_48 => synDigCfgChnBnd2(48),
synDigCfgChnBnd2_49 => synDigCfgChnBnd2(49),
synDigCfgChnBnd2_50 => synDigCfgChnBnd2(50),
synDigCfgChnBnd2_51 => synDigCfgChnBnd2(51),
synDigCfgChnBnd2_52 => synDigCfgChnBnd2(52),
synDigCfgChnBnd2_53 => synDigCfgChnBnd2(53),
synDigCfgChnBnd2_54 => synDigCfgChnBnd2(54),
synDigCfgChnBnd2_55 => synDigCfgChnBnd2(55),
synDigCfgChnBnd2_56 => synDigCfgChnBnd2(56),
synDigCfgChnBnd2_57 => synDigCfgChnBnd2(57),
synDigCfgChnBnd2_58 => synDigCfgChnBnd2(58),
synDigCfgChnBnd2_59 => synDigCfgChnBnd2(59),
synDigCfgChnBnd2_60 => synDigCfgChnBnd2(60),
synDigCfgChnBnd2_61 => synDigCfgChnBnd2(61),
synDigCfgChnBnd2_62 => synDigCfgChnBnd2(62),
synDigCfgChnBnd2_63 => synDigCfgChnBnd2(63),
synDigCfgClkCor1_0 => synDigCfgClkCor1(0),
synDigCfgClkCor1_1 => synDigCfgClkCor1(1),
synDigCfgClkCor1_2 => synDigCfgClkCor1(2),
synDigCfgClkCor1_3 => synDigCfgClkCor1(3),
synDigCfgClkCor1_4 => synDigCfgClkCor1(4),
synDigCfgClkCor1_5 => synDigCfgClkCor1(5),
synDigCfgClkCor1_6 => synDigCfgClkCor1(6),
synDigCfgClkCor1_7 => synDigCfgClkCor1(7),
synDigCfgClkCor1_8 => synDigCfgClkCor1(8),
synDigCfgClkCor1_9 => synDigCfgClkCor1(9),
synDigCfgClkCor1_10 => synDigCfgClkCor1(10),
synDigCfgClkCor1_11 => synDigCfgClkCor1(11),
synDigCfgClkCor1_12 => synDigCfgClkCor1(12),
synDigCfgClkCor1_13 => synDigCfgClkCor1(13),
synDigCfgClkCor1_14 => synDigCfgClkCor1(14),
synDigCfgClkCor1_15 => synDigCfgClkCor1(15),
synDigCfgClkCor1_16 => synDigCfgClkCor1(16),
synDigCfgClkCor1_17 => synDigCfgClkCor1(17),
synDigCfgClkCor1_18 => synDigCfgClkCor1(18),
synDigCfgClkCor1_19 => synDigCfgClkCor1(19),
synDigCfgClkCor1_20 => synDigCfgClkCor1(20),
synDigCfgClkCor1_21 => synDigCfgClkCor1(21),
synDigCfgClkCor1_22 => synDigCfgClkCor1(22),
synDigCfgClkCor1_23 => synDigCfgClkCor1(23),
synDigCfgClkCor1_24 => synDigCfgClkCor1(24),
synDigCfgClkCor1_25 => synDigCfgClkCor1(25),
synDigCfgClkCor1_26 => synDigCfgClkCor1(26),
synDigCfgClkCor1_27 => synDigCfgClkCor1(27),
synDigCfgClkCor1_28 => synDigCfgClkCor1(28),
synDigCfgClkCor1_29 => synDigCfgClkCor1(29),
synDigCfgClkCor1_30 => synDigCfgClkCor1(30),
synDigCfgClkCor1_31 => synDigCfgClkCor1(31),
synDigCfgClkCor1_32 => synDigCfgClkCor1(32),
synDigCfgClkCor1_33 => synDigCfgClkCor1(33),
synDigCfgClkCor1_34 => synDigCfgClkCor1(34),
synDigCfgClkCor1_35 => synDigCfgClkCor1(35),
synDigCfgClkCor1_36 => synDigCfgClkCor1(36),
synDigCfgClkCor1_37 => synDigCfgClkCor1(37),
synDigCfgClkCor1_38 => synDigCfgClkCor1(38),
synDigCfgClkCor1_39 => synDigCfgClkCor1(39),
synDigCfgClkCor1_40 => synDigCfgClkCor1(40),
synDigCfgClkCor1_41 => synDigCfgClkCor1(41),
synDigCfgClkCor1_42 => synDigCfgClkCor1(42),
synDigCfgClkCor1_43 => synDigCfgClkCor1(43),
synDigCfgClkCor1_44 => synDigCfgClkCor1(44),
synDigCfgClkCor1_45 => synDigCfgClkCor1(45),
synDigCfgClkCor1_46 => synDigCfgClkCor1(46),
synDigCfgClkCor1_47 => synDigCfgClkCor1(47),
synDigCfgClkCor1_48 => synDigCfgClkCor1(48),
synDigCfgClkCor1_49 => synDigCfgClkCor1(49),
synDigCfgClkCor1_50 => synDigCfgClkCor1(50),
synDigCfgClkCor1_51 => synDigCfgClkCor1(51),
synDigCfgClkCor1_52 => synDigCfgClkCor1(52),
synDigCfgClkCor1_53 => synDigCfgClkCor1(53),
synDigCfgClkCor1_54 => synDigCfgClkCor1(54),
synDigCfgClkCor1_55 => synDigCfgClkCor1(55),
synDigCfgClkCor1_56 => synDigCfgClkCor1(56),
synDigCfgClkCor1_57 => synDigCfgClkCor1(57),
synDigCfgClkCor1_58 => synDigCfgClkCor1(58),
synDigCfgClkCor1_59 => synDigCfgClkCor1(59),
synDigCfgClkCor1_60 => synDigCfgClkCor1(60),
synDigCfgClkCor1_61 => synDigCfgClkCor1(61),
synDigCfgClkCor1_62 => synDigCfgClkCor1(62),
synDigCfgClkCor1_63 => synDigCfgClkCor1(63),
synDigCfgClkCor2_0 => synDigCfgClkCor2(0),
synDigCfgClkCor2_1 => synDigCfgClkCor2(1),
synDigCfgClkCor2_2 => synDigCfgClkCor2(2),
synDigCfgClkCor2_3 => synDigCfgClkCor2(3),
synDigCfgClkCor2_4 => synDigCfgClkCor2(4),
synDigCfgClkCor2_5 => synDigCfgClkCor2(5),
synDigCfgClkCor2_6 => synDigCfgClkCor2(6),
synDigCfgClkCor2_7 => synDigCfgClkCor2(7),
synDigCfgClkCor2_8 => synDigCfgClkCor2(8),
synDigCfgClkCor2_9 => synDigCfgClkCor2(9),
synDigCfgClkCor2_10 => synDigCfgClkCor2(10),
synDigCfgClkCor2_11 => synDigCfgClkCor2(11),
synDigCfgClkCor2_12 => synDigCfgClkCor2(12),
synDigCfgClkCor2_13 => synDigCfgClkCor2(13),
synDigCfgClkCor2_14 => synDigCfgClkCor2(14),
synDigCfgClkCor2_15 => synDigCfgClkCor2(15),
synDigCfgClkCor2_16 => synDigCfgClkCor2(16),
synDigCfgClkCor2_17 => synDigCfgClkCor2(17),
synDigCfgClkCor2_18 => synDigCfgClkCor2(18),
synDigCfgClkCor2_19 => synDigCfgClkCor2(19),
synDigCfgClkCor2_20 => synDigCfgClkCor2(20),
synDigCfgClkCor2_21 => synDigCfgClkCor2(21),
synDigCfgClkCor2_22 => synDigCfgClkCor2(22),
synDigCfgClkCor2_23 => synDigCfgClkCor2(23),
synDigCfgClkCor2_24 => synDigCfgClkCor2(24),
synDigCfgClkCor2_25 => synDigCfgClkCor2(25),
synDigCfgClkCor2_26 => synDigCfgClkCor2(26),
synDigCfgClkCor2_27 => synDigCfgClkCor2(27),
synDigCfgClkCor2_28 => synDigCfgClkCor2(28),
synDigCfgClkCor2_29 => synDigCfgClkCor2(29),
synDigCfgClkCor2_30 => synDigCfgClkCor2(30),
synDigCfgClkCor2_31 => synDigCfgClkCor2(31),
synDigCfgClkCor2_32 => synDigCfgClkCor2(32),
synDigCfgClkCor2_33 => synDigCfgClkCor2(33),
synDigCfgClkCor2_34 => synDigCfgClkCor2(34),
synDigCfgClkCor2_35 => synDigCfgClkCor2(35),
synDigCfgClkCor2_36 => synDigCfgClkCor2(36),
synDigCfgClkCor2_37 => synDigCfgClkCor2(37),
synDigCfgClkCor2_38 => synDigCfgClkCor2(38),
synDigCfgClkCor2_39 => synDigCfgClkCor2(39),
synDigCfgClkCor2_40 => synDigCfgClkCor2(40),
synDigCfgClkCor2_41 => synDigCfgClkCor2(41),
synDigCfgClkCor2_42 => synDigCfgClkCor2(42),
synDigCfgClkCor2_43 => synDigCfgClkCor2(43),
synDigCfgClkCor2_44 => synDigCfgClkCor2(44),
synDigCfgClkCor2_45 => synDigCfgClkCor2(45),
synDigCfgClkCor2_46 => synDigCfgClkCor2(46),
synDigCfgClkCor2_47 => synDigCfgClkCor2(47),
synDigCfgClkCor2_48 => synDigCfgClkCor2(48),
synDigCfgClkCor2_49 => synDigCfgClkCor2(49),
synDigCfgClkCor2_50 => synDigCfgClkCor2(50),
synDigCfgClkCor2_51 => synDigCfgClkCor2(51),
synDigCfgClkCor2_52 => synDigCfgClkCor2(52),
synDigCfgClkCor2_53 => synDigCfgClkCor2(53),
synDigCfgClkCor2_54 => synDigCfgClkCor2(54),
synDigCfgClkCor2_55 => synDigCfgClkCor2(55),
synDigCfgClkCor2_56 => synDigCfgClkCor2(56),
synDigCfgClkCor2_57 => synDigCfgClkCor2(57),
synDigCfgClkCor2_58 => synDigCfgClkCor2(58),
synDigCfgClkCor2_59 => synDigCfgClkCor2(59),
synDigCfgClkCor2_60 => synDigCfgClkCor2(60),
synDigCfgClkCor2_61 => synDigCfgClkCor2(61),
synDigCfgClkCor2_62 => synDigCfgClkCor2(62),
synDigCfgClkCor2_63 => synDigCfgClkCor2(63),
synDigCfgComma1_0 => synDigCfgComma1(0),
synDigCfgComma1_1 => synDigCfgComma1(1),
synDigCfgComma1_2 => synDigCfgComma1(2),
synDigCfgComma1_3 => synDigCfgComma1(3),
synDigCfgComma1_4 => synDigCfgComma1(4),
synDigCfgComma1_5 => synDigCfgComma1(5),
synDigCfgComma1_6 => synDigCfgComma1(6),
synDigCfgComma1_7 => synDigCfgComma1(7),
synDigCfgComma1_8 => synDigCfgComma1(8),
synDigCfgComma1_9 => synDigCfgComma1(9),
synDigCfgComma1_10 => synDigCfgComma1(10),
synDigCfgComma1_11 => synDigCfgComma1(11),
synDigCfgComma1_12 => synDigCfgComma1(12),
synDigCfgComma1_13 => synDigCfgComma1(13),
synDigCfgComma1_14 => synDigCfgComma1(14),
synDigCfgComma1_15 => synDigCfgComma1(15),
synDigCfgComma1_16 => synDigCfgComma1(16),
synDigCfgComma1_17 => synDigCfgComma1(17),
synDigCfgComma1_18 => synDigCfgComma1(18),
synDigCfgComma1_19 => synDigCfgComma1(19),
synDigCfgComma1_20 => synDigCfgComma1(20),
synDigCfgComma1_21 => synDigCfgComma1(21),
synDigCfgComma1_22 => synDigCfgComma1(22),
synDigCfgComma1_23 => synDigCfgComma1(23),
synDigCfgComma1_24 => synDigCfgComma1(24),
synDigCfgComma1_25 => synDigCfgComma1(25),
synDigCfgComma1_26 => synDigCfgComma1(26),
synDigCfgComma1_27 => synDigCfgComma1(27),
synDigCfgComma1_28 => synDigCfgComma1(28),
synDigCfgComma1_29 => synDigCfgComma1(29),
synDigCfgComma1_30 => synDigCfgComma1(30),
synDigCfgComma1_31 => synDigCfgComma1(31),
synDigCfgComma1_32 => synDigCfgComma1(32),
synDigCfgComma1_33 => synDigCfgComma1(33),
synDigCfgComma1_34 => synDigCfgComma1(34),
synDigCfgComma1_35 => synDigCfgComma1(35),
synDigCfgComma1_36 => synDigCfgComma1(36),
synDigCfgComma1_37 => synDigCfgComma1(37),
synDigCfgComma1_38 => synDigCfgComma1(38),
synDigCfgComma1_39 => synDigCfgComma1(39),
synDigCfgComma1_40 => synDigCfgComma1(40),
synDigCfgComma1_41 => synDigCfgComma1(41),
synDigCfgComma1_42 => synDigCfgComma1(42),
synDigCfgComma1_43 => synDigCfgComma1(43),
synDigCfgComma1_44 => synDigCfgComma1(44),
synDigCfgComma1_45 => synDigCfgComma1(45),
synDigCfgComma1_46 => synDigCfgComma1(46),
synDigCfgComma1_47 => synDigCfgComma1(47),
synDigCfgComma1_48 => synDigCfgComma1(48),
synDigCfgComma1_49 => synDigCfgComma1(49),
synDigCfgComma1_50 => synDigCfgComma1(50),
synDigCfgComma1_51 => synDigCfgComma1(51),
synDigCfgComma1_52 => synDigCfgComma1(52),
synDigCfgComma1_53 => synDigCfgComma1(53),
synDigCfgComma1_54 => synDigCfgComma1(54),
synDigCfgComma1_55 => synDigCfgComma1(55),
synDigCfgComma1_56 => synDigCfgComma1(56),
synDigCfgComma1_57 => synDigCfgComma1(57),
synDigCfgComma1_58 => synDigCfgComma1(58),
synDigCfgComma1_59 => synDigCfgComma1(59),
synDigCfgComma1_60 => synDigCfgComma1(60),
synDigCfgComma1_61 => synDigCfgComma1(61),
synDigCfgComma1_62 => synDigCfgComma1(62),
synDigCfgComma1_63 => synDigCfgComma1(63),
synDigCfgComma2_0 => synDigCfgComma2(0),
synDigCfgComma2_1 => synDigCfgComma2(1),
synDigCfgComma2_2 => synDigCfgComma2(2),
synDigCfgComma2_3 => synDigCfgComma2(3),
synDigCfgComma2_4 => synDigCfgComma2(4),
synDigCfgComma2_5 => synDigCfgComma2(5),
synDigCfgComma2_6 => synDigCfgComma2(6),
synDigCfgComma2_7 => synDigCfgComma2(7),
synDigCfgComma2_8 => synDigCfgComma2(8),
synDigCfgComma2_9 => synDigCfgComma2(9),
synDigCfgComma2_10 => synDigCfgComma2(10),
synDigCfgComma2_11 => synDigCfgComma2(11),
synDigCfgComma2_12 => synDigCfgComma2(12),
synDigCfgComma2_13 => synDigCfgComma2(13),
synDigCfgComma2_14 => synDigCfgComma2(14),
synDigCfgComma2_15 => synDigCfgComma2(15),
synDigCfgComma2_16 => synDigCfgComma2(16),
synDigCfgComma2_17 => synDigCfgComma2(17),
synDigCfgComma2_18 => synDigCfgComma2(18),
synDigCfgComma2_19 => synDigCfgComma2(19),
synDigCfgComma2_20 => synDigCfgComma2(20),
synDigCfgComma2_21 => synDigCfgComma2(21),
synDigCfgComma2_22 => synDigCfgComma2(22),
synDigCfgComma2_23 => synDigCfgComma2(23),
synDigCfgComma2_24 => synDigCfgComma2(24),
synDigCfgComma2_25 => synDigCfgComma2(25),
synDigCfgComma2_26 => synDigCfgComma2(26),
synDigCfgComma2_27 => synDigCfgComma2(27),
synDigCfgComma2_28 => synDigCfgComma2(28),
synDigCfgComma2_29 => synDigCfgComma2(29),
synDigCfgComma2_30 => synDigCfgComma2(30),
synDigCfgComma2_31 => synDigCfgComma2(31),
synDigCfgComma2_32 => synDigCfgComma2(32),
synDigCfgComma2_33 => synDigCfgComma2(33),
synDigCfgComma2_34 => synDigCfgComma2(34),
synDigCfgComma2_35 => synDigCfgComma2(35),
synDigCfgComma2_36 => synDigCfgComma2(36),
synDigCfgComma2_37 => synDigCfgComma2(37),
synDigCfgComma2_38 => synDigCfgComma2(38),
synDigCfgComma2_39 => synDigCfgComma2(39),
synDigCfgComma2_40 => synDigCfgComma2(40),
synDigCfgComma2_41 => synDigCfgComma2(41),
synDigCfgComma2_42 => synDigCfgComma2(42),
synDigCfgComma2_43 => synDigCfgComma2(43),
synDigCfgComma2_44 => synDigCfgComma2(44),
synDigCfgComma2_45 => synDigCfgComma2(45),
synDigCfgComma2_46 => synDigCfgComma2(46),
synDigCfgComma2_47 => synDigCfgComma2(47),
synDigCfgComma2_48 => synDigCfgComma2(48),
synDigCfgComma2_49 => synDigCfgComma2(49),
synDigCfgComma2_50 => synDigCfgComma2(50),
synDigCfgComma2_51 => synDigCfgComma2(51),
synDigCfgComma2_52 => synDigCfgComma2(52),
synDigCfgComma2_53 => synDigCfgComma2(53),
synDigCfgComma2_54 => synDigCfgComma2(54),
synDigCfgComma2_55 => synDigCfgComma2(55),
synDigCfgComma2_56 => synDigCfgComma2(56),
synDigCfgComma2_57 => synDigCfgComma2(57),
synDigCfgComma2_58 => synDigCfgComma2(58),
synDigCfgComma2_59 => synDigCfgComma2(59),
synDigCfgComma2_60 => synDigCfgComma2(60),
synDigCfgComma2_61 => synDigCfgComma2(61),
synDigCfgComma2_62 => synDigCfgComma2(62),
synDigCfgComma2_63 => synDigCfgComma2(63),
synDigCfgCrc_0 => synDigCfgCrc(0),
synDigCfgCrc_1 => synDigCfgCrc(1),
synDigCfgCrc_2 => synDigCfgCrc(2),
synDigCfgCrc_3 => synDigCfgCrc(3),
synDigCfgCrc_4 => synDigCfgCrc(4),
synDigCfgCrc_5 => synDigCfgCrc(5),
synDigCfgCrc_6 => synDigCfgCrc(6),
synDigCfgCrc_7 => synDigCfgCrc(7),
synDigCfgCrc_8 => synDigCfgCrc(8),
synDigCfgCrc_9 => synDigCfgCrc(9),
synDigCfgCrc_10 => synDigCfgCrc(10),
synDigCfgCrc_11 => synDigCfgCrc(11),
synDigCfgCrc_12 => synDigCfgCrc(12),
synDigCfgCrc_13 => synDigCfgCrc(13),
synDigCfgCrc_14 => synDigCfgCrc(14),
synDigCfgCrc_15 => synDigCfgCrc(15),
synDigCfgCrc_16 => synDigCfgCrc(16),
synDigCfgCrc_17 => synDigCfgCrc(17),
synDigCfgCrc_18 => synDigCfgCrc(18),
synDigCfgCrc_19 => synDigCfgCrc(19),
synDigCfgCrc_20 => synDigCfgCrc(20),
synDigCfgCrc_21 => synDigCfgCrc(21),
synDigCfgCrc_22 => synDigCfgCrc(22),
synDigCfgCrc_23 => synDigCfgCrc(23),
synDigCfgCrc_24 => synDigCfgCrc(24),
synDigCfgCrc_25 => synDigCfgCrc(25),
synDigCfgCrc_26 => synDigCfgCrc(26),
synDigCfgCrc_27 => synDigCfgCrc(27),
synDigCfgCrc_28 => synDigCfgCrc(28),
synDigCfgCrc_29 => synDigCfgCrc(29),
synDigCfgCrc_30 => synDigCfgCrc(30),
synDigCfgCrc_31 => synDigCfgCrc(31),
synDigCfgCrc_32 => synDigCfgCrc(32),
synDigCfgCrc_33 => synDigCfgCrc(33),
synDigCfgCrc_34 => synDigCfgCrc(34),
synDigCfgCrc_35 => synDigCfgCrc(35),
synDigCfgCrc_36 => synDigCfgCrc(36),
synDigCfgCrc_37 => synDigCfgCrc(37),
synDigCfgCrc_38 => synDigCfgCrc(38),
synDigCfgCrc_39 => synDigCfgCrc(39),
synDigCfgCrc_40 => synDigCfgCrc(40),
synDigCfgCrc_41 => synDigCfgCrc(41),
synDigCfgCrc_42 => synDigCfgCrc(42),
synDigCfgCrc_43 => synDigCfgCrc(43),
synDigCfgCrc_44 => synDigCfgCrc(44),
synDigCfgCrc_45 => synDigCfgCrc(45),
synDigCfgCrc_46 => synDigCfgCrc(46),
synDigCfgCrc_47 => synDigCfgCrc(47),
synDigCfgCrc_48 => synDigCfgCrc(48),
synDigCfgCrc_49 => synDigCfgCrc(49),
synDigCfgCrc_50 => synDigCfgCrc(50),
synDigCfgCrc_51 => synDigCfgCrc(51),
synDigCfgCrc_52 => synDigCfgCrc(52),
synDigCfgCrc_53 => synDigCfgCrc(53),
synDigCfgCrc_54 => synDigCfgCrc(54),
synDigCfgCrc_55 => synDigCfgCrc(55),
synDigCfgCrc_56 => synDigCfgCrc(56),
synDigCfgCrc_57 => synDigCfgCrc(57),
synDigCfgCrc_58 => synDigCfgCrc(58),
synDigCfgCrc_59 => synDigCfgCrc(59),
synDigCfgCrc_60 => synDigCfgCrc(60),
synDigCfgCrc_61 => synDigCfgCrc(61),
synDigCfgCrc_62 => synDigCfgCrc(62),
synDigCfgCrc_63 => synDigCfgCrc(63),
synDigCfgMisc_0 => synDigCfgMisc(0),
synDigCfgMisc_1 => synDigCfgMisc(1),
synDigCfgMisc_2 => synDigCfgMisc(2),
synDigCfgMisc_3 => synDigCfgMisc(3),
synDigCfgMisc_4 => synDigCfgMisc(4),
synDigCfgMisc_5 => synDigCfgMisc(5),
synDigCfgMisc_6 => synDigCfgMisc(6),
synDigCfgMisc_7 => synDigCfgMisc(7),
synDigCfgMisc_8 => synDigCfgMisc(8),
synDigCfgMisc_9 => synDigCfgMisc(9),
synDigCfgMisc_10 => synDigCfgMisc(10),
synDigCfgMisc_11 => synDigCfgMisc(11),
synDigCfgMisc_12 => synDigCfgMisc(12),
synDigCfgMisc_13 => synDigCfgMisc(13),
synDigCfgMisc_14 => synDigCfgMisc(14),
synDigCfgMisc_15 => synDigCfgMisc(15),
synDigCfgMisc_16 => synDigCfgMisc(16),
synDigCfgMisc_17 => synDigCfgMisc(17),
synDigCfgMisc_18 => synDigCfgMisc(18),
synDigCfgMisc_19 => synDigCfgMisc(19),
synDigCfgMisc_20 => synDigCfgMisc(20),
synDigCfgMisc_21 => synDigCfgMisc(21),
synDigCfgMisc_22 => synDigCfgMisc(22),
synDigCfgMisc_23 => synDigCfgMisc(23),
synDigCfgMisc_24 => synDigCfgMisc(24),
synDigCfgMisc_25 => synDigCfgMisc(25),
synDigCfgMisc_26 => synDigCfgMisc(26),
synDigCfgMisc_27 => synDigCfgMisc(27),
synDigCfgMisc_28 => synDigCfgMisc(28),
synDigCfgMisc_29 => synDigCfgMisc(29),
synDigCfgMisc_30 => synDigCfgMisc(30),
synDigCfgMisc_31 => synDigCfgMisc(31),
synDigCfgMisc_32 => synDigCfgMisc(32),
synDigCfgMisc_33 => synDigCfgMisc(33),
synDigCfgMisc_34 => synDigCfgMisc(34),
synDigCfgMisc_35 => synDigCfgMisc(35),
synDigCfgMisc_36 => synDigCfgMisc(36),
synDigCfgMisc_37 => synDigCfgMisc(37),
synDigCfgMisc_38 => synDigCfgMisc(38),
synDigCfgMisc_39 => synDigCfgMisc(39),
synDigCfgMisc_40 => synDigCfgMisc(40),
synDigCfgMisc_41 => synDigCfgMisc(41),
synDigCfgMisc_42 => synDigCfgMisc(42),
synDigCfgMisc_43 => synDigCfgMisc(43),
synDigCfgMisc_44 => synDigCfgMisc(44),
synDigCfgMisc_45 => synDigCfgMisc(45),
synDigCfgMisc_46 => synDigCfgMisc(46),
synDigCfgMisc_47 => synDigCfgMisc(47),
synDigCfgMisc_48 => synDigCfgMisc(48),
synDigCfgMisc_49 => synDigCfgMisc(49),
synDigCfgMisc_50 => synDigCfgMisc(50),
synDigCfgMisc_51 => synDigCfgMisc(51),
synDigCfgMisc_52 => synDigCfgMisc(52),
synDigCfgMisc_53 => synDigCfgMisc(53),
synDigCfgMisc_54 => synDigCfgMisc(54),
synDigCfgMisc_55 => synDigCfgMisc(55),
synDigCfgMisc_56 => synDigCfgMisc(56),
synDigCfgMisc_57 => synDigCfgMisc(57),
synDigCfgMisc_58 => synDigCfgMisc(58),
synDigCfgMisc_59 => synDigCfgMisc(59),
synDigCfgMisc_60 => synDigCfgMisc(60),
synDigCfgMisc_61 => synDigCfgMisc(61),
synDigCfgMisc_62 => synDigCfgMisc(62),
synDigCfgMisc_63 => synDigCfgMisc(63),
synDigCfgSynPmaFD_0 => synDigCfgSynPmaFD(0),
synDigCfgSynPmaFD_1 => synDigCfgSynPmaFD(1),
synDigCfgSynPmaFD_2 => synDigCfgSynPmaFD(2),
synDigCfgSynPmaFD_3 => synDigCfgSynPmaFD(3),
synDigCfgSynPmaFD_4 => synDigCfgSynPmaFD(4),
synDigCfgSynPmaFD_5 => synDigCfgSynPmaFD(5),
synDigCfgSynPmaFD_6 => synDigCfgSynPmaFD(6),
synDigCfgSynPmaFD_7 => synDigCfgSynPmaFD(7),
synDigCfgSynPmaFD_8 => synDigCfgSynPmaFD(8),
synDigCfgSynPmaFD_9 => synDigCfgSynPmaFD(9),
synDigCfgSynPmaFD_10 => synDigCfgSynPmaFD(10),
synDigCfgSynPmaFD_11 => synDigCfgSynPmaFD(11),
synDigCfgSynPmaFD_12 => synDigCfgSynPmaFD(12),
synDigCfgSynPmaFD_13 => synDigCfgSynPmaFD(13),
synDigCfgSynPmaFD_14 => synDigCfgSynPmaFD(14),
synDigCfgSynPmaFD_15 => synDigCfgSynPmaFD(15),
synDigCfgSynPmaFD_16 => synDigCfgSynPmaFD(16),
synDigCfgSynPmaFD_17 => synDigCfgSynPmaFD(17),
synDigCfgSynPmaFD_18 => synDigCfgSynPmaFD(18),
synDigCfgSynPmaFD_19 => synDigCfgSynPmaFD(19),
synDigCfgSynPmaFD_20 => synDigCfgSynPmaFD(20),
synDigCfgSynPmaFD_21 => synDigCfgSynPmaFD(21),
synDigCfgSynPmaFD_22 => synDigCfgSynPmaFD(22),
synDigCfgSynPmaFD_23 => synDigCfgSynPmaFD(23),
synDigCfgSynPmaFD_24 => synDigCfgSynPmaFD(24),
synDigCfgSynPmaFD_25 => synDigCfgSynPmaFD(25),
synDigCfgSynPmaFD_26 => synDigCfgSynPmaFD(26),
synDigCfgSynPmaFD_27 => synDigCfgSynPmaFD(27),
synDigCfgSynPmaFD_28 => synDigCfgSynPmaFD(28),
synDigCfgSynPmaFD_29 => synDigCfgSynPmaFD(29),
synDigCfgSynPmaFD_30 => synDigCfgSynPmaFD(30),
synDigCfgSynPmaFD_31 => synDigCfgSynPmaFD(31),
synDigCfgSynPmaFD_32 => synDigCfgSynPmaFD(32),
synDigCfgSynPmaFD_33 => synDigCfgSynPmaFD(33),
synDigCfgSynPmaFD_34 => synDigCfgSynPmaFD(34),
synDigCfgSynPmaFD_35 => synDigCfgSynPmaFD(35),
synDigCfgSynPmaFD_36 => synDigCfgSynPmaFD(36),
synDigCfgSynPmaFD_37 => synDigCfgSynPmaFD(37),
synDigCfgSynPmaFD_38 => synDigCfgSynPmaFD(38),
synDigCfgSynPmaFD_39 => synDigCfgSynPmaFD(39),
synDigCfgSynPmaFD_40 => synDigCfgSynPmaFD(40),
synDigCfgSynPmaFD_41 => synDigCfgSynPmaFD(41),
synDigCfgSynPmaFD_42 => synDigCfgSynPmaFD(42),
synDigCfgSynPmaFD_43 => synDigCfgSynPmaFD(43),
synDigCfgSynPmaFD_44 => synDigCfgSynPmaFD(44),
synDigCfgSynPmaFD_45 => synDigCfgSynPmaFD(45),
synDigCfgSynPmaFD_46 => synDigCfgSynPmaFD(46),
synDigCfgSynPmaFD_47 => synDigCfgSynPmaFD(47),
synDigCfgSynPmaFD_48 => synDigCfgSynPmaFD(48),
synDigCfgSynPmaFD_49 => synDigCfgSynPmaFD(49),
synDigCfgSynPmaFD_50 => synDigCfgSynPmaFD(50),
synDigCfgSynPmaFD_51 => synDigCfgSynPmaFD(51),
synDigCfgSynPmaFD_52 => synDigCfgSynPmaFD(52),
synDigCfgSynPmaFD_53 => synDigCfgSynPmaFD(53),
synDigCfgSynPmaFD_54 => synDigCfgSynPmaFD(54),
synDigCfgSynPmaFD_55 => synDigCfgSynPmaFD(55),
synDigCfgSynPmaFD_56 => synDigCfgSynPmaFD(56),
synDigCfgSynPmaFD_57 => synDigCfgSynPmaFD(57),
synDigCfgSynPmaFD_58 => synDigCfgSynPmaFD(58),
synDigCfgSynPmaFD_59 => synDigCfgSynPmaFD(59),
synDigCfgSynPmaFD_60 => synDigCfgSynPmaFD(60),
synDigCfgSynPmaFD_61 => synDigCfgSynPmaFD(61),
synDigCfgSynPmaFD_62 => synDigCfgSynPmaFD(62),
synDigCfgSynPmaFD_63 => synDigCfgSynPmaFD(63),
GT11_MODE_0 => GT11_MODE(0),
GT11_MODE_1 => GT11_MODE(1)
		);


begin

gt11_swift_inst : GT11_SWIFT
	port map (
CHBONDO => CHBONDO,
COMBUSOUT => COMBUSOUT,
DO => DO,
DRDY => DRDY,
RXBUFERR => RXBUFERR,
RXCALFAIL => RXCALFAIL,
RXCHARISCOMMA => RXCHARISCOMMA,
RXCHARISK => RXCHARISK,
RXCOMMADET => RXCOMMADET,
RXCRCOUT => RXCRCOUT,
RXCYCLELIMIT => RXCYCLELIMIT,
RXDATA => RXDATA,
RXDISPERR => RXDISPERR,
RXLOCK => RXLOCK,
RXLOSSOFSYNC => RXLOSSOFSYNC,
RXMCLK => RXMCLK,
RXNOTINTABLE => RXNOTINTABLE,
RXPCSHCLKOUT => RXPCSHCLKOUT,
RXREALIGN => RXREALIGN,
RXRECCLK1 => RXRECCLK1,
RXRECCLK2 => RXRECCLK2,
RXRUNDISP => RXRUNDISP,
RXSIGDET => RXSIGDET,
RXSTATUS => RXSTATUS,
TX1N => TX1N,
TX1P => TX1P,
TXBUFERR => TXBUFERR,
TXCALFAIL => TXCALFAIL,
TXCRCOUT => TXCRCOUT,
TXCYCLELIMIT => TXCYCLELIMIT,
TXKERR => TXKERR,
TXLOCK => TXLOCK,
TXOUTCLK1 => TXOUTCLK1,
TXOUTCLK2 => TXOUTCLK2,
TXPCSHCLKOUT => TXPCSHCLKOUT,
TXRUNDISP => TXRUNDISP,
CHBONDI => CHBONDI,
COMBUSIN => COMBUSIN,
DADDR => DADDR,
DCLK => DCLK,
DEN => DEN,
DI => DI,
DWE => DWE,
ENCHANSYNC => ENCHANSYNC,
ENMCOMMAALIGN => ENMCOMMAALIGN,
ENPCOMMAALIGN => ENPCOMMAALIGN,
GREFCLK => GREFCLK,
GSR => GSR,
LOOPBACK => LOOPBACK,
PMACFG2 => PMACFG2,
PMACFG => PMACFG,
POWERDOWN => POWERDOWN,
REFCLK1 => REFCLK1,
REFCLK2 => REFCLK2,
RX1N => RX1N,
RX1P => RX1P,
RXACLCFG => RXACLCFG,
RXAEQCFG => RXAEQCFG,
RXAFECFG => RXAFECFG,
RXBLOCKSYNC64B66BUSE => RXBLOCKSYNC64B66BUSE,
RXCLKSTABLE => RXCLKSTABLE,
RXCOMMADETUSE => RXCOMMADETUSE,
RXCRCCLK => RXCRCCLK,
RXCRCDATAVALID => RXCRCDATAVALID,
RXCRCDATAWIDTH => RXCRCDATAWIDTH,
RXCRCIN => RXCRCIN,
RXCRCINIT => RXCRCINIT,
RXCRCINTCLK => RXCRCINTCLK,
RXCRCPD => RXCRCPD,
RXCRCRESET => RXCRCRESET,
RXDATAWIDTH => RXDATAWIDTH,
RXDEC8B10BUSE => RXDEC8B10BUSE,
RXDEC64B66BUSE => RXDEC64B66BUSE,
RXDESCRAM64B66BUSE => RXDESCRAM64B66BUSE,
RXIGNOREBTF => RXIGNOREBTF,
RXINTDATAWIDTH => RXINTDATAWIDTH,
RXPMARESET => RXPMARESET,
RXPOLARITY => RXPOLARITY,
RXRESET => RXRESET,
RXSLIDE => RXSLIDE,
RXSYNC => RXSYNC,
RXUSRCLK => RXUSRCLK,
RXUSRCLK2 => RXUSRCLK2,
TXACFG => TXACFG,
TXBYPASS8B10B => TXBYPASS8B10B,
TXCHARDISPMODE => TXCHARDISPMODE,
TXCHARDISPVAL => TXCHARDISPVAL,
TXCHARISK => TXCHARISK,
TXCLCFG => TXCLCFG,
TXCLKSTABLE => TXCLKSTABLE,
TXCRCCLK => TXCRCCLK,
TXCRCDATAVALID => TXCRCDATAVALID,
TXCRCDATAWIDTH => TXCRCDATAWIDTH,
TXCRCIN => TXCRCIN,
TXCRCINIT => TXCRCINIT,
TXCRCINTCLK => TXCRCINTCLK,
TXCRCPD => TXCRCPD,
TXCRCRESET => TXCRCRESET,
TXDATA => TXDATA,
TXDATAWIDTH => TXDATAWIDTH,
TXENC8B10BUSE => TXENC8B10BUSE,
TXENC64B66BUSE => TXENC64B66BUSE,
TXENOOB => TXENOOB,
TXGEARBOX64B66BUSE => TXGEARBOX64B66BUSE,
TXINHIBIT => TXINHIBIT,
TXINTDATAWIDTH => TXINTDATAWIDTH,
TXPMARESET => TXPMARESET,
TXPOLARITY => TXPOLARITY,
TXRESET => TXRESET,
TXSCRAM64B66BUSE => TXSCRAM64B66BUSE,
TXSYNC => TXSYNC,
TXUSRCLK => TXUSRCLK,
TXUSRCLK2 => TXUSRCLK2,
synDigCfgChnBnd1 => synDigCfgChnBnd1,
synDigCfgChnBnd2 => synDigCfgChnBnd2,
synDigCfgClkCor1 => synDigCfgClkCor1,
synDigCfgClkCor2 => synDigCfgClkCor2,
synDigCfgComma1 => synDigCfgComma1,
synDigCfgComma2 => synDigCfgComma2,
synDigCfgCrc => synDigCfgCrc,
synDigCfgMisc => synDigCfgMisc,
synDigCfgSynPmaFD => synDigCfgSynPmaFD,
GT11_MODE => GT11_MODE
	);
end GT11_SWIFT_BUS_V;
library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.numeric_std.all;

entity GT_SWIFT_BUS is
	port (
		TX_CRC_FORCE_VALUE : in std_logic_vector(7 downto 0);
		RXLOSSOFSYNC : out std_logic_vector(1 downto 0);
		RXCLKCORCNT : out std_logic_vector(2 downto 0);
		RXP : in std_ulogic;
		RXN : in std_ulogic;
		GSR : in std_ulogic;
		TXP : out std_ulogic;
		TXN : out std_ulogic;
		CONFIGENABLE : in std_ulogic;
		CONFIGIN : in std_ulogic;
		CONFIGOUT : out std_ulogic;
		ENMCOMMAALIGN : in std_ulogic;
		ENPCOMMAALIGN : in std_ulogic;
		CRC_END_OF_PKT : in std_logic_vector(7 downto 0);
		CRC_FORMAT : in std_logic_vector(1 downto 0);
		CRC_START_OF_PKT : in std_logic_vector(7 downto 0);
		CHAN_BOND_LIMIT : in std_logic_vector(4 downto 0);
		REFCLK : in std_ulogic;
		REFCLK2 : in std_ulogic;
		REFCLKSEL : in std_ulogic;
		RXUSRCLK : in std_ulogic;
		TXUSRCLK : in std_ulogic;
		RXUSRCLK2 : in std_ulogic;
		TXUSRCLK2 : in std_ulogic;
		RXRESET : in std_ulogic;
		TXRESET : in std_ulogic;
		POWERDOWN : in std_ulogic;
		LOOPBACK : in std_logic_vector(1 downto 0);
		TXDATA : in std_logic_vector(31 downto 0);
		RX_LOSS_OF_SYNC_FSM : in std_ulogic;
		RX_LOS_INVALID_INCR : in std_logic_vector(2 downto 0);
		RX_LOS_THRESHOLD : in std_logic_vector(2 downto 0);
		TXCHARDISPMODE : in std_logic_vector(3 downto 0);
		TXCHARDISPVAL : in std_logic_vector(3 downto 0);
		TXCHARISK : in std_logic_vector(3 downto 0);
		TXBYPASS8B10B : in std_logic_vector(3 downto 0);
		TXPOLARITY : in std_ulogic;
		TXINHIBIT : in std_ulogic;
		ENCHANSYNC : in std_ulogic;
		RXPOLARITY : in std_ulogic;
		CHBONDI : in std_logic_vector(3 downto 0);
		RXRECCLK : out std_ulogic;
		TXBUFERR : out std_ulogic;
		TXFORCECRCERR : in std_ulogic;
		TXRUNDISP : out std_logic_vector(3 downto 0);
		TXKERR : out std_logic_vector(3 downto 0);
		RXREALIGN : out std_ulogic;
		RXCOMMADET : out std_ulogic;
		RXCHECKINGCRC : out std_ulogic;
		RXCRCERR : out std_ulogic;
		RXDATA : out std_logic_vector(31 downto 0);
		RXCHARISCOMMA : out std_logic_vector(3 downto 0);
		RXCHARISK : out std_logic_vector(3 downto 0);
		RXNOTINTABLE : out std_logic_vector(3 downto 0);
		RXDISPERR : out std_logic_vector(3 downto 0);
		RXRUNDISP : out std_logic_vector(3 downto 0);
		RXBUFSTATUS : out std_logic_vector(1 downto 0);
		CHBONDO : out std_logic_vector(3 downto 0);
		CHBONDDONE : out std_ulogic;
		TX_PREEMPHASIS : in std_logic_vector(1 downto 0);
		TX_DIFF_CTRL : in std_logic_vector(2 downto 0);
		TERMINATION_IMP : in std_ulogic;
		SERDES_10B : in std_ulogic;
		ALIGN_COMMA_MSB : in std_ulogic;
		PCOMMA_DETECT : in std_ulogic;
		MCOMMA_DETECT : in std_ulogic;
		PCOMMA_10B_VALUE : in std_logic_vector(0 to 9);
		MCOMMA_10B_VALUE : in std_logic_vector(0 to 9);
		COMMA_10B_MASK : in std_logic_vector(0 to 9);
		DEC_PCOMMA_DETECT : in std_ulogic;
		DEC_MCOMMA_DETECT : in std_ulogic;
		DEC_VALID_COMMA_ONLY : in std_ulogic;
		RX_DECODE_USE : in std_ulogic;
		RX_BUFFER_USE : in std_ulogic;
		TX_BUFFER_USE : in std_ulogic;
		CLK_CORRECT_USE : in std_ulogic;
		CLK_COR_SEQ_LEN : in std_logic_vector(1 downto 0);
		CLK_COR_INSERT_IDLE_FLAG : in std_ulogic;
		CLK_COR_KEEP_IDLE : in std_ulogic;
		CLK_COR_REPEAT_WAIT : in std_logic_vector(4 downto 0);
		CLK_COR_SEQ_1_1 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_1_2 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_1_3 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_1_4 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_2_USE : in std_ulogic;
		CLK_COR_SEQ_2_1 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_2_2 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_2_3 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_2_4 : in std_logic_vector(10 downto 0);
		CHAN_BOND_MODE : in std_logic_vector(1 downto 0);
		CHAN_BOND_SEQ_LEN : in std_logic_vector(1 downto 0);
		CHAN_BOND_SEQ_1_1 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_1_2 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_1_3 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_1_4 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_2_USE : in std_ulogic;
		CHAN_BOND_SEQ_2_1 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_2_2 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_2_3 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_2_4 : in std_logic_vector(10 downto 0);
		CHAN_BOND_WAIT : in std_logic_vector(3 downto 0);
		CHAN_BOND_OFFSET : in std_logic_vector(3 downto 0);
		TX_CRC_USE : in std_ulogic;
		RX_CRC_USE : in std_ulogic;
		CHAN_BOND_ONE_SHOT : in std_ulogic;
		RX_DATA_WIDTH : in std_logic_vector(1 downto 0);
		TX_DATA_WIDTH : in std_logic_vector(1 downto 0);
		BREFCLK : in std_ulogic;
		BREFCLK2 : in std_ulogic;
		REF_CLK_V_SEL : in std_ulogic
	);
end GT_SWIFT_BUS;

architecture GT_SWIFT_BUS_v of GT_SWIFT_BUS is
Component GT_SWIFT -----
	generic (
		TimingVersion : STRING := "gt_swift";
		DelayRange : STRING := "MAX";
		MC_Reference : STRING := "0000");
	port (
		TX_CRC_FORCE_VALUE : in std_logic_vector(7 downto 0);
		RXLOSSOFSYNC : out std_logic_vector(1 downto 0);
		RXCLKCORCNT : out std_logic_vector(2 downto 0);
		RXP : in std_ulogic;
		RXN : in std_ulogic;
		GSR : in std_ulogic;
		TXP : out std_ulogic;
		TXN : out std_ulogic;
		CONFIGENABLE : in std_ulogic;
		CONFIGIN : in std_ulogic;
		CONFIGOUT : out std_ulogic;
		ENMCOMMAALIGN : in std_ulogic;
		ENPCOMMAALIGN : in std_ulogic;
		CRC_END_OF_PKT : in std_logic_vector(7 downto 0);
		CRC_FORMAT : in std_logic_vector(1 downto 0);
		CRC_START_OF_PKT : in std_logic_vector(7 downto 0);
		CHAN_BOND_LIMIT : in std_logic_vector(4 downto 0);
		REFCLK : in std_ulogic;
		REFCLK2 : in std_ulogic;
		REFCLKSEL : in std_ulogic;
		RXUSRCLK : in std_ulogic;
		TXUSRCLK : in std_ulogic;
		RXUSRCLK2 : in std_ulogic;
		TXUSRCLK2 : in std_ulogic;
		RXRESET : in std_ulogic;
		TXRESET : in std_ulogic;
		POWERDOWN : in std_ulogic;
		LOOPBACK : in std_logic_vector(1 downto 0);
		TXDATA : in std_logic_vector(31 downto 0);
		RX_LOSS_OF_SYNC_FSM : in std_ulogic;
		RX_LOS_INVALID_INCR : in std_logic_vector(2 downto 0);
		RX_LOS_THRESHOLD : in std_logic_vector(2 downto 0);
		TXCHARDISPMODE : in std_logic_vector(3 downto 0);
		TXCHARDISPVAL : in std_logic_vector(3 downto 0);
		TXCHARISK : in std_logic_vector(3 downto 0);
		TXBYPASS8B10B : in std_logic_vector(3 downto 0);
		TXPOLARITY : in std_ulogic;
		TXINHIBIT : in std_ulogic;
		ENCHANSYNC : in std_ulogic;
		RXPOLARITY : in std_ulogic;
		CHBONDI : in std_logic_vector(3 downto 0);
		RXRECCLK : out std_ulogic;
		TXBUFERR : out std_ulogic;
		TXFORCECRCERR : in std_ulogic;
		TXRUNDISP : out std_logic_vector(3 downto 0);
		TXKERR : out std_logic_vector(3 downto 0);
		RXREALIGN : out std_ulogic;
		RXCOMMADET : out std_ulogic;
		RXCHECKINGCRC : out std_ulogic;
		RXCRCERR : out std_ulogic;
		RXDATA : out std_logic_vector(31 downto 0);
		RXCHARISCOMMA : out std_logic_vector(3 downto 0);
		RXCHARISK : out std_logic_vector(3 downto 0);
		RXNOTINTABLE : out std_logic_vector(3 downto 0);
		RXDISPERR : out std_logic_vector(3 downto 0);
		RXRUNDISP : out std_logic_vector(3 downto 0);
		RXBUFSTATUS : out std_logic_vector(1 downto 0);
		CHBONDO : out std_logic_vector(3 downto 0);
		CHBONDDONE : out std_ulogic;
		TX_PREEMPHASIS : in std_logic_vector(1 downto 0);
		TX_DIFF_CTRL : in std_logic_vector(2 downto 0);
		TERMINATION_IMP : in std_ulogic;
		SERDES_10B : in std_ulogic;
		ALIGN_COMMA_MSB : in std_ulogic;
		PCOMMA_DETECT : in std_ulogic;
		MCOMMA_DETECT : in std_ulogic;
		PCOMMA_10B_VALUE : in std_logic_vector(0 to 9);
		MCOMMA_10B_VALUE : in std_logic_vector(0 to 9);
		COMMA_10B_MASK : in std_logic_vector(0 to 9);
		DEC_PCOMMA_DETECT : in std_ulogic;
		DEC_MCOMMA_DETECT : in std_ulogic;
		DEC_VALID_COMMA_ONLY : in std_ulogic;
		RX_DECODE_USE : in std_ulogic;
		RX_BUFFER_USE : in std_ulogic;
		TX_BUFFER_USE : in std_ulogic;
		CLK_CORRECT_USE : in std_ulogic;
		CLK_COR_SEQ_LEN : in std_logic_vector(1 downto 0);
		CLK_COR_INSERT_IDLE_FLAG : in std_ulogic;
		CLK_COR_KEEP_IDLE : in std_ulogic;
		CLK_COR_REPEAT_WAIT : in std_logic_vector(4 downto 0);
		CLK_COR_SEQ_1_1 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_1_2 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_1_3 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_1_4 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_2_USE : in std_ulogic;
		CLK_COR_SEQ_2_1 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_2_2 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_2_3 : in std_logic_vector(10 downto 0);
		CLK_COR_SEQ_2_4 : in std_logic_vector(10 downto 0);
		CHAN_BOND_MODE : in std_logic_vector(1 downto 0);
		CHAN_BOND_SEQ_LEN : in std_logic_vector(1 downto 0);
		CHAN_BOND_SEQ_1_1 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_1_2 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_1_3 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_1_4 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_2_USE : in std_ulogic;
		CHAN_BOND_SEQ_2_1 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_2_2 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_2_3 : in std_logic_vector(10 downto 0);
		CHAN_BOND_SEQ_2_4 : in std_logic_vector(10 downto 0);
		CHAN_BOND_WAIT : in std_logic_vector(3 downto 0);
		CHAN_BOND_OFFSET : in std_logic_vector(3 downto 0);
		TX_CRC_USE : in std_ulogic;
		RX_CRC_USE : in std_ulogic;
		CHAN_BOND_ONE_SHOT : in std_ulogic;
		RX_DATA_WIDTH : in std_logic_vector(1 downto 0);
		TX_DATA_WIDTH : in std_logic_vector(1 downto 0);
		BREFCLK : in std_ulogic;
		BREFCLK2 : in std_ulogic;
		REF_CLK_V_SEL : in std_ulogic
);
end component;

for all : GT_SWIFT
use entity work.GT_SWIFT
	port map (
		TXFORCECRCERR => TXFORCECRCERR,
		RX_CRC_USE => RX_CRC_USE,
		TX_CRC_USE => TX_CRC_USE,
		CHAN_BOND_ONE_SHOT => CHAN_BOND_ONE_SHOT,
		CONFIGENABLE => CONFIGENABLE,
		CONFIGIN => CONFIGIN,
		CONFIGOUT => CONFIGOUT,
		ENMCOMMAALIGN => ENMCOMMAALIGN,
		ENPCOMMAALIGN => ENPCOMMAALIGN,
		TX_CRC_FORCE_VALUE_0 => TX_CRC_FORCE_VALUE(0),
		TX_CRC_FORCE_VALUE_1 => TX_CRC_FORCE_VALUE(1),
		TX_CRC_FORCE_VALUE_2 => TX_CRC_FORCE_VALUE(2),
		TX_CRC_FORCE_VALUE_3 => TX_CRC_FORCE_VALUE(3),
		TX_CRC_FORCE_VALUE_4 => TX_CRC_FORCE_VALUE(4),
		TX_CRC_FORCE_VALUE_5 => TX_CRC_FORCE_VALUE(5),
		TX_CRC_FORCE_VALUE_6 => TX_CRC_FORCE_VALUE(6),
		TX_CRC_FORCE_VALUE_7 => TX_CRC_FORCE_VALUE(7),
		CRC_END_OF_PKT_0 => CRC_END_OF_PKT(0),
		CRC_END_OF_PKT_1 => CRC_END_OF_PKT(1),
		CRC_END_OF_PKT_2 => CRC_END_OF_PKT(2),
		CRC_END_OF_PKT_3 => CRC_END_OF_PKT(3),
		CRC_END_OF_PKT_4 => CRC_END_OF_PKT(4),
		CRC_END_OF_PKT_5 => CRC_END_OF_PKT(5),
		CRC_END_OF_PKT_6 => CRC_END_OF_PKT(6),
		CRC_END_OF_PKT_7 => CRC_END_OF_PKT(7),
		CRC_FORMAT_0 => CRC_FORMAT(0),
		CRC_FORMAT_1 => CRC_FORMAT(1),
		CRC_START_OF_PKT_0 => CRC_START_OF_PKT(0),
		CRC_START_OF_PKT_1 => CRC_START_OF_PKT(1),
		CRC_START_OF_PKT_2 => CRC_START_OF_PKT(2),
		CRC_START_OF_PKT_3 => CRC_START_OF_PKT(3),
		CRC_START_OF_PKT_4 => CRC_START_OF_PKT(4),
		CRC_START_OF_PKT_5 => CRC_START_OF_PKT(5),
		CRC_START_OF_PKT_6 => CRC_START_OF_PKT(6),
		CRC_START_OF_PKT_7 => CRC_START_OF_PKT(7),
		CHAN_BOND_LIMIT_0 => CHAN_BOND_LIMIT(0),
		CHAN_BOND_LIMIT_1 => CHAN_BOND_LIMIT(1),
		CHAN_BOND_LIMIT_2 => CHAN_BOND_LIMIT(2),
		CHAN_BOND_LIMIT_3 => CHAN_BOND_LIMIT(3),
		CHAN_BOND_LIMIT_4 => CHAN_BOND_LIMIT(4),

		RXLOSSOFSYNC_0 => RXLOSSOFSYNC(0),
		RXLOSSOFSYNC_1 => RXLOSSOFSYNC(1),
		RXCLKCORCNT_0 => RXCLKCORCNT(0),
		RXCLKCORCNT_1 => RXCLKCORCNT(1),
		RXCLKCORCNT_2 => RXCLKCORCNT(2),
		RXCHECKINGCRC => RXCHECKINGCRC,
		RXCRCERR => RXCRCERR,
		RXP => RXP,
		RXN => RXN,
		TXP => TXP,
		TXN => TXN,
		GSR => GSR,
		REFCLK => REFCLK,
		REFCLK2 => REFCLK2,
		REFCLKSEL => REFCLKSEL,
		RXUSRCLK => RXUSRCLK,
		TXUSRCLK => TXUSRCLK,
		RXUSRCLK2 => RXUSRCLK2,
		TXUSRCLK2 => TXUSRCLK2,
		RXRESET => RXRESET,
		TXRESET => TXRESET,
		POWERDOWN => POWERDOWN,
		LOOPBACK_0 => LOOPBACK(0),
		LOOPBACK_1 => LOOPBACK(1),
		TXDATA_0 => TXDATA(0),
		TXDATA_1 => TXDATA(1),
		TXDATA_2 => TXDATA(2),
		TXDATA_3 => TXDATA(3),
		TXDATA_4 => TXDATA(4),
		TXDATA_5 => TXDATA(5),
		TXDATA_6 => TXDATA(6),
		TXDATA_7 => TXDATA(7),
		TXDATA_8 => TXDATA(8),
		TXDATA_9 => TXDATA(9),
		TXDATA_10 => TXDATA(10),
		TXDATA_11 => TXDATA(11),
		TXDATA_12 => TXDATA(12),
		TXDATA_13 => TXDATA(13),
		TXDATA_14 => TXDATA(14),
		TXDATA_15 => TXDATA(15),
		TXDATA_16 => TXDATA(16),
		TXDATA_17 => TXDATA(17),
		TXDATA_18 => TXDATA(18),
		TXDATA_19 => TXDATA(19),
		TXDATA_20 => TXDATA(20),
		TXDATA_21 => TXDATA(21),
		TXDATA_22 => TXDATA(22),
		TXDATA_23 => TXDATA(23),
		TXDATA_24 => TXDATA(24),
		TXDATA_25 => TXDATA(25),
		TXDATA_26 => TXDATA(26),
		TXDATA_27 => TXDATA(27),
		TXDATA_28 => TXDATA(28),
		TXDATA_29 => TXDATA(29),
		TXDATA_30 => TXDATA(30),
		TXDATA_31 => TXDATA(31),
		TXCHARDISPMODE_0 => TXCHARDISPMODE(0),
		TXCHARDISPMODE_1 => TXCHARDISPMODE(1),
		TXCHARDISPMODE_2 => TXCHARDISPMODE(2),
		TXCHARDISPMODE_3 => TXCHARDISPMODE(3),
		TXCHARDISPVAL_0 => TXCHARDISPVAL(0),
		TXCHARDISPVAL_1 => TXCHARDISPVAL(1),
		TXCHARDISPVAL_2 => TXCHARDISPVAL(2),
		TXCHARDISPVAL_3 => TXCHARDISPVAL(3),
		TXCHARISK_0 => TXCHARISK(0),
		TXCHARISK_1 => TXCHARISK(1),
		TXCHARISK_2 => TXCHARISK(2),
		TXCHARISK_3 => TXCHARISK(3),
		TXBYPASS8B10B_0 => TXBYPASS8B10B(0),
		TXBYPASS8B10B_1 => TXBYPASS8B10B(1),
		TXBYPASS8B10B_2 => TXBYPASS8B10B(2),
		TXBYPASS8B10B_3 => TXBYPASS8B10B(3),
		TXPOLARITY => TXPOLARITY,
		TXINHIBIT => TXINHIBIT,
		ENCHANSYNC => ENCHANSYNC,
		RXPOLARITY => RXPOLARITY,
		CHBONDI_0 => CHBONDI(0),
		CHBONDI_1 => CHBONDI(1),
		CHBONDI_2 => CHBONDI(2),
		CHBONDI_3 => CHBONDI(3),
		RXRECCLK => RXRECCLK,
		TXBUFERR => TXBUFERR,
		TXRUNDISP_0 => TXRUNDISP(0),
		TXRUNDISP_1 => TXRUNDISP(1),
		TXRUNDISP_2 => TXRUNDISP(2),
		TXRUNDISP_3 => TXRUNDISP(3),
		TXKERR_0 => TXKERR(0),
		TXKERR_1 => TXKERR(1),
		TXKERR_2 => TXKERR(2),
		TXKERR_3 => TXKERR(3),
		RXREALIGN => RXREALIGN,
		RXCOMMADET => RXCOMMADET,
		RXDATA_0 => RXDATA(0),
		RXDATA_1 => RXDATA(1),
		RXDATA_2 => RXDATA(2),
		RXDATA_3 => RXDATA(3),
		RXDATA_4 => RXDATA(4),
		RXDATA_5 => RXDATA(5),
		RXDATA_6 => RXDATA(6),
		RXDATA_7 => RXDATA(7),
		RXDATA_8 => RXDATA(8),
		RXDATA_9 => RXDATA(9),
		RXDATA_10 => RXDATA(10),
		RXDATA_11 => RXDATA(11),
		RXDATA_12 => RXDATA(12),
		RXDATA_13 => RXDATA(13),
		RXDATA_14 => RXDATA(14),
		RXDATA_15 => RXDATA(15),
		RXDATA_16 => RXDATA(16),
		RXDATA_17 => RXDATA(17),
		RXDATA_18 => RXDATA(18),
		RXDATA_19 => RXDATA(19),
		RXDATA_20 => RXDATA(20),
		RXDATA_21 => RXDATA(21),
		RXDATA_22 => RXDATA(22),
		RXDATA_23 => RXDATA(23),
		RXDATA_24 => RXDATA(24),
		RXDATA_25 => RXDATA(25),
		RXDATA_26 => RXDATA(26),
		RXDATA_27 => RXDATA(27),
		RXDATA_28 => RXDATA(28),
		RXDATA_29 => RXDATA(29),
		RXDATA_30 => RXDATA(30),
		RXDATA_31 => RXDATA(31),
		RXCHARISCOMMA_0 => RXCHARISCOMMA(0),
		RXCHARISCOMMA_1 => RXCHARISCOMMA(1),
		RXCHARISCOMMA_2 => RXCHARISCOMMA(2),
		RXCHARISCOMMA_3 => RXCHARISCOMMA(3),
		RXCHARISK_0 => RXCHARISK(0),
		RXCHARISK_1 => RXCHARISK(1),
		RXCHARISK_2 => RXCHARISK(2),
		RXCHARISK_3 => RXCHARISK(3),
		RXNOTINTABLE_0 => RXNOTINTABLE(0),
		RXNOTINTABLE_1 => RXNOTINTABLE(1),
		RXNOTINTABLE_2 => RXNOTINTABLE(2),
		RXNOTINTABLE_3 => RXNOTINTABLE(3),
		RXDISPERR_0 => RXDISPERR(0),
		RXDISPERR_1 => RXDISPERR(1),
		RXDISPERR_2 => RXDISPERR(2),
		RXDISPERR_3 => RXDISPERR(3),
		RXRUNDISP_0 => RXRUNDISP(0),
		RXRUNDISP_1 => RXRUNDISP(1),
		RXRUNDISP_2 => RXRUNDISP(2),
		RXRUNDISP_3 => RXRUNDISP(3),
		RXBUFSTATUS_0 => RXBUFSTATUS(0),
		RXBUFSTATUS_1 => RXBUFSTATUS(1),
		CHBONDO_0 => CHBONDO(0),
		CHBONDO_1 => CHBONDO(1),
		CHBONDO_2 => CHBONDO(2),
		CHBONDO_3 => CHBONDO(3),
		CHBONDDONE => CHBONDDONE,
		TX_PREEMPHASIS_0 => TX_PREEMPHASIS(0),
		TX_PREEMPHASIS_1 => TX_PREEMPHASIS(1),
		TX_DIFF_CTRL_0 => TX_DIFF_CTRL(0),
		TX_DIFF_CTRL_1 => TX_DIFF_CTRL(1),
		TX_DIFF_CTRL_2 => TX_DIFF_CTRL(2),
		TERMINATION_IMP => TERMINATION_IMP,
		SERDES_10B => SERDES_10B,
		ALIGN_COMMA_MSB => ALIGN_COMMA_MSB,
		PCOMMA_DETECT => PCOMMA_DETECT,
		MCOMMA_DETECT => MCOMMA_DETECT,
		PCOMMA_10B_VALUE_9 => PCOMMA_10B_VALUE(9),
		PCOMMA_10B_VALUE_8 => PCOMMA_10B_VALUE(8),
		PCOMMA_10B_VALUE_7 => PCOMMA_10B_VALUE(7),
		PCOMMA_10B_VALUE_6 => PCOMMA_10B_VALUE(6),
		PCOMMA_10B_VALUE_5 => PCOMMA_10B_VALUE(5),
		PCOMMA_10B_VALUE_4 => PCOMMA_10B_VALUE(4),
		PCOMMA_10B_VALUE_3 => PCOMMA_10B_VALUE(3),
		PCOMMA_10B_VALUE_2 => PCOMMA_10B_VALUE(2),
		PCOMMA_10B_VALUE_1 => PCOMMA_10B_VALUE(1),
		PCOMMA_10B_VALUE_0 => PCOMMA_10B_VALUE(0),
		MCOMMA_10B_VALUE_9 => MCOMMA_10B_VALUE(9),
		MCOMMA_10B_VALUE_8 => MCOMMA_10B_VALUE(8),
		MCOMMA_10B_VALUE_7 => MCOMMA_10B_VALUE(7),
		MCOMMA_10B_VALUE_6 => MCOMMA_10B_VALUE(6),
		MCOMMA_10B_VALUE_5 => MCOMMA_10B_VALUE(5),
		MCOMMA_10B_VALUE_4 => MCOMMA_10B_VALUE(4),
		MCOMMA_10B_VALUE_3 => MCOMMA_10B_VALUE(3),
		MCOMMA_10B_VALUE_2 => MCOMMA_10B_VALUE(2),
		MCOMMA_10B_VALUE_1 => MCOMMA_10B_VALUE(1),
		MCOMMA_10B_VALUE_0 => MCOMMA_10B_VALUE(0),
		COMMA_10B_MASK_9 => COMMA_10B_MASK(9),
		COMMA_10B_MASK_8 => COMMA_10B_MASK(8),
		COMMA_10B_MASK_7 => COMMA_10B_MASK(7),
		COMMA_10B_MASK_6 => COMMA_10B_MASK(6),
		COMMA_10B_MASK_5 => COMMA_10B_MASK(5),
		COMMA_10B_MASK_4 => COMMA_10B_MASK(4),
		COMMA_10B_MASK_3 => COMMA_10B_MASK(3),
		COMMA_10B_MASK_2 => COMMA_10B_MASK(2),
		COMMA_10B_MASK_1 => COMMA_10B_MASK(1),
		COMMA_10B_MASK_0 => COMMA_10B_MASK(0),
		DEC_PCOMMA_DETECT => DEC_PCOMMA_DETECT,
		DEC_MCOMMA_DETECT => DEC_MCOMMA_DETECT,
		DEC_VALID_COMMA_ONLY => DEC_VALID_COMMA_ONLY,
		RX_DECODE_USE => RX_DECODE_USE,
		RX_LOSS_OF_SYNC_FSM => RX_LOSS_OF_SYNC_FSM,
		RX_LOS_INVALID_INCR_0 => RX_LOS_INVALID_INCR(0),
		RX_LOS_INVALID_INCR_1 => RX_LOS_INVALID_INCR(1),
		RX_LOS_INVALID_INCR_2 => RX_LOS_INVALID_INCR(2),
		RX_LOS_THRESHOLD_0 => RX_LOS_THRESHOLD(0),
		RX_LOS_THRESHOLD_1 => RX_LOS_THRESHOLD(1),
		RX_LOS_THRESHOLD_2 => RX_LOS_THRESHOLD(2),
		RX_BUFFER_USE => RX_BUFFER_USE,
		TX_BUFFER_USE => TX_BUFFER_USE,
		CLK_CORRECT_USE => CLK_CORRECT_USE,
		CLK_COR_SEQ_LEN_0 => CLK_COR_SEQ_LEN(0),
		CLK_COR_SEQ_LEN_1 => CLK_COR_SEQ_LEN(1),
		CLK_COR_KEEP_IDLE => CLK_COR_KEEP_IDLE,
		CLK_COR_REPEAT_WAIT_0 => CLK_COR_REPEAT_WAIT(0),
		CLK_COR_REPEAT_WAIT_1 => CLK_COR_REPEAT_WAIT(1),
		CLK_COR_REPEAT_WAIT_2 => CLK_COR_REPEAT_WAIT(2),
		CLK_COR_REPEAT_WAIT_3 => CLK_COR_REPEAT_WAIT(3),
		CLK_COR_REPEAT_WAIT_4 => CLK_COR_REPEAT_WAIT(4),
		CLK_COR_INSERT_IDLE_FLAG => CLK_COR_INSERT_IDLE_FLAG,
		CLK_COR_SEQ_1_1_0 => CLK_COR_SEQ_1_1(0),
		CLK_COR_SEQ_1_1_1 => CLK_COR_SEQ_1_1(1),
		CLK_COR_SEQ_1_1_2 => CLK_COR_SEQ_1_1(2),
		CLK_COR_SEQ_1_1_3 => CLK_COR_SEQ_1_1(3),
		CLK_COR_SEQ_1_1_4 => CLK_COR_SEQ_1_1(4),
		CLK_COR_SEQ_1_1_5 => CLK_COR_SEQ_1_1(5),
		CLK_COR_SEQ_1_1_6 => CLK_COR_SEQ_1_1(6),
		CLK_COR_SEQ_1_1_7 => CLK_COR_SEQ_1_1(7),
		CLK_COR_SEQ_1_1_8 => CLK_COR_SEQ_1_1(8),
		CLK_COR_SEQ_1_1_9 => CLK_COR_SEQ_1_1(9),
		CLK_COR_SEQ_1_1_10 => CLK_COR_SEQ_1_1(10),
		CLK_COR_SEQ_1_2_0 => CLK_COR_SEQ_1_2(0),
		CLK_COR_SEQ_1_2_1 => CLK_COR_SEQ_1_2(1),
		CLK_COR_SEQ_1_2_2 => CLK_COR_SEQ_1_2(2),
		CLK_COR_SEQ_1_2_3 => CLK_COR_SEQ_1_2(3),
		CLK_COR_SEQ_1_2_4 => CLK_COR_SEQ_1_2(4),
		CLK_COR_SEQ_1_2_5 => CLK_COR_SEQ_1_2(5),
		CLK_COR_SEQ_1_2_6 => CLK_COR_SEQ_1_2(6),
		CLK_COR_SEQ_1_2_7 => CLK_COR_SEQ_1_2(7),
		CLK_COR_SEQ_1_2_8 => CLK_COR_SEQ_1_2(8),
		CLK_COR_SEQ_1_2_9 => CLK_COR_SEQ_1_2(9),
		CLK_COR_SEQ_1_2_10 => CLK_COR_SEQ_1_2(10),
		CLK_COR_SEQ_1_3_0 => CLK_COR_SEQ_1_3(0),
		CLK_COR_SEQ_1_3_1 => CLK_COR_SEQ_1_3(1),
		CLK_COR_SEQ_1_3_2 => CLK_COR_SEQ_1_3(2),
		CLK_COR_SEQ_1_3_3 => CLK_COR_SEQ_1_3(3),
		CLK_COR_SEQ_1_3_4 => CLK_COR_SEQ_1_3(4),
		CLK_COR_SEQ_1_3_5 => CLK_COR_SEQ_1_3(5),
		CLK_COR_SEQ_1_3_6 => CLK_COR_SEQ_1_3(6),
		CLK_COR_SEQ_1_3_7 => CLK_COR_SEQ_1_3(7),
		CLK_COR_SEQ_1_3_8 => CLK_COR_SEQ_1_3(8),
		CLK_COR_SEQ_1_3_9 => CLK_COR_SEQ_1_3(9),
		CLK_COR_SEQ_1_3_10 => CLK_COR_SEQ_1_3(10),
		CLK_COR_SEQ_1_4_0 => CLK_COR_SEQ_1_4(0),
		CLK_COR_SEQ_1_4_1 => CLK_COR_SEQ_1_4(1),
		CLK_COR_SEQ_1_4_2 => CLK_COR_SEQ_1_4(2),
		CLK_COR_SEQ_1_4_3 => CLK_COR_SEQ_1_4(3),
		CLK_COR_SEQ_1_4_4 => CLK_COR_SEQ_1_4(4),
		CLK_COR_SEQ_1_4_5 => CLK_COR_SEQ_1_4(5),
		CLK_COR_SEQ_1_4_6 => CLK_COR_SEQ_1_4(6),
		CLK_COR_SEQ_1_4_7 => CLK_COR_SEQ_1_4(7),
		CLK_COR_SEQ_1_4_8 => CLK_COR_SEQ_1_4(8),
		CLK_COR_SEQ_1_4_9 => CLK_COR_SEQ_1_4(9),
		CLK_COR_SEQ_1_4_10 => CLK_COR_SEQ_1_4(10),
		CLK_COR_SEQ_2_USE => CLK_COR_SEQ_2_USE,
		CLK_COR_SEQ_2_1_0 => CLK_COR_SEQ_2_1(0),
		CLK_COR_SEQ_2_1_1 => CLK_COR_SEQ_2_1(1),
		CLK_COR_SEQ_2_1_2 => CLK_COR_SEQ_2_1(2),
		CLK_COR_SEQ_2_1_3 => CLK_COR_SEQ_2_1(3),
		CLK_COR_SEQ_2_1_4 => CLK_COR_SEQ_2_1(4),
		CLK_COR_SEQ_2_1_5 => CLK_COR_SEQ_2_1(5),
		CLK_COR_SEQ_2_1_6 => CLK_COR_SEQ_2_1(6),
		CLK_COR_SEQ_2_1_7 => CLK_COR_SEQ_2_1(7),
		CLK_COR_SEQ_2_1_8 => CLK_COR_SEQ_2_1(8),
		CLK_COR_SEQ_2_1_9 => CLK_COR_SEQ_2_1(9),
		CLK_COR_SEQ_2_1_10 => CLK_COR_SEQ_2_1(10),
		CLK_COR_SEQ_2_2_0 => CLK_COR_SEQ_2_2(0),
		CLK_COR_SEQ_2_2_1 => CLK_COR_SEQ_2_2(1),
		CLK_COR_SEQ_2_2_2 => CLK_COR_SEQ_2_2(2),
		CLK_COR_SEQ_2_2_3 => CLK_COR_SEQ_2_2(3),
		CLK_COR_SEQ_2_2_4 => CLK_COR_SEQ_2_2(4),
		CLK_COR_SEQ_2_2_5 => CLK_COR_SEQ_2_2(5),
		CLK_COR_SEQ_2_2_6 => CLK_COR_SEQ_2_2(6),
		CLK_COR_SEQ_2_2_7 => CLK_COR_SEQ_2_2(7),
		CLK_COR_SEQ_2_2_8 => CLK_COR_SEQ_2_2(8),
		CLK_COR_SEQ_2_2_9 => CLK_COR_SEQ_2_2(9),
		CLK_COR_SEQ_2_2_10 => CLK_COR_SEQ_2_2(10),
		CLK_COR_SEQ_2_3_0 => CLK_COR_SEQ_2_3(0),
		CLK_COR_SEQ_2_3_1 => CLK_COR_SEQ_2_3(1),
		CLK_COR_SEQ_2_3_2 => CLK_COR_SEQ_2_3(2),
		CLK_COR_SEQ_2_3_3 => CLK_COR_SEQ_2_3(3),
		CLK_COR_SEQ_2_3_4 => CLK_COR_SEQ_2_3(4),
		CLK_COR_SEQ_2_3_5 => CLK_COR_SEQ_2_3(5),
		CLK_COR_SEQ_2_3_6 => CLK_COR_SEQ_2_3(6),
		CLK_COR_SEQ_2_3_7 => CLK_COR_SEQ_2_3(7),
		CLK_COR_SEQ_2_3_8 => CLK_COR_SEQ_2_3(8),
		CLK_COR_SEQ_2_3_9 => CLK_COR_SEQ_2_3(9),
		CLK_COR_SEQ_2_3_10 => CLK_COR_SEQ_2_3(10),
		CLK_COR_SEQ_2_4_0 => CLK_COR_SEQ_2_4(0),
		CLK_COR_SEQ_2_4_1 => CLK_COR_SEQ_2_4(1),
		CLK_COR_SEQ_2_4_2 => CLK_COR_SEQ_2_4(2),
		CLK_COR_SEQ_2_4_3 => CLK_COR_SEQ_2_4(3),
		CLK_COR_SEQ_2_4_4 => CLK_COR_SEQ_2_4(4),
		CLK_COR_SEQ_2_4_5 => CLK_COR_SEQ_2_4(5),
		CLK_COR_SEQ_2_4_6 => CLK_COR_SEQ_2_4(6),
		CLK_COR_SEQ_2_4_7 => CLK_COR_SEQ_2_4(7),
		CLK_COR_SEQ_2_4_8 => CLK_COR_SEQ_2_4(8),
		CLK_COR_SEQ_2_4_9 => CLK_COR_SEQ_2_4(9),
		CLK_COR_SEQ_2_4_10 => CLK_COR_SEQ_2_4(10),
		CHAN_BOND_MODE_0 => CHAN_BOND_MODE(0),
		CHAN_BOND_MODE_1 => CHAN_BOND_MODE(1),
		CHAN_BOND_SEQ_LEN_0 => CHAN_BOND_SEQ_LEN(0),
		CHAN_BOND_SEQ_LEN_1 => CHAN_BOND_SEQ_LEN(1),
		CHAN_BOND_SEQ_1_1_0 => CHAN_BOND_SEQ_1_1(0),
		CHAN_BOND_SEQ_1_1_1 => CHAN_BOND_SEQ_1_1(1),
		CHAN_BOND_SEQ_1_1_2 => CHAN_BOND_SEQ_1_1(2),
		CHAN_BOND_SEQ_1_1_3 => CHAN_BOND_SEQ_1_1(3),
		CHAN_BOND_SEQ_1_1_4 => CHAN_BOND_SEQ_1_1(4),
		CHAN_BOND_SEQ_1_1_5 => CHAN_BOND_SEQ_1_1(5),
		CHAN_BOND_SEQ_1_1_6 => CHAN_BOND_SEQ_1_1(6),
		CHAN_BOND_SEQ_1_1_7 => CHAN_BOND_SEQ_1_1(7),
		CHAN_BOND_SEQ_1_1_8 => CHAN_BOND_SEQ_1_1(8),
		CHAN_BOND_SEQ_1_1_9 => CHAN_BOND_SEQ_1_1(9),
		CHAN_BOND_SEQ_1_1_10 => CHAN_BOND_SEQ_1_1(10),
		CHAN_BOND_SEQ_1_2_0 => CHAN_BOND_SEQ_1_2(0),
		CHAN_BOND_SEQ_1_2_1 => CHAN_BOND_SEQ_1_2(1),
		CHAN_BOND_SEQ_1_2_2 => CHAN_BOND_SEQ_1_2(2),
		CHAN_BOND_SEQ_1_2_3 => CHAN_BOND_SEQ_1_2(3),
		CHAN_BOND_SEQ_1_2_4 => CHAN_BOND_SEQ_1_2(4),
		CHAN_BOND_SEQ_1_2_5 => CHAN_BOND_SEQ_1_2(5),
		CHAN_BOND_SEQ_1_2_6 => CHAN_BOND_SEQ_1_2(6),
		CHAN_BOND_SEQ_1_2_7 => CHAN_BOND_SEQ_1_2(7),
		CHAN_BOND_SEQ_1_2_8 => CHAN_BOND_SEQ_1_2(8),
		CHAN_BOND_SEQ_1_2_9 => CHAN_BOND_SEQ_1_2(9),
		CHAN_BOND_SEQ_1_2_10 => CHAN_BOND_SEQ_1_2(10),
		CHAN_BOND_SEQ_1_3_0 => CHAN_BOND_SEQ_1_3(0),
		CHAN_BOND_SEQ_1_3_1 => CHAN_BOND_SEQ_1_3(1),
		CHAN_BOND_SEQ_1_3_2 => CHAN_BOND_SEQ_1_3(2),
		CHAN_BOND_SEQ_1_3_3 => CHAN_BOND_SEQ_1_3(3),
		CHAN_BOND_SEQ_1_3_4 => CHAN_BOND_SEQ_1_3(4),
		CHAN_BOND_SEQ_1_3_5 => CHAN_BOND_SEQ_1_3(5),
		CHAN_BOND_SEQ_1_3_6 => CHAN_BOND_SEQ_1_3(6),
		CHAN_BOND_SEQ_1_3_7 => CHAN_BOND_SEQ_1_3(7),
		CHAN_BOND_SEQ_1_3_8 => CHAN_BOND_SEQ_1_3(8),
		CHAN_BOND_SEQ_1_3_9 => CHAN_BOND_SEQ_1_3(9),
		CHAN_BOND_SEQ_1_3_10 => CHAN_BOND_SEQ_1_3(10),
		CHAN_BOND_SEQ_1_4_0 => CHAN_BOND_SEQ_1_4(0),
		CHAN_BOND_SEQ_1_4_1 => CHAN_BOND_SEQ_1_4(1),
		CHAN_BOND_SEQ_1_4_2 => CHAN_BOND_SEQ_1_4(2),
		CHAN_BOND_SEQ_1_4_3 => CHAN_BOND_SEQ_1_4(3),
		CHAN_BOND_SEQ_1_4_4 => CHAN_BOND_SEQ_1_4(4),
		CHAN_BOND_SEQ_1_4_5 => CHAN_BOND_SEQ_1_4(5),
		CHAN_BOND_SEQ_1_4_6 => CHAN_BOND_SEQ_1_4(6),
		CHAN_BOND_SEQ_1_4_7 => CHAN_BOND_SEQ_1_4(7),
		CHAN_BOND_SEQ_1_4_8 => CHAN_BOND_SEQ_1_4(8),
		CHAN_BOND_SEQ_1_4_9 => CHAN_BOND_SEQ_1_4(9),
		CHAN_BOND_SEQ_1_4_10 => CHAN_BOND_SEQ_1_4(10),
		CHAN_BOND_SEQ_2_USE => CHAN_BOND_SEQ_2_USE,
		CHAN_BOND_SEQ_2_1_0 => CHAN_BOND_SEQ_2_1(0),
		CHAN_BOND_SEQ_2_1_1 => CHAN_BOND_SEQ_2_1(1),
		CHAN_BOND_SEQ_2_1_2 => CHAN_BOND_SEQ_2_1(2),
		CHAN_BOND_SEQ_2_1_3 => CHAN_BOND_SEQ_2_1(3),
		CHAN_BOND_SEQ_2_1_4 => CHAN_BOND_SEQ_2_1(4),
		CHAN_BOND_SEQ_2_1_5 => CHAN_BOND_SEQ_2_1(5),
		CHAN_BOND_SEQ_2_1_6 => CHAN_BOND_SEQ_2_1(6),
		CHAN_BOND_SEQ_2_1_7 => CHAN_BOND_SEQ_2_1(7),
		CHAN_BOND_SEQ_2_1_8 => CHAN_BOND_SEQ_2_1(8),
		CHAN_BOND_SEQ_2_1_9 => CHAN_BOND_SEQ_2_1(9),
		CHAN_BOND_SEQ_2_1_10 => CHAN_BOND_SEQ_2_1(10),
		CHAN_BOND_SEQ_2_2_0 => CHAN_BOND_SEQ_2_2(0),
		CHAN_BOND_SEQ_2_2_1 => CHAN_BOND_SEQ_2_2(1),
		CHAN_BOND_SEQ_2_2_2 => CHAN_BOND_SEQ_2_2(2),
		CHAN_BOND_SEQ_2_2_3 => CHAN_BOND_SEQ_2_2(3),
		CHAN_BOND_SEQ_2_2_4 => CHAN_BOND_SEQ_2_2(4),
		CHAN_BOND_SEQ_2_2_5 => CHAN_BOND_SEQ_2_2(5),
		CHAN_BOND_SEQ_2_2_6 => CHAN_BOND_SEQ_2_2(6),
		CHAN_BOND_SEQ_2_2_7 => CHAN_BOND_SEQ_2_2(7),
		CHAN_BOND_SEQ_2_2_8 => CHAN_BOND_SEQ_2_2(8),
		CHAN_BOND_SEQ_2_2_9 => CHAN_BOND_SEQ_2_2(9),
		CHAN_BOND_SEQ_2_2_10 => CHAN_BOND_SEQ_2_2(10),
		CHAN_BOND_SEQ_2_3_0 => CHAN_BOND_SEQ_2_3(0),
		CHAN_BOND_SEQ_2_3_1 => CHAN_BOND_SEQ_2_3(1),
		CHAN_BOND_SEQ_2_3_2 => CHAN_BOND_SEQ_2_3(2),
		CHAN_BOND_SEQ_2_3_3 => CHAN_BOND_SEQ_2_3(3),
		CHAN_BOND_SEQ_2_3_4 => CHAN_BOND_SEQ_2_3(4),
		CHAN_BOND_SEQ_2_3_5 => CHAN_BOND_SEQ_2_3(5),
		CHAN_BOND_SEQ_2_3_6 => CHAN_BOND_SEQ_2_3(6),
		CHAN_BOND_SEQ_2_3_7 => CHAN_BOND_SEQ_2_3(7),
		CHAN_BOND_SEQ_2_3_8 => CHAN_BOND_SEQ_2_3(8),
		CHAN_BOND_SEQ_2_3_9 => CHAN_BOND_SEQ_2_3(9),
		CHAN_BOND_SEQ_2_3_10 => CHAN_BOND_SEQ_2_3(10),
		CHAN_BOND_SEQ_2_4_0 => CHAN_BOND_SEQ_2_4(0),
		CHAN_BOND_SEQ_2_4_1 => CHAN_BOND_SEQ_2_4(1),
		CHAN_BOND_SEQ_2_4_2 => CHAN_BOND_SEQ_2_4(2),
		CHAN_BOND_SEQ_2_4_3 => CHAN_BOND_SEQ_2_4(3),
		CHAN_BOND_SEQ_2_4_4 => CHAN_BOND_SEQ_2_4(4),
		CHAN_BOND_SEQ_2_4_5 => CHAN_BOND_SEQ_2_4(5),
		CHAN_BOND_SEQ_2_4_6 => CHAN_BOND_SEQ_2_4(6),
		CHAN_BOND_SEQ_2_4_7 => CHAN_BOND_SEQ_2_4(7),
		CHAN_BOND_SEQ_2_4_8 => CHAN_BOND_SEQ_2_4(8),
		CHAN_BOND_SEQ_2_4_9 => CHAN_BOND_SEQ_2_4(9),
		CHAN_BOND_SEQ_2_4_10 => CHAN_BOND_SEQ_2_4(10),
		CHAN_BOND_WAIT_0 => CHAN_BOND_WAIT(0),
		CHAN_BOND_WAIT_1 => CHAN_BOND_WAIT(1),
		CHAN_BOND_WAIT_2 => CHAN_BOND_WAIT(2),
		CHAN_BOND_WAIT_3 => CHAN_BOND_WAIT(3),
		CHAN_BOND_OFFSET_0 => CHAN_BOND_OFFSET(0),
		CHAN_BOND_OFFSET_1 => CHAN_BOND_OFFSET(1),
		CHAN_BOND_OFFSET_2 => CHAN_BOND_OFFSET(2),
		CHAN_BOND_OFFSET_3 => CHAN_BOND_OFFSET(3),
		RX_DATA_WIDTH_0 => RX_DATA_WIDTH(0),
		RX_DATA_WIDTH_1 => RX_DATA_WIDTH(1),
		TX_DATA_WIDTH_0 => TX_DATA_WIDTH(0),
		TX_DATA_WIDTH_1 => TX_DATA_WIDTH(1),
		BREFCLK => BREFCLK,
		BREFCLK2 => BREFCLK2,
		REF_CLK_V_SEL => REF_CLK_V_SEL
	);

begin -- GT_SWIFT_BUS
gt_swift_inst : GT_SWIFT
	port map (
		TX_CRC_FORCE_VALUE => TX_CRC_FORCE_VALUE,
		TXFORCECRCERR => TXFORCECRCERR,
		RX_CRC_USE => RX_CRC_USE,
		TX_CRC_USE => TX_CRC_USE,
		CHAN_BOND_ONE_SHOT => CHAN_BOND_ONE_SHOT,
		CONFIGENABLE => CONFIGENABLE,
		CONFIGIN => CONFIGIN,
		CONFIGOUT => CONFIGOUT,
		CRC_END_OF_PKT => CRC_END_OF_PKT,
		CRC_FORMAT => CRC_FORMAT,
		CRC_START_OF_PKT => CRC_START_OF_PKT,
		CHAN_BOND_LIMIT => CHAN_BOND_LIMIT,
		ALIGN_COMMA_MSB => ALIGN_COMMA_MSB,
		CHAN_BOND_MODE => CHAN_BOND_MODE,
		CHAN_BOND_OFFSET => CHAN_BOND_OFFSET,
		CHAN_BOND_SEQ_1_1 => CHAN_BOND_SEQ_1_1,
		CHAN_BOND_SEQ_1_2 => CHAN_BOND_SEQ_1_2,
		CHAN_BOND_SEQ_1_3 => CHAN_BOND_SEQ_1_3,
		CHAN_BOND_SEQ_1_4 => CHAN_BOND_SEQ_1_4,
		CHAN_BOND_SEQ_2_1 => CHAN_BOND_SEQ_2_1,
		CHAN_BOND_SEQ_2_2 => CHAN_BOND_SEQ_2_2,
		CHAN_BOND_SEQ_2_3 => CHAN_BOND_SEQ_2_3,
		CHAN_BOND_SEQ_2_4 => CHAN_BOND_SEQ_2_4,
		CHAN_BOND_SEQ_2_USE => CHAN_BOND_SEQ_2_USE,
		CHAN_BOND_SEQ_LEN => CHAN_BOND_SEQ_LEN,
		CHAN_BOND_WAIT => CHAN_BOND_WAIT,
		CHBONDDONE => CHBONDDONE,
		CHBONDI => CHBONDI,
		CHBONDO => CHBONDO,
		CLK_COR_INSERT_IDLE_FLAG => CLK_COR_INSERT_IDLE_FLAG,
		CLK_COR_KEEP_IDLE => CLK_COR_KEEP_IDLE,
		CLK_COR_REPEAT_WAIT => CLK_COR_REPEAT_WAIT,
		CLK_COR_SEQ_1_1 => CLK_COR_SEQ_1_1,
		CLK_COR_SEQ_1_2 => CLK_COR_SEQ_1_2,
		CLK_COR_SEQ_1_3 => CLK_COR_SEQ_1_3,
		CLK_COR_SEQ_1_4 => CLK_COR_SEQ_1_4,
		CLK_COR_SEQ_2_1 => CLK_COR_SEQ_2_1,
		CLK_COR_SEQ_2_2 => CLK_COR_SEQ_2_2,
		CLK_COR_SEQ_2_3 => CLK_COR_SEQ_2_3,
		CLK_COR_SEQ_2_4 => CLK_COR_SEQ_2_4,
		CLK_COR_SEQ_2_USE => CLK_COR_SEQ_2_USE,
		CLK_COR_SEQ_LEN => CLK_COR_SEQ_LEN,
		CLK_CORRECT_USE => CLK_CORRECT_USE,
		COMMA_10B_MASK => COMMA_10B_MASK,
		DEC_MCOMMA_DETECT => DEC_MCOMMA_DETECT,
		DEC_PCOMMA_DETECT => DEC_PCOMMA_DETECT,
		DEC_VALID_COMMA_ONLY => DEC_VALID_COMMA_ONLY,
		ENCHANSYNC => ENCHANSYNC,
		LOOPBACK => LOOPBACK,
		MCOMMA_10B_VALUE => MCOMMA_10B_VALUE,
		MCOMMA_DETECT => MCOMMA_DETECT,
		PCOMMA_10B_VALUE => PCOMMA_10B_VALUE,
		PCOMMA_DETECT => PCOMMA_DETECT,
		POWERDOWN => POWERDOWN,
		GSR => GSR,
		REFCLK => REFCLK,
		REFCLK2 => REFCLK2,
		REFCLKSEL => REFCLKSEL,
		RX_BUFFER_USE => RX_BUFFER_USE,
		RX_DATA_WIDTH => RX_DATA_WIDTH,
		RX_DECODE_USE => RX_DECODE_USE,
		RX_LOSS_OF_SYNC_FSM => RX_LOSS_OF_SYNC_FSM,
		RX_LOS_INVALID_INCR => RX_LOS_INVALID_INCR,
		RX_LOS_THRESHOLD => RX_LOS_THRESHOLD,
		RXN => RXN,
		RXP => RXP,
		RXLOSSOFSYNC => RXLOSSOFSYNC,
		RXCLKCORCNT => RXCLKCORCNT,
		RXBUFSTATUS => RXBUFSTATUS,
		RXCHARISCOMMA => RXCHARISCOMMA,
		RXCHARISK => RXCHARISK,
		RXCOMMADET => RXCOMMADET,
		RXDATA => RXDATA,
		RXDISPERR => RXDISPERR,
		RXNOTINTABLE => RXNOTINTABLE,
		RXCHECKINGCRC => RXCHECKINGCRC,
		RXCRCERR => RXCRCERR,
		RXPOLARITY => RXPOLARITY,
		RXREALIGN => RXREALIGN,
		RXRECCLK => RXRECCLK,
		RXRESET => RXRESET,
		RXRUNDISP => RXRUNDISP,
		RXUSRCLK => RXUSRCLK,
		RXUSRCLK2 => RXUSRCLK2,
		TX_DIFF_CTRL => TX_DIFF_CTRL,
		TX_PREEMPHASIS => TX_PREEMPHASIS,
		TERMINATION_IMP => TERMINATION_IMP,
		SERDES_10B => SERDES_10B,
		TX_BUFFER_USE => TX_BUFFER_USE,
		TX_DATA_WIDTH => TX_DATA_WIDTH,
		TXBUFERR => TXBUFERR,
		TXBYPASS8B10B => TXBYPASS8B10B,
		TXCHARDISPMODE => TXCHARDISPMODE,
		TXCHARDISPVAL => TXCHARDISPVAL,
		TXCHARISK => TXCHARISK,
		TXDATA => TXDATA,
		TXKERR => TXKERR,
		TXN => TXN,
		TXP => TXP,
		TXINHIBIT => TXINHIBIT,
		TXPOLARITY => TXPOLARITY,
		TXRESET => TXRESET,
		TXRUNDISP => TXRUNDISP,
		TXUSRCLK => TXUSRCLK,
		TXUSRCLK2 => TXUSRCLK2,
		ENMCOMMAALIGN => ENMCOMMAALIGN,
		ENPCOMMAALIGN => ENPCOMMAALIGN,
		BREFCLK => BREFCLK,
		BREFCLK2 => BREFCLK2,
		REF_CLK_V_SEL => REF_CLK_V_SEL
);
end GT_SWIFT_BUS_v;
library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity GTP_DUAL_SWIFT_BUS is
	port (
		DO                   : out std_logic_vector(15 downto 0);
		DRDY                 : out std_ulogic;
		PHYSTATUS0           : out std_ulogic;
		PHYSTATUS1           : out std_ulogic;
		PLLLKDET             : out std_ulogic;
		REFCLKOUT            : out std_ulogic;
		RESETDONE0           : out std_ulogic;
		RESETDONE1           : out std_ulogic;
		RXBUFSTATUS0         : out std_logic_vector(2 downto 0);
		RXBUFSTATUS1         : out std_logic_vector(2 downto 0);
		RXBYTEISALIGNED0     : out std_ulogic;
		RXBYTEISALIGNED1     : out std_ulogic;
		RXBYTEREALIGN0       : out std_ulogic;
		RXBYTEREALIGN1       : out std_ulogic;
		RXCHANBONDSEQ0       : out std_ulogic;
		RXCHANBONDSEQ1       : out std_ulogic;
		RXCHANISALIGNED0     : out std_ulogic;
		RXCHANISALIGNED1     : out std_ulogic;
		RXCHANREALIGN0       : out std_ulogic;
		RXCHANREALIGN1       : out std_ulogic;
		RXCHARISCOMMA0       : out std_logic_vector(1 downto 0);
		RXCHARISCOMMA1       : out std_logic_vector(1 downto 0);
		RXCHARISK0           : out std_logic_vector(1 downto 0);
		RXCHARISK1           : out std_logic_vector(1 downto 0);
		RXCHBONDO0           : out std_logic_vector(2 downto 0);
		RXCHBONDO1           : out std_logic_vector(2 downto 0);
		RXCLKCORCNT0         : out std_logic_vector(2 downto 0);
		RXCLKCORCNT1         : out std_logic_vector(2 downto 0);
		RXCOMMADET0          : out std_ulogic;
		RXCOMMADET1          : out std_ulogic;
		RXDATA0              : out std_logic_vector(15 downto 0);
		RXDATA1              : out std_logic_vector(15 downto 0);
		RXDISPERR0           : out std_logic_vector(1 downto 0);
		RXDISPERR1           : out std_logic_vector(1 downto 0);
		RXELECIDLE0          : out std_ulogic;
		RXELECIDLE1          : out std_ulogic;
		RXLOSSOFSYNC0        : out std_logic_vector(1 downto 0);
		RXLOSSOFSYNC1        : out std_logic_vector(1 downto 0);
		RXNOTINTABLE0        : out std_logic_vector(1 downto 0);
		RXNOTINTABLE1        : out std_logic_vector(1 downto 0);
		RXOVERSAMPLEERR0     : out std_ulogic;
		RXOVERSAMPLEERR1     : out std_ulogic;
		RXPRBSERR0           : out std_ulogic;
		RXPRBSERR1           : out std_ulogic;
		RXRECCLK0            : out std_ulogic;
		RXRECCLK1            : out std_ulogic;
		RXRUNDISP0           : out std_logic_vector(1 downto 0);
		RXRUNDISP1           : out std_logic_vector(1 downto 0);
		RXSTATUS0            : out std_logic_vector(2 downto 0);
		RXSTATUS1            : out std_logic_vector(2 downto 0);
		RXVALID0             : out std_ulogic;
		RXVALID1             : out std_ulogic;
		TXBUFSTATUS0         : out std_logic_vector(1 downto 0);
		TXBUFSTATUS1         : out std_logic_vector(1 downto 0);
		TXKERR0              : out std_logic_vector(1 downto 0);
		TXKERR1              : out std_logic_vector(1 downto 0);
		TXN0                 : out std_ulogic;
		TXN1                 : out std_ulogic;
		TXOUTCLK0            : out std_ulogic;
		TXOUTCLK1            : out std_ulogic;
		TXP0                 : out std_ulogic;
		TXP1                 : out std_ulogic;
		TXRUNDISP0           : out std_logic_vector(1 downto 0);
		TXRUNDISP1           : out std_logic_vector(1 downto 0);

		CLKIN                : in std_ulogic;
		DADDR                : in std_logic_vector(6 downto 0);
		DCLK                 : in std_ulogic;
		DEN                  : in std_ulogic;
		DI                   : in std_logic_vector(15 downto 0);
		DWE                  : in std_ulogic;
		GSR                  : in std_ulogic;
		GTPRESET             : in std_ulogic;
		GTPTEST              : in std_logic_vector(3 downto 0);
		INTDATAWIDTH         : in std_ulogic;
		LOOPBACK0            : in std_logic_vector(2 downto 0);
		LOOPBACK1            : in std_logic_vector(2 downto 0);
		PLLLKDETEN           : in std_ulogic;
		PLLPOWERDOWN         : in std_ulogic;
		PRBSCNTRESET0        : in std_ulogic;
		PRBSCNTRESET1        : in std_ulogic;
		REFCLKPWRDNB         : in std_ulogic;
		RXBUFRESET0          : in std_ulogic;
		RXBUFRESET1          : in std_ulogic;
		RXCDRRESET0          : in std_ulogic;
		RXCDRRESET1          : in std_ulogic;
		RXCHBONDI0           : in std_logic_vector(2 downto 0);
		RXCHBONDI1           : in std_logic_vector(2 downto 0);
		RXCOMMADETUSE0       : in std_ulogic;
		RXCOMMADETUSE1       : in std_ulogic;
		RXDATAWIDTH0         : in std_ulogic;
		RXDATAWIDTH1         : in std_ulogic;
		RXDEC8B10BUSE0       : in std_ulogic;
		RXDEC8B10BUSE1       : in std_ulogic;
		RXELECIDLERESET0     : in std_ulogic;
		RXELECIDLERESET1     : in std_ulogic;
		RXENCHANSYNC0        : in std_ulogic;
		RXENCHANSYNC1        : in std_ulogic;
		RXENELECIDLERESETB   : in std_ulogic;
		RXENEQB0             : in std_ulogic;
		RXENEQB1             : in std_ulogic;
		RXENMCOMMAALIGN0     : in std_ulogic;
		RXENMCOMMAALIGN1     : in std_ulogic;
		RXENPCOMMAALIGN0     : in std_ulogic;
		RXENPCOMMAALIGN1     : in std_ulogic;
		RXENPRBSTST0         : in std_logic_vector(1 downto 0);
		RXENPRBSTST1         : in std_logic_vector(1 downto 0);
		RXENSAMPLEALIGN0     : in std_ulogic;
		RXENSAMPLEALIGN1     : in std_ulogic;
		RXEQMIX0             : in std_logic_vector(1 downto 0);
		RXEQMIX1             : in std_logic_vector(1 downto 0);
		RXEQPOLE0            : in std_logic_vector(3 downto 0);
		RXEQPOLE1            : in std_logic_vector(3 downto 0);
		RXN0                 : in std_ulogic;
		RXN1                 : in std_ulogic;
		RXP0                 : in std_ulogic;
		RXP1                 : in std_ulogic;
		RXPMASETPHASE0       : in std_ulogic;
		RXPMASETPHASE1       : in std_ulogic;
		RXPOLARITY0          : in std_ulogic;
		RXPOLARITY1          : in std_ulogic;
		RXPOWERDOWN0         : in std_logic_vector(1 downto 0);
		RXPOWERDOWN1         : in std_logic_vector(1 downto 0);
		RXRESET0             : in std_ulogic;
		RXRESET1             : in std_ulogic;
		RXSLIDE0             : in std_ulogic;
		RXSLIDE1             : in std_ulogic;
		RXUSRCLK0            : in std_ulogic;
		RXUSRCLK1            : in std_ulogic;
		RXUSRCLK20           : in std_ulogic;
		RXUSRCLK21           : in std_ulogic;
		TXBUFDIFFCTRL0       : in std_logic_vector(2 downto 0);
		TXBUFDIFFCTRL1       : in std_logic_vector(2 downto 0);
		TXBYPASS8B10B0       : in std_logic_vector(1 downto 0);
		TXBYPASS8B10B1       : in std_logic_vector(1 downto 0);
		TXCHARDISPMODE0      : in std_logic_vector(1 downto 0);
		TXCHARDISPMODE1      : in std_logic_vector(1 downto 0);
		TXCHARDISPVAL0       : in std_logic_vector(1 downto 0);
		TXCHARDISPVAL1       : in std_logic_vector(1 downto 0);
		TXCHARISK0           : in std_logic_vector(1 downto 0);
		TXCHARISK1           : in std_logic_vector(1 downto 0);
		TXCOMSTART0          : in std_ulogic;
		TXCOMSTART1          : in std_ulogic;
		TXCOMTYPE0           : in std_ulogic;
		TXCOMTYPE1           : in std_ulogic;
		TXDATA0              : in std_logic_vector(15 downto 0);
		TXDATA1              : in std_logic_vector(15 downto 0);
		TXDATAWIDTH0         : in std_ulogic;
		TXDATAWIDTH1         : in std_ulogic;
		TXDETECTRX0          : in std_ulogic;
		TXDETECTRX1          : in std_ulogic;
		TXDIFFCTRL0          : in std_logic_vector(2 downto 0);
		TXDIFFCTRL1          : in std_logic_vector(2 downto 0);
		TXELECIDLE0          : in std_ulogic;
		TXELECIDLE1          : in std_ulogic;
		TXENC8B10BUSE0       : in std_ulogic;
		TXENC8B10BUSE1       : in std_ulogic;
		TXENPMAPHASEALIGN    : in std_ulogic;
		TXENPRBSTST0         : in std_logic_vector(1 downto 0);
		TXENPRBSTST1         : in std_logic_vector(1 downto 0);
		TXINHIBIT0           : in std_ulogic;
		TXINHIBIT1           : in std_ulogic;
		TXPMASETPHASE        : in std_ulogic;
		TXPOLARITY0          : in std_ulogic;
		TXPOLARITY1          : in std_ulogic;
		TXPOWERDOWN0         : in std_logic_vector(1 downto 0);
		TXPOWERDOWN1         : in std_logic_vector(1 downto 0);
		TXPREEMPHASIS0       : in std_logic_vector(2 downto 0);
		TXPREEMPHASIS1       : in std_logic_vector(2 downto 0);
		TXRESET0             : in std_ulogic;
		TXRESET1             : in std_ulogic;
		TXUSRCLK0            : in std_ulogic;
		TXUSRCLK1            : in std_ulogic;
		TXUSRCLK20           : in std_ulogic;
		TXUSRCLK21           : in std_ulogic;

		AC_CAP_DIS_0         : in std_ulogic;
		AC_CAP_DIS_1         : in std_ulogic;
		ALIGN_COMMA_WORD_0   : in std_ulogic;
		ALIGN_COMMA_WORD_1   : in std_ulogic;
		CHAN_BOND_1_MAX_SKEW_0 : in std_logic_vector(3 downto 0);
		CHAN_BOND_1_MAX_SKEW_1 : in std_logic_vector(3 downto 0);
		CHAN_BOND_2_MAX_SKEW_0 : in std_logic_vector(3 downto 0);
		CHAN_BOND_2_MAX_SKEW_1 : in std_logic_vector(3 downto 0);
		CHAN_BOND_LEVEL_0    : in std_logic_vector(2 downto 0);
		CHAN_BOND_LEVEL_1    : in std_logic_vector(2 downto 0);
		CHAN_BOND_MODE_0     : in std_logic_vector(1 downto 0);
		CHAN_BOND_MODE_1     : in std_logic_vector(1 downto 0);
		CHAN_BOND_SEQ_1_1_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_1_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_2_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_2_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_3_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_3_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_4_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_4_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_ENABLE_0 : in std_logic_vector(3 downto 0);
		CHAN_BOND_SEQ_1_ENABLE_1 : in std_logic_vector(3 downto 0);
		CHAN_BOND_SEQ_2_1_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_1_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_2_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_2_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_3_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_3_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_4_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_4_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_ENABLE_0 : in std_logic_vector(3 downto 0);
		CHAN_BOND_SEQ_2_ENABLE_1 : in std_logic_vector(3 downto 0);
		CHAN_BOND_SEQ_2_USE_0 : in std_ulogic;
		CHAN_BOND_SEQ_2_USE_1 : in std_ulogic;
		CHAN_BOND_SEQ_LEN_0  : in std_logic_vector(1 downto 0);
		CHAN_BOND_SEQ_LEN_1  : in std_logic_vector(1 downto 0);
		CLK25_DIVIDER        : in std_logic_vector(2 downto 0);
		CLKINDC_B            : in std_ulogic;
		CLK_CORRECT_USE_0    : in std_ulogic;
		CLK_CORRECT_USE_1    : in std_ulogic;
		CLK_COR_ADJ_LEN_0    : in std_logic_vector(1 downto 0);
		CLK_COR_ADJ_LEN_1    : in std_logic_vector(1 downto 0);
		CLK_COR_DET_LEN_0    : in std_logic_vector(1 downto 0);
		CLK_COR_DET_LEN_1    : in std_logic_vector(1 downto 0);
		CLK_COR_INSERT_IDLE_FLAG_0 : in std_ulogic;
		CLK_COR_INSERT_IDLE_FLAG_1 : in std_ulogic;
		CLK_COR_KEEP_IDLE_0  : in std_ulogic;
		CLK_COR_KEEP_IDLE_1  : in std_ulogic;
		CLK_COR_MAX_LAT_0    : in std_logic_vector(5 downto 0);
		CLK_COR_MAX_LAT_1    : in std_logic_vector(5 downto 0);
		CLK_COR_MIN_LAT_0    : in std_logic_vector(5 downto 0);
		CLK_COR_MIN_LAT_1    : in std_logic_vector(5 downto 0);
		CLK_COR_PRECEDENCE_0 : in std_ulogic;
		CLK_COR_PRECEDENCE_1 : in std_ulogic;
		CLK_COR_REPEAT_WAIT_0 : in std_logic_vector(4 downto 0);
		CLK_COR_REPEAT_WAIT_1 : in std_logic_vector(4 downto 0);
		CLK_COR_SEQ_1_1_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_1_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_2_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_2_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_3_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_3_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_4_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_4_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_ENABLE_0 : in std_logic_vector(3 downto 0);
		CLK_COR_SEQ_1_ENABLE_1 : in std_logic_vector(3 downto 0);
		CLK_COR_SEQ_2_1_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_1_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_2_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_2_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_3_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_3_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_4_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_4_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_ENABLE_0 : in std_logic_vector(3 downto 0);
		CLK_COR_SEQ_2_ENABLE_1 : in std_logic_vector(3 downto 0);
		CLK_COR_SEQ_2_USE_0  : in std_ulogic;
		CLK_COR_SEQ_2_USE_1  : in std_ulogic;
		COMMA_10B_ENABLE_0   : in std_logic_vector(9 downto 0);
		COMMA_10B_ENABLE_1   : in std_logic_vector(9 downto 0);
		COMMA_DOUBLE_0       : in std_ulogic;
		COMMA_DOUBLE_1       : in std_ulogic;
		COM_BURST_VAL_0      : in std_logic_vector(3 downto 0);
		COM_BURST_VAL_1      : in std_logic_vector(3 downto 0);
		DEC_MCOMMA_DETECT_0  : in std_ulogic;
		DEC_MCOMMA_DETECT_1  : in std_ulogic;
		DEC_PCOMMA_DETECT_0  : in std_ulogic;
		DEC_PCOMMA_DETECT_1  : in std_ulogic;
		DEC_VALID_COMMA_ONLY_0 : in std_ulogic;
		DEC_VALID_COMMA_ONLY_1 : in std_ulogic;
		MCOMMA_10B_VALUE_0   : in std_logic_vector(9 downto 0);
		MCOMMA_10B_VALUE_1   : in std_logic_vector(9 downto 0);
		MCOMMA_DETECT_0      : in std_ulogic;
		MCOMMA_DETECT_1      : in std_ulogic;
		OOBDETECT_THRESHOLD_0 : in std_logic_vector(2 downto 0);
		OOBDETECT_THRESHOLD_1 : in std_logic_vector(2 downto 0);
		OOB_CLK_DIVIDER      : in std_logic_vector(2 downto 0);
		OVERSAMPLE_MODE      : in std_ulogic;
		PCI_EXPRESS_MODE_0   : in std_ulogic;
		PCI_EXPRESS_MODE_1   : in std_ulogic;
		PCOMMA_10B_VALUE_0   : in std_logic_vector(9 downto 0);
		PCOMMA_10B_VALUE_1   : in std_logic_vector(9 downto 0);
		PCOMMA_DETECT_0      : in std_ulogic;
		PCOMMA_DETECT_1      : in std_ulogic;
		PLL_DIVSEL_FB        : in std_logic_vector(4 downto 0);
		PLL_DIVSEL_REF       : in std_logic_vector(5 downto 0);
		PLL_RXDIVSEL_OUT_0   : in std_logic_vector(1 downto 0);
		PLL_RXDIVSEL_OUT_1   : in std_logic_vector(1 downto 0);
		PLL_SATA_0           : in std_ulogic;
		PLL_SATA_1           : in std_ulogic;
		PLL_TXDIVSEL_COMM_OUT : in std_logic_vector(1 downto 0);
		PLL_TXDIVSEL_OUT_0   : in std_logic_vector(1 downto 0);
		PLL_TXDIVSEL_OUT_1   : in std_logic_vector(1 downto 0);
		PMA_CDR_SCAN_0       : in std_logic_vector(26 downto 0);
		PMA_CDR_SCAN_1       : in std_logic_vector(26 downto 0);
		PMA_RX_CFG_0         : in std_logic_vector(24 downto 0);
		PMA_RX_CFG_1         : in std_logic_vector(24 downto 0);
		PRBS_ERR_THRESHOLD_0 : in std_logic_vector(31 downto 0);
		PRBS_ERR_THRESHOLD_1 : in std_logic_vector(31 downto 0);
		RCV_TERM_GND_0       : in std_ulogic;
		RCV_TERM_GND_1       : in std_ulogic;
		RCV_TERM_MID_0       : in std_ulogic;
		RCV_TERM_MID_1       : in std_ulogic;
		RCV_TERM_VTTRX_0     : in std_ulogic;
		RCV_TERM_VTTRX_1     : in std_ulogic;
		RX_BUFFER_USE_0      : in std_ulogic;
		RX_BUFFER_USE_1      : in std_ulogic;
		RX_DECODE_SEQ_MATCH_0 : in std_ulogic;
		RX_DECODE_SEQ_MATCH_1 : in std_ulogic;
		RX_LOSS_OF_SYNC_FSM_0 : in std_ulogic;
		RX_LOSS_OF_SYNC_FSM_1 : in std_ulogic;
		RX_LOS_INVALID_INCR_0 : in std_logic_vector(2 downto 0);
		RX_LOS_INVALID_INCR_1 : in std_logic_vector(2 downto 0);
		RX_LOS_THRESHOLD_0   : in std_logic_vector(2 downto 0);
		RX_LOS_THRESHOLD_1   : in std_logic_vector(2 downto 0);
		RX_SLIDE_MODE_0      : in std_ulogic;
		RX_SLIDE_MODE_1      : in std_ulogic;
		RX_STATUS_FMT_0      : in std_ulogic;
		RX_STATUS_FMT_1      : in std_ulogic;
		RX_XCLK_SEL_0        : in std_ulogic;
		RX_XCLK_SEL_1        : in std_ulogic;
		SATA_BURST_VAL_0     : in std_logic_vector(2 downto 0);
		SATA_BURST_VAL_1     : in std_logic_vector(2 downto 0);
		SATA_IDLE_VAL_0      : in std_logic_vector(2 downto 0);
		SATA_IDLE_VAL_1      : in std_logic_vector(2 downto 0);
		SATA_MAX_BURST_0     : in std_logic_vector(5 downto 0);
		SATA_MAX_BURST_1     : in std_logic_vector(5 downto 0);
		SATA_MAX_INIT_0      : in std_logic_vector(5 downto 0);
		SATA_MAX_INIT_1      : in std_logic_vector(5 downto 0);
		SATA_MAX_WAKE_0      : in std_logic_vector(5 downto 0);
		SATA_MAX_WAKE_1      : in std_logic_vector(5 downto 0);
		SATA_MIN_BURST_0     : in std_logic_vector(5 downto 0);
		SATA_MIN_BURST_1     : in std_logic_vector(5 downto 0);
		SATA_MIN_INIT_0      : in std_logic_vector(5 downto 0);
		SATA_MIN_INIT_1      : in std_logic_vector(5 downto 0);
		SATA_MIN_WAKE_0      : in std_logic_vector(5 downto 0);
		SATA_MIN_WAKE_1      : in std_logic_vector(5 downto 0);
		SIM_GTPRESET_SPEEDUP : in std_ulogic;
		SIM_PLL_PERDIV2      : in std_logic_vector(8 downto 0);
                SIM_RECEIVER_DETECT_PASS0 : in std_ulogic;
                SIM_RECEIVER_DETECT_PASS1 : in std_ulogic;
		TERMINATION_CTRL     : in std_logic_vector(4 downto 0);
		TERMINATION_IMP_0    : in std_ulogic;
		TERMINATION_IMP_1    : in std_ulogic;
		TERMINATION_OVRD     : in std_ulogic;
		TRANS_TIME_FROM_P2_0 : in std_logic_vector(15 downto 0);
		TRANS_TIME_FROM_P2_1 : in std_logic_vector(15 downto 0);
		TRANS_TIME_NON_P2_0  : in std_logic_vector(15 downto 0);
		TRANS_TIME_NON_P2_1  : in std_logic_vector(15 downto 0);
		TRANS_TIME_TO_P2_0   : in std_logic_vector(15 downto 0);
		TRANS_TIME_TO_P2_1   : in std_logic_vector(15 downto 0);
		TXRX_INVERT_0        : in std_logic_vector(4 downto 0);
		TXRX_INVERT_1        : in std_logic_vector(4 downto 0);
		TX_BUFFER_USE_0      : in std_ulogic;
		TX_BUFFER_USE_1      : in std_ulogic;
		TX_DIFF_BOOST_0      : in std_ulogic;
		TX_DIFF_BOOST_1      : in std_ulogic;
		TX_SYNC_FILTERB      : in std_ulogic;
		TX_XCLK_SEL_0        : in std_ulogic;
		TX_XCLK_SEL_1        : in std_ulogic
	);
end GTP_DUAL_SWIFT_BUS;

architecture GTP_DUAL_SWIFT_BUS_v of GTP_DUAL_SWIFT_BUS is
component GTP_DUAL_SWIFT
	generic (
		DelayRange           : STRING := "MAX";
		MC_Reference         : STRING := "0000";
		TimingVersion        : STRING := "gtp_dual_swift"
		);
	port (
		DO                   : out std_logic_vector(15 downto 0);
		DRDY                 : out std_ulogic;
		PHYSTATUS0           : out std_ulogic;
		PHYSTATUS1           : out std_ulogic;
		PLLLKDET             : out std_ulogic;
		REFCLKOUT            : out std_ulogic;
		RESETDONE0           : out std_ulogic;
		RESETDONE1           : out std_ulogic;
		RXBUFSTATUS0         : out std_logic_vector(2 downto 0);
		RXBUFSTATUS1         : out std_logic_vector(2 downto 0);
		RXBYTEISALIGNED0     : out std_ulogic;
		RXBYTEISALIGNED1     : out std_ulogic;
		RXBYTEREALIGN0       : out std_ulogic;
		RXBYTEREALIGN1       : out std_ulogic;
		RXCHANBONDSEQ0       : out std_ulogic;
		RXCHANBONDSEQ1       : out std_ulogic;
		RXCHANISALIGNED0     : out std_ulogic;
		RXCHANISALIGNED1     : out std_ulogic;
		RXCHANREALIGN0       : out std_ulogic;
		RXCHANREALIGN1       : out std_ulogic;
		RXCHARISCOMMA0       : out std_logic_vector(1 downto 0);
		RXCHARISCOMMA1       : out std_logic_vector(1 downto 0);
		RXCHARISK0           : out std_logic_vector(1 downto 0);
		RXCHARISK1           : out std_logic_vector(1 downto 0);
		RXCHBONDO0           : out std_logic_vector(2 downto 0);
		RXCHBONDO1           : out std_logic_vector(2 downto 0);
		RXCLKCORCNT0         : out std_logic_vector(2 downto 0);
		RXCLKCORCNT1         : out std_logic_vector(2 downto 0);
		RXCOMMADET0          : out std_ulogic;
		RXCOMMADET1          : out std_ulogic;
		RXDATA0              : out std_logic_vector(15 downto 0);
		RXDATA1              : out std_logic_vector(15 downto 0);
		RXDISPERR0           : out std_logic_vector(1 downto 0);
		RXDISPERR1           : out std_logic_vector(1 downto 0);
		RXELECIDLE0          : out std_ulogic;
		RXELECIDLE1          : out std_ulogic;
		RXLOSSOFSYNC0        : out std_logic_vector(1 downto 0);
		RXLOSSOFSYNC1        : out std_logic_vector(1 downto 0);
		RXNOTINTABLE0        : out std_logic_vector(1 downto 0);
		RXNOTINTABLE1        : out std_logic_vector(1 downto 0);
		RXOVERSAMPLEERR0     : out std_ulogic;
		RXOVERSAMPLEERR1     : out std_ulogic;
		RXPRBSERR0           : out std_ulogic;
		RXPRBSERR1           : out std_ulogic;
		RXRECCLK0            : out std_ulogic;
		RXRECCLK1            : out std_ulogic;
		RXRUNDISP0           : out std_logic_vector(1 downto 0);
		RXRUNDISP1           : out std_logic_vector(1 downto 0);
		RXSTATUS0            : out std_logic_vector(2 downto 0);
		RXSTATUS1            : out std_logic_vector(2 downto 0);
		RXVALID0             : out std_ulogic;
		RXVALID1             : out std_ulogic;
		TXBUFSTATUS0         : out std_logic_vector(1 downto 0);
		TXBUFSTATUS1         : out std_logic_vector(1 downto 0);
		TXKERR0              : out std_logic_vector(1 downto 0);
		TXKERR1              : out std_logic_vector(1 downto 0);
		TXN0                 : out std_ulogic;
		TXN1                 : out std_ulogic;
		TXOUTCLK0            : out std_ulogic;
		TXOUTCLK1            : out std_ulogic;
		TXP0                 : out std_ulogic;
		TXP1                 : out std_ulogic;
		TXRUNDISP0           : out std_logic_vector(1 downto 0);
		TXRUNDISP1           : out std_logic_vector(1 downto 0);

		CLKIN                : in std_ulogic;
		DADDR                : in std_logic_vector(6 downto 0);
		DCLK                 : in std_ulogic;
		DEN                  : in std_ulogic;
		DI                   : in std_logic_vector(15 downto 0);
		DWE                  : in std_ulogic;
		GSR                  : in std_ulogic;
		GTPRESET             : in std_ulogic;
		GTPTEST              : in std_logic_vector(3 downto 0);
		INTDATAWIDTH         : in std_ulogic;
		LOOPBACK0            : in std_logic_vector(2 downto 0);
		LOOPBACK1            : in std_logic_vector(2 downto 0);
		PLLLKDETEN           : in std_ulogic;
		PLLPOWERDOWN         : in std_ulogic;
		PRBSCNTRESET0        : in std_ulogic;
		PRBSCNTRESET1        : in std_ulogic;
		REFCLKPWRDNB         : in std_ulogic;
		RXBUFRESET0          : in std_ulogic;
		RXBUFRESET1          : in std_ulogic;
		RXCDRRESET0          : in std_ulogic;
		RXCDRRESET1          : in std_ulogic;
		RXCHBONDI0           : in std_logic_vector(2 downto 0);
		RXCHBONDI1           : in std_logic_vector(2 downto 0);
		RXCOMMADETUSE0       : in std_ulogic;
		RXCOMMADETUSE1       : in std_ulogic;
		RXDATAWIDTH0         : in std_ulogic;
		RXDATAWIDTH1         : in std_ulogic;
		RXDEC8B10BUSE0       : in std_ulogic;
		RXDEC8B10BUSE1       : in std_ulogic;
		RXELECIDLERESET0     : in std_ulogic;
		RXELECIDLERESET1     : in std_ulogic;
		RXENCHANSYNC0        : in std_ulogic;
		RXENCHANSYNC1        : in std_ulogic;
		RXENELECIDLERESETB   : in std_ulogic;
		RXENEQB0             : in std_ulogic;
		RXENEQB1             : in std_ulogic;
		RXENMCOMMAALIGN0     : in std_ulogic;
		RXENMCOMMAALIGN1     : in std_ulogic;
		RXENPCOMMAALIGN0     : in std_ulogic;
		RXENPCOMMAALIGN1     : in std_ulogic;
		RXENPRBSTST0         : in std_logic_vector(1 downto 0);
		RXENPRBSTST1         : in std_logic_vector(1 downto 0);
		RXENSAMPLEALIGN0     : in std_ulogic;
		RXENSAMPLEALIGN1     : in std_ulogic;
		RXEQMIX0             : in std_logic_vector(1 downto 0);
		RXEQMIX1             : in std_logic_vector(1 downto 0);
		RXEQPOLE0            : in std_logic_vector(3 downto 0);
		RXEQPOLE1            : in std_logic_vector(3 downto 0);
		RXN0                 : in std_ulogic;
		RXN1                 : in std_ulogic;
		RXP0                 : in std_ulogic;
		RXP1                 : in std_ulogic;
		RXPMASETPHASE0       : in std_ulogic;
		RXPMASETPHASE1       : in std_ulogic;
		RXPOLARITY0          : in std_ulogic;
		RXPOLARITY1          : in std_ulogic;
		RXPOWERDOWN0         : in std_logic_vector(1 downto 0);
		RXPOWERDOWN1         : in std_logic_vector(1 downto 0);
		RXRESET0             : in std_ulogic;
		RXRESET1             : in std_ulogic;
		RXSLIDE0             : in std_ulogic;
		RXSLIDE1             : in std_ulogic;
		RXUSRCLK0            : in std_ulogic;
		RXUSRCLK1            : in std_ulogic;
		RXUSRCLK20           : in std_ulogic;
		RXUSRCLK21           : in std_ulogic;
		TXBUFDIFFCTRL0       : in std_logic_vector(2 downto 0);
		TXBUFDIFFCTRL1       : in std_logic_vector(2 downto 0);
		TXBYPASS8B10B0       : in std_logic_vector(1 downto 0);
		TXBYPASS8B10B1       : in std_logic_vector(1 downto 0);
		TXCHARDISPMODE0      : in std_logic_vector(1 downto 0);
		TXCHARDISPMODE1      : in std_logic_vector(1 downto 0);
		TXCHARDISPVAL0       : in std_logic_vector(1 downto 0);
		TXCHARDISPVAL1       : in std_logic_vector(1 downto 0);
		TXCHARISK0           : in std_logic_vector(1 downto 0);
		TXCHARISK1           : in std_logic_vector(1 downto 0);
		TXCOMSTART0          : in std_ulogic;
		TXCOMSTART1          : in std_ulogic;
		TXCOMTYPE0           : in std_ulogic;
		TXCOMTYPE1           : in std_ulogic;
		TXDATA0              : in std_logic_vector(15 downto 0);
		TXDATA1              : in std_logic_vector(15 downto 0);
		TXDATAWIDTH0         : in std_ulogic;
		TXDATAWIDTH1         : in std_ulogic;
		TXDETECTRX0          : in std_ulogic;
		TXDETECTRX1          : in std_ulogic;
		TXDIFFCTRL0          : in std_logic_vector(2 downto 0);
		TXDIFFCTRL1          : in std_logic_vector(2 downto 0);
		TXELECIDLE0          : in std_ulogic;
		TXELECIDLE1          : in std_ulogic;
		TXENC8B10BUSE0       : in std_ulogic;
		TXENC8B10BUSE1       : in std_ulogic;
		TXENPMAPHASEALIGN    : in std_ulogic;
		TXENPRBSTST0         : in std_logic_vector(1 downto 0);
		TXENPRBSTST1         : in std_logic_vector(1 downto 0);
		TXINHIBIT0           : in std_ulogic;
		TXINHIBIT1           : in std_ulogic;
		TXPMASETPHASE        : in std_ulogic;
		TXPOLARITY0          : in std_ulogic;
		TXPOLARITY1          : in std_ulogic;
		TXPOWERDOWN0         : in std_logic_vector(1 downto 0);
		TXPOWERDOWN1         : in std_logic_vector(1 downto 0);
		TXPREEMPHASIS0       : in std_logic_vector(2 downto 0);
		TXPREEMPHASIS1       : in std_logic_vector(2 downto 0);
		TXRESET0             : in std_ulogic;
		TXRESET1             : in std_ulogic;
		TXUSRCLK0            : in std_ulogic;
		TXUSRCLK1            : in std_ulogic;
		TXUSRCLK20           : in std_ulogic;
		TXUSRCLK21           : in std_ulogic;

		AC_CAP_DIS_0         : in std_ulogic;
		AC_CAP_DIS_1         : in std_ulogic;
		ALIGN_COMMA_WORD_0   : in std_ulogic;
		ALIGN_COMMA_WORD_1   : in std_ulogic;
		CHAN_BOND_1_MAX_SKEW_0 : in std_logic_vector(3 downto 0);
		CHAN_BOND_1_MAX_SKEW_1 : in std_logic_vector(3 downto 0);
		CHAN_BOND_2_MAX_SKEW_0 : in std_logic_vector(3 downto 0);
		CHAN_BOND_2_MAX_SKEW_1 : in std_logic_vector(3 downto 0);
		CHAN_BOND_LEVEL_0    : in std_logic_vector(2 downto 0);
		CHAN_BOND_LEVEL_1    : in std_logic_vector(2 downto 0);
		CHAN_BOND_MODE_0     : in std_logic_vector(1 downto 0);
		CHAN_BOND_MODE_1     : in std_logic_vector(1 downto 0);
		CHAN_BOND_SEQ_1_1_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_1_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_2_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_2_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_3_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_3_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_4_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_4_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_1_ENABLE_0 : in std_logic_vector(3 downto 0);
		CHAN_BOND_SEQ_1_ENABLE_1 : in std_logic_vector(3 downto 0);
		CHAN_BOND_SEQ_2_1_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_1_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_2_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_2_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_3_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_3_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_4_0  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_4_1  : in std_logic_vector(9 downto 0);
		CHAN_BOND_SEQ_2_ENABLE_0 : in std_logic_vector(3 downto 0);
		CHAN_BOND_SEQ_2_ENABLE_1 : in std_logic_vector(3 downto 0);
		CHAN_BOND_SEQ_2_USE_0 : in std_ulogic;
		CHAN_BOND_SEQ_2_USE_1 : in std_ulogic;
		CHAN_BOND_SEQ_LEN_0  : in std_logic_vector(1 downto 0);
		CHAN_BOND_SEQ_LEN_1  : in std_logic_vector(1 downto 0);
		CLK25_DIVIDER        : in std_logic_vector(2 downto 0);
		CLKINDC_B            : in std_ulogic;
		CLK_CORRECT_USE_0    : in std_ulogic;
		CLK_CORRECT_USE_1    : in std_ulogic;
		CLK_COR_ADJ_LEN_0    : in std_logic_vector(1 downto 0);
		CLK_COR_ADJ_LEN_1    : in std_logic_vector(1 downto 0);
		CLK_COR_DET_LEN_0    : in std_logic_vector(1 downto 0);
		CLK_COR_DET_LEN_1    : in std_logic_vector(1 downto 0);
		CLK_COR_INSERT_IDLE_FLAG_0 : in std_ulogic;
		CLK_COR_INSERT_IDLE_FLAG_1 : in std_ulogic;
		CLK_COR_KEEP_IDLE_0  : in std_ulogic;
		CLK_COR_KEEP_IDLE_1  : in std_ulogic;
		CLK_COR_MAX_LAT_0    : in std_logic_vector(5 downto 0);
		CLK_COR_MAX_LAT_1    : in std_logic_vector(5 downto 0);
		CLK_COR_MIN_LAT_0    : in std_logic_vector(5 downto 0);
		CLK_COR_MIN_LAT_1    : in std_logic_vector(5 downto 0);
		CLK_COR_PRECEDENCE_0 : in std_ulogic;
		CLK_COR_PRECEDENCE_1 : in std_ulogic;
		CLK_COR_REPEAT_WAIT_0 : in std_logic_vector(4 downto 0);
		CLK_COR_REPEAT_WAIT_1 : in std_logic_vector(4 downto 0);
		CLK_COR_SEQ_1_1_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_1_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_2_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_2_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_3_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_3_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_4_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_4_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_1_ENABLE_0 : in std_logic_vector(3 downto 0);
		CLK_COR_SEQ_1_ENABLE_1 : in std_logic_vector(3 downto 0);
		CLK_COR_SEQ_2_1_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_1_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_2_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_2_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_3_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_3_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_4_0    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_4_1    : in std_logic_vector(9 downto 0);
		CLK_COR_SEQ_2_ENABLE_0 : in std_logic_vector(3 downto 0);
		CLK_COR_SEQ_2_ENABLE_1 : in std_logic_vector(3 downto 0);
		CLK_COR_SEQ_2_USE_0  : in std_ulogic;
		CLK_COR_SEQ_2_USE_1  : in std_ulogic;
		COMMA_10B_ENABLE_0   : in std_logic_vector(9 downto 0);
		COMMA_10B_ENABLE_1   : in std_logic_vector(9 downto 0);
		COMMA_DOUBLE_0       : in std_ulogic;
		COMMA_DOUBLE_1       : in std_ulogic;
		COM_BURST_VAL_0      : in std_logic_vector(3 downto 0);
		COM_BURST_VAL_1      : in std_logic_vector(3 downto 0);
		DEC_MCOMMA_DETECT_0  : in std_ulogic;
		DEC_MCOMMA_DETECT_1  : in std_ulogic;
		DEC_PCOMMA_DETECT_0  : in std_ulogic;
		DEC_PCOMMA_DETECT_1  : in std_ulogic;
		DEC_VALID_COMMA_ONLY_0 : in std_ulogic;
		DEC_VALID_COMMA_ONLY_1 : in std_ulogic;
		MCOMMA_10B_VALUE_0   : in std_logic_vector(9 downto 0);
		MCOMMA_10B_VALUE_1   : in std_logic_vector(9 downto 0);
		MCOMMA_DETECT_0      : in std_ulogic;
		MCOMMA_DETECT_1      : in std_ulogic;
		OOBDETECT_THRESHOLD_0 : in std_logic_vector(2 downto 0);
		OOBDETECT_THRESHOLD_1 : in std_logic_vector(2 downto 0);
		OOB_CLK_DIVIDER      : in std_logic_vector(2 downto 0);
		OVERSAMPLE_MODE      : in std_ulogic;
		PCI_EXPRESS_MODE_0   : in std_ulogic;
		PCI_EXPRESS_MODE_1   : in std_ulogic;
		PCOMMA_10B_VALUE_0   : in std_logic_vector(9 downto 0);
		PCOMMA_10B_VALUE_1   : in std_logic_vector(9 downto 0);
		PCOMMA_DETECT_0      : in std_ulogic;
		PCOMMA_DETECT_1      : in std_ulogic;
		PLL_DIVSEL_FB        : in std_logic_vector(4 downto 0);
		PLL_DIVSEL_REF       : in std_logic_vector(5 downto 0);
		PLL_RXDIVSEL_OUT_0   : in std_logic_vector(1 downto 0);
		PLL_RXDIVSEL_OUT_1   : in std_logic_vector(1 downto 0);
		PLL_SATA_0           : in std_ulogic;
		PLL_SATA_1           : in std_ulogic;
		PLL_TXDIVSEL_COMM_OUT : in std_logic_vector(1 downto 0);
		PLL_TXDIVSEL_OUT_0   : in std_logic_vector(1 downto 0);
		PLL_TXDIVSEL_OUT_1   : in std_logic_vector(1 downto 0);
		PMA_CDR_SCAN_0       : in std_logic_vector(26 downto 0);
		PMA_CDR_SCAN_1       : in std_logic_vector(26 downto 0);
		PMA_RX_CFG_0         : in std_logic_vector(24 downto 0);
		PMA_RX_CFG_1         : in std_logic_vector(24 downto 0);
		PRBS_ERR_THRESHOLD_0 : in std_logic_vector(31 downto 0);
		PRBS_ERR_THRESHOLD_1 : in std_logic_vector(31 downto 0);
		RCV_TERM_GND_0       : in std_ulogic;
		RCV_TERM_GND_1       : in std_ulogic;
		RCV_TERM_MID_0       : in std_ulogic;
		RCV_TERM_MID_1       : in std_ulogic;
		RCV_TERM_VTTRX_0     : in std_ulogic;
		RCV_TERM_VTTRX_1     : in std_ulogic;
		RX_BUFFER_USE_0      : in std_ulogic;
		RX_BUFFER_USE_1      : in std_ulogic;
		RX_DECODE_SEQ_MATCH_0 : in std_ulogic;
		RX_DECODE_SEQ_MATCH_1 : in std_ulogic;
		RX_LOSS_OF_SYNC_FSM_0 : in std_ulogic;
		RX_LOSS_OF_SYNC_FSM_1 : in std_ulogic;
		RX_LOS_INVALID_INCR_0 : in std_logic_vector(2 downto 0);
		RX_LOS_INVALID_INCR_1 : in std_logic_vector(2 downto 0);
		RX_LOS_THRESHOLD_0   : in std_logic_vector(2 downto 0);
		RX_LOS_THRESHOLD_1   : in std_logic_vector(2 downto 0);
		RX_SLIDE_MODE_0      : in std_ulogic;
		RX_SLIDE_MODE_1      : in std_ulogic;
		RX_STATUS_FMT_0      : in std_ulogic;
		RX_STATUS_FMT_1      : in std_ulogic;
		RX_XCLK_SEL_0        : in std_ulogic;
		RX_XCLK_SEL_1        : in std_ulogic;
		SATA_BURST_VAL_0     : in std_logic_vector(2 downto 0);
		SATA_BURST_VAL_1     : in std_logic_vector(2 downto 0);
		SATA_IDLE_VAL_0      : in std_logic_vector(2 downto 0);
		SATA_IDLE_VAL_1      : in std_logic_vector(2 downto 0);
		SATA_MAX_BURST_0     : in std_logic_vector(5 downto 0);
		SATA_MAX_BURST_1     : in std_logic_vector(5 downto 0);
		SATA_MAX_INIT_0      : in std_logic_vector(5 downto 0);
		SATA_MAX_INIT_1      : in std_logic_vector(5 downto 0);
		SATA_MAX_WAKE_0      : in std_logic_vector(5 downto 0);
		SATA_MAX_WAKE_1      : in std_logic_vector(5 downto 0);
		SATA_MIN_BURST_0     : in std_logic_vector(5 downto 0);
		SATA_MIN_BURST_1     : in std_logic_vector(5 downto 0);
		SATA_MIN_INIT_0      : in std_logic_vector(5 downto 0);
		SATA_MIN_INIT_1      : in std_logic_vector(5 downto 0);
		SATA_MIN_WAKE_0      : in std_logic_vector(5 downto 0);
		SATA_MIN_WAKE_1      : in std_logic_vector(5 downto 0);
		SIM_GTPRESET_SPEEDUP : in std_ulogic;
		SIM_PLL_PERDIV2      : in std_logic_vector(8 downto 0);
                SIM_RECEIVER_DETECT_PASS0 : in std_ulogic;
                SIM_RECEIVER_DETECT_PASS1 : in std_ulogic;
		TERMINATION_CTRL     : in std_logic_vector(4 downto 0);
		TERMINATION_IMP_0    : in std_ulogic;
		TERMINATION_IMP_1    : in std_ulogic;
		TERMINATION_OVRD     : in std_ulogic;
		TRANS_TIME_FROM_P2_0 : in std_logic_vector(15 downto 0);
		TRANS_TIME_FROM_P2_1 : in std_logic_vector(15 downto 0);
		TRANS_TIME_NON_P2_0  : in std_logic_vector(15 downto 0);
		TRANS_TIME_NON_P2_1  : in std_logic_vector(15 downto 0);
		TRANS_TIME_TO_P2_0   : in std_logic_vector(15 downto 0);
		TRANS_TIME_TO_P2_1   : in std_logic_vector(15 downto 0);
		TXRX_INVERT_0        : in std_logic_vector(4 downto 0);
		TXRX_INVERT_1        : in std_logic_vector(4 downto 0);
		TX_BUFFER_USE_0      : in std_ulogic;
		TX_BUFFER_USE_1      : in std_ulogic;
		TX_DIFF_BOOST_0      : in std_ulogic;
		TX_DIFF_BOOST_1      : in std_ulogic;
		TX_SYNC_FILTERB      : in std_ulogic;
		TX_XCLK_SEL_0        : in std_ulogic;
		TX_XCLK_SEL_1        : in std_ulogic
	);
end component;
for all: GTP_DUAL_SWIFT
use entity work.GTP_DUAL_SWIFT
	port map (
		DO_0                 => DO(0),
		DO_1                 => DO(1),
		DO_10                => DO(10),
		DO_11                => DO(11),
		DO_12                => DO(12),
		DO_13                => DO(13),
		DO_14                => DO(14),
		DO_15                => DO(15),
		DO_2                 => DO(2),
		DO_3                 => DO(3),
		DO_4                 => DO(4),
		DO_5                 => DO(5),
		DO_6                 => DO(6),
		DO_7                 => DO(7),
		DO_8                 => DO(8),
		DO_9                 => DO(9),
		DRDY                 => DRDY,
		PHYSTATUS0           => PHYSTATUS0,
		PHYSTATUS1           => PHYSTATUS1,
		PLLLKDET             => PLLLKDET,
		REFCLKOUT            => REFCLKOUT,
		RESETDONE0           => RESETDONE0,
		RESETDONE1           => RESETDONE1,
		RXBUFSTATUS0_0       => RXBUFSTATUS0(0),
		RXBUFSTATUS0_1       => RXBUFSTATUS0(1),
		RXBUFSTATUS0_2       => RXBUFSTATUS0(2),
		RXBUFSTATUS1_0       => RXBUFSTATUS1(0),
		RXBUFSTATUS1_1       => RXBUFSTATUS1(1),
		RXBUFSTATUS1_2       => RXBUFSTATUS1(2),
		RXBYTEISALIGNED0     => RXBYTEISALIGNED0,
		RXBYTEISALIGNED1     => RXBYTEISALIGNED1,
		RXBYTEREALIGN0       => RXBYTEREALIGN0,
		RXBYTEREALIGN1       => RXBYTEREALIGN1,
		RXCHANBONDSEQ0       => RXCHANBONDSEQ0,
		RXCHANBONDSEQ1       => RXCHANBONDSEQ1,
		RXCHANISALIGNED0     => RXCHANISALIGNED0,
		RXCHANISALIGNED1     => RXCHANISALIGNED1,
		RXCHANREALIGN0       => RXCHANREALIGN0,
		RXCHANREALIGN1       => RXCHANREALIGN1,
		RXCHARISCOMMA0_0     => RXCHARISCOMMA0(0),
		RXCHARISCOMMA0_1     => RXCHARISCOMMA0(1),
		RXCHARISCOMMA1_0     => RXCHARISCOMMA1(0),
		RXCHARISCOMMA1_1     => RXCHARISCOMMA1(1),
		RXCHARISK0_0         => RXCHARISK0(0),
		RXCHARISK0_1         => RXCHARISK0(1),
		RXCHARISK1_0         => RXCHARISK1(0),
		RXCHARISK1_1         => RXCHARISK1(1),
		RXCHBONDO0_0         => RXCHBONDO0(0),
		RXCHBONDO0_1         => RXCHBONDO0(1),
		RXCHBONDO0_2         => RXCHBONDO0(2),
		RXCHBONDO1_0         => RXCHBONDO1(0),
		RXCHBONDO1_1         => RXCHBONDO1(1),
		RXCHBONDO1_2         => RXCHBONDO1(2),
		RXCLKCORCNT0_0       => RXCLKCORCNT0(0),
		RXCLKCORCNT0_1       => RXCLKCORCNT0(1),
		RXCLKCORCNT0_2       => RXCLKCORCNT0(2),
		RXCLKCORCNT1_0       => RXCLKCORCNT1(0),
		RXCLKCORCNT1_1       => RXCLKCORCNT1(1),
		RXCLKCORCNT1_2       => RXCLKCORCNT1(2),
		RXCOMMADET0          => RXCOMMADET0,
		RXCOMMADET1          => RXCOMMADET1,
		RXDATA0_0            => RXDATA0(0),
		RXDATA0_1            => RXDATA0(1),
		RXDATA0_10           => RXDATA0(10),
		RXDATA0_11           => RXDATA0(11),
		RXDATA0_12           => RXDATA0(12),
		RXDATA0_13           => RXDATA0(13),
		RXDATA0_14           => RXDATA0(14),
		RXDATA0_15           => RXDATA0(15),
		RXDATA0_2            => RXDATA0(2),
		RXDATA0_3            => RXDATA0(3),
		RXDATA0_4            => RXDATA0(4),
		RXDATA0_5            => RXDATA0(5),
		RXDATA0_6            => RXDATA0(6),
		RXDATA0_7            => RXDATA0(7),
		RXDATA0_8            => RXDATA0(8),
		RXDATA0_9            => RXDATA0(9),
		RXDATA1_0            => RXDATA1(0),
		RXDATA1_1            => RXDATA1(1),
		RXDATA1_10           => RXDATA1(10),
		RXDATA1_11           => RXDATA1(11),
		RXDATA1_12           => RXDATA1(12),
		RXDATA1_13           => RXDATA1(13),
		RXDATA1_14           => RXDATA1(14),
		RXDATA1_15           => RXDATA1(15),
		RXDATA1_2            => RXDATA1(2),
		RXDATA1_3            => RXDATA1(3),
		RXDATA1_4            => RXDATA1(4),
		RXDATA1_5            => RXDATA1(5),
		RXDATA1_6            => RXDATA1(6),
		RXDATA1_7            => RXDATA1(7),
		RXDATA1_8            => RXDATA1(8),
		RXDATA1_9            => RXDATA1(9),
		RXDISPERR0_0         => RXDISPERR0(0),
		RXDISPERR0_1         => RXDISPERR0(1),
		RXDISPERR1_0         => RXDISPERR1(0),
		RXDISPERR1_1         => RXDISPERR1(1),
		RXELECIDLE0          => RXELECIDLE0,
		RXELECIDLE1          => RXELECIDLE1,
		RXLOSSOFSYNC0_0      => RXLOSSOFSYNC0(0),
		RXLOSSOFSYNC0_1      => RXLOSSOFSYNC0(1),
		RXLOSSOFSYNC1_0      => RXLOSSOFSYNC1(0),
		RXLOSSOFSYNC1_1      => RXLOSSOFSYNC1(1),
                RXENELECIDLERESETB   => RXENELECIDLERESETB,
		RXNOTINTABLE0_0      => RXNOTINTABLE0(0),
		RXNOTINTABLE0_1      => RXNOTINTABLE0(1),
		RXNOTINTABLE1_0      => RXNOTINTABLE1(0),
		RXNOTINTABLE1_1      => RXNOTINTABLE1(1),
		RXOVERSAMPLEERR0     => RXOVERSAMPLEERR0,
		RXOVERSAMPLEERR1     => RXOVERSAMPLEERR1,
		RXPRBSERR0           => RXPRBSERR0,
		RXPRBSERR1           => RXPRBSERR1,
		RXRECCLK0            => RXRECCLK0,
		RXRECCLK1            => RXRECCLK1,
		RXRUNDISP0_0         => RXRUNDISP0(0),
		RXRUNDISP0_1         => RXRUNDISP0(1),
		RXRUNDISP1_0         => RXRUNDISP1(0),
		RXRUNDISP1_1         => RXRUNDISP1(1),
		RXSTATUS0_0          => RXSTATUS0(0),
		RXSTATUS0_1          => RXSTATUS0(1),
		RXSTATUS0_2          => RXSTATUS0(2),
		RXSTATUS1_0          => RXSTATUS1(0),
		RXSTATUS1_1          => RXSTATUS1(1),
		RXSTATUS1_2          => RXSTATUS1(2),
		RXVALID0             => RXVALID0,
		RXVALID1             => RXVALID1,
		TXBUFSTATUS0_0       => TXBUFSTATUS0(0),
		TXBUFSTATUS0_1       => TXBUFSTATUS0(1),
		TXBUFSTATUS1_0       => TXBUFSTATUS1(0),
		TXBUFSTATUS1_1       => TXBUFSTATUS1(1),
		TXKERR0_0            => TXKERR0(0),
		TXKERR0_1            => TXKERR0(1),
		TXKERR1_0            => TXKERR1(0),
		TXKERR1_1            => TXKERR1(1),
		TXN0                 => TXN0,
		TXN1                 => TXN1,
		TXOUTCLK0            => TXOUTCLK0,
		TXOUTCLK1            => TXOUTCLK1,
		TXP0                 => TXP0,
		TXP1                 => TXP1,
		TXRUNDISP0_0         => TXRUNDISP0(0),
		TXRUNDISP0_1         => TXRUNDISP0(1),
		TXRUNDISP1_0         => TXRUNDISP1(0),
		TXRUNDISP1_1         => TXRUNDISP1(1),

		CLKIN                => CLKIN,
		DADDR_0              => DADDR(0),
		DADDR_1              => DADDR(1),
		DADDR_2              => DADDR(2),
		DADDR_3              => DADDR(3),
		DADDR_4              => DADDR(4),
		DADDR_5              => DADDR(5),
		DADDR_6              => DADDR(6),
		DCLK                 => DCLK,
		DEN                  => DEN,
		DI_0                 => DI(0),
		DI_1                 => DI(1),
		DI_10                => DI(10),
		DI_11                => DI(11),
		DI_12                => DI(12),
		DI_13                => DI(13),
		DI_14                => DI(14),
		DI_15                => DI(15),
		DI_2                 => DI(2),
		DI_3                 => DI(3),
		DI_4                 => DI(4),
		DI_5                 => DI(5),
		DI_6                 => DI(6),
		DI_7                 => DI(7),
		DI_8                 => DI(8),
		DI_9                 => DI(9),
		DWE                  => DWE,
                GSR                  => GSR,
		GTPRESET             => GTPRESET,
                GTPTEST_0            => GTPTEST(0),
                GTPTEST_1            => GTPTEST(1),
                GTPTEST_2            => GTPTEST(2),
                GTPTEST_3            => GTPTEST(3),
		INTDATAWIDTH         => INTDATAWIDTH,
		LOOPBACK0_0          => LOOPBACK0(0),
		LOOPBACK0_1          => LOOPBACK0(1),
		LOOPBACK0_2          => LOOPBACK0(2),
		LOOPBACK1_0          => LOOPBACK1(0),
		LOOPBACK1_1          => LOOPBACK1(1),
		LOOPBACK1_2          => LOOPBACK1(2),
		PLLLKDETEN           => PLLLKDETEN,
		PLLPOWERDOWN         => PLLPOWERDOWN,
		PRBSCNTRESET0        => PRBSCNTRESET0,
		PRBSCNTRESET1        => PRBSCNTRESET1,
		REFCLKPWRDNB          => REFCLKPWRDNB,
		RXBUFRESET0          => RXBUFRESET0,
		RXBUFRESET1          => RXBUFRESET1,
		RXCDRRESET0          => RXCDRRESET0,
		RXCDRRESET1          => RXCDRRESET1,
		RXCHBONDI0_0         => RXCHBONDI0(0),
		RXCHBONDI0_1         => RXCHBONDI0(1),
		RXCHBONDI0_2         => RXCHBONDI0(2),
		RXCHBONDI1_0         => RXCHBONDI1(0),
		RXCHBONDI1_1         => RXCHBONDI1(1),
		RXCHBONDI1_2         => RXCHBONDI1(2),
		RXCOMMADETUSE0       => RXCOMMADETUSE0,
		RXCOMMADETUSE1       => RXCOMMADETUSE1,
		RXDATAWIDTH0         => RXDATAWIDTH0,
		RXDATAWIDTH1         => RXDATAWIDTH1,
		RXDEC8B10BUSE0       => RXDEC8B10BUSE0,
		RXDEC8B10BUSE1       => RXDEC8B10BUSE1,
                RXELECIDLERESET0     => RXELECIDLERESET0,
		RXELECIDLERESET1     => RXELECIDLERESET1,
		RXENCHANSYNC0        => RXENCHANSYNC0,
		RXENCHANSYNC1        => RXENCHANSYNC1,
		RXENEQB0              => RXENEQB0,
		RXENEQB1              => RXENEQB1,
		RXENMCOMMAALIGN0     => RXENMCOMMAALIGN0,
		RXENMCOMMAALIGN1     => RXENMCOMMAALIGN1,
		RXENPCOMMAALIGN0     => RXENPCOMMAALIGN0,
		RXENPCOMMAALIGN1     => RXENPCOMMAALIGN1,
		RXENPRBSTST0_0       => RXENPRBSTST0(0),
		RXENPRBSTST0_1       => RXENPRBSTST0(1),
		RXENPRBSTST1_0       => RXENPRBSTST1(0),
		RXENPRBSTST1_1       => RXENPRBSTST1(1),
		RXENSAMPLEALIGN0     => RXENSAMPLEALIGN0,
		RXENSAMPLEALIGN1     => RXENSAMPLEALIGN1,
		RXEQMIX0_0           => RXEQMIX0(0),
		RXEQMIX0_1           => RXEQMIX0(1),
		RXEQMIX1_0           => RXEQMIX1(0),
		RXEQMIX1_1           => RXEQMIX1(1),
		RXEQPOLE0_0          => RXEQPOLE0(0),
		RXEQPOLE0_1          => RXEQPOLE0(1),
		RXEQPOLE0_2          => RXEQPOLE0(2),
		RXEQPOLE0_3          => RXEQPOLE0(3),
		RXEQPOLE1_0          => RXEQPOLE1(0),
		RXEQPOLE1_1          => RXEQPOLE1(1),
		RXEQPOLE1_2          => RXEQPOLE1(2),
		RXEQPOLE1_3          => RXEQPOLE1(3),
		RXN0                 => RXN0,
		RXN1                 => RXN1,
		RXP0                 => RXP0,
		RXP1                 => RXP1,
		RXPMASETPHASE0       => RXPMASETPHASE0,
		RXPMASETPHASE1       => RXPMASETPHASE1,
		RXPOLARITY0          => RXPOLARITY0,
		RXPOLARITY1          => RXPOLARITY1,
		RXPOWERDOWN0_0       => RXPOWERDOWN0(0),
		RXPOWERDOWN0_1       => RXPOWERDOWN0(1),
		RXPOWERDOWN1_0       => RXPOWERDOWN1(0),
		RXPOWERDOWN1_1       => RXPOWERDOWN1(1),
		RXRESET0             => RXRESET0,
		RXRESET1             => RXRESET1,
		RXSLIDE0             => RXSLIDE0,
		RXSLIDE1             => RXSLIDE1,
		RXUSRCLK0            => RXUSRCLK0,
		RXUSRCLK1            => RXUSRCLK1,
		RXUSRCLK20           => RXUSRCLK20,
		RXUSRCLK21           => RXUSRCLK21,
		TXBUFDIFFCTRL0_0     => TXBUFDIFFCTRL0(0),
		TXBUFDIFFCTRL0_1     => TXBUFDIFFCTRL0(1),
		TXBUFDIFFCTRL0_2     => TXBUFDIFFCTRL0(2),
		TXBUFDIFFCTRL1_0     => TXBUFDIFFCTRL1(0),
		TXBUFDIFFCTRL1_1     => TXBUFDIFFCTRL1(1),
		TXBUFDIFFCTRL1_2     => TXBUFDIFFCTRL1(2),
		TXBYPASS8B10B0_0     => TXBYPASS8B10B0(0),
		TXBYPASS8B10B0_1     => TXBYPASS8B10B0(1),
		TXBYPASS8B10B1_0     => TXBYPASS8B10B1(0),
		TXBYPASS8B10B1_1     => TXBYPASS8B10B1(1),
		TXCHARDISPMODE0_0    => TXCHARDISPMODE0(0),
		TXCHARDISPMODE0_1    => TXCHARDISPMODE0(1),
		TXCHARDISPMODE1_0    => TXCHARDISPMODE1(0),
		TXCHARDISPMODE1_1    => TXCHARDISPMODE1(1),
		TXCHARDISPVAL0_0     => TXCHARDISPVAL0(0),
		TXCHARDISPVAL0_1     => TXCHARDISPVAL0(1),
		TXCHARDISPVAL1_0     => TXCHARDISPVAL1(0),
		TXCHARDISPVAL1_1     => TXCHARDISPVAL1(1),
		TXCHARISK0_0         => TXCHARISK0(0),
		TXCHARISK0_1         => TXCHARISK0(1),
		TXCHARISK1_0         => TXCHARISK1(0),
		TXCHARISK1_1         => TXCHARISK1(1),
		TXCOMSTART0          => TXCOMSTART0,
		TXCOMSTART1          => TXCOMSTART1,
		TXCOMTYPE0           => TXCOMTYPE0,
		TXCOMTYPE1           => TXCOMTYPE1,
		TXDATA0_0            => TXDATA0(0),
		TXDATA0_1            => TXDATA0(1),
		TXDATA0_10           => TXDATA0(10),
		TXDATA0_11           => TXDATA0(11),
		TXDATA0_12           => TXDATA0(12),
		TXDATA0_13           => TXDATA0(13),
		TXDATA0_14           => TXDATA0(14),
		TXDATA0_15           => TXDATA0(15),
		TXDATA0_2            => TXDATA0(2),
		TXDATA0_3            => TXDATA0(3),
		TXDATA0_4            => TXDATA0(4),
		TXDATA0_5            => TXDATA0(5),
		TXDATA0_6            => TXDATA0(6),
		TXDATA0_7            => TXDATA0(7),
		TXDATA0_8            => TXDATA0(8),
		TXDATA0_9            => TXDATA0(9),
		TXDATA1_0            => TXDATA1(0),
		TXDATA1_1            => TXDATA1(1),
		TXDATA1_10           => TXDATA1(10),
		TXDATA1_11           => TXDATA1(11),
		TXDATA1_12           => TXDATA1(12),
		TXDATA1_13           => TXDATA1(13),
		TXDATA1_14           => TXDATA1(14),
		TXDATA1_15           => TXDATA1(15),
		TXDATA1_2            => TXDATA1(2),
		TXDATA1_3            => TXDATA1(3),
		TXDATA1_4            => TXDATA1(4),
		TXDATA1_5            => TXDATA1(5),
		TXDATA1_6            => TXDATA1(6),
		TXDATA1_7            => TXDATA1(7),
		TXDATA1_8            => TXDATA1(8),
		TXDATA1_9            => TXDATA1(9),
		TXDATAWIDTH0         => TXDATAWIDTH0,
		TXDATAWIDTH1         => TXDATAWIDTH1,
		TXDETECTRX0          => TXDETECTRX0,
		TXDETECTRX1          => TXDETECTRX1,
		TXDIFFCTRL0_0        => TXDIFFCTRL0(0),
		TXDIFFCTRL0_1        => TXDIFFCTRL0(1),
		TXDIFFCTRL0_2        => TXDIFFCTRL0(2),
		TXDIFFCTRL1_0        => TXDIFFCTRL1(0),
		TXDIFFCTRL1_1        => TXDIFFCTRL1(1),
		TXDIFFCTRL1_2        => TXDIFFCTRL1(2),
		TXELECIDLE0          => TXELECIDLE0,
		TXELECIDLE1          => TXELECIDLE1,
		TXENC8B10BUSE0       => TXENC8B10BUSE0,
		TXENC8B10BUSE1       => TXENC8B10BUSE1,
		TXENPMAPHASEALIGN    => TXENPMAPHASEALIGN,
		TXENPRBSTST0_0       => TXENPRBSTST0(0),
		TXENPRBSTST0_1       => TXENPRBSTST0(1),
		TXENPRBSTST1_0       => TXENPRBSTST1(0),
		TXENPRBSTST1_1       => TXENPRBSTST1(1),
		TXINHIBIT0           => TXINHIBIT0,
		TXINHIBIT1           => TXINHIBIT1,
		TXPMASETPHASE        => TXPMASETPHASE,
		TXPOLARITY0          => TXPOLARITY0,
		TXPOLARITY1          => TXPOLARITY1,
		TXPOWERDOWN0_0       => TXPOWERDOWN0(0),
		TXPOWERDOWN0_1       => TXPOWERDOWN0(1),
		TXPOWERDOWN1_0       => TXPOWERDOWN1(0),
		TXPOWERDOWN1_1       => TXPOWERDOWN1(1),
		TXPREEMPHASIS0_0     => TXPREEMPHASIS0(0),
		TXPREEMPHASIS0_1     => TXPREEMPHASIS0(1),
		TXPREEMPHASIS0_2     => TXPREEMPHASIS0(2),
		TXPREEMPHASIS1_0     => TXPREEMPHASIS1(0),
		TXPREEMPHASIS1_1     => TXPREEMPHASIS1(1),
		TXPREEMPHASIS1_2     => TXPREEMPHASIS1(2),
		TXRESET0             => TXRESET0,
		TXRESET1             => TXRESET1,
		TXUSRCLK0            => TXUSRCLK0,
		TXUSRCLK1            => TXUSRCLK1,
		TXUSRCLK20           => TXUSRCLK20,
		TXUSRCLK21           => TXUSRCLK21,

		AC_CAP_DIS_0         => AC_CAP_DIS_0,
		AC_CAP_DIS_1         => AC_CAP_DIS_1,
		ALIGN_COMMA_WORD_0   => ALIGN_COMMA_WORD_0,
		ALIGN_COMMA_WORD_1   => ALIGN_COMMA_WORD_1,
		CHAN_BOND_1_MAX_SKEW_0_0 => CHAN_BOND_1_MAX_SKEW_0(0),
		CHAN_BOND_1_MAX_SKEW_0_1 => CHAN_BOND_1_MAX_SKEW_0(1),
		CHAN_BOND_1_MAX_SKEW_0_2 => CHAN_BOND_1_MAX_SKEW_0(2),
		CHAN_BOND_1_MAX_SKEW_0_3 => CHAN_BOND_1_MAX_SKEW_0(3),
		CHAN_BOND_1_MAX_SKEW_1_0 => CHAN_BOND_1_MAX_SKEW_1(0),
		CHAN_BOND_1_MAX_SKEW_1_1 => CHAN_BOND_1_MAX_SKEW_1(1),
		CHAN_BOND_1_MAX_SKEW_1_2 => CHAN_BOND_1_MAX_SKEW_1(2),
		CHAN_BOND_1_MAX_SKEW_1_3 => CHAN_BOND_1_MAX_SKEW_1(3),
		CHAN_BOND_2_MAX_SKEW_0_0 => CHAN_BOND_2_MAX_SKEW_0(0),
		CHAN_BOND_2_MAX_SKEW_0_1 => CHAN_BOND_2_MAX_SKEW_0(1),
		CHAN_BOND_2_MAX_SKEW_0_2 => CHAN_BOND_2_MAX_SKEW_0(2),
		CHAN_BOND_2_MAX_SKEW_0_3 => CHAN_BOND_2_MAX_SKEW_0(3),
		CHAN_BOND_2_MAX_SKEW_1_0 => CHAN_BOND_2_MAX_SKEW_1(0),
		CHAN_BOND_2_MAX_SKEW_1_1 => CHAN_BOND_2_MAX_SKEW_1(1),
		CHAN_BOND_2_MAX_SKEW_1_2 => CHAN_BOND_2_MAX_SKEW_1(2),
		CHAN_BOND_2_MAX_SKEW_1_3 => CHAN_BOND_2_MAX_SKEW_1(3),
		CHAN_BOND_LEVEL_0_0  => CHAN_BOND_LEVEL_0(0),
		CHAN_BOND_LEVEL_0_1  => CHAN_BOND_LEVEL_0(1),
		CHAN_BOND_LEVEL_0_2  => CHAN_BOND_LEVEL_0(2),
		CHAN_BOND_LEVEL_1_0  => CHAN_BOND_LEVEL_1(0),
		CHAN_BOND_LEVEL_1_1  => CHAN_BOND_LEVEL_1(1),
		CHAN_BOND_LEVEL_1_2  => CHAN_BOND_LEVEL_1(2),
		CHAN_BOND_MODE_0_0   => CHAN_BOND_MODE_0(0),
		CHAN_BOND_MODE_0_1   => CHAN_BOND_MODE_0(1),
		CHAN_BOND_MODE_1_0   => CHAN_BOND_MODE_1(0),
		CHAN_BOND_MODE_1_1   => CHAN_BOND_MODE_1(1),
		CHAN_BOND_SEQ_1_1_0_0 => CHAN_BOND_SEQ_1_1_0(0),
		CHAN_BOND_SEQ_1_1_0_1 => CHAN_BOND_SEQ_1_1_0(1),
		CHAN_BOND_SEQ_1_1_0_2 => CHAN_BOND_SEQ_1_1_0(2),
		CHAN_BOND_SEQ_1_1_0_3 => CHAN_BOND_SEQ_1_1_0(3),
		CHAN_BOND_SEQ_1_1_0_4 => CHAN_BOND_SEQ_1_1_0(4),
		CHAN_BOND_SEQ_1_1_0_5 => CHAN_BOND_SEQ_1_1_0(5),
		CHAN_BOND_SEQ_1_1_0_6 => CHAN_BOND_SEQ_1_1_0(6),
		CHAN_BOND_SEQ_1_1_0_7 => CHAN_BOND_SEQ_1_1_0(7),
		CHAN_BOND_SEQ_1_1_0_8 => CHAN_BOND_SEQ_1_1_0(8),
		CHAN_BOND_SEQ_1_1_0_9 => CHAN_BOND_SEQ_1_1_0(9),
		CHAN_BOND_SEQ_1_1_1_0 => CHAN_BOND_SEQ_1_1_1(0),
		CHAN_BOND_SEQ_1_1_1_1 => CHAN_BOND_SEQ_1_1_1(1),
		CHAN_BOND_SEQ_1_1_1_2 => CHAN_BOND_SEQ_1_1_1(2),
		CHAN_BOND_SEQ_1_1_1_3 => CHAN_BOND_SEQ_1_1_1(3),
		CHAN_BOND_SEQ_1_1_1_4 => CHAN_BOND_SEQ_1_1_1(4),
		CHAN_BOND_SEQ_1_1_1_5 => CHAN_BOND_SEQ_1_1_1(5),
		CHAN_BOND_SEQ_1_1_1_6 => CHAN_BOND_SEQ_1_1_1(6),
		CHAN_BOND_SEQ_1_1_1_7 => CHAN_BOND_SEQ_1_1_1(7),
		CHAN_BOND_SEQ_1_1_1_8 => CHAN_BOND_SEQ_1_1_1(8),
		CHAN_BOND_SEQ_1_1_1_9 => CHAN_BOND_SEQ_1_1_1(9),
		CHAN_BOND_SEQ_1_2_0_0 => CHAN_BOND_SEQ_1_2_0(0),
		CHAN_BOND_SEQ_1_2_0_1 => CHAN_BOND_SEQ_1_2_0(1),
		CHAN_BOND_SEQ_1_2_0_2 => CHAN_BOND_SEQ_1_2_0(2),
		CHAN_BOND_SEQ_1_2_0_3 => CHAN_BOND_SEQ_1_2_0(3),
		CHAN_BOND_SEQ_1_2_0_4 => CHAN_BOND_SEQ_1_2_0(4),
		CHAN_BOND_SEQ_1_2_0_5 => CHAN_BOND_SEQ_1_2_0(5),
		CHAN_BOND_SEQ_1_2_0_6 => CHAN_BOND_SEQ_1_2_0(6),
		CHAN_BOND_SEQ_1_2_0_7 => CHAN_BOND_SEQ_1_2_0(7),
		CHAN_BOND_SEQ_1_2_0_8 => CHAN_BOND_SEQ_1_2_0(8),
		CHAN_BOND_SEQ_1_2_0_9 => CHAN_BOND_SEQ_1_2_0(9),
		CHAN_BOND_SEQ_1_2_1_0 => CHAN_BOND_SEQ_1_2_1(0),
		CHAN_BOND_SEQ_1_2_1_1 => CHAN_BOND_SEQ_1_2_1(1),
		CHAN_BOND_SEQ_1_2_1_2 => CHAN_BOND_SEQ_1_2_1(2),
		CHAN_BOND_SEQ_1_2_1_3 => CHAN_BOND_SEQ_1_2_1(3),
		CHAN_BOND_SEQ_1_2_1_4 => CHAN_BOND_SEQ_1_2_1(4),
		CHAN_BOND_SEQ_1_2_1_5 => CHAN_BOND_SEQ_1_2_1(5),
		CHAN_BOND_SEQ_1_2_1_6 => CHAN_BOND_SEQ_1_2_1(6),
		CHAN_BOND_SEQ_1_2_1_7 => CHAN_BOND_SEQ_1_2_1(7),
		CHAN_BOND_SEQ_1_2_1_8 => CHAN_BOND_SEQ_1_2_1(8),
		CHAN_BOND_SEQ_1_2_1_9 => CHAN_BOND_SEQ_1_2_1(9),
		CHAN_BOND_SEQ_1_3_0_0 => CHAN_BOND_SEQ_1_3_0(0),
		CHAN_BOND_SEQ_1_3_0_1 => CHAN_BOND_SEQ_1_3_0(1),
		CHAN_BOND_SEQ_1_3_0_2 => CHAN_BOND_SEQ_1_3_0(2),
		CHAN_BOND_SEQ_1_3_0_3 => CHAN_BOND_SEQ_1_3_0(3),
		CHAN_BOND_SEQ_1_3_0_4 => CHAN_BOND_SEQ_1_3_0(4),
		CHAN_BOND_SEQ_1_3_0_5 => CHAN_BOND_SEQ_1_3_0(5),
		CHAN_BOND_SEQ_1_3_0_6 => CHAN_BOND_SEQ_1_3_0(6),
		CHAN_BOND_SEQ_1_3_0_7 => CHAN_BOND_SEQ_1_3_0(7),
		CHAN_BOND_SEQ_1_3_0_8 => CHAN_BOND_SEQ_1_3_0(8),
		CHAN_BOND_SEQ_1_3_0_9 => CHAN_BOND_SEQ_1_3_0(9),
		CHAN_BOND_SEQ_1_3_1_0 => CHAN_BOND_SEQ_1_3_1(0),
		CHAN_BOND_SEQ_1_3_1_1 => CHAN_BOND_SEQ_1_3_1(1),
		CHAN_BOND_SEQ_1_3_1_2 => CHAN_BOND_SEQ_1_3_1(2),
		CHAN_BOND_SEQ_1_3_1_3 => CHAN_BOND_SEQ_1_3_1(3),
		CHAN_BOND_SEQ_1_3_1_4 => CHAN_BOND_SEQ_1_3_1(4),
		CHAN_BOND_SEQ_1_3_1_5 => CHAN_BOND_SEQ_1_3_1(5),
		CHAN_BOND_SEQ_1_3_1_6 => CHAN_BOND_SEQ_1_3_1(6),
		CHAN_BOND_SEQ_1_3_1_7 => CHAN_BOND_SEQ_1_3_1(7),
		CHAN_BOND_SEQ_1_3_1_8 => CHAN_BOND_SEQ_1_3_1(8),
		CHAN_BOND_SEQ_1_3_1_9 => CHAN_BOND_SEQ_1_3_1(9),
		CHAN_BOND_SEQ_1_4_0_0 => CHAN_BOND_SEQ_1_4_0(0),
		CHAN_BOND_SEQ_1_4_0_1 => CHAN_BOND_SEQ_1_4_0(1),
		CHAN_BOND_SEQ_1_4_0_2 => CHAN_BOND_SEQ_1_4_0(2),
		CHAN_BOND_SEQ_1_4_0_3 => CHAN_BOND_SEQ_1_4_0(3),
		CHAN_BOND_SEQ_1_4_0_4 => CHAN_BOND_SEQ_1_4_0(4),
		CHAN_BOND_SEQ_1_4_0_5 => CHAN_BOND_SEQ_1_4_0(5),
		CHAN_BOND_SEQ_1_4_0_6 => CHAN_BOND_SEQ_1_4_0(6),
		CHAN_BOND_SEQ_1_4_0_7 => CHAN_BOND_SEQ_1_4_0(7),
		CHAN_BOND_SEQ_1_4_0_8 => CHAN_BOND_SEQ_1_4_0(8),
		CHAN_BOND_SEQ_1_4_0_9 => CHAN_BOND_SEQ_1_4_0(9),
		CHAN_BOND_SEQ_1_4_1_0 => CHAN_BOND_SEQ_1_4_1(0),
		CHAN_BOND_SEQ_1_4_1_1 => CHAN_BOND_SEQ_1_4_1(1),
		CHAN_BOND_SEQ_1_4_1_2 => CHAN_BOND_SEQ_1_4_1(2),
		CHAN_BOND_SEQ_1_4_1_3 => CHAN_BOND_SEQ_1_4_1(3),
		CHAN_BOND_SEQ_1_4_1_4 => CHAN_BOND_SEQ_1_4_1(4),
		CHAN_BOND_SEQ_1_4_1_5 => CHAN_BOND_SEQ_1_4_1(5),
		CHAN_BOND_SEQ_1_4_1_6 => CHAN_BOND_SEQ_1_4_1(6),
		CHAN_BOND_SEQ_1_4_1_7 => CHAN_BOND_SEQ_1_4_1(7),
		CHAN_BOND_SEQ_1_4_1_8 => CHAN_BOND_SEQ_1_4_1(8),
		CHAN_BOND_SEQ_1_4_1_9 => CHAN_BOND_SEQ_1_4_1(9),
		CHAN_BOND_SEQ_1_ENABLE_0_0 => CHAN_BOND_SEQ_1_ENABLE_0(0),
		CHAN_BOND_SEQ_1_ENABLE_0_1 => CHAN_BOND_SEQ_1_ENABLE_0(1),
		CHAN_BOND_SEQ_1_ENABLE_0_2 => CHAN_BOND_SEQ_1_ENABLE_0(2),
		CHAN_BOND_SEQ_1_ENABLE_0_3 => CHAN_BOND_SEQ_1_ENABLE_0(3),
		CHAN_BOND_SEQ_1_ENABLE_1_0 => CHAN_BOND_SEQ_1_ENABLE_1(0),
		CHAN_BOND_SEQ_1_ENABLE_1_1 => CHAN_BOND_SEQ_1_ENABLE_1(1),
		CHAN_BOND_SEQ_1_ENABLE_1_2 => CHAN_BOND_SEQ_1_ENABLE_1(2),
		CHAN_BOND_SEQ_1_ENABLE_1_3 => CHAN_BOND_SEQ_1_ENABLE_1(3),
		CHAN_BOND_SEQ_2_1_0_0 => CHAN_BOND_SEQ_2_1_0(0),
		CHAN_BOND_SEQ_2_1_0_1 => CHAN_BOND_SEQ_2_1_0(1),
		CHAN_BOND_SEQ_2_1_0_2 => CHAN_BOND_SEQ_2_1_0(2),
		CHAN_BOND_SEQ_2_1_0_3 => CHAN_BOND_SEQ_2_1_0(3),
		CHAN_BOND_SEQ_2_1_0_4 => CHAN_BOND_SEQ_2_1_0(4),
		CHAN_BOND_SEQ_2_1_0_5 => CHAN_BOND_SEQ_2_1_0(5),
		CHAN_BOND_SEQ_2_1_0_6 => CHAN_BOND_SEQ_2_1_0(6),
		CHAN_BOND_SEQ_2_1_0_7 => CHAN_BOND_SEQ_2_1_0(7),
		CHAN_BOND_SEQ_2_1_0_8 => CHAN_BOND_SEQ_2_1_0(8),
		CHAN_BOND_SEQ_2_1_0_9 => CHAN_BOND_SEQ_2_1_0(9),
		CHAN_BOND_SEQ_2_1_1_0 => CHAN_BOND_SEQ_2_1_1(0),
		CHAN_BOND_SEQ_2_1_1_1 => CHAN_BOND_SEQ_2_1_1(1),
		CHAN_BOND_SEQ_2_1_1_2 => CHAN_BOND_SEQ_2_1_1(2),
		CHAN_BOND_SEQ_2_1_1_3 => CHAN_BOND_SEQ_2_1_1(3),
		CHAN_BOND_SEQ_2_1_1_4 => CHAN_BOND_SEQ_2_1_1(4),
		CHAN_BOND_SEQ_2_1_1_5 => CHAN_BOND_SEQ_2_1_1(5),
		CHAN_BOND_SEQ_2_1_1_6 => CHAN_BOND_SEQ_2_1_1(6),
		CHAN_BOND_SEQ_2_1_1_7 => CHAN_BOND_SEQ_2_1_1(7),
		CHAN_BOND_SEQ_2_1_1_8 => CHAN_BOND_SEQ_2_1_1(8),
		CHAN_BOND_SEQ_2_1_1_9 => CHAN_BOND_SEQ_2_1_1(9),
		CHAN_BOND_SEQ_2_2_0_0 => CHAN_BOND_SEQ_2_2_0(0),
		CHAN_BOND_SEQ_2_2_0_1 => CHAN_BOND_SEQ_2_2_0(1),
		CHAN_BOND_SEQ_2_2_0_2 => CHAN_BOND_SEQ_2_2_0(2),
		CHAN_BOND_SEQ_2_2_0_3 => CHAN_BOND_SEQ_2_2_0(3),
		CHAN_BOND_SEQ_2_2_0_4 => CHAN_BOND_SEQ_2_2_0(4),
		CHAN_BOND_SEQ_2_2_0_5 => CHAN_BOND_SEQ_2_2_0(5),
		CHAN_BOND_SEQ_2_2_0_6 => CHAN_BOND_SEQ_2_2_0(6),
		CHAN_BOND_SEQ_2_2_0_7 => CHAN_BOND_SEQ_2_2_0(7),
		CHAN_BOND_SEQ_2_2_0_8 => CHAN_BOND_SEQ_2_2_0(8),
		CHAN_BOND_SEQ_2_2_0_9 => CHAN_BOND_SEQ_2_2_0(9),
		CHAN_BOND_SEQ_2_2_1_0 => CHAN_BOND_SEQ_2_2_1(0),
		CHAN_BOND_SEQ_2_2_1_1 => CHAN_BOND_SEQ_2_2_1(1),
		CHAN_BOND_SEQ_2_2_1_2 => CHAN_BOND_SEQ_2_2_1(2),
		CHAN_BOND_SEQ_2_2_1_3 => CHAN_BOND_SEQ_2_2_1(3),
		CHAN_BOND_SEQ_2_2_1_4 => CHAN_BOND_SEQ_2_2_1(4),
		CHAN_BOND_SEQ_2_2_1_5 => CHAN_BOND_SEQ_2_2_1(5),
		CHAN_BOND_SEQ_2_2_1_6 => CHAN_BOND_SEQ_2_2_1(6),
		CHAN_BOND_SEQ_2_2_1_7 => CHAN_BOND_SEQ_2_2_1(7),
		CHAN_BOND_SEQ_2_2_1_8 => CHAN_BOND_SEQ_2_2_1(8),
		CHAN_BOND_SEQ_2_2_1_9 => CHAN_BOND_SEQ_2_2_1(9),
		CHAN_BOND_SEQ_2_3_0_0 => CHAN_BOND_SEQ_2_3_0(0),
		CHAN_BOND_SEQ_2_3_0_1 => CHAN_BOND_SEQ_2_3_0(1),
		CHAN_BOND_SEQ_2_3_0_2 => CHAN_BOND_SEQ_2_3_0(2),
		CHAN_BOND_SEQ_2_3_0_3 => CHAN_BOND_SEQ_2_3_0(3),
		CHAN_BOND_SEQ_2_3_0_4 => CHAN_BOND_SEQ_2_3_0(4),
		CHAN_BOND_SEQ_2_3_0_5 => CHAN_BOND_SEQ_2_3_0(5),
		CHAN_BOND_SEQ_2_3_0_6 => CHAN_BOND_SEQ_2_3_0(6),
		CHAN_BOND_SEQ_2_3_0_7 => CHAN_BOND_SEQ_2_3_0(7),
		CHAN_BOND_SEQ_2_3_0_8 => CHAN_BOND_SEQ_2_3_0(8),
		CHAN_BOND_SEQ_2_3_0_9 => CHAN_BOND_SEQ_2_3_0(9),
		CHAN_BOND_SEQ_2_3_1_0 => CHAN_BOND_SEQ_2_3_1(0),
		CHAN_BOND_SEQ_2_3_1_1 => CHAN_BOND_SEQ_2_3_1(1),
		CHAN_BOND_SEQ_2_3_1_2 => CHAN_BOND_SEQ_2_3_1(2),
		CHAN_BOND_SEQ_2_3_1_3 => CHAN_BOND_SEQ_2_3_1(3),
		CHAN_BOND_SEQ_2_3_1_4 => CHAN_BOND_SEQ_2_3_1(4),
		CHAN_BOND_SEQ_2_3_1_5 => CHAN_BOND_SEQ_2_3_1(5),
		CHAN_BOND_SEQ_2_3_1_6 => CHAN_BOND_SEQ_2_3_1(6),
		CHAN_BOND_SEQ_2_3_1_7 => CHAN_BOND_SEQ_2_3_1(7),
		CHAN_BOND_SEQ_2_3_1_8 => CHAN_BOND_SEQ_2_3_1(8),
		CHAN_BOND_SEQ_2_3_1_9 => CHAN_BOND_SEQ_2_3_1(9),
		CHAN_BOND_SEQ_2_4_0_0 => CHAN_BOND_SEQ_2_4_0(0),
		CHAN_BOND_SEQ_2_4_0_1 => CHAN_BOND_SEQ_2_4_0(1),
		CHAN_BOND_SEQ_2_4_0_2 => CHAN_BOND_SEQ_2_4_0(2),
		CHAN_BOND_SEQ_2_4_0_3 => CHAN_BOND_SEQ_2_4_0(3),
		CHAN_BOND_SEQ_2_4_0_4 => CHAN_BOND_SEQ_2_4_0(4),
		CHAN_BOND_SEQ_2_4_0_5 => CHAN_BOND_SEQ_2_4_0(5),
		CHAN_BOND_SEQ_2_4_0_6 => CHAN_BOND_SEQ_2_4_0(6),
		CHAN_BOND_SEQ_2_4_0_7 => CHAN_BOND_SEQ_2_4_0(7),
		CHAN_BOND_SEQ_2_4_0_8 => CHAN_BOND_SEQ_2_4_0(8),
		CHAN_BOND_SEQ_2_4_0_9 => CHAN_BOND_SEQ_2_4_0(9),
		CHAN_BOND_SEQ_2_4_1_0 => CHAN_BOND_SEQ_2_4_1(0),
		CHAN_BOND_SEQ_2_4_1_1 => CHAN_BOND_SEQ_2_4_1(1),
		CHAN_BOND_SEQ_2_4_1_2 => CHAN_BOND_SEQ_2_4_1(2),
		CHAN_BOND_SEQ_2_4_1_3 => CHAN_BOND_SEQ_2_4_1(3),
		CHAN_BOND_SEQ_2_4_1_4 => CHAN_BOND_SEQ_2_4_1(4),
		CHAN_BOND_SEQ_2_4_1_5 => CHAN_BOND_SEQ_2_4_1(5),
		CHAN_BOND_SEQ_2_4_1_6 => CHAN_BOND_SEQ_2_4_1(6),
		CHAN_BOND_SEQ_2_4_1_7 => CHAN_BOND_SEQ_2_4_1(7),
		CHAN_BOND_SEQ_2_4_1_8 => CHAN_BOND_SEQ_2_4_1(8),
		CHAN_BOND_SEQ_2_4_1_9 => CHAN_BOND_SEQ_2_4_1(9),
		CHAN_BOND_SEQ_2_ENABLE_0_0 => CHAN_BOND_SEQ_2_ENABLE_0(0),
		CHAN_BOND_SEQ_2_ENABLE_0_1 => CHAN_BOND_SEQ_2_ENABLE_0(1),
		CHAN_BOND_SEQ_2_ENABLE_0_2 => CHAN_BOND_SEQ_2_ENABLE_0(2),
		CHAN_BOND_SEQ_2_ENABLE_0_3 => CHAN_BOND_SEQ_2_ENABLE_0(3),
		CHAN_BOND_SEQ_2_ENABLE_1_0 => CHAN_BOND_SEQ_2_ENABLE_1(0),
		CHAN_BOND_SEQ_2_ENABLE_1_1 => CHAN_BOND_SEQ_2_ENABLE_1(1),
		CHAN_BOND_SEQ_2_ENABLE_1_2 => CHAN_BOND_SEQ_2_ENABLE_1(2),
		CHAN_BOND_SEQ_2_ENABLE_1_3 => CHAN_BOND_SEQ_2_ENABLE_1(3),
		CHAN_BOND_SEQ_2_USE_0 => CHAN_BOND_SEQ_2_USE_0,
		CHAN_BOND_SEQ_2_USE_1 => CHAN_BOND_SEQ_2_USE_1,
		CHAN_BOND_SEQ_LEN_0_0 => CHAN_BOND_SEQ_LEN_0(0),
		CHAN_BOND_SEQ_LEN_0_1 => CHAN_BOND_SEQ_LEN_0(1),
		CHAN_BOND_SEQ_LEN_1_0 => CHAN_BOND_SEQ_LEN_1(0),
		CHAN_BOND_SEQ_LEN_1_1 => CHAN_BOND_SEQ_LEN_1(1),
		CLK25_DIVIDER_0      => CLK25_DIVIDER(0),
		CLK25_DIVIDER_1      => CLK25_DIVIDER(1),
		CLK25_DIVIDER_2      => CLK25_DIVIDER(2),
		CLKINDC_B            => CLKINDC_B,
		CLK_CORRECT_USE_0    => CLK_CORRECT_USE_0,
		CLK_CORRECT_USE_1    => CLK_CORRECT_USE_1,
		CLK_COR_ADJ_LEN_0_0  => CLK_COR_ADJ_LEN_0(0),
		CLK_COR_ADJ_LEN_0_1  => CLK_COR_ADJ_LEN_0(1),
		CLK_COR_ADJ_LEN_1_0  => CLK_COR_ADJ_LEN_1(0),
		CLK_COR_ADJ_LEN_1_1  => CLK_COR_ADJ_LEN_1(1),
		CLK_COR_DET_LEN_0_0  => CLK_COR_DET_LEN_0(0),
		CLK_COR_DET_LEN_0_1  => CLK_COR_DET_LEN_0(1),
		CLK_COR_DET_LEN_1_0  => CLK_COR_DET_LEN_1(0),
		CLK_COR_DET_LEN_1_1  => CLK_COR_DET_LEN_1(1),
		CLK_COR_INSERT_IDLE_FLAG_0 => CLK_COR_INSERT_IDLE_FLAG_0,
		CLK_COR_INSERT_IDLE_FLAG_1 => CLK_COR_INSERT_IDLE_FLAG_1,
		CLK_COR_KEEP_IDLE_0  => CLK_COR_KEEP_IDLE_0,
		CLK_COR_KEEP_IDLE_1  => CLK_COR_KEEP_IDLE_1,
		CLK_COR_MAX_LAT_0_0  => CLK_COR_MAX_LAT_0(0),
		CLK_COR_MAX_LAT_0_1  => CLK_COR_MAX_LAT_0(1),
		CLK_COR_MAX_LAT_0_2  => CLK_COR_MAX_LAT_0(2),
		CLK_COR_MAX_LAT_0_3  => CLK_COR_MAX_LAT_0(3),
		CLK_COR_MAX_LAT_0_4  => CLK_COR_MAX_LAT_0(4),
		CLK_COR_MAX_LAT_0_5  => CLK_COR_MAX_LAT_0(5),
		CLK_COR_MAX_LAT_1_0  => CLK_COR_MAX_LAT_1(0),
		CLK_COR_MAX_LAT_1_1  => CLK_COR_MAX_LAT_1(1),
		CLK_COR_MAX_LAT_1_2  => CLK_COR_MAX_LAT_1(2),
		CLK_COR_MAX_LAT_1_3  => CLK_COR_MAX_LAT_1(3),
		CLK_COR_MAX_LAT_1_4  => CLK_COR_MAX_LAT_1(4),
		CLK_COR_MAX_LAT_1_5  => CLK_COR_MAX_LAT_1(5),
		CLK_COR_MIN_LAT_0_0  => CLK_COR_MIN_LAT_0(0),
		CLK_COR_MIN_LAT_0_1  => CLK_COR_MIN_LAT_0(1),
		CLK_COR_MIN_LAT_0_2  => CLK_COR_MIN_LAT_0(2),
		CLK_COR_MIN_LAT_0_3  => CLK_COR_MIN_LAT_0(3),
		CLK_COR_MIN_LAT_0_4  => CLK_COR_MIN_LAT_0(4),
		CLK_COR_MIN_LAT_0_5  => CLK_COR_MIN_LAT_0(5),
		CLK_COR_MIN_LAT_1_0  => CLK_COR_MIN_LAT_1(0),
		CLK_COR_MIN_LAT_1_1  => CLK_COR_MIN_LAT_1(1),
		CLK_COR_MIN_LAT_1_2  => CLK_COR_MIN_LAT_1(2),
		CLK_COR_MIN_LAT_1_3  => CLK_COR_MIN_LAT_1(3),
		CLK_COR_MIN_LAT_1_4  => CLK_COR_MIN_LAT_1(4),
		CLK_COR_MIN_LAT_1_5  => CLK_COR_MIN_LAT_1(5),
		CLK_COR_PRECEDENCE_0 => CLK_COR_PRECEDENCE_0,
		CLK_COR_PRECEDENCE_1 => CLK_COR_PRECEDENCE_1,
		CLK_COR_REPEAT_WAIT_0_0 => CLK_COR_REPEAT_WAIT_0(0),
		CLK_COR_REPEAT_WAIT_0_1 => CLK_COR_REPEAT_WAIT_0(1),
		CLK_COR_REPEAT_WAIT_0_2 => CLK_COR_REPEAT_WAIT_0(2),
		CLK_COR_REPEAT_WAIT_0_3 => CLK_COR_REPEAT_WAIT_0(3),
		CLK_COR_REPEAT_WAIT_0_4 => CLK_COR_REPEAT_WAIT_0(4),
		CLK_COR_REPEAT_WAIT_1_0 => CLK_COR_REPEAT_WAIT_1(0),
		CLK_COR_REPEAT_WAIT_1_1 => CLK_COR_REPEAT_WAIT_1(1),
		CLK_COR_REPEAT_WAIT_1_2 => CLK_COR_REPEAT_WAIT_1(2),
		CLK_COR_REPEAT_WAIT_1_3 => CLK_COR_REPEAT_WAIT_1(3),
		CLK_COR_REPEAT_WAIT_1_4 => CLK_COR_REPEAT_WAIT_1(4),
		CLK_COR_SEQ_1_1_0_0  => CLK_COR_SEQ_1_1_0(0),
		CLK_COR_SEQ_1_1_0_1  => CLK_COR_SEQ_1_1_0(1),
		CLK_COR_SEQ_1_1_0_2  => CLK_COR_SEQ_1_1_0(2),
		CLK_COR_SEQ_1_1_0_3  => CLK_COR_SEQ_1_1_0(3),
		CLK_COR_SEQ_1_1_0_4  => CLK_COR_SEQ_1_1_0(4),
		CLK_COR_SEQ_1_1_0_5  => CLK_COR_SEQ_1_1_0(5),
		CLK_COR_SEQ_1_1_0_6  => CLK_COR_SEQ_1_1_0(6),
		CLK_COR_SEQ_1_1_0_7  => CLK_COR_SEQ_1_1_0(7),
		CLK_COR_SEQ_1_1_0_8  => CLK_COR_SEQ_1_1_0(8),
		CLK_COR_SEQ_1_1_0_9  => CLK_COR_SEQ_1_1_0(9),
		CLK_COR_SEQ_1_1_1_0  => CLK_COR_SEQ_1_1_1(0),
		CLK_COR_SEQ_1_1_1_1  => CLK_COR_SEQ_1_1_1(1),
		CLK_COR_SEQ_1_1_1_2  => CLK_COR_SEQ_1_1_1(2),
		CLK_COR_SEQ_1_1_1_3  => CLK_COR_SEQ_1_1_1(3),
		CLK_COR_SEQ_1_1_1_4  => CLK_COR_SEQ_1_1_1(4),
		CLK_COR_SEQ_1_1_1_5  => CLK_COR_SEQ_1_1_1(5),
		CLK_COR_SEQ_1_1_1_6  => CLK_COR_SEQ_1_1_1(6),
		CLK_COR_SEQ_1_1_1_7  => CLK_COR_SEQ_1_1_1(7),
		CLK_COR_SEQ_1_1_1_8  => CLK_COR_SEQ_1_1_1(8),
		CLK_COR_SEQ_1_1_1_9  => CLK_COR_SEQ_1_1_1(9),
		CLK_COR_SEQ_1_2_0_0  => CLK_COR_SEQ_1_2_0(0),
		CLK_COR_SEQ_1_2_0_1  => CLK_COR_SEQ_1_2_0(1),
		CLK_COR_SEQ_1_2_0_2  => CLK_COR_SEQ_1_2_0(2),
		CLK_COR_SEQ_1_2_0_3  => CLK_COR_SEQ_1_2_0(3),
		CLK_COR_SEQ_1_2_0_4  => CLK_COR_SEQ_1_2_0(4),
		CLK_COR_SEQ_1_2_0_5  => CLK_COR_SEQ_1_2_0(5),
		CLK_COR_SEQ_1_2_0_6  => CLK_COR_SEQ_1_2_0(6),
		CLK_COR_SEQ_1_2_0_7  => CLK_COR_SEQ_1_2_0(7),
		CLK_COR_SEQ_1_2_0_8  => CLK_COR_SEQ_1_2_0(8),
		CLK_COR_SEQ_1_2_0_9  => CLK_COR_SEQ_1_2_0(9),
		CLK_COR_SEQ_1_2_1_0  => CLK_COR_SEQ_1_2_1(0),
		CLK_COR_SEQ_1_2_1_1  => CLK_COR_SEQ_1_2_1(1),
		CLK_COR_SEQ_1_2_1_2  => CLK_COR_SEQ_1_2_1(2),
		CLK_COR_SEQ_1_2_1_3  => CLK_COR_SEQ_1_2_1(3),
		CLK_COR_SEQ_1_2_1_4  => CLK_COR_SEQ_1_2_1(4),
		CLK_COR_SEQ_1_2_1_5  => CLK_COR_SEQ_1_2_1(5),
		CLK_COR_SEQ_1_2_1_6  => CLK_COR_SEQ_1_2_1(6),
		CLK_COR_SEQ_1_2_1_7  => CLK_COR_SEQ_1_2_1(7),
		CLK_COR_SEQ_1_2_1_8  => CLK_COR_SEQ_1_2_1(8),
		CLK_COR_SEQ_1_2_1_9  => CLK_COR_SEQ_1_2_1(9),
		CLK_COR_SEQ_1_3_0_0  => CLK_COR_SEQ_1_3_0(0),
		CLK_COR_SEQ_1_3_0_1  => CLK_COR_SEQ_1_3_0(1),
		CLK_COR_SEQ_1_3_0_2  => CLK_COR_SEQ_1_3_0(2),
		CLK_COR_SEQ_1_3_0_3  => CLK_COR_SEQ_1_3_0(3),
		CLK_COR_SEQ_1_3_0_4  => CLK_COR_SEQ_1_3_0(4),
		CLK_COR_SEQ_1_3_0_5  => CLK_COR_SEQ_1_3_0(5),
		CLK_COR_SEQ_1_3_0_6  => CLK_COR_SEQ_1_3_0(6),
		CLK_COR_SEQ_1_3_0_7  => CLK_COR_SEQ_1_3_0(7),
		CLK_COR_SEQ_1_3_0_8  => CLK_COR_SEQ_1_3_0(8),
		CLK_COR_SEQ_1_3_0_9  => CLK_COR_SEQ_1_3_0(9),
		CLK_COR_SEQ_1_3_1_0  => CLK_COR_SEQ_1_3_1(0),
		CLK_COR_SEQ_1_3_1_1  => CLK_COR_SEQ_1_3_1(1),
		CLK_COR_SEQ_1_3_1_2  => CLK_COR_SEQ_1_3_1(2),
		CLK_COR_SEQ_1_3_1_3  => CLK_COR_SEQ_1_3_1(3),
		CLK_COR_SEQ_1_3_1_4  => CLK_COR_SEQ_1_3_1(4),
		CLK_COR_SEQ_1_3_1_5  => CLK_COR_SEQ_1_3_1(5),
		CLK_COR_SEQ_1_3_1_6  => CLK_COR_SEQ_1_3_1(6),
		CLK_COR_SEQ_1_3_1_7  => CLK_COR_SEQ_1_3_1(7),
		CLK_COR_SEQ_1_3_1_8  => CLK_COR_SEQ_1_3_1(8),
		CLK_COR_SEQ_1_3_1_9  => CLK_COR_SEQ_1_3_1(9),
		CLK_COR_SEQ_1_4_0_0  => CLK_COR_SEQ_1_4_0(0),
		CLK_COR_SEQ_1_4_0_1  => CLK_COR_SEQ_1_4_0(1),
		CLK_COR_SEQ_1_4_0_2  => CLK_COR_SEQ_1_4_0(2),
		CLK_COR_SEQ_1_4_0_3  => CLK_COR_SEQ_1_4_0(3),
		CLK_COR_SEQ_1_4_0_4  => CLK_COR_SEQ_1_4_0(4),
		CLK_COR_SEQ_1_4_0_5  => CLK_COR_SEQ_1_4_0(5),
		CLK_COR_SEQ_1_4_0_6  => CLK_COR_SEQ_1_4_0(6),
		CLK_COR_SEQ_1_4_0_7  => CLK_COR_SEQ_1_4_0(7),
		CLK_COR_SEQ_1_4_0_8  => CLK_COR_SEQ_1_4_0(8),
		CLK_COR_SEQ_1_4_0_9  => CLK_COR_SEQ_1_4_0(9),
		CLK_COR_SEQ_1_4_1_0  => CLK_COR_SEQ_1_4_1(0),
		CLK_COR_SEQ_1_4_1_1  => CLK_COR_SEQ_1_4_1(1),
		CLK_COR_SEQ_1_4_1_2  => CLK_COR_SEQ_1_4_1(2),
		CLK_COR_SEQ_1_4_1_3  => CLK_COR_SEQ_1_4_1(3),
		CLK_COR_SEQ_1_4_1_4  => CLK_COR_SEQ_1_4_1(4),
		CLK_COR_SEQ_1_4_1_5  => CLK_COR_SEQ_1_4_1(5),
		CLK_COR_SEQ_1_4_1_6  => CLK_COR_SEQ_1_4_1(6),
		CLK_COR_SEQ_1_4_1_7  => CLK_COR_SEQ_1_4_1(7),
		CLK_COR_SEQ_1_4_1_8  => CLK_COR_SEQ_1_4_1(8),
		CLK_COR_SEQ_1_4_1_9  => CLK_COR_SEQ_1_4_1(9),
		CLK_COR_SEQ_1_ENABLE_0_0 => CLK_COR_SEQ_1_ENABLE_0(0),
		CLK_COR_SEQ_1_ENABLE_0_1 => CLK_COR_SEQ_1_ENABLE_0(1),
		CLK_COR_SEQ_1_ENABLE_0_2 => CLK_COR_SEQ_1_ENABLE_0(2),
		CLK_COR_SEQ_1_ENABLE_0_3 => CLK_COR_SEQ_1_ENABLE_0(3),
		CLK_COR_SEQ_1_ENABLE_1_0 => CLK_COR_SEQ_1_ENABLE_1(0),
		CLK_COR_SEQ_1_ENABLE_1_1 => CLK_COR_SEQ_1_ENABLE_1(1),
		CLK_COR_SEQ_1_ENABLE_1_2 => CLK_COR_SEQ_1_ENABLE_1(2),
		CLK_COR_SEQ_1_ENABLE_1_3 => CLK_COR_SEQ_1_ENABLE_1(3),
		CLK_COR_SEQ_2_1_0_0  => CLK_COR_SEQ_2_1_0(0),
		CLK_COR_SEQ_2_1_0_1  => CLK_COR_SEQ_2_1_0(1),
		CLK_COR_SEQ_2_1_0_2  => CLK_COR_SEQ_2_1_0(2),
		CLK_COR_SEQ_2_1_0_3  => CLK_COR_SEQ_2_1_0(3),
		CLK_COR_SEQ_2_1_0_4  => CLK_COR_SEQ_2_1_0(4),
		CLK_COR_SEQ_2_1_0_5  => CLK_COR_SEQ_2_1_0(5),
		CLK_COR_SEQ_2_1_0_6  => CLK_COR_SEQ_2_1_0(6),
		CLK_COR_SEQ_2_1_0_7  => CLK_COR_SEQ_2_1_0(7),
		CLK_COR_SEQ_2_1_0_8  => CLK_COR_SEQ_2_1_0(8),
		CLK_COR_SEQ_2_1_0_9  => CLK_COR_SEQ_2_1_0(9),
		CLK_COR_SEQ_2_1_1_0  => CLK_COR_SEQ_2_1_1(0),
		CLK_COR_SEQ_2_1_1_1  => CLK_COR_SEQ_2_1_1(1),
		CLK_COR_SEQ_2_1_1_2  => CLK_COR_SEQ_2_1_1(2),
		CLK_COR_SEQ_2_1_1_3  => CLK_COR_SEQ_2_1_1(3),
		CLK_COR_SEQ_2_1_1_4  => CLK_COR_SEQ_2_1_1(4),
		CLK_COR_SEQ_2_1_1_5  => CLK_COR_SEQ_2_1_1(5),
		CLK_COR_SEQ_2_1_1_6  => CLK_COR_SEQ_2_1_1(6),
		CLK_COR_SEQ_2_1_1_7  => CLK_COR_SEQ_2_1_1(7),
		CLK_COR_SEQ_2_1_1_8  => CLK_COR_SEQ_2_1_1(8),
		CLK_COR_SEQ_2_1_1_9  => CLK_COR_SEQ_2_1_1(9),
		CLK_COR_SEQ_2_2_0_0  => CLK_COR_SEQ_2_2_0(0),
		CLK_COR_SEQ_2_2_0_1  => CLK_COR_SEQ_2_2_0(1),
		CLK_COR_SEQ_2_2_0_2  => CLK_COR_SEQ_2_2_0(2),
		CLK_COR_SEQ_2_2_0_3  => CLK_COR_SEQ_2_2_0(3),
		CLK_COR_SEQ_2_2_0_4  => CLK_COR_SEQ_2_2_0(4),
		CLK_COR_SEQ_2_2_0_5  => CLK_COR_SEQ_2_2_0(5),
		CLK_COR_SEQ_2_2_0_6  => CLK_COR_SEQ_2_2_0(6),
		CLK_COR_SEQ_2_2_0_7  => CLK_COR_SEQ_2_2_0(7),
		CLK_COR_SEQ_2_2_0_8  => CLK_COR_SEQ_2_2_0(8),
		CLK_COR_SEQ_2_2_0_9  => CLK_COR_SEQ_2_2_0(9),
		CLK_COR_SEQ_2_2_1_0  => CLK_COR_SEQ_2_2_1(0),
		CLK_COR_SEQ_2_2_1_1  => CLK_COR_SEQ_2_2_1(1),
		CLK_COR_SEQ_2_2_1_2  => CLK_COR_SEQ_2_2_1(2),
		CLK_COR_SEQ_2_2_1_3  => CLK_COR_SEQ_2_2_1(3),
		CLK_COR_SEQ_2_2_1_4  => CLK_COR_SEQ_2_2_1(4),
		CLK_COR_SEQ_2_2_1_5  => CLK_COR_SEQ_2_2_1(5),
		CLK_COR_SEQ_2_2_1_6  => CLK_COR_SEQ_2_2_1(6),
		CLK_COR_SEQ_2_2_1_7  => CLK_COR_SEQ_2_2_1(7),
		CLK_COR_SEQ_2_2_1_8  => CLK_COR_SEQ_2_2_1(8),
		CLK_COR_SEQ_2_2_1_9  => CLK_COR_SEQ_2_2_1(9),
		CLK_COR_SEQ_2_3_0_0  => CLK_COR_SEQ_2_3_0(0),
		CLK_COR_SEQ_2_3_0_1  => CLK_COR_SEQ_2_3_0(1),
		CLK_COR_SEQ_2_3_0_2  => CLK_COR_SEQ_2_3_0(2),
		CLK_COR_SEQ_2_3_0_3  => CLK_COR_SEQ_2_3_0(3),
		CLK_COR_SEQ_2_3_0_4  => CLK_COR_SEQ_2_3_0(4),
		CLK_COR_SEQ_2_3_0_5  => CLK_COR_SEQ_2_3_0(5),
		CLK_COR_SEQ_2_3_0_6  => CLK_COR_SEQ_2_3_0(6),
		CLK_COR_SEQ_2_3_0_7  => CLK_COR_SEQ_2_3_0(7),
		CLK_COR_SEQ_2_3_0_8  => CLK_COR_SEQ_2_3_0(8),
		CLK_COR_SEQ_2_3_0_9  => CLK_COR_SEQ_2_3_0(9),
		CLK_COR_SEQ_2_3_1_0  => CLK_COR_SEQ_2_3_1(0),
		CLK_COR_SEQ_2_3_1_1  => CLK_COR_SEQ_2_3_1(1),
		CLK_COR_SEQ_2_3_1_2  => CLK_COR_SEQ_2_3_1(2),
		CLK_COR_SEQ_2_3_1_3  => CLK_COR_SEQ_2_3_1(3),
		CLK_COR_SEQ_2_3_1_4  => CLK_COR_SEQ_2_3_1(4),
		CLK_COR_SEQ_2_3_1_5  => CLK_COR_SEQ_2_3_1(5),
		CLK_COR_SEQ_2_3_1_6  => CLK_COR_SEQ_2_3_1(6),
		CLK_COR_SEQ_2_3_1_7  => CLK_COR_SEQ_2_3_1(7),
		CLK_COR_SEQ_2_3_1_8  => CLK_COR_SEQ_2_3_1(8),
		CLK_COR_SEQ_2_3_1_9  => CLK_COR_SEQ_2_3_1(9),
		CLK_COR_SEQ_2_4_0_0  => CLK_COR_SEQ_2_4_0(0),
		CLK_COR_SEQ_2_4_0_1  => CLK_COR_SEQ_2_4_0(1),
		CLK_COR_SEQ_2_4_0_2  => CLK_COR_SEQ_2_4_0(2),
		CLK_COR_SEQ_2_4_0_3  => CLK_COR_SEQ_2_4_0(3),
		CLK_COR_SEQ_2_4_0_4  => CLK_COR_SEQ_2_4_0(4),
		CLK_COR_SEQ_2_4_0_5  => CLK_COR_SEQ_2_4_0(5),
		CLK_COR_SEQ_2_4_0_6  => CLK_COR_SEQ_2_4_0(6),
		CLK_COR_SEQ_2_4_0_7  => CLK_COR_SEQ_2_4_0(7),
		CLK_COR_SEQ_2_4_0_8  => CLK_COR_SEQ_2_4_0(8),
		CLK_COR_SEQ_2_4_0_9  => CLK_COR_SEQ_2_4_0(9),
		CLK_COR_SEQ_2_4_1_0  => CLK_COR_SEQ_2_4_1(0),
		CLK_COR_SEQ_2_4_1_1  => CLK_COR_SEQ_2_4_1(1),
		CLK_COR_SEQ_2_4_1_2  => CLK_COR_SEQ_2_4_1(2),
		CLK_COR_SEQ_2_4_1_3  => CLK_COR_SEQ_2_4_1(3),
		CLK_COR_SEQ_2_4_1_4  => CLK_COR_SEQ_2_4_1(4),
		CLK_COR_SEQ_2_4_1_5  => CLK_COR_SEQ_2_4_1(5),
		CLK_COR_SEQ_2_4_1_6  => CLK_COR_SEQ_2_4_1(6),
		CLK_COR_SEQ_2_4_1_7  => CLK_COR_SEQ_2_4_1(7),
		CLK_COR_SEQ_2_4_1_8  => CLK_COR_SEQ_2_4_1(8),
		CLK_COR_SEQ_2_4_1_9  => CLK_COR_SEQ_2_4_1(9),
		CLK_COR_SEQ_2_ENABLE_0_0 => CLK_COR_SEQ_2_ENABLE_0(0),
		CLK_COR_SEQ_2_ENABLE_0_1 => CLK_COR_SEQ_2_ENABLE_0(1),
		CLK_COR_SEQ_2_ENABLE_0_2 => CLK_COR_SEQ_2_ENABLE_0(2),
		CLK_COR_SEQ_2_ENABLE_0_3 => CLK_COR_SEQ_2_ENABLE_0(3),
		CLK_COR_SEQ_2_ENABLE_1_0 => CLK_COR_SEQ_2_ENABLE_1(0),
		CLK_COR_SEQ_2_ENABLE_1_1 => CLK_COR_SEQ_2_ENABLE_1(1),
		CLK_COR_SEQ_2_ENABLE_1_2 => CLK_COR_SEQ_2_ENABLE_1(2),
		CLK_COR_SEQ_2_ENABLE_1_3 => CLK_COR_SEQ_2_ENABLE_1(3),
		CLK_COR_SEQ_2_USE_0  => CLK_COR_SEQ_2_USE_0,
		CLK_COR_SEQ_2_USE_1  => CLK_COR_SEQ_2_USE_1,
		COMMA_10B_ENABLE_0_0 => COMMA_10B_ENABLE_0(0),
		COMMA_10B_ENABLE_0_1 => COMMA_10B_ENABLE_0(1),
		COMMA_10B_ENABLE_0_2 => COMMA_10B_ENABLE_0(2),
		COMMA_10B_ENABLE_0_3 => COMMA_10B_ENABLE_0(3),
		COMMA_10B_ENABLE_0_4 => COMMA_10B_ENABLE_0(4),
		COMMA_10B_ENABLE_0_5 => COMMA_10B_ENABLE_0(5),
		COMMA_10B_ENABLE_0_6 => COMMA_10B_ENABLE_0(6),
		COMMA_10B_ENABLE_0_7 => COMMA_10B_ENABLE_0(7),
		COMMA_10B_ENABLE_0_8 => COMMA_10B_ENABLE_0(8),
		COMMA_10B_ENABLE_0_9 => COMMA_10B_ENABLE_0(9),
		COMMA_10B_ENABLE_1_0 => COMMA_10B_ENABLE_1(0),
		COMMA_10B_ENABLE_1_1 => COMMA_10B_ENABLE_1(1),
		COMMA_10B_ENABLE_1_2 => COMMA_10B_ENABLE_1(2),
		COMMA_10B_ENABLE_1_3 => COMMA_10B_ENABLE_1(3),
		COMMA_10B_ENABLE_1_4 => COMMA_10B_ENABLE_1(4),
		COMMA_10B_ENABLE_1_5 => COMMA_10B_ENABLE_1(5),
		COMMA_10B_ENABLE_1_6 => COMMA_10B_ENABLE_1(6),
		COMMA_10B_ENABLE_1_7 => COMMA_10B_ENABLE_1(7),
		COMMA_10B_ENABLE_1_8 => COMMA_10B_ENABLE_1(8),
		COMMA_10B_ENABLE_1_9 => COMMA_10B_ENABLE_1(9),
		COMMA_DOUBLE_0       => COMMA_DOUBLE_0,
		COMMA_DOUBLE_1       => COMMA_DOUBLE_1,
		COM_BURST_VAL_0_0    => COM_BURST_VAL_0(0),
		COM_BURST_VAL_0_1    => COM_BURST_VAL_0(1),
		COM_BURST_VAL_0_2    => COM_BURST_VAL_0(2),
		COM_BURST_VAL_0_3    => COM_BURST_VAL_0(3),
		COM_BURST_VAL_1_0    => COM_BURST_VAL_1(0),
		COM_BURST_VAL_1_1    => COM_BURST_VAL_1(1),
		COM_BURST_VAL_1_2    => COM_BURST_VAL_1(2),
		COM_BURST_VAL_1_3    => COM_BURST_VAL_1(3),
		DEC_MCOMMA_DETECT_0  => DEC_MCOMMA_DETECT_0,
		DEC_MCOMMA_DETECT_1  => DEC_MCOMMA_DETECT_1,
		DEC_PCOMMA_DETECT_0  => DEC_PCOMMA_DETECT_0,
		DEC_PCOMMA_DETECT_1  => DEC_PCOMMA_DETECT_1,
		DEC_VALID_COMMA_ONLY_0 => DEC_VALID_COMMA_ONLY_0,
		DEC_VALID_COMMA_ONLY_1 => DEC_VALID_COMMA_ONLY_1,
		MCOMMA_10B_VALUE_0_0 => MCOMMA_10B_VALUE_0(0),
		MCOMMA_10B_VALUE_0_1 => MCOMMA_10B_VALUE_0(1),
		MCOMMA_10B_VALUE_0_2 => MCOMMA_10B_VALUE_0(2),
		MCOMMA_10B_VALUE_0_3 => MCOMMA_10B_VALUE_0(3),
		MCOMMA_10B_VALUE_0_4 => MCOMMA_10B_VALUE_0(4),
		MCOMMA_10B_VALUE_0_5 => MCOMMA_10B_VALUE_0(5),
		MCOMMA_10B_VALUE_0_6 => MCOMMA_10B_VALUE_0(6),
		MCOMMA_10B_VALUE_0_7 => MCOMMA_10B_VALUE_0(7),
		MCOMMA_10B_VALUE_0_8 => MCOMMA_10B_VALUE_0(8),
		MCOMMA_10B_VALUE_0_9 => MCOMMA_10B_VALUE_0(9),
		MCOMMA_10B_VALUE_1_0 => MCOMMA_10B_VALUE_1(0),
		MCOMMA_10B_VALUE_1_1 => MCOMMA_10B_VALUE_1(1),
		MCOMMA_10B_VALUE_1_2 => MCOMMA_10B_VALUE_1(2),
		MCOMMA_10B_VALUE_1_3 => MCOMMA_10B_VALUE_1(3),
		MCOMMA_10B_VALUE_1_4 => MCOMMA_10B_VALUE_1(4),
		MCOMMA_10B_VALUE_1_5 => MCOMMA_10B_VALUE_1(5),
		MCOMMA_10B_VALUE_1_6 => MCOMMA_10B_VALUE_1(6),
		MCOMMA_10B_VALUE_1_7 => MCOMMA_10B_VALUE_1(7),
		MCOMMA_10B_VALUE_1_8 => MCOMMA_10B_VALUE_1(8),
		MCOMMA_10B_VALUE_1_9 => MCOMMA_10B_VALUE_1(9),
		MCOMMA_DETECT_0      => MCOMMA_DETECT_0,
		MCOMMA_DETECT_1      => MCOMMA_DETECT_1,
                OOBDETECT_THRESHOLD_0_0 => OOBDETECT_THRESHOLD_0(0),
		OOBDETECT_THRESHOLD_0_1 => OOBDETECT_THRESHOLD_0(1),
		OOBDETECT_THRESHOLD_0_2 => OOBDETECT_THRESHOLD_0(2),
		OOBDETECT_THRESHOLD_1_0 => OOBDETECT_THRESHOLD_1(0),
		OOBDETECT_THRESHOLD_1_1 => OOBDETECT_THRESHOLD_1(1),
		OOBDETECT_THRESHOLD_1_2 => OOBDETECT_THRESHOLD_1(2),
		OOB_CLK_DIVIDER_0    => OOB_CLK_DIVIDER(0),
		OOB_CLK_DIVIDER_1    => OOB_CLK_DIVIDER(1),
		OOB_CLK_DIVIDER_2    => OOB_CLK_DIVIDER(2),
		OVERSAMPLE_MODE      => OVERSAMPLE_MODE,
		PCI_EXPRESS_MODE_0   => PCI_EXPRESS_MODE_0,
		PCI_EXPRESS_MODE_1   => PCI_EXPRESS_MODE_1,
		PCOMMA_10B_VALUE_0_0 => PCOMMA_10B_VALUE_0(0),
		PCOMMA_10B_VALUE_0_1 => PCOMMA_10B_VALUE_0(1),
		PCOMMA_10B_VALUE_0_2 => PCOMMA_10B_VALUE_0(2),
		PCOMMA_10B_VALUE_0_3 => PCOMMA_10B_VALUE_0(3),
		PCOMMA_10B_VALUE_0_4 => PCOMMA_10B_VALUE_0(4),
		PCOMMA_10B_VALUE_0_5 => PCOMMA_10B_VALUE_0(5),
		PCOMMA_10B_VALUE_0_6 => PCOMMA_10B_VALUE_0(6),
		PCOMMA_10B_VALUE_0_7 => PCOMMA_10B_VALUE_0(7),
		PCOMMA_10B_VALUE_0_8 => PCOMMA_10B_VALUE_0(8),
		PCOMMA_10B_VALUE_0_9 => PCOMMA_10B_VALUE_0(9),
		PCOMMA_10B_VALUE_1_0 => PCOMMA_10B_VALUE_1(0),
		PCOMMA_10B_VALUE_1_1 => PCOMMA_10B_VALUE_1(1),
		PCOMMA_10B_VALUE_1_2 => PCOMMA_10B_VALUE_1(2),
		PCOMMA_10B_VALUE_1_3 => PCOMMA_10B_VALUE_1(3),
		PCOMMA_10B_VALUE_1_4 => PCOMMA_10B_VALUE_1(4),
		PCOMMA_10B_VALUE_1_5 => PCOMMA_10B_VALUE_1(5),
		PCOMMA_10B_VALUE_1_6 => PCOMMA_10B_VALUE_1(6),
		PCOMMA_10B_VALUE_1_7 => PCOMMA_10B_VALUE_1(7),
		PCOMMA_10B_VALUE_1_8 => PCOMMA_10B_VALUE_1(8),
		PCOMMA_10B_VALUE_1_9 => PCOMMA_10B_VALUE_1(9),
		PCOMMA_DETECT_0      => PCOMMA_DETECT_0,
		PCOMMA_DETECT_1      => PCOMMA_DETECT_1,
		PLL_DIVSEL_FB_0      => PLL_DIVSEL_FB(0),
		PLL_DIVSEL_FB_1      => PLL_DIVSEL_FB(1),
		PLL_DIVSEL_FB_2      => PLL_DIVSEL_FB(2),
		PLL_DIVSEL_FB_3      => PLL_DIVSEL_FB(3),
		PLL_DIVSEL_FB_4      => PLL_DIVSEL_FB(4),
		PLL_DIVSEL_REF_0     => PLL_DIVSEL_REF(0),
		PLL_DIVSEL_REF_1     => PLL_DIVSEL_REF(1),
		PLL_DIVSEL_REF_2     => PLL_DIVSEL_REF(2),
		PLL_DIVSEL_REF_3     => PLL_DIVSEL_REF(3),
		PLL_DIVSEL_REF_4     => PLL_DIVSEL_REF(4),
		PLL_DIVSEL_REF_5     => PLL_DIVSEL_REF(5),
		PLL_RXDIVSEL_OUT_0_0 => PLL_RXDIVSEL_OUT_0(0),
		PLL_RXDIVSEL_OUT_0_1 => PLL_RXDIVSEL_OUT_0(1),
		PLL_RXDIVSEL_OUT_1_0 => PLL_RXDIVSEL_OUT_1(0),
		PLL_RXDIVSEL_OUT_1_1 => PLL_RXDIVSEL_OUT_1(1),
		PLL_SATA_0           => PLL_SATA_0,
		PLL_SATA_1           => PLL_SATA_1,
		PLL_TXDIVSEL_COMM_OUT_0 => PLL_TXDIVSEL_COMM_OUT(0),
		PLL_TXDIVSEL_COMM_OUT_1 => PLL_TXDIVSEL_COMM_OUT(1),
		PLL_TXDIVSEL_OUT_0_0 => PLL_TXDIVSEL_OUT_0(0),
		PLL_TXDIVSEL_OUT_0_1 => PLL_TXDIVSEL_OUT_0(1),
		PLL_TXDIVSEL_OUT_1_0 => PLL_TXDIVSEL_OUT_1(0),
		PLL_TXDIVSEL_OUT_1_1 => PLL_TXDIVSEL_OUT_1(1),
		PMA_CDR_SCAN_0_0     => PMA_CDR_SCAN_0(0),
		PMA_CDR_SCAN_0_1     => PMA_CDR_SCAN_0(1),
		PMA_CDR_SCAN_0_10    => PMA_CDR_SCAN_0(10),
		PMA_CDR_SCAN_0_11    => PMA_CDR_SCAN_0(11),
		PMA_CDR_SCAN_0_12    => PMA_CDR_SCAN_0(12),
		PMA_CDR_SCAN_0_13    => PMA_CDR_SCAN_0(13),
		PMA_CDR_SCAN_0_14    => PMA_CDR_SCAN_0(14),
		PMA_CDR_SCAN_0_15    => PMA_CDR_SCAN_0(15),
		PMA_CDR_SCAN_0_16    => PMA_CDR_SCAN_0(16),
		PMA_CDR_SCAN_0_17    => PMA_CDR_SCAN_0(17),
		PMA_CDR_SCAN_0_18    => PMA_CDR_SCAN_0(18),
		PMA_CDR_SCAN_0_19    => PMA_CDR_SCAN_0(19),
		PMA_CDR_SCAN_0_2     => PMA_CDR_SCAN_0(2),
		PMA_CDR_SCAN_0_20    => PMA_CDR_SCAN_0(20),
		PMA_CDR_SCAN_0_21    => PMA_CDR_SCAN_0(21),
		PMA_CDR_SCAN_0_22    => PMA_CDR_SCAN_0(22),
		PMA_CDR_SCAN_0_23    => PMA_CDR_SCAN_0(23),
		PMA_CDR_SCAN_0_24    => PMA_CDR_SCAN_0(24),
		PMA_CDR_SCAN_0_25    => PMA_CDR_SCAN_0(25),
		PMA_CDR_SCAN_0_26    => PMA_CDR_SCAN_0(26),
		PMA_CDR_SCAN_0_3     => PMA_CDR_SCAN_0(3),
		PMA_CDR_SCAN_0_4     => PMA_CDR_SCAN_0(4),
		PMA_CDR_SCAN_0_5     => PMA_CDR_SCAN_0(5),
		PMA_CDR_SCAN_0_6     => PMA_CDR_SCAN_0(6),
		PMA_CDR_SCAN_0_7     => PMA_CDR_SCAN_0(7),
		PMA_CDR_SCAN_0_8     => PMA_CDR_SCAN_0(8),
		PMA_CDR_SCAN_0_9     => PMA_CDR_SCAN_0(9),
		PMA_CDR_SCAN_1_0     => PMA_CDR_SCAN_1(0),
		PMA_CDR_SCAN_1_1     => PMA_CDR_SCAN_1(1),
		PMA_CDR_SCAN_1_10    => PMA_CDR_SCAN_1(10),
		PMA_CDR_SCAN_1_11    => PMA_CDR_SCAN_1(11),
		PMA_CDR_SCAN_1_12    => PMA_CDR_SCAN_1(12),
		PMA_CDR_SCAN_1_13    => PMA_CDR_SCAN_1(13),
		PMA_CDR_SCAN_1_14    => PMA_CDR_SCAN_1(14),
		PMA_CDR_SCAN_1_15    => PMA_CDR_SCAN_1(15),
		PMA_CDR_SCAN_1_16    => PMA_CDR_SCAN_1(16),
		PMA_CDR_SCAN_1_17    => PMA_CDR_SCAN_1(17),
		PMA_CDR_SCAN_1_18    => PMA_CDR_SCAN_1(18),
		PMA_CDR_SCAN_1_19    => PMA_CDR_SCAN_1(19),
		PMA_CDR_SCAN_1_2     => PMA_CDR_SCAN_1(2),
		PMA_CDR_SCAN_1_20    => PMA_CDR_SCAN_1(20),
		PMA_CDR_SCAN_1_21    => PMA_CDR_SCAN_1(21),
		PMA_CDR_SCAN_1_22    => PMA_CDR_SCAN_1(22),
		PMA_CDR_SCAN_1_23    => PMA_CDR_SCAN_1(23),
		PMA_CDR_SCAN_1_24    => PMA_CDR_SCAN_1(24),
		PMA_CDR_SCAN_1_25    => PMA_CDR_SCAN_1(25),
		PMA_CDR_SCAN_1_26    => PMA_CDR_SCAN_1(26),
		PMA_CDR_SCAN_1_3     => PMA_CDR_SCAN_1(3),
		PMA_CDR_SCAN_1_4     => PMA_CDR_SCAN_1(4),
		PMA_CDR_SCAN_1_5     => PMA_CDR_SCAN_1(5),
		PMA_CDR_SCAN_1_6     => PMA_CDR_SCAN_1(6),
		PMA_CDR_SCAN_1_7     => PMA_CDR_SCAN_1(7),
		PMA_CDR_SCAN_1_8     => PMA_CDR_SCAN_1(8),
		PMA_CDR_SCAN_1_9     => PMA_CDR_SCAN_1(9),
		PMA_RX_CFG_0_0       => PMA_RX_CFG_0(0),
		PMA_RX_CFG_0_1       => PMA_RX_CFG_0(1),
		PMA_RX_CFG_0_10      => PMA_RX_CFG_0(10),
		PMA_RX_CFG_0_11      => PMA_RX_CFG_0(11),
		PMA_RX_CFG_0_12      => PMA_RX_CFG_0(12),
		PMA_RX_CFG_0_13      => PMA_RX_CFG_0(13),
		PMA_RX_CFG_0_14      => PMA_RX_CFG_0(14),
		PMA_RX_CFG_0_15      => PMA_RX_CFG_0(15),
		PMA_RX_CFG_0_16      => PMA_RX_CFG_0(16),
		PMA_RX_CFG_0_17      => PMA_RX_CFG_0(17),
		PMA_RX_CFG_0_18      => PMA_RX_CFG_0(18),
		PMA_RX_CFG_0_19      => PMA_RX_CFG_0(19),
		PMA_RX_CFG_0_2       => PMA_RX_CFG_0(2),
		PMA_RX_CFG_0_20      => PMA_RX_CFG_0(20),
		PMA_RX_CFG_0_21      => PMA_RX_CFG_0(21),
		PMA_RX_CFG_0_22      => PMA_RX_CFG_0(22),
		PMA_RX_CFG_0_23      => PMA_RX_CFG_0(23),
		PMA_RX_CFG_0_24      => PMA_RX_CFG_0(24),
		PMA_RX_CFG_0_3       => PMA_RX_CFG_0(3),
		PMA_RX_CFG_0_4       => PMA_RX_CFG_0(4),
		PMA_RX_CFG_0_5       => PMA_RX_CFG_0(5),
		PMA_RX_CFG_0_6       => PMA_RX_CFG_0(6),
		PMA_RX_CFG_0_7       => PMA_RX_CFG_0(7),
		PMA_RX_CFG_0_8       => PMA_RX_CFG_0(8),
		PMA_RX_CFG_0_9       => PMA_RX_CFG_0(9),
		PMA_RX_CFG_1_0       => PMA_RX_CFG_1(0),
		PMA_RX_CFG_1_1       => PMA_RX_CFG_1(1),
		PMA_RX_CFG_1_10      => PMA_RX_CFG_1(10),
		PMA_RX_CFG_1_11      => PMA_RX_CFG_1(11),
		PMA_RX_CFG_1_12      => PMA_RX_CFG_1(12),
		PMA_RX_CFG_1_13      => PMA_RX_CFG_1(13),
		PMA_RX_CFG_1_14      => PMA_RX_CFG_1(14),
		PMA_RX_CFG_1_15      => PMA_RX_CFG_1(15),
		PMA_RX_CFG_1_16      => PMA_RX_CFG_1(16),
		PMA_RX_CFG_1_17      => PMA_RX_CFG_1(17),
		PMA_RX_CFG_1_18      => PMA_RX_CFG_1(18),
		PMA_RX_CFG_1_19      => PMA_RX_CFG_1(19),
		PMA_RX_CFG_1_2       => PMA_RX_CFG_1(2),
		PMA_RX_CFG_1_20      => PMA_RX_CFG_1(20),
		PMA_RX_CFG_1_21      => PMA_RX_CFG_1(21),
		PMA_RX_CFG_1_22      => PMA_RX_CFG_1(22),
		PMA_RX_CFG_1_23      => PMA_RX_CFG_1(23),
		PMA_RX_CFG_1_24      => PMA_RX_CFG_1(24),
		PMA_RX_CFG_1_3       => PMA_RX_CFG_1(3),
		PMA_RX_CFG_1_4       => PMA_RX_CFG_1(4),
		PMA_RX_CFG_1_5       => PMA_RX_CFG_1(5),
		PMA_RX_CFG_1_6       => PMA_RX_CFG_1(6),
		PMA_RX_CFG_1_7       => PMA_RX_CFG_1(7),
		PMA_RX_CFG_1_8       => PMA_RX_CFG_1(8),
		PMA_RX_CFG_1_9       => PMA_RX_CFG_1(9),
		PRBS_ERR_THRESHOLD_0_0 => PRBS_ERR_THRESHOLD_0(0),
		PRBS_ERR_THRESHOLD_0_1 => PRBS_ERR_THRESHOLD_0(1),
		PRBS_ERR_THRESHOLD_0_10 => PRBS_ERR_THRESHOLD_0(10),
		PRBS_ERR_THRESHOLD_0_11 => PRBS_ERR_THRESHOLD_0(11),
		PRBS_ERR_THRESHOLD_0_12 => PRBS_ERR_THRESHOLD_0(12),
		PRBS_ERR_THRESHOLD_0_13 => PRBS_ERR_THRESHOLD_0(13),
		PRBS_ERR_THRESHOLD_0_14 => PRBS_ERR_THRESHOLD_0(14),
		PRBS_ERR_THRESHOLD_0_15 => PRBS_ERR_THRESHOLD_0(15),
		PRBS_ERR_THRESHOLD_0_16 => PRBS_ERR_THRESHOLD_0(16),
		PRBS_ERR_THRESHOLD_0_17 => PRBS_ERR_THRESHOLD_0(17),
		PRBS_ERR_THRESHOLD_0_18 => PRBS_ERR_THRESHOLD_0(18),
		PRBS_ERR_THRESHOLD_0_19 => PRBS_ERR_THRESHOLD_0(19),
		PRBS_ERR_THRESHOLD_0_2 => PRBS_ERR_THRESHOLD_0(2),
		PRBS_ERR_THRESHOLD_0_20 => PRBS_ERR_THRESHOLD_0(20),
		PRBS_ERR_THRESHOLD_0_21 => PRBS_ERR_THRESHOLD_0(21),
		PRBS_ERR_THRESHOLD_0_22 => PRBS_ERR_THRESHOLD_0(22),
		PRBS_ERR_THRESHOLD_0_23 => PRBS_ERR_THRESHOLD_0(23),
		PRBS_ERR_THRESHOLD_0_24 => PRBS_ERR_THRESHOLD_0(24),
		PRBS_ERR_THRESHOLD_0_25 => PRBS_ERR_THRESHOLD_0(25),
		PRBS_ERR_THRESHOLD_0_26 => PRBS_ERR_THRESHOLD_0(26),
		PRBS_ERR_THRESHOLD_0_27 => PRBS_ERR_THRESHOLD_0(27),
		PRBS_ERR_THRESHOLD_0_28 => PRBS_ERR_THRESHOLD_0(28),
		PRBS_ERR_THRESHOLD_0_29 => PRBS_ERR_THRESHOLD_0(29),
		PRBS_ERR_THRESHOLD_0_3 => PRBS_ERR_THRESHOLD_0(3),
		PRBS_ERR_THRESHOLD_0_30 => PRBS_ERR_THRESHOLD_0(30),
		PRBS_ERR_THRESHOLD_0_31 => PRBS_ERR_THRESHOLD_0(31),
		PRBS_ERR_THRESHOLD_0_4 => PRBS_ERR_THRESHOLD_0(4),
		PRBS_ERR_THRESHOLD_0_5 => PRBS_ERR_THRESHOLD_0(5),
		PRBS_ERR_THRESHOLD_0_6 => PRBS_ERR_THRESHOLD_0(6),
		PRBS_ERR_THRESHOLD_0_7 => PRBS_ERR_THRESHOLD_0(7),
		PRBS_ERR_THRESHOLD_0_8 => PRBS_ERR_THRESHOLD_0(8),
		PRBS_ERR_THRESHOLD_0_9 => PRBS_ERR_THRESHOLD_0(9),
		PRBS_ERR_THRESHOLD_1_0 => PRBS_ERR_THRESHOLD_1(0),
		PRBS_ERR_THRESHOLD_1_1 => PRBS_ERR_THRESHOLD_1(1),
		PRBS_ERR_THRESHOLD_1_10 => PRBS_ERR_THRESHOLD_1(10),
		PRBS_ERR_THRESHOLD_1_11 => PRBS_ERR_THRESHOLD_1(11),
		PRBS_ERR_THRESHOLD_1_12 => PRBS_ERR_THRESHOLD_1(12),
		PRBS_ERR_THRESHOLD_1_13 => PRBS_ERR_THRESHOLD_1(13),
		PRBS_ERR_THRESHOLD_1_14 => PRBS_ERR_THRESHOLD_1(14),
		PRBS_ERR_THRESHOLD_1_15 => PRBS_ERR_THRESHOLD_1(15),
		PRBS_ERR_THRESHOLD_1_16 => PRBS_ERR_THRESHOLD_1(16),
		PRBS_ERR_THRESHOLD_1_17 => PRBS_ERR_THRESHOLD_1(17),
		PRBS_ERR_THRESHOLD_1_18 => PRBS_ERR_THRESHOLD_1(18),
		PRBS_ERR_THRESHOLD_1_19 => PRBS_ERR_THRESHOLD_1(19),
		PRBS_ERR_THRESHOLD_1_2 => PRBS_ERR_THRESHOLD_1(2),
		PRBS_ERR_THRESHOLD_1_20 => PRBS_ERR_THRESHOLD_1(20),
		PRBS_ERR_THRESHOLD_1_21 => PRBS_ERR_THRESHOLD_1(21),
		PRBS_ERR_THRESHOLD_1_22 => PRBS_ERR_THRESHOLD_1(22),
		PRBS_ERR_THRESHOLD_1_23 => PRBS_ERR_THRESHOLD_1(23),
		PRBS_ERR_THRESHOLD_1_24 => PRBS_ERR_THRESHOLD_1(24),
		PRBS_ERR_THRESHOLD_1_25 => PRBS_ERR_THRESHOLD_1(25),
		PRBS_ERR_THRESHOLD_1_26 => PRBS_ERR_THRESHOLD_1(26),
		PRBS_ERR_THRESHOLD_1_27 => PRBS_ERR_THRESHOLD_1(27),
		PRBS_ERR_THRESHOLD_1_28 => PRBS_ERR_THRESHOLD_1(28),
		PRBS_ERR_THRESHOLD_1_29 => PRBS_ERR_THRESHOLD_1(29),
		PRBS_ERR_THRESHOLD_1_3 => PRBS_ERR_THRESHOLD_1(3),
		PRBS_ERR_THRESHOLD_1_30 => PRBS_ERR_THRESHOLD_1(30),
		PRBS_ERR_THRESHOLD_1_31 => PRBS_ERR_THRESHOLD_1(31),
		PRBS_ERR_THRESHOLD_1_4 => PRBS_ERR_THRESHOLD_1(4),
		PRBS_ERR_THRESHOLD_1_5 => PRBS_ERR_THRESHOLD_1(5),
		PRBS_ERR_THRESHOLD_1_6 => PRBS_ERR_THRESHOLD_1(6),
		PRBS_ERR_THRESHOLD_1_7 => PRBS_ERR_THRESHOLD_1(7),
		PRBS_ERR_THRESHOLD_1_8 => PRBS_ERR_THRESHOLD_1(8),
		PRBS_ERR_THRESHOLD_1_9 => PRBS_ERR_THRESHOLD_1(9),
		RCV_TERM_GND_0       => RCV_TERM_GND_0,
		RCV_TERM_GND_1       => RCV_TERM_GND_1,
		RCV_TERM_MID_0       => RCV_TERM_MID_0,
		RCV_TERM_MID_1       => RCV_TERM_MID_1,
		RCV_TERM_VTTRX_0     => RCV_TERM_VTTRX_0,
		RCV_TERM_VTTRX_1     => RCV_TERM_VTTRX_1,
		RX_BUFFER_USE_0      => RX_BUFFER_USE_0,
		RX_BUFFER_USE_1      => RX_BUFFER_USE_1,
		RX_DECODE_SEQ_MATCH_0 => RX_DECODE_SEQ_MATCH_0,
		RX_DECODE_SEQ_MATCH_1 => RX_DECODE_SEQ_MATCH_1,
		RX_LOSS_OF_SYNC_FSM_0 => RX_LOSS_OF_SYNC_FSM_0,
		RX_LOSS_OF_SYNC_FSM_1 => RX_LOSS_OF_SYNC_FSM_1,
		RX_LOS_INVALID_INCR_0_0 => RX_LOS_INVALID_INCR_0(0),
		RX_LOS_INVALID_INCR_0_1 => RX_LOS_INVALID_INCR_0(1),
		RX_LOS_INVALID_INCR_0_2 => RX_LOS_INVALID_INCR_0(2),
		RX_LOS_INVALID_INCR_1_0 => RX_LOS_INVALID_INCR_1(0),
		RX_LOS_INVALID_INCR_1_1 => RX_LOS_INVALID_INCR_1(1),
		RX_LOS_INVALID_INCR_1_2 => RX_LOS_INVALID_INCR_1(2),
		RX_LOS_THRESHOLD_0_0 => RX_LOS_THRESHOLD_0(0),
		RX_LOS_THRESHOLD_0_1 => RX_LOS_THRESHOLD_0(1),
		RX_LOS_THRESHOLD_0_2 => RX_LOS_THRESHOLD_0(2),
		RX_LOS_THRESHOLD_1_0 => RX_LOS_THRESHOLD_1(0),
		RX_LOS_THRESHOLD_1_1 => RX_LOS_THRESHOLD_1(1),
		RX_LOS_THRESHOLD_1_2 => RX_LOS_THRESHOLD_1(2),
		RX_SLIDE_MODE_0      => RX_SLIDE_MODE_0,
		RX_SLIDE_MODE_1      => RX_SLIDE_MODE_1,
		RX_STATUS_FMT_0      => RX_STATUS_FMT_0,
		RX_STATUS_FMT_1      => RX_STATUS_FMT_1,
		RX_XCLK_SEL_0        => RX_XCLK_SEL_0,
		RX_XCLK_SEL_1        => RX_XCLK_SEL_1,
		SATA_BURST_VAL_0_0   => SATA_BURST_VAL_0(0),
		SATA_BURST_VAL_0_1   => SATA_BURST_VAL_0(1),
		SATA_BURST_VAL_0_2   => SATA_BURST_VAL_0(2),
		SATA_BURST_VAL_1_0   => SATA_BURST_VAL_1(0),
		SATA_BURST_VAL_1_1   => SATA_BURST_VAL_1(1),
		SATA_BURST_VAL_1_2   => SATA_BURST_VAL_1(2),
		SATA_IDLE_VAL_0_0    => SATA_IDLE_VAL_0(0),
		SATA_IDLE_VAL_0_1    => SATA_IDLE_VAL_0(1),
		SATA_IDLE_VAL_0_2    => SATA_IDLE_VAL_0(2),
		SATA_IDLE_VAL_1_0    => SATA_IDLE_VAL_1(0),
		SATA_IDLE_VAL_1_1    => SATA_IDLE_VAL_1(1),
		SATA_IDLE_VAL_1_2    => SATA_IDLE_VAL_1(2),
		SATA_MAX_BURST_0_0   => SATA_MAX_BURST_0(0),
		SATA_MAX_BURST_0_1   => SATA_MAX_BURST_0(1),
		SATA_MAX_BURST_0_2   => SATA_MAX_BURST_0(2),
		SATA_MAX_BURST_0_3   => SATA_MAX_BURST_0(3),
		SATA_MAX_BURST_0_4   => SATA_MAX_BURST_0(4),
		SATA_MAX_BURST_0_5   => SATA_MAX_BURST_0(5),
		SATA_MAX_BURST_1_0   => SATA_MAX_BURST_1(0),
		SATA_MAX_BURST_1_1   => SATA_MAX_BURST_1(1),
		SATA_MAX_BURST_1_2   => SATA_MAX_BURST_1(2),
		SATA_MAX_BURST_1_3   => SATA_MAX_BURST_1(3),
		SATA_MAX_BURST_1_4   => SATA_MAX_BURST_1(4),
		SATA_MAX_BURST_1_5   => SATA_MAX_BURST_1(5),
		SATA_MAX_INIT_0_0    => SATA_MAX_INIT_0(0),
		SATA_MAX_INIT_0_1    => SATA_MAX_INIT_0(1),
		SATA_MAX_INIT_0_2    => SATA_MAX_INIT_0(2),
		SATA_MAX_INIT_0_3    => SATA_MAX_INIT_0(3),
		SATA_MAX_INIT_0_4    => SATA_MAX_INIT_0(4),
		SATA_MAX_INIT_0_5    => SATA_MAX_INIT_0(5),
		SATA_MAX_INIT_1_0    => SATA_MAX_INIT_1(0),
		SATA_MAX_INIT_1_1    => SATA_MAX_INIT_1(1),
		SATA_MAX_INIT_1_2    => SATA_MAX_INIT_1(2),
		SATA_MAX_INIT_1_3    => SATA_MAX_INIT_1(3),
		SATA_MAX_INIT_1_4    => SATA_MAX_INIT_1(4),
		SATA_MAX_INIT_1_5    => SATA_MAX_INIT_1(5),
		SATA_MAX_WAKE_0_0    => SATA_MAX_WAKE_0(0),
		SATA_MAX_WAKE_0_1    => SATA_MAX_WAKE_0(1),
		SATA_MAX_WAKE_0_2    => SATA_MAX_WAKE_0(2),
		SATA_MAX_WAKE_0_3    => SATA_MAX_WAKE_0(3),
		SATA_MAX_WAKE_0_4    => SATA_MAX_WAKE_0(4),
		SATA_MAX_WAKE_0_5    => SATA_MAX_WAKE_0(5),
		SATA_MAX_WAKE_1_0    => SATA_MAX_WAKE_1(0),
		SATA_MAX_WAKE_1_1    => SATA_MAX_WAKE_1(1),
		SATA_MAX_WAKE_1_2    => SATA_MAX_WAKE_1(2),
		SATA_MAX_WAKE_1_3    => SATA_MAX_WAKE_1(3),
		SATA_MAX_WAKE_1_4    => SATA_MAX_WAKE_1(4),
		SATA_MAX_WAKE_1_5    => SATA_MAX_WAKE_1(5),
		SATA_MIN_BURST_0_0   => SATA_MIN_BURST_0(0),
		SATA_MIN_BURST_0_1   => SATA_MIN_BURST_0(1),
		SATA_MIN_BURST_0_2   => SATA_MIN_BURST_0(2),
		SATA_MIN_BURST_0_3   => SATA_MIN_BURST_0(3),
		SATA_MIN_BURST_0_4   => SATA_MIN_BURST_0(4),
		SATA_MIN_BURST_0_5   => SATA_MIN_BURST_0(5),
		SATA_MIN_BURST_1_0   => SATA_MIN_BURST_1(0),
		SATA_MIN_BURST_1_1   => SATA_MIN_BURST_1(1),
		SATA_MIN_BURST_1_2   => SATA_MIN_BURST_1(2),
		SATA_MIN_BURST_1_3   => SATA_MIN_BURST_1(3),
		SATA_MIN_BURST_1_4   => SATA_MIN_BURST_1(4),
		SATA_MIN_BURST_1_5   => SATA_MIN_BURST_1(5),
		SATA_MIN_INIT_0_0    => SATA_MIN_INIT_0(0),
		SATA_MIN_INIT_0_1    => SATA_MIN_INIT_0(1),
		SATA_MIN_INIT_0_2    => SATA_MIN_INIT_0(2),
		SATA_MIN_INIT_0_3    => SATA_MIN_INIT_0(3),
		SATA_MIN_INIT_0_4    => SATA_MIN_INIT_0(4),
		SATA_MIN_INIT_0_5    => SATA_MIN_INIT_0(5),
		SATA_MIN_INIT_1_0    => SATA_MIN_INIT_1(0),
		SATA_MIN_INIT_1_1    => SATA_MIN_INIT_1(1),
		SATA_MIN_INIT_1_2    => SATA_MIN_INIT_1(2),
		SATA_MIN_INIT_1_3    => SATA_MIN_INIT_1(3),
		SATA_MIN_INIT_1_4    => SATA_MIN_INIT_1(4),
		SATA_MIN_INIT_1_5    => SATA_MIN_INIT_1(5),
		SATA_MIN_WAKE_0_0    => SATA_MIN_WAKE_0(0),
		SATA_MIN_WAKE_0_1    => SATA_MIN_WAKE_0(1),
		SATA_MIN_WAKE_0_2    => SATA_MIN_WAKE_0(2),
		SATA_MIN_WAKE_0_3    => SATA_MIN_WAKE_0(3),
		SATA_MIN_WAKE_0_4    => SATA_MIN_WAKE_0(4),
		SATA_MIN_WAKE_0_5    => SATA_MIN_WAKE_0(5),
		SATA_MIN_WAKE_1_0    => SATA_MIN_WAKE_1(0),
		SATA_MIN_WAKE_1_1    => SATA_MIN_WAKE_1(1),
		SATA_MIN_WAKE_1_2    => SATA_MIN_WAKE_1(2),
		SATA_MIN_WAKE_1_3    => SATA_MIN_WAKE_1(3),
		SATA_MIN_WAKE_1_4    => SATA_MIN_WAKE_1(4),
		SATA_MIN_WAKE_1_5    => SATA_MIN_WAKE_1(5),
		SIM_GTPRESET_SPEEDUP => SIM_GTPRESET_SPEEDUP,                                  SIM_PLL_PERDIV2_0    => SIM_PLL_PERDIV2(0),
                SIM_PLL_PERDIV2_1    => SIM_PLL_PERDIV2(1),
                SIM_PLL_PERDIV2_2    => SIM_PLL_PERDIV2(2),
                SIM_PLL_PERDIV2_3    => SIM_PLL_PERDIV2(3),
                SIM_PLL_PERDIV2_4    => SIM_PLL_PERDIV2(4),
                SIM_PLL_PERDIV2_5    => SIM_PLL_PERDIV2(5),
                SIM_PLL_PERDIV2_6    => SIM_PLL_PERDIV2(6),
                SIM_PLL_PERDIV2_7    => SIM_PLL_PERDIV2(7),
                SIM_PLL_PERDIV2_8    => SIM_PLL_PERDIV2(8),
                SIM_RECEIVER_DETECT_PASS0 => SIM_RECEIVER_DETECT_PASS0,
                SIM_RECEIVER_DETECT_PASS1 => SIM_RECEIVER_DETECT_PASS1,
		TERMINATION_CTRL_0   => TERMINATION_CTRL(0),
		TERMINATION_CTRL_1   => TERMINATION_CTRL(1),
		TERMINATION_CTRL_2   => TERMINATION_CTRL(2),
		TERMINATION_CTRL_3   => TERMINATION_CTRL(3),
		TERMINATION_CTRL_4   => TERMINATION_CTRL(4),
		TERMINATION_IMP_0    => TERMINATION_IMP_0,
		TERMINATION_IMP_1    => TERMINATION_IMP_1,
		TERMINATION_OVRD     => TERMINATION_OVRD,
		TRANS_TIME_FROM_P2_0_0 => TRANS_TIME_FROM_P2_0(0),
		TRANS_TIME_FROM_P2_0_1 => TRANS_TIME_FROM_P2_0(1),
		TRANS_TIME_FROM_P2_0_10 => TRANS_TIME_FROM_P2_0(10),
		TRANS_TIME_FROM_P2_0_11 => TRANS_TIME_FROM_P2_0(11),
		TRANS_TIME_FROM_P2_0_12 => TRANS_TIME_FROM_P2_0(12),
		TRANS_TIME_FROM_P2_0_13 => TRANS_TIME_FROM_P2_0(13),
		TRANS_TIME_FROM_P2_0_14 => TRANS_TIME_FROM_P2_0(14),
		TRANS_TIME_FROM_P2_0_15 => TRANS_TIME_FROM_P2_0(15),
		TRANS_TIME_FROM_P2_0_2 => TRANS_TIME_FROM_P2_0(2),
		TRANS_TIME_FROM_P2_0_3 => TRANS_TIME_FROM_P2_0(3),
		TRANS_TIME_FROM_P2_0_4 => TRANS_TIME_FROM_P2_0(4),
		TRANS_TIME_FROM_P2_0_5 => TRANS_TIME_FROM_P2_0(5),
		TRANS_TIME_FROM_P2_0_6 => TRANS_TIME_FROM_P2_0(6),
		TRANS_TIME_FROM_P2_0_7 => TRANS_TIME_FROM_P2_0(7),
		TRANS_TIME_FROM_P2_0_8 => TRANS_TIME_FROM_P2_0(8),
		TRANS_TIME_FROM_P2_0_9 => TRANS_TIME_FROM_P2_0(9),
		TRANS_TIME_FROM_P2_1_0 => TRANS_TIME_FROM_P2_1(0),
		TRANS_TIME_FROM_P2_1_1 => TRANS_TIME_FROM_P2_1(1),
		TRANS_TIME_FROM_P2_1_10 => TRANS_TIME_FROM_P2_1(10),
		TRANS_TIME_FROM_P2_1_11 => TRANS_TIME_FROM_P2_1(11),
		TRANS_TIME_FROM_P2_1_12 => TRANS_TIME_FROM_P2_1(12),
		TRANS_TIME_FROM_P2_1_13 => TRANS_TIME_FROM_P2_1(13),
		TRANS_TIME_FROM_P2_1_14 => TRANS_TIME_FROM_P2_1(14),
		TRANS_TIME_FROM_P2_1_15 => TRANS_TIME_FROM_P2_1(15),
		TRANS_TIME_FROM_P2_1_2 => TRANS_TIME_FROM_P2_1(2),
		TRANS_TIME_FROM_P2_1_3 => TRANS_TIME_FROM_P2_1(3),
		TRANS_TIME_FROM_P2_1_4 => TRANS_TIME_FROM_P2_1(4),
		TRANS_TIME_FROM_P2_1_5 => TRANS_TIME_FROM_P2_1(5),
		TRANS_TIME_FROM_P2_1_6 => TRANS_TIME_FROM_P2_1(6),
		TRANS_TIME_FROM_P2_1_7 => TRANS_TIME_FROM_P2_1(7),
		TRANS_TIME_FROM_P2_1_8 => TRANS_TIME_FROM_P2_1(8),
		TRANS_TIME_FROM_P2_1_9 => TRANS_TIME_FROM_P2_1(9),
		TRANS_TIME_NON_P2_0_0 => TRANS_TIME_NON_P2_0(0),
		TRANS_TIME_NON_P2_0_1 => TRANS_TIME_NON_P2_0(1),
		TRANS_TIME_NON_P2_0_10 => TRANS_TIME_NON_P2_0(10),
		TRANS_TIME_NON_P2_0_11 => TRANS_TIME_NON_P2_0(11),
		TRANS_TIME_NON_P2_0_12 => TRANS_TIME_NON_P2_0(12),
		TRANS_TIME_NON_P2_0_13 => TRANS_TIME_NON_P2_0(13),
		TRANS_TIME_NON_P2_0_14 => TRANS_TIME_NON_P2_0(14),
		TRANS_TIME_NON_P2_0_15 => TRANS_TIME_NON_P2_0(15),
		TRANS_TIME_NON_P2_0_2 => TRANS_TIME_NON_P2_0(2),
		TRANS_TIME_NON_P2_0_3 => TRANS_TIME_NON_P2_0(3),
		TRANS_TIME_NON_P2_0_4 => TRANS_TIME_NON_P2_0(4),
		TRANS_TIME_NON_P2_0_5 => TRANS_TIME_NON_P2_0(5),
		TRANS_TIME_NON_P2_0_6 => TRANS_TIME_NON_P2_0(6),
		TRANS_TIME_NON_P2_0_7 => TRANS_TIME_NON_P2_0(7),
		TRANS_TIME_NON_P2_0_8 => TRANS_TIME_NON_P2_0(8),
		TRANS_TIME_NON_P2_0_9 => TRANS_TIME_NON_P2_0(9),
		TRANS_TIME_NON_P2_1_0 => TRANS_TIME_NON_P2_1(0),
		TRANS_TIME_NON_P2_1_1 => TRANS_TIME_NON_P2_1(1),
		TRANS_TIME_NON_P2_1_10 => TRANS_TIME_NON_P2_1(10),
		TRANS_TIME_NON_P2_1_11 => TRANS_TIME_NON_P2_1(11),
		TRANS_TIME_NON_P2_1_12 => TRANS_TIME_NON_P2_1(12),
		TRANS_TIME_NON_P2_1_13 => TRANS_TIME_NON_P2_1(13),
		TRANS_TIME_NON_P2_1_14 => TRANS_TIME_NON_P2_1(14),
		TRANS_TIME_NON_P2_1_15 => TRANS_TIME_NON_P2_1(15),
		TRANS_TIME_NON_P2_1_2 => TRANS_TIME_NON_P2_1(2),
		TRANS_TIME_NON_P2_1_3 => TRANS_TIME_NON_P2_1(3),
		TRANS_TIME_NON_P2_1_4 => TRANS_TIME_NON_P2_1(4),
		TRANS_TIME_NON_P2_1_5 => TRANS_TIME_NON_P2_1(5),
		TRANS_TIME_NON_P2_1_6 => TRANS_TIME_NON_P2_1(6),
		TRANS_TIME_NON_P2_1_7 => TRANS_TIME_NON_P2_1(7),
		TRANS_TIME_NON_P2_1_8 => TRANS_TIME_NON_P2_1(8),
		TRANS_TIME_NON_P2_1_9 => TRANS_TIME_NON_P2_1(9),
		TRANS_TIME_TO_P2_0_0 => TRANS_TIME_TO_P2_0(0),
		TRANS_TIME_TO_P2_0_1 => TRANS_TIME_TO_P2_0(1),
		TRANS_TIME_TO_P2_0_10 => TRANS_TIME_TO_P2_0(10),
		TRANS_TIME_TO_P2_0_11 => TRANS_TIME_TO_P2_0(11),
		TRANS_TIME_TO_P2_0_12 => TRANS_TIME_TO_P2_0(12),
		TRANS_TIME_TO_P2_0_13 => TRANS_TIME_TO_P2_0(13),
		TRANS_TIME_TO_P2_0_14 => TRANS_TIME_TO_P2_0(14),
		TRANS_TIME_TO_P2_0_15 => TRANS_TIME_TO_P2_0(15),
		TRANS_TIME_TO_P2_0_2 => TRANS_TIME_TO_P2_0(2),
		TRANS_TIME_TO_P2_0_3 => TRANS_TIME_TO_P2_0(3),
		TRANS_TIME_TO_P2_0_4 => TRANS_TIME_TO_P2_0(4),
		TRANS_TIME_TO_P2_0_5 => TRANS_TIME_TO_P2_0(5),
		TRANS_TIME_TO_P2_0_6 => TRANS_TIME_TO_P2_0(6),
		TRANS_TIME_TO_P2_0_7 => TRANS_TIME_TO_P2_0(7),
		TRANS_TIME_TO_P2_0_8 => TRANS_TIME_TO_P2_0(8),
		TRANS_TIME_TO_P2_0_9 => TRANS_TIME_TO_P2_0(9),
		TRANS_TIME_TO_P2_1_0 => TRANS_TIME_TO_P2_1(0),
		TRANS_TIME_TO_P2_1_1 => TRANS_TIME_TO_P2_1(1),
		TRANS_TIME_TO_P2_1_10 => TRANS_TIME_TO_P2_1(10),
		TRANS_TIME_TO_P2_1_11 => TRANS_TIME_TO_P2_1(11),
		TRANS_TIME_TO_P2_1_12 => TRANS_TIME_TO_P2_1(12),
		TRANS_TIME_TO_P2_1_13 => TRANS_TIME_TO_P2_1(13),
		TRANS_TIME_TO_P2_1_14 => TRANS_TIME_TO_P2_1(14),
		TRANS_TIME_TO_P2_1_15 => TRANS_TIME_TO_P2_1(15),
		TRANS_TIME_TO_P2_1_2 => TRANS_TIME_TO_P2_1(2),
		TRANS_TIME_TO_P2_1_3 => TRANS_TIME_TO_P2_1(3),
		TRANS_TIME_TO_P2_1_4 => TRANS_TIME_TO_P2_1(4),
		TRANS_TIME_TO_P2_1_5 => TRANS_TIME_TO_P2_1(5),
		TRANS_TIME_TO_P2_1_6 => TRANS_TIME_TO_P2_1(6),
		TRANS_TIME_TO_P2_1_7 => TRANS_TIME_TO_P2_1(7),
		TRANS_TIME_TO_P2_1_8 => TRANS_TIME_TO_P2_1(8),
		TRANS_TIME_TO_P2_1_9 => TRANS_TIME_TO_P2_1(9),
		TXRX_INVERT_0_0      => TXRX_INVERT_0(0),
		TXRX_INVERT_0_1      => TXRX_INVERT_0(1),
		TXRX_INVERT_0_2      => TXRX_INVERT_0(2),
		TXRX_INVERT_0_3      => TXRX_INVERT_0(3),
		TXRX_INVERT_0_4      => TXRX_INVERT_0(4),
		TXRX_INVERT_1_0      => TXRX_INVERT_1(0),
		TXRX_INVERT_1_1      => TXRX_INVERT_1(1),
		TXRX_INVERT_1_2      => TXRX_INVERT_1(2),
		TXRX_INVERT_1_3      => TXRX_INVERT_1(3),
		TXRX_INVERT_1_4      => TXRX_INVERT_1(4),
		TX_BUFFER_USE_0      => TX_BUFFER_USE_0,
		TX_BUFFER_USE_1      => TX_BUFFER_USE_1,
		TX_DIFF_BOOST_0      => TX_DIFF_BOOST_0,
		TX_DIFF_BOOST_1      => TX_DIFF_BOOST_1,
		TX_SYNC_FILTERB      => TX_SYNC_FILTERB,
		TX_XCLK_SEL_0        => TX_XCLK_SEL_0,
		TX_XCLK_SEL_1        => TX_XCLK_SEL_1
		);
begin
gtp_dual_swift_inst : GTP_DUAL_SWIFT
	port map (
		DO                    =>  DO,
		DRDY                  =>  DRDY,
		PHYSTATUS0            =>  PHYSTATUS0,
		PHYSTATUS1            =>  PHYSTATUS1,
		PLLLKDET              =>  PLLLKDET,
		REFCLKOUT             =>  REFCLKOUT,
		RESETDONE0            =>  RESETDONE0,
		RESETDONE1            =>  RESETDONE1,
		RXBUFSTATUS0          =>  RXBUFSTATUS0,
		RXBUFSTATUS1          =>  RXBUFSTATUS1,
		RXBYTEISALIGNED0      =>  RXBYTEISALIGNED0,
		RXBYTEISALIGNED1      =>  RXBYTEISALIGNED1,
		RXBYTEREALIGN0        =>  RXBYTEREALIGN0,
		RXBYTEREALIGN1        =>  RXBYTEREALIGN1,
		RXCHANBONDSEQ0        =>  RXCHANBONDSEQ0,
		RXCHANBONDSEQ1        =>  RXCHANBONDSEQ1,
		RXCHANISALIGNED0      =>  RXCHANISALIGNED0,
		RXCHANISALIGNED1      =>  RXCHANISALIGNED1,
		RXCHANREALIGN0        =>  RXCHANREALIGN0,
		RXCHANREALIGN1        =>  RXCHANREALIGN1,
		RXCHARISCOMMA0        =>  RXCHARISCOMMA0,
		RXCHARISCOMMA1        =>  RXCHARISCOMMA1,
		RXCHARISK0            =>  RXCHARISK0,
		RXCHARISK1            =>  RXCHARISK1,
		RXCHBONDO0            =>  RXCHBONDO0,
		RXCHBONDO1            =>  RXCHBONDO1,
		RXCLKCORCNT0          =>  RXCLKCORCNT0,
		RXCLKCORCNT1          =>  RXCLKCORCNT1,
		RXCOMMADET0           =>  RXCOMMADET0,
		RXCOMMADET1           =>  RXCOMMADET1,
		RXDATA0               =>  RXDATA0,
		RXDATA1               =>  RXDATA1,
		RXDISPERR0            =>  RXDISPERR0,
		RXDISPERR1            =>  RXDISPERR1,
		RXELECIDLE0           =>  RXELECIDLE0,
		RXELECIDLE1           =>  RXELECIDLE1,
		RXLOSSOFSYNC0         =>  RXLOSSOFSYNC0,
		RXLOSSOFSYNC1         =>  RXLOSSOFSYNC1,
		RXNOTINTABLE0         =>  RXNOTINTABLE0,
		RXNOTINTABLE1         =>  RXNOTINTABLE1,
		RXOVERSAMPLEERR0      =>  RXOVERSAMPLEERR0,
		RXOVERSAMPLEERR1      =>  RXOVERSAMPLEERR1,
		RXPRBSERR0            =>  RXPRBSERR0,
		RXPRBSERR1            =>  RXPRBSERR1,
		RXRECCLK0             =>  RXRECCLK0,
		RXRECCLK1             =>  RXRECCLK1,
		RXRUNDISP0            =>  RXRUNDISP0,
		RXRUNDISP1            =>  RXRUNDISP1,
		RXSTATUS0             =>  RXSTATUS0,
		RXSTATUS1             =>  RXSTATUS1,
		RXVALID0              =>  RXVALID0,
		RXVALID1              =>  RXVALID1,
		TXBUFSTATUS0          =>  TXBUFSTATUS0,
		TXBUFSTATUS1          =>  TXBUFSTATUS1,
		TXKERR0               =>  TXKERR0,
		TXKERR1               =>  TXKERR1,
		TXN0                  =>  TXN0,
		TXN1                  =>  TXN1,
		TXOUTCLK0             =>  TXOUTCLK0,
		TXOUTCLK1             =>  TXOUTCLK1,
		TXP0                  =>  TXP0,
		TXP1                  =>  TXP1,
		TXRUNDISP0            =>  TXRUNDISP0,
		TXRUNDISP1            =>  TXRUNDISP1,

		CLKIN                 =>  CLKIN,
		DADDR                 =>  DADDR,
		DCLK                  =>  DCLK,
		DEN                   =>  DEN,
		DI                    =>  DI,
		DWE                   =>  DWE,
		GSR                   =>  GSR,
		GTPRESET              =>  GTPRESET,
		GTPTEST               =>  GTPTEST,
		INTDATAWIDTH          =>  INTDATAWIDTH,
		LOOPBACK0             =>  LOOPBACK0,
		LOOPBACK1             =>  LOOPBACK1,
		PLLLKDETEN            =>  PLLLKDETEN,
		PLLPOWERDOWN          =>  PLLPOWERDOWN,
		PRBSCNTRESET0         =>  PRBSCNTRESET0,
		PRBSCNTRESET1         =>  PRBSCNTRESET1,
		REFCLKPWRDNB          =>  REFCLKPWRDNB,
		RXBUFRESET0           =>  RXBUFRESET0,
		RXBUFRESET1           =>  RXBUFRESET1,
		RXCDRRESET0           =>  RXCDRRESET0,
		RXCDRRESET1           =>  RXCDRRESET1,
		RXCHBONDI0            =>  RXCHBONDI0,
		RXCHBONDI1            =>  RXCHBONDI1,
		RXCOMMADETUSE0        =>  RXCOMMADETUSE0,
		RXCOMMADETUSE1        =>  RXCOMMADETUSE1,
		RXDATAWIDTH0          =>  RXDATAWIDTH0,
		RXDATAWIDTH1          =>  RXDATAWIDTH1,
		RXDEC8B10BUSE0        =>  RXDEC8B10BUSE0,
		RXDEC8B10BUSE1        =>  RXDEC8B10BUSE1,
		RXELECIDLERESET0      =>  RXELECIDLERESET0,
		RXELECIDLERESET1      =>  RXELECIDLERESET1,
		RXENCHANSYNC0         =>  RXENCHANSYNC0,
		RXENCHANSYNC1         =>  RXENCHANSYNC1,
		RXENELECIDLERESETB    =>  RXENELECIDLERESETB,
		RXENEQB0              =>  RXENEQB0,
		RXENEQB1              =>  RXENEQB1,
		RXENMCOMMAALIGN0      =>  RXENMCOMMAALIGN0,
		RXENMCOMMAALIGN1      =>  RXENMCOMMAALIGN1,
		RXENPCOMMAALIGN0      =>  RXENPCOMMAALIGN0,
		RXENPCOMMAALIGN1      =>  RXENPCOMMAALIGN1,
		RXENPRBSTST0          =>  RXENPRBSTST0,
		RXENPRBSTST1          =>  RXENPRBSTST1,
		RXENSAMPLEALIGN0      =>  RXENSAMPLEALIGN0,
		RXENSAMPLEALIGN1      =>  RXENSAMPLEALIGN1,
		RXEQMIX0              =>  RXEQMIX0,
		RXEQMIX1              =>  RXEQMIX1,
		RXEQPOLE0             =>  RXEQPOLE0,
		RXEQPOLE1             =>  RXEQPOLE1,
		RXN0                  =>  RXN0,
		RXN1                  =>  RXN1,
		RXP0                  =>  RXP0,
		RXP1                  =>  RXP1,
		RXPMASETPHASE0        =>  RXPMASETPHASE0,
		RXPMASETPHASE1        =>  RXPMASETPHASE1,
		RXPOLARITY0           =>  RXPOLARITY0,
		RXPOLARITY1           =>  RXPOLARITY1,
		RXPOWERDOWN0          =>  RXPOWERDOWN0,
		RXPOWERDOWN1          =>  RXPOWERDOWN1,
		RXRESET0              =>  RXRESET0,
		RXRESET1              =>  RXRESET1,
		RXSLIDE0              =>  RXSLIDE0,
		RXSLIDE1              =>  RXSLIDE1,
		RXUSRCLK0             =>  RXUSRCLK0,
		RXUSRCLK1             =>  RXUSRCLK1,
		RXUSRCLK20            =>  RXUSRCLK20,
		RXUSRCLK21            =>  RXUSRCLK21,
		TXBUFDIFFCTRL0        =>  TXBUFDIFFCTRL0,
		TXBUFDIFFCTRL1        =>  TXBUFDIFFCTRL1,
		TXBYPASS8B10B0        =>  TXBYPASS8B10B0,
		TXBYPASS8B10B1        =>  TXBYPASS8B10B1,
		TXCHARDISPMODE0       =>  TXCHARDISPMODE0,
		TXCHARDISPMODE1       =>  TXCHARDISPMODE1,
		TXCHARDISPVAL0        =>  TXCHARDISPVAL0,
		TXCHARDISPVAL1        =>  TXCHARDISPVAL1,
		TXCHARISK0            =>  TXCHARISK0,
		TXCHARISK1            =>  TXCHARISK1,
		TXCOMSTART0           =>  TXCOMSTART0,
		TXCOMSTART1           =>  TXCOMSTART1,
		TXCOMTYPE0            =>  TXCOMTYPE0,
		TXCOMTYPE1            =>  TXCOMTYPE1,
		TXDATA0               =>  TXDATA0,
		TXDATA1               =>  TXDATA1,
		TXDATAWIDTH0          =>  TXDATAWIDTH0,
		TXDATAWIDTH1          =>  TXDATAWIDTH1,
		TXDETECTRX0           =>  TXDETECTRX0,
		TXDETECTRX1           =>  TXDETECTRX1,
		TXDIFFCTRL0           =>  TXDIFFCTRL0,
		TXDIFFCTRL1           =>  TXDIFFCTRL1,
		TXELECIDLE0           =>  TXELECIDLE0,
		TXELECIDLE1           =>  TXELECIDLE1,
		TXENC8B10BUSE0        =>  TXENC8B10BUSE0,
		TXENC8B10BUSE1        =>  TXENC8B10BUSE1,
		TXENPMAPHASEALIGN     =>  TXENPMAPHASEALIGN,
		TXENPRBSTST0          =>  TXENPRBSTST0,
		TXENPRBSTST1          =>  TXENPRBSTST1,
		TXINHIBIT0            =>  TXINHIBIT0,
		TXINHIBIT1            =>  TXINHIBIT1,
		TXPMASETPHASE         =>  TXPMASETPHASE,
		TXPOLARITY0           =>  TXPOLARITY0,
		TXPOLARITY1           =>  TXPOLARITY1,
		TXPOWERDOWN0          =>  TXPOWERDOWN0,
		TXPOWERDOWN1          =>  TXPOWERDOWN1,
		TXPREEMPHASIS0        =>  TXPREEMPHASIS0,
		TXPREEMPHASIS1        =>  TXPREEMPHASIS1,
		TXRESET0              =>  TXRESET0,
		TXRESET1              =>  TXRESET1,
		TXUSRCLK0             =>  TXUSRCLK0,
		TXUSRCLK1             =>  TXUSRCLK1,
		TXUSRCLK20            =>  TXUSRCLK20,
		TXUSRCLK21            =>  TXUSRCLK21,

		AC_CAP_DIS_0          =>  AC_CAP_DIS_0,
		AC_CAP_DIS_1          =>  AC_CAP_DIS_1,
		ALIGN_COMMA_WORD_0    =>  ALIGN_COMMA_WORD_0,
		ALIGN_COMMA_WORD_1    =>  ALIGN_COMMA_WORD_1,
		CHAN_BOND_1_MAX_SKEW_0  =>  CHAN_BOND_1_MAX_SKEW_0,
		CHAN_BOND_1_MAX_SKEW_1  =>  CHAN_BOND_1_MAX_SKEW_1,
		CHAN_BOND_2_MAX_SKEW_0  =>  CHAN_BOND_2_MAX_SKEW_0,
		CHAN_BOND_2_MAX_SKEW_1  =>  CHAN_BOND_2_MAX_SKEW_1,
		CHAN_BOND_LEVEL_0     =>  CHAN_BOND_LEVEL_0,
		CHAN_BOND_LEVEL_1     =>  CHAN_BOND_LEVEL_1,
		CHAN_BOND_MODE_0      =>  CHAN_BOND_MODE_0,
		CHAN_BOND_MODE_1      =>  CHAN_BOND_MODE_1,
		CHAN_BOND_SEQ_1_1_0   =>  CHAN_BOND_SEQ_1_1_0,
		CHAN_BOND_SEQ_1_1_1   =>  CHAN_BOND_SEQ_1_1_1,
		CHAN_BOND_SEQ_1_2_0   =>  CHAN_BOND_SEQ_1_2_0,
		CHAN_BOND_SEQ_1_2_1   =>  CHAN_BOND_SEQ_1_2_1,
		CHAN_BOND_SEQ_1_3_0   =>  CHAN_BOND_SEQ_1_3_0,
		CHAN_BOND_SEQ_1_3_1   =>  CHAN_BOND_SEQ_1_3_1,
		CHAN_BOND_SEQ_1_4_0   =>  CHAN_BOND_SEQ_1_4_0,
		CHAN_BOND_SEQ_1_4_1   =>  CHAN_BOND_SEQ_1_4_1,
		CHAN_BOND_SEQ_1_ENABLE_0  =>  CHAN_BOND_SEQ_1_ENABLE_0,
		CHAN_BOND_SEQ_1_ENABLE_1  =>  CHAN_BOND_SEQ_1_ENABLE_1,
		CHAN_BOND_SEQ_2_1_0   =>  CHAN_BOND_SEQ_2_1_0,
		CHAN_BOND_SEQ_2_1_1   =>  CHAN_BOND_SEQ_2_1_1,
		CHAN_BOND_SEQ_2_2_0   =>  CHAN_BOND_SEQ_2_2_0,
		CHAN_BOND_SEQ_2_2_1   =>  CHAN_BOND_SEQ_2_2_1,
		CHAN_BOND_SEQ_2_3_0   =>  CHAN_BOND_SEQ_2_3_0,
		CHAN_BOND_SEQ_2_3_1   =>  CHAN_BOND_SEQ_2_3_1,
		CHAN_BOND_SEQ_2_4_0   =>  CHAN_BOND_SEQ_2_4_0,
		CHAN_BOND_SEQ_2_4_1   =>  CHAN_BOND_SEQ_2_4_1,
		CHAN_BOND_SEQ_2_ENABLE_0  =>  CHAN_BOND_SEQ_2_ENABLE_0,
		CHAN_BOND_SEQ_2_ENABLE_1  =>  CHAN_BOND_SEQ_2_ENABLE_1,
		CHAN_BOND_SEQ_2_USE_0  =>  CHAN_BOND_SEQ_2_USE_0,
		CHAN_BOND_SEQ_2_USE_1  =>  CHAN_BOND_SEQ_2_USE_1,
		CHAN_BOND_SEQ_LEN_0   =>  CHAN_BOND_SEQ_LEN_0,
		CHAN_BOND_SEQ_LEN_1   =>  CHAN_BOND_SEQ_LEN_1,
		CLK25_DIVIDER         =>  CLK25_DIVIDER,
		CLKINDC_B             =>  CLKINDC_B,
		CLK_CORRECT_USE_0     =>  CLK_CORRECT_USE_0,
		CLK_CORRECT_USE_1     =>  CLK_CORRECT_USE_1,
		CLK_COR_ADJ_LEN_0     =>  CLK_COR_ADJ_LEN_0,
		CLK_COR_ADJ_LEN_1     =>  CLK_COR_ADJ_LEN_1,
		CLK_COR_DET_LEN_0     =>  CLK_COR_DET_LEN_0,
		CLK_COR_DET_LEN_1     =>  CLK_COR_DET_LEN_1,
		CLK_COR_INSERT_IDLE_FLAG_0  =>  CLK_COR_INSERT_IDLE_FLAG_0,
		CLK_COR_INSERT_IDLE_FLAG_1  =>  CLK_COR_INSERT_IDLE_FLAG_1,
		CLK_COR_KEEP_IDLE_0   =>  CLK_COR_KEEP_IDLE_0,
		CLK_COR_KEEP_IDLE_1   =>  CLK_COR_KEEP_IDLE_1,
		CLK_COR_MAX_LAT_0     =>  CLK_COR_MAX_LAT_0,
		CLK_COR_MAX_LAT_1     =>  CLK_COR_MAX_LAT_1,
		CLK_COR_MIN_LAT_0     =>  CLK_COR_MIN_LAT_0,
		CLK_COR_MIN_LAT_1     =>  CLK_COR_MIN_LAT_1,
		CLK_COR_PRECEDENCE_0  =>  CLK_COR_PRECEDENCE_0,
		CLK_COR_PRECEDENCE_1  =>  CLK_COR_PRECEDENCE_1,
		CLK_COR_REPEAT_WAIT_0  =>  CLK_COR_REPEAT_WAIT_0,
		CLK_COR_REPEAT_WAIT_1  =>  CLK_COR_REPEAT_WAIT_1,
		CLK_COR_SEQ_1_1_0     =>  CLK_COR_SEQ_1_1_0,
		CLK_COR_SEQ_1_1_1     =>  CLK_COR_SEQ_1_1_1,
		CLK_COR_SEQ_1_2_0     =>  CLK_COR_SEQ_1_2_0,
		CLK_COR_SEQ_1_2_1     =>  CLK_COR_SEQ_1_2_1,
		CLK_COR_SEQ_1_3_0     =>  CLK_COR_SEQ_1_3_0,
		CLK_COR_SEQ_1_3_1     =>  CLK_COR_SEQ_1_3_1,
		CLK_COR_SEQ_1_4_0     =>  CLK_COR_SEQ_1_4_0,
		CLK_COR_SEQ_1_4_1     =>  CLK_COR_SEQ_1_4_1,
		CLK_COR_SEQ_1_ENABLE_0  =>  CLK_COR_SEQ_1_ENABLE_0,
		CLK_COR_SEQ_1_ENABLE_1  =>  CLK_COR_SEQ_1_ENABLE_1,
		CLK_COR_SEQ_2_1_0     =>  CLK_COR_SEQ_2_1_0,
		CLK_COR_SEQ_2_1_1     =>  CLK_COR_SEQ_2_1_1,
		CLK_COR_SEQ_2_2_0     =>  CLK_COR_SEQ_2_2_0,
		CLK_COR_SEQ_2_2_1     =>  CLK_COR_SEQ_2_2_1,
		CLK_COR_SEQ_2_3_0     =>  CLK_COR_SEQ_2_3_0,
		CLK_COR_SEQ_2_3_1     =>  CLK_COR_SEQ_2_3_1,
		CLK_COR_SEQ_2_4_0     =>  CLK_COR_SEQ_2_4_0,
		CLK_COR_SEQ_2_4_1     =>  CLK_COR_SEQ_2_4_1,
		CLK_COR_SEQ_2_ENABLE_0  =>  CLK_COR_SEQ_2_ENABLE_0,
		CLK_COR_SEQ_2_ENABLE_1  =>  CLK_COR_SEQ_2_ENABLE_1,
		CLK_COR_SEQ_2_USE_0   =>  CLK_COR_SEQ_2_USE_0,
		CLK_COR_SEQ_2_USE_1   =>  CLK_COR_SEQ_2_USE_1,
		COMMA_10B_ENABLE_0    =>  COMMA_10B_ENABLE_0,
		COMMA_10B_ENABLE_1    =>  COMMA_10B_ENABLE_1,
		COMMA_DOUBLE_0        =>  COMMA_DOUBLE_0,
		COMMA_DOUBLE_1        =>  COMMA_DOUBLE_1,
		COM_BURST_VAL_0       =>  COM_BURST_VAL_0,
		COM_BURST_VAL_1       =>  COM_BURST_VAL_1,
		DEC_MCOMMA_DETECT_0   =>  DEC_MCOMMA_DETECT_0,
		DEC_MCOMMA_DETECT_1   =>  DEC_MCOMMA_DETECT_1,
		DEC_PCOMMA_DETECT_0   =>  DEC_PCOMMA_DETECT_0,
		DEC_PCOMMA_DETECT_1   =>  DEC_PCOMMA_DETECT_1,
		DEC_VALID_COMMA_ONLY_0  =>  DEC_VALID_COMMA_ONLY_0,
		DEC_VALID_COMMA_ONLY_1  =>  DEC_VALID_COMMA_ONLY_1,
		MCOMMA_10B_VALUE_0    =>  MCOMMA_10B_VALUE_0,
		MCOMMA_10B_VALUE_1    =>  MCOMMA_10B_VALUE_1,
		MCOMMA_DETECT_0       =>  MCOMMA_DETECT_0,
		MCOMMA_DETECT_1       =>  MCOMMA_DETECT_1,
		OOBDETECT_THRESHOLD_0  =>  OOBDETECT_THRESHOLD_0,
		OOBDETECT_THRESHOLD_1  =>  OOBDETECT_THRESHOLD_1,
		OOB_CLK_DIVIDER       =>  OOB_CLK_DIVIDER,
		OVERSAMPLE_MODE       =>  OVERSAMPLE_MODE,
		PCI_EXPRESS_MODE_0    =>  PCI_EXPRESS_MODE_0,
		PCI_EXPRESS_MODE_1    =>  PCI_EXPRESS_MODE_1,
		PCOMMA_10B_VALUE_0    =>  PCOMMA_10B_VALUE_0,
		PCOMMA_10B_VALUE_1    =>  PCOMMA_10B_VALUE_1,
		PCOMMA_DETECT_0       =>  PCOMMA_DETECT_0,
		PCOMMA_DETECT_1       =>  PCOMMA_DETECT_1,
		PLL_DIVSEL_FB         =>  PLL_DIVSEL_FB,
		PLL_DIVSEL_REF        =>  PLL_DIVSEL_REF,
		PLL_RXDIVSEL_OUT_0    =>  PLL_RXDIVSEL_OUT_0,
		PLL_RXDIVSEL_OUT_1    =>  PLL_RXDIVSEL_OUT_1,
		PLL_SATA_0            =>  PLL_SATA_0,
		PLL_SATA_1            =>  PLL_SATA_1,
		PLL_TXDIVSEL_COMM_OUT  =>  PLL_TXDIVSEL_COMM_OUT,
		PLL_TXDIVSEL_OUT_0    =>  PLL_TXDIVSEL_OUT_0,
		PLL_TXDIVSEL_OUT_1    =>  PLL_TXDIVSEL_OUT_1,
		PMA_CDR_SCAN_0        =>  PMA_CDR_SCAN_0,
		PMA_CDR_SCAN_1        =>  PMA_CDR_SCAN_1,
		PMA_RX_CFG_0          =>  PMA_RX_CFG_0,
		PMA_RX_CFG_1          =>  PMA_RX_CFG_1,
		PRBS_ERR_THRESHOLD_0  =>  PRBS_ERR_THRESHOLD_0,
		PRBS_ERR_THRESHOLD_1  =>  PRBS_ERR_THRESHOLD_1,
		RCV_TERM_GND_0        =>  RCV_TERM_GND_0,
		RCV_TERM_GND_1        =>  RCV_TERM_GND_1,
		RCV_TERM_MID_0        =>  RCV_TERM_MID_0,
		RCV_TERM_MID_1        =>  RCV_TERM_MID_1,
		RCV_TERM_VTTRX_0      =>  RCV_TERM_VTTRX_0,
		RCV_TERM_VTTRX_1      =>  RCV_TERM_VTTRX_1,
		RX_BUFFER_USE_0       =>  RX_BUFFER_USE_0,
		RX_BUFFER_USE_1       =>  RX_BUFFER_USE_1,
		RX_DECODE_SEQ_MATCH_0  =>  RX_DECODE_SEQ_MATCH_0,
		RX_DECODE_SEQ_MATCH_1  =>  RX_DECODE_SEQ_MATCH_1,
		RX_LOSS_OF_SYNC_FSM_0  =>  RX_LOSS_OF_SYNC_FSM_0,
		RX_LOSS_OF_SYNC_FSM_1  =>  RX_LOSS_OF_SYNC_FSM_1,
		RX_LOS_INVALID_INCR_0  =>  RX_LOS_INVALID_INCR_0,
		RX_LOS_INVALID_INCR_1  =>  RX_LOS_INVALID_INCR_1,
		RX_LOS_THRESHOLD_0    =>  RX_LOS_THRESHOLD_0,
		RX_LOS_THRESHOLD_1    =>  RX_LOS_THRESHOLD_1,
		RX_SLIDE_MODE_0       =>  RX_SLIDE_MODE_0,
		RX_SLIDE_MODE_1       =>  RX_SLIDE_MODE_1,
		RX_STATUS_FMT_0       =>  RX_STATUS_FMT_0,
		RX_STATUS_FMT_1       =>  RX_STATUS_FMT_1,
		RX_XCLK_SEL_0         =>  RX_XCLK_SEL_0,
		RX_XCLK_SEL_1         =>  RX_XCLK_SEL_1,
		SATA_BURST_VAL_0      =>  SATA_BURST_VAL_0,
		SATA_BURST_VAL_1      =>  SATA_BURST_VAL_1,
		SATA_IDLE_VAL_0       =>  SATA_IDLE_VAL_0,
		SATA_IDLE_VAL_1       =>  SATA_IDLE_VAL_1,
		SATA_MAX_BURST_0      =>  SATA_MAX_BURST_0,
		SATA_MAX_BURST_1      =>  SATA_MAX_BURST_1,
		SATA_MAX_INIT_0       =>  SATA_MAX_INIT_0,
		SATA_MAX_INIT_1       =>  SATA_MAX_INIT_1,
		SATA_MAX_WAKE_0       =>  SATA_MAX_WAKE_0,
		SATA_MAX_WAKE_1       =>  SATA_MAX_WAKE_1,
		SATA_MIN_BURST_0      =>  SATA_MIN_BURST_0,
		SATA_MIN_BURST_1      =>  SATA_MIN_BURST_1,
		SATA_MIN_INIT_0       =>  SATA_MIN_INIT_0,
		SATA_MIN_INIT_1       =>  SATA_MIN_INIT_1,
		SATA_MIN_WAKE_0       =>  SATA_MIN_WAKE_0,
		SATA_MIN_WAKE_1       =>  SATA_MIN_WAKE_1,
		SIM_GTPRESET_SPEEDUP  =>  SIM_GTPRESET_SPEEDUP,
		SIM_PLL_PERDIV2       =>  SIM_PLL_PERDIV2,
                SIM_RECEIVER_DETECT_PASS0 => SIM_RECEIVER_DETECT_PASS0,
                SIM_RECEIVER_DETECT_PASS1 => SIM_RECEIVER_DETECT_PASS1,
		TERMINATION_CTRL      =>  TERMINATION_CTRL,
		TERMINATION_IMP_0     =>  TERMINATION_IMP_0,
		TERMINATION_IMP_1     =>  TERMINATION_IMP_1,
		TERMINATION_OVRD      =>  TERMINATION_OVRD,
		TRANS_TIME_FROM_P2_0  =>  TRANS_TIME_FROM_P2_0,
		TRANS_TIME_FROM_P2_1  =>  TRANS_TIME_FROM_P2_1,
		TRANS_TIME_NON_P2_0   =>  TRANS_TIME_NON_P2_0,
		TRANS_TIME_NON_P2_1   =>  TRANS_TIME_NON_P2_1,
		TRANS_TIME_TO_P2_0    =>  TRANS_TIME_TO_P2_0,
		TRANS_TIME_TO_P2_1    =>  TRANS_TIME_TO_P2_1,
		TXRX_INVERT_0         =>  TXRX_INVERT_0,
		TXRX_INVERT_1         =>  TXRX_INVERT_1,
		TX_BUFFER_USE_0       =>  TX_BUFFER_USE_0,
		TX_BUFFER_USE_1       =>  TX_BUFFER_USE_1,
		TX_DIFF_BOOST_0       =>  TX_DIFF_BOOST_0,
		TX_DIFF_BOOST_1       =>  TX_DIFF_BOOST_1,
		TX_SYNC_FILTERB       =>  TX_SYNC_FILTERB,
		TX_XCLK_SEL_0         =>  TX_XCLK_SEL_0,
		TX_XCLK_SEL_1         =>  TX_XCLK_SEL_1
	);
end GTP_DUAL_SWIFT_BUS_V;
library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity PCIE_INTERNAL_1_1_SWIFT_BUS is
    generic ( TEST_MODE : STRING := "1" );  
	port (
		BUSMASTERENABLE      : out std_ulogic;
		CRMDOHOTRESETN       : out std_ulogic;
		CRMPWRSOFTRESETN     : out std_ulogic;
		CRMRXHOTRESETN       : out std_ulogic;
		DLLTXPMDLLPOUTSTANDING : out std_ulogic;
		INTERRUPTDISABLE     : out std_ulogic;
		IOSPACEENABLE        : out std_ulogic;
		L0ASAUTONOMOUSINITCOMPLETED : out std_ulogic;
		L0ATTENTIONINDICATORCONTROL : out std_logic_vector(1 downto 0);
		L0CFGLOOPBACKACK     : out std_ulogic;
		L0COMPLETERID        : out std_logic_vector(12 downto 0);
		L0CORRERRMSGRCVD     : out std_ulogic;
		L0DLLASRXSTATE       : out std_logic_vector(1 downto 0);
		L0DLLASTXSTATE       : out std_ulogic;
		L0DLLERRORVECTOR     : out std_logic_vector(6 downto 0);
		L0DLLRXACKOUTSTANDING : out std_ulogic;
		L0DLLTXNONFCOUTSTANDING : out std_ulogic;
		L0DLLTXOUTSTANDING   : out std_ulogic;
		L0DLLVCSTATUS        : out std_logic_vector(7 downto 0);
		L0DLUPDOWN           : out std_logic_vector(7 downto 0);
		L0ERRMSGREQID        : out std_logic_vector(15 downto 0);
		L0FATALERRMSGRCVD    : out std_ulogic;
		L0FIRSTCFGWRITEOCCURRED : out std_ulogic;
		L0FWDCORRERROUT      : out std_ulogic;
		L0FWDFATALERROUT     : out std_ulogic;
		L0FWDNONFATALERROUT  : out std_ulogic;
		L0LTSSMSTATE         : out std_logic_vector(3 downto 0);
		L0MACENTEREDL0       : out std_ulogic;
		L0MACLINKTRAINING    : out std_ulogic;
		L0MACLINKUP          : out std_ulogic;
		L0MACNEGOTIATEDLINKWIDTH : out std_logic_vector(3 downto 0);
		L0MACNEWSTATEACK     : out std_ulogic;
		L0MACRXL0SSTATE      : out std_ulogic;
		L0MACUPSTREAMDOWNSTREAM : out std_ulogic;
		L0MCFOUND            : out std_logic_vector(2 downto 0);
		L0MSIENABLE0         : out std_ulogic;
		L0MULTIMSGEN0        : out std_logic_vector(2 downto 0);
		L0NONFATALERRMSGRCVD : out std_ulogic;
		L0PMEACK             : out std_ulogic;
		L0PMEEN              : out std_ulogic;
		L0PMEREQOUT          : out std_ulogic;
		L0POWERCONTROLLERCONTROL : out std_ulogic;
		L0POWERINDICATORCONTROL : out std_logic_vector(1 downto 0);
		L0PWRINHIBITTRANSFERS : out std_ulogic;
		L0PWRL1STATE         : out std_ulogic;
		L0PWRL23READYDEVICE  : out std_ulogic;
		L0PWRL23READYSTATE   : out std_ulogic;
		L0PWRSTATE0          : out std_logic_vector(1 downto 0);
		L0PWRTURNOFFREQ      : out std_ulogic;
		L0PWRTXL0SSTATE      : out std_ulogic;
		L0RECEIVEDASSERTINTALEGACYINT : out std_ulogic;
		L0RECEIVEDASSERTINTBLEGACYINT : out std_ulogic;
		L0RECEIVEDASSERTINTCLEGACYINT : out std_ulogic;
		L0RECEIVEDASSERTINTDLEGACYINT : out std_ulogic;
		L0RECEIVEDDEASSERTINTALEGACYINT : out std_ulogic;
		L0RECEIVEDDEASSERTINTBLEGACYINT : out std_ulogic;
		L0RECEIVEDDEASSERTINTCLEGACYINT : out std_ulogic;
		L0RECEIVEDDEASSERTINTDLEGACYINT : out std_ulogic;
		L0RXBEACON           : out std_ulogic;
		L0RXDLLFCCMPLMCCRED  : out std_logic_vector(23 downto 0);
		L0RXDLLFCCMPLMCUPDATE : out std_logic_vector(7 downto 0);
		L0RXDLLFCNPOSTBYPCRED : out std_logic_vector(19 downto 0);
		L0RXDLLFCNPOSTBYPUPDATE : out std_logic_vector(7 downto 0);
		L0RXDLLFCPOSTORDCRED : out std_logic_vector(23 downto 0);
		L0RXDLLFCPOSTORDUPDATE : out std_logic_vector(7 downto 0);
		L0RXDLLPM            : out std_ulogic;
		L0RXDLLPMTYPE        : out std_logic_vector(2 downto 0);
		L0RXDLLSBFCDATA      : out std_logic_vector(18 downto 0);
		L0RXDLLSBFCUPDATE    : out std_ulogic;
		L0RXDLLTLPECRCOK     : out std_ulogic;
		L0RXDLLTLPEND        : out std_logic_vector(1 downto 0);
		L0RXMACLINKERROR     : out std_logic_vector(1 downto 0);
		L0STATSCFGOTHERRECEIVED : out std_ulogic;
		L0STATSCFGOTHERTRANSMITTED : out std_ulogic;
		L0STATSCFGRECEIVED   : out std_ulogic;
		L0STATSCFGTRANSMITTED : out std_ulogic;
		L0STATSDLLPRECEIVED  : out std_ulogic;
		L0STATSDLLPTRANSMITTED : out std_ulogic;
		L0STATSOSRECEIVED    : out std_ulogic;
		L0STATSOSTRANSMITTED : out std_ulogic;
		L0STATSTLPRECEIVED   : out std_ulogic;
		L0STATSTLPTRANSMITTED : out std_ulogic;
		L0TOGGLEELECTROMECHANICALINTERLOCK : out std_ulogic;
		L0TRANSFORMEDVC      : out std_logic_vector(2 downto 0);
		L0TXDLLFCCMPLMCUPDATED : out std_logic_vector(7 downto 0);
		L0TXDLLFCNPOSTBYPUPDATED : out std_logic_vector(7 downto 0);
		L0TXDLLFCPOSTORDUPDATED : out std_logic_vector(7 downto 0);
		L0TXDLLPMUPDATED     : out std_ulogic;
		L0TXDLLSBFCUPDATED   : out std_ulogic;
		L0UCBYPFOUND         : out std_logic_vector(3 downto 0);
		L0UCORDFOUND         : out std_logic_vector(3 downto 0);
		L0UNLOCKRECEIVED     : out std_ulogic;
		LLKRX4DWHEADERN      : out std_ulogic;
		LLKRXCHCOMPLETIONAVAILABLEN : out std_logic_vector(7 downto 0);
		LLKRXCHCOMPLETIONPARTIALN : out std_logic_vector(7 downto 0);
		LLKRXCHCONFIGAVAILABLEN : out std_ulogic;
		LLKRXCHCONFIGPARTIALN : out std_ulogic;
		LLKRXCHNONPOSTEDAVAILABLEN : out std_logic_vector(7 downto 0);
		LLKRXCHNONPOSTEDPARTIALN : out std_logic_vector(7 downto 0);
		LLKRXCHPOSTEDAVAILABLEN : out std_logic_vector(7 downto 0);
		LLKRXCHPOSTEDPARTIALN : out std_logic_vector(7 downto 0);
		LLKRXDATA            : out std_logic_vector(63 downto 0);
		LLKRXECRCBADN        : out std_ulogic;
		LLKRXEOFN            : out std_ulogic;
		LLKRXEOPN            : out std_ulogic;
		LLKRXPREFERREDTYPE   : out std_logic_vector(15 downto 0);
		LLKRXSOFN            : out std_ulogic;
		LLKRXSOPN            : out std_ulogic;
		LLKRXSRCDSCN         : out std_ulogic;
		LLKRXSRCLASTREQN     : out std_ulogic;
		LLKRXSRCRDYN         : out std_ulogic;
		LLKRXVALIDN          : out std_logic_vector(1 downto 0);
		LLKTCSTATUS          : out std_logic_vector(7 downto 0);
		LLKTXCHANSPACE       : out std_logic_vector(9 downto 0);
		LLKTXCHCOMPLETIONREADYN : out std_logic_vector(7 downto 0);
		LLKTXCHNONPOSTEDREADYN : out std_logic_vector(7 downto 0);
		LLKTXCHPOSTEDREADYN  : out std_logic_vector(7 downto 0);
		LLKTXCONFIGREADYN    : out std_ulogic;
		LLKTXDSTRDYN         : out std_ulogic;
		MAXPAYLOADSIZE       : out std_logic_vector(2 downto 0);
		MAXREADREQUESTSIZE   : out std_logic_vector(2 downto 0);
		MEMSPACEENABLE       : out std_ulogic;
		MGMTPSO              : out std_logic_vector(16 downto 0);
		MGMTRDATA            : out std_logic_vector(31 downto 0);
		MGMTSTATSCREDIT      : out std_logic_vector(11 downto 0);
		MIMDLLBRADD          : out std_logic_vector(11 downto 0);
		MIMDLLBREN           : out std_ulogic;
		MIMDLLBWADD          : out std_logic_vector(11 downto 0);
		MIMDLLBWDATA         : out std_logic_vector(63 downto 0);
		MIMDLLBWEN           : out std_ulogic;
		MIMRXBRADD           : out std_logic_vector(12 downto 0);
		MIMRXBREN            : out std_ulogic;
		MIMRXBWADD           : out std_logic_vector(12 downto 0);
		MIMRXBWDATA          : out std_logic_vector(63 downto 0);
		MIMRXBWEN            : out std_ulogic;
		MIMTXBRADD           : out std_logic_vector(12 downto 0);
		MIMTXBREN            : out std_ulogic;
		MIMTXBWADD           : out std_logic_vector(12 downto 0);
		MIMTXBWDATA          : out std_logic_vector(63 downto 0);
		MIMTXBWEN            : out std_ulogic;
		PARITYERRORRESPONSE  : out std_ulogic;
		PIPEDESKEWLANESL0    : out std_ulogic;
		PIPEDESKEWLANESL1    : out std_ulogic;
		PIPEDESKEWLANESL2    : out std_ulogic;
		PIPEDESKEWLANESL3    : out std_ulogic;
		PIPEDESKEWLANESL4    : out std_ulogic;
		PIPEDESKEWLANESL5    : out std_ulogic;
		PIPEDESKEWLANESL6    : out std_ulogic;
		PIPEDESKEWLANESL7    : out std_ulogic;
		PIPEPOWERDOWNL0      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL1      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL2      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL3      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL4      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL5      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL6      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL7      : out std_logic_vector(1 downto 0);
		PIPERESETL0          : out std_ulogic;
		PIPERESETL1          : out std_ulogic;
		PIPERESETL2          : out std_ulogic;
		PIPERESETL3          : out std_ulogic;
		PIPERESETL4          : out std_ulogic;
		PIPERESETL5          : out std_ulogic;
		PIPERESETL6          : out std_ulogic;
		PIPERESETL7          : out std_ulogic;
		PIPERXPOLARITYL0     : out std_ulogic;
		PIPERXPOLARITYL1     : out std_ulogic;
		PIPERXPOLARITYL2     : out std_ulogic;
		PIPERXPOLARITYL3     : out std_ulogic;
		PIPERXPOLARITYL4     : out std_ulogic;
		PIPERXPOLARITYL5     : out std_ulogic;
		PIPERXPOLARITYL6     : out std_ulogic;
		PIPERXPOLARITYL7     : out std_ulogic;
		PIPETXCOMPLIANCEL0   : out std_ulogic;
		PIPETXCOMPLIANCEL1   : out std_ulogic;
		PIPETXCOMPLIANCEL2   : out std_ulogic;
		PIPETXCOMPLIANCEL3   : out std_ulogic;
		PIPETXCOMPLIANCEL4   : out std_ulogic;
		PIPETXCOMPLIANCEL5   : out std_ulogic;
		PIPETXCOMPLIANCEL6   : out std_ulogic;
		PIPETXCOMPLIANCEL7   : out std_ulogic;
		PIPETXDATAKL0        : out std_ulogic;
		PIPETXDATAKL1        : out std_ulogic;
		PIPETXDATAKL2        : out std_ulogic;
		PIPETXDATAKL3        : out std_ulogic;
		PIPETXDATAKL4        : out std_ulogic;
		PIPETXDATAKL5        : out std_ulogic;
		PIPETXDATAKL6        : out std_ulogic;
		PIPETXDATAKL7        : out std_ulogic;
		PIPETXDATAL0         : out std_logic_vector(7 downto 0);
		PIPETXDATAL1         : out std_logic_vector(7 downto 0);
		PIPETXDATAL2         : out std_logic_vector(7 downto 0);
		PIPETXDATAL3         : out std_logic_vector(7 downto 0);
		PIPETXDATAL4         : out std_logic_vector(7 downto 0);
		PIPETXDATAL5         : out std_logic_vector(7 downto 0);
		PIPETXDATAL6         : out std_logic_vector(7 downto 0);
		PIPETXDATAL7         : out std_logic_vector(7 downto 0);
		PIPETXDETECTRXLOOPBACKL0 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL1 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL2 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL3 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL4 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL5 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL6 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL7 : out std_ulogic;
		PIPETXELECIDLEL0     : out std_ulogic;
		PIPETXELECIDLEL1     : out std_ulogic;
		PIPETXELECIDLEL2     : out std_ulogic;
		PIPETXELECIDLEL3     : out std_ulogic;
		PIPETXELECIDLEL4     : out std_ulogic;
		PIPETXELECIDLEL5     : out std_ulogic;
		PIPETXELECIDLEL6     : out std_ulogic;
		PIPETXELECIDLEL7     : out std_ulogic;
		SERRENABLE           : out std_ulogic;
		URREPORTINGENABLE    : out std_ulogic;

		AUXPOWER             : in std_ulogic;
		CFGNEGOTIATEDLINKWIDTH : in std_logic_vector(5 downto 0);
		COMPLIANCEAVOID      : in std_ulogic;
		CRMCFGBRIDGEHOTRESET : in std_ulogic;
		CRMCORECLK           : in std_ulogic;
		CRMCORECLKDLO        : in std_ulogic;
		CRMCORECLKRXO        : in std_ulogic;
		CRMCORECLKTXO        : in std_ulogic;
		CRMLINKRSTN          : in std_ulogic;
		CRMMACRSTN           : in std_ulogic;
		CRMMGMTRSTN          : in std_ulogic;
		CRMNVRSTN            : in std_ulogic;
		CRMTXHOTRESETN       : in std_ulogic;
		CRMURSTN             : in std_ulogic;
		CRMUSERCFGRSTN       : in std_ulogic;
		CRMUSERCLK           : in std_ulogic;
		CRMUSERCLKRXO        : in std_ulogic;
		CRMUSERCLKTXO        : in std_ulogic;
		CROSSLINKSEED        : in std_ulogic;
		GSR                  : in std_ulogic;
		L0ACKNAKTIMERADJUSTMENT : in std_logic_vector(11 downto 0);
		L0ALLDOWNPORTSINL1   : in std_ulogic;
		L0ALLDOWNRXPORTSINL0S : in std_ulogic;
		L0ASE                : in std_ulogic;
		L0ASPORTCOUNT        : in std_logic_vector(7 downto 0);
		L0ASTURNPOOLBITSCONSUMED : in std_logic_vector(2 downto 0);
		L0ATTENTIONBUTTONPRESSED : in std_ulogic;
		L0CFGASSPANTREEOWNEDSTATE : in std_ulogic;
		L0CFGASSTATECHANGECMD : in std_logic_vector(3 downto 0);
		L0CFGDISABLESCRAMBLE : in std_ulogic;
		L0CFGEXTENDEDSYNC    : in std_ulogic;
		L0CFGL0SENTRYENABLE  : in std_ulogic;
		L0CFGL0SENTRYSUP     : in std_ulogic;
		L0CFGL0SEXITLAT      : in std_logic_vector(2 downto 0);
		L0CFGLINKDISABLE     : in std_ulogic;
		L0CFGLOOPBACKMASTER  : in std_ulogic;
		L0CFGNEGOTIATEDMAXP  : in std_logic_vector(2 downto 0);
		L0CFGVCENABLE        : in std_logic_vector(7 downto 0);
		L0CFGVCID            : in std_logic_vector(23 downto 0);
		L0DLLHOLDLINKUP      : in std_ulogic;
		L0ELECTROMECHANICALINTERLOCKENGAGED : in std_ulogic;
		L0FWDASSERTINTALEGACYINT : in std_ulogic;
		L0FWDASSERTINTBLEGACYINT : in std_ulogic;
		L0FWDASSERTINTCLEGACYINT : in std_ulogic;
		L0FWDASSERTINTDLEGACYINT : in std_ulogic;
		L0FWDCORRERRIN       : in std_ulogic;
		L0FWDDEASSERTINTALEGACYINT : in std_ulogic;
		L0FWDDEASSERTINTBLEGACYINT : in std_ulogic;
		L0FWDDEASSERTINTCLEGACYINT : in std_ulogic;
		L0FWDDEASSERTINTDLEGACYINT : in std_ulogic;
		L0FWDFATALERRIN      : in std_ulogic;
		L0FWDNONFATALERRIN   : in std_ulogic;
		L0LEGACYINTFUNCT0    : in std_ulogic;
		L0MRLSENSORCLOSEDN   : in std_ulogic;
		L0MSIREQUEST0        : in std_logic_vector(3 downto 0);
		L0PACKETHEADERFROMUSER : in std_logic_vector(127 downto 0);
		L0PMEREQIN           : in std_ulogic;
		L0PORTNUMBER         : in std_logic_vector(7 downto 0);
		L0POWERFAULTDETECTED : in std_ulogic;
		L0PRESENCEDETECTSLOTEMPTYN : in std_ulogic;
		L0PWRNEWSTATEREQ     : in std_ulogic;
		L0PWRNEXTLINKSTATE   : in std_logic_vector(1 downto 0);
		L0REPLAYTIMERADJUSTMENT : in std_logic_vector(11 downto 0);
		L0ROOTTURNOFFREQ     : in std_ulogic;
		L0RXTLTLPNONINITIALIZEDVC : in std_logic_vector(7 downto 0);
		L0SENDUNLOCKMESSAGE  : in std_ulogic;
		L0SETCOMPLETERABORTERROR : in std_ulogic;
		L0SETCOMPLETIONTIMEOUTCORRERROR : in std_ulogic;
		L0SETCOMPLETIONTIMEOUTUNCORRERROR : in std_ulogic;
		L0SETDETECTEDCORRERROR : in std_ulogic;
		L0SETDETECTEDFATALERROR : in std_ulogic;
		L0SETDETECTEDNONFATALERROR : in std_ulogic;
		L0SETLINKDETECTEDPARITYERROR : in std_ulogic;
		L0SETLINKMASTERDATAPARITY : in std_ulogic;
		L0SETLINKRECEIVEDMASTERABORT : in std_ulogic;
		L0SETLINKRECEIVEDTARGETABORT : in std_ulogic;
		L0SETLINKSIGNALLEDTARGETABORT : in std_ulogic;
		L0SETLINKSYSTEMERROR : in std_ulogic;
		L0SETUNEXPECTEDCOMPLETIONCORRERROR : in std_ulogic;
		L0SETUNEXPECTEDCOMPLETIONUNCORRERROR : in std_ulogic;
		L0SETUNSUPPORTEDREQUESTNONPOSTEDERROR : in std_ulogic;
		L0SETUNSUPPORTEDREQUESTOTHERERROR : in std_ulogic;
		L0SETUSERDETECTEDPARITYERROR : in std_ulogic;
		L0SETUSERMASTERDATAPARITY : in std_ulogic;
		L0SETUSERRECEIVEDMASTERABORT : in std_ulogic;
		L0SETUSERRECEIVEDTARGETABORT : in std_ulogic;
		L0SETUSERSIGNALLEDTARGETABORT : in std_ulogic;
		L0SETUSERSYSTEMERROR : in std_ulogic;
		L0TLASFCCREDSTARVATION : in std_ulogic;
		L0TLLINKRETRAIN      : in std_ulogic;
		L0TRANSACTIONSPENDING : in std_ulogic;
		L0TXBEACON           : in std_ulogic;
		L0TXCFGPM            : in std_ulogic;
		L0TXCFGPMTYPE        : in std_logic_vector(2 downto 0);
		L0TXTLFCCMPLMCCRED   : in std_logic_vector(159 downto 0);
		L0TXTLFCCMPLMCUPDATE : in std_logic_vector(15 downto 0);
		L0TXTLFCNPOSTBYPCRED : in std_logic_vector(191 downto 0);
		L0TXTLFCNPOSTBYPUPDATE : in std_logic_vector(15 downto 0);
		L0TXTLFCPOSTORDCRED  : in std_logic_vector(159 downto 0);
		L0TXTLFCPOSTORDUPDATE : in std_logic_vector(15 downto 0);
		L0TXTLSBFCDATA       : in std_logic_vector(18 downto 0);
		L0TXTLSBFCUPDATE     : in std_ulogic;
		L0TXTLTLPDATA        : in std_logic_vector(63 downto 0);
		L0TXTLTLPEDB         : in std_ulogic;
		L0TXTLTLPENABLE      : in std_logic_vector(1 downto 0);
		L0TXTLTLPEND         : in std_logic_vector(1 downto 0);
		L0TXTLTLPLATENCY     : in std_logic_vector(3 downto 0);
		L0TXTLTLPREQ         : in std_ulogic;
		L0TXTLTLPREQEND      : in std_ulogic;
		L0TXTLTLPWIDTH       : in std_ulogic;
		L0UPSTREAMRXPORTINL0S : in std_ulogic;
		L0VC0PREVIEWEXPAND   : in std_ulogic;
		L0WAKEN              : in std_ulogic;
		LLKRXCHFIFO          : in std_logic_vector(1 downto 0);
		LLKRXCHTC            : in std_logic_vector(2 downto 0);
		LLKRXDSTCONTREQN     : in std_ulogic;
		LLKRXDSTREQN         : in std_ulogic;
		LLKTX4DWHEADERN      : in std_ulogic;
		LLKTXCHFIFO          : in std_logic_vector(1 downto 0);
		LLKTXCHTC            : in std_logic_vector(2 downto 0);
		LLKTXCOMPLETEN       : in std_ulogic;
		LLKTXCREATEECRCN     : in std_ulogic;
		LLKTXDATA            : in std_logic_vector(63 downto 0);
		LLKTXENABLEN         : in std_logic_vector(1 downto 0);
		LLKTXEOFN            : in std_ulogic;
		LLKTXEOPN            : in std_ulogic;
		LLKTXSOFN            : in std_ulogic;
		LLKTXSOPN            : in std_ulogic;
		LLKTXSRCDSCN         : in std_ulogic;
		LLKTXSRCRDYN         : in std_ulogic;
		MAINPOWER            : in std_ulogic;
		MGMTADDR             : in std_logic_vector(10 downto 0);
		MGMTBWREN            : in std_logic_vector(3 downto 0);
		MGMTRDEN             : in std_ulogic;
		MGMTSTATSCREDITSEL   : in std_logic_vector(6 downto 0);
		MGMTWDATA            : in std_logic_vector(31 downto 0);
		MGMTWREN             : in std_ulogic;
		MIMDLLBRDATA         : in std_logic_vector(63 downto 0);
		MIMRXBRDATA          : in std_logic_vector(63 downto 0);
		MIMTXBRDATA          : in std_logic_vector(63 downto 0);
		PIPEPHYSTATUSL0      : in std_ulogic;
		PIPEPHYSTATUSL1      : in std_ulogic;
		PIPEPHYSTATUSL2      : in std_ulogic;
		PIPEPHYSTATUSL3      : in std_ulogic;
		PIPEPHYSTATUSL4      : in std_ulogic;
		PIPEPHYSTATUSL5      : in std_ulogic;
		PIPEPHYSTATUSL6      : in std_ulogic;
		PIPEPHYSTATUSL7      : in std_ulogic;
		PIPERXCHANISALIGNEDL0 : in std_ulogic;
		PIPERXCHANISALIGNEDL1 : in std_ulogic;
		PIPERXCHANISALIGNEDL2 : in std_ulogic;
		PIPERXCHANISALIGNEDL3 : in std_ulogic;
		PIPERXCHANISALIGNEDL4 : in std_ulogic;
		PIPERXCHANISALIGNEDL5 : in std_ulogic;
		PIPERXCHANISALIGNEDL6 : in std_ulogic;
		PIPERXCHANISALIGNEDL7 : in std_ulogic;
		PIPERXDATAKL0        : in std_ulogic;
		PIPERXDATAKL1        : in std_ulogic;
		PIPERXDATAKL2        : in std_ulogic;
		PIPERXDATAKL3        : in std_ulogic;
		PIPERXDATAKL4        : in std_ulogic;
		PIPERXDATAKL5        : in std_ulogic;
		PIPERXDATAKL6        : in std_ulogic;
		PIPERXDATAKL7        : in std_ulogic;
		PIPERXDATAL0         : in std_logic_vector(7 downto 0);
		PIPERXDATAL1         : in std_logic_vector(7 downto 0);
		PIPERXDATAL2         : in std_logic_vector(7 downto 0);
		PIPERXDATAL3         : in std_logic_vector(7 downto 0);
		PIPERXDATAL4         : in std_logic_vector(7 downto 0);
		PIPERXDATAL5         : in std_logic_vector(7 downto 0);
		PIPERXDATAL6         : in std_logic_vector(7 downto 0);
		PIPERXDATAL7         : in std_logic_vector(7 downto 0);
		PIPERXELECIDLEL0     : in std_ulogic;
		PIPERXELECIDLEL1     : in std_ulogic;
		PIPERXELECIDLEL2     : in std_ulogic;
		PIPERXELECIDLEL3     : in std_ulogic;
		PIPERXELECIDLEL4     : in std_ulogic;
		PIPERXELECIDLEL5     : in std_ulogic;
		PIPERXELECIDLEL6     : in std_ulogic;
		PIPERXELECIDLEL7     : in std_ulogic;
		PIPERXSTATUSL0       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL1       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL2       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL3       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL4       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL5       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL6       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL7       : in std_logic_vector(2 downto 0);
		PIPERXVALIDL0        : in std_ulogic;
		PIPERXVALIDL1        : in std_ulogic;
		PIPERXVALIDL2        : in std_ulogic;
		PIPERXVALIDL3        : in std_ulogic;
		PIPERXVALIDL4        : in std_ulogic;
		PIPERXVALIDL5        : in std_ulogic;
		PIPERXVALIDL6        : in std_ulogic;
		PIPERXVALIDL7        : in std_ulogic;

		MCACTIVELANESIN        : in std_logic_vector(7 downto 0);
		MCAERBASEPTR           : in std_logic_vector(11 downto 0);
		MCAERCAPABILITYECRCCHECKCAPABLE : in std_ulogic;
		MCAERCAPABILITYECRCGENCAPABLE : in std_ulogic;
		MCAERCAPABILITYNEXTPTR : in std_logic_vector(11 downto 0);
		MCBAR0ADDRWIDTH        : in std_ulogic;
		MCBAR0EXIST            : in std_ulogic;
		MCBAR0IOMEMN           : in std_ulogic;
		MCBAR0MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR0PREFETCHABLE     : in std_ulogic;
		MCBAR1ADDRWIDTH        : in std_ulogic;
		MCBAR1EXIST            : in std_ulogic;
		MCBAR1IOMEMN           : in std_ulogic;
		MCBAR1MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR1PREFETCHABLE     : in std_ulogic;
		MCBAR2ADDRWIDTH        : in std_ulogic;
		MCBAR2EXIST            : in std_ulogic;
		MCBAR2IOMEMN           : in std_ulogic;
		MCBAR2MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR2PREFETCHABLE     : in std_ulogic;
		MCBAR3ADDRWIDTH        : in std_ulogic;
		MCBAR3EXIST            : in std_ulogic;
		MCBAR3IOMEMN           : in std_ulogic;
		MCBAR3MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR3PREFETCHABLE     : in std_ulogic;
		MCBAR4ADDRWIDTH        : in std_ulogic;
		MCBAR4EXIST            : in std_ulogic;
		MCBAR4IOMEMN           : in std_ulogic;
		MCBAR4MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR4PREFETCHABLE     : in std_ulogic;
		MCBAR5ADDRWIDTH        : in std_ulogic;
		MCBAR5EXIST            : in std_ulogic;
		MCBAR5IOMEMN           : in std_ulogic;
		MCBAR5MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR5PREFETCHABLE     : in std_ulogic;
		MCCAPABILITIESPOINTER  : in std_logic_vector(7 downto 0);
		MCCARDBUSCISPOINTER    : in std_logic_vector(31 downto 0);
		MCCLASSCODE            : in std_logic_vector(23 downto 0);
		MCCONFIGROUTING        : in std_logic_vector(2 downto 0);
		MCDEVICECAPABILITYENDPOINTL0SLATENCY : in std_logic_vector(2 downto 0);
		MCDEVICECAPABILITYENDPOINTL1LATENCY : in std_logic_vector(2 downto 0);
		MCDEVICEID             : in std_logic_vector(15 downto 0);
		MCDEVICESERIALNUMBER   : in std_logic_vector(63 downto 0);
		MCDSNBASEPTR           : in std_logic_vector(11 downto 0);
		MCDSNCAPABILITYNEXTPTR : in std_logic_vector(11 downto 0);
		MCDUALCOREENABLE       : in std_ulogic;
		MCDUALCORESLAVE        : in std_ulogic;
		MCDUALROLECFGCNTRLROOTEPN : in std_ulogic;
		MCEXTCFGCAPPTR         : in std_logic_vector(7 downto 0);
		MCEXTCFGXPCAPPTR       : in std_logic_vector(11 downto 0);
		MCHEADERTYPE           : in std_logic_vector(7 downto 0);
		MCINFINITECOMPLETIONS  : in std_ulogic;
		MCINTERRUPTPIN         : in std_logic_vector(7 downto 0);
		MCISSWITCH             : in std_ulogic;
		MCL0SEXITLATENCY       : in std_logic_vector(2 downto 0);
		MCL0SEXITLATENCYCOMCLK : in std_logic_vector(2 downto 0);
		MCL1EXITLATENCY        : in std_logic_vector(2 downto 0);
		MCL1EXITLATENCYCOMCLK  : in std_logic_vector(2 downto 0);
		MCLINKCAPABILITYASPMSUPPORT : in std_logic_vector(1 downto 0);
		MCLINKCAPABILITYMAXLINKWIDTH : in std_logic_vector(5 downto 0);
		MCLINKSTATUSSLOTCLOCKCONFIG : in std_ulogic;
		MCLLKBYPASS            : in std_ulogic;
		MCLOWPRIORITYVCCOUNT   : in std_logic_vector(2 downto 0);
		MCMSIBASEPTR           : in std_logic_vector(11 downto 0);
		MCMSICAPABILITYMULTIMSGCAP : in std_logic_vector(2 downto 0);
		MCMSICAPABILITYNEXTPTR : in std_logic_vector(7 downto 0);
		MCPBBASEPTR            : in std_logic_vector(11 downto 0);
		MCPBCAPABILITYDW0BASEPOWER : in std_logic_vector(7 downto 0);
		MCPBCAPABILITYDW0DATASCALE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW0PMSTATE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW0PMSUBSTATE : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW0POWERRAIL : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW0TYPE  : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW1BASEPOWER : in std_logic_vector(7 downto 0);
		MCPBCAPABILITYDW1DATASCALE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW1PMSTATE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW1PMSUBSTATE : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW1POWERRAIL : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW1TYPE  : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW2BASEPOWER : in std_logic_vector(7 downto 0);
		MCPBCAPABILITYDW2DATASCALE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW2PMSTATE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW2PMSUBSTATE : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW2POWERRAIL : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW2TYPE  : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW3BASEPOWER : in std_logic_vector(7 downto 0);
		MCPBCAPABILITYDW3DATASCALE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW3PMSTATE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW3PMSUBSTATE : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW3POWERRAIL : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW3TYPE  : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYNEXTPTR  : in std_logic_vector(11 downto 0);
		MCPBCAPABILITYSYSTEMALLOCATED : in std_ulogic;
		MCPCIECAPABILITYINTMSGNUM : in std_logic_vector(4 downto 0);
		MCPCIECAPABILITYNEXTPTR : in std_logic_vector(7 downto 0);
		MCPCIECAPABILITYSLOTIMPL : in std_ulogic;
		MCPCIEREVISION         : in std_ulogic;
		MCPMBASEPTR            : in std_logic_vector(11 downto 0);
		MCPMCAPABILITYAUXCURRENT : in std_logic_vector(2 downto 0);
		MCPMCAPABILITYD1SUPPORT : in std_ulogic;
		MCPMCAPABILITYD2SUPPORT : in std_ulogic;
		MCPMCAPABILITYDSI      : in std_ulogic;
		MCPMCAPABILITYNEXTPTR  : in std_logic_vector(7 downto 0);
		MCPMCAPABILITYPMESUPPORT : in std_logic_vector(4 downto 0);
		MCPMDATA0              : in std_logic_vector(7 downto 0);
		MCPMDATA1              : in std_logic_vector(7 downto 0);
		MCPMDATA2              : in std_logic_vector(7 downto 0);
		MCPMDATA3              : in std_logic_vector(7 downto 0);
		MCPMDATA4              : in std_logic_vector(7 downto 0);
		MCPMDATA5              : in std_logic_vector(7 downto 0);
		MCPMDATA6              : in std_logic_vector(7 downto 0);
		MCPMDATA7              : in std_logic_vector(7 downto 0);
		MCPMDATA8              : in std_logic_vector(7 downto 0);
		MCPMDATASCALE0         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE1         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE2         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE3         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE4         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE5         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE6         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE7         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE8         : in std_logic_vector(1 downto 0);
		MCPMSTATUSCONTROLDATASCALE : in std_logic_vector(1 downto 0);
		MCPORTVCCAPABILITYEXTENDEDVCCOUNT : in std_logic_vector(2 downto 0);
		MCPORTVCCAPABILITYVCARBCAP : in std_logic_vector(7 downto 0);
		MCPORTVCCAPABILITYVCARBTABLEOFFSET : in std_logic_vector(7 downto 0);
		MCRAMSHARETXRX         : in std_ulogic;
		MCRESETMODE            : in std_ulogic;
		MCRETRYRAMREADLATENCY  : in std_logic_vector(2 downto 0);
		MCRETRYRAMSIZE         : in std_logic_vector(11 downto 0);
		MCRETRYRAMWIDTH        : in std_ulogic;
		MCRETRYRAMWRITELATENCY : in std_logic_vector(2 downto 0);
		MCRETRYREADADDRPIPE    : in std_ulogic;
		MCRETRYREADDATAPIPE    : in std_ulogic;
		MCRETRYWRITEPIPE       : in std_ulogic;
		MCREVISIONID           : in std_logic_vector(7 downto 0);
		MCRXREADADDRPIPE       : in std_ulogic;
		MCRXREADDATAPIPE       : in std_ulogic;
		MCRXWRITEPIPE          : in std_ulogic;
		MCSELECTASMODE         : in std_ulogic;
		MCSELECTDLLIF          : in std_ulogic;
		MCSLOTCAPABILITYATTBUTTONPRESENT : in std_ulogic;
		MCSLOTCAPABILITYATTINDICATORPRESENT : in std_ulogic;
		MCSLOTCAPABILITYHOTPLUGCAPABLE : in std_ulogic;
		MCSLOTCAPABILITYHOTPLUGSURPRISE : in std_ulogic;
		MCSLOTCAPABILITYMSLSENSORPRESENT : in std_ulogic;
		MCSLOTCAPABILITYPHYSICALSLOTNUM : in std_logic_vector(12 downto 0);
		MCSLOTCAPABILITYPOWERCONTROLLERPRESENT : in std_ulogic;
		MCSLOTCAPABILITYPOWERINDICATORPRESENT : in std_ulogic;
		MCSLOTCAPABILITYSLOTPOWERLIMITSCALE : in std_logic_vector(1 downto 0);
		MCSLOTCAPABILITYSLOTPOWERLIMITVALUE : in std_logic_vector(7 downto 0);
		MCSLOTIMPLEMENTED      : in std_ulogic;
		MCSUBSYSTEMID          : in std_logic_vector(15 downto 0);
		MCSUBSYSTEMVENDORID    : in std_logic_vector(15 downto 0);
		MCTLRAMREADLATENCY     : in std_logic_vector(2 downto 0);
		MCTLRAMWIDTH           : in std_ulogic;
		MCTLRAMWRITELATENCY    : in std_logic_vector(2 downto 0);
		MCTXREADADDRPIPE       : in std_ulogic;
		MCTXREADDATAPIPE       : in std_ulogic;
		MCTXTSNFTS             : in std_logic_vector(7 downto 0);
		MCTXTSNFTSCOMCLK       : in std_logic_vector(7 downto 0);
		MCTXWRITEPIPE          : in std_ulogic;
		MCUPSTREAMFACING       : in std_ulogic;
		MCVC0RXFIFOBASEC       : in std_logic_vector(12 downto 0);
		MCVC0RXFIFOBASENP      : in std_logic_vector(12 downto 0);
		MCVC0RXFIFOBASEP       : in std_logic_vector(12 downto 0);
		MCVC0RXFIFOLIMITC      : in std_logic_vector(12 downto 0);
		MCVC0RXFIFOLIMITNP     : in std_logic_vector(12 downto 0);
		MCVC0RXFIFOLIMITP      : in std_logic_vector(12 downto 0);
		MCVC0TOTALCREDITSCD    : in std_logic_vector(10 downto 0);
		MCVC0TOTALCREDITSCH    : in std_logic_vector(6 downto 0);
		MCVC0TOTALCREDITSNPH   : in std_logic_vector(6 downto 0);
		MCVC0TOTALCREDITSPD    : in std_logic_vector(10 downto 0);
		MCVC0TOTALCREDITSPH    : in std_logic_vector(6 downto 0);
		MCVC0TXFIFOBASEC       : in std_logic_vector(12 downto 0);
		MCVC0TXFIFOBASENP      : in std_logic_vector(12 downto 0);
		MCVC0TXFIFOBASEP       : in std_logic_vector(12 downto 0);
		MCVC0TXFIFOLIMITC      : in std_logic_vector(12 downto 0);
		MCVC0TXFIFOLIMITNP     : in std_logic_vector(12 downto 0);
		MCVC0TXFIFOLIMITP      : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOBASEC       : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOBASENP      : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOBASEP       : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOLIMITC      : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOLIMITNP     : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOLIMITP      : in std_logic_vector(12 downto 0);
		MCVC1TOTALCREDITSCD    : in std_logic_vector(10 downto 0);
		MCVC1TOTALCREDITSCH    : in std_logic_vector(6 downto 0);
		MCVC1TOTALCREDITSNPH   : in std_logic_vector(6 downto 0);
		MCVC1TOTALCREDITSPD    : in std_logic_vector(10 downto 0);
		MCVC1TOTALCREDITSPH    : in std_logic_vector(6 downto 0);
		MCVC1TXFIFOBASEC       : in std_logic_vector(12 downto 0);
		MCVC1TXFIFOBASENP      : in std_logic_vector(12 downto 0);
		MCVC1TXFIFOBASEP       : in std_logic_vector(12 downto 0);
		MCVC1TXFIFOLIMITC      : in std_logic_vector(12 downto 0);
		MCVC1TXFIFOLIMITNP     : in std_logic_vector(12 downto 0);
		MCVC1TXFIFOLIMITP      : in std_logic_vector(12 downto 0);
		MCVCBASEPTR            : in std_logic_vector(11 downto 0);
		MCVCCAPABILITYNEXTPTR  : in std_logic_vector(11 downto 0);
		MCVENDORID             : in std_logic_vector(15 downto 0);
		MCXLINKSUPPORTED       : in std_ulogic;
		MCXPBASEPTR            : in std_logic_vector(7 downto 0);
		MCXPDEVICEPORTTYPE     : in std_logic_vector(3 downto 0);
		MCXPMAXPAYLOAD         : in std_logic_vector(2 downto 0);
		MCXPRCBCONTROL         : in std_ulogic
	);
end PCIE_INTERNAL_1_1_SWIFT_BUS;

architecture PCIE_INTERNAL_1_1_SWIFT_BUS_v of PCIE_INTERNAL_1_1_SWIFT_BUS is
component PCIE_INTERNAL_1_1_SWIFT
	generic (
		DelayRange           : STRING := "MAX";
		MC_Reference         : STRING := "0000";
		TimingVersion        : STRING := "pcie_internal_1_1_swift";
                TEST_MODE : STRING := "1"
		);
	port (
		BUSMASTERENABLE      : out std_ulogic;
		CRMDOHOTRESETN       : out std_ulogic;
		CRMPWRSOFTRESETN     : out std_ulogic;
		CRMRXHOTRESETN       : out std_ulogic;
		DLLTXPMDLLPOUTSTANDING : out std_ulogic;
		INTERRUPTDISABLE     : out std_ulogic;
		IOSPACEENABLE        : out std_ulogic;
		L0ASAUTONOMOUSINITCOMPLETED : out std_ulogic;
		L0ATTENTIONINDICATORCONTROL : out std_logic_vector(1 downto 0);
		L0CFGLOOPBACKACK     : out std_ulogic;
		L0COMPLETERID        : out std_logic_vector(12 downto 0);
		L0CORRERRMSGRCVD     : out std_ulogic;
		L0DLLASRXSTATE       : out std_logic_vector(1 downto 0);
		L0DLLASTXSTATE       : out std_ulogic;
		L0DLLERRORVECTOR     : out std_logic_vector(6 downto 0);
		L0DLLRXACKOUTSTANDING : out std_ulogic;
		L0DLLTXNONFCOUTSTANDING : out std_ulogic;
		L0DLLTXOUTSTANDING   : out std_ulogic;
		L0DLLVCSTATUS        : out std_logic_vector(7 downto 0);
		L0DLUPDOWN           : out std_logic_vector(7 downto 0);
		L0ERRMSGREQID        : out std_logic_vector(15 downto 0);
		L0FATALERRMSGRCVD    : out std_ulogic;
		L0FIRSTCFGWRITEOCCURRED : out std_ulogic;
		L0FWDCORRERROUT      : out std_ulogic;
		L0FWDFATALERROUT     : out std_ulogic;
		L0FWDNONFATALERROUT  : out std_ulogic;
		L0LTSSMSTATE         : out std_logic_vector(3 downto 0);
		L0MACENTEREDL0       : out std_ulogic;
		L0MACLINKTRAINING    : out std_ulogic;
		L0MACLINKUP          : out std_ulogic;
		L0MACNEGOTIATEDLINKWIDTH : out std_logic_vector(3 downto 0);
		L0MACNEWSTATEACK     : out std_ulogic;
		L0MACRXL0SSTATE      : out std_ulogic;
		L0MACUPSTREAMDOWNSTREAM : out std_ulogic;
		L0MCFOUND            : out std_logic_vector(2 downto 0);
		L0MSIENABLE0         : out std_ulogic;
		L0MULTIMSGEN0        : out std_logic_vector(2 downto 0);
		L0NONFATALERRMSGRCVD : out std_ulogic;
		L0PMEACK             : out std_ulogic;
		L0PMEEN              : out std_ulogic;
		L0PMEREQOUT          : out std_ulogic;
		L0POWERCONTROLLERCONTROL : out std_ulogic;
		L0POWERINDICATORCONTROL : out std_logic_vector(1 downto 0);
		L0PWRINHIBITTRANSFERS : out std_ulogic;
		L0PWRL1STATE         : out std_ulogic;
		L0PWRL23READYDEVICE  : out std_ulogic;
		L0PWRL23READYSTATE   : out std_ulogic;
		L0PWRSTATE0          : out std_logic_vector(1 downto 0);
		L0PWRTURNOFFREQ      : out std_ulogic;
		L0PWRTXL0SSTATE      : out std_ulogic;
		L0RECEIVEDASSERTINTALEGACYINT : out std_ulogic;
		L0RECEIVEDASSERTINTBLEGACYINT : out std_ulogic;
		L0RECEIVEDASSERTINTCLEGACYINT : out std_ulogic;
		L0RECEIVEDASSERTINTDLEGACYINT : out std_ulogic;
		L0RECEIVEDDEASSERTINTALEGACYINT : out std_ulogic;
		L0RECEIVEDDEASSERTINTBLEGACYINT : out std_ulogic;
		L0RECEIVEDDEASSERTINTCLEGACYINT : out std_ulogic;
		L0RECEIVEDDEASSERTINTDLEGACYINT : out std_ulogic;
		L0RXBEACON           : out std_ulogic;
		L0RXDLLFCCMPLMCCRED  : out std_logic_vector(23 downto 0);
		L0RXDLLFCCMPLMCUPDATE : out std_logic_vector(7 downto 0);
		L0RXDLLFCNPOSTBYPCRED : out std_logic_vector(19 downto 0);
		L0RXDLLFCNPOSTBYPUPDATE : out std_logic_vector(7 downto 0);
		L0RXDLLFCPOSTORDCRED : out std_logic_vector(23 downto 0);
		L0RXDLLFCPOSTORDUPDATE : out std_logic_vector(7 downto 0);
		L0RXDLLPM            : out std_ulogic;
		L0RXDLLPMTYPE        : out std_logic_vector(2 downto 0);
		L0RXDLLSBFCDATA      : out std_logic_vector(18 downto 0);
		L0RXDLLSBFCUPDATE    : out std_ulogic;
		L0RXDLLTLPECRCOK     : out std_ulogic;
		L0RXDLLTLPEND        : out std_logic_vector(1 downto 0);
		L0RXMACLINKERROR     : out std_logic_vector(1 downto 0);
		L0STATSCFGOTHERRECEIVED : out std_ulogic;
		L0STATSCFGOTHERTRANSMITTED : out std_ulogic;
		L0STATSCFGRECEIVED   : out std_ulogic;
		L0STATSCFGTRANSMITTED : out std_ulogic;
		L0STATSDLLPRECEIVED  : out std_ulogic;
		L0STATSDLLPTRANSMITTED : out std_ulogic;
		L0STATSOSRECEIVED    : out std_ulogic;
		L0STATSOSTRANSMITTED : out std_ulogic;
		L0STATSTLPRECEIVED   : out std_ulogic;
		L0STATSTLPTRANSMITTED : out std_ulogic;
		L0TOGGLEELECTROMECHANICALINTERLOCK : out std_ulogic;
		L0TRANSFORMEDVC      : out std_logic_vector(2 downto 0);
		L0TXDLLFCCMPLMCUPDATED : out std_logic_vector(7 downto 0);
		L0TXDLLFCNPOSTBYPUPDATED : out std_logic_vector(7 downto 0);
		L0TXDLLFCPOSTORDUPDATED : out std_logic_vector(7 downto 0);
		L0TXDLLPMUPDATED     : out std_ulogic;
		L0TXDLLSBFCUPDATED   : out std_ulogic;
		L0UCBYPFOUND         : out std_logic_vector(3 downto 0);
		L0UCORDFOUND         : out std_logic_vector(3 downto 0);
		L0UNLOCKRECEIVED     : out std_ulogic;
		LLKRX4DWHEADERN      : out std_ulogic;
		LLKRXCHCOMPLETIONAVAILABLEN : out std_logic_vector(7 downto 0);
		LLKRXCHCOMPLETIONPARTIALN : out std_logic_vector(7 downto 0);
		LLKRXCHCONFIGAVAILABLEN : out std_ulogic;
		LLKRXCHCONFIGPARTIALN : out std_ulogic;
		LLKRXCHNONPOSTEDAVAILABLEN : out std_logic_vector(7 downto 0);
		LLKRXCHNONPOSTEDPARTIALN : out std_logic_vector(7 downto 0);
		LLKRXCHPOSTEDAVAILABLEN : out std_logic_vector(7 downto 0);
		LLKRXCHPOSTEDPARTIALN : out std_logic_vector(7 downto 0);
		LLKRXDATA            : out std_logic_vector(63 downto 0);
		LLKRXECRCBADN        : out std_ulogic;
		LLKRXEOFN            : out std_ulogic;
		LLKRXEOPN            : out std_ulogic;
		LLKRXPREFERREDTYPE   : out std_logic_vector(15 downto 0);
		LLKRXSOFN            : out std_ulogic;
		LLKRXSOPN            : out std_ulogic;
		LLKRXSRCDSCN         : out std_ulogic;
		LLKRXSRCLASTREQN     : out std_ulogic;
		LLKRXSRCRDYN         : out std_ulogic;
		LLKRXVALIDN          : out std_logic_vector(1 downto 0);
		LLKTCSTATUS          : out std_logic_vector(7 downto 0);
		LLKTXCHANSPACE       : out std_logic_vector(9 downto 0);
		LLKTXCHCOMPLETIONREADYN : out std_logic_vector(7 downto 0);
		LLKTXCHNONPOSTEDREADYN : out std_logic_vector(7 downto 0);
		LLKTXCHPOSTEDREADYN  : out std_logic_vector(7 downto 0);
		LLKTXCONFIGREADYN    : out std_ulogic;
		LLKTXDSTRDYN         : out std_ulogic;
		MAXPAYLOADSIZE       : out std_logic_vector(2 downto 0);
		MAXREADREQUESTSIZE   : out std_logic_vector(2 downto 0);
		MEMSPACEENABLE       : out std_ulogic;
		MGMTPSO              : out std_logic_vector(16 downto 0);
		MGMTRDATA            : out std_logic_vector(31 downto 0);
		MGMTSTATSCREDIT      : out std_logic_vector(11 downto 0);
		MIMDLLBRADD          : out std_logic_vector(11 downto 0);
		MIMDLLBREN           : out std_ulogic;
		MIMDLLBWADD          : out std_logic_vector(11 downto 0);
		MIMDLLBWDATA         : out std_logic_vector(63 downto 0);
		MIMDLLBWEN           : out std_ulogic;
		MIMRXBRADD           : out std_logic_vector(12 downto 0);
		MIMRXBREN            : out std_ulogic;
		MIMRXBWADD           : out std_logic_vector(12 downto 0);
		MIMRXBWDATA          : out std_logic_vector(63 downto 0);
		MIMRXBWEN            : out std_ulogic;
		MIMTXBRADD           : out std_logic_vector(12 downto 0);
		MIMTXBREN            : out std_ulogic;
		MIMTXBWADD           : out std_logic_vector(12 downto 0);
		MIMTXBWDATA          : out std_logic_vector(63 downto 0);
		MIMTXBWEN            : out std_ulogic;
		PARITYERRORRESPONSE  : out std_ulogic;
		PIPEDESKEWLANESL0    : out std_ulogic;
		PIPEDESKEWLANESL1    : out std_ulogic;
		PIPEDESKEWLANESL2    : out std_ulogic;
		PIPEDESKEWLANESL3    : out std_ulogic;
		PIPEDESKEWLANESL4    : out std_ulogic;
		PIPEDESKEWLANESL5    : out std_ulogic;
		PIPEDESKEWLANESL6    : out std_ulogic;
		PIPEDESKEWLANESL7    : out std_ulogic;
		PIPEPOWERDOWNL0      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL1      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL2      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL3      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL4      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL5      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL6      : out std_logic_vector(1 downto 0);
		PIPEPOWERDOWNL7      : out std_logic_vector(1 downto 0);
		PIPERESETL0          : out std_ulogic;
		PIPERESETL1          : out std_ulogic;
		PIPERESETL2          : out std_ulogic;
		PIPERESETL3          : out std_ulogic;
		PIPERESETL4          : out std_ulogic;
		PIPERESETL5          : out std_ulogic;
		PIPERESETL6          : out std_ulogic;
		PIPERESETL7          : out std_ulogic;
		PIPERXPOLARITYL0     : out std_ulogic;
		PIPERXPOLARITYL1     : out std_ulogic;
		PIPERXPOLARITYL2     : out std_ulogic;
		PIPERXPOLARITYL3     : out std_ulogic;
		PIPERXPOLARITYL4     : out std_ulogic;
		PIPERXPOLARITYL5     : out std_ulogic;
		PIPERXPOLARITYL6     : out std_ulogic;
		PIPERXPOLARITYL7     : out std_ulogic;
		PIPETXCOMPLIANCEL0   : out std_ulogic;
		PIPETXCOMPLIANCEL1   : out std_ulogic;
		PIPETXCOMPLIANCEL2   : out std_ulogic;
		PIPETXCOMPLIANCEL3   : out std_ulogic;
		PIPETXCOMPLIANCEL4   : out std_ulogic;
		PIPETXCOMPLIANCEL5   : out std_ulogic;
		PIPETXCOMPLIANCEL6   : out std_ulogic;
		PIPETXCOMPLIANCEL7   : out std_ulogic;
		PIPETXDATAKL0        : out std_ulogic;
		PIPETXDATAKL1        : out std_ulogic;
		PIPETXDATAKL2        : out std_ulogic;
		PIPETXDATAKL3        : out std_ulogic;
		PIPETXDATAKL4        : out std_ulogic;
		PIPETXDATAKL5        : out std_ulogic;
		PIPETXDATAKL6        : out std_ulogic;
		PIPETXDATAKL7        : out std_ulogic;
		PIPETXDATAL0         : out std_logic_vector(7 downto 0);
		PIPETXDATAL1         : out std_logic_vector(7 downto 0);
		PIPETXDATAL2         : out std_logic_vector(7 downto 0);
		PIPETXDATAL3         : out std_logic_vector(7 downto 0);
		PIPETXDATAL4         : out std_logic_vector(7 downto 0);
		PIPETXDATAL5         : out std_logic_vector(7 downto 0);
		PIPETXDATAL6         : out std_logic_vector(7 downto 0);
		PIPETXDATAL7         : out std_logic_vector(7 downto 0);
		PIPETXDETECTRXLOOPBACKL0 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL1 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL2 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL3 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL4 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL5 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL6 : out std_ulogic;
		PIPETXDETECTRXLOOPBACKL7 : out std_ulogic;
		PIPETXELECIDLEL0     : out std_ulogic;
		PIPETXELECIDLEL1     : out std_ulogic;
		PIPETXELECIDLEL2     : out std_ulogic;
		PIPETXELECIDLEL3     : out std_ulogic;
		PIPETXELECIDLEL4     : out std_ulogic;
		PIPETXELECIDLEL5     : out std_ulogic;
		PIPETXELECIDLEL6     : out std_ulogic;
		PIPETXELECIDLEL7     : out std_ulogic;
		SERRENABLE           : out std_ulogic;
		URREPORTINGENABLE    : out std_ulogic;

		AUXPOWER             : in std_ulogic;
		CFGNEGOTIATEDLINKWIDTH : in std_logic_vector(5 downto 0);
		COMPLIANCEAVOID      : in std_ulogic;
		CRMCFGBRIDGEHOTRESET : in std_ulogic;
		CRMCORECLK           : in std_ulogic;
		CRMCORECLKDLO        : in std_ulogic;
		CRMCORECLKRXO        : in std_ulogic;
		CRMCORECLKTXO        : in std_ulogic;
		CRMLINKRSTN          : in std_ulogic;
		CRMMACRSTN           : in std_ulogic;
		CRMMGMTRSTN          : in std_ulogic;
		CRMNVRSTN            : in std_ulogic;
		CRMTXHOTRESETN       : in std_ulogic;
		CRMURSTN             : in std_ulogic;
		CRMUSERCFGRSTN       : in std_ulogic;
		CRMUSERCLK           : in std_ulogic;
		CRMUSERCLKRXO        : in std_ulogic;
		CRMUSERCLKTXO        : in std_ulogic;
		CROSSLINKSEED        : in std_ulogic;
		GSR                  : in std_ulogic;
		L0ACKNAKTIMERADJUSTMENT : in std_logic_vector(11 downto 0);
		L0ALLDOWNPORTSINL1   : in std_ulogic;
		L0ALLDOWNRXPORTSINL0S : in std_ulogic;
		L0ASE                : in std_ulogic;
		L0ASPORTCOUNT        : in std_logic_vector(7 downto 0);
		L0ASTURNPOOLBITSCONSUMED : in std_logic_vector(2 downto 0);
		L0ATTENTIONBUTTONPRESSED : in std_ulogic;
		L0CFGASSPANTREEOWNEDSTATE : in std_ulogic;
		L0CFGASSTATECHANGECMD : in std_logic_vector(3 downto 0);
		L0CFGDISABLESCRAMBLE : in std_ulogic;
		L0CFGEXTENDEDSYNC    : in std_ulogic;
		L0CFGL0SENTRYENABLE  : in std_ulogic;
		L0CFGL0SENTRYSUP     : in std_ulogic;
		L0CFGL0SEXITLAT      : in std_logic_vector(2 downto 0);
		L0CFGLINKDISABLE     : in std_ulogic;
		L0CFGLOOPBACKMASTER  : in std_ulogic;
		L0CFGNEGOTIATEDMAXP  : in std_logic_vector(2 downto 0);
		L0CFGVCENABLE        : in std_logic_vector(7 downto 0);
		L0CFGVCID            : in std_logic_vector(23 downto 0);
		L0DLLHOLDLINKUP      : in std_ulogic;
		L0ELECTROMECHANICALINTERLOCKENGAGED : in std_ulogic;
		L0FWDASSERTINTALEGACYINT : in std_ulogic;
		L0FWDASSERTINTBLEGACYINT : in std_ulogic;
		L0FWDASSERTINTCLEGACYINT : in std_ulogic;
		L0FWDASSERTINTDLEGACYINT : in std_ulogic;
		L0FWDCORRERRIN       : in std_ulogic;
		L0FWDDEASSERTINTALEGACYINT : in std_ulogic;
		L0FWDDEASSERTINTBLEGACYINT : in std_ulogic;
		L0FWDDEASSERTINTCLEGACYINT : in std_ulogic;
		L0FWDDEASSERTINTDLEGACYINT : in std_ulogic;
		L0FWDFATALERRIN      : in std_ulogic;
		L0FWDNONFATALERRIN   : in std_ulogic;
		L0LEGACYINTFUNCT0    : in std_ulogic;
		L0MRLSENSORCLOSEDN   : in std_ulogic;
		L0MSIREQUEST0        : in std_logic_vector(3 downto 0);
		L0PACKETHEADERFROMUSER : in std_logic_vector(127 downto 0);
		L0PMEREQIN           : in std_ulogic;
		L0PORTNUMBER         : in std_logic_vector(7 downto 0);
		L0POWERFAULTDETECTED : in std_ulogic;
		L0PRESENCEDETECTSLOTEMPTYN : in std_ulogic;
		L0PWRNEWSTATEREQ     : in std_ulogic;
		L0PWRNEXTLINKSTATE   : in std_logic_vector(1 downto 0);
		L0REPLAYTIMERADJUSTMENT : in std_logic_vector(11 downto 0);
		L0ROOTTURNOFFREQ     : in std_ulogic;
		L0RXTLTLPNONINITIALIZEDVC : in std_logic_vector(7 downto 0);
		L0SENDUNLOCKMESSAGE  : in std_ulogic;
		L0SETCOMPLETERABORTERROR : in std_ulogic;
		L0SETCOMPLETIONTIMEOUTCORRERROR : in std_ulogic;
		L0SETCOMPLETIONTIMEOUTUNCORRERROR : in std_ulogic;
		L0SETDETECTEDCORRERROR : in std_ulogic;
		L0SETDETECTEDFATALERROR : in std_ulogic;
		L0SETDETECTEDNONFATALERROR : in std_ulogic;
		L0SETLINKDETECTEDPARITYERROR : in std_ulogic;
		L0SETLINKMASTERDATAPARITY : in std_ulogic;
		L0SETLINKRECEIVEDMASTERABORT : in std_ulogic;
		L0SETLINKRECEIVEDTARGETABORT : in std_ulogic;
		L0SETLINKSIGNALLEDTARGETABORT : in std_ulogic;
		L0SETLINKSYSTEMERROR : in std_ulogic;
		L0SETUNEXPECTEDCOMPLETIONCORRERROR : in std_ulogic;
		L0SETUNEXPECTEDCOMPLETIONUNCORRERROR : in std_ulogic;
		L0SETUNSUPPORTEDREQUESTNONPOSTEDERROR : in std_ulogic;
		L0SETUNSUPPORTEDREQUESTOTHERERROR : in std_ulogic;
		L0SETUSERDETECTEDPARITYERROR : in std_ulogic;
		L0SETUSERMASTERDATAPARITY : in std_ulogic;
		L0SETUSERRECEIVEDMASTERABORT : in std_ulogic;
		L0SETUSERRECEIVEDTARGETABORT : in std_ulogic;
		L0SETUSERSIGNALLEDTARGETABORT : in std_ulogic;
		L0SETUSERSYSTEMERROR : in std_ulogic;
		L0TLASFCCREDSTARVATION : in std_ulogic;
		L0TLLINKRETRAIN      : in std_ulogic;
		L0TRANSACTIONSPENDING : in std_ulogic;
		L0TXBEACON           : in std_ulogic;
		L0TXCFGPM            : in std_ulogic;
		L0TXCFGPMTYPE        : in std_logic_vector(2 downto 0);
		L0TXTLFCCMPLMCCRED   : in std_logic_vector(159 downto 0);
		L0TXTLFCCMPLMCUPDATE : in std_logic_vector(15 downto 0);
		L0TXTLFCNPOSTBYPCRED : in std_logic_vector(191 downto 0);
		L0TXTLFCNPOSTBYPUPDATE : in std_logic_vector(15 downto 0);
		L0TXTLFCPOSTORDCRED  : in std_logic_vector(159 downto 0);
		L0TXTLFCPOSTORDUPDATE : in std_logic_vector(15 downto 0);
		L0TXTLSBFCDATA       : in std_logic_vector(18 downto 0);
		L0TXTLSBFCUPDATE     : in std_ulogic;
		L0TXTLTLPDATA        : in std_logic_vector(63 downto 0);
		L0TXTLTLPEDB         : in std_ulogic;
		L0TXTLTLPENABLE      : in std_logic_vector(1 downto 0);
		L0TXTLTLPEND         : in std_logic_vector(1 downto 0);
		L0TXTLTLPLATENCY     : in std_logic_vector(3 downto 0);
		L0TXTLTLPREQ         : in std_ulogic;
		L0TXTLTLPREQEND      : in std_ulogic;
		L0TXTLTLPWIDTH       : in std_ulogic;
		L0UPSTREAMRXPORTINL0S : in std_ulogic;
		L0VC0PREVIEWEXPAND   : in std_ulogic;
		L0WAKEN              : in std_ulogic;
		LLKRXCHFIFO          : in std_logic_vector(1 downto 0);
		LLKRXCHTC            : in std_logic_vector(2 downto 0);
		LLKRXDSTCONTREQN     : in std_ulogic;
		LLKRXDSTREQN         : in std_ulogic;
		LLKTX4DWHEADERN      : in std_ulogic;
		LLKTXCHFIFO          : in std_logic_vector(1 downto 0);
		LLKTXCHTC            : in std_logic_vector(2 downto 0);
		LLKTXCOMPLETEN       : in std_ulogic;
		LLKTXCREATEECRCN     : in std_ulogic;
		LLKTXDATA            : in std_logic_vector(63 downto 0);
		LLKTXENABLEN         : in std_logic_vector(1 downto 0);
		LLKTXEOFN            : in std_ulogic;
		LLKTXEOPN            : in std_ulogic;
		LLKTXSOFN            : in std_ulogic;
		LLKTXSOPN            : in std_ulogic;
		LLKTXSRCDSCN         : in std_ulogic;
		LLKTXSRCRDYN         : in std_ulogic;
		MAINPOWER            : in std_ulogic;
		MGMTADDR             : in std_logic_vector(10 downto 0);
		MGMTBWREN            : in std_logic_vector(3 downto 0);
		MGMTRDEN             : in std_ulogic;
		MGMTSTATSCREDITSEL   : in std_logic_vector(6 downto 0);
		MGMTWDATA            : in std_logic_vector(31 downto 0);
		MGMTWREN             : in std_ulogic;
		MIMDLLBRDATA         : in std_logic_vector(63 downto 0);
		MIMRXBRDATA          : in std_logic_vector(63 downto 0);
		MIMTXBRDATA          : in std_logic_vector(63 downto 0);
		PIPEPHYSTATUSL0      : in std_ulogic;
		PIPEPHYSTATUSL1      : in std_ulogic;
		PIPEPHYSTATUSL2      : in std_ulogic;
		PIPEPHYSTATUSL3      : in std_ulogic;
		PIPEPHYSTATUSL4      : in std_ulogic;
		PIPEPHYSTATUSL5      : in std_ulogic;
		PIPEPHYSTATUSL6      : in std_ulogic;
		PIPEPHYSTATUSL7      : in std_ulogic;
		PIPERXCHANISALIGNEDL0 : in std_ulogic;
		PIPERXCHANISALIGNEDL1 : in std_ulogic;
		PIPERXCHANISALIGNEDL2 : in std_ulogic;
		PIPERXCHANISALIGNEDL3 : in std_ulogic;
		PIPERXCHANISALIGNEDL4 : in std_ulogic;
		PIPERXCHANISALIGNEDL5 : in std_ulogic;
		PIPERXCHANISALIGNEDL6 : in std_ulogic;
		PIPERXCHANISALIGNEDL7 : in std_ulogic;
		PIPERXDATAKL0        : in std_ulogic;
		PIPERXDATAKL1        : in std_ulogic;
		PIPERXDATAKL2        : in std_ulogic;
		PIPERXDATAKL3        : in std_ulogic;
		PIPERXDATAKL4        : in std_ulogic;
		PIPERXDATAKL5        : in std_ulogic;
		PIPERXDATAKL6        : in std_ulogic;
		PIPERXDATAKL7        : in std_ulogic;
		PIPERXDATAL0         : in std_logic_vector(7 downto 0);
		PIPERXDATAL1         : in std_logic_vector(7 downto 0);
		PIPERXDATAL2         : in std_logic_vector(7 downto 0);
		PIPERXDATAL3         : in std_logic_vector(7 downto 0);
		PIPERXDATAL4         : in std_logic_vector(7 downto 0);
		PIPERXDATAL5         : in std_logic_vector(7 downto 0);
		PIPERXDATAL6         : in std_logic_vector(7 downto 0);
		PIPERXDATAL7         : in std_logic_vector(7 downto 0);
		PIPERXELECIDLEL0     : in std_ulogic;
		PIPERXELECIDLEL1     : in std_ulogic;
		PIPERXELECIDLEL2     : in std_ulogic;
		PIPERXELECIDLEL3     : in std_ulogic;
		PIPERXELECIDLEL4     : in std_ulogic;
		PIPERXELECIDLEL5     : in std_ulogic;
		PIPERXELECIDLEL6     : in std_ulogic;
		PIPERXELECIDLEL7     : in std_ulogic;
		PIPERXSTATUSL0       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL1       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL2       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL3       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL4       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL5       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL6       : in std_logic_vector(2 downto 0);
		PIPERXSTATUSL7       : in std_logic_vector(2 downto 0);
		PIPERXVALIDL0        : in std_ulogic;
		PIPERXVALIDL1        : in std_ulogic;
		PIPERXVALIDL2        : in std_ulogic;
		PIPERXVALIDL3        : in std_ulogic;
		PIPERXVALIDL4        : in std_ulogic;
		PIPERXVALIDL5        : in std_ulogic;
		PIPERXVALIDL6        : in std_ulogic;
		PIPERXVALIDL7        : in std_ulogic;

		MCACTIVELANESIN        : in std_logic_vector(7 downto 0);
		MCAERBASEPTR           : in std_logic_vector(11 downto 0);
		MCAERCAPABILITYECRCCHECKCAPABLE : in std_ulogic;
		MCAERCAPABILITYECRCGENCAPABLE : in std_ulogic;
		MCAERCAPABILITYNEXTPTR : in std_logic_vector(11 downto 0);
		MCBAR0ADDRWIDTH        : in std_ulogic;
		MCBAR0EXIST            : in std_ulogic;
		MCBAR0IOMEMN           : in std_ulogic;
		MCBAR0MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR0PREFETCHABLE     : in std_ulogic;
		MCBAR1ADDRWIDTH        : in std_ulogic;
		MCBAR1EXIST            : in std_ulogic;
		MCBAR1IOMEMN           : in std_ulogic;
		MCBAR1MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR1PREFETCHABLE     : in std_ulogic;
		MCBAR2ADDRWIDTH        : in std_ulogic;
		MCBAR2EXIST            : in std_ulogic;
		MCBAR2IOMEMN           : in std_ulogic;
		MCBAR2MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR2PREFETCHABLE     : in std_ulogic;
		MCBAR3ADDRWIDTH        : in std_ulogic;
		MCBAR3EXIST            : in std_ulogic;
		MCBAR3IOMEMN           : in std_ulogic;
		MCBAR3MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR3PREFETCHABLE     : in std_ulogic;
		MCBAR4ADDRWIDTH        : in std_ulogic;
		MCBAR4EXIST            : in std_ulogic;
		MCBAR4IOMEMN           : in std_ulogic;
		MCBAR4MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR4PREFETCHABLE     : in std_ulogic;
		MCBAR5ADDRWIDTH        : in std_ulogic;
		MCBAR5EXIST            : in std_ulogic;
		MCBAR5IOMEMN           : in std_ulogic;
		MCBAR5MASKWIDTH        : in std_logic_vector(5 downto 0);
		MCBAR5PREFETCHABLE     : in std_ulogic;
		MCCAPABILITIESPOINTER  : in std_logic_vector(7 downto 0);
		MCCARDBUSCISPOINTER    : in std_logic_vector(31 downto 0);
		MCCLASSCODE            : in std_logic_vector(23 downto 0);
		MCCONFIGROUTING        : in std_logic_vector(2 downto 0);
		MCDEVICECAPABILITYENDPOINTL0SLATENCY : in std_logic_vector(2 downto 0);
		MCDEVICECAPABILITYENDPOINTL1LATENCY : in std_logic_vector(2 downto 0);
		MCDEVICEID             : in std_logic_vector(15 downto 0);
		MCDEVICESERIALNUMBER   : in std_logic_vector(63 downto 0);
		MCDSNBASEPTR           : in std_logic_vector(11 downto 0);
		MCDSNCAPABILITYNEXTPTR : in std_logic_vector(11 downto 0);
		MCDUALCOREENABLE       : in std_ulogic;
		MCDUALCORESLAVE        : in std_ulogic;
		MCDUALROLECFGCNTRLROOTEPN : in std_ulogic;
		MCEXTCFGCAPPTR         : in std_logic_vector(7 downto 0);
		MCEXTCFGXPCAPPTR       : in std_logic_vector(11 downto 0);
		MCHEADERTYPE           : in std_logic_vector(7 downto 0);
		MCINFINITECOMPLETIONS  : in std_ulogic;
		MCINTERRUPTPIN         : in std_logic_vector(7 downto 0);
		MCISSWITCH             : in std_ulogic;
		MCL0SEXITLATENCY       : in std_logic_vector(2 downto 0);
		MCL0SEXITLATENCYCOMCLK : in std_logic_vector(2 downto 0);
		MCL1EXITLATENCY        : in std_logic_vector(2 downto 0);
		MCL1EXITLATENCYCOMCLK  : in std_logic_vector(2 downto 0);
		MCLINKCAPABILITYASPMSUPPORT : in std_logic_vector(1 downto 0);
		MCLINKCAPABILITYMAXLINKWIDTH : in std_logic_vector(5 downto 0);
		MCLINKSTATUSSLOTCLOCKCONFIG : in std_ulogic;
		MCLLKBYPASS            : in std_ulogic;
		MCLOWPRIORITYVCCOUNT   : in std_logic_vector(2 downto 0);
		MCMSIBASEPTR           : in std_logic_vector(11 downto 0);
		MCMSICAPABILITYMULTIMSGCAP : in std_logic_vector(2 downto 0);
		MCMSICAPABILITYNEXTPTR : in std_logic_vector(7 downto 0);
		MCPBBASEPTR            : in std_logic_vector(11 downto 0);
		MCPBCAPABILITYDW0BASEPOWER : in std_logic_vector(7 downto 0);
		MCPBCAPABILITYDW0DATASCALE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW0PMSTATE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW0PMSUBSTATE : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW0POWERRAIL : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW0TYPE  : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW1BASEPOWER : in std_logic_vector(7 downto 0);
		MCPBCAPABILITYDW1DATASCALE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW1PMSTATE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW1PMSUBSTATE : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW1POWERRAIL : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW1TYPE  : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW2BASEPOWER : in std_logic_vector(7 downto 0);
		MCPBCAPABILITYDW2DATASCALE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW2PMSTATE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW2PMSUBSTATE : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW2POWERRAIL : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW2TYPE  : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW3BASEPOWER : in std_logic_vector(7 downto 0);
		MCPBCAPABILITYDW3DATASCALE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW3PMSTATE : in std_logic_vector(1 downto 0);
		MCPBCAPABILITYDW3PMSUBSTATE : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW3POWERRAIL : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYDW3TYPE  : in std_logic_vector(2 downto 0);
		MCPBCAPABILITYNEXTPTR  : in std_logic_vector(11 downto 0);
		MCPBCAPABILITYSYSTEMALLOCATED : in std_ulogic;
		MCPCIECAPABILITYINTMSGNUM : in std_logic_vector(4 downto 0);
		MCPCIECAPABILITYNEXTPTR : in std_logic_vector(7 downto 0);
		MCPCIECAPABILITYSLOTIMPL : in std_ulogic;
		MCPCIEREVISION         : in std_ulogic;
		MCPMBASEPTR            : in std_logic_vector(11 downto 0);
		MCPMCAPABILITYAUXCURRENT : in std_logic_vector(2 downto 0);
		MCPMCAPABILITYD1SUPPORT : in std_ulogic;
		MCPMCAPABILITYD2SUPPORT : in std_ulogic;
		MCPMCAPABILITYDSI      : in std_ulogic;
		MCPMCAPABILITYNEXTPTR  : in std_logic_vector(7 downto 0);
		MCPMCAPABILITYPMESUPPORT : in std_logic_vector(4 downto 0);
		MCPMDATA0              : in std_logic_vector(7 downto 0);
		MCPMDATA1              : in std_logic_vector(7 downto 0);
		MCPMDATA2              : in std_logic_vector(7 downto 0);
		MCPMDATA3              : in std_logic_vector(7 downto 0);
		MCPMDATA4              : in std_logic_vector(7 downto 0);
		MCPMDATA5              : in std_logic_vector(7 downto 0);
		MCPMDATA6              : in std_logic_vector(7 downto 0);
		MCPMDATA7              : in std_logic_vector(7 downto 0);
		MCPMDATA8              : in std_logic_vector(7 downto 0);
		MCPMDATASCALE0         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE1         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE2         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE3         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE4         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE5         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE6         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE7         : in std_logic_vector(1 downto 0);
		MCPMDATASCALE8         : in std_logic_vector(1 downto 0);
		MCPMSTATUSCONTROLDATASCALE : in std_logic_vector(1 downto 0);
		MCPORTVCCAPABILITYEXTENDEDVCCOUNT : in std_logic_vector(2 downto 0);
		MCPORTVCCAPABILITYVCARBCAP : in std_logic_vector(7 downto 0);
		MCPORTVCCAPABILITYVCARBTABLEOFFSET : in std_logic_vector(7 downto 0);
		MCRAMSHARETXRX         : in std_ulogic;
		MCRESETMODE            : in std_ulogic;
		MCRETRYRAMREADLATENCY  : in std_logic_vector(2 downto 0);
		MCRETRYRAMSIZE         : in std_logic_vector(11 downto 0);
		MCRETRYRAMWIDTH        : in std_ulogic;
		MCRETRYRAMWRITELATENCY : in std_logic_vector(2 downto 0);
		MCRETRYREADADDRPIPE    : in std_ulogic;
		MCRETRYREADDATAPIPE    : in std_ulogic;
		MCRETRYWRITEPIPE       : in std_ulogic;
		MCREVISIONID           : in std_logic_vector(7 downto 0);
		MCRXREADADDRPIPE       : in std_ulogic;
		MCRXREADDATAPIPE       : in std_ulogic;
		MCRXWRITEPIPE          : in std_ulogic;
		MCSELECTASMODE         : in std_ulogic;
		MCSELECTDLLIF          : in std_ulogic;
		MCSLOTCAPABILITYATTBUTTONPRESENT : in std_ulogic;
		MCSLOTCAPABILITYATTINDICATORPRESENT : in std_ulogic;
		MCSLOTCAPABILITYHOTPLUGCAPABLE : in std_ulogic;
		MCSLOTCAPABILITYHOTPLUGSURPRISE : in std_ulogic;
		MCSLOTCAPABILITYMSLSENSORPRESENT : in std_ulogic;
		MCSLOTCAPABILITYPHYSICALSLOTNUM : in std_logic_vector(12 downto 0);
		MCSLOTCAPABILITYPOWERCONTROLLERPRESENT : in std_ulogic;
		MCSLOTCAPABILITYPOWERINDICATORPRESENT : in std_ulogic;
		MCSLOTCAPABILITYSLOTPOWERLIMITSCALE : in std_logic_vector(1 downto 0);
		MCSLOTCAPABILITYSLOTPOWERLIMITVALUE : in std_logic_vector(7 downto 0);
		MCSLOTIMPLEMENTED      : in std_ulogic;
		MCSUBSYSTEMID          : in std_logic_vector(15 downto 0);
		MCSUBSYSTEMVENDORID    : in std_logic_vector(15 downto 0);
		MCTLRAMREADLATENCY     : in std_logic_vector(2 downto 0);
		MCTLRAMWIDTH           : in std_ulogic;
		MCTLRAMWRITELATENCY    : in std_logic_vector(2 downto 0);
		MCTXREADADDRPIPE       : in std_ulogic;
		MCTXREADDATAPIPE       : in std_ulogic;
		MCTXTSNFTS             : in std_logic_vector(7 downto 0);
		MCTXTSNFTSCOMCLK       : in std_logic_vector(7 downto 0);
		MCTXWRITEPIPE          : in std_ulogic;
		MCUPSTREAMFACING       : in std_ulogic;
		MCVC0RXFIFOBASEC       : in std_logic_vector(12 downto 0);
		MCVC0RXFIFOBASENP      : in std_logic_vector(12 downto 0);
		MCVC0RXFIFOBASEP       : in std_logic_vector(12 downto 0);
		MCVC0RXFIFOLIMITC      : in std_logic_vector(12 downto 0);
		MCVC0RXFIFOLIMITNP     : in std_logic_vector(12 downto 0);
		MCVC0RXFIFOLIMITP      : in std_logic_vector(12 downto 0);
		MCVC0TOTALCREDITSCD    : in std_logic_vector(10 downto 0);
		MCVC0TOTALCREDITSCH    : in std_logic_vector(6 downto 0);
		MCVC0TOTALCREDITSNPH   : in std_logic_vector(6 downto 0);
		MCVC0TOTALCREDITSPD    : in std_logic_vector(10 downto 0);
		MCVC0TOTALCREDITSPH    : in std_logic_vector(6 downto 0);
		MCVC0TXFIFOBASEC       : in std_logic_vector(12 downto 0);
		MCVC0TXFIFOBASENP      : in std_logic_vector(12 downto 0);
		MCVC0TXFIFOBASEP       : in std_logic_vector(12 downto 0);
		MCVC0TXFIFOLIMITC      : in std_logic_vector(12 downto 0);
		MCVC0TXFIFOLIMITNP     : in std_logic_vector(12 downto 0);
		MCVC0TXFIFOLIMITP      : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOBASEC       : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOBASENP      : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOBASEP       : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOLIMITC      : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOLIMITNP     : in std_logic_vector(12 downto 0);
		MCVC1RXFIFOLIMITP      : in std_logic_vector(12 downto 0);
		MCVC1TOTALCREDITSCD    : in std_logic_vector(10 downto 0);
		MCVC1TOTALCREDITSCH    : in std_logic_vector(6 downto 0);
		MCVC1TOTALCREDITSNPH   : in std_logic_vector(6 downto 0);
		MCVC1TOTALCREDITSPD    : in std_logic_vector(10 downto 0);
		MCVC1TOTALCREDITSPH    : in std_logic_vector(6 downto 0);
		MCVC1TXFIFOBASEC       : in std_logic_vector(12 downto 0);
		MCVC1TXFIFOBASENP      : in std_logic_vector(12 downto 0);
		MCVC1TXFIFOBASEP       : in std_logic_vector(12 downto 0);
		MCVC1TXFIFOLIMITC      : in std_logic_vector(12 downto 0);
		MCVC1TXFIFOLIMITNP     : in std_logic_vector(12 downto 0);
		MCVC1TXFIFOLIMITP      : in std_logic_vector(12 downto 0);
		MCVCBASEPTR            : in std_logic_vector(11 downto 0);
		MCVCCAPABILITYNEXTPTR  : in std_logic_vector(11 downto 0);
		MCVENDORID             : in std_logic_vector(15 downto 0);
		MCXLINKSUPPORTED       : in std_ulogic;
		MCXPBASEPTR            : in std_logic_vector(7 downto 0);
		MCXPDEVICEPORTTYPE     : in std_logic_vector(3 downto 0);
		MCXPMAXPAYLOAD         : in std_logic_vector(2 downto 0);
		MCXPRCBCONTROL         : in std_ulogic
	);
end component;

for all: PCIE_INTERNAL_1_1_SWIFT
use entity work.PCIE_INTERNAL_1_1_SWIFT
	port map (
		BUSMASTERENABLE      => BUSMASTERENABLE,
		CRMDOHOTRESETN       => CRMDOHOTRESETN,
		CRMPWRSOFTRESETN     => CRMPWRSOFTRESETN,
		CRMRXHOTRESETN       => CRMRXHOTRESETN,
		DLLTXPMDLLPOUTSTANDING => DLLTXPMDLLPOUTSTANDING,
		GSR                  => GSR,
		INTERRUPTDISABLE     => INTERRUPTDISABLE,
		IOSPACEENABLE        => IOSPACEENABLE,
		L0ASAUTONOMOUSINITCOMPLETED => L0ASAUTONOMOUSINITCOMPLETED,
		L0ATTENTIONINDICATORCONTROL_0 => L0ATTENTIONINDICATORCONTROL(0),
		L0ATTENTIONINDICATORCONTROL_1 => L0ATTENTIONINDICATORCONTROL(1),
		L0CFGLOOPBACKACK     => L0CFGLOOPBACKACK,
		L0COMPLETERID_0      => L0COMPLETERID(0),
		L0COMPLETERID_1      => L0COMPLETERID(1),
		L0COMPLETERID_10     => L0COMPLETERID(10),
		L0COMPLETERID_11     => L0COMPLETERID(11),
		L0COMPLETERID_12     => L0COMPLETERID(12),
		L0COMPLETERID_2      => L0COMPLETERID(2),
		L0COMPLETERID_3      => L0COMPLETERID(3),
		L0COMPLETERID_4      => L0COMPLETERID(4),
		L0COMPLETERID_5      => L0COMPLETERID(5),
		L0COMPLETERID_6      => L0COMPLETERID(6),
		L0COMPLETERID_7      => L0COMPLETERID(7),
		L0COMPLETERID_8      => L0COMPLETERID(8),
		L0COMPLETERID_9      => L0COMPLETERID(9),
		L0CORRERRMSGRCVD     => L0CORRERRMSGRCVD,
		L0DLLASRXSTATE_0     => L0DLLASRXSTATE(0),
		L0DLLASRXSTATE_1     => L0DLLASRXSTATE(1),
		L0DLLASTXSTATE       => L0DLLASTXSTATE,
		L0DLLERRORVECTOR_0   => L0DLLERRORVECTOR(0),
		L0DLLERRORVECTOR_1   => L0DLLERRORVECTOR(1),
		L0DLLERRORVECTOR_2   => L0DLLERRORVECTOR(2),
		L0DLLERRORVECTOR_3   => L0DLLERRORVECTOR(3),
		L0DLLERRORVECTOR_4   => L0DLLERRORVECTOR(4),
		L0DLLERRORVECTOR_5   => L0DLLERRORVECTOR(5),
		L0DLLERRORVECTOR_6   => L0DLLERRORVECTOR(6),
		L0DLLRXACKOUTSTANDING => L0DLLRXACKOUTSTANDING,
		L0DLLTXNONFCOUTSTANDING => L0DLLTXNONFCOUTSTANDING,
		L0DLLTXOUTSTANDING   => L0DLLTXOUTSTANDING,
		L0DLLVCSTATUS_0      => L0DLLVCSTATUS(0),
		L0DLLVCSTATUS_1      => L0DLLVCSTATUS(1),
		L0DLLVCSTATUS_2      => L0DLLVCSTATUS(2),
		L0DLLVCSTATUS_3      => L0DLLVCSTATUS(3),
		L0DLLVCSTATUS_4      => L0DLLVCSTATUS(4),
		L0DLLVCSTATUS_5      => L0DLLVCSTATUS(5),
		L0DLLVCSTATUS_6      => L0DLLVCSTATUS(6),
		L0DLLVCSTATUS_7      => L0DLLVCSTATUS(7),
		L0DLUPDOWN_0         => L0DLUPDOWN(0),
		L0DLUPDOWN_1         => L0DLUPDOWN(1),
		L0DLUPDOWN_2         => L0DLUPDOWN(2),
		L0DLUPDOWN_3         => L0DLUPDOWN(3),
		L0DLUPDOWN_4         => L0DLUPDOWN(4),
		L0DLUPDOWN_5         => L0DLUPDOWN(5),
		L0DLUPDOWN_6         => L0DLUPDOWN(6),
		L0DLUPDOWN_7         => L0DLUPDOWN(7),
		L0ERRMSGREQID_0      => L0ERRMSGREQID(0),
		L0ERRMSGREQID_1      => L0ERRMSGREQID(1),
		L0ERRMSGREQID_10     => L0ERRMSGREQID(10),
		L0ERRMSGREQID_11     => L0ERRMSGREQID(11),
		L0ERRMSGREQID_12     => L0ERRMSGREQID(12),
		L0ERRMSGREQID_13     => L0ERRMSGREQID(13),
		L0ERRMSGREQID_14     => L0ERRMSGREQID(14),
		L0ERRMSGREQID_15     => L0ERRMSGREQID(15),
		L0ERRMSGREQID_2      => L0ERRMSGREQID(2),
		L0ERRMSGREQID_3      => L0ERRMSGREQID(3),
		L0ERRMSGREQID_4      => L0ERRMSGREQID(4),
		L0ERRMSGREQID_5      => L0ERRMSGREQID(5),
		L0ERRMSGREQID_6      => L0ERRMSGREQID(6),
		L0ERRMSGREQID_7      => L0ERRMSGREQID(7),
		L0ERRMSGREQID_8      => L0ERRMSGREQID(8),
		L0ERRMSGREQID_9      => L0ERRMSGREQID(9),
		L0FATALERRMSGRCVD    => L0FATALERRMSGRCVD,
		L0FIRSTCFGWRITEOCCURRED => L0FIRSTCFGWRITEOCCURRED,
		L0FWDCORRERROUT      => L0FWDCORRERROUT,
		L0FWDFATALERROUT     => L0FWDFATALERROUT,
		L0FWDNONFATALERROUT  => L0FWDNONFATALERROUT,
		L0LTSSMSTATE_0       => L0LTSSMSTATE(0),
		L0LTSSMSTATE_1       => L0LTSSMSTATE(1),
		L0LTSSMSTATE_2       => L0LTSSMSTATE(2),
		L0LTSSMSTATE_3       => L0LTSSMSTATE(3),
		L0MACENTEREDL0       => L0MACENTEREDL0,
		L0MACLINKTRAINING    => L0MACLINKTRAINING,
		L0MACLINKUP          => L0MACLINKUP,
		L0MACNEGOTIATEDLINKWIDTH_0 => L0MACNEGOTIATEDLINKWIDTH(0),
		L0MACNEGOTIATEDLINKWIDTH_1 => L0MACNEGOTIATEDLINKWIDTH(1),
		L0MACNEGOTIATEDLINKWIDTH_2 => L0MACNEGOTIATEDLINKWIDTH(2),
		L0MACNEGOTIATEDLINKWIDTH_3 => L0MACNEGOTIATEDLINKWIDTH(3),
		L0MACNEWSTATEACK     => L0MACNEWSTATEACK,
		L0MACRXL0SSTATE      => L0MACRXL0SSTATE,
		L0MACUPSTREAMDOWNSTREAM => L0MACUPSTREAMDOWNSTREAM,
		L0MCFOUND_0          => L0MCFOUND(0),
		L0MCFOUND_1          => L0MCFOUND(1),
		L0MCFOUND_2          => L0MCFOUND(2),
		L0MSIENABLE0         => L0MSIENABLE0,
		L0MULTIMSGEN0_0      => L0MULTIMSGEN0(0),
		L0MULTIMSGEN0_1      => L0MULTIMSGEN0(1),
		L0MULTIMSGEN0_2      => L0MULTIMSGEN0(2),
		L0NONFATALERRMSGRCVD => L0NONFATALERRMSGRCVD,
		L0PMEACK             => L0PMEACK,
		L0PMEEN              => L0PMEEN,
		L0PMEREQOUT          => L0PMEREQOUT,
		L0POWERCONTROLLERCONTROL => L0POWERCONTROLLERCONTROL,
		L0POWERINDICATORCONTROL_0 => L0POWERINDICATORCONTROL(0),
		L0POWERINDICATORCONTROL_1 => L0POWERINDICATORCONTROL(1),
		L0PWRINHIBITTRANSFERS => L0PWRINHIBITTRANSFERS,
		L0PWRL1STATE         => L0PWRL1STATE,
		L0PWRL23READYDEVICE  => L0PWRL23READYDEVICE,
		L0PWRL23READYSTATE   => L0PWRL23READYSTATE,
		L0PWRSTATE0_0        => L0PWRSTATE0(0),
		L0PWRSTATE0_1        => L0PWRSTATE0(1),
		L0PWRTURNOFFREQ      => L0PWRTURNOFFREQ,
		L0PWRTXL0SSTATE      => L0PWRTXL0SSTATE,
		L0RECEIVEDASSERTINTALEGACYINT => L0RECEIVEDASSERTINTALEGACYINT,
		L0RECEIVEDASSERTINTBLEGACYINT => L0RECEIVEDASSERTINTBLEGACYINT,
		L0RECEIVEDASSERTINTCLEGACYINT => L0RECEIVEDASSERTINTCLEGACYINT,
		L0RECEIVEDASSERTINTDLEGACYINT => L0RECEIVEDASSERTINTDLEGACYINT,
		L0RECEIVEDDEASSERTINTALEGACYINT => L0RECEIVEDDEASSERTINTALEGACYINT,
		L0RECEIVEDDEASSERTINTBLEGACYINT => L0RECEIVEDDEASSERTINTBLEGACYINT,
		L0RECEIVEDDEASSERTINTCLEGACYINT => L0RECEIVEDDEASSERTINTCLEGACYINT,
		L0RECEIVEDDEASSERTINTDLEGACYINT => L0RECEIVEDDEASSERTINTDLEGACYINT,
		L0RXBEACON           => L0RXBEACON,
		L0RXDLLFCCMPLMCCRED_0 => L0RXDLLFCCMPLMCCRED(0),
		L0RXDLLFCCMPLMCCRED_1 => L0RXDLLFCCMPLMCCRED(1),
		L0RXDLLFCCMPLMCCRED_10 => L0RXDLLFCCMPLMCCRED(10),
		L0RXDLLFCCMPLMCCRED_11 => L0RXDLLFCCMPLMCCRED(11),
		L0RXDLLFCCMPLMCCRED_12 => L0RXDLLFCCMPLMCCRED(12),
		L0RXDLLFCCMPLMCCRED_13 => L0RXDLLFCCMPLMCCRED(13),
		L0RXDLLFCCMPLMCCRED_14 => L0RXDLLFCCMPLMCCRED(14),
		L0RXDLLFCCMPLMCCRED_15 => L0RXDLLFCCMPLMCCRED(15),
		L0RXDLLFCCMPLMCCRED_16 => L0RXDLLFCCMPLMCCRED(16),
		L0RXDLLFCCMPLMCCRED_17 => L0RXDLLFCCMPLMCCRED(17),
		L0RXDLLFCCMPLMCCRED_18 => L0RXDLLFCCMPLMCCRED(18),
		L0RXDLLFCCMPLMCCRED_19 => L0RXDLLFCCMPLMCCRED(19),
		L0RXDLLFCCMPLMCCRED_2 => L0RXDLLFCCMPLMCCRED(2),
		L0RXDLLFCCMPLMCCRED_20 => L0RXDLLFCCMPLMCCRED(20),
		L0RXDLLFCCMPLMCCRED_21 => L0RXDLLFCCMPLMCCRED(21),
		L0RXDLLFCCMPLMCCRED_22 => L0RXDLLFCCMPLMCCRED(22),
		L0RXDLLFCCMPLMCCRED_23 => L0RXDLLFCCMPLMCCRED(23),
		L0RXDLLFCCMPLMCCRED_3 => L0RXDLLFCCMPLMCCRED(3),
		L0RXDLLFCCMPLMCCRED_4 => L0RXDLLFCCMPLMCCRED(4),
		L0RXDLLFCCMPLMCCRED_5 => L0RXDLLFCCMPLMCCRED(5),
		L0RXDLLFCCMPLMCCRED_6 => L0RXDLLFCCMPLMCCRED(6),
		L0RXDLLFCCMPLMCCRED_7 => L0RXDLLFCCMPLMCCRED(7),
		L0RXDLLFCCMPLMCCRED_8 => L0RXDLLFCCMPLMCCRED(8),
		L0RXDLLFCCMPLMCCRED_9 => L0RXDLLFCCMPLMCCRED(9),
		L0RXDLLFCCMPLMCUPDATE_0 => L0RXDLLFCCMPLMCUPDATE(0),
		L0RXDLLFCCMPLMCUPDATE_1 => L0RXDLLFCCMPLMCUPDATE(1),
		L0RXDLLFCCMPLMCUPDATE_2 => L0RXDLLFCCMPLMCUPDATE(2),
		L0RXDLLFCCMPLMCUPDATE_3 => L0RXDLLFCCMPLMCUPDATE(3),
		L0RXDLLFCCMPLMCUPDATE_4 => L0RXDLLFCCMPLMCUPDATE(4),
		L0RXDLLFCCMPLMCUPDATE_5 => L0RXDLLFCCMPLMCUPDATE(5),
		L0RXDLLFCCMPLMCUPDATE_6 => L0RXDLLFCCMPLMCUPDATE(6),
		L0RXDLLFCCMPLMCUPDATE_7 => L0RXDLLFCCMPLMCUPDATE(7),
		L0RXDLLFCNPOSTBYPCRED_0 => L0RXDLLFCNPOSTBYPCRED(0),
		L0RXDLLFCNPOSTBYPCRED_1 => L0RXDLLFCNPOSTBYPCRED(1),
		L0RXDLLFCNPOSTBYPCRED_10 => L0RXDLLFCNPOSTBYPCRED(10),
		L0RXDLLFCNPOSTBYPCRED_11 => L0RXDLLFCNPOSTBYPCRED(11),
		L0RXDLLFCNPOSTBYPCRED_12 => L0RXDLLFCNPOSTBYPCRED(12),
		L0RXDLLFCNPOSTBYPCRED_13 => L0RXDLLFCNPOSTBYPCRED(13),
		L0RXDLLFCNPOSTBYPCRED_14 => L0RXDLLFCNPOSTBYPCRED(14),
		L0RXDLLFCNPOSTBYPCRED_15 => L0RXDLLFCNPOSTBYPCRED(15),
		L0RXDLLFCNPOSTBYPCRED_16 => L0RXDLLFCNPOSTBYPCRED(16),
		L0RXDLLFCNPOSTBYPCRED_17 => L0RXDLLFCNPOSTBYPCRED(17),
		L0RXDLLFCNPOSTBYPCRED_18 => L0RXDLLFCNPOSTBYPCRED(18),
		L0RXDLLFCNPOSTBYPCRED_19 => L0RXDLLFCNPOSTBYPCRED(19),
		L0RXDLLFCNPOSTBYPCRED_2 => L0RXDLLFCNPOSTBYPCRED(2),
		L0RXDLLFCNPOSTBYPCRED_3 => L0RXDLLFCNPOSTBYPCRED(3),
		L0RXDLLFCNPOSTBYPCRED_4 => L0RXDLLFCNPOSTBYPCRED(4),
		L0RXDLLFCNPOSTBYPCRED_5 => L0RXDLLFCNPOSTBYPCRED(5),
		L0RXDLLFCNPOSTBYPCRED_6 => L0RXDLLFCNPOSTBYPCRED(6),
		L0RXDLLFCNPOSTBYPCRED_7 => L0RXDLLFCNPOSTBYPCRED(7),
		L0RXDLLFCNPOSTBYPCRED_8 => L0RXDLLFCNPOSTBYPCRED(8),
		L0RXDLLFCNPOSTBYPCRED_9 => L0RXDLLFCNPOSTBYPCRED(9),
		L0RXDLLFCNPOSTBYPUPDATE_0 => L0RXDLLFCNPOSTBYPUPDATE(0),
		L0RXDLLFCNPOSTBYPUPDATE_1 => L0RXDLLFCNPOSTBYPUPDATE(1),
		L0RXDLLFCNPOSTBYPUPDATE_2 => L0RXDLLFCNPOSTBYPUPDATE(2),
		L0RXDLLFCNPOSTBYPUPDATE_3 => L0RXDLLFCNPOSTBYPUPDATE(3),
		L0RXDLLFCNPOSTBYPUPDATE_4 => L0RXDLLFCNPOSTBYPUPDATE(4),
		L0RXDLLFCNPOSTBYPUPDATE_5 => L0RXDLLFCNPOSTBYPUPDATE(5),
		L0RXDLLFCNPOSTBYPUPDATE_6 => L0RXDLLFCNPOSTBYPUPDATE(6),
		L0RXDLLFCNPOSTBYPUPDATE_7 => L0RXDLLFCNPOSTBYPUPDATE(7),
		L0RXDLLFCPOSTORDCRED_0 => L0RXDLLFCPOSTORDCRED(0),
		L0RXDLLFCPOSTORDCRED_1 => L0RXDLLFCPOSTORDCRED(1),
		L0RXDLLFCPOSTORDCRED_10 => L0RXDLLFCPOSTORDCRED(10),
		L0RXDLLFCPOSTORDCRED_11 => L0RXDLLFCPOSTORDCRED(11),
		L0RXDLLFCPOSTORDCRED_12 => L0RXDLLFCPOSTORDCRED(12),
		L0RXDLLFCPOSTORDCRED_13 => L0RXDLLFCPOSTORDCRED(13),
		L0RXDLLFCPOSTORDCRED_14 => L0RXDLLFCPOSTORDCRED(14),
		L0RXDLLFCPOSTORDCRED_15 => L0RXDLLFCPOSTORDCRED(15),
		L0RXDLLFCPOSTORDCRED_16 => L0RXDLLFCPOSTORDCRED(16),
		L0RXDLLFCPOSTORDCRED_17 => L0RXDLLFCPOSTORDCRED(17),
		L0RXDLLFCPOSTORDCRED_18 => L0RXDLLFCPOSTORDCRED(18),
		L0RXDLLFCPOSTORDCRED_19 => L0RXDLLFCPOSTORDCRED(19),
		L0RXDLLFCPOSTORDCRED_2 => L0RXDLLFCPOSTORDCRED(2),
		L0RXDLLFCPOSTORDCRED_20 => L0RXDLLFCPOSTORDCRED(20),
		L0RXDLLFCPOSTORDCRED_21 => L0RXDLLFCPOSTORDCRED(21),
		L0RXDLLFCPOSTORDCRED_22 => L0RXDLLFCPOSTORDCRED(22),
		L0RXDLLFCPOSTORDCRED_23 => L0RXDLLFCPOSTORDCRED(23),
		L0RXDLLFCPOSTORDCRED_3 => L0RXDLLFCPOSTORDCRED(3),
		L0RXDLLFCPOSTORDCRED_4 => L0RXDLLFCPOSTORDCRED(4),
		L0RXDLLFCPOSTORDCRED_5 => L0RXDLLFCPOSTORDCRED(5),
		L0RXDLLFCPOSTORDCRED_6 => L0RXDLLFCPOSTORDCRED(6),
		L0RXDLLFCPOSTORDCRED_7 => L0RXDLLFCPOSTORDCRED(7),
		L0RXDLLFCPOSTORDCRED_8 => L0RXDLLFCPOSTORDCRED(8),
		L0RXDLLFCPOSTORDCRED_9 => L0RXDLLFCPOSTORDCRED(9),
		L0RXDLLFCPOSTORDUPDATE_0 => L0RXDLLFCPOSTORDUPDATE(0),
		L0RXDLLFCPOSTORDUPDATE_1 => L0RXDLLFCPOSTORDUPDATE(1),
		L0RXDLLFCPOSTORDUPDATE_2 => L0RXDLLFCPOSTORDUPDATE(2),
		L0RXDLLFCPOSTORDUPDATE_3 => L0RXDLLFCPOSTORDUPDATE(3),
		L0RXDLLFCPOSTORDUPDATE_4 => L0RXDLLFCPOSTORDUPDATE(4),
		L0RXDLLFCPOSTORDUPDATE_5 => L0RXDLLFCPOSTORDUPDATE(5),
		L0RXDLLFCPOSTORDUPDATE_6 => L0RXDLLFCPOSTORDUPDATE(6),
		L0RXDLLFCPOSTORDUPDATE_7 => L0RXDLLFCPOSTORDUPDATE(7),
		L0RXDLLPM            => L0RXDLLPM,
		L0RXDLLPMTYPE_0      => L0RXDLLPMTYPE(0),
		L0RXDLLPMTYPE_1      => L0RXDLLPMTYPE(1),
		L0RXDLLPMTYPE_2      => L0RXDLLPMTYPE(2),
		L0RXDLLSBFCDATA_0    => L0RXDLLSBFCDATA(0),
		L0RXDLLSBFCDATA_1    => L0RXDLLSBFCDATA(1),
		L0RXDLLSBFCDATA_10   => L0RXDLLSBFCDATA(10),
		L0RXDLLSBFCDATA_11   => L0RXDLLSBFCDATA(11),
		L0RXDLLSBFCDATA_12   => L0RXDLLSBFCDATA(12),
		L0RXDLLSBFCDATA_13   => L0RXDLLSBFCDATA(13),
		L0RXDLLSBFCDATA_14   => L0RXDLLSBFCDATA(14),
		L0RXDLLSBFCDATA_15   => L0RXDLLSBFCDATA(15),
		L0RXDLLSBFCDATA_16   => L0RXDLLSBFCDATA(16),
		L0RXDLLSBFCDATA_17   => L0RXDLLSBFCDATA(17),
		L0RXDLLSBFCDATA_18   => L0RXDLLSBFCDATA(18),
		L0RXDLLSBFCDATA_2    => L0RXDLLSBFCDATA(2),
		L0RXDLLSBFCDATA_3    => L0RXDLLSBFCDATA(3),
		L0RXDLLSBFCDATA_4    => L0RXDLLSBFCDATA(4),
		L0RXDLLSBFCDATA_5    => L0RXDLLSBFCDATA(5),
		L0RXDLLSBFCDATA_6    => L0RXDLLSBFCDATA(6),
		L0RXDLLSBFCDATA_7    => L0RXDLLSBFCDATA(7),
		L0RXDLLSBFCDATA_8    => L0RXDLLSBFCDATA(8),
		L0RXDLLSBFCDATA_9    => L0RXDLLSBFCDATA(9),
		L0RXDLLSBFCUPDATE    => L0RXDLLSBFCUPDATE,
		L0RXDLLTLPECRCOK     => L0RXDLLTLPECRCOK,
		L0RXDLLTLPEND_0      => L0RXDLLTLPEND(0),
		L0RXDLLTLPEND_1      => L0RXDLLTLPEND(1),
		L0RXMACLINKERROR_0   => L0RXMACLINKERROR(0),
		L0RXMACLINKERROR_1   => L0RXMACLINKERROR(1),
		L0STATSCFGOTHERRECEIVED => L0STATSCFGOTHERRECEIVED,
		L0STATSCFGOTHERTRANSMITTED => L0STATSCFGOTHERTRANSMITTED,
		L0STATSCFGRECEIVED   => L0STATSCFGRECEIVED,
		L0STATSCFGTRANSMITTED => L0STATSCFGTRANSMITTED,
		L0STATSDLLPRECEIVED  => L0STATSDLLPRECEIVED,
		L0STATSDLLPTRANSMITTED => L0STATSDLLPTRANSMITTED,
		L0STATSOSRECEIVED    => L0STATSOSRECEIVED,
		L0STATSOSTRANSMITTED => L0STATSOSTRANSMITTED,
		L0STATSTLPRECEIVED   => L0STATSTLPRECEIVED,
		L0STATSTLPTRANSMITTED => L0STATSTLPTRANSMITTED,
		L0TOGGLEELECTROMECHANICALINTERLOCK => L0TOGGLEELECTROMECHANICALINTERLOCK,
		L0TRANSFORMEDVC_0    => L0TRANSFORMEDVC(0),
		L0TRANSFORMEDVC_1    => L0TRANSFORMEDVC(1),
		L0TRANSFORMEDVC_2    => L0TRANSFORMEDVC(2),
		L0TXDLLFCCMPLMCUPDATED_0 => L0TXDLLFCCMPLMCUPDATED(0),
		L0TXDLLFCCMPLMCUPDATED_1 => L0TXDLLFCCMPLMCUPDATED(1),
		L0TXDLLFCCMPLMCUPDATED_2 => L0TXDLLFCCMPLMCUPDATED(2),
		L0TXDLLFCCMPLMCUPDATED_3 => L0TXDLLFCCMPLMCUPDATED(3),
		L0TXDLLFCCMPLMCUPDATED_4 => L0TXDLLFCCMPLMCUPDATED(4),
		L0TXDLLFCCMPLMCUPDATED_5 => L0TXDLLFCCMPLMCUPDATED(5),
		L0TXDLLFCCMPLMCUPDATED_6 => L0TXDLLFCCMPLMCUPDATED(6),
		L0TXDLLFCCMPLMCUPDATED_7 => L0TXDLLFCCMPLMCUPDATED(7),
		L0TXDLLFCNPOSTBYPUPDATED_0 => L0TXDLLFCNPOSTBYPUPDATED(0),
		L0TXDLLFCNPOSTBYPUPDATED_1 => L0TXDLLFCNPOSTBYPUPDATED(1),
		L0TXDLLFCNPOSTBYPUPDATED_2 => L0TXDLLFCNPOSTBYPUPDATED(2),
		L0TXDLLFCNPOSTBYPUPDATED_3 => L0TXDLLFCNPOSTBYPUPDATED(3),
		L0TXDLLFCNPOSTBYPUPDATED_4 => L0TXDLLFCNPOSTBYPUPDATED(4),
		L0TXDLLFCNPOSTBYPUPDATED_5 => L0TXDLLFCNPOSTBYPUPDATED(5),
		L0TXDLLFCNPOSTBYPUPDATED_6 => L0TXDLLFCNPOSTBYPUPDATED(6),
		L0TXDLLFCNPOSTBYPUPDATED_7 => L0TXDLLFCNPOSTBYPUPDATED(7),
		L0TXDLLFCPOSTORDUPDATED_0 => L0TXDLLFCPOSTORDUPDATED(0),
		L0TXDLLFCPOSTORDUPDATED_1 => L0TXDLLFCPOSTORDUPDATED(1),
		L0TXDLLFCPOSTORDUPDATED_2 => L0TXDLLFCPOSTORDUPDATED(2),
		L0TXDLLFCPOSTORDUPDATED_3 => L0TXDLLFCPOSTORDUPDATED(3),
		L0TXDLLFCPOSTORDUPDATED_4 => L0TXDLLFCPOSTORDUPDATED(4),
		L0TXDLLFCPOSTORDUPDATED_5 => L0TXDLLFCPOSTORDUPDATED(5),
		L0TXDLLFCPOSTORDUPDATED_6 => L0TXDLLFCPOSTORDUPDATED(6),
		L0TXDLLFCPOSTORDUPDATED_7 => L0TXDLLFCPOSTORDUPDATED(7),
		L0TXDLLPMUPDATED     => L0TXDLLPMUPDATED,
		L0TXDLLSBFCUPDATED   => L0TXDLLSBFCUPDATED,
		L0UCBYPFOUND_0       => L0UCBYPFOUND(0),
		L0UCBYPFOUND_1       => L0UCBYPFOUND(1),
		L0UCBYPFOUND_2       => L0UCBYPFOUND(2),
		L0UCBYPFOUND_3       => L0UCBYPFOUND(3),
		L0UCORDFOUND_0       => L0UCORDFOUND(0),
		L0UCORDFOUND_1       => L0UCORDFOUND(1),
		L0UCORDFOUND_2       => L0UCORDFOUND(2),
		L0UCORDFOUND_3       => L0UCORDFOUND(3),
		L0UNLOCKRECEIVED     => L0UNLOCKRECEIVED,
		LLKRX4DWHEADERN      => LLKRX4DWHEADERN,
		LLKRXCHCOMPLETIONAVAILABLEN_0 => LLKRXCHCOMPLETIONAVAILABLEN(0),
		LLKRXCHCOMPLETIONAVAILABLEN_1 => LLKRXCHCOMPLETIONAVAILABLEN(1),
		LLKRXCHCOMPLETIONAVAILABLEN_2 => LLKRXCHCOMPLETIONAVAILABLEN(2),
		LLKRXCHCOMPLETIONAVAILABLEN_3 => LLKRXCHCOMPLETIONAVAILABLEN(3),
		LLKRXCHCOMPLETIONAVAILABLEN_4 => LLKRXCHCOMPLETIONAVAILABLEN(4),
		LLKRXCHCOMPLETIONAVAILABLEN_5 => LLKRXCHCOMPLETIONAVAILABLEN(5),
		LLKRXCHCOMPLETIONAVAILABLEN_6 => LLKRXCHCOMPLETIONAVAILABLEN(6),
		LLKRXCHCOMPLETIONAVAILABLEN_7 => LLKRXCHCOMPLETIONAVAILABLEN(7),
		LLKRXCHCOMPLETIONPARTIALN_0 => LLKRXCHCOMPLETIONPARTIALN(0),
		LLKRXCHCOMPLETIONPARTIALN_1 => LLKRXCHCOMPLETIONPARTIALN(1),
		LLKRXCHCOMPLETIONPARTIALN_2 => LLKRXCHCOMPLETIONPARTIALN(2),
		LLKRXCHCOMPLETIONPARTIALN_3 => LLKRXCHCOMPLETIONPARTIALN(3),
		LLKRXCHCOMPLETIONPARTIALN_4 => LLKRXCHCOMPLETIONPARTIALN(4),
		LLKRXCHCOMPLETIONPARTIALN_5 => LLKRXCHCOMPLETIONPARTIALN(5),
		LLKRXCHCOMPLETIONPARTIALN_6 => LLKRXCHCOMPLETIONPARTIALN(6),
		LLKRXCHCOMPLETIONPARTIALN_7 => LLKRXCHCOMPLETIONPARTIALN(7),
		LLKRXCHCONFIGAVAILABLEN => LLKRXCHCONFIGAVAILABLEN,
		LLKRXCHCONFIGPARTIALN => LLKRXCHCONFIGPARTIALN,
		LLKRXCHNONPOSTEDAVAILABLEN_0 => LLKRXCHNONPOSTEDAVAILABLEN(0),
		LLKRXCHNONPOSTEDAVAILABLEN_1 => LLKRXCHNONPOSTEDAVAILABLEN(1),
		LLKRXCHNONPOSTEDAVAILABLEN_2 => LLKRXCHNONPOSTEDAVAILABLEN(2),
		LLKRXCHNONPOSTEDAVAILABLEN_3 => LLKRXCHNONPOSTEDAVAILABLEN(3),
		LLKRXCHNONPOSTEDAVAILABLEN_4 => LLKRXCHNONPOSTEDAVAILABLEN(4),
		LLKRXCHNONPOSTEDAVAILABLEN_5 => LLKRXCHNONPOSTEDAVAILABLEN(5),
		LLKRXCHNONPOSTEDAVAILABLEN_6 => LLKRXCHNONPOSTEDAVAILABLEN(6),
		LLKRXCHNONPOSTEDAVAILABLEN_7 => LLKRXCHNONPOSTEDAVAILABLEN(7),
		LLKRXCHNONPOSTEDPARTIALN_0 => LLKRXCHNONPOSTEDPARTIALN(0),
		LLKRXCHNONPOSTEDPARTIALN_1 => LLKRXCHNONPOSTEDPARTIALN(1),
		LLKRXCHNONPOSTEDPARTIALN_2 => LLKRXCHNONPOSTEDPARTIALN(2),
		LLKRXCHNONPOSTEDPARTIALN_3 => LLKRXCHNONPOSTEDPARTIALN(3),
		LLKRXCHNONPOSTEDPARTIALN_4 => LLKRXCHNONPOSTEDPARTIALN(4),
		LLKRXCHNONPOSTEDPARTIALN_5 => LLKRXCHNONPOSTEDPARTIALN(5),
		LLKRXCHNONPOSTEDPARTIALN_6 => LLKRXCHNONPOSTEDPARTIALN(6),
		LLKRXCHNONPOSTEDPARTIALN_7 => LLKRXCHNONPOSTEDPARTIALN(7),
		LLKRXCHPOSTEDAVAILABLEN_0 => LLKRXCHPOSTEDAVAILABLEN(0),
		LLKRXCHPOSTEDAVAILABLEN_1 => LLKRXCHPOSTEDAVAILABLEN(1),
		LLKRXCHPOSTEDAVAILABLEN_2 => LLKRXCHPOSTEDAVAILABLEN(2),
		LLKRXCHPOSTEDAVAILABLEN_3 => LLKRXCHPOSTEDAVAILABLEN(3),
		LLKRXCHPOSTEDAVAILABLEN_4 => LLKRXCHPOSTEDAVAILABLEN(4),
		LLKRXCHPOSTEDAVAILABLEN_5 => LLKRXCHPOSTEDAVAILABLEN(5),
		LLKRXCHPOSTEDAVAILABLEN_6 => LLKRXCHPOSTEDAVAILABLEN(6),
		LLKRXCHPOSTEDAVAILABLEN_7 => LLKRXCHPOSTEDAVAILABLEN(7),
		LLKRXCHPOSTEDPARTIALN_0 => LLKRXCHPOSTEDPARTIALN(0),
		LLKRXCHPOSTEDPARTIALN_1 => LLKRXCHPOSTEDPARTIALN(1),
		LLKRXCHPOSTEDPARTIALN_2 => LLKRXCHPOSTEDPARTIALN(2),
		LLKRXCHPOSTEDPARTIALN_3 => LLKRXCHPOSTEDPARTIALN(3),
		LLKRXCHPOSTEDPARTIALN_4 => LLKRXCHPOSTEDPARTIALN(4),
		LLKRXCHPOSTEDPARTIALN_5 => LLKRXCHPOSTEDPARTIALN(5),
		LLKRXCHPOSTEDPARTIALN_6 => LLKRXCHPOSTEDPARTIALN(6),
		LLKRXCHPOSTEDPARTIALN_7 => LLKRXCHPOSTEDPARTIALN(7),
		LLKRXDATA_0          => LLKRXDATA(0),
		LLKRXDATA_1          => LLKRXDATA(1),
		LLKRXDATA_10         => LLKRXDATA(10),
		LLKRXDATA_11         => LLKRXDATA(11),
		LLKRXDATA_12         => LLKRXDATA(12),
		LLKRXDATA_13         => LLKRXDATA(13),
		LLKRXDATA_14         => LLKRXDATA(14),
		LLKRXDATA_15         => LLKRXDATA(15),
		LLKRXDATA_16         => LLKRXDATA(16),
		LLKRXDATA_17         => LLKRXDATA(17),
		LLKRXDATA_18         => LLKRXDATA(18),
		LLKRXDATA_19         => LLKRXDATA(19),
		LLKRXDATA_2          => LLKRXDATA(2),
		LLKRXDATA_20         => LLKRXDATA(20),
		LLKRXDATA_21         => LLKRXDATA(21),
		LLKRXDATA_22         => LLKRXDATA(22),
		LLKRXDATA_23         => LLKRXDATA(23),
		LLKRXDATA_24         => LLKRXDATA(24),
		LLKRXDATA_25         => LLKRXDATA(25),
		LLKRXDATA_26         => LLKRXDATA(26),
		LLKRXDATA_27         => LLKRXDATA(27),
		LLKRXDATA_28         => LLKRXDATA(28),
		LLKRXDATA_29         => LLKRXDATA(29),
		LLKRXDATA_3          => LLKRXDATA(3),
		LLKRXDATA_30         => LLKRXDATA(30),
		LLKRXDATA_31         => LLKRXDATA(31),
		LLKRXDATA_32         => LLKRXDATA(32),
		LLKRXDATA_33         => LLKRXDATA(33),
		LLKRXDATA_34         => LLKRXDATA(34),
		LLKRXDATA_35         => LLKRXDATA(35),
		LLKRXDATA_36         => LLKRXDATA(36),
		LLKRXDATA_37         => LLKRXDATA(37),
		LLKRXDATA_38         => LLKRXDATA(38),
		LLKRXDATA_39         => LLKRXDATA(39),
		LLKRXDATA_4          => LLKRXDATA(4),
		LLKRXDATA_40         => LLKRXDATA(40),
		LLKRXDATA_41         => LLKRXDATA(41),
		LLKRXDATA_42         => LLKRXDATA(42),
		LLKRXDATA_43         => LLKRXDATA(43),
		LLKRXDATA_44         => LLKRXDATA(44),
		LLKRXDATA_45         => LLKRXDATA(45),
		LLKRXDATA_46         => LLKRXDATA(46),
		LLKRXDATA_47         => LLKRXDATA(47),
		LLKRXDATA_48         => LLKRXDATA(48),
		LLKRXDATA_49         => LLKRXDATA(49),
		LLKRXDATA_5          => LLKRXDATA(5),
		LLKRXDATA_50         => LLKRXDATA(50),
		LLKRXDATA_51         => LLKRXDATA(51),
		LLKRXDATA_52         => LLKRXDATA(52),
		LLKRXDATA_53         => LLKRXDATA(53),
		LLKRXDATA_54         => LLKRXDATA(54),
		LLKRXDATA_55         => LLKRXDATA(55),
		LLKRXDATA_56         => LLKRXDATA(56),
		LLKRXDATA_57         => LLKRXDATA(57),
		LLKRXDATA_58         => LLKRXDATA(58),
		LLKRXDATA_59         => LLKRXDATA(59),
		LLKRXDATA_6          => LLKRXDATA(6),
		LLKRXDATA_60         => LLKRXDATA(60),
		LLKRXDATA_61         => LLKRXDATA(61),
		LLKRXDATA_62         => LLKRXDATA(62),
		LLKRXDATA_63         => LLKRXDATA(63),
		LLKRXDATA_7          => LLKRXDATA(7),
		LLKRXDATA_8          => LLKRXDATA(8),
		LLKRXDATA_9          => LLKRXDATA(9),
		LLKRXECRCBADN        => LLKRXECRCBADN,
		LLKRXEOFN            => LLKRXEOFN,
		LLKRXEOPN            => LLKRXEOPN,
		LLKRXPREFERREDTYPE_0 => LLKRXPREFERREDTYPE(0),
		LLKRXPREFERREDTYPE_1 => LLKRXPREFERREDTYPE(1),
		LLKRXPREFERREDTYPE_10 => LLKRXPREFERREDTYPE(10),
		LLKRXPREFERREDTYPE_11 => LLKRXPREFERREDTYPE(11),
		LLKRXPREFERREDTYPE_12 => LLKRXPREFERREDTYPE(12),
		LLKRXPREFERREDTYPE_13 => LLKRXPREFERREDTYPE(13),
		LLKRXPREFERREDTYPE_14 => LLKRXPREFERREDTYPE(14),
		LLKRXPREFERREDTYPE_15 => LLKRXPREFERREDTYPE(15),
		LLKRXPREFERREDTYPE_2 => LLKRXPREFERREDTYPE(2),
		LLKRXPREFERREDTYPE_3 => LLKRXPREFERREDTYPE(3),
		LLKRXPREFERREDTYPE_4 => LLKRXPREFERREDTYPE(4),
		LLKRXPREFERREDTYPE_5 => LLKRXPREFERREDTYPE(5),
		LLKRXPREFERREDTYPE_6 => LLKRXPREFERREDTYPE(6),
		LLKRXPREFERREDTYPE_7 => LLKRXPREFERREDTYPE(7),
		LLKRXPREFERREDTYPE_8 => LLKRXPREFERREDTYPE(8),
		LLKRXPREFERREDTYPE_9 => LLKRXPREFERREDTYPE(9),
		LLKRXSOFN            => LLKRXSOFN,
		LLKRXSOPN            => LLKRXSOPN,
		LLKRXSRCDSCN         => LLKRXSRCDSCN,
		LLKRXSRCLASTREQN     => LLKRXSRCLASTREQN,
		LLKRXSRCRDYN         => LLKRXSRCRDYN,
		LLKRXVALIDN_0        => LLKRXVALIDN(0),
		LLKRXVALIDN_1        => LLKRXVALIDN(1),
		LLKTCSTATUS_0        => LLKTCSTATUS(0),
		LLKTCSTATUS_1        => LLKTCSTATUS(1),
		LLKTCSTATUS_2        => LLKTCSTATUS(2),
		LLKTCSTATUS_3        => LLKTCSTATUS(3),
		LLKTCSTATUS_4        => LLKTCSTATUS(4),
		LLKTCSTATUS_5        => LLKTCSTATUS(5),
		LLKTCSTATUS_6        => LLKTCSTATUS(6),
		LLKTCSTATUS_7        => LLKTCSTATUS(7),
		LLKTXCHANSPACE_0     => LLKTXCHANSPACE(0),
		LLKTXCHANSPACE_1     => LLKTXCHANSPACE(1),
		LLKTXCHANSPACE_2     => LLKTXCHANSPACE(2),
		LLKTXCHANSPACE_3     => LLKTXCHANSPACE(3),
		LLKTXCHANSPACE_4     => LLKTXCHANSPACE(4),
		LLKTXCHANSPACE_5     => LLKTXCHANSPACE(5),
		LLKTXCHANSPACE_6     => LLKTXCHANSPACE(6),
		LLKTXCHANSPACE_7     => LLKTXCHANSPACE(7),
		LLKTXCHANSPACE_8     => LLKTXCHANSPACE(8),
		LLKTXCHANSPACE_9     => LLKTXCHANSPACE(9),
		LLKTXCHCOMPLETIONREADYN_0 => LLKTXCHCOMPLETIONREADYN(0),
		LLKTXCHCOMPLETIONREADYN_1 => LLKTXCHCOMPLETIONREADYN(1),
		LLKTXCHCOMPLETIONREADYN_2 => LLKTXCHCOMPLETIONREADYN(2),
		LLKTXCHCOMPLETIONREADYN_3 => LLKTXCHCOMPLETIONREADYN(3),
		LLKTXCHCOMPLETIONREADYN_4 => LLKTXCHCOMPLETIONREADYN(4),
		LLKTXCHCOMPLETIONREADYN_5 => LLKTXCHCOMPLETIONREADYN(5),
		LLKTXCHCOMPLETIONREADYN_6 => LLKTXCHCOMPLETIONREADYN(6),
		LLKTXCHCOMPLETIONREADYN_7 => LLKTXCHCOMPLETIONREADYN(7),
		LLKTXCHNONPOSTEDREADYN_0 => LLKTXCHNONPOSTEDREADYN(0),
		LLKTXCHNONPOSTEDREADYN_1 => LLKTXCHNONPOSTEDREADYN(1),
		LLKTXCHNONPOSTEDREADYN_2 => LLKTXCHNONPOSTEDREADYN(2),
		LLKTXCHNONPOSTEDREADYN_3 => LLKTXCHNONPOSTEDREADYN(3),
		LLKTXCHNONPOSTEDREADYN_4 => LLKTXCHNONPOSTEDREADYN(4),
		LLKTXCHNONPOSTEDREADYN_5 => LLKTXCHNONPOSTEDREADYN(5),
		LLKTXCHNONPOSTEDREADYN_6 => LLKTXCHNONPOSTEDREADYN(6),
		LLKTXCHNONPOSTEDREADYN_7 => LLKTXCHNONPOSTEDREADYN(7),
		LLKTXCHPOSTEDREADYN_0 => LLKTXCHPOSTEDREADYN(0),
		LLKTXCHPOSTEDREADYN_1 => LLKTXCHPOSTEDREADYN(1),
		LLKTXCHPOSTEDREADYN_2 => LLKTXCHPOSTEDREADYN(2),
		LLKTXCHPOSTEDREADYN_3 => LLKTXCHPOSTEDREADYN(3),
		LLKTXCHPOSTEDREADYN_4 => LLKTXCHPOSTEDREADYN(4),
		LLKTXCHPOSTEDREADYN_5 => LLKTXCHPOSTEDREADYN(5),
		LLKTXCHPOSTEDREADYN_6 => LLKTXCHPOSTEDREADYN(6),
		LLKTXCHPOSTEDREADYN_7 => LLKTXCHPOSTEDREADYN(7),
		LLKTXCONFIGREADYN    => LLKTXCONFIGREADYN,
		LLKTXDSTRDYN         => LLKTXDSTRDYN,
		MAXPAYLOADSIZE_0     => MAXPAYLOADSIZE(0),
		MAXPAYLOADSIZE_1     => MAXPAYLOADSIZE(1),
		MAXPAYLOADSIZE_2     => MAXPAYLOADSIZE(2),
		MAXREADREQUESTSIZE_0 => MAXREADREQUESTSIZE(0),
		MAXREADREQUESTSIZE_1 => MAXREADREQUESTSIZE(1),
		MAXREADREQUESTSIZE_2 => MAXREADREQUESTSIZE(2),
		MEMSPACEENABLE       => MEMSPACEENABLE,
		MGMTPSO_0            => MGMTPSO(0),
		MGMTPSO_1            => MGMTPSO(1),
		MGMTPSO_10           => MGMTPSO(10),
		MGMTPSO_11           => MGMTPSO(11),
		MGMTPSO_12           => MGMTPSO(12),
		MGMTPSO_13           => MGMTPSO(13),
		MGMTPSO_14           => MGMTPSO(14),
		MGMTPSO_15           => MGMTPSO(15),
		MGMTPSO_16           => MGMTPSO(16),
		MGMTPSO_2            => MGMTPSO(2),
		MGMTPSO_3            => MGMTPSO(3),
		MGMTPSO_4            => MGMTPSO(4),
		MGMTPSO_5            => MGMTPSO(5),
		MGMTPSO_6            => MGMTPSO(6),
		MGMTPSO_7            => MGMTPSO(7),
		MGMTPSO_8            => MGMTPSO(8),
		MGMTPSO_9            => MGMTPSO(9),
		MGMTRDATA_0          => MGMTRDATA(0),
		MGMTRDATA_1          => MGMTRDATA(1),
		MGMTRDATA_10         => MGMTRDATA(10),
		MGMTRDATA_11         => MGMTRDATA(11),
		MGMTRDATA_12         => MGMTRDATA(12),
		MGMTRDATA_13         => MGMTRDATA(13),
		MGMTRDATA_14         => MGMTRDATA(14),
		MGMTRDATA_15         => MGMTRDATA(15),
		MGMTRDATA_16         => MGMTRDATA(16),
		MGMTRDATA_17         => MGMTRDATA(17),
		MGMTRDATA_18         => MGMTRDATA(18),
		MGMTRDATA_19         => MGMTRDATA(19),
		MGMTRDATA_2          => MGMTRDATA(2),
		MGMTRDATA_20         => MGMTRDATA(20),
		MGMTRDATA_21         => MGMTRDATA(21),
		MGMTRDATA_22         => MGMTRDATA(22),
		MGMTRDATA_23         => MGMTRDATA(23),
		MGMTRDATA_24         => MGMTRDATA(24),
		MGMTRDATA_25         => MGMTRDATA(25),
		MGMTRDATA_26         => MGMTRDATA(26),
		MGMTRDATA_27         => MGMTRDATA(27),
		MGMTRDATA_28         => MGMTRDATA(28),
		MGMTRDATA_29         => MGMTRDATA(29),
		MGMTRDATA_3          => MGMTRDATA(3),
		MGMTRDATA_30         => MGMTRDATA(30),
		MGMTRDATA_31         => MGMTRDATA(31),
		MGMTRDATA_4          => MGMTRDATA(4),
		MGMTRDATA_5          => MGMTRDATA(5),
		MGMTRDATA_6          => MGMTRDATA(6),
		MGMTRDATA_7          => MGMTRDATA(7),
		MGMTRDATA_8          => MGMTRDATA(8),
		MGMTRDATA_9          => MGMTRDATA(9),
		MGMTSTATSCREDIT_0    => MGMTSTATSCREDIT(0),
		MGMTSTATSCREDIT_1    => MGMTSTATSCREDIT(1),
		MGMTSTATSCREDIT_10   => MGMTSTATSCREDIT(10),
		MGMTSTATSCREDIT_11   => MGMTSTATSCREDIT(11),
		MGMTSTATSCREDIT_2    => MGMTSTATSCREDIT(2),
		MGMTSTATSCREDIT_3    => MGMTSTATSCREDIT(3),
		MGMTSTATSCREDIT_4    => MGMTSTATSCREDIT(4),
		MGMTSTATSCREDIT_5    => MGMTSTATSCREDIT(5),
		MGMTSTATSCREDIT_6    => MGMTSTATSCREDIT(6),
		MGMTSTATSCREDIT_7    => MGMTSTATSCREDIT(7),
		MGMTSTATSCREDIT_8    => MGMTSTATSCREDIT(8),
		MGMTSTATSCREDIT_9    => MGMTSTATSCREDIT(9),
		MIMDLLBRADD_0        => MIMDLLBRADD(0),
		MIMDLLBRADD_1        => MIMDLLBRADD(1),
		MIMDLLBRADD_10       => MIMDLLBRADD(10),
		MIMDLLBRADD_11       => MIMDLLBRADD(11),
		MIMDLLBRADD_2        => MIMDLLBRADD(2),
		MIMDLLBRADD_3        => MIMDLLBRADD(3),
		MIMDLLBRADD_4        => MIMDLLBRADD(4),
		MIMDLLBRADD_5        => MIMDLLBRADD(5),
		MIMDLLBRADD_6        => MIMDLLBRADD(6),
		MIMDLLBRADD_7        => MIMDLLBRADD(7),
		MIMDLLBRADD_8        => MIMDLLBRADD(8),
		MIMDLLBRADD_9        => MIMDLLBRADD(9),
		MIMDLLBREN           => MIMDLLBREN,
		MIMDLLBWADD_0        => MIMDLLBWADD(0),
		MIMDLLBWADD_1        => MIMDLLBWADD(1),
		MIMDLLBWADD_10       => MIMDLLBWADD(10),
		MIMDLLBWADD_11       => MIMDLLBWADD(11),
		MIMDLLBWADD_2        => MIMDLLBWADD(2),
		MIMDLLBWADD_3        => MIMDLLBWADD(3),
		MIMDLLBWADD_4        => MIMDLLBWADD(4),
		MIMDLLBWADD_5        => MIMDLLBWADD(5),
		MIMDLLBWADD_6        => MIMDLLBWADD(6),
		MIMDLLBWADD_7        => MIMDLLBWADD(7),
		MIMDLLBWADD_8        => MIMDLLBWADD(8),
		MIMDLLBWADD_9        => MIMDLLBWADD(9),
		MIMDLLBWDATA_0       => MIMDLLBWDATA(0),
		MIMDLLBWDATA_1       => MIMDLLBWDATA(1),
		MIMDLLBWDATA_10      => MIMDLLBWDATA(10),
		MIMDLLBWDATA_11      => MIMDLLBWDATA(11),
		MIMDLLBWDATA_12      => MIMDLLBWDATA(12),
		MIMDLLBWDATA_13      => MIMDLLBWDATA(13),
		MIMDLLBWDATA_14      => MIMDLLBWDATA(14),
		MIMDLLBWDATA_15      => MIMDLLBWDATA(15),
		MIMDLLBWDATA_16      => MIMDLLBWDATA(16),
		MIMDLLBWDATA_17      => MIMDLLBWDATA(17),
		MIMDLLBWDATA_18      => MIMDLLBWDATA(18),
		MIMDLLBWDATA_19      => MIMDLLBWDATA(19),
		MIMDLLBWDATA_2       => MIMDLLBWDATA(2),
		MIMDLLBWDATA_20      => MIMDLLBWDATA(20),
		MIMDLLBWDATA_21      => MIMDLLBWDATA(21),
		MIMDLLBWDATA_22      => MIMDLLBWDATA(22),
		MIMDLLBWDATA_23      => MIMDLLBWDATA(23),
		MIMDLLBWDATA_24      => MIMDLLBWDATA(24),
		MIMDLLBWDATA_25      => MIMDLLBWDATA(25),
		MIMDLLBWDATA_26      => MIMDLLBWDATA(26),
		MIMDLLBWDATA_27      => MIMDLLBWDATA(27),
		MIMDLLBWDATA_28      => MIMDLLBWDATA(28),
		MIMDLLBWDATA_29      => MIMDLLBWDATA(29),
		MIMDLLBWDATA_3       => MIMDLLBWDATA(3),
		MIMDLLBWDATA_30      => MIMDLLBWDATA(30),
		MIMDLLBWDATA_31      => MIMDLLBWDATA(31),
		MIMDLLBWDATA_32      => MIMDLLBWDATA(32),
		MIMDLLBWDATA_33      => MIMDLLBWDATA(33),
		MIMDLLBWDATA_34      => MIMDLLBWDATA(34),
		MIMDLLBWDATA_35      => MIMDLLBWDATA(35),
		MIMDLLBWDATA_36      => MIMDLLBWDATA(36),
		MIMDLLBWDATA_37      => MIMDLLBWDATA(37),
		MIMDLLBWDATA_38      => MIMDLLBWDATA(38),
		MIMDLLBWDATA_39      => MIMDLLBWDATA(39),
		MIMDLLBWDATA_4       => MIMDLLBWDATA(4),
		MIMDLLBWDATA_40      => MIMDLLBWDATA(40),
		MIMDLLBWDATA_41      => MIMDLLBWDATA(41),
		MIMDLLBWDATA_42      => MIMDLLBWDATA(42),
		MIMDLLBWDATA_43      => MIMDLLBWDATA(43),
		MIMDLLBWDATA_44      => MIMDLLBWDATA(44),
		MIMDLLBWDATA_45      => MIMDLLBWDATA(45),
		MIMDLLBWDATA_46      => MIMDLLBWDATA(46),
		MIMDLLBWDATA_47      => MIMDLLBWDATA(47),
		MIMDLLBWDATA_48      => MIMDLLBWDATA(48),
		MIMDLLBWDATA_49      => MIMDLLBWDATA(49),
		MIMDLLBWDATA_5       => MIMDLLBWDATA(5),
		MIMDLLBWDATA_50      => MIMDLLBWDATA(50),
		MIMDLLBWDATA_51      => MIMDLLBWDATA(51),
		MIMDLLBWDATA_52      => MIMDLLBWDATA(52),
		MIMDLLBWDATA_53      => MIMDLLBWDATA(53),
		MIMDLLBWDATA_54      => MIMDLLBWDATA(54),
		MIMDLLBWDATA_55      => MIMDLLBWDATA(55),
		MIMDLLBWDATA_56      => MIMDLLBWDATA(56),
		MIMDLLBWDATA_57      => MIMDLLBWDATA(57),
		MIMDLLBWDATA_58      => MIMDLLBWDATA(58),
		MIMDLLBWDATA_59      => MIMDLLBWDATA(59),
		MIMDLLBWDATA_6       => MIMDLLBWDATA(6),
		MIMDLLBWDATA_60      => MIMDLLBWDATA(60),
		MIMDLLBWDATA_61      => MIMDLLBWDATA(61),
		MIMDLLBWDATA_62      => MIMDLLBWDATA(62),
		MIMDLLBWDATA_63      => MIMDLLBWDATA(63),
		MIMDLLBWDATA_7       => MIMDLLBWDATA(7),
		MIMDLLBWDATA_8       => MIMDLLBWDATA(8),
		MIMDLLBWDATA_9       => MIMDLLBWDATA(9),
		MIMDLLBWEN           => MIMDLLBWEN,
		MIMRXBRADD_0         => MIMRXBRADD(0),
		MIMRXBRADD_1         => MIMRXBRADD(1),
		MIMRXBRADD_10        => MIMRXBRADD(10),
		MIMRXBRADD_11        => MIMRXBRADD(11),
		MIMRXBRADD_12        => MIMRXBRADD(12),
		MIMRXBRADD_2         => MIMRXBRADD(2),
		MIMRXBRADD_3         => MIMRXBRADD(3),
		MIMRXBRADD_4         => MIMRXBRADD(4),
		MIMRXBRADD_5         => MIMRXBRADD(5),
		MIMRXBRADD_6         => MIMRXBRADD(6),
		MIMRXBRADD_7         => MIMRXBRADD(7),
		MIMRXBRADD_8         => MIMRXBRADD(8),
		MIMRXBRADD_9         => MIMRXBRADD(9),
		MIMRXBREN            => MIMRXBREN,
		MIMRXBWADD_0         => MIMRXBWADD(0),
		MIMRXBWADD_1         => MIMRXBWADD(1),
		MIMRXBWADD_10        => MIMRXBWADD(10),
		MIMRXBWADD_11        => MIMRXBWADD(11),
		MIMRXBWADD_12        => MIMRXBWADD(12),
		MIMRXBWADD_2         => MIMRXBWADD(2),
		MIMRXBWADD_3         => MIMRXBWADD(3),
		MIMRXBWADD_4         => MIMRXBWADD(4),
		MIMRXBWADD_5         => MIMRXBWADD(5),
		MIMRXBWADD_6         => MIMRXBWADD(6),
		MIMRXBWADD_7         => MIMRXBWADD(7),
		MIMRXBWADD_8         => MIMRXBWADD(8),
		MIMRXBWADD_9         => MIMRXBWADD(9),
		MIMRXBWDATA_0        => MIMRXBWDATA(0),
		MIMRXBWDATA_1        => MIMRXBWDATA(1),
		MIMRXBWDATA_10       => MIMRXBWDATA(10),
		MIMRXBWDATA_11       => MIMRXBWDATA(11),
		MIMRXBWDATA_12       => MIMRXBWDATA(12),
		MIMRXBWDATA_13       => MIMRXBWDATA(13),
		MIMRXBWDATA_14       => MIMRXBWDATA(14),
		MIMRXBWDATA_15       => MIMRXBWDATA(15),
		MIMRXBWDATA_16       => MIMRXBWDATA(16),
		MIMRXBWDATA_17       => MIMRXBWDATA(17),
		MIMRXBWDATA_18       => MIMRXBWDATA(18),
		MIMRXBWDATA_19       => MIMRXBWDATA(19),
		MIMRXBWDATA_2        => MIMRXBWDATA(2),
		MIMRXBWDATA_20       => MIMRXBWDATA(20),
		MIMRXBWDATA_21       => MIMRXBWDATA(21),
		MIMRXBWDATA_22       => MIMRXBWDATA(22),
		MIMRXBWDATA_23       => MIMRXBWDATA(23),
		MIMRXBWDATA_24       => MIMRXBWDATA(24),
		MIMRXBWDATA_25       => MIMRXBWDATA(25),
		MIMRXBWDATA_26       => MIMRXBWDATA(26),
		MIMRXBWDATA_27       => MIMRXBWDATA(27),
		MIMRXBWDATA_28       => MIMRXBWDATA(28),
		MIMRXBWDATA_29       => MIMRXBWDATA(29),
		MIMRXBWDATA_3        => MIMRXBWDATA(3),
		MIMRXBWDATA_30       => MIMRXBWDATA(30),
		MIMRXBWDATA_31       => MIMRXBWDATA(31),
		MIMRXBWDATA_32       => MIMRXBWDATA(32),
		MIMRXBWDATA_33       => MIMRXBWDATA(33),
		MIMRXBWDATA_34       => MIMRXBWDATA(34),
		MIMRXBWDATA_35       => MIMRXBWDATA(35),
		MIMRXBWDATA_36       => MIMRXBWDATA(36),
		MIMRXBWDATA_37       => MIMRXBWDATA(37),
		MIMRXBWDATA_38       => MIMRXBWDATA(38),
		MIMRXBWDATA_39       => MIMRXBWDATA(39),
		MIMRXBWDATA_4        => MIMRXBWDATA(4),
		MIMRXBWDATA_40       => MIMRXBWDATA(40),
		MIMRXBWDATA_41       => MIMRXBWDATA(41),
		MIMRXBWDATA_42       => MIMRXBWDATA(42),
		MIMRXBWDATA_43       => MIMRXBWDATA(43),
		MIMRXBWDATA_44       => MIMRXBWDATA(44),
		MIMRXBWDATA_45       => MIMRXBWDATA(45),
		MIMRXBWDATA_46       => MIMRXBWDATA(46),
		MIMRXBWDATA_47       => MIMRXBWDATA(47),
		MIMRXBWDATA_48       => MIMRXBWDATA(48),
		MIMRXBWDATA_49       => MIMRXBWDATA(49),
		MIMRXBWDATA_5        => MIMRXBWDATA(5),
		MIMRXBWDATA_50       => MIMRXBWDATA(50),
		MIMRXBWDATA_51       => MIMRXBWDATA(51),
		MIMRXBWDATA_52       => MIMRXBWDATA(52),
		MIMRXBWDATA_53       => MIMRXBWDATA(53),
		MIMRXBWDATA_54       => MIMRXBWDATA(54),
		MIMRXBWDATA_55       => MIMRXBWDATA(55),
		MIMRXBWDATA_56       => MIMRXBWDATA(56),
		MIMRXBWDATA_57       => MIMRXBWDATA(57),
		MIMRXBWDATA_58       => MIMRXBWDATA(58),
		MIMRXBWDATA_59       => MIMRXBWDATA(59),
		MIMRXBWDATA_6        => MIMRXBWDATA(6),
		MIMRXBWDATA_60       => MIMRXBWDATA(60),
		MIMRXBWDATA_61       => MIMRXBWDATA(61),
		MIMRXBWDATA_62       => MIMRXBWDATA(62),
		MIMRXBWDATA_63       => MIMRXBWDATA(63),
		MIMRXBWDATA_7        => MIMRXBWDATA(7),
		MIMRXBWDATA_8        => MIMRXBWDATA(8),
		MIMRXBWDATA_9        => MIMRXBWDATA(9),
		MIMRXBWEN            => MIMRXBWEN,
		MIMTXBRADD_0         => MIMTXBRADD(0),
		MIMTXBRADD_1         => MIMTXBRADD(1),
		MIMTXBRADD_10        => MIMTXBRADD(10),
		MIMTXBRADD_11        => MIMTXBRADD(11),
		MIMTXBRADD_12        => MIMTXBRADD(12),
		MIMTXBRADD_2         => MIMTXBRADD(2),
		MIMTXBRADD_3         => MIMTXBRADD(3),
		MIMTXBRADD_4         => MIMTXBRADD(4),
		MIMTXBRADD_5         => MIMTXBRADD(5),
		MIMTXBRADD_6         => MIMTXBRADD(6),
		MIMTXBRADD_7         => MIMTXBRADD(7),
		MIMTXBRADD_8         => MIMTXBRADD(8),
		MIMTXBRADD_9         => MIMTXBRADD(9),
		MIMTXBREN            => MIMTXBREN,
		MIMTXBWADD_0         => MIMTXBWADD(0),
		MIMTXBWADD_1         => MIMTXBWADD(1),
		MIMTXBWADD_10        => MIMTXBWADD(10),
		MIMTXBWADD_11        => MIMTXBWADD(11),
		MIMTXBWADD_12        => MIMTXBWADD(12),
		MIMTXBWADD_2         => MIMTXBWADD(2),
		MIMTXBWADD_3         => MIMTXBWADD(3),
		MIMTXBWADD_4         => MIMTXBWADD(4),
		MIMTXBWADD_5         => MIMTXBWADD(5),
		MIMTXBWADD_6         => MIMTXBWADD(6),
		MIMTXBWADD_7         => MIMTXBWADD(7),
		MIMTXBWADD_8         => MIMTXBWADD(8),
		MIMTXBWADD_9         => MIMTXBWADD(9),
		MIMTXBWDATA_0        => MIMTXBWDATA(0),
		MIMTXBWDATA_1        => MIMTXBWDATA(1),
		MIMTXBWDATA_10       => MIMTXBWDATA(10),
		MIMTXBWDATA_11       => MIMTXBWDATA(11),
		MIMTXBWDATA_12       => MIMTXBWDATA(12),
		MIMTXBWDATA_13       => MIMTXBWDATA(13),
		MIMTXBWDATA_14       => MIMTXBWDATA(14),
		MIMTXBWDATA_15       => MIMTXBWDATA(15),
		MIMTXBWDATA_16       => MIMTXBWDATA(16),
		MIMTXBWDATA_17       => MIMTXBWDATA(17),
		MIMTXBWDATA_18       => MIMTXBWDATA(18),
		MIMTXBWDATA_19       => MIMTXBWDATA(19),
		MIMTXBWDATA_2        => MIMTXBWDATA(2),
		MIMTXBWDATA_20       => MIMTXBWDATA(20),
		MIMTXBWDATA_21       => MIMTXBWDATA(21),
		MIMTXBWDATA_22       => MIMTXBWDATA(22),
		MIMTXBWDATA_23       => MIMTXBWDATA(23),
		MIMTXBWDATA_24       => MIMTXBWDATA(24),
		MIMTXBWDATA_25       => MIMTXBWDATA(25),
		MIMTXBWDATA_26       => MIMTXBWDATA(26),
		MIMTXBWDATA_27       => MIMTXBWDATA(27),
		MIMTXBWDATA_28       => MIMTXBWDATA(28),
		MIMTXBWDATA_29       => MIMTXBWDATA(29),
		MIMTXBWDATA_3        => MIMTXBWDATA(3),
		MIMTXBWDATA_30       => MIMTXBWDATA(30),
		MIMTXBWDATA_31       => MIMTXBWDATA(31),
		MIMTXBWDATA_32       => MIMTXBWDATA(32),
		MIMTXBWDATA_33       => MIMTXBWDATA(33),
		MIMTXBWDATA_34       => MIMTXBWDATA(34),
		MIMTXBWDATA_35       => MIMTXBWDATA(35),
		MIMTXBWDATA_36       => MIMTXBWDATA(36),
		MIMTXBWDATA_37       => MIMTXBWDATA(37),
		MIMTXBWDATA_38       => MIMTXBWDATA(38),
		MIMTXBWDATA_39       => MIMTXBWDATA(39),
		MIMTXBWDATA_4        => MIMTXBWDATA(4),
		MIMTXBWDATA_40       => MIMTXBWDATA(40),
		MIMTXBWDATA_41       => MIMTXBWDATA(41),
		MIMTXBWDATA_42       => MIMTXBWDATA(42),
		MIMTXBWDATA_43       => MIMTXBWDATA(43),
		MIMTXBWDATA_44       => MIMTXBWDATA(44),
		MIMTXBWDATA_45       => MIMTXBWDATA(45),
		MIMTXBWDATA_46       => MIMTXBWDATA(46),
		MIMTXBWDATA_47       => MIMTXBWDATA(47),
		MIMTXBWDATA_48       => MIMTXBWDATA(48),
		MIMTXBWDATA_49       => MIMTXBWDATA(49),
		MIMTXBWDATA_5        => MIMTXBWDATA(5),
		MIMTXBWDATA_50       => MIMTXBWDATA(50),
		MIMTXBWDATA_51       => MIMTXBWDATA(51),
		MIMTXBWDATA_52       => MIMTXBWDATA(52),
		MIMTXBWDATA_53       => MIMTXBWDATA(53),
		MIMTXBWDATA_54       => MIMTXBWDATA(54),
		MIMTXBWDATA_55       => MIMTXBWDATA(55),
		MIMTXBWDATA_56       => MIMTXBWDATA(56),
		MIMTXBWDATA_57       => MIMTXBWDATA(57),
		MIMTXBWDATA_58       => MIMTXBWDATA(58),
		MIMTXBWDATA_59       => MIMTXBWDATA(59),
		MIMTXBWDATA_6        => MIMTXBWDATA(6),
		MIMTXBWDATA_60       => MIMTXBWDATA(60),
		MIMTXBWDATA_61       => MIMTXBWDATA(61),
		MIMTXBWDATA_62       => MIMTXBWDATA(62),
		MIMTXBWDATA_63       => MIMTXBWDATA(63),
		MIMTXBWDATA_7        => MIMTXBWDATA(7),
		MIMTXBWDATA_8        => MIMTXBWDATA(8),
		MIMTXBWDATA_9        => MIMTXBWDATA(9),
		MIMTXBWEN            => MIMTXBWEN,
		PARITYERRORRESPONSE  => PARITYERRORRESPONSE,
		PIPEDESKEWLANESL0    => PIPEDESKEWLANESL0,
		PIPEDESKEWLANESL1    => PIPEDESKEWLANESL1,
		PIPEDESKEWLANESL2    => PIPEDESKEWLANESL2,
		PIPEDESKEWLANESL3    => PIPEDESKEWLANESL3,
		PIPEDESKEWLANESL4    => PIPEDESKEWLANESL4,
		PIPEDESKEWLANESL5    => PIPEDESKEWLANESL5,
		PIPEDESKEWLANESL6    => PIPEDESKEWLANESL6,
		PIPEDESKEWLANESL7    => PIPEDESKEWLANESL7,
		PIPEPOWERDOWNL0_0    => PIPEPOWERDOWNL0(0),
		PIPEPOWERDOWNL0_1    => PIPEPOWERDOWNL0(1),
		PIPEPOWERDOWNL1_0    => PIPEPOWERDOWNL1(0),
		PIPEPOWERDOWNL1_1    => PIPEPOWERDOWNL1(1),
		PIPEPOWERDOWNL2_0    => PIPEPOWERDOWNL2(0),
		PIPEPOWERDOWNL2_1    => PIPEPOWERDOWNL2(1),
		PIPEPOWERDOWNL3_0    => PIPEPOWERDOWNL3(0),
		PIPEPOWERDOWNL3_1    => PIPEPOWERDOWNL3(1),
		PIPEPOWERDOWNL4_0    => PIPEPOWERDOWNL4(0),
		PIPEPOWERDOWNL4_1    => PIPEPOWERDOWNL4(1),
		PIPEPOWERDOWNL5_0    => PIPEPOWERDOWNL5(0),
		PIPEPOWERDOWNL5_1    => PIPEPOWERDOWNL5(1),
		PIPEPOWERDOWNL6_0    => PIPEPOWERDOWNL6(0),
		PIPEPOWERDOWNL6_1    => PIPEPOWERDOWNL6(1),
		PIPEPOWERDOWNL7_0    => PIPEPOWERDOWNL7(0),
		PIPEPOWERDOWNL7_1    => PIPEPOWERDOWNL7(1),
		PIPERESETL0          => PIPERESETL0,
		PIPERESETL1          => PIPERESETL1,
		PIPERESETL2          => PIPERESETL2,
		PIPERESETL3          => PIPERESETL3,
		PIPERESETL4          => PIPERESETL4,
		PIPERESETL5          => PIPERESETL5,
		PIPERESETL6          => PIPERESETL6,
		PIPERESETL7          => PIPERESETL7,
		PIPERXPOLARITYL0     => PIPERXPOLARITYL0,
		PIPERXPOLARITYL1     => PIPERXPOLARITYL1,
		PIPERXPOLARITYL2     => PIPERXPOLARITYL2,
		PIPERXPOLARITYL3     => PIPERXPOLARITYL3,
		PIPERXPOLARITYL4     => PIPERXPOLARITYL4,
		PIPERXPOLARITYL5     => PIPERXPOLARITYL5,
		PIPERXPOLARITYL6     => PIPERXPOLARITYL6,
		PIPERXPOLARITYL7     => PIPERXPOLARITYL7,
		PIPETXCOMPLIANCEL0   => PIPETXCOMPLIANCEL0,
		PIPETXCOMPLIANCEL1   => PIPETXCOMPLIANCEL1,
		PIPETXCOMPLIANCEL2   => PIPETXCOMPLIANCEL2,
		PIPETXCOMPLIANCEL3   => PIPETXCOMPLIANCEL3,
		PIPETXCOMPLIANCEL4   => PIPETXCOMPLIANCEL4,
		PIPETXCOMPLIANCEL5   => PIPETXCOMPLIANCEL5,
		PIPETXCOMPLIANCEL6   => PIPETXCOMPLIANCEL6,
		PIPETXCOMPLIANCEL7   => PIPETXCOMPLIANCEL7,
		PIPETXDATAKL0        => PIPETXDATAKL0,
		PIPETXDATAKL1        => PIPETXDATAKL1,
		PIPETXDATAKL2        => PIPETXDATAKL2,
		PIPETXDATAKL3        => PIPETXDATAKL3,
		PIPETXDATAKL4        => PIPETXDATAKL4,
		PIPETXDATAKL5        => PIPETXDATAKL5,
		PIPETXDATAKL6        => PIPETXDATAKL6,
		PIPETXDATAKL7        => PIPETXDATAKL7,
		PIPETXDATAL0_0       => PIPETXDATAL0(0),
		PIPETXDATAL0_1       => PIPETXDATAL0(1),
		PIPETXDATAL0_2       => PIPETXDATAL0(2),
		PIPETXDATAL0_3       => PIPETXDATAL0(3),
		PIPETXDATAL0_4       => PIPETXDATAL0(4),
		PIPETXDATAL0_5       => PIPETXDATAL0(5),
		PIPETXDATAL0_6       => PIPETXDATAL0(6),
		PIPETXDATAL0_7       => PIPETXDATAL0(7),
		PIPETXDATAL1_0       => PIPETXDATAL1(0),
		PIPETXDATAL1_1       => PIPETXDATAL1(1),
		PIPETXDATAL1_2       => PIPETXDATAL1(2),
		PIPETXDATAL1_3       => PIPETXDATAL1(3),
		PIPETXDATAL1_4       => PIPETXDATAL1(4),
		PIPETXDATAL1_5       => PIPETXDATAL1(5),
		PIPETXDATAL1_6       => PIPETXDATAL1(6),
		PIPETXDATAL1_7       => PIPETXDATAL1(7),
		PIPETXDATAL2_0       => PIPETXDATAL2(0),
		PIPETXDATAL2_1       => PIPETXDATAL2(1),
		PIPETXDATAL2_2       => PIPETXDATAL2(2),
		PIPETXDATAL2_3       => PIPETXDATAL2(3),
		PIPETXDATAL2_4       => PIPETXDATAL2(4),
		PIPETXDATAL2_5       => PIPETXDATAL2(5),
		PIPETXDATAL2_6       => PIPETXDATAL2(6),
		PIPETXDATAL2_7       => PIPETXDATAL2(7),
		PIPETXDATAL3_0       => PIPETXDATAL3(0),
		PIPETXDATAL3_1       => PIPETXDATAL3(1),
		PIPETXDATAL3_2       => PIPETXDATAL3(2),
		PIPETXDATAL3_3       => PIPETXDATAL3(3),
		PIPETXDATAL3_4       => PIPETXDATAL3(4),
		PIPETXDATAL3_5       => PIPETXDATAL3(5),
		PIPETXDATAL3_6       => PIPETXDATAL3(6),
		PIPETXDATAL3_7       => PIPETXDATAL3(7),
		PIPETXDATAL4_0       => PIPETXDATAL4(0),
		PIPETXDATAL4_1       => PIPETXDATAL4(1),
		PIPETXDATAL4_2       => PIPETXDATAL4(2),
		PIPETXDATAL4_3       => PIPETXDATAL4(3),
		PIPETXDATAL4_4       => PIPETXDATAL4(4),
		PIPETXDATAL4_5       => PIPETXDATAL4(5),
		PIPETXDATAL4_6       => PIPETXDATAL4(6),
		PIPETXDATAL4_7       => PIPETXDATAL4(7),
		PIPETXDATAL5_0       => PIPETXDATAL5(0),
		PIPETXDATAL5_1       => PIPETXDATAL5(1),
		PIPETXDATAL5_2       => PIPETXDATAL5(2),
		PIPETXDATAL5_3       => PIPETXDATAL5(3),
		PIPETXDATAL5_4       => PIPETXDATAL5(4),
		PIPETXDATAL5_5       => PIPETXDATAL5(5),
		PIPETXDATAL5_6       => PIPETXDATAL5(6),
		PIPETXDATAL5_7       => PIPETXDATAL5(7),
		PIPETXDATAL6_0       => PIPETXDATAL6(0),
		PIPETXDATAL6_1       => PIPETXDATAL6(1),
		PIPETXDATAL6_2       => PIPETXDATAL6(2),
		PIPETXDATAL6_3       => PIPETXDATAL6(3),
		PIPETXDATAL6_4       => PIPETXDATAL6(4),
		PIPETXDATAL6_5       => PIPETXDATAL6(5),
		PIPETXDATAL6_6       => PIPETXDATAL6(6),
		PIPETXDATAL6_7       => PIPETXDATAL6(7),
		PIPETXDATAL7_0       => PIPETXDATAL7(0),
		PIPETXDATAL7_1       => PIPETXDATAL7(1),
		PIPETXDATAL7_2       => PIPETXDATAL7(2),
		PIPETXDATAL7_3       => PIPETXDATAL7(3),
		PIPETXDATAL7_4       => PIPETXDATAL7(4),
		PIPETXDATAL7_5       => PIPETXDATAL7(5),
		PIPETXDATAL7_6       => PIPETXDATAL7(6),
		PIPETXDATAL7_7       => PIPETXDATAL7(7),
		PIPETXDETECTRXLOOPBACKL0 => PIPETXDETECTRXLOOPBACKL0,
		PIPETXDETECTRXLOOPBACKL1 => PIPETXDETECTRXLOOPBACKL1,
		PIPETXDETECTRXLOOPBACKL2 => PIPETXDETECTRXLOOPBACKL2,
		PIPETXDETECTRXLOOPBACKL3 => PIPETXDETECTRXLOOPBACKL3,
		PIPETXDETECTRXLOOPBACKL4 => PIPETXDETECTRXLOOPBACKL4,
		PIPETXDETECTRXLOOPBACKL5 => PIPETXDETECTRXLOOPBACKL5,
		PIPETXDETECTRXLOOPBACKL6 => PIPETXDETECTRXLOOPBACKL6,
		PIPETXDETECTRXLOOPBACKL7 => PIPETXDETECTRXLOOPBACKL7,
		PIPETXELECIDLEL0     => PIPETXELECIDLEL0,
		PIPETXELECIDLEL1     => PIPETXELECIDLEL1,
		PIPETXELECIDLEL2     => PIPETXELECIDLEL2,
		PIPETXELECIDLEL3     => PIPETXELECIDLEL3,
		PIPETXELECIDLEL4     => PIPETXELECIDLEL4,
		PIPETXELECIDLEL5     => PIPETXELECIDLEL5,
		PIPETXELECIDLEL6     => PIPETXELECIDLEL6,
		PIPETXELECIDLEL7     => PIPETXELECIDLEL7,
		SERRENABLE           => SERRENABLE,
		URREPORTINGENABLE    => URREPORTINGENABLE,

		AUXPOWER             => AUXPOWER,
		CFGNEGOTIATEDLINKWIDTH_0 => CFGNEGOTIATEDLINKWIDTH(0),
		CFGNEGOTIATEDLINKWIDTH_1 => CFGNEGOTIATEDLINKWIDTH(1),
		CFGNEGOTIATEDLINKWIDTH_2 => CFGNEGOTIATEDLINKWIDTH(2),
		CFGNEGOTIATEDLINKWIDTH_3 => CFGNEGOTIATEDLINKWIDTH(3),
		CFGNEGOTIATEDLINKWIDTH_4 => CFGNEGOTIATEDLINKWIDTH(4),
		CFGNEGOTIATEDLINKWIDTH_5 => CFGNEGOTIATEDLINKWIDTH(5),
		COMPLIANCEAVOID      => COMPLIANCEAVOID,
		CRMCFGBRIDGEHOTRESET => CRMCFGBRIDGEHOTRESET,
		CRMCORECLK           => CRMCORECLK,
		CRMCORECLKDLO        => CRMCORECLKDLO,
		CRMCORECLKRXO        => CRMCORECLKRXO,
		CRMCORECLKTXO        => CRMCORECLKTXO,
		CRMLINKRSTN          => CRMLINKRSTN,
		CRMMACRSTN           => CRMMACRSTN,
		CRMMGMTRSTN          => CRMMGMTRSTN,
		CRMNVRSTN            => CRMNVRSTN,
		CRMTXHOTRESETN       => CRMTXHOTRESETN,
		CRMURSTN             => CRMURSTN,
		CRMUSERCFGRSTN       => CRMUSERCFGRSTN,
		CRMUSERCLK           => CRMUSERCLK,
		CRMUSERCLKRXO        => CRMUSERCLKRXO,
		CRMUSERCLKTXO        => CRMUSERCLKTXO,
		CROSSLINKSEED        => CROSSLINKSEED,
		L0ACKNAKTIMERADJUSTMENT_0 => L0ACKNAKTIMERADJUSTMENT(0),
		L0ACKNAKTIMERADJUSTMENT_1 => L0ACKNAKTIMERADJUSTMENT(1),
		L0ACKNAKTIMERADJUSTMENT_10 => L0ACKNAKTIMERADJUSTMENT(10),
		L0ACKNAKTIMERADJUSTMENT_11 => L0ACKNAKTIMERADJUSTMENT(11),
		L0ACKNAKTIMERADJUSTMENT_2 => L0ACKNAKTIMERADJUSTMENT(2),
		L0ACKNAKTIMERADJUSTMENT_3 => L0ACKNAKTIMERADJUSTMENT(3),
		L0ACKNAKTIMERADJUSTMENT_4 => L0ACKNAKTIMERADJUSTMENT(4),
		L0ACKNAKTIMERADJUSTMENT_5 => L0ACKNAKTIMERADJUSTMENT(5),
		L0ACKNAKTIMERADJUSTMENT_6 => L0ACKNAKTIMERADJUSTMENT(6),
		L0ACKNAKTIMERADJUSTMENT_7 => L0ACKNAKTIMERADJUSTMENT(7),
		L0ACKNAKTIMERADJUSTMENT_8 => L0ACKNAKTIMERADJUSTMENT(8),
		L0ACKNAKTIMERADJUSTMENT_9 => L0ACKNAKTIMERADJUSTMENT(9),
		L0ALLDOWNPORTSINL1   => L0ALLDOWNPORTSINL1,
		L0ALLDOWNRXPORTSINL0S => L0ALLDOWNRXPORTSINL0S,
		L0ASE                => L0ASE,
		L0ASPORTCOUNT_0      => L0ASPORTCOUNT(0),
		L0ASPORTCOUNT_1      => L0ASPORTCOUNT(1),
		L0ASPORTCOUNT_2      => L0ASPORTCOUNT(2),
		L0ASPORTCOUNT_3      => L0ASPORTCOUNT(3),
		L0ASPORTCOUNT_4      => L0ASPORTCOUNT(4),
		L0ASPORTCOUNT_5      => L0ASPORTCOUNT(5),
		L0ASPORTCOUNT_6      => L0ASPORTCOUNT(6),
		L0ASPORTCOUNT_7      => L0ASPORTCOUNT(7),
		L0ASTURNPOOLBITSCONSUMED_0 => L0ASTURNPOOLBITSCONSUMED(0),
		L0ASTURNPOOLBITSCONSUMED_1 => L0ASTURNPOOLBITSCONSUMED(1),
		L0ASTURNPOOLBITSCONSUMED_2 => L0ASTURNPOOLBITSCONSUMED(2),
		L0ATTENTIONBUTTONPRESSED => L0ATTENTIONBUTTONPRESSED,
		L0CFGASSPANTREEOWNEDSTATE => L0CFGASSPANTREEOWNEDSTATE,
		L0CFGASSTATECHANGECMD_0 => L0CFGASSTATECHANGECMD(0),
		L0CFGASSTATECHANGECMD_1 => L0CFGASSTATECHANGECMD(1),
		L0CFGASSTATECHANGECMD_2 => L0CFGASSTATECHANGECMD(2),
		L0CFGASSTATECHANGECMD_3 => L0CFGASSTATECHANGECMD(3),
		L0CFGDISABLESCRAMBLE => L0CFGDISABLESCRAMBLE,
		L0CFGEXTENDEDSYNC    => L0CFGEXTENDEDSYNC,
		L0CFGL0SENTRYENABLE  => L0CFGL0SENTRYENABLE,
		L0CFGL0SENTRYSUP     => L0CFGL0SENTRYSUP,
		L0CFGL0SEXITLAT_0    => L0CFGL0SEXITLAT(0),
		L0CFGL0SEXITLAT_1    => L0CFGL0SEXITLAT(1),
		L0CFGL0SEXITLAT_2    => L0CFGL0SEXITLAT(2),
		L0CFGLINKDISABLE     => L0CFGLINKDISABLE,
		L0CFGLOOPBACKMASTER  => L0CFGLOOPBACKMASTER,
		L0CFGNEGOTIATEDMAXP_0 => L0CFGNEGOTIATEDMAXP(0),
		L0CFGNEGOTIATEDMAXP_1 => L0CFGNEGOTIATEDMAXP(1),
		L0CFGNEGOTIATEDMAXP_2 => L0CFGNEGOTIATEDMAXP(2),
		L0CFGVCENABLE_0      => L0CFGVCENABLE(0),
		L0CFGVCENABLE_1      => L0CFGVCENABLE(1),
		L0CFGVCENABLE_2      => L0CFGVCENABLE(2),
		L0CFGVCENABLE_3      => L0CFGVCENABLE(3),
		L0CFGVCENABLE_4      => L0CFGVCENABLE(4),
		L0CFGVCENABLE_5      => L0CFGVCENABLE(5),
		L0CFGVCENABLE_6      => L0CFGVCENABLE(6),
		L0CFGVCENABLE_7      => L0CFGVCENABLE(7),
		L0CFGVCID_0          => L0CFGVCID(0),
		L0CFGVCID_1          => L0CFGVCID(1),
		L0CFGVCID_10         => L0CFGVCID(10),
		L0CFGVCID_11         => L0CFGVCID(11),
		L0CFGVCID_12         => L0CFGVCID(12),
		L0CFGVCID_13         => L0CFGVCID(13),
		L0CFGVCID_14         => L0CFGVCID(14),
		L0CFGVCID_15         => L0CFGVCID(15),
		L0CFGVCID_16         => L0CFGVCID(16),
		L0CFGVCID_17         => L0CFGVCID(17),
		L0CFGVCID_18         => L0CFGVCID(18),
		L0CFGVCID_19         => L0CFGVCID(19),
		L0CFGVCID_2          => L0CFGVCID(2),
		L0CFGVCID_20         => L0CFGVCID(20),
		L0CFGVCID_21         => L0CFGVCID(21),
		L0CFGVCID_22         => L0CFGVCID(22),
		L0CFGVCID_23         => L0CFGVCID(23),
		L0CFGVCID_3          => L0CFGVCID(3),
		L0CFGVCID_4          => L0CFGVCID(4),
		L0CFGVCID_5          => L0CFGVCID(5),
		L0CFGVCID_6          => L0CFGVCID(6),
		L0CFGVCID_7          => L0CFGVCID(7),
		L0CFGVCID_8          => L0CFGVCID(8),
		L0CFGVCID_9          => L0CFGVCID(9),
		L0DLLHOLDLINKUP      => L0DLLHOLDLINKUP,
		L0ELECTROMECHANICALINTERLOCKENGAGED => L0ELECTROMECHANICALINTERLOCKENGAGED,
		L0FWDASSERTINTALEGACYINT => L0FWDASSERTINTALEGACYINT,
		L0FWDASSERTINTBLEGACYINT => L0FWDASSERTINTBLEGACYINT,
		L0FWDASSERTINTCLEGACYINT => L0FWDASSERTINTCLEGACYINT,
		L0FWDASSERTINTDLEGACYINT => L0FWDASSERTINTDLEGACYINT,
		L0FWDCORRERRIN       => L0FWDCORRERRIN,
		L0FWDDEASSERTINTALEGACYINT => L0FWDDEASSERTINTALEGACYINT,
		L0FWDDEASSERTINTBLEGACYINT => L0FWDDEASSERTINTBLEGACYINT,
		L0FWDDEASSERTINTCLEGACYINT => L0FWDDEASSERTINTCLEGACYINT,
		L0FWDDEASSERTINTDLEGACYINT => L0FWDDEASSERTINTDLEGACYINT,
		L0FWDFATALERRIN      => L0FWDFATALERRIN,
		L0FWDNONFATALERRIN   => L0FWDNONFATALERRIN,
		L0LEGACYINTFUNCT0    => L0LEGACYINTFUNCT0,
		L0MRLSENSORCLOSEDN   => L0MRLSENSORCLOSEDN,
		L0MSIREQUEST0_0      => L0MSIREQUEST0(0),
		L0MSIREQUEST0_1      => L0MSIREQUEST0(1),
		L0MSIREQUEST0_2      => L0MSIREQUEST0(2),
		L0MSIREQUEST0_3      => L0MSIREQUEST0(3),
		L0PACKETHEADERFROMUSER_0 => L0PACKETHEADERFROMUSER(0),
		L0PACKETHEADERFROMUSER_1 => L0PACKETHEADERFROMUSER(1),
		L0PACKETHEADERFROMUSER_10 => L0PACKETHEADERFROMUSER(10),
		L0PACKETHEADERFROMUSER_100 => L0PACKETHEADERFROMUSER(100),
		L0PACKETHEADERFROMUSER_101 => L0PACKETHEADERFROMUSER(101),
		L0PACKETHEADERFROMUSER_102 => L0PACKETHEADERFROMUSER(102),
		L0PACKETHEADERFROMUSER_103 => L0PACKETHEADERFROMUSER(103),
		L0PACKETHEADERFROMUSER_104 => L0PACKETHEADERFROMUSER(104),
		L0PACKETHEADERFROMUSER_105 => L0PACKETHEADERFROMUSER(105),
		L0PACKETHEADERFROMUSER_106 => L0PACKETHEADERFROMUSER(106),
		L0PACKETHEADERFROMUSER_107 => L0PACKETHEADERFROMUSER(107),
		L0PACKETHEADERFROMUSER_108 => L0PACKETHEADERFROMUSER(108),
		L0PACKETHEADERFROMUSER_109 => L0PACKETHEADERFROMUSER(109),
		L0PACKETHEADERFROMUSER_11 => L0PACKETHEADERFROMUSER(11),
		L0PACKETHEADERFROMUSER_110 => L0PACKETHEADERFROMUSER(110),
		L0PACKETHEADERFROMUSER_111 => L0PACKETHEADERFROMUSER(111),
		L0PACKETHEADERFROMUSER_112 => L0PACKETHEADERFROMUSER(112),
		L0PACKETHEADERFROMUSER_113 => L0PACKETHEADERFROMUSER(113),
		L0PACKETHEADERFROMUSER_114 => L0PACKETHEADERFROMUSER(114),
		L0PACKETHEADERFROMUSER_115 => L0PACKETHEADERFROMUSER(115),
		L0PACKETHEADERFROMUSER_116 => L0PACKETHEADERFROMUSER(116),
		L0PACKETHEADERFROMUSER_117 => L0PACKETHEADERFROMUSER(117),
		L0PACKETHEADERFROMUSER_118 => L0PACKETHEADERFROMUSER(118),
		L0PACKETHEADERFROMUSER_119 => L0PACKETHEADERFROMUSER(119),
		L0PACKETHEADERFROMUSER_12 => L0PACKETHEADERFROMUSER(12),
		L0PACKETHEADERFROMUSER_120 => L0PACKETHEADERFROMUSER(120),
		L0PACKETHEADERFROMUSER_121 => L0PACKETHEADERFROMUSER(121),
		L0PACKETHEADERFROMUSER_122 => L0PACKETHEADERFROMUSER(122),
		L0PACKETHEADERFROMUSER_123 => L0PACKETHEADERFROMUSER(123),
		L0PACKETHEADERFROMUSER_124 => L0PACKETHEADERFROMUSER(124),
		L0PACKETHEADERFROMUSER_125 => L0PACKETHEADERFROMUSER(125),
		L0PACKETHEADERFROMUSER_126 => L0PACKETHEADERFROMUSER(126),
		L0PACKETHEADERFROMUSER_127 => L0PACKETHEADERFROMUSER(127),
		L0PACKETHEADERFROMUSER_13 => L0PACKETHEADERFROMUSER(13),
		L0PACKETHEADERFROMUSER_14 => L0PACKETHEADERFROMUSER(14),
		L0PACKETHEADERFROMUSER_15 => L0PACKETHEADERFROMUSER(15),
		L0PACKETHEADERFROMUSER_16 => L0PACKETHEADERFROMUSER(16),
		L0PACKETHEADERFROMUSER_17 => L0PACKETHEADERFROMUSER(17),
		L0PACKETHEADERFROMUSER_18 => L0PACKETHEADERFROMUSER(18),
		L0PACKETHEADERFROMUSER_19 => L0PACKETHEADERFROMUSER(19),
		L0PACKETHEADERFROMUSER_2 => L0PACKETHEADERFROMUSER(2),
		L0PACKETHEADERFROMUSER_20 => L0PACKETHEADERFROMUSER(20),
		L0PACKETHEADERFROMUSER_21 => L0PACKETHEADERFROMUSER(21),
		L0PACKETHEADERFROMUSER_22 => L0PACKETHEADERFROMUSER(22),
		L0PACKETHEADERFROMUSER_23 => L0PACKETHEADERFROMUSER(23),
		L0PACKETHEADERFROMUSER_24 => L0PACKETHEADERFROMUSER(24),
		L0PACKETHEADERFROMUSER_25 => L0PACKETHEADERFROMUSER(25),
		L0PACKETHEADERFROMUSER_26 => L0PACKETHEADERFROMUSER(26),
		L0PACKETHEADERFROMUSER_27 => L0PACKETHEADERFROMUSER(27),
		L0PACKETHEADERFROMUSER_28 => L0PACKETHEADERFROMUSER(28),
		L0PACKETHEADERFROMUSER_29 => L0PACKETHEADERFROMUSER(29),
		L0PACKETHEADERFROMUSER_3 => L0PACKETHEADERFROMUSER(3),
		L0PACKETHEADERFROMUSER_30 => L0PACKETHEADERFROMUSER(30),
		L0PACKETHEADERFROMUSER_31 => L0PACKETHEADERFROMUSER(31),
		L0PACKETHEADERFROMUSER_32 => L0PACKETHEADERFROMUSER(32),
		L0PACKETHEADERFROMUSER_33 => L0PACKETHEADERFROMUSER(33),
		L0PACKETHEADERFROMUSER_34 => L0PACKETHEADERFROMUSER(34),
		L0PACKETHEADERFROMUSER_35 => L0PACKETHEADERFROMUSER(35),
		L0PACKETHEADERFROMUSER_36 => L0PACKETHEADERFROMUSER(36),
		L0PACKETHEADERFROMUSER_37 => L0PACKETHEADERFROMUSER(37),
		L0PACKETHEADERFROMUSER_38 => L0PACKETHEADERFROMUSER(38),
		L0PACKETHEADERFROMUSER_39 => L0PACKETHEADERFROMUSER(39),
		L0PACKETHEADERFROMUSER_4 => L0PACKETHEADERFROMUSER(4),
		L0PACKETHEADERFROMUSER_40 => L0PACKETHEADERFROMUSER(40),
		L0PACKETHEADERFROMUSER_41 => L0PACKETHEADERFROMUSER(41),
		L0PACKETHEADERFROMUSER_42 => L0PACKETHEADERFROMUSER(42),
		L0PACKETHEADERFROMUSER_43 => L0PACKETHEADERFROMUSER(43),
		L0PACKETHEADERFROMUSER_44 => L0PACKETHEADERFROMUSER(44),
		L0PACKETHEADERFROMUSER_45 => L0PACKETHEADERFROMUSER(45),
		L0PACKETHEADERFROMUSER_46 => L0PACKETHEADERFROMUSER(46),
		L0PACKETHEADERFROMUSER_47 => L0PACKETHEADERFROMUSER(47),
		L0PACKETHEADERFROMUSER_48 => L0PACKETHEADERFROMUSER(48),
		L0PACKETHEADERFROMUSER_49 => L0PACKETHEADERFROMUSER(49),
		L0PACKETHEADERFROMUSER_5 => L0PACKETHEADERFROMUSER(5),
		L0PACKETHEADERFROMUSER_50 => L0PACKETHEADERFROMUSER(50),
		L0PACKETHEADERFROMUSER_51 => L0PACKETHEADERFROMUSER(51),
		L0PACKETHEADERFROMUSER_52 => L0PACKETHEADERFROMUSER(52),
		L0PACKETHEADERFROMUSER_53 => L0PACKETHEADERFROMUSER(53),
		L0PACKETHEADERFROMUSER_54 => L0PACKETHEADERFROMUSER(54),
		L0PACKETHEADERFROMUSER_55 => L0PACKETHEADERFROMUSER(55),
		L0PACKETHEADERFROMUSER_56 => L0PACKETHEADERFROMUSER(56),
		L0PACKETHEADERFROMUSER_57 => L0PACKETHEADERFROMUSER(57),
		L0PACKETHEADERFROMUSER_58 => L0PACKETHEADERFROMUSER(58),
		L0PACKETHEADERFROMUSER_59 => L0PACKETHEADERFROMUSER(59),
		L0PACKETHEADERFROMUSER_6 => L0PACKETHEADERFROMUSER(6),
		L0PACKETHEADERFROMUSER_60 => L0PACKETHEADERFROMUSER(60),
		L0PACKETHEADERFROMUSER_61 => L0PACKETHEADERFROMUSER(61),
		L0PACKETHEADERFROMUSER_62 => L0PACKETHEADERFROMUSER(62),
		L0PACKETHEADERFROMUSER_63 => L0PACKETHEADERFROMUSER(63),
		L0PACKETHEADERFROMUSER_64 => L0PACKETHEADERFROMUSER(64),
		L0PACKETHEADERFROMUSER_65 => L0PACKETHEADERFROMUSER(65),
		L0PACKETHEADERFROMUSER_66 => L0PACKETHEADERFROMUSER(66),
		L0PACKETHEADERFROMUSER_67 => L0PACKETHEADERFROMUSER(67),
		L0PACKETHEADERFROMUSER_68 => L0PACKETHEADERFROMUSER(68),
		L0PACKETHEADERFROMUSER_69 => L0PACKETHEADERFROMUSER(69),
		L0PACKETHEADERFROMUSER_7 => L0PACKETHEADERFROMUSER(7),
		L0PACKETHEADERFROMUSER_70 => L0PACKETHEADERFROMUSER(70),
		L0PACKETHEADERFROMUSER_71 => L0PACKETHEADERFROMUSER(71),
		L0PACKETHEADERFROMUSER_72 => L0PACKETHEADERFROMUSER(72),
		L0PACKETHEADERFROMUSER_73 => L0PACKETHEADERFROMUSER(73),
		L0PACKETHEADERFROMUSER_74 => L0PACKETHEADERFROMUSER(74),
		L0PACKETHEADERFROMUSER_75 => L0PACKETHEADERFROMUSER(75),
		L0PACKETHEADERFROMUSER_76 => L0PACKETHEADERFROMUSER(76),
		L0PACKETHEADERFROMUSER_77 => L0PACKETHEADERFROMUSER(77),
		L0PACKETHEADERFROMUSER_78 => L0PACKETHEADERFROMUSER(78),
		L0PACKETHEADERFROMUSER_79 => L0PACKETHEADERFROMUSER(79),
		L0PACKETHEADERFROMUSER_8 => L0PACKETHEADERFROMUSER(8),
		L0PACKETHEADERFROMUSER_80 => L0PACKETHEADERFROMUSER(80),
		L0PACKETHEADERFROMUSER_81 => L0PACKETHEADERFROMUSER(81),
		L0PACKETHEADERFROMUSER_82 => L0PACKETHEADERFROMUSER(82),
		L0PACKETHEADERFROMUSER_83 => L0PACKETHEADERFROMUSER(83),
		L0PACKETHEADERFROMUSER_84 => L0PACKETHEADERFROMUSER(84),
		L0PACKETHEADERFROMUSER_85 => L0PACKETHEADERFROMUSER(85),
		L0PACKETHEADERFROMUSER_86 => L0PACKETHEADERFROMUSER(86),
		L0PACKETHEADERFROMUSER_87 => L0PACKETHEADERFROMUSER(87),
		L0PACKETHEADERFROMUSER_88 => L0PACKETHEADERFROMUSER(88),
		L0PACKETHEADERFROMUSER_89 => L0PACKETHEADERFROMUSER(89),
		L0PACKETHEADERFROMUSER_9 => L0PACKETHEADERFROMUSER(9),
		L0PACKETHEADERFROMUSER_90 => L0PACKETHEADERFROMUSER(90),
		L0PACKETHEADERFROMUSER_91 => L0PACKETHEADERFROMUSER(91),
		L0PACKETHEADERFROMUSER_92 => L0PACKETHEADERFROMUSER(92),
		L0PACKETHEADERFROMUSER_93 => L0PACKETHEADERFROMUSER(93),
		L0PACKETHEADERFROMUSER_94 => L0PACKETHEADERFROMUSER(94),
		L0PACKETHEADERFROMUSER_95 => L0PACKETHEADERFROMUSER(95),
		L0PACKETHEADERFROMUSER_96 => L0PACKETHEADERFROMUSER(96),
		L0PACKETHEADERFROMUSER_97 => L0PACKETHEADERFROMUSER(97),
		L0PACKETHEADERFROMUSER_98 => L0PACKETHEADERFROMUSER(98),
		L0PACKETHEADERFROMUSER_99 => L0PACKETHEADERFROMUSER(99),
		L0PMEREQIN           => L0PMEREQIN,
		L0PORTNUMBER_0       => L0PORTNUMBER(0),
		L0PORTNUMBER_1       => L0PORTNUMBER(1),
		L0PORTNUMBER_2       => L0PORTNUMBER(2),
		L0PORTNUMBER_3       => L0PORTNUMBER(3),
		L0PORTNUMBER_4       => L0PORTNUMBER(4),
		L0PORTNUMBER_5       => L0PORTNUMBER(5),
		L0PORTNUMBER_6       => L0PORTNUMBER(6),
		L0PORTNUMBER_7       => L0PORTNUMBER(7),
		L0POWERFAULTDETECTED => L0POWERFAULTDETECTED,
		L0PRESENCEDETECTSLOTEMPTYN => L0PRESENCEDETECTSLOTEMPTYN,
		L0PWRNEWSTATEREQ     => L0PWRNEWSTATEREQ,
		L0PWRNEXTLINKSTATE_0 => L0PWRNEXTLINKSTATE(0),
		L0PWRNEXTLINKSTATE_1 => L0PWRNEXTLINKSTATE(1),
		L0REPLAYTIMERADJUSTMENT_0 => L0REPLAYTIMERADJUSTMENT(0),
		L0REPLAYTIMERADJUSTMENT_1 => L0REPLAYTIMERADJUSTMENT(1),
		L0REPLAYTIMERADJUSTMENT_10 => L0REPLAYTIMERADJUSTMENT(10),
		L0REPLAYTIMERADJUSTMENT_11 => L0REPLAYTIMERADJUSTMENT(11),
		L0REPLAYTIMERADJUSTMENT_2 => L0REPLAYTIMERADJUSTMENT(2),
		L0REPLAYTIMERADJUSTMENT_3 => L0REPLAYTIMERADJUSTMENT(3),
		L0REPLAYTIMERADJUSTMENT_4 => L0REPLAYTIMERADJUSTMENT(4),
		L0REPLAYTIMERADJUSTMENT_5 => L0REPLAYTIMERADJUSTMENT(5),
		L0REPLAYTIMERADJUSTMENT_6 => L0REPLAYTIMERADJUSTMENT(6),
		L0REPLAYTIMERADJUSTMENT_7 => L0REPLAYTIMERADJUSTMENT(7),
		L0REPLAYTIMERADJUSTMENT_8 => L0REPLAYTIMERADJUSTMENT(8),
		L0REPLAYTIMERADJUSTMENT_9 => L0REPLAYTIMERADJUSTMENT(9),
		L0ROOTTURNOFFREQ     => L0ROOTTURNOFFREQ,
		L0RXTLTLPNONINITIALIZEDVC_0 => L0RXTLTLPNONINITIALIZEDVC(0),
		L0RXTLTLPNONINITIALIZEDVC_1 => L0RXTLTLPNONINITIALIZEDVC(1),
		L0RXTLTLPNONINITIALIZEDVC_2 => L0RXTLTLPNONINITIALIZEDVC(2),
		L0RXTLTLPNONINITIALIZEDVC_3 => L0RXTLTLPNONINITIALIZEDVC(3),
		L0RXTLTLPNONINITIALIZEDVC_4 => L0RXTLTLPNONINITIALIZEDVC(4),
		L0RXTLTLPNONINITIALIZEDVC_5 => L0RXTLTLPNONINITIALIZEDVC(5),
		L0RXTLTLPNONINITIALIZEDVC_6 => L0RXTLTLPNONINITIALIZEDVC(6),
		L0RXTLTLPNONINITIALIZEDVC_7 => L0RXTLTLPNONINITIALIZEDVC(7),
		L0SENDUNLOCKMESSAGE  => L0SENDUNLOCKMESSAGE,
		L0SETCOMPLETERABORTERROR => L0SETCOMPLETERABORTERROR,
		L0SETCOMPLETIONTIMEOUTCORRERROR => L0SETCOMPLETIONTIMEOUTCORRERROR,
		L0SETCOMPLETIONTIMEOUTUNCORRERROR => L0SETCOMPLETIONTIMEOUTUNCORRERROR,
		L0SETDETECTEDCORRERROR => L0SETDETECTEDCORRERROR,
		L0SETDETECTEDFATALERROR => L0SETDETECTEDFATALERROR,
		L0SETDETECTEDNONFATALERROR => L0SETDETECTEDNONFATALERROR,
		L0SETLINKDETECTEDPARITYERROR => L0SETLINKDETECTEDPARITYERROR,
		L0SETLINKMASTERDATAPARITY => L0SETLINKMASTERDATAPARITY,
		L0SETLINKRECEIVEDMASTERABORT => L0SETLINKRECEIVEDMASTERABORT,
		L0SETLINKRECEIVEDTARGETABORT => L0SETLINKRECEIVEDTARGETABORT,
		L0SETLINKSIGNALLEDTARGETABORT => L0SETLINKSIGNALLEDTARGETABORT,
		L0SETLINKSYSTEMERROR => L0SETLINKSYSTEMERROR,
		L0SETUNEXPECTEDCOMPLETIONCORRERROR => L0SETUNEXPECTEDCOMPLETIONCORRERROR,
		L0SETUNEXPECTEDCOMPLETIONUNCORRERROR => L0SETUNEXPECTEDCOMPLETIONUNCORRERROR,
		L0SETUNSUPPORTEDREQUESTNONPOSTEDERROR => L0SETUNSUPPORTEDREQUESTNONPOSTEDERROR,
		L0SETUNSUPPORTEDREQUESTOTHERERROR => L0SETUNSUPPORTEDREQUESTOTHERERROR,
		L0SETUSERDETECTEDPARITYERROR => L0SETUSERDETECTEDPARITYERROR,
		L0SETUSERMASTERDATAPARITY => L0SETUSERMASTERDATAPARITY,
		L0SETUSERRECEIVEDMASTERABORT => L0SETUSERRECEIVEDMASTERABORT,
		L0SETUSERRECEIVEDTARGETABORT => L0SETUSERRECEIVEDTARGETABORT,
		L0SETUSERSIGNALLEDTARGETABORT => L0SETUSERSIGNALLEDTARGETABORT,
		L0SETUSERSYSTEMERROR => L0SETUSERSYSTEMERROR,
		L0TLASFCCREDSTARVATION => L0TLASFCCREDSTARVATION,
		L0TLLINKRETRAIN      => L0TLLINKRETRAIN,
		L0TRANSACTIONSPENDING => L0TRANSACTIONSPENDING,
		L0TXBEACON           => L0TXBEACON,
		L0TXCFGPM            => L0TXCFGPM,
		L0TXCFGPMTYPE_0      => L0TXCFGPMTYPE(0),
		L0TXCFGPMTYPE_1      => L0TXCFGPMTYPE(1),
		L0TXCFGPMTYPE_2      => L0TXCFGPMTYPE(2),
		L0TXTLFCCMPLMCCRED_0 => L0TXTLFCCMPLMCCRED(0),
		L0TXTLFCCMPLMCCRED_1 => L0TXTLFCCMPLMCCRED(1),
		L0TXTLFCCMPLMCCRED_10 => L0TXTLFCCMPLMCCRED(10),
		L0TXTLFCCMPLMCCRED_100 => L0TXTLFCCMPLMCCRED(100),
		L0TXTLFCCMPLMCCRED_101 => L0TXTLFCCMPLMCCRED(101),
		L0TXTLFCCMPLMCCRED_102 => L0TXTLFCCMPLMCCRED(102),
		L0TXTLFCCMPLMCCRED_103 => L0TXTLFCCMPLMCCRED(103),
		L0TXTLFCCMPLMCCRED_104 => L0TXTLFCCMPLMCCRED(104),
		L0TXTLFCCMPLMCCRED_105 => L0TXTLFCCMPLMCCRED(105),
		L0TXTLFCCMPLMCCRED_106 => L0TXTLFCCMPLMCCRED(106),
		L0TXTLFCCMPLMCCRED_107 => L0TXTLFCCMPLMCCRED(107),
		L0TXTLFCCMPLMCCRED_108 => L0TXTLFCCMPLMCCRED(108),
		L0TXTLFCCMPLMCCRED_109 => L0TXTLFCCMPLMCCRED(109),
		L0TXTLFCCMPLMCCRED_11 => L0TXTLFCCMPLMCCRED(11),
		L0TXTLFCCMPLMCCRED_110 => L0TXTLFCCMPLMCCRED(110),
		L0TXTLFCCMPLMCCRED_111 => L0TXTLFCCMPLMCCRED(111),
		L0TXTLFCCMPLMCCRED_112 => L0TXTLFCCMPLMCCRED(112),
		L0TXTLFCCMPLMCCRED_113 => L0TXTLFCCMPLMCCRED(113),
		L0TXTLFCCMPLMCCRED_114 => L0TXTLFCCMPLMCCRED(114),
		L0TXTLFCCMPLMCCRED_115 => L0TXTLFCCMPLMCCRED(115),
		L0TXTLFCCMPLMCCRED_116 => L0TXTLFCCMPLMCCRED(116),
		L0TXTLFCCMPLMCCRED_117 => L0TXTLFCCMPLMCCRED(117),
		L0TXTLFCCMPLMCCRED_118 => L0TXTLFCCMPLMCCRED(118),
		L0TXTLFCCMPLMCCRED_119 => L0TXTLFCCMPLMCCRED(119),
		L0TXTLFCCMPLMCCRED_12 => L0TXTLFCCMPLMCCRED(12),
		L0TXTLFCCMPLMCCRED_120 => L0TXTLFCCMPLMCCRED(120),
		L0TXTLFCCMPLMCCRED_121 => L0TXTLFCCMPLMCCRED(121),
		L0TXTLFCCMPLMCCRED_122 => L0TXTLFCCMPLMCCRED(122),
		L0TXTLFCCMPLMCCRED_123 => L0TXTLFCCMPLMCCRED(123),
		L0TXTLFCCMPLMCCRED_124 => L0TXTLFCCMPLMCCRED(124),
		L0TXTLFCCMPLMCCRED_125 => L0TXTLFCCMPLMCCRED(125),
		L0TXTLFCCMPLMCCRED_126 => L0TXTLFCCMPLMCCRED(126),
		L0TXTLFCCMPLMCCRED_127 => L0TXTLFCCMPLMCCRED(127),
		L0TXTLFCCMPLMCCRED_128 => L0TXTLFCCMPLMCCRED(128),
		L0TXTLFCCMPLMCCRED_129 => L0TXTLFCCMPLMCCRED(129),
		L0TXTLFCCMPLMCCRED_13 => L0TXTLFCCMPLMCCRED(13),
		L0TXTLFCCMPLMCCRED_130 => L0TXTLFCCMPLMCCRED(130),
		L0TXTLFCCMPLMCCRED_131 => L0TXTLFCCMPLMCCRED(131),
		L0TXTLFCCMPLMCCRED_132 => L0TXTLFCCMPLMCCRED(132),
		L0TXTLFCCMPLMCCRED_133 => L0TXTLFCCMPLMCCRED(133),
		L0TXTLFCCMPLMCCRED_134 => L0TXTLFCCMPLMCCRED(134),
		L0TXTLFCCMPLMCCRED_135 => L0TXTLFCCMPLMCCRED(135),
		L0TXTLFCCMPLMCCRED_136 => L0TXTLFCCMPLMCCRED(136),
		L0TXTLFCCMPLMCCRED_137 => L0TXTLFCCMPLMCCRED(137),
		L0TXTLFCCMPLMCCRED_138 => L0TXTLFCCMPLMCCRED(138),
		L0TXTLFCCMPLMCCRED_139 => L0TXTLFCCMPLMCCRED(139),
		L0TXTLFCCMPLMCCRED_14 => L0TXTLFCCMPLMCCRED(14),
		L0TXTLFCCMPLMCCRED_140 => L0TXTLFCCMPLMCCRED(140),
		L0TXTLFCCMPLMCCRED_141 => L0TXTLFCCMPLMCCRED(141),
		L0TXTLFCCMPLMCCRED_142 => L0TXTLFCCMPLMCCRED(142),
		L0TXTLFCCMPLMCCRED_143 => L0TXTLFCCMPLMCCRED(143),
		L0TXTLFCCMPLMCCRED_144 => L0TXTLFCCMPLMCCRED(144),
		L0TXTLFCCMPLMCCRED_145 => L0TXTLFCCMPLMCCRED(145),
		L0TXTLFCCMPLMCCRED_146 => L0TXTLFCCMPLMCCRED(146),
		L0TXTLFCCMPLMCCRED_147 => L0TXTLFCCMPLMCCRED(147),
		L0TXTLFCCMPLMCCRED_148 => L0TXTLFCCMPLMCCRED(148),
		L0TXTLFCCMPLMCCRED_149 => L0TXTLFCCMPLMCCRED(149),
		L0TXTLFCCMPLMCCRED_15 => L0TXTLFCCMPLMCCRED(15),
		L0TXTLFCCMPLMCCRED_150 => L0TXTLFCCMPLMCCRED(150),
		L0TXTLFCCMPLMCCRED_151 => L0TXTLFCCMPLMCCRED(151),
		L0TXTLFCCMPLMCCRED_152 => L0TXTLFCCMPLMCCRED(152),
		L0TXTLFCCMPLMCCRED_153 => L0TXTLFCCMPLMCCRED(153),
		L0TXTLFCCMPLMCCRED_154 => L0TXTLFCCMPLMCCRED(154),
		L0TXTLFCCMPLMCCRED_155 => L0TXTLFCCMPLMCCRED(155),
		L0TXTLFCCMPLMCCRED_156 => L0TXTLFCCMPLMCCRED(156),
		L0TXTLFCCMPLMCCRED_157 => L0TXTLFCCMPLMCCRED(157),
		L0TXTLFCCMPLMCCRED_158 => L0TXTLFCCMPLMCCRED(158),
		L0TXTLFCCMPLMCCRED_159 => L0TXTLFCCMPLMCCRED(159),
		L0TXTLFCCMPLMCCRED_16 => L0TXTLFCCMPLMCCRED(16),
		L0TXTLFCCMPLMCCRED_17 => L0TXTLFCCMPLMCCRED(17),
		L0TXTLFCCMPLMCCRED_18 => L0TXTLFCCMPLMCCRED(18),
		L0TXTLFCCMPLMCCRED_19 => L0TXTLFCCMPLMCCRED(19),
		L0TXTLFCCMPLMCCRED_2 => L0TXTLFCCMPLMCCRED(2),
		L0TXTLFCCMPLMCCRED_20 => L0TXTLFCCMPLMCCRED(20),
		L0TXTLFCCMPLMCCRED_21 => L0TXTLFCCMPLMCCRED(21),
		L0TXTLFCCMPLMCCRED_22 => L0TXTLFCCMPLMCCRED(22),
		L0TXTLFCCMPLMCCRED_23 => L0TXTLFCCMPLMCCRED(23),
		L0TXTLFCCMPLMCCRED_24 => L0TXTLFCCMPLMCCRED(24),
		L0TXTLFCCMPLMCCRED_25 => L0TXTLFCCMPLMCCRED(25),
		L0TXTLFCCMPLMCCRED_26 => L0TXTLFCCMPLMCCRED(26),
		L0TXTLFCCMPLMCCRED_27 => L0TXTLFCCMPLMCCRED(27),
		L0TXTLFCCMPLMCCRED_28 => L0TXTLFCCMPLMCCRED(28),
		L0TXTLFCCMPLMCCRED_29 => L0TXTLFCCMPLMCCRED(29),
		L0TXTLFCCMPLMCCRED_3 => L0TXTLFCCMPLMCCRED(3),
		L0TXTLFCCMPLMCCRED_30 => L0TXTLFCCMPLMCCRED(30),
		L0TXTLFCCMPLMCCRED_31 => L0TXTLFCCMPLMCCRED(31),
		L0TXTLFCCMPLMCCRED_32 => L0TXTLFCCMPLMCCRED(32),
		L0TXTLFCCMPLMCCRED_33 => L0TXTLFCCMPLMCCRED(33),
		L0TXTLFCCMPLMCCRED_34 => L0TXTLFCCMPLMCCRED(34),
		L0TXTLFCCMPLMCCRED_35 => L0TXTLFCCMPLMCCRED(35),
		L0TXTLFCCMPLMCCRED_36 => L0TXTLFCCMPLMCCRED(36),
		L0TXTLFCCMPLMCCRED_37 => L0TXTLFCCMPLMCCRED(37),
		L0TXTLFCCMPLMCCRED_38 => L0TXTLFCCMPLMCCRED(38),
		L0TXTLFCCMPLMCCRED_39 => L0TXTLFCCMPLMCCRED(39),
		L0TXTLFCCMPLMCCRED_4 => L0TXTLFCCMPLMCCRED(4),
		L0TXTLFCCMPLMCCRED_40 => L0TXTLFCCMPLMCCRED(40),
		L0TXTLFCCMPLMCCRED_41 => L0TXTLFCCMPLMCCRED(41),
		L0TXTLFCCMPLMCCRED_42 => L0TXTLFCCMPLMCCRED(42),
		L0TXTLFCCMPLMCCRED_43 => L0TXTLFCCMPLMCCRED(43),
		L0TXTLFCCMPLMCCRED_44 => L0TXTLFCCMPLMCCRED(44),
		L0TXTLFCCMPLMCCRED_45 => L0TXTLFCCMPLMCCRED(45),
		L0TXTLFCCMPLMCCRED_46 => L0TXTLFCCMPLMCCRED(46),
		L0TXTLFCCMPLMCCRED_47 => L0TXTLFCCMPLMCCRED(47),
		L0TXTLFCCMPLMCCRED_48 => L0TXTLFCCMPLMCCRED(48),
		L0TXTLFCCMPLMCCRED_49 => L0TXTLFCCMPLMCCRED(49),
		L0TXTLFCCMPLMCCRED_5 => L0TXTLFCCMPLMCCRED(5),
		L0TXTLFCCMPLMCCRED_50 => L0TXTLFCCMPLMCCRED(50),
		L0TXTLFCCMPLMCCRED_51 => L0TXTLFCCMPLMCCRED(51),
		L0TXTLFCCMPLMCCRED_52 => L0TXTLFCCMPLMCCRED(52),
		L0TXTLFCCMPLMCCRED_53 => L0TXTLFCCMPLMCCRED(53),
		L0TXTLFCCMPLMCCRED_54 => L0TXTLFCCMPLMCCRED(54),
		L0TXTLFCCMPLMCCRED_55 => L0TXTLFCCMPLMCCRED(55),
		L0TXTLFCCMPLMCCRED_56 => L0TXTLFCCMPLMCCRED(56),
		L0TXTLFCCMPLMCCRED_57 => L0TXTLFCCMPLMCCRED(57),
		L0TXTLFCCMPLMCCRED_58 => L0TXTLFCCMPLMCCRED(58),
		L0TXTLFCCMPLMCCRED_59 => L0TXTLFCCMPLMCCRED(59),
		L0TXTLFCCMPLMCCRED_6 => L0TXTLFCCMPLMCCRED(6),
		L0TXTLFCCMPLMCCRED_60 => L0TXTLFCCMPLMCCRED(60),
		L0TXTLFCCMPLMCCRED_61 => L0TXTLFCCMPLMCCRED(61),
		L0TXTLFCCMPLMCCRED_62 => L0TXTLFCCMPLMCCRED(62),
		L0TXTLFCCMPLMCCRED_63 => L0TXTLFCCMPLMCCRED(63),
		L0TXTLFCCMPLMCCRED_64 => L0TXTLFCCMPLMCCRED(64),
		L0TXTLFCCMPLMCCRED_65 => L0TXTLFCCMPLMCCRED(65),
		L0TXTLFCCMPLMCCRED_66 => L0TXTLFCCMPLMCCRED(66),
		L0TXTLFCCMPLMCCRED_67 => L0TXTLFCCMPLMCCRED(67),
		L0TXTLFCCMPLMCCRED_68 => L0TXTLFCCMPLMCCRED(68),
		L0TXTLFCCMPLMCCRED_69 => L0TXTLFCCMPLMCCRED(69),
		L0TXTLFCCMPLMCCRED_7 => L0TXTLFCCMPLMCCRED(7),
		L0TXTLFCCMPLMCCRED_70 => L0TXTLFCCMPLMCCRED(70),
		L0TXTLFCCMPLMCCRED_71 => L0TXTLFCCMPLMCCRED(71),
		L0TXTLFCCMPLMCCRED_72 => L0TXTLFCCMPLMCCRED(72),
		L0TXTLFCCMPLMCCRED_73 => L0TXTLFCCMPLMCCRED(73),
		L0TXTLFCCMPLMCCRED_74 => L0TXTLFCCMPLMCCRED(74),
		L0TXTLFCCMPLMCCRED_75 => L0TXTLFCCMPLMCCRED(75),
		L0TXTLFCCMPLMCCRED_76 => L0TXTLFCCMPLMCCRED(76),
		L0TXTLFCCMPLMCCRED_77 => L0TXTLFCCMPLMCCRED(77),
		L0TXTLFCCMPLMCCRED_78 => L0TXTLFCCMPLMCCRED(78),
		L0TXTLFCCMPLMCCRED_79 => L0TXTLFCCMPLMCCRED(79),
		L0TXTLFCCMPLMCCRED_8 => L0TXTLFCCMPLMCCRED(8),
		L0TXTLFCCMPLMCCRED_80 => L0TXTLFCCMPLMCCRED(80),
		L0TXTLFCCMPLMCCRED_81 => L0TXTLFCCMPLMCCRED(81),
		L0TXTLFCCMPLMCCRED_82 => L0TXTLFCCMPLMCCRED(82),
		L0TXTLFCCMPLMCCRED_83 => L0TXTLFCCMPLMCCRED(83),
		L0TXTLFCCMPLMCCRED_84 => L0TXTLFCCMPLMCCRED(84),
		L0TXTLFCCMPLMCCRED_85 => L0TXTLFCCMPLMCCRED(85),
		L0TXTLFCCMPLMCCRED_86 => L0TXTLFCCMPLMCCRED(86),
		L0TXTLFCCMPLMCCRED_87 => L0TXTLFCCMPLMCCRED(87),
		L0TXTLFCCMPLMCCRED_88 => L0TXTLFCCMPLMCCRED(88),
		L0TXTLFCCMPLMCCRED_89 => L0TXTLFCCMPLMCCRED(89),
		L0TXTLFCCMPLMCCRED_9 => L0TXTLFCCMPLMCCRED(9),
		L0TXTLFCCMPLMCCRED_90 => L0TXTLFCCMPLMCCRED(90),
		L0TXTLFCCMPLMCCRED_91 => L0TXTLFCCMPLMCCRED(91),
		L0TXTLFCCMPLMCCRED_92 => L0TXTLFCCMPLMCCRED(92),
		L0TXTLFCCMPLMCCRED_93 => L0TXTLFCCMPLMCCRED(93),
		L0TXTLFCCMPLMCCRED_94 => L0TXTLFCCMPLMCCRED(94),
		L0TXTLFCCMPLMCCRED_95 => L0TXTLFCCMPLMCCRED(95),
		L0TXTLFCCMPLMCCRED_96 => L0TXTLFCCMPLMCCRED(96),
		L0TXTLFCCMPLMCCRED_97 => L0TXTLFCCMPLMCCRED(97),
		L0TXTLFCCMPLMCCRED_98 => L0TXTLFCCMPLMCCRED(98),
		L0TXTLFCCMPLMCCRED_99 => L0TXTLFCCMPLMCCRED(99),
		L0TXTLFCCMPLMCUPDATE_0 => L0TXTLFCCMPLMCUPDATE(0),
		L0TXTLFCCMPLMCUPDATE_1 => L0TXTLFCCMPLMCUPDATE(1),
		L0TXTLFCCMPLMCUPDATE_10 => L0TXTLFCCMPLMCUPDATE(10),
		L0TXTLFCCMPLMCUPDATE_11 => L0TXTLFCCMPLMCUPDATE(11),
		L0TXTLFCCMPLMCUPDATE_12 => L0TXTLFCCMPLMCUPDATE(12),
		L0TXTLFCCMPLMCUPDATE_13 => L0TXTLFCCMPLMCUPDATE(13),
		L0TXTLFCCMPLMCUPDATE_14 => L0TXTLFCCMPLMCUPDATE(14),
		L0TXTLFCCMPLMCUPDATE_15 => L0TXTLFCCMPLMCUPDATE(15),
		L0TXTLFCCMPLMCUPDATE_2 => L0TXTLFCCMPLMCUPDATE(2),
		L0TXTLFCCMPLMCUPDATE_3 => L0TXTLFCCMPLMCUPDATE(3),
		L0TXTLFCCMPLMCUPDATE_4 => L0TXTLFCCMPLMCUPDATE(4),
		L0TXTLFCCMPLMCUPDATE_5 => L0TXTLFCCMPLMCUPDATE(5),
		L0TXTLFCCMPLMCUPDATE_6 => L0TXTLFCCMPLMCUPDATE(6),
		L0TXTLFCCMPLMCUPDATE_7 => L0TXTLFCCMPLMCUPDATE(7),
		L0TXTLFCCMPLMCUPDATE_8 => L0TXTLFCCMPLMCUPDATE(8),
		L0TXTLFCCMPLMCUPDATE_9 => L0TXTLFCCMPLMCUPDATE(9),
		L0TXTLFCNPOSTBYPCRED_0 => L0TXTLFCNPOSTBYPCRED(0),
		L0TXTLFCNPOSTBYPCRED_1 => L0TXTLFCNPOSTBYPCRED(1),
		L0TXTLFCNPOSTBYPCRED_10 => L0TXTLFCNPOSTBYPCRED(10),
		L0TXTLFCNPOSTBYPCRED_100 => L0TXTLFCNPOSTBYPCRED(100),
		L0TXTLFCNPOSTBYPCRED_101 => L0TXTLFCNPOSTBYPCRED(101),
		L0TXTLFCNPOSTBYPCRED_102 => L0TXTLFCNPOSTBYPCRED(102),
		L0TXTLFCNPOSTBYPCRED_103 => L0TXTLFCNPOSTBYPCRED(103),
		L0TXTLFCNPOSTBYPCRED_104 => L0TXTLFCNPOSTBYPCRED(104),
		L0TXTLFCNPOSTBYPCRED_105 => L0TXTLFCNPOSTBYPCRED(105),
		L0TXTLFCNPOSTBYPCRED_106 => L0TXTLFCNPOSTBYPCRED(106),
		L0TXTLFCNPOSTBYPCRED_107 => L0TXTLFCNPOSTBYPCRED(107),
		L0TXTLFCNPOSTBYPCRED_108 => L0TXTLFCNPOSTBYPCRED(108),
		L0TXTLFCNPOSTBYPCRED_109 => L0TXTLFCNPOSTBYPCRED(109),
		L0TXTLFCNPOSTBYPCRED_11 => L0TXTLFCNPOSTBYPCRED(11),
		L0TXTLFCNPOSTBYPCRED_110 => L0TXTLFCNPOSTBYPCRED(110),
		L0TXTLFCNPOSTBYPCRED_111 => L0TXTLFCNPOSTBYPCRED(111),
		L0TXTLFCNPOSTBYPCRED_112 => L0TXTLFCNPOSTBYPCRED(112),
		L0TXTLFCNPOSTBYPCRED_113 => L0TXTLFCNPOSTBYPCRED(113),
		L0TXTLFCNPOSTBYPCRED_114 => L0TXTLFCNPOSTBYPCRED(114),
		L0TXTLFCNPOSTBYPCRED_115 => L0TXTLFCNPOSTBYPCRED(115),
		L0TXTLFCNPOSTBYPCRED_116 => L0TXTLFCNPOSTBYPCRED(116),
		L0TXTLFCNPOSTBYPCRED_117 => L0TXTLFCNPOSTBYPCRED(117),
		L0TXTLFCNPOSTBYPCRED_118 => L0TXTLFCNPOSTBYPCRED(118),
		L0TXTLFCNPOSTBYPCRED_119 => L0TXTLFCNPOSTBYPCRED(119),
		L0TXTLFCNPOSTBYPCRED_12 => L0TXTLFCNPOSTBYPCRED(12),
		L0TXTLFCNPOSTBYPCRED_120 => L0TXTLFCNPOSTBYPCRED(120),
		L0TXTLFCNPOSTBYPCRED_121 => L0TXTLFCNPOSTBYPCRED(121),
		L0TXTLFCNPOSTBYPCRED_122 => L0TXTLFCNPOSTBYPCRED(122),
		L0TXTLFCNPOSTBYPCRED_123 => L0TXTLFCNPOSTBYPCRED(123),
		L0TXTLFCNPOSTBYPCRED_124 => L0TXTLFCNPOSTBYPCRED(124),
		L0TXTLFCNPOSTBYPCRED_125 => L0TXTLFCNPOSTBYPCRED(125),
		L0TXTLFCNPOSTBYPCRED_126 => L0TXTLFCNPOSTBYPCRED(126),
		L0TXTLFCNPOSTBYPCRED_127 => L0TXTLFCNPOSTBYPCRED(127),
		L0TXTLFCNPOSTBYPCRED_128 => L0TXTLFCNPOSTBYPCRED(128),
		L0TXTLFCNPOSTBYPCRED_129 => L0TXTLFCNPOSTBYPCRED(129),
		L0TXTLFCNPOSTBYPCRED_13 => L0TXTLFCNPOSTBYPCRED(13),
		L0TXTLFCNPOSTBYPCRED_130 => L0TXTLFCNPOSTBYPCRED(130),
		L0TXTLFCNPOSTBYPCRED_131 => L0TXTLFCNPOSTBYPCRED(131),
		L0TXTLFCNPOSTBYPCRED_132 => L0TXTLFCNPOSTBYPCRED(132),
		L0TXTLFCNPOSTBYPCRED_133 => L0TXTLFCNPOSTBYPCRED(133),
		L0TXTLFCNPOSTBYPCRED_134 => L0TXTLFCNPOSTBYPCRED(134),
		L0TXTLFCNPOSTBYPCRED_135 => L0TXTLFCNPOSTBYPCRED(135),
		L0TXTLFCNPOSTBYPCRED_136 => L0TXTLFCNPOSTBYPCRED(136),
		L0TXTLFCNPOSTBYPCRED_137 => L0TXTLFCNPOSTBYPCRED(137),
		L0TXTLFCNPOSTBYPCRED_138 => L0TXTLFCNPOSTBYPCRED(138),
		L0TXTLFCNPOSTBYPCRED_139 => L0TXTLFCNPOSTBYPCRED(139),
		L0TXTLFCNPOSTBYPCRED_14 => L0TXTLFCNPOSTBYPCRED(14),
		L0TXTLFCNPOSTBYPCRED_140 => L0TXTLFCNPOSTBYPCRED(140),
		L0TXTLFCNPOSTBYPCRED_141 => L0TXTLFCNPOSTBYPCRED(141),
		L0TXTLFCNPOSTBYPCRED_142 => L0TXTLFCNPOSTBYPCRED(142),
		L0TXTLFCNPOSTBYPCRED_143 => L0TXTLFCNPOSTBYPCRED(143),
		L0TXTLFCNPOSTBYPCRED_144 => L0TXTLFCNPOSTBYPCRED(144),
		L0TXTLFCNPOSTBYPCRED_145 => L0TXTLFCNPOSTBYPCRED(145),
		L0TXTLFCNPOSTBYPCRED_146 => L0TXTLFCNPOSTBYPCRED(146),
		L0TXTLFCNPOSTBYPCRED_147 => L0TXTLFCNPOSTBYPCRED(147),
		L0TXTLFCNPOSTBYPCRED_148 => L0TXTLFCNPOSTBYPCRED(148),
		L0TXTLFCNPOSTBYPCRED_149 => L0TXTLFCNPOSTBYPCRED(149),
		L0TXTLFCNPOSTBYPCRED_15 => L0TXTLFCNPOSTBYPCRED(15),
		L0TXTLFCNPOSTBYPCRED_150 => L0TXTLFCNPOSTBYPCRED(150),
		L0TXTLFCNPOSTBYPCRED_151 => L0TXTLFCNPOSTBYPCRED(151),
		L0TXTLFCNPOSTBYPCRED_152 => L0TXTLFCNPOSTBYPCRED(152),
		L0TXTLFCNPOSTBYPCRED_153 => L0TXTLFCNPOSTBYPCRED(153),
		L0TXTLFCNPOSTBYPCRED_154 => L0TXTLFCNPOSTBYPCRED(154),
		L0TXTLFCNPOSTBYPCRED_155 => L0TXTLFCNPOSTBYPCRED(155),
		L0TXTLFCNPOSTBYPCRED_156 => L0TXTLFCNPOSTBYPCRED(156),
		L0TXTLFCNPOSTBYPCRED_157 => L0TXTLFCNPOSTBYPCRED(157),
		L0TXTLFCNPOSTBYPCRED_158 => L0TXTLFCNPOSTBYPCRED(158),
		L0TXTLFCNPOSTBYPCRED_159 => L0TXTLFCNPOSTBYPCRED(159),
		L0TXTLFCNPOSTBYPCRED_16 => L0TXTLFCNPOSTBYPCRED(16),
		L0TXTLFCNPOSTBYPCRED_160 => L0TXTLFCNPOSTBYPCRED(160),
		L0TXTLFCNPOSTBYPCRED_161 => L0TXTLFCNPOSTBYPCRED(161),
		L0TXTLFCNPOSTBYPCRED_162 => L0TXTLFCNPOSTBYPCRED(162),
		L0TXTLFCNPOSTBYPCRED_163 => L0TXTLFCNPOSTBYPCRED(163),
		L0TXTLFCNPOSTBYPCRED_164 => L0TXTLFCNPOSTBYPCRED(164),
		L0TXTLFCNPOSTBYPCRED_165 => L0TXTLFCNPOSTBYPCRED(165),
		L0TXTLFCNPOSTBYPCRED_166 => L0TXTLFCNPOSTBYPCRED(166),
		L0TXTLFCNPOSTBYPCRED_167 => L0TXTLFCNPOSTBYPCRED(167),
		L0TXTLFCNPOSTBYPCRED_168 => L0TXTLFCNPOSTBYPCRED(168),
		L0TXTLFCNPOSTBYPCRED_169 => L0TXTLFCNPOSTBYPCRED(169),
		L0TXTLFCNPOSTBYPCRED_17 => L0TXTLFCNPOSTBYPCRED(17),
		L0TXTLFCNPOSTBYPCRED_170 => L0TXTLFCNPOSTBYPCRED(170),
		L0TXTLFCNPOSTBYPCRED_171 => L0TXTLFCNPOSTBYPCRED(171),
		L0TXTLFCNPOSTBYPCRED_172 => L0TXTLFCNPOSTBYPCRED(172),
		L0TXTLFCNPOSTBYPCRED_173 => L0TXTLFCNPOSTBYPCRED(173),
		L0TXTLFCNPOSTBYPCRED_174 => L0TXTLFCNPOSTBYPCRED(174),
		L0TXTLFCNPOSTBYPCRED_175 => L0TXTLFCNPOSTBYPCRED(175),
		L0TXTLFCNPOSTBYPCRED_176 => L0TXTLFCNPOSTBYPCRED(176),
		L0TXTLFCNPOSTBYPCRED_177 => L0TXTLFCNPOSTBYPCRED(177),
		L0TXTLFCNPOSTBYPCRED_178 => L0TXTLFCNPOSTBYPCRED(178),
		L0TXTLFCNPOSTBYPCRED_179 => L0TXTLFCNPOSTBYPCRED(179),
		L0TXTLFCNPOSTBYPCRED_18 => L0TXTLFCNPOSTBYPCRED(18),
		L0TXTLFCNPOSTBYPCRED_180 => L0TXTLFCNPOSTBYPCRED(180),
		L0TXTLFCNPOSTBYPCRED_181 => L0TXTLFCNPOSTBYPCRED(181),
		L0TXTLFCNPOSTBYPCRED_182 => L0TXTLFCNPOSTBYPCRED(182),
		L0TXTLFCNPOSTBYPCRED_183 => L0TXTLFCNPOSTBYPCRED(183),
		L0TXTLFCNPOSTBYPCRED_184 => L0TXTLFCNPOSTBYPCRED(184),
		L0TXTLFCNPOSTBYPCRED_185 => L0TXTLFCNPOSTBYPCRED(185),
		L0TXTLFCNPOSTBYPCRED_186 => L0TXTLFCNPOSTBYPCRED(186),
		L0TXTLFCNPOSTBYPCRED_187 => L0TXTLFCNPOSTBYPCRED(187),
		L0TXTLFCNPOSTBYPCRED_188 => L0TXTLFCNPOSTBYPCRED(188),
		L0TXTLFCNPOSTBYPCRED_189 => L0TXTLFCNPOSTBYPCRED(189),
		L0TXTLFCNPOSTBYPCRED_19 => L0TXTLFCNPOSTBYPCRED(19),
		L0TXTLFCNPOSTBYPCRED_190 => L0TXTLFCNPOSTBYPCRED(190),
		L0TXTLFCNPOSTBYPCRED_191 => L0TXTLFCNPOSTBYPCRED(191),
		L0TXTLFCNPOSTBYPCRED_2 => L0TXTLFCNPOSTBYPCRED(2),
		L0TXTLFCNPOSTBYPCRED_20 => L0TXTLFCNPOSTBYPCRED(20),
		L0TXTLFCNPOSTBYPCRED_21 => L0TXTLFCNPOSTBYPCRED(21),
		L0TXTLFCNPOSTBYPCRED_22 => L0TXTLFCNPOSTBYPCRED(22),
		L0TXTLFCNPOSTBYPCRED_23 => L0TXTLFCNPOSTBYPCRED(23),
		L0TXTLFCNPOSTBYPCRED_24 => L0TXTLFCNPOSTBYPCRED(24),
		L0TXTLFCNPOSTBYPCRED_25 => L0TXTLFCNPOSTBYPCRED(25),
		L0TXTLFCNPOSTBYPCRED_26 => L0TXTLFCNPOSTBYPCRED(26),
		L0TXTLFCNPOSTBYPCRED_27 => L0TXTLFCNPOSTBYPCRED(27),
		L0TXTLFCNPOSTBYPCRED_28 => L0TXTLFCNPOSTBYPCRED(28),
		L0TXTLFCNPOSTBYPCRED_29 => L0TXTLFCNPOSTBYPCRED(29),
		L0TXTLFCNPOSTBYPCRED_3 => L0TXTLFCNPOSTBYPCRED(3),
		L0TXTLFCNPOSTBYPCRED_30 => L0TXTLFCNPOSTBYPCRED(30),
		L0TXTLFCNPOSTBYPCRED_31 => L0TXTLFCNPOSTBYPCRED(31),
		L0TXTLFCNPOSTBYPCRED_32 => L0TXTLFCNPOSTBYPCRED(32),
		L0TXTLFCNPOSTBYPCRED_33 => L0TXTLFCNPOSTBYPCRED(33),
		L0TXTLFCNPOSTBYPCRED_34 => L0TXTLFCNPOSTBYPCRED(34),
		L0TXTLFCNPOSTBYPCRED_35 => L0TXTLFCNPOSTBYPCRED(35),
		L0TXTLFCNPOSTBYPCRED_36 => L0TXTLFCNPOSTBYPCRED(36),
		L0TXTLFCNPOSTBYPCRED_37 => L0TXTLFCNPOSTBYPCRED(37),
		L0TXTLFCNPOSTBYPCRED_38 => L0TXTLFCNPOSTBYPCRED(38),
		L0TXTLFCNPOSTBYPCRED_39 => L0TXTLFCNPOSTBYPCRED(39),
		L0TXTLFCNPOSTBYPCRED_4 => L0TXTLFCNPOSTBYPCRED(4),
		L0TXTLFCNPOSTBYPCRED_40 => L0TXTLFCNPOSTBYPCRED(40),
		L0TXTLFCNPOSTBYPCRED_41 => L0TXTLFCNPOSTBYPCRED(41),
		L0TXTLFCNPOSTBYPCRED_42 => L0TXTLFCNPOSTBYPCRED(42),
		L0TXTLFCNPOSTBYPCRED_43 => L0TXTLFCNPOSTBYPCRED(43),
		L0TXTLFCNPOSTBYPCRED_44 => L0TXTLFCNPOSTBYPCRED(44),
		L0TXTLFCNPOSTBYPCRED_45 => L0TXTLFCNPOSTBYPCRED(45),
		L0TXTLFCNPOSTBYPCRED_46 => L0TXTLFCNPOSTBYPCRED(46),
		L0TXTLFCNPOSTBYPCRED_47 => L0TXTLFCNPOSTBYPCRED(47),
		L0TXTLFCNPOSTBYPCRED_48 => L0TXTLFCNPOSTBYPCRED(48),
		L0TXTLFCNPOSTBYPCRED_49 => L0TXTLFCNPOSTBYPCRED(49),
		L0TXTLFCNPOSTBYPCRED_5 => L0TXTLFCNPOSTBYPCRED(5),
		L0TXTLFCNPOSTBYPCRED_50 => L0TXTLFCNPOSTBYPCRED(50),
		L0TXTLFCNPOSTBYPCRED_51 => L0TXTLFCNPOSTBYPCRED(51),
		L0TXTLFCNPOSTBYPCRED_52 => L0TXTLFCNPOSTBYPCRED(52),
		L0TXTLFCNPOSTBYPCRED_53 => L0TXTLFCNPOSTBYPCRED(53),
		L0TXTLFCNPOSTBYPCRED_54 => L0TXTLFCNPOSTBYPCRED(54),
		L0TXTLFCNPOSTBYPCRED_55 => L0TXTLFCNPOSTBYPCRED(55),
		L0TXTLFCNPOSTBYPCRED_56 => L0TXTLFCNPOSTBYPCRED(56),
		L0TXTLFCNPOSTBYPCRED_57 => L0TXTLFCNPOSTBYPCRED(57),
		L0TXTLFCNPOSTBYPCRED_58 => L0TXTLFCNPOSTBYPCRED(58),
		L0TXTLFCNPOSTBYPCRED_59 => L0TXTLFCNPOSTBYPCRED(59),
		L0TXTLFCNPOSTBYPCRED_6 => L0TXTLFCNPOSTBYPCRED(6),
		L0TXTLFCNPOSTBYPCRED_60 => L0TXTLFCNPOSTBYPCRED(60),
		L0TXTLFCNPOSTBYPCRED_61 => L0TXTLFCNPOSTBYPCRED(61),
		L0TXTLFCNPOSTBYPCRED_62 => L0TXTLFCNPOSTBYPCRED(62),
		L0TXTLFCNPOSTBYPCRED_63 => L0TXTLFCNPOSTBYPCRED(63),
		L0TXTLFCNPOSTBYPCRED_64 => L0TXTLFCNPOSTBYPCRED(64),
		L0TXTLFCNPOSTBYPCRED_65 => L0TXTLFCNPOSTBYPCRED(65),
		L0TXTLFCNPOSTBYPCRED_66 => L0TXTLFCNPOSTBYPCRED(66),
		L0TXTLFCNPOSTBYPCRED_67 => L0TXTLFCNPOSTBYPCRED(67),
		L0TXTLFCNPOSTBYPCRED_68 => L0TXTLFCNPOSTBYPCRED(68),
		L0TXTLFCNPOSTBYPCRED_69 => L0TXTLFCNPOSTBYPCRED(69),
		L0TXTLFCNPOSTBYPCRED_7 => L0TXTLFCNPOSTBYPCRED(7),
		L0TXTLFCNPOSTBYPCRED_70 => L0TXTLFCNPOSTBYPCRED(70),
		L0TXTLFCNPOSTBYPCRED_71 => L0TXTLFCNPOSTBYPCRED(71),
		L0TXTLFCNPOSTBYPCRED_72 => L0TXTLFCNPOSTBYPCRED(72),
		L0TXTLFCNPOSTBYPCRED_73 => L0TXTLFCNPOSTBYPCRED(73),
		L0TXTLFCNPOSTBYPCRED_74 => L0TXTLFCNPOSTBYPCRED(74),
		L0TXTLFCNPOSTBYPCRED_75 => L0TXTLFCNPOSTBYPCRED(75),
		L0TXTLFCNPOSTBYPCRED_76 => L0TXTLFCNPOSTBYPCRED(76),
		L0TXTLFCNPOSTBYPCRED_77 => L0TXTLFCNPOSTBYPCRED(77),
		L0TXTLFCNPOSTBYPCRED_78 => L0TXTLFCNPOSTBYPCRED(78),
		L0TXTLFCNPOSTBYPCRED_79 => L0TXTLFCNPOSTBYPCRED(79),
		L0TXTLFCNPOSTBYPCRED_8 => L0TXTLFCNPOSTBYPCRED(8),
		L0TXTLFCNPOSTBYPCRED_80 => L0TXTLFCNPOSTBYPCRED(80),
		L0TXTLFCNPOSTBYPCRED_81 => L0TXTLFCNPOSTBYPCRED(81),
		L0TXTLFCNPOSTBYPCRED_82 => L0TXTLFCNPOSTBYPCRED(82),
		L0TXTLFCNPOSTBYPCRED_83 => L0TXTLFCNPOSTBYPCRED(83),
		L0TXTLFCNPOSTBYPCRED_84 => L0TXTLFCNPOSTBYPCRED(84),
		L0TXTLFCNPOSTBYPCRED_85 => L0TXTLFCNPOSTBYPCRED(85),
		L0TXTLFCNPOSTBYPCRED_86 => L0TXTLFCNPOSTBYPCRED(86),
		L0TXTLFCNPOSTBYPCRED_87 => L0TXTLFCNPOSTBYPCRED(87),
		L0TXTLFCNPOSTBYPCRED_88 => L0TXTLFCNPOSTBYPCRED(88),
		L0TXTLFCNPOSTBYPCRED_89 => L0TXTLFCNPOSTBYPCRED(89),
		L0TXTLFCNPOSTBYPCRED_9 => L0TXTLFCNPOSTBYPCRED(9),
		L0TXTLFCNPOSTBYPCRED_90 => L0TXTLFCNPOSTBYPCRED(90),
		L0TXTLFCNPOSTBYPCRED_91 => L0TXTLFCNPOSTBYPCRED(91),
		L0TXTLFCNPOSTBYPCRED_92 => L0TXTLFCNPOSTBYPCRED(92),
		L0TXTLFCNPOSTBYPCRED_93 => L0TXTLFCNPOSTBYPCRED(93),
		L0TXTLFCNPOSTBYPCRED_94 => L0TXTLFCNPOSTBYPCRED(94),
		L0TXTLFCNPOSTBYPCRED_95 => L0TXTLFCNPOSTBYPCRED(95),
		L0TXTLFCNPOSTBYPCRED_96 => L0TXTLFCNPOSTBYPCRED(96),
		L0TXTLFCNPOSTBYPCRED_97 => L0TXTLFCNPOSTBYPCRED(97),
		L0TXTLFCNPOSTBYPCRED_98 => L0TXTLFCNPOSTBYPCRED(98),
		L0TXTLFCNPOSTBYPCRED_99 => L0TXTLFCNPOSTBYPCRED(99),
		L0TXTLFCNPOSTBYPUPDATE_0 => L0TXTLFCNPOSTBYPUPDATE(0),
		L0TXTLFCNPOSTBYPUPDATE_1 => L0TXTLFCNPOSTBYPUPDATE(1),
		L0TXTLFCNPOSTBYPUPDATE_10 => L0TXTLFCNPOSTBYPUPDATE(10),
		L0TXTLFCNPOSTBYPUPDATE_11 => L0TXTLFCNPOSTBYPUPDATE(11),
		L0TXTLFCNPOSTBYPUPDATE_12 => L0TXTLFCNPOSTBYPUPDATE(12),
		L0TXTLFCNPOSTBYPUPDATE_13 => L0TXTLFCNPOSTBYPUPDATE(13),
		L0TXTLFCNPOSTBYPUPDATE_14 => L0TXTLFCNPOSTBYPUPDATE(14),
		L0TXTLFCNPOSTBYPUPDATE_15 => L0TXTLFCNPOSTBYPUPDATE(15),
		L0TXTLFCNPOSTBYPUPDATE_2 => L0TXTLFCNPOSTBYPUPDATE(2),
		L0TXTLFCNPOSTBYPUPDATE_3 => L0TXTLFCNPOSTBYPUPDATE(3),
		L0TXTLFCNPOSTBYPUPDATE_4 => L0TXTLFCNPOSTBYPUPDATE(4),
		L0TXTLFCNPOSTBYPUPDATE_5 => L0TXTLFCNPOSTBYPUPDATE(5),
		L0TXTLFCNPOSTBYPUPDATE_6 => L0TXTLFCNPOSTBYPUPDATE(6),
		L0TXTLFCNPOSTBYPUPDATE_7 => L0TXTLFCNPOSTBYPUPDATE(7),
		L0TXTLFCNPOSTBYPUPDATE_8 => L0TXTLFCNPOSTBYPUPDATE(8),
		L0TXTLFCNPOSTBYPUPDATE_9 => L0TXTLFCNPOSTBYPUPDATE(9),
		L0TXTLFCPOSTORDCRED_0 => L0TXTLFCPOSTORDCRED(0),
		L0TXTLFCPOSTORDCRED_1 => L0TXTLFCPOSTORDCRED(1),
		L0TXTLFCPOSTORDCRED_10 => L0TXTLFCPOSTORDCRED(10),
		L0TXTLFCPOSTORDCRED_100 => L0TXTLFCPOSTORDCRED(100),
		L0TXTLFCPOSTORDCRED_101 => L0TXTLFCPOSTORDCRED(101),
		L0TXTLFCPOSTORDCRED_102 => L0TXTLFCPOSTORDCRED(102),
		L0TXTLFCPOSTORDCRED_103 => L0TXTLFCPOSTORDCRED(103),
		L0TXTLFCPOSTORDCRED_104 => L0TXTLFCPOSTORDCRED(104),
		L0TXTLFCPOSTORDCRED_105 => L0TXTLFCPOSTORDCRED(105),
		L0TXTLFCPOSTORDCRED_106 => L0TXTLFCPOSTORDCRED(106),
		L0TXTLFCPOSTORDCRED_107 => L0TXTLFCPOSTORDCRED(107),
		L0TXTLFCPOSTORDCRED_108 => L0TXTLFCPOSTORDCRED(108),
		L0TXTLFCPOSTORDCRED_109 => L0TXTLFCPOSTORDCRED(109),
		L0TXTLFCPOSTORDCRED_11 => L0TXTLFCPOSTORDCRED(11),
		L0TXTLFCPOSTORDCRED_110 => L0TXTLFCPOSTORDCRED(110),
		L0TXTLFCPOSTORDCRED_111 => L0TXTLFCPOSTORDCRED(111),
		L0TXTLFCPOSTORDCRED_112 => L0TXTLFCPOSTORDCRED(112),
		L0TXTLFCPOSTORDCRED_113 => L0TXTLFCPOSTORDCRED(113),
		L0TXTLFCPOSTORDCRED_114 => L0TXTLFCPOSTORDCRED(114),
		L0TXTLFCPOSTORDCRED_115 => L0TXTLFCPOSTORDCRED(115),
		L0TXTLFCPOSTORDCRED_116 => L0TXTLFCPOSTORDCRED(116),
		L0TXTLFCPOSTORDCRED_117 => L0TXTLFCPOSTORDCRED(117),
		L0TXTLFCPOSTORDCRED_118 => L0TXTLFCPOSTORDCRED(118),
		L0TXTLFCPOSTORDCRED_119 => L0TXTLFCPOSTORDCRED(119),
		L0TXTLFCPOSTORDCRED_12 => L0TXTLFCPOSTORDCRED(12),
		L0TXTLFCPOSTORDCRED_120 => L0TXTLFCPOSTORDCRED(120),
		L0TXTLFCPOSTORDCRED_121 => L0TXTLFCPOSTORDCRED(121),
		L0TXTLFCPOSTORDCRED_122 => L0TXTLFCPOSTORDCRED(122),
		L0TXTLFCPOSTORDCRED_123 => L0TXTLFCPOSTORDCRED(123),
		L0TXTLFCPOSTORDCRED_124 => L0TXTLFCPOSTORDCRED(124),
		L0TXTLFCPOSTORDCRED_125 => L0TXTLFCPOSTORDCRED(125),
		L0TXTLFCPOSTORDCRED_126 => L0TXTLFCPOSTORDCRED(126),
		L0TXTLFCPOSTORDCRED_127 => L0TXTLFCPOSTORDCRED(127),
		L0TXTLFCPOSTORDCRED_128 => L0TXTLFCPOSTORDCRED(128),
		L0TXTLFCPOSTORDCRED_129 => L0TXTLFCPOSTORDCRED(129),
		L0TXTLFCPOSTORDCRED_13 => L0TXTLFCPOSTORDCRED(13),
		L0TXTLFCPOSTORDCRED_130 => L0TXTLFCPOSTORDCRED(130),
		L0TXTLFCPOSTORDCRED_131 => L0TXTLFCPOSTORDCRED(131),
		L0TXTLFCPOSTORDCRED_132 => L0TXTLFCPOSTORDCRED(132),
		L0TXTLFCPOSTORDCRED_133 => L0TXTLFCPOSTORDCRED(133),
		L0TXTLFCPOSTORDCRED_134 => L0TXTLFCPOSTORDCRED(134),
		L0TXTLFCPOSTORDCRED_135 => L0TXTLFCPOSTORDCRED(135),
		L0TXTLFCPOSTORDCRED_136 => L0TXTLFCPOSTORDCRED(136),
		L0TXTLFCPOSTORDCRED_137 => L0TXTLFCPOSTORDCRED(137),
		L0TXTLFCPOSTORDCRED_138 => L0TXTLFCPOSTORDCRED(138),
		L0TXTLFCPOSTORDCRED_139 => L0TXTLFCPOSTORDCRED(139),
		L0TXTLFCPOSTORDCRED_14 => L0TXTLFCPOSTORDCRED(14),
		L0TXTLFCPOSTORDCRED_140 => L0TXTLFCPOSTORDCRED(140),
		L0TXTLFCPOSTORDCRED_141 => L0TXTLFCPOSTORDCRED(141),
		L0TXTLFCPOSTORDCRED_142 => L0TXTLFCPOSTORDCRED(142),
		L0TXTLFCPOSTORDCRED_143 => L0TXTLFCPOSTORDCRED(143),
		L0TXTLFCPOSTORDCRED_144 => L0TXTLFCPOSTORDCRED(144),
		L0TXTLFCPOSTORDCRED_145 => L0TXTLFCPOSTORDCRED(145),
		L0TXTLFCPOSTORDCRED_146 => L0TXTLFCPOSTORDCRED(146),
		L0TXTLFCPOSTORDCRED_147 => L0TXTLFCPOSTORDCRED(147),
		L0TXTLFCPOSTORDCRED_148 => L0TXTLFCPOSTORDCRED(148),
		L0TXTLFCPOSTORDCRED_149 => L0TXTLFCPOSTORDCRED(149),
		L0TXTLFCPOSTORDCRED_15 => L0TXTLFCPOSTORDCRED(15),
		L0TXTLFCPOSTORDCRED_150 => L0TXTLFCPOSTORDCRED(150),
		L0TXTLFCPOSTORDCRED_151 => L0TXTLFCPOSTORDCRED(151),
		L0TXTLFCPOSTORDCRED_152 => L0TXTLFCPOSTORDCRED(152),
		L0TXTLFCPOSTORDCRED_153 => L0TXTLFCPOSTORDCRED(153),
		L0TXTLFCPOSTORDCRED_154 => L0TXTLFCPOSTORDCRED(154),
		L0TXTLFCPOSTORDCRED_155 => L0TXTLFCPOSTORDCRED(155),
		L0TXTLFCPOSTORDCRED_156 => L0TXTLFCPOSTORDCRED(156),
		L0TXTLFCPOSTORDCRED_157 => L0TXTLFCPOSTORDCRED(157),
		L0TXTLFCPOSTORDCRED_158 => L0TXTLFCPOSTORDCRED(158),
		L0TXTLFCPOSTORDCRED_159 => L0TXTLFCPOSTORDCRED(159),
		L0TXTLFCPOSTORDCRED_16 => L0TXTLFCPOSTORDCRED(16),
		L0TXTLFCPOSTORDCRED_17 => L0TXTLFCPOSTORDCRED(17),
		L0TXTLFCPOSTORDCRED_18 => L0TXTLFCPOSTORDCRED(18),
		L0TXTLFCPOSTORDCRED_19 => L0TXTLFCPOSTORDCRED(19),
		L0TXTLFCPOSTORDCRED_2 => L0TXTLFCPOSTORDCRED(2),
		L0TXTLFCPOSTORDCRED_20 => L0TXTLFCPOSTORDCRED(20),
		L0TXTLFCPOSTORDCRED_21 => L0TXTLFCPOSTORDCRED(21),
		L0TXTLFCPOSTORDCRED_22 => L0TXTLFCPOSTORDCRED(22),
		L0TXTLFCPOSTORDCRED_23 => L0TXTLFCPOSTORDCRED(23),
		L0TXTLFCPOSTORDCRED_24 => L0TXTLFCPOSTORDCRED(24),
		L0TXTLFCPOSTORDCRED_25 => L0TXTLFCPOSTORDCRED(25),
		L0TXTLFCPOSTORDCRED_26 => L0TXTLFCPOSTORDCRED(26),
		L0TXTLFCPOSTORDCRED_27 => L0TXTLFCPOSTORDCRED(27),
		L0TXTLFCPOSTORDCRED_28 => L0TXTLFCPOSTORDCRED(28),
		L0TXTLFCPOSTORDCRED_29 => L0TXTLFCPOSTORDCRED(29),
		L0TXTLFCPOSTORDCRED_3 => L0TXTLFCPOSTORDCRED(3),
		L0TXTLFCPOSTORDCRED_30 => L0TXTLFCPOSTORDCRED(30),
		L0TXTLFCPOSTORDCRED_31 => L0TXTLFCPOSTORDCRED(31),
		L0TXTLFCPOSTORDCRED_32 => L0TXTLFCPOSTORDCRED(32),
		L0TXTLFCPOSTORDCRED_33 => L0TXTLFCPOSTORDCRED(33),
		L0TXTLFCPOSTORDCRED_34 => L0TXTLFCPOSTORDCRED(34),
		L0TXTLFCPOSTORDCRED_35 => L0TXTLFCPOSTORDCRED(35),
		L0TXTLFCPOSTORDCRED_36 => L0TXTLFCPOSTORDCRED(36),
		L0TXTLFCPOSTORDCRED_37 => L0TXTLFCPOSTORDCRED(37),
		L0TXTLFCPOSTORDCRED_38 => L0TXTLFCPOSTORDCRED(38),
		L0TXTLFCPOSTORDCRED_39 => L0TXTLFCPOSTORDCRED(39),
		L0TXTLFCPOSTORDCRED_4 => L0TXTLFCPOSTORDCRED(4),
		L0TXTLFCPOSTORDCRED_40 => L0TXTLFCPOSTORDCRED(40),
		L0TXTLFCPOSTORDCRED_41 => L0TXTLFCPOSTORDCRED(41),
		L0TXTLFCPOSTORDCRED_42 => L0TXTLFCPOSTORDCRED(42),
		L0TXTLFCPOSTORDCRED_43 => L0TXTLFCPOSTORDCRED(43),
		L0TXTLFCPOSTORDCRED_44 => L0TXTLFCPOSTORDCRED(44),
		L0TXTLFCPOSTORDCRED_45 => L0TXTLFCPOSTORDCRED(45),
		L0TXTLFCPOSTORDCRED_46 => L0TXTLFCPOSTORDCRED(46),
		L0TXTLFCPOSTORDCRED_47 => L0TXTLFCPOSTORDCRED(47),
		L0TXTLFCPOSTORDCRED_48 => L0TXTLFCPOSTORDCRED(48),
		L0TXTLFCPOSTORDCRED_49 => L0TXTLFCPOSTORDCRED(49),
		L0TXTLFCPOSTORDCRED_5 => L0TXTLFCPOSTORDCRED(5),
		L0TXTLFCPOSTORDCRED_50 => L0TXTLFCPOSTORDCRED(50),
		L0TXTLFCPOSTORDCRED_51 => L0TXTLFCPOSTORDCRED(51),
		L0TXTLFCPOSTORDCRED_52 => L0TXTLFCPOSTORDCRED(52),
		L0TXTLFCPOSTORDCRED_53 => L0TXTLFCPOSTORDCRED(53),
		L0TXTLFCPOSTORDCRED_54 => L0TXTLFCPOSTORDCRED(54),
		L0TXTLFCPOSTORDCRED_55 => L0TXTLFCPOSTORDCRED(55),
		L0TXTLFCPOSTORDCRED_56 => L0TXTLFCPOSTORDCRED(56),
		L0TXTLFCPOSTORDCRED_57 => L0TXTLFCPOSTORDCRED(57),
		L0TXTLFCPOSTORDCRED_58 => L0TXTLFCPOSTORDCRED(58),
		L0TXTLFCPOSTORDCRED_59 => L0TXTLFCPOSTORDCRED(59),
		L0TXTLFCPOSTORDCRED_6 => L0TXTLFCPOSTORDCRED(6),
		L0TXTLFCPOSTORDCRED_60 => L0TXTLFCPOSTORDCRED(60),
		L0TXTLFCPOSTORDCRED_61 => L0TXTLFCPOSTORDCRED(61),
		L0TXTLFCPOSTORDCRED_62 => L0TXTLFCPOSTORDCRED(62),
		L0TXTLFCPOSTORDCRED_63 => L0TXTLFCPOSTORDCRED(63),
		L0TXTLFCPOSTORDCRED_64 => L0TXTLFCPOSTORDCRED(64),
		L0TXTLFCPOSTORDCRED_65 => L0TXTLFCPOSTORDCRED(65),
		L0TXTLFCPOSTORDCRED_66 => L0TXTLFCPOSTORDCRED(66),
		L0TXTLFCPOSTORDCRED_67 => L0TXTLFCPOSTORDCRED(67),
		L0TXTLFCPOSTORDCRED_68 => L0TXTLFCPOSTORDCRED(68),
		L0TXTLFCPOSTORDCRED_69 => L0TXTLFCPOSTORDCRED(69),
		L0TXTLFCPOSTORDCRED_7 => L0TXTLFCPOSTORDCRED(7),
		L0TXTLFCPOSTORDCRED_70 => L0TXTLFCPOSTORDCRED(70),
		L0TXTLFCPOSTORDCRED_71 => L0TXTLFCPOSTORDCRED(71),
		L0TXTLFCPOSTORDCRED_72 => L0TXTLFCPOSTORDCRED(72),
		L0TXTLFCPOSTORDCRED_73 => L0TXTLFCPOSTORDCRED(73),
		L0TXTLFCPOSTORDCRED_74 => L0TXTLFCPOSTORDCRED(74),
		L0TXTLFCPOSTORDCRED_75 => L0TXTLFCPOSTORDCRED(75),
		L0TXTLFCPOSTORDCRED_76 => L0TXTLFCPOSTORDCRED(76),
		L0TXTLFCPOSTORDCRED_77 => L0TXTLFCPOSTORDCRED(77),
		L0TXTLFCPOSTORDCRED_78 => L0TXTLFCPOSTORDCRED(78),
		L0TXTLFCPOSTORDCRED_79 => L0TXTLFCPOSTORDCRED(79),
		L0TXTLFCPOSTORDCRED_8 => L0TXTLFCPOSTORDCRED(8),
		L0TXTLFCPOSTORDCRED_80 => L0TXTLFCPOSTORDCRED(80),
		L0TXTLFCPOSTORDCRED_81 => L0TXTLFCPOSTORDCRED(81),
		L0TXTLFCPOSTORDCRED_82 => L0TXTLFCPOSTORDCRED(82),
		L0TXTLFCPOSTORDCRED_83 => L0TXTLFCPOSTORDCRED(83),
		L0TXTLFCPOSTORDCRED_84 => L0TXTLFCPOSTORDCRED(84),
		L0TXTLFCPOSTORDCRED_85 => L0TXTLFCPOSTORDCRED(85),
		L0TXTLFCPOSTORDCRED_86 => L0TXTLFCPOSTORDCRED(86),
		L0TXTLFCPOSTORDCRED_87 => L0TXTLFCPOSTORDCRED(87),
		L0TXTLFCPOSTORDCRED_88 => L0TXTLFCPOSTORDCRED(88),
		L0TXTLFCPOSTORDCRED_89 => L0TXTLFCPOSTORDCRED(89),
		L0TXTLFCPOSTORDCRED_9 => L0TXTLFCPOSTORDCRED(9),
		L0TXTLFCPOSTORDCRED_90 => L0TXTLFCPOSTORDCRED(90),
		L0TXTLFCPOSTORDCRED_91 => L0TXTLFCPOSTORDCRED(91),
		L0TXTLFCPOSTORDCRED_92 => L0TXTLFCPOSTORDCRED(92),
		L0TXTLFCPOSTORDCRED_93 => L0TXTLFCPOSTORDCRED(93),
		L0TXTLFCPOSTORDCRED_94 => L0TXTLFCPOSTORDCRED(94),
		L0TXTLFCPOSTORDCRED_95 => L0TXTLFCPOSTORDCRED(95),
		L0TXTLFCPOSTORDCRED_96 => L0TXTLFCPOSTORDCRED(96),
		L0TXTLFCPOSTORDCRED_97 => L0TXTLFCPOSTORDCRED(97),
		L0TXTLFCPOSTORDCRED_98 => L0TXTLFCPOSTORDCRED(98),
		L0TXTLFCPOSTORDCRED_99 => L0TXTLFCPOSTORDCRED(99),
		L0TXTLFCPOSTORDUPDATE_0 => L0TXTLFCPOSTORDUPDATE(0),
		L0TXTLFCPOSTORDUPDATE_1 => L0TXTLFCPOSTORDUPDATE(1),
		L0TXTLFCPOSTORDUPDATE_10 => L0TXTLFCPOSTORDUPDATE(10),
		L0TXTLFCPOSTORDUPDATE_11 => L0TXTLFCPOSTORDUPDATE(11),
		L0TXTLFCPOSTORDUPDATE_12 => L0TXTLFCPOSTORDUPDATE(12),
		L0TXTLFCPOSTORDUPDATE_13 => L0TXTLFCPOSTORDUPDATE(13),
		L0TXTLFCPOSTORDUPDATE_14 => L0TXTLFCPOSTORDUPDATE(14),
		L0TXTLFCPOSTORDUPDATE_15 => L0TXTLFCPOSTORDUPDATE(15),
		L0TXTLFCPOSTORDUPDATE_2 => L0TXTLFCPOSTORDUPDATE(2),
		L0TXTLFCPOSTORDUPDATE_3 => L0TXTLFCPOSTORDUPDATE(3),
		L0TXTLFCPOSTORDUPDATE_4 => L0TXTLFCPOSTORDUPDATE(4),
		L0TXTLFCPOSTORDUPDATE_5 => L0TXTLFCPOSTORDUPDATE(5),
		L0TXTLFCPOSTORDUPDATE_6 => L0TXTLFCPOSTORDUPDATE(6),
		L0TXTLFCPOSTORDUPDATE_7 => L0TXTLFCPOSTORDUPDATE(7),
		L0TXTLFCPOSTORDUPDATE_8 => L0TXTLFCPOSTORDUPDATE(8),
		L0TXTLFCPOSTORDUPDATE_9 => L0TXTLFCPOSTORDUPDATE(9),
		L0TXTLSBFCDATA_0     => L0TXTLSBFCDATA(0),
		L0TXTLSBFCDATA_1     => L0TXTLSBFCDATA(1),
		L0TXTLSBFCDATA_10    => L0TXTLSBFCDATA(10),
		L0TXTLSBFCDATA_11    => L0TXTLSBFCDATA(11),
		L0TXTLSBFCDATA_12    => L0TXTLSBFCDATA(12),
		L0TXTLSBFCDATA_13    => L0TXTLSBFCDATA(13),
		L0TXTLSBFCDATA_14    => L0TXTLSBFCDATA(14),
		L0TXTLSBFCDATA_15    => L0TXTLSBFCDATA(15),
		L0TXTLSBFCDATA_16    => L0TXTLSBFCDATA(16),
		L0TXTLSBFCDATA_17    => L0TXTLSBFCDATA(17),
		L0TXTLSBFCDATA_18    => L0TXTLSBFCDATA(18),
		L0TXTLSBFCDATA_2     => L0TXTLSBFCDATA(2),
		L0TXTLSBFCDATA_3     => L0TXTLSBFCDATA(3),
		L0TXTLSBFCDATA_4     => L0TXTLSBFCDATA(4),
		L0TXTLSBFCDATA_5     => L0TXTLSBFCDATA(5),
		L0TXTLSBFCDATA_6     => L0TXTLSBFCDATA(6),
		L0TXTLSBFCDATA_7     => L0TXTLSBFCDATA(7),
		L0TXTLSBFCDATA_8     => L0TXTLSBFCDATA(8),
		L0TXTLSBFCDATA_9     => L0TXTLSBFCDATA(9),
		L0TXTLSBFCUPDATE     => L0TXTLSBFCUPDATE,
		L0TXTLTLPDATA_0      => L0TXTLTLPDATA(0),
		L0TXTLTLPDATA_1      => L0TXTLTLPDATA(1),
		L0TXTLTLPDATA_10     => L0TXTLTLPDATA(10),
		L0TXTLTLPDATA_11     => L0TXTLTLPDATA(11),
		L0TXTLTLPDATA_12     => L0TXTLTLPDATA(12),
		L0TXTLTLPDATA_13     => L0TXTLTLPDATA(13),
		L0TXTLTLPDATA_14     => L0TXTLTLPDATA(14),
		L0TXTLTLPDATA_15     => L0TXTLTLPDATA(15),
		L0TXTLTLPDATA_16     => L0TXTLTLPDATA(16),
		L0TXTLTLPDATA_17     => L0TXTLTLPDATA(17),
		L0TXTLTLPDATA_18     => L0TXTLTLPDATA(18),
		L0TXTLTLPDATA_19     => L0TXTLTLPDATA(19),
		L0TXTLTLPDATA_2      => L0TXTLTLPDATA(2),
		L0TXTLTLPDATA_20     => L0TXTLTLPDATA(20),
		L0TXTLTLPDATA_21     => L0TXTLTLPDATA(21),
		L0TXTLTLPDATA_22     => L0TXTLTLPDATA(22),
		L0TXTLTLPDATA_23     => L0TXTLTLPDATA(23),
		L0TXTLTLPDATA_24     => L0TXTLTLPDATA(24),
		L0TXTLTLPDATA_25     => L0TXTLTLPDATA(25),
		L0TXTLTLPDATA_26     => L0TXTLTLPDATA(26),
		L0TXTLTLPDATA_27     => L0TXTLTLPDATA(27),
		L0TXTLTLPDATA_28     => L0TXTLTLPDATA(28),
		L0TXTLTLPDATA_29     => L0TXTLTLPDATA(29),
		L0TXTLTLPDATA_3      => L0TXTLTLPDATA(3),
		L0TXTLTLPDATA_30     => L0TXTLTLPDATA(30),
		L0TXTLTLPDATA_31     => L0TXTLTLPDATA(31),
		L0TXTLTLPDATA_32     => L0TXTLTLPDATA(32),
		L0TXTLTLPDATA_33     => L0TXTLTLPDATA(33),
		L0TXTLTLPDATA_34     => L0TXTLTLPDATA(34),
		L0TXTLTLPDATA_35     => L0TXTLTLPDATA(35),
		L0TXTLTLPDATA_36     => L0TXTLTLPDATA(36),
		L0TXTLTLPDATA_37     => L0TXTLTLPDATA(37),
		L0TXTLTLPDATA_38     => L0TXTLTLPDATA(38),
		L0TXTLTLPDATA_39     => L0TXTLTLPDATA(39),
		L0TXTLTLPDATA_4      => L0TXTLTLPDATA(4),
		L0TXTLTLPDATA_40     => L0TXTLTLPDATA(40),
		L0TXTLTLPDATA_41     => L0TXTLTLPDATA(41),
		L0TXTLTLPDATA_42     => L0TXTLTLPDATA(42),
		L0TXTLTLPDATA_43     => L0TXTLTLPDATA(43),
		L0TXTLTLPDATA_44     => L0TXTLTLPDATA(44),
		L0TXTLTLPDATA_45     => L0TXTLTLPDATA(45),
		L0TXTLTLPDATA_46     => L0TXTLTLPDATA(46),
		L0TXTLTLPDATA_47     => L0TXTLTLPDATA(47),
		L0TXTLTLPDATA_48     => L0TXTLTLPDATA(48),
		L0TXTLTLPDATA_49     => L0TXTLTLPDATA(49),
		L0TXTLTLPDATA_5      => L0TXTLTLPDATA(5),
		L0TXTLTLPDATA_50     => L0TXTLTLPDATA(50),
		L0TXTLTLPDATA_51     => L0TXTLTLPDATA(51),
		L0TXTLTLPDATA_52     => L0TXTLTLPDATA(52),
		L0TXTLTLPDATA_53     => L0TXTLTLPDATA(53),
		L0TXTLTLPDATA_54     => L0TXTLTLPDATA(54),
		L0TXTLTLPDATA_55     => L0TXTLTLPDATA(55),
		L0TXTLTLPDATA_56     => L0TXTLTLPDATA(56),
		L0TXTLTLPDATA_57     => L0TXTLTLPDATA(57),
		L0TXTLTLPDATA_58     => L0TXTLTLPDATA(58),
		L0TXTLTLPDATA_59     => L0TXTLTLPDATA(59),
		L0TXTLTLPDATA_6      => L0TXTLTLPDATA(6),
		L0TXTLTLPDATA_60     => L0TXTLTLPDATA(60),
		L0TXTLTLPDATA_61     => L0TXTLTLPDATA(61),
		L0TXTLTLPDATA_62     => L0TXTLTLPDATA(62),
		L0TXTLTLPDATA_63     => L0TXTLTLPDATA(63),
		L0TXTLTLPDATA_7      => L0TXTLTLPDATA(7),
		L0TXTLTLPDATA_8      => L0TXTLTLPDATA(8),
		L0TXTLTLPDATA_9      => L0TXTLTLPDATA(9),
		L0TXTLTLPEDB         => L0TXTLTLPEDB,
		L0TXTLTLPENABLE_0    => L0TXTLTLPENABLE(0),
		L0TXTLTLPENABLE_1    => L0TXTLTLPENABLE(1),
		L0TXTLTLPEND_0       => L0TXTLTLPEND(0),
		L0TXTLTLPEND_1       => L0TXTLTLPEND(1),
		L0TXTLTLPLATENCY_0   => L0TXTLTLPLATENCY(0),
		L0TXTLTLPLATENCY_1   => L0TXTLTLPLATENCY(1),
		L0TXTLTLPLATENCY_2   => L0TXTLTLPLATENCY(2),
		L0TXTLTLPLATENCY_3   => L0TXTLTLPLATENCY(3),
		L0TXTLTLPREQ         => L0TXTLTLPREQ,
		L0TXTLTLPREQEND      => L0TXTLTLPREQEND,
		L0TXTLTLPWIDTH       => L0TXTLTLPWIDTH,
		L0UPSTREAMRXPORTINL0S => L0UPSTREAMRXPORTINL0S,
		L0VC0PREVIEWEXPAND   => L0VC0PREVIEWEXPAND,
		L0WAKEN              => L0WAKEN,
		LLKRXCHFIFO_0        => LLKRXCHFIFO(0),
		LLKRXCHFIFO_1        => LLKRXCHFIFO(1),
		LLKRXCHTC_0          => LLKRXCHTC(0),
		LLKRXCHTC_1          => LLKRXCHTC(1),
		LLKRXCHTC_2          => LLKRXCHTC(2),
		LLKRXDSTCONTREQN     => LLKRXDSTCONTREQN,
		LLKRXDSTREQN         => LLKRXDSTREQN,
		LLKTX4DWHEADERN      => LLKTX4DWHEADERN,
		LLKTXCHFIFO_0        => LLKTXCHFIFO(0),
		LLKTXCHFIFO_1        => LLKTXCHFIFO(1),
		LLKTXCHTC_0          => LLKTXCHTC(0),
		LLKTXCHTC_1          => LLKTXCHTC(1),
		LLKTXCHTC_2          => LLKTXCHTC(2),
		LLKTXCOMPLETEN       => LLKTXCOMPLETEN,
		LLKTXCREATEECRCN     => LLKTXCREATEECRCN,
		LLKTXDATA_0          => LLKTXDATA(0),
		LLKTXDATA_1          => LLKTXDATA(1),
		LLKTXDATA_10         => LLKTXDATA(10),
		LLKTXDATA_11         => LLKTXDATA(11),
		LLKTXDATA_12         => LLKTXDATA(12),
		LLKTXDATA_13         => LLKTXDATA(13),
		LLKTXDATA_14         => LLKTXDATA(14),
		LLKTXDATA_15         => LLKTXDATA(15),
		LLKTXDATA_16         => LLKTXDATA(16),
		LLKTXDATA_17         => LLKTXDATA(17),
		LLKTXDATA_18         => LLKTXDATA(18),
		LLKTXDATA_19         => LLKTXDATA(19),
		LLKTXDATA_2          => LLKTXDATA(2),
		LLKTXDATA_20         => LLKTXDATA(20),
		LLKTXDATA_21         => LLKTXDATA(21),
		LLKTXDATA_22         => LLKTXDATA(22),
		LLKTXDATA_23         => LLKTXDATA(23),
		LLKTXDATA_24         => LLKTXDATA(24),
		LLKTXDATA_25         => LLKTXDATA(25),
		LLKTXDATA_26         => LLKTXDATA(26),
		LLKTXDATA_27         => LLKTXDATA(27),
		LLKTXDATA_28         => LLKTXDATA(28),
		LLKTXDATA_29         => LLKTXDATA(29),
		LLKTXDATA_3          => LLKTXDATA(3),
		LLKTXDATA_30         => LLKTXDATA(30),
		LLKTXDATA_31         => LLKTXDATA(31),
		LLKTXDATA_32         => LLKTXDATA(32),
		LLKTXDATA_33         => LLKTXDATA(33),
		LLKTXDATA_34         => LLKTXDATA(34),
		LLKTXDATA_35         => LLKTXDATA(35),
		LLKTXDATA_36         => LLKTXDATA(36),
		LLKTXDATA_37         => LLKTXDATA(37),
		LLKTXDATA_38         => LLKTXDATA(38),
		LLKTXDATA_39         => LLKTXDATA(39),
		LLKTXDATA_4          => LLKTXDATA(4),
		LLKTXDATA_40         => LLKTXDATA(40),
		LLKTXDATA_41         => LLKTXDATA(41),
		LLKTXDATA_42         => LLKTXDATA(42),
		LLKTXDATA_43         => LLKTXDATA(43),
		LLKTXDATA_44         => LLKTXDATA(44),
		LLKTXDATA_45         => LLKTXDATA(45),
		LLKTXDATA_46         => LLKTXDATA(46),
		LLKTXDATA_47         => LLKTXDATA(47),
		LLKTXDATA_48         => LLKTXDATA(48),
		LLKTXDATA_49         => LLKTXDATA(49),
		LLKTXDATA_5          => LLKTXDATA(5),
		LLKTXDATA_50         => LLKTXDATA(50),
		LLKTXDATA_51         => LLKTXDATA(51),
		LLKTXDATA_52         => LLKTXDATA(52),
		LLKTXDATA_53         => LLKTXDATA(53),
		LLKTXDATA_54         => LLKTXDATA(54),
		LLKTXDATA_55         => LLKTXDATA(55),
		LLKTXDATA_56         => LLKTXDATA(56),
		LLKTXDATA_57         => LLKTXDATA(57),
		LLKTXDATA_58         => LLKTXDATA(58),
		LLKTXDATA_59         => LLKTXDATA(59),
		LLKTXDATA_6          => LLKTXDATA(6),
		LLKTXDATA_60         => LLKTXDATA(60),
		LLKTXDATA_61         => LLKTXDATA(61),
		LLKTXDATA_62         => LLKTXDATA(62),
		LLKTXDATA_63         => LLKTXDATA(63),
		LLKTXDATA_7          => LLKTXDATA(7),
		LLKTXDATA_8          => LLKTXDATA(8),
		LLKTXDATA_9          => LLKTXDATA(9),
		LLKTXENABLEN_0       => LLKTXENABLEN(0),
		LLKTXENABLEN_1       => LLKTXENABLEN(1),
		LLKTXEOFN            => LLKTXEOFN,
		LLKTXEOPN            => LLKTXEOPN,
		LLKTXSOFN            => LLKTXSOFN,
		LLKTXSOPN            => LLKTXSOPN,
		LLKTXSRCDSCN         => LLKTXSRCDSCN,
		LLKTXSRCRDYN         => LLKTXSRCRDYN,
		MAINPOWER            => MAINPOWER,
		MGMTADDR_0           => MGMTADDR(0),
		MGMTADDR_1           => MGMTADDR(1),
		MGMTADDR_10          => MGMTADDR(10),
		MGMTADDR_2           => MGMTADDR(2),
		MGMTADDR_3           => MGMTADDR(3),
		MGMTADDR_4           => MGMTADDR(4),
		MGMTADDR_5           => MGMTADDR(5),
		MGMTADDR_6           => MGMTADDR(6),
		MGMTADDR_7           => MGMTADDR(7),
		MGMTADDR_8           => MGMTADDR(8),
		MGMTADDR_9           => MGMTADDR(9),
		MGMTBWREN_0          => MGMTBWREN(0),
		MGMTBWREN_1          => MGMTBWREN(1),
		MGMTBWREN_2          => MGMTBWREN(2),
		MGMTBWREN_3          => MGMTBWREN(3),
		MGMTRDEN             => MGMTRDEN,
		MGMTSTATSCREDITSEL_0 => MGMTSTATSCREDITSEL(0),
		MGMTSTATSCREDITSEL_1 => MGMTSTATSCREDITSEL(1),
		MGMTSTATSCREDITSEL_2 => MGMTSTATSCREDITSEL(2),
		MGMTSTATSCREDITSEL_3 => MGMTSTATSCREDITSEL(3),
		MGMTSTATSCREDITSEL_4 => MGMTSTATSCREDITSEL(4),
		MGMTSTATSCREDITSEL_5 => MGMTSTATSCREDITSEL(5),
		MGMTSTATSCREDITSEL_6 => MGMTSTATSCREDITSEL(6),
		MGMTWDATA_0          => MGMTWDATA(0),
		MGMTWDATA_1          => MGMTWDATA(1),
		MGMTWDATA_10         => MGMTWDATA(10),
		MGMTWDATA_11         => MGMTWDATA(11),
		MGMTWDATA_12         => MGMTWDATA(12),
		MGMTWDATA_13         => MGMTWDATA(13),
		MGMTWDATA_14         => MGMTWDATA(14),
		MGMTWDATA_15         => MGMTWDATA(15),
		MGMTWDATA_16         => MGMTWDATA(16),
		MGMTWDATA_17         => MGMTWDATA(17),
		MGMTWDATA_18         => MGMTWDATA(18),
		MGMTWDATA_19         => MGMTWDATA(19),
		MGMTWDATA_2          => MGMTWDATA(2),
		MGMTWDATA_20         => MGMTWDATA(20),
		MGMTWDATA_21         => MGMTWDATA(21),
		MGMTWDATA_22         => MGMTWDATA(22),
		MGMTWDATA_23         => MGMTWDATA(23),
		MGMTWDATA_24         => MGMTWDATA(24),
		MGMTWDATA_25         => MGMTWDATA(25),
		MGMTWDATA_26         => MGMTWDATA(26),
		MGMTWDATA_27         => MGMTWDATA(27),
		MGMTWDATA_28         => MGMTWDATA(28),
		MGMTWDATA_29         => MGMTWDATA(29),
		MGMTWDATA_3          => MGMTWDATA(3),
		MGMTWDATA_30         => MGMTWDATA(30),
		MGMTWDATA_31         => MGMTWDATA(31),
		MGMTWDATA_4          => MGMTWDATA(4),
		MGMTWDATA_5          => MGMTWDATA(5),
		MGMTWDATA_6          => MGMTWDATA(6),
		MGMTWDATA_7          => MGMTWDATA(7),
		MGMTWDATA_8          => MGMTWDATA(8),
		MGMTWDATA_9          => MGMTWDATA(9),
		MGMTWREN             => MGMTWREN,
		MIMDLLBRDATA_0       => MIMDLLBRDATA(0),
		MIMDLLBRDATA_1       => MIMDLLBRDATA(1),
		MIMDLLBRDATA_10      => MIMDLLBRDATA(10),
		MIMDLLBRDATA_11      => MIMDLLBRDATA(11),
		MIMDLLBRDATA_12      => MIMDLLBRDATA(12),
		MIMDLLBRDATA_13      => MIMDLLBRDATA(13),
		MIMDLLBRDATA_14      => MIMDLLBRDATA(14),
		MIMDLLBRDATA_15      => MIMDLLBRDATA(15),
		MIMDLLBRDATA_16      => MIMDLLBRDATA(16),
		MIMDLLBRDATA_17      => MIMDLLBRDATA(17),
		MIMDLLBRDATA_18      => MIMDLLBRDATA(18),
		MIMDLLBRDATA_19      => MIMDLLBRDATA(19),
		MIMDLLBRDATA_2       => MIMDLLBRDATA(2),
		MIMDLLBRDATA_20      => MIMDLLBRDATA(20),
		MIMDLLBRDATA_21      => MIMDLLBRDATA(21),
		MIMDLLBRDATA_22      => MIMDLLBRDATA(22),
		MIMDLLBRDATA_23      => MIMDLLBRDATA(23),
		MIMDLLBRDATA_24      => MIMDLLBRDATA(24),
		MIMDLLBRDATA_25      => MIMDLLBRDATA(25),
		MIMDLLBRDATA_26      => MIMDLLBRDATA(26),
		MIMDLLBRDATA_27      => MIMDLLBRDATA(27),
		MIMDLLBRDATA_28      => MIMDLLBRDATA(28),
		MIMDLLBRDATA_29      => MIMDLLBRDATA(29),
		MIMDLLBRDATA_3       => MIMDLLBRDATA(3),
		MIMDLLBRDATA_30      => MIMDLLBRDATA(30),
		MIMDLLBRDATA_31      => MIMDLLBRDATA(31),
		MIMDLLBRDATA_32      => MIMDLLBRDATA(32),
		MIMDLLBRDATA_33      => MIMDLLBRDATA(33),
		MIMDLLBRDATA_34      => MIMDLLBRDATA(34),
		MIMDLLBRDATA_35      => MIMDLLBRDATA(35),
		MIMDLLBRDATA_36      => MIMDLLBRDATA(36),
		MIMDLLBRDATA_37      => MIMDLLBRDATA(37),
		MIMDLLBRDATA_38      => MIMDLLBRDATA(38),
		MIMDLLBRDATA_39      => MIMDLLBRDATA(39),
		MIMDLLBRDATA_4       => MIMDLLBRDATA(4),
		MIMDLLBRDATA_40      => MIMDLLBRDATA(40),
		MIMDLLBRDATA_41      => MIMDLLBRDATA(41),
		MIMDLLBRDATA_42      => MIMDLLBRDATA(42),
		MIMDLLBRDATA_43      => MIMDLLBRDATA(43),
		MIMDLLBRDATA_44      => MIMDLLBRDATA(44),
		MIMDLLBRDATA_45      => MIMDLLBRDATA(45),
		MIMDLLBRDATA_46      => MIMDLLBRDATA(46),
		MIMDLLBRDATA_47      => MIMDLLBRDATA(47),
		MIMDLLBRDATA_48      => MIMDLLBRDATA(48),
		MIMDLLBRDATA_49      => MIMDLLBRDATA(49),
		MIMDLLBRDATA_5       => MIMDLLBRDATA(5),
		MIMDLLBRDATA_50      => MIMDLLBRDATA(50),
		MIMDLLBRDATA_51      => MIMDLLBRDATA(51),
		MIMDLLBRDATA_52      => MIMDLLBRDATA(52),
		MIMDLLBRDATA_53      => MIMDLLBRDATA(53),
		MIMDLLBRDATA_54      => MIMDLLBRDATA(54),
		MIMDLLBRDATA_55      => MIMDLLBRDATA(55),
		MIMDLLBRDATA_56      => MIMDLLBRDATA(56),
		MIMDLLBRDATA_57      => MIMDLLBRDATA(57),
		MIMDLLBRDATA_58      => MIMDLLBRDATA(58),
		MIMDLLBRDATA_59      => MIMDLLBRDATA(59),
		MIMDLLBRDATA_6       => MIMDLLBRDATA(6),
		MIMDLLBRDATA_60      => MIMDLLBRDATA(60),
		MIMDLLBRDATA_61      => MIMDLLBRDATA(61),
		MIMDLLBRDATA_62      => MIMDLLBRDATA(62),
		MIMDLLBRDATA_63      => MIMDLLBRDATA(63),
		MIMDLLBRDATA_7       => MIMDLLBRDATA(7),
		MIMDLLBRDATA_8       => MIMDLLBRDATA(8),
		MIMDLLBRDATA_9       => MIMDLLBRDATA(9),
		MIMRXBRDATA_0        => MIMRXBRDATA(0),
		MIMRXBRDATA_1        => MIMRXBRDATA(1),
		MIMRXBRDATA_10       => MIMRXBRDATA(10),
		MIMRXBRDATA_11       => MIMRXBRDATA(11),
		MIMRXBRDATA_12       => MIMRXBRDATA(12),
		MIMRXBRDATA_13       => MIMRXBRDATA(13),
		MIMRXBRDATA_14       => MIMRXBRDATA(14),
		MIMRXBRDATA_15       => MIMRXBRDATA(15),
		MIMRXBRDATA_16       => MIMRXBRDATA(16),
		MIMRXBRDATA_17       => MIMRXBRDATA(17),
		MIMRXBRDATA_18       => MIMRXBRDATA(18),
		MIMRXBRDATA_19       => MIMRXBRDATA(19),
		MIMRXBRDATA_2        => MIMRXBRDATA(2),
		MIMRXBRDATA_20       => MIMRXBRDATA(20),
		MIMRXBRDATA_21       => MIMRXBRDATA(21),
		MIMRXBRDATA_22       => MIMRXBRDATA(22),
		MIMRXBRDATA_23       => MIMRXBRDATA(23),
		MIMRXBRDATA_24       => MIMRXBRDATA(24),
		MIMRXBRDATA_25       => MIMRXBRDATA(25),
		MIMRXBRDATA_26       => MIMRXBRDATA(26),
		MIMRXBRDATA_27       => MIMRXBRDATA(27),
		MIMRXBRDATA_28       => MIMRXBRDATA(28),
		MIMRXBRDATA_29       => MIMRXBRDATA(29),
		MIMRXBRDATA_3        => MIMRXBRDATA(3),
		MIMRXBRDATA_30       => MIMRXBRDATA(30),
		MIMRXBRDATA_31       => MIMRXBRDATA(31),
		MIMRXBRDATA_32       => MIMRXBRDATA(32),
		MIMRXBRDATA_33       => MIMRXBRDATA(33),
		MIMRXBRDATA_34       => MIMRXBRDATA(34),
		MIMRXBRDATA_35       => MIMRXBRDATA(35),
		MIMRXBRDATA_36       => MIMRXBRDATA(36),
		MIMRXBRDATA_37       => MIMRXBRDATA(37),
		MIMRXBRDATA_38       => MIMRXBRDATA(38),
		MIMRXBRDATA_39       => MIMRXBRDATA(39),
		MIMRXBRDATA_4        => MIMRXBRDATA(4),
		MIMRXBRDATA_40       => MIMRXBRDATA(40),
		MIMRXBRDATA_41       => MIMRXBRDATA(41),
		MIMRXBRDATA_42       => MIMRXBRDATA(42),
		MIMRXBRDATA_43       => MIMRXBRDATA(43),
		MIMRXBRDATA_44       => MIMRXBRDATA(44),
		MIMRXBRDATA_45       => MIMRXBRDATA(45),
		MIMRXBRDATA_46       => MIMRXBRDATA(46),
		MIMRXBRDATA_47       => MIMRXBRDATA(47),
		MIMRXBRDATA_48       => MIMRXBRDATA(48),
		MIMRXBRDATA_49       => MIMRXBRDATA(49),
		MIMRXBRDATA_5        => MIMRXBRDATA(5),
		MIMRXBRDATA_50       => MIMRXBRDATA(50),
		MIMRXBRDATA_51       => MIMRXBRDATA(51),
		MIMRXBRDATA_52       => MIMRXBRDATA(52),
		MIMRXBRDATA_53       => MIMRXBRDATA(53),
		MIMRXBRDATA_54       => MIMRXBRDATA(54),
		MIMRXBRDATA_55       => MIMRXBRDATA(55),
		MIMRXBRDATA_56       => MIMRXBRDATA(56),
		MIMRXBRDATA_57       => MIMRXBRDATA(57),
		MIMRXBRDATA_58       => MIMRXBRDATA(58),
		MIMRXBRDATA_59       => MIMRXBRDATA(59),
		MIMRXBRDATA_6        => MIMRXBRDATA(6),
		MIMRXBRDATA_60       => MIMRXBRDATA(60),
		MIMRXBRDATA_61       => MIMRXBRDATA(61),
		MIMRXBRDATA_62       => MIMRXBRDATA(62),
		MIMRXBRDATA_63       => MIMRXBRDATA(63),
		MIMRXBRDATA_7        => MIMRXBRDATA(7),
		MIMRXBRDATA_8        => MIMRXBRDATA(8),
		MIMRXBRDATA_9        => MIMRXBRDATA(9),
		MIMTXBRDATA_0        => MIMTXBRDATA(0),
		MIMTXBRDATA_1        => MIMTXBRDATA(1),
		MIMTXBRDATA_10       => MIMTXBRDATA(10),
		MIMTXBRDATA_11       => MIMTXBRDATA(11),
		MIMTXBRDATA_12       => MIMTXBRDATA(12),
		MIMTXBRDATA_13       => MIMTXBRDATA(13),
		MIMTXBRDATA_14       => MIMTXBRDATA(14),
		MIMTXBRDATA_15       => MIMTXBRDATA(15),
		MIMTXBRDATA_16       => MIMTXBRDATA(16),
		MIMTXBRDATA_17       => MIMTXBRDATA(17),
		MIMTXBRDATA_18       => MIMTXBRDATA(18),
		MIMTXBRDATA_19       => MIMTXBRDATA(19),
		MIMTXBRDATA_2        => MIMTXBRDATA(2),
		MIMTXBRDATA_20       => MIMTXBRDATA(20),
		MIMTXBRDATA_21       => MIMTXBRDATA(21),
		MIMTXBRDATA_22       => MIMTXBRDATA(22),
		MIMTXBRDATA_23       => MIMTXBRDATA(23),
		MIMTXBRDATA_24       => MIMTXBRDATA(24),
		MIMTXBRDATA_25       => MIMTXBRDATA(25),
		MIMTXBRDATA_26       => MIMTXBRDATA(26),
		MIMTXBRDATA_27       => MIMTXBRDATA(27),
		MIMTXBRDATA_28       => MIMTXBRDATA(28),
		MIMTXBRDATA_29       => MIMTXBRDATA(29),
		MIMTXBRDATA_3        => MIMTXBRDATA(3),
		MIMTXBRDATA_30       => MIMTXBRDATA(30),
		MIMTXBRDATA_31       => MIMTXBRDATA(31),
		MIMTXBRDATA_32       => MIMTXBRDATA(32),
		MIMTXBRDATA_33       => MIMTXBRDATA(33),
		MIMTXBRDATA_34       => MIMTXBRDATA(34),
		MIMTXBRDATA_35       => MIMTXBRDATA(35),
		MIMTXBRDATA_36       => MIMTXBRDATA(36),
		MIMTXBRDATA_37       => MIMTXBRDATA(37),
		MIMTXBRDATA_38       => MIMTXBRDATA(38),
		MIMTXBRDATA_39       => MIMTXBRDATA(39),
		MIMTXBRDATA_4        => MIMTXBRDATA(4),
		MIMTXBRDATA_40       => MIMTXBRDATA(40),
		MIMTXBRDATA_41       => MIMTXBRDATA(41),
		MIMTXBRDATA_42       => MIMTXBRDATA(42),
		MIMTXBRDATA_43       => MIMTXBRDATA(43),
		MIMTXBRDATA_44       => MIMTXBRDATA(44),
		MIMTXBRDATA_45       => MIMTXBRDATA(45),
		MIMTXBRDATA_46       => MIMTXBRDATA(46),
		MIMTXBRDATA_47       => MIMTXBRDATA(47),
		MIMTXBRDATA_48       => MIMTXBRDATA(48),
		MIMTXBRDATA_49       => MIMTXBRDATA(49),
		MIMTXBRDATA_5        => MIMTXBRDATA(5),
		MIMTXBRDATA_50       => MIMTXBRDATA(50),
		MIMTXBRDATA_51       => MIMTXBRDATA(51),
		MIMTXBRDATA_52       => MIMTXBRDATA(52),
		MIMTXBRDATA_53       => MIMTXBRDATA(53),
		MIMTXBRDATA_54       => MIMTXBRDATA(54),
		MIMTXBRDATA_55       => MIMTXBRDATA(55),
		MIMTXBRDATA_56       => MIMTXBRDATA(56),
		MIMTXBRDATA_57       => MIMTXBRDATA(57),
		MIMTXBRDATA_58       => MIMTXBRDATA(58),
		MIMTXBRDATA_59       => MIMTXBRDATA(59),
		MIMTXBRDATA_6        => MIMTXBRDATA(6),
		MIMTXBRDATA_60       => MIMTXBRDATA(60),
		MIMTXBRDATA_61       => MIMTXBRDATA(61),
		MIMTXBRDATA_62       => MIMTXBRDATA(62),
		MIMTXBRDATA_63       => MIMTXBRDATA(63),
		MIMTXBRDATA_7        => MIMTXBRDATA(7),
		MIMTXBRDATA_8        => MIMTXBRDATA(8),
		MIMTXBRDATA_9        => MIMTXBRDATA(9),
		PIPEPHYSTATUSL0      => PIPEPHYSTATUSL0,
		PIPEPHYSTATUSL1      => PIPEPHYSTATUSL1,
		PIPEPHYSTATUSL2      => PIPEPHYSTATUSL2,
		PIPEPHYSTATUSL3      => PIPEPHYSTATUSL3,
		PIPEPHYSTATUSL4      => PIPEPHYSTATUSL4,
		PIPEPHYSTATUSL5      => PIPEPHYSTATUSL5,
		PIPEPHYSTATUSL6      => PIPEPHYSTATUSL6,
		PIPEPHYSTATUSL7      => PIPEPHYSTATUSL7,
		PIPERXCHANISALIGNEDL0 => PIPERXCHANISALIGNEDL0,
		PIPERXCHANISALIGNEDL1 => PIPERXCHANISALIGNEDL1,
		PIPERXCHANISALIGNEDL2 => PIPERXCHANISALIGNEDL2,
		PIPERXCHANISALIGNEDL3 => PIPERXCHANISALIGNEDL3,
		PIPERXCHANISALIGNEDL4 => PIPERXCHANISALIGNEDL4,
		PIPERXCHANISALIGNEDL5 => PIPERXCHANISALIGNEDL5,
		PIPERXCHANISALIGNEDL6 => PIPERXCHANISALIGNEDL6,
		PIPERXCHANISALIGNEDL7 => PIPERXCHANISALIGNEDL7,
		PIPERXDATAKL0        => PIPERXDATAKL0,
		PIPERXDATAKL1        => PIPERXDATAKL1,
		PIPERXDATAKL2        => PIPERXDATAKL2,
		PIPERXDATAKL3        => PIPERXDATAKL3,
		PIPERXDATAKL4        => PIPERXDATAKL4,
		PIPERXDATAKL5        => PIPERXDATAKL5,
		PIPERXDATAKL6        => PIPERXDATAKL6,
		PIPERXDATAKL7        => PIPERXDATAKL7,
		PIPERXDATAL0_0       => PIPERXDATAL0(0),
		PIPERXDATAL0_1       => PIPERXDATAL0(1),
		PIPERXDATAL0_2       => PIPERXDATAL0(2),
		PIPERXDATAL0_3       => PIPERXDATAL0(3),
		PIPERXDATAL0_4       => PIPERXDATAL0(4),
		PIPERXDATAL0_5       => PIPERXDATAL0(5),
		PIPERXDATAL0_6       => PIPERXDATAL0(6),
		PIPERXDATAL0_7       => PIPERXDATAL0(7),
		PIPERXDATAL1_0       => PIPERXDATAL1(0),
		PIPERXDATAL1_1       => PIPERXDATAL1(1),
		PIPERXDATAL1_2       => PIPERXDATAL1(2),
		PIPERXDATAL1_3       => PIPERXDATAL1(3),
		PIPERXDATAL1_4       => PIPERXDATAL1(4),
		PIPERXDATAL1_5       => PIPERXDATAL1(5),
		PIPERXDATAL1_6       => PIPERXDATAL1(6),
		PIPERXDATAL1_7       => PIPERXDATAL1(7),
		PIPERXDATAL2_0       => PIPERXDATAL2(0),
		PIPERXDATAL2_1       => PIPERXDATAL2(1),
		PIPERXDATAL2_2       => PIPERXDATAL2(2),
		PIPERXDATAL2_3       => PIPERXDATAL2(3),
		PIPERXDATAL2_4       => PIPERXDATAL2(4),
		PIPERXDATAL2_5       => PIPERXDATAL2(5),
		PIPERXDATAL2_6       => PIPERXDATAL2(6),
		PIPERXDATAL2_7       => PIPERXDATAL2(7),
		PIPERXDATAL3_0       => PIPERXDATAL3(0),
		PIPERXDATAL3_1       => PIPERXDATAL3(1),
		PIPERXDATAL3_2       => PIPERXDATAL3(2),
		PIPERXDATAL3_3       => PIPERXDATAL3(3),
		PIPERXDATAL3_4       => PIPERXDATAL3(4),
		PIPERXDATAL3_5       => PIPERXDATAL3(5),
		PIPERXDATAL3_6       => PIPERXDATAL3(6),
		PIPERXDATAL3_7       => PIPERXDATAL3(7),
		PIPERXDATAL4_0       => PIPERXDATAL4(0),
		PIPERXDATAL4_1       => PIPERXDATAL4(1),
		PIPERXDATAL4_2       => PIPERXDATAL4(2),
		PIPERXDATAL4_3       => PIPERXDATAL4(3),
		PIPERXDATAL4_4       => PIPERXDATAL4(4),
		PIPERXDATAL4_5       => PIPERXDATAL4(5),
		PIPERXDATAL4_6       => PIPERXDATAL4(6),
		PIPERXDATAL4_7       => PIPERXDATAL4(7),
		PIPERXDATAL5_0       => PIPERXDATAL5(0),
		PIPERXDATAL5_1       => PIPERXDATAL5(1),
		PIPERXDATAL5_2       => PIPERXDATAL5(2),
		PIPERXDATAL5_3       => PIPERXDATAL5(3),
		PIPERXDATAL5_4       => PIPERXDATAL5(4),
		PIPERXDATAL5_5       => PIPERXDATAL5(5),
		PIPERXDATAL5_6       => PIPERXDATAL5(6),
		PIPERXDATAL5_7       => PIPERXDATAL5(7),
		PIPERXDATAL6_0       => PIPERXDATAL6(0),
		PIPERXDATAL6_1       => PIPERXDATAL6(1),
		PIPERXDATAL6_2       => PIPERXDATAL6(2),
		PIPERXDATAL6_3       => PIPERXDATAL6(3),
		PIPERXDATAL6_4       => PIPERXDATAL6(4),
		PIPERXDATAL6_5       => PIPERXDATAL6(5),
		PIPERXDATAL6_6       => PIPERXDATAL6(6),
		PIPERXDATAL6_7       => PIPERXDATAL6(7),
		PIPERXDATAL7_0       => PIPERXDATAL7(0),
		PIPERXDATAL7_1       => PIPERXDATAL7(1),
		PIPERXDATAL7_2       => PIPERXDATAL7(2),
		PIPERXDATAL7_3       => PIPERXDATAL7(3),
		PIPERXDATAL7_4       => PIPERXDATAL7(4),
		PIPERXDATAL7_5       => PIPERXDATAL7(5),
		PIPERXDATAL7_6       => PIPERXDATAL7(6),
		PIPERXDATAL7_7       => PIPERXDATAL7(7),
		PIPERXELECIDLEL0     => PIPERXELECIDLEL0,
		PIPERXELECIDLEL1     => PIPERXELECIDLEL1,
		PIPERXELECIDLEL2     => PIPERXELECIDLEL2,
		PIPERXELECIDLEL3     => PIPERXELECIDLEL3,
		PIPERXELECIDLEL4     => PIPERXELECIDLEL4,
		PIPERXELECIDLEL5     => PIPERXELECIDLEL5,
		PIPERXELECIDLEL6     => PIPERXELECIDLEL6,
		PIPERXELECIDLEL7     => PIPERXELECIDLEL7,
		PIPERXSTATUSL0_0     => PIPERXSTATUSL0(0),
		PIPERXSTATUSL0_1     => PIPERXSTATUSL0(1),
		PIPERXSTATUSL0_2     => PIPERXSTATUSL0(2),
		PIPERXSTATUSL1_0     => PIPERXSTATUSL1(0),
		PIPERXSTATUSL1_1     => PIPERXSTATUSL1(1),
		PIPERXSTATUSL1_2     => PIPERXSTATUSL1(2),
		PIPERXSTATUSL2_0     => PIPERXSTATUSL2(0),
		PIPERXSTATUSL2_1     => PIPERXSTATUSL2(1),
		PIPERXSTATUSL2_2     => PIPERXSTATUSL2(2),
		PIPERXSTATUSL3_0     => PIPERXSTATUSL3(0),
		PIPERXSTATUSL3_1     => PIPERXSTATUSL3(1),
		PIPERXSTATUSL3_2     => PIPERXSTATUSL3(2),
		PIPERXSTATUSL4_0     => PIPERXSTATUSL4(0),
		PIPERXSTATUSL4_1     => PIPERXSTATUSL4(1),
		PIPERXSTATUSL4_2     => PIPERXSTATUSL4(2),
		PIPERXSTATUSL5_0     => PIPERXSTATUSL5(0),
		PIPERXSTATUSL5_1     => PIPERXSTATUSL5(1),
		PIPERXSTATUSL5_2     => PIPERXSTATUSL5(2),
		PIPERXSTATUSL6_0     => PIPERXSTATUSL6(0),
		PIPERXSTATUSL6_1     => PIPERXSTATUSL6(1),
		PIPERXSTATUSL6_2     => PIPERXSTATUSL6(2),
		PIPERXSTATUSL7_0     => PIPERXSTATUSL7(0),
		PIPERXSTATUSL7_1     => PIPERXSTATUSL7(1),
		PIPERXSTATUSL7_2     => PIPERXSTATUSL7(2),
		PIPERXVALIDL0        => PIPERXVALIDL0,
		PIPERXVALIDL1        => PIPERXVALIDL1,
		PIPERXVALIDL2        => PIPERXVALIDL2,
		PIPERXVALIDL3        => PIPERXVALIDL3,
		PIPERXVALIDL4        => PIPERXVALIDL4,
		PIPERXVALIDL5        => PIPERXVALIDL5,
		PIPERXVALIDL6        => PIPERXVALIDL6,
		PIPERXVALIDL7        => PIPERXVALIDL7,

		MCACTIVELANESIN_0      => MCACTIVELANESIN(0),
		MCACTIVELANESIN_1      => MCACTIVELANESIN(1),
		MCACTIVELANESIN_2      => MCACTIVELANESIN(2),
		MCACTIVELANESIN_3      => MCACTIVELANESIN(3),
		MCACTIVELANESIN_4      => MCACTIVELANESIN(4),
		MCACTIVELANESIN_5      => MCACTIVELANESIN(5),
		MCACTIVELANESIN_6      => MCACTIVELANESIN(6),
		MCACTIVELANESIN_7      => MCACTIVELANESIN(7),
		MCAERBASEPTR_0         => MCAERBASEPTR(0),
		MCAERBASEPTR_1         => MCAERBASEPTR(1),
		MCAERBASEPTR_10        => MCAERBASEPTR(10),
		MCAERBASEPTR_11        => MCAERBASEPTR(11),
		MCAERBASEPTR_2         => MCAERBASEPTR(2),
		MCAERBASEPTR_3         => MCAERBASEPTR(3),
		MCAERBASEPTR_4         => MCAERBASEPTR(4),
		MCAERBASEPTR_5         => MCAERBASEPTR(5),
		MCAERBASEPTR_6         => MCAERBASEPTR(6),
		MCAERBASEPTR_7         => MCAERBASEPTR(7),
		MCAERBASEPTR_8         => MCAERBASEPTR(8),
		MCAERBASEPTR_9         => MCAERBASEPTR(9),
		MCAERCAPABILITYECRCCHECKCAPABLE => MCAERCAPABILITYECRCCHECKCAPABLE,
		MCAERCAPABILITYECRCGENCAPABLE => MCAERCAPABILITYECRCGENCAPABLE,
		MCAERCAPABILITYNEXTPTR_0 => MCAERCAPABILITYNEXTPTR(0),
		MCAERCAPABILITYNEXTPTR_1 => MCAERCAPABILITYNEXTPTR(1),
		MCAERCAPABILITYNEXTPTR_10 => MCAERCAPABILITYNEXTPTR(10),
		MCAERCAPABILITYNEXTPTR_11 => MCAERCAPABILITYNEXTPTR(11),
		MCAERCAPABILITYNEXTPTR_2 => MCAERCAPABILITYNEXTPTR(2),
		MCAERCAPABILITYNEXTPTR_3 => MCAERCAPABILITYNEXTPTR(3),
		MCAERCAPABILITYNEXTPTR_4 => MCAERCAPABILITYNEXTPTR(4),
		MCAERCAPABILITYNEXTPTR_5 => MCAERCAPABILITYNEXTPTR(5),
		MCAERCAPABILITYNEXTPTR_6 => MCAERCAPABILITYNEXTPTR(6),
		MCAERCAPABILITYNEXTPTR_7 => MCAERCAPABILITYNEXTPTR(7),
		MCAERCAPABILITYNEXTPTR_8 => MCAERCAPABILITYNEXTPTR(8),
		MCAERCAPABILITYNEXTPTR_9 => MCAERCAPABILITYNEXTPTR(9),
		MCBAR0ADDRWIDTH        => MCBAR0ADDRWIDTH,
		MCBAR0EXIST            => MCBAR0EXIST,
		MCBAR0IOMEMN           => MCBAR0IOMEMN,
		MCBAR0MASKWIDTH_0      => MCBAR0MASKWIDTH(0),
		MCBAR0MASKWIDTH_1      => MCBAR0MASKWIDTH(1),
		MCBAR0MASKWIDTH_2      => MCBAR0MASKWIDTH(2),
		MCBAR0MASKWIDTH_3      => MCBAR0MASKWIDTH(3),
		MCBAR0MASKWIDTH_4      => MCBAR0MASKWIDTH(4),
		MCBAR0MASKWIDTH_5      => MCBAR0MASKWIDTH(5),
		MCBAR0PREFETCHABLE     => MCBAR0PREFETCHABLE,
		MCBAR1ADDRWIDTH        => MCBAR1ADDRWIDTH,
		MCBAR1EXIST            => MCBAR1EXIST,
		MCBAR1IOMEMN           => MCBAR1IOMEMN,
		MCBAR1MASKWIDTH_0      => MCBAR1MASKWIDTH(0),
		MCBAR1MASKWIDTH_1      => MCBAR1MASKWIDTH(1),
		MCBAR1MASKWIDTH_2      => MCBAR1MASKWIDTH(2),
		MCBAR1MASKWIDTH_3      => MCBAR1MASKWIDTH(3),
		MCBAR1MASKWIDTH_4      => MCBAR1MASKWIDTH(4),
		MCBAR1MASKWIDTH_5      => MCBAR1MASKWIDTH(5),
		MCBAR1PREFETCHABLE     => MCBAR1PREFETCHABLE,
		MCBAR2ADDRWIDTH        => MCBAR2ADDRWIDTH,
		MCBAR2EXIST            => MCBAR2EXIST,
		MCBAR2IOMEMN           => MCBAR2IOMEMN,
		MCBAR2MASKWIDTH_0      => MCBAR2MASKWIDTH(0),
		MCBAR2MASKWIDTH_1      => MCBAR2MASKWIDTH(1),
		MCBAR2MASKWIDTH_2      => MCBAR2MASKWIDTH(2),
		MCBAR2MASKWIDTH_3      => MCBAR2MASKWIDTH(3),
		MCBAR2MASKWIDTH_4      => MCBAR2MASKWIDTH(4),
		MCBAR2MASKWIDTH_5      => MCBAR2MASKWIDTH(5),
		MCBAR2PREFETCHABLE     => MCBAR2PREFETCHABLE,
		MCBAR3ADDRWIDTH        => MCBAR3ADDRWIDTH,
		MCBAR3EXIST            => MCBAR3EXIST,
		MCBAR3IOMEMN           => MCBAR3IOMEMN,
		MCBAR3MASKWIDTH_0      => MCBAR3MASKWIDTH(0),
		MCBAR3MASKWIDTH_1      => MCBAR3MASKWIDTH(1),
		MCBAR3MASKWIDTH_2      => MCBAR3MASKWIDTH(2),
		MCBAR3MASKWIDTH_3      => MCBAR3MASKWIDTH(3),
		MCBAR3MASKWIDTH_4      => MCBAR3MASKWIDTH(4),
		MCBAR3MASKWIDTH_5      => MCBAR3MASKWIDTH(5),
		MCBAR3PREFETCHABLE     => MCBAR3PREFETCHABLE,
		MCBAR4ADDRWIDTH        => MCBAR4ADDRWIDTH,
		MCBAR4EXIST            => MCBAR4EXIST,
		MCBAR4IOMEMN           => MCBAR4IOMEMN,
		MCBAR4MASKWIDTH_0      => MCBAR4MASKWIDTH(0),
		MCBAR4MASKWIDTH_1      => MCBAR4MASKWIDTH(1),
		MCBAR4MASKWIDTH_2      => MCBAR4MASKWIDTH(2),
		MCBAR4MASKWIDTH_3      => MCBAR4MASKWIDTH(3),
		MCBAR4MASKWIDTH_4      => MCBAR4MASKWIDTH(4),
		MCBAR4MASKWIDTH_5      => MCBAR4MASKWIDTH(5),
		MCBAR4PREFETCHABLE     => MCBAR4PREFETCHABLE,
		MCBAR5ADDRWIDTH        => MCBAR5ADDRWIDTH,
		MCBAR5EXIST            => MCBAR5EXIST,
		MCBAR5IOMEMN           => MCBAR5IOMEMN,
		MCBAR5MASKWIDTH_0      => MCBAR5MASKWIDTH(0),
		MCBAR5MASKWIDTH_1      => MCBAR5MASKWIDTH(1),
		MCBAR5MASKWIDTH_2      => MCBAR5MASKWIDTH(2),
		MCBAR5MASKWIDTH_3      => MCBAR5MASKWIDTH(3),
		MCBAR5MASKWIDTH_4      => MCBAR5MASKWIDTH(4),
		MCBAR5MASKWIDTH_5      => MCBAR5MASKWIDTH(5),
		MCBAR5PREFETCHABLE     => MCBAR5PREFETCHABLE,
		MCCAPABILITIESPOINTER_0 => MCCAPABILITIESPOINTER(0),
		MCCAPABILITIESPOINTER_1 => MCCAPABILITIESPOINTER(1),
		MCCAPABILITIESPOINTER_2 => MCCAPABILITIESPOINTER(2),
		MCCAPABILITIESPOINTER_3 => MCCAPABILITIESPOINTER(3),
		MCCAPABILITIESPOINTER_4 => MCCAPABILITIESPOINTER(4),
		MCCAPABILITIESPOINTER_5 => MCCAPABILITIESPOINTER(5),
		MCCAPABILITIESPOINTER_6 => MCCAPABILITIESPOINTER(6),
		MCCAPABILITIESPOINTER_7 => MCCAPABILITIESPOINTER(7),
		MCCARDBUSCISPOINTER_0  => MCCARDBUSCISPOINTER(0),
		MCCARDBUSCISPOINTER_1  => MCCARDBUSCISPOINTER(1),
		MCCARDBUSCISPOINTER_10 => MCCARDBUSCISPOINTER(10),
		MCCARDBUSCISPOINTER_11 => MCCARDBUSCISPOINTER(11),
		MCCARDBUSCISPOINTER_12 => MCCARDBUSCISPOINTER(12),
		MCCARDBUSCISPOINTER_13 => MCCARDBUSCISPOINTER(13),
		MCCARDBUSCISPOINTER_14 => MCCARDBUSCISPOINTER(14),
		MCCARDBUSCISPOINTER_15 => MCCARDBUSCISPOINTER(15),
		MCCARDBUSCISPOINTER_16 => MCCARDBUSCISPOINTER(16),
		MCCARDBUSCISPOINTER_17 => MCCARDBUSCISPOINTER(17),
		MCCARDBUSCISPOINTER_18 => MCCARDBUSCISPOINTER(18),
		MCCARDBUSCISPOINTER_19 => MCCARDBUSCISPOINTER(19),
		MCCARDBUSCISPOINTER_2  => MCCARDBUSCISPOINTER(2),
		MCCARDBUSCISPOINTER_20 => MCCARDBUSCISPOINTER(20),
		MCCARDBUSCISPOINTER_21 => MCCARDBUSCISPOINTER(21),
		MCCARDBUSCISPOINTER_22 => MCCARDBUSCISPOINTER(22),
		MCCARDBUSCISPOINTER_23 => MCCARDBUSCISPOINTER(23),
		MCCARDBUSCISPOINTER_24 => MCCARDBUSCISPOINTER(24),
		MCCARDBUSCISPOINTER_25 => MCCARDBUSCISPOINTER(25),
		MCCARDBUSCISPOINTER_26 => MCCARDBUSCISPOINTER(26),
		MCCARDBUSCISPOINTER_27 => MCCARDBUSCISPOINTER(27),
		MCCARDBUSCISPOINTER_28 => MCCARDBUSCISPOINTER(28),
		MCCARDBUSCISPOINTER_29 => MCCARDBUSCISPOINTER(29),
		MCCARDBUSCISPOINTER_3  => MCCARDBUSCISPOINTER(3),
		MCCARDBUSCISPOINTER_30 => MCCARDBUSCISPOINTER(30),
		MCCARDBUSCISPOINTER_31 => MCCARDBUSCISPOINTER(31),
		MCCARDBUSCISPOINTER_4  => MCCARDBUSCISPOINTER(4),
		MCCARDBUSCISPOINTER_5  => MCCARDBUSCISPOINTER(5),
		MCCARDBUSCISPOINTER_6  => MCCARDBUSCISPOINTER(6),
		MCCARDBUSCISPOINTER_7  => MCCARDBUSCISPOINTER(7),
		MCCARDBUSCISPOINTER_8  => MCCARDBUSCISPOINTER(8),
		MCCARDBUSCISPOINTER_9  => MCCARDBUSCISPOINTER(9),
		MCCLASSCODE_0          => MCCLASSCODE(0),
		MCCLASSCODE_1          => MCCLASSCODE(1),
		MCCLASSCODE_10         => MCCLASSCODE(10),
		MCCLASSCODE_11         => MCCLASSCODE(11),
		MCCLASSCODE_12         => MCCLASSCODE(12),
		MCCLASSCODE_13         => MCCLASSCODE(13),
		MCCLASSCODE_14         => MCCLASSCODE(14),
		MCCLASSCODE_15         => MCCLASSCODE(15),
		MCCLASSCODE_16         => MCCLASSCODE(16),
		MCCLASSCODE_17         => MCCLASSCODE(17),
		MCCLASSCODE_18         => MCCLASSCODE(18),
		MCCLASSCODE_19         => MCCLASSCODE(19),
		MCCLASSCODE_2          => MCCLASSCODE(2),
		MCCLASSCODE_20         => MCCLASSCODE(20),
		MCCLASSCODE_21         => MCCLASSCODE(21),
		MCCLASSCODE_22         => MCCLASSCODE(22),
		MCCLASSCODE_23         => MCCLASSCODE(23),
		MCCLASSCODE_3          => MCCLASSCODE(3),
		MCCLASSCODE_4          => MCCLASSCODE(4),
		MCCLASSCODE_5          => MCCLASSCODE(5),
		MCCLASSCODE_6          => MCCLASSCODE(6),
		MCCLASSCODE_7          => MCCLASSCODE(7),
		MCCLASSCODE_8          => MCCLASSCODE(8),
		MCCLASSCODE_9          => MCCLASSCODE(9),
		MCCONFIGROUTING_0      => MCCONFIGROUTING(0),
		MCCONFIGROUTING_1      => MCCONFIGROUTING(1),
		MCCONFIGROUTING_2      => MCCONFIGROUTING(2),
		MCDEVICECAPABILITYENDPOINTL0SLATENCY_0 => MCDEVICECAPABILITYENDPOINTL0SLATENCY(0),
		MCDEVICECAPABILITYENDPOINTL0SLATENCY_1 => MCDEVICECAPABILITYENDPOINTL0SLATENCY(1),
		MCDEVICECAPABILITYENDPOINTL0SLATENCY_2 => MCDEVICECAPABILITYENDPOINTL0SLATENCY(2),
		MCDEVICECAPABILITYENDPOINTL1LATENCY_0 => MCDEVICECAPABILITYENDPOINTL1LATENCY(0),
		MCDEVICECAPABILITYENDPOINTL1LATENCY_1 => MCDEVICECAPABILITYENDPOINTL1LATENCY(1),
		MCDEVICECAPABILITYENDPOINTL1LATENCY_2 => MCDEVICECAPABILITYENDPOINTL1LATENCY(2),
		MCDEVICEID_0           => MCDEVICEID(0),
		MCDEVICEID_1           => MCDEVICEID(1),
		MCDEVICEID_10          => MCDEVICEID(10),
		MCDEVICEID_11          => MCDEVICEID(11),
		MCDEVICEID_12          => MCDEVICEID(12),
		MCDEVICEID_13          => MCDEVICEID(13),
		MCDEVICEID_14          => MCDEVICEID(14),
		MCDEVICEID_15          => MCDEVICEID(15),
		MCDEVICEID_2           => MCDEVICEID(2),
		MCDEVICEID_3           => MCDEVICEID(3),
		MCDEVICEID_4           => MCDEVICEID(4),
		MCDEVICEID_5           => MCDEVICEID(5),
		MCDEVICEID_6           => MCDEVICEID(6),
		MCDEVICEID_7           => MCDEVICEID(7),
		MCDEVICEID_8           => MCDEVICEID(8),
		MCDEVICEID_9           => MCDEVICEID(9),
		MCDEVICESERIALNUMBER_0 => MCDEVICESERIALNUMBER(0),
		MCDEVICESERIALNUMBER_1 => MCDEVICESERIALNUMBER(1),
		MCDEVICESERIALNUMBER_10 => MCDEVICESERIALNUMBER(10),
		MCDEVICESERIALNUMBER_11 => MCDEVICESERIALNUMBER(11),
		MCDEVICESERIALNUMBER_12 => MCDEVICESERIALNUMBER(12),
		MCDEVICESERIALNUMBER_13 => MCDEVICESERIALNUMBER(13),
		MCDEVICESERIALNUMBER_14 => MCDEVICESERIALNUMBER(14),
		MCDEVICESERIALNUMBER_15 => MCDEVICESERIALNUMBER(15),
		MCDEVICESERIALNUMBER_16 => MCDEVICESERIALNUMBER(16),
		MCDEVICESERIALNUMBER_17 => MCDEVICESERIALNUMBER(17),
		MCDEVICESERIALNUMBER_18 => MCDEVICESERIALNUMBER(18),
		MCDEVICESERIALNUMBER_19 => MCDEVICESERIALNUMBER(19),
		MCDEVICESERIALNUMBER_2 => MCDEVICESERIALNUMBER(2),
		MCDEVICESERIALNUMBER_20 => MCDEVICESERIALNUMBER(20),
		MCDEVICESERIALNUMBER_21 => MCDEVICESERIALNUMBER(21),
		MCDEVICESERIALNUMBER_22 => MCDEVICESERIALNUMBER(22),
		MCDEVICESERIALNUMBER_23 => MCDEVICESERIALNUMBER(23),
		MCDEVICESERIALNUMBER_24 => MCDEVICESERIALNUMBER(24),
		MCDEVICESERIALNUMBER_25 => MCDEVICESERIALNUMBER(25),
		MCDEVICESERIALNUMBER_26 => MCDEVICESERIALNUMBER(26),
		MCDEVICESERIALNUMBER_27 => MCDEVICESERIALNUMBER(27),
		MCDEVICESERIALNUMBER_28 => MCDEVICESERIALNUMBER(28),
		MCDEVICESERIALNUMBER_29 => MCDEVICESERIALNUMBER(29),
		MCDEVICESERIALNUMBER_3 => MCDEVICESERIALNUMBER(3),
		MCDEVICESERIALNUMBER_30 => MCDEVICESERIALNUMBER(30),
		MCDEVICESERIALNUMBER_31 => MCDEVICESERIALNUMBER(31),
		MCDEVICESERIALNUMBER_32 => MCDEVICESERIALNUMBER(32),
		MCDEVICESERIALNUMBER_33 => MCDEVICESERIALNUMBER(33),
		MCDEVICESERIALNUMBER_34 => MCDEVICESERIALNUMBER(34),
		MCDEVICESERIALNUMBER_35 => MCDEVICESERIALNUMBER(35),
		MCDEVICESERIALNUMBER_36 => MCDEVICESERIALNUMBER(36),
		MCDEVICESERIALNUMBER_37 => MCDEVICESERIALNUMBER(37),
		MCDEVICESERIALNUMBER_38 => MCDEVICESERIALNUMBER(38),
		MCDEVICESERIALNUMBER_39 => MCDEVICESERIALNUMBER(39),
		MCDEVICESERIALNUMBER_4 => MCDEVICESERIALNUMBER(4),
		MCDEVICESERIALNUMBER_40 => MCDEVICESERIALNUMBER(40),
		MCDEVICESERIALNUMBER_41 => MCDEVICESERIALNUMBER(41),
		MCDEVICESERIALNUMBER_42 => MCDEVICESERIALNUMBER(42),
		MCDEVICESERIALNUMBER_43 => MCDEVICESERIALNUMBER(43),
		MCDEVICESERIALNUMBER_44 => MCDEVICESERIALNUMBER(44),
		MCDEVICESERIALNUMBER_45 => MCDEVICESERIALNUMBER(45),
		MCDEVICESERIALNUMBER_46 => MCDEVICESERIALNUMBER(46),
		MCDEVICESERIALNUMBER_47 => MCDEVICESERIALNUMBER(47),
		MCDEVICESERIALNUMBER_48 => MCDEVICESERIALNUMBER(48),
		MCDEVICESERIALNUMBER_49 => MCDEVICESERIALNUMBER(49),
		MCDEVICESERIALNUMBER_5 => MCDEVICESERIALNUMBER(5),
		MCDEVICESERIALNUMBER_50 => MCDEVICESERIALNUMBER(50),
		MCDEVICESERIALNUMBER_51 => MCDEVICESERIALNUMBER(51),
		MCDEVICESERIALNUMBER_52 => MCDEVICESERIALNUMBER(52),
		MCDEVICESERIALNUMBER_53 => MCDEVICESERIALNUMBER(53),
		MCDEVICESERIALNUMBER_54 => MCDEVICESERIALNUMBER(54),
		MCDEVICESERIALNUMBER_55 => MCDEVICESERIALNUMBER(55),
		MCDEVICESERIALNUMBER_56 => MCDEVICESERIALNUMBER(56),
		MCDEVICESERIALNUMBER_57 => MCDEVICESERIALNUMBER(57),
		MCDEVICESERIALNUMBER_58 => MCDEVICESERIALNUMBER(58),
		MCDEVICESERIALNUMBER_59 => MCDEVICESERIALNUMBER(59),
		MCDEVICESERIALNUMBER_6 => MCDEVICESERIALNUMBER(6),
		MCDEVICESERIALNUMBER_60 => MCDEVICESERIALNUMBER(60),
		MCDEVICESERIALNUMBER_61 => MCDEVICESERIALNUMBER(61),
		MCDEVICESERIALNUMBER_62 => MCDEVICESERIALNUMBER(62),
		MCDEVICESERIALNUMBER_63 => MCDEVICESERIALNUMBER(63),
		MCDEVICESERIALNUMBER_7 => MCDEVICESERIALNUMBER(7),
		MCDEVICESERIALNUMBER_8 => MCDEVICESERIALNUMBER(8),
		MCDEVICESERIALNUMBER_9 => MCDEVICESERIALNUMBER(9),
		MCDSNBASEPTR_0         => MCDSNBASEPTR(0),
		MCDSNBASEPTR_1         => MCDSNBASEPTR(1),
		MCDSNBASEPTR_10        => MCDSNBASEPTR(10),
		MCDSNBASEPTR_11        => MCDSNBASEPTR(11),
		MCDSNBASEPTR_2         => MCDSNBASEPTR(2),
		MCDSNBASEPTR_3         => MCDSNBASEPTR(3),
		MCDSNBASEPTR_4         => MCDSNBASEPTR(4),
		MCDSNBASEPTR_5         => MCDSNBASEPTR(5),
		MCDSNBASEPTR_6         => MCDSNBASEPTR(6),
		MCDSNBASEPTR_7         => MCDSNBASEPTR(7),
		MCDSNBASEPTR_8         => MCDSNBASEPTR(8),
		MCDSNBASEPTR_9         => MCDSNBASEPTR(9),
		MCDSNCAPABILITYNEXTPTR_0 => MCDSNCAPABILITYNEXTPTR(0),
		MCDSNCAPABILITYNEXTPTR_1 => MCDSNCAPABILITYNEXTPTR(1),
		MCDSNCAPABILITYNEXTPTR_10 => MCDSNCAPABILITYNEXTPTR(10),
		MCDSNCAPABILITYNEXTPTR_11 => MCDSNCAPABILITYNEXTPTR(11),
		MCDSNCAPABILITYNEXTPTR_2 => MCDSNCAPABILITYNEXTPTR(2),
		MCDSNCAPABILITYNEXTPTR_3 => MCDSNCAPABILITYNEXTPTR(3),
		MCDSNCAPABILITYNEXTPTR_4 => MCDSNCAPABILITYNEXTPTR(4),
		MCDSNCAPABILITYNEXTPTR_5 => MCDSNCAPABILITYNEXTPTR(5),
		MCDSNCAPABILITYNEXTPTR_6 => MCDSNCAPABILITYNEXTPTR(6),
		MCDSNCAPABILITYNEXTPTR_7 => MCDSNCAPABILITYNEXTPTR(7),
		MCDSNCAPABILITYNEXTPTR_8 => MCDSNCAPABILITYNEXTPTR(8),
		MCDSNCAPABILITYNEXTPTR_9 => MCDSNCAPABILITYNEXTPTR(9),
		MCDUALCOREENABLE       => MCDUALCOREENABLE,
		MCDUALCORESLAVE        => MCDUALCORESLAVE,
		MCDUALROLECFGCNTRLROOTEPN => MCDUALROLECFGCNTRLROOTEPN,
		MCEXTCFGCAPPTR_0       => MCEXTCFGCAPPTR(0),
		MCEXTCFGCAPPTR_1       => MCEXTCFGCAPPTR(1),
		MCEXTCFGCAPPTR_2       => MCEXTCFGCAPPTR(2),
		MCEXTCFGCAPPTR_3       => MCEXTCFGCAPPTR(3),
		MCEXTCFGCAPPTR_4       => MCEXTCFGCAPPTR(4),
		MCEXTCFGCAPPTR_5       => MCEXTCFGCAPPTR(5),
		MCEXTCFGCAPPTR_6       => MCEXTCFGCAPPTR(6),
		MCEXTCFGCAPPTR_7       => MCEXTCFGCAPPTR(7),
		MCEXTCFGXPCAPPTR_0     => MCEXTCFGXPCAPPTR(0),
		MCEXTCFGXPCAPPTR_1     => MCEXTCFGXPCAPPTR(1),
		MCEXTCFGXPCAPPTR_10    => MCEXTCFGXPCAPPTR(10),
		MCEXTCFGXPCAPPTR_11    => MCEXTCFGXPCAPPTR(11),
		MCEXTCFGXPCAPPTR_2     => MCEXTCFGXPCAPPTR(2),
		MCEXTCFGXPCAPPTR_3     => MCEXTCFGXPCAPPTR(3),
		MCEXTCFGXPCAPPTR_4     => MCEXTCFGXPCAPPTR(4),
		MCEXTCFGXPCAPPTR_5     => MCEXTCFGXPCAPPTR(5),
		MCEXTCFGXPCAPPTR_6     => MCEXTCFGXPCAPPTR(6),
		MCEXTCFGXPCAPPTR_7     => MCEXTCFGXPCAPPTR(7),
		MCEXTCFGXPCAPPTR_8     => MCEXTCFGXPCAPPTR(8),
		MCEXTCFGXPCAPPTR_9     => MCEXTCFGXPCAPPTR(9),
		MCHEADERTYPE_0         => MCHEADERTYPE(0),
		MCHEADERTYPE_1         => MCHEADERTYPE(1),
		MCHEADERTYPE_2         => MCHEADERTYPE(2),
		MCHEADERTYPE_3         => MCHEADERTYPE(3),
		MCHEADERTYPE_4         => MCHEADERTYPE(4),
		MCHEADERTYPE_5         => MCHEADERTYPE(5),
		MCHEADERTYPE_6         => MCHEADERTYPE(6),
		MCHEADERTYPE_7         => MCHEADERTYPE(7),
		MCINFINITECOMPLETIONS  => MCINFINITECOMPLETIONS,
		MCINTERRUPTPIN_0       => MCINTERRUPTPIN(0),
		MCINTERRUPTPIN_1       => MCINTERRUPTPIN(1),
		MCINTERRUPTPIN_2       => MCINTERRUPTPIN(2),
		MCINTERRUPTPIN_3       => MCINTERRUPTPIN(3),
		MCINTERRUPTPIN_4       => MCINTERRUPTPIN(4),
		MCINTERRUPTPIN_5       => MCINTERRUPTPIN(5),
		MCINTERRUPTPIN_6       => MCINTERRUPTPIN(6),
		MCINTERRUPTPIN_7       => MCINTERRUPTPIN(7),
		MCISSWITCH             => MCISSWITCH,
		MCL0SEXITLATENCYCOMCLK_0 => MCL0SEXITLATENCYCOMCLK(0),
		MCL0SEXITLATENCYCOMCLK_1 => MCL0SEXITLATENCYCOMCLK(1),
		MCL0SEXITLATENCYCOMCLK_2 => MCL0SEXITLATENCYCOMCLK(2),
		MCL0SEXITLATENCY_0     => MCL0SEXITLATENCY(0),
		MCL0SEXITLATENCY_1     => MCL0SEXITLATENCY(1),
		MCL0SEXITLATENCY_2     => MCL0SEXITLATENCY(2),
		MCL1EXITLATENCYCOMCLK_0 => MCL1EXITLATENCYCOMCLK(0),
		MCL1EXITLATENCYCOMCLK_1 => MCL1EXITLATENCYCOMCLK(1),
		MCL1EXITLATENCYCOMCLK_2 => MCL1EXITLATENCYCOMCLK(2),
		MCL1EXITLATENCY_0      => MCL1EXITLATENCY(0),
		MCL1EXITLATENCY_1      => MCL1EXITLATENCY(1),
		MCL1EXITLATENCY_2      => MCL1EXITLATENCY(2),
		MCLINKCAPABILITYASPMSUPPORT_0 => MCLINKCAPABILITYASPMSUPPORT(0),
		MCLINKCAPABILITYASPMSUPPORT_1 => MCLINKCAPABILITYASPMSUPPORT(1),
		MCLINKCAPABILITYMAXLINKWIDTH_0 => MCLINKCAPABILITYMAXLINKWIDTH(0),
		MCLINKCAPABILITYMAXLINKWIDTH_1 => MCLINKCAPABILITYMAXLINKWIDTH(1),
		MCLINKCAPABILITYMAXLINKWIDTH_2 => MCLINKCAPABILITYMAXLINKWIDTH(2),
		MCLINKCAPABILITYMAXLINKWIDTH_3 => MCLINKCAPABILITYMAXLINKWIDTH(3),
		MCLINKCAPABILITYMAXLINKWIDTH_4 => MCLINKCAPABILITYMAXLINKWIDTH(4),
		MCLINKCAPABILITYMAXLINKWIDTH_5 => MCLINKCAPABILITYMAXLINKWIDTH(5),
		MCLINKSTATUSSLOTCLOCKCONFIG => MCLINKSTATUSSLOTCLOCKCONFIG,
		MCLLKBYPASS            => MCLLKBYPASS,
		MCLOWPRIORITYVCCOUNT_0 => MCLOWPRIORITYVCCOUNT(0),
		MCLOWPRIORITYVCCOUNT_1 => MCLOWPRIORITYVCCOUNT(1),
		MCLOWPRIORITYVCCOUNT_2 => MCLOWPRIORITYVCCOUNT(2),
		MCMSIBASEPTR_0         => MCMSIBASEPTR(0),
		MCMSIBASEPTR_1         => MCMSIBASEPTR(1),
		MCMSIBASEPTR_10        => MCMSIBASEPTR(10),
		MCMSIBASEPTR_11        => MCMSIBASEPTR(11),
		MCMSIBASEPTR_2         => MCMSIBASEPTR(2),
		MCMSIBASEPTR_3         => MCMSIBASEPTR(3),
		MCMSIBASEPTR_4         => MCMSIBASEPTR(4),
		MCMSIBASEPTR_5         => MCMSIBASEPTR(5),
		MCMSIBASEPTR_6         => MCMSIBASEPTR(6),
		MCMSIBASEPTR_7         => MCMSIBASEPTR(7),
		MCMSIBASEPTR_8         => MCMSIBASEPTR(8),
		MCMSIBASEPTR_9         => MCMSIBASEPTR(9),
		MCMSICAPABILITYMULTIMSGCAP_0 => MCMSICAPABILITYMULTIMSGCAP(0),
		MCMSICAPABILITYMULTIMSGCAP_1 => MCMSICAPABILITYMULTIMSGCAP(1),
		MCMSICAPABILITYMULTIMSGCAP_2 => MCMSICAPABILITYMULTIMSGCAP(2),
		MCMSICAPABILITYNEXTPTR_0 => MCMSICAPABILITYNEXTPTR(0),
		MCMSICAPABILITYNEXTPTR_1 => MCMSICAPABILITYNEXTPTR(1),
		MCMSICAPABILITYNEXTPTR_2 => MCMSICAPABILITYNEXTPTR(2),
		MCMSICAPABILITYNEXTPTR_3 => MCMSICAPABILITYNEXTPTR(3),
		MCMSICAPABILITYNEXTPTR_4 => MCMSICAPABILITYNEXTPTR(4),
		MCMSICAPABILITYNEXTPTR_5 => MCMSICAPABILITYNEXTPTR(5),
		MCMSICAPABILITYNEXTPTR_6 => MCMSICAPABILITYNEXTPTR(6),
		MCMSICAPABILITYNEXTPTR_7 => MCMSICAPABILITYNEXTPTR(7),
		MCPBBASEPTR_0          => MCPBBASEPTR(0),
		MCPBBASEPTR_1          => MCPBBASEPTR(1),
		MCPBBASEPTR_10         => MCPBBASEPTR(10),
		MCPBBASEPTR_11         => MCPBBASEPTR(11),
		MCPBBASEPTR_2          => MCPBBASEPTR(2),
		MCPBBASEPTR_3          => MCPBBASEPTR(3),
		MCPBBASEPTR_4          => MCPBBASEPTR(4),
		MCPBBASEPTR_5          => MCPBBASEPTR(5),
		MCPBBASEPTR_6          => MCPBBASEPTR(6),
		MCPBBASEPTR_7          => MCPBBASEPTR(7),
		MCPBBASEPTR_8          => MCPBBASEPTR(8),
		MCPBBASEPTR_9          => MCPBBASEPTR(9),
		MCPBCAPABILITYDW0BASEPOWER_0 => MCPBCAPABILITYDW0BASEPOWER(0),
		MCPBCAPABILITYDW0BASEPOWER_1 => MCPBCAPABILITYDW0BASEPOWER(1),
		MCPBCAPABILITYDW0BASEPOWER_2 => MCPBCAPABILITYDW0BASEPOWER(2),
		MCPBCAPABILITYDW0BASEPOWER_3 => MCPBCAPABILITYDW0BASEPOWER(3),
		MCPBCAPABILITYDW0BASEPOWER_4 => MCPBCAPABILITYDW0BASEPOWER(4),
		MCPBCAPABILITYDW0BASEPOWER_5 => MCPBCAPABILITYDW0BASEPOWER(5),
		MCPBCAPABILITYDW0BASEPOWER_6 => MCPBCAPABILITYDW0BASEPOWER(6),
		MCPBCAPABILITYDW0BASEPOWER_7 => MCPBCAPABILITYDW0BASEPOWER(7),
		MCPBCAPABILITYDW0DATASCALE_0 => MCPBCAPABILITYDW0DATASCALE(0),
		MCPBCAPABILITYDW0DATASCALE_1 => MCPBCAPABILITYDW0DATASCALE(1),
		MCPBCAPABILITYDW0PMSTATE_0 => MCPBCAPABILITYDW0PMSTATE(0),
		MCPBCAPABILITYDW0PMSTATE_1 => MCPBCAPABILITYDW0PMSTATE(1),
		MCPBCAPABILITYDW0PMSUBSTATE_0 => MCPBCAPABILITYDW0PMSUBSTATE(0),
		MCPBCAPABILITYDW0PMSUBSTATE_1 => MCPBCAPABILITYDW0PMSUBSTATE(1),
		MCPBCAPABILITYDW0PMSUBSTATE_2 => MCPBCAPABILITYDW0PMSUBSTATE(2),
		MCPBCAPABILITYDW0POWERRAIL_0 => MCPBCAPABILITYDW0POWERRAIL(0),
		MCPBCAPABILITYDW0POWERRAIL_1 => MCPBCAPABILITYDW0POWERRAIL(1),
		MCPBCAPABILITYDW0POWERRAIL_2 => MCPBCAPABILITYDW0POWERRAIL(2),
		MCPBCAPABILITYDW0TYPE_0 => MCPBCAPABILITYDW0TYPE(0),
		MCPBCAPABILITYDW0TYPE_1 => MCPBCAPABILITYDW0TYPE(1),
		MCPBCAPABILITYDW0TYPE_2 => MCPBCAPABILITYDW0TYPE(2),
		MCPBCAPABILITYDW1BASEPOWER_0 => MCPBCAPABILITYDW1BASEPOWER(0),
		MCPBCAPABILITYDW1BASEPOWER_1 => MCPBCAPABILITYDW1BASEPOWER(1),
		MCPBCAPABILITYDW1BASEPOWER_2 => MCPBCAPABILITYDW1BASEPOWER(2),
		MCPBCAPABILITYDW1BASEPOWER_3 => MCPBCAPABILITYDW1BASEPOWER(3),
		MCPBCAPABILITYDW1BASEPOWER_4 => MCPBCAPABILITYDW1BASEPOWER(4),
		MCPBCAPABILITYDW1BASEPOWER_5 => MCPBCAPABILITYDW1BASEPOWER(5),
		MCPBCAPABILITYDW1BASEPOWER_6 => MCPBCAPABILITYDW1BASEPOWER(6),
		MCPBCAPABILITYDW1BASEPOWER_7 => MCPBCAPABILITYDW1BASEPOWER(7),
		MCPBCAPABILITYDW1DATASCALE_0 => MCPBCAPABILITYDW1DATASCALE(0),
		MCPBCAPABILITYDW1DATASCALE_1 => MCPBCAPABILITYDW1DATASCALE(1),
		MCPBCAPABILITYDW1PMSTATE_0 => MCPBCAPABILITYDW1PMSTATE(0),
		MCPBCAPABILITYDW1PMSTATE_1 => MCPBCAPABILITYDW1PMSTATE(1),
		MCPBCAPABILITYDW1PMSUBSTATE_0 => MCPBCAPABILITYDW1PMSUBSTATE(0),
		MCPBCAPABILITYDW1PMSUBSTATE_1 => MCPBCAPABILITYDW1PMSUBSTATE(1),
		MCPBCAPABILITYDW1PMSUBSTATE_2 => MCPBCAPABILITYDW1PMSUBSTATE(2),
		MCPBCAPABILITYDW1POWERRAIL_0 => MCPBCAPABILITYDW1POWERRAIL(0),
		MCPBCAPABILITYDW1POWERRAIL_1 => MCPBCAPABILITYDW1POWERRAIL(1),
		MCPBCAPABILITYDW1POWERRAIL_2 => MCPBCAPABILITYDW1POWERRAIL(2),
		MCPBCAPABILITYDW1TYPE_0 => MCPBCAPABILITYDW1TYPE(0),
		MCPBCAPABILITYDW1TYPE_1 => MCPBCAPABILITYDW1TYPE(1),
		MCPBCAPABILITYDW1TYPE_2 => MCPBCAPABILITYDW1TYPE(2),
		MCPBCAPABILITYDW2BASEPOWER_0 => MCPBCAPABILITYDW2BASEPOWER(0),
		MCPBCAPABILITYDW2BASEPOWER_1 => MCPBCAPABILITYDW2BASEPOWER(1),
		MCPBCAPABILITYDW2BASEPOWER_2 => MCPBCAPABILITYDW2BASEPOWER(2),
		MCPBCAPABILITYDW2BASEPOWER_3 => MCPBCAPABILITYDW2BASEPOWER(3),
		MCPBCAPABILITYDW2BASEPOWER_4 => MCPBCAPABILITYDW2BASEPOWER(4),
		MCPBCAPABILITYDW2BASEPOWER_5 => MCPBCAPABILITYDW2BASEPOWER(5),
		MCPBCAPABILITYDW2BASEPOWER_6 => MCPBCAPABILITYDW2BASEPOWER(6),
		MCPBCAPABILITYDW2BASEPOWER_7 => MCPBCAPABILITYDW2BASEPOWER(7),
		MCPBCAPABILITYDW2DATASCALE_0 => MCPBCAPABILITYDW2DATASCALE(0),
		MCPBCAPABILITYDW2DATASCALE_1 => MCPBCAPABILITYDW2DATASCALE(1),
		MCPBCAPABILITYDW2PMSTATE_0 => MCPBCAPABILITYDW2PMSTATE(0),
		MCPBCAPABILITYDW2PMSTATE_1 => MCPBCAPABILITYDW2PMSTATE(1),
		MCPBCAPABILITYDW2PMSUBSTATE_0 => MCPBCAPABILITYDW2PMSUBSTATE(0),
		MCPBCAPABILITYDW2PMSUBSTATE_1 => MCPBCAPABILITYDW2PMSUBSTATE(1),
		MCPBCAPABILITYDW2PMSUBSTATE_2 => MCPBCAPABILITYDW2PMSUBSTATE(2),
		MCPBCAPABILITYDW2POWERRAIL_0 => MCPBCAPABILITYDW2POWERRAIL(0),
		MCPBCAPABILITYDW2POWERRAIL_1 => MCPBCAPABILITYDW2POWERRAIL(1),
		MCPBCAPABILITYDW2POWERRAIL_2 => MCPBCAPABILITYDW2POWERRAIL(2),
		MCPBCAPABILITYDW2TYPE_0 => MCPBCAPABILITYDW2TYPE(0),
		MCPBCAPABILITYDW2TYPE_1 => MCPBCAPABILITYDW2TYPE(1),
		MCPBCAPABILITYDW2TYPE_2 => MCPBCAPABILITYDW2TYPE(2),
		MCPBCAPABILITYDW3BASEPOWER_0 => MCPBCAPABILITYDW3BASEPOWER(0),
		MCPBCAPABILITYDW3BASEPOWER_1 => MCPBCAPABILITYDW3BASEPOWER(1),
		MCPBCAPABILITYDW3BASEPOWER_2 => MCPBCAPABILITYDW3BASEPOWER(2),
		MCPBCAPABILITYDW3BASEPOWER_3 => MCPBCAPABILITYDW3BASEPOWER(3),
		MCPBCAPABILITYDW3BASEPOWER_4 => MCPBCAPABILITYDW3BASEPOWER(4),
		MCPBCAPABILITYDW3BASEPOWER_5 => MCPBCAPABILITYDW3BASEPOWER(5),
		MCPBCAPABILITYDW3BASEPOWER_6 => MCPBCAPABILITYDW3BASEPOWER(6),
		MCPBCAPABILITYDW3BASEPOWER_7 => MCPBCAPABILITYDW3BASEPOWER(7),
		MCPBCAPABILITYDW3DATASCALE_0 => MCPBCAPABILITYDW3DATASCALE(0),
		MCPBCAPABILITYDW3DATASCALE_1 => MCPBCAPABILITYDW3DATASCALE(1),
		MCPBCAPABILITYDW3PMSTATE_0 => MCPBCAPABILITYDW3PMSTATE(0),
		MCPBCAPABILITYDW3PMSTATE_1 => MCPBCAPABILITYDW3PMSTATE(1),
		MCPBCAPABILITYDW3PMSUBSTATE_0 => MCPBCAPABILITYDW3PMSUBSTATE(0),
		MCPBCAPABILITYDW3PMSUBSTATE_1 => MCPBCAPABILITYDW3PMSUBSTATE(1),
		MCPBCAPABILITYDW3PMSUBSTATE_2 => MCPBCAPABILITYDW3PMSUBSTATE(2),
		MCPBCAPABILITYDW3POWERRAIL_0 => MCPBCAPABILITYDW3POWERRAIL(0),
		MCPBCAPABILITYDW3POWERRAIL_1 => MCPBCAPABILITYDW3POWERRAIL(1),
		MCPBCAPABILITYDW3POWERRAIL_2 => MCPBCAPABILITYDW3POWERRAIL(2),
		MCPBCAPABILITYDW3TYPE_0 => MCPBCAPABILITYDW3TYPE(0),
		MCPBCAPABILITYDW3TYPE_1 => MCPBCAPABILITYDW3TYPE(1),
		MCPBCAPABILITYDW3TYPE_2 => MCPBCAPABILITYDW3TYPE(2),
		MCPBCAPABILITYNEXTPTR_0 => MCPBCAPABILITYNEXTPTR(0),
		MCPBCAPABILITYNEXTPTR_1 => MCPBCAPABILITYNEXTPTR(1),
		MCPBCAPABILITYNEXTPTR_10 => MCPBCAPABILITYNEXTPTR(10),
		MCPBCAPABILITYNEXTPTR_11 => MCPBCAPABILITYNEXTPTR(11),
		MCPBCAPABILITYNEXTPTR_2 => MCPBCAPABILITYNEXTPTR(2),
		MCPBCAPABILITYNEXTPTR_3 => MCPBCAPABILITYNEXTPTR(3),
		MCPBCAPABILITYNEXTPTR_4 => MCPBCAPABILITYNEXTPTR(4),
		MCPBCAPABILITYNEXTPTR_5 => MCPBCAPABILITYNEXTPTR(5),
		MCPBCAPABILITYNEXTPTR_6 => MCPBCAPABILITYNEXTPTR(6),
		MCPBCAPABILITYNEXTPTR_7 => MCPBCAPABILITYNEXTPTR(7),
		MCPBCAPABILITYNEXTPTR_8 => MCPBCAPABILITYNEXTPTR(8),
		MCPBCAPABILITYNEXTPTR_9 => MCPBCAPABILITYNEXTPTR(9),
		MCPBCAPABILITYSYSTEMALLOCATED => MCPBCAPABILITYSYSTEMALLOCATED,
		MCPCIECAPABILITYINTMSGNUM_0 => MCPCIECAPABILITYINTMSGNUM(0),
		MCPCIECAPABILITYINTMSGNUM_1 => MCPCIECAPABILITYINTMSGNUM(1),
		MCPCIECAPABILITYINTMSGNUM_2 => MCPCIECAPABILITYINTMSGNUM(2),
		MCPCIECAPABILITYINTMSGNUM_3 => MCPCIECAPABILITYINTMSGNUM(3),
		MCPCIECAPABILITYINTMSGNUM_4 => MCPCIECAPABILITYINTMSGNUM(4),
		MCPCIECAPABILITYNEXTPTR_0 => MCPCIECAPABILITYNEXTPTR(0),
		MCPCIECAPABILITYNEXTPTR_1 => MCPCIECAPABILITYNEXTPTR(1),
		MCPCIECAPABILITYNEXTPTR_2 => MCPCIECAPABILITYNEXTPTR(2),
		MCPCIECAPABILITYNEXTPTR_3 => MCPCIECAPABILITYNEXTPTR(3),
		MCPCIECAPABILITYNEXTPTR_4 => MCPCIECAPABILITYNEXTPTR(4),
		MCPCIECAPABILITYNEXTPTR_5 => MCPCIECAPABILITYNEXTPTR(5),
		MCPCIECAPABILITYNEXTPTR_6 => MCPCIECAPABILITYNEXTPTR(6),
		MCPCIECAPABILITYNEXTPTR_7 => MCPCIECAPABILITYNEXTPTR(7),
		MCPCIECAPABILITYSLOTIMPL => MCPCIECAPABILITYSLOTIMPL,
		MCPCIEREVISION         => MCPCIEREVISION,
		MCPMBASEPTR_0          => MCPMBASEPTR(0),
		MCPMBASEPTR_1          => MCPMBASEPTR(1),
		MCPMBASEPTR_10         => MCPMBASEPTR(10),
		MCPMBASEPTR_11         => MCPMBASEPTR(11),
		MCPMBASEPTR_2          => MCPMBASEPTR(2),
		MCPMBASEPTR_3          => MCPMBASEPTR(3),
		MCPMBASEPTR_4          => MCPMBASEPTR(4),
		MCPMBASEPTR_5          => MCPMBASEPTR(5),
		MCPMBASEPTR_6          => MCPMBASEPTR(6),
		MCPMBASEPTR_7          => MCPMBASEPTR(7),
		MCPMBASEPTR_8          => MCPMBASEPTR(8),
		MCPMBASEPTR_9          => MCPMBASEPTR(9),
		MCPMCAPABILITYAUXCURRENT_0 => MCPMCAPABILITYAUXCURRENT(0),
		MCPMCAPABILITYAUXCURRENT_1 => MCPMCAPABILITYAUXCURRENT(1),
		MCPMCAPABILITYAUXCURRENT_2 => MCPMCAPABILITYAUXCURRENT(2),
		MCPMCAPABILITYD1SUPPORT => MCPMCAPABILITYD1SUPPORT,
		MCPMCAPABILITYD2SUPPORT => MCPMCAPABILITYD2SUPPORT,
		MCPMCAPABILITYDSI      => MCPMCAPABILITYDSI,
		MCPMCAPABILITYNEXTPTR_0 => MCPMCAPABILITYNEXTPTR(0),
		MCPMCAPABILITYNEXTPTR_1 => MCPMCAPABILITYNEXTPTR(1),
		MCPMCAPABILITYNEXTPTR_2 => MCPMCAPABILITYNEXTPTR(2),
		MCPMCAPABILITYNEXTPTR_3 => MCPMCAPABILITYNEXTPTR(3),
		MCPMCAPABILITYNEXTPTR_4 => MCPMCAPABILITYNEXTPTR(4),
		MCPMCAPABILITYNEXTPTR_5 => MCPMCAPABILITYNEXTPTR(5),
		MCPMCAPABILITYNEXTPTR_6 => MCPMCAPABILITYNEXTPTR(6),
		MCPMCAPABILITYNEXTPTR_7 => MCPMCAPABILITYNEXTPTR(7),
		MCPMCAPABILITYPMESUPPORT_0 => MCPMCAPABILITYPMESUPPORT(0),
		MCPMCAPABILITYPMESUPPORT_1 => MCPMCAPABILITYPMESUPPORT(1),
		MCPMCAPABILITYPMESUPPORT_2 => MCPMCAPABILITYPMESUPPORT(2),
		MCPMCAPABILITYPMESUPPORT_3 => MCPMCAPABILITYPMESUPPORT(3),
		MCPMCAPABILITYPMESUPPORT_4 => MCPMCAPABILITYPMESUPPORT(4),
		MCPMDATA0_0            => MCPMDATA0(0),
		MCPMDATA0_1            => MCPMDATA0(1),
		MCPMDATA0_2            => MCPMDATA0(2),
		MCPMDATA0_3            => MCPMDATA0(3),
		MCPMDATA0_4            => MCPMDATA0(4),
		MCPMDATA0_5            => MCPMDATA0(5),
		MCPMDATA0_6            => MCPMDATA0(6),
		MCPMDATA0_7            => MCPMDATA0(7),
		MCPMDATA1_0            => MCPMDATA1(0),
		MCPMDATA1_1            => MCPMDATA1(1),
		MCPMDATA1_2            => MCPMDATA1(2),
		MCPMDATA1_3            => MCPMDATA1(3),
		MCPMDATA1_4            => MCPMDATA1(4),
		MCPMDATA1_5            => MCPMDATA1(5),
		MCPMDATA1_6            => MCPMDATA1(6),
		MCPMDATA1_7            => MCPMDATA1(7),
		MCPMDATA2_0            => MCPMDATA2(0),
		MCPMDATA2_1            => MCPMDATA2(1),
		MCPMDATA2_2            => MCPMDATA2(2),
		MCPMDATA2_3            => MCPMDATA2(3),
		MCPMDATA2_4            => MCPMDATA2(4),
		MCPMDATA2_5            => MCPMDATA2(5),
		MCPMDATA2_6            => MCPMDATA2(6),
		MCPMDATA2_7            => MCPMDATA2(7),
		MCPMDATA3_0            => MCPMDATA3(0),
		MCPMDATA3_1            => MCPMDATA3(1),
		MCPMDATA3_2            => MCPMDATA3(2),
		MCPMDATA3_3            => MCPMDATA3(3),
		MCPMDATA3_4            => MCPMDATA3(4),
		MCPMDATA3_5            => MCPMDATA3(5),
		MCPMDATA3_6            => MCPMDATA3(6),
		MCPMDATA3_7            => MCPMDATA3(7),
		MCPMDATA4_0            => MCPMDATA4(0),
		MCPMDATA4_1            => MCPMDATA4(1),
		MCPMDATA4_2            => MCPMDATA4(2),
		MCPMDATA4_3            => MCPMDATA4(3),
		MCPMDATA4_4            => MCPMDATA4(4),
		MCPMDATA4_5            => MCPMDATA4(5),
		MCPMDATA4_6            => MCPMDATA4(6),
		MCPMDATA4_7            => MCPMDATA4(7),
		MCPMDATA5_0            => MCPMDATA5(0),
		MCPMDATA5_1            => MCPMDATA5(1),
		MCPMDATA5_2            => MCPMDATA5(2),
		MCPMDATA5_3            => MCPMDATA5(3),
		MCPMDATA5_4            => MCPMDATA5(4),
		MCPMDATA5_5            => MCPMDATA5(5),
		MCPMDATA5_6            => MCPMDATA5(6),
		MCPMDATA5_7            => MCPMDATA5(7),
		MCPMDATA6_0            => MCPMDATA6(0),
		MCPMDATA6_1            => MCPMDATA6(1),
		MCPMDATA6_2            => MCPMDATA6(2),
		MCPMDATA6_3            => MCPMDATA6(3),
		MCPMDATA6_4            => MCPMDATA6(4),
		MCPMDATA6_5            => MCPMDATA6(5),
		MCPMDATA6_6            => MCPMDATA6(6),
		MCPMDATA6_7            => MCPMDATA6(7),
		MCPMDATA7_0            => MCPMDATA7(0),
		MCPMDATA7_1            => MCPMDATA7(1),
		MCPMDATA7_2            => MCPMDATA7(2),
		MCPMDATA7_3            => MCPMDATA7(3),
		MCPMDATA7_4            => MCPMDATA7(4),
		MCPMDATA7_5            => MCPMDATA7(5),
		MCPMDATA7_6            => MCPMDATA7(6),
		MCPMDATA7_7            => MCPMDATA7(7),
		MCPMDATA8_0            => MCPMDATA8(0),
		MCPMDATA8_1            => MCPMDATA8(1),
		MCPMDATA8_2            => MCPMDATA8(2),
		MCPMDATA8_3            => MCPMDATA8(3),
		MCPMDATA8_4            => MCPMDATA8(4),
		MCPMDATA8_5            => MCPMDATA8(5),
		MCPMDATA8_6            => MCPMDATA8(6),
		MCPMDATA8_7            => MCPMDATA8(7),
		MCPMDATASCALE0_0       => MCPMDATASCALE0(0),
		MCPMDATASCALE0_1       => MCPMDATASCALE0(1),
		MCPMDATASCALE1_0       => MCPMDATASCALE1(0),
		MCPMDATASCALE1_1       => MCPMDATASCALE1(1),
		MCPMDATASCALE2_0       => MCPMDATASCALE2(0),
		MCPMDATASCALE2_1       => MCPMDATASCALE2(1),
		MCPMDATASCALE3_0       => MCPMDATASCALE3(0),
		MCPMDATASCALE3_1       => MCPMDATASCALE3(1),
		MCPMDATASCALE4_0       => MCPMDATASCALE4(0),
		MCPMDATASCALE4_1       => MCPMDATASCALE4(1),
		MCPMDATASCALE5_0       => MCPMDATASCALE5(0),
		MCPMDATASCALE5_1       => MCPMDATASCALE5(1),
		MCPMDATASCALE6_0       => MCPMDATASCALE6(0),
		MCPMDATASCALE6_1       => MCPMDATASCALE6(1),
		MCPMDATASCALE7_0       => MCPMDATASCALE7(0),
		MCPMDATASCALE7_1       => MCPMDATASCALE7(1),
		MCPMDATASCALE8_0       => MCPMDATASCALE8(0),
		MCPMDATASCALE8_1       => MCPMDATASCALE8(1),
		MCPMSTATUSCONTROLDATASCALE_0 => MCPMSTATUSCONTROLDATASCALE(0),
		MCPMSTATUSCONTROLDATASCALE_1 => MCPMSTATUSCONTROLDATASCALE(1),
		MCPORTVCCAPABILITYEXTENDEDVCCOUNT_0 => MCPORTVCCAPABILITYEXTENDEDVCCOUNT(0),
		MCPORTVCCAPABILITYEXTENDEDVCCOUNT_1 => MCPORTVCCAPABILITYEXTENDEDVCCOUNT(1),
		MCPORTVCCAPABILITYEXTENDEDVCCOUNT_2 => MCPORTVCCAPABILITYEXTENDEDVCCOUNT(2),
		MCPORTVCCAPABILITYVCARBCAP_0 => MCPORTVCCAPABILITYVCARBCAP(0),
		MCPORTVCCAPABILITYVCARBCAP_1 => MCPORTVCCAPABILITYVCARBCAP(1),
		MCPORTVCCAPABILITYVCARBCAP_2 => MCPORTVCCAPABILITYVCARBCAP(2),
		MCPORTVCCAPABILITYVCARBCAP_3 => MCPORTVCCAPABILITYVCARBCAP(3),
		MCPORTVCCAPABILITYVCARBCAP_4 => MCPORTVCCAPABILITYVCARBCAP(4),
		MCPORTVCCAPABILITYVCARBCAP_5 => MCPORTVCCAPABILITYVCARBCAP(5),
		MCPORTVCCAPABILITYVCARBCAP_6 => MCPORTVCCAPABILITYVCARBCAP(6),
		MCPORTVCCAPABILITYVCARBCAP_7 => MCPORTVCCAPABILITYVCARBCAP(7),
		MCPORTVCCAPABILITYVCARBTABLEOFFSET_0 => MCPORTVCCAPABILITYVCARBTABLEOFFSET(0),
		MCPORTVCCAPABILITYVCARBTABLEOFFSET_1 => MCPORTVCCAPABILITYVCARBTABLEOFFSET(1),
		MCPORTVCCAPABILITYVCARBTABLEOFFSET_2 => MCPORTVCCAPABILITYVCARBTABLEOFFSET(2),
		MCPORTVCCAPABILITYVCARBTABLEOFFSET_3 => MCPORTVCCAPABILITYVCARBTABLEOFFSET(3),
		MCPORTVCCAPABILITYVCARBTABLEOFFSET_4 => MCPORTVCCAPABILITYVCARBTABLEOFFSET(4),
		MCPORTVCCAPABILITYVCARBTABLEOFFSET_5 => MCPORTVCCAPABILITYVCARBTABLEOFFSET(5),
		MCPORTVCCAPABILITYVCARBTABLEOFFSET_6 => MCPORTVCCAPABILITYVCARBTABLEOFFSET(6),
		MCPORTVCCAPABILITYVCARBTABLEOFFSET_7 => MCPORTVCCAPABILITYVCARBTABLEOFFSET(7),
		MCRAMSHARETXRX         => MCRAMSHARETXRX,
		MCRESETMODE            => MCRESETMODE,
		MCRETRYRAMREADLATENCY_0 => MCRETRYRAMREADLATENCY(0),
		MCRETRYRAMREADLATENCY_1 => MCRETRYRAMREADLATENCY(1),
		MCRETRYRAMREADLATENCY_2 => MCRETRYRAMREADLATENCY(2),
		MCRETRYRAMSIZE_0       => MCRETRYRAMSIZE(0),
		MCRETRYRAMSIZE_1       => MCRETRYRAMSIZE(1),
		MCRETRYRAMSIZE_10      => MCRETRYRAMSIZE(10),
		MCRETRYRAMSIZE_11      => MCRETRYRAMSIZE(11),
		MCRETRYRAMSIZE_2       => MCRETRYRAMSIZE(2),
		MCRETRYRAMSIZE_3       => MCRETRYRAMSIZE(3),
		MCRETRYRAMSIZE_4       => MCRETRYRAMSIZE(4),
		MCRETRYRAMSIZE_5       => MCRETRYRAMSIZE(5),
		MCRETRYRAMSIZE_6       => MCRETRYRAMSIZE(6),
		MCRETRYRAMSIZE_7       => MCRETRYRAMSIZE(7),
		MCRETRYRAMSIZE_8       => MCRETRYRAMSIZE(8),
		MCRETRYRAMSIZE_9       => MCRETRYRAMSIZE(9),
		MCRETRYRAMWIDTH        => MCRETRYRAMWIDTH,
		MCRETRYRAMWRITELATENCY_0 => MCRETRYRAMWRITELATENCY(0),
		MCRETRYRAMWRITELATENCY_1 => MCRETRYRAMWRITELATENCY(1),
		MCRETRYRAMWRITELATENCY_2 => MCRETRYRAMWRITELATENCY(2),
		MCRETRYREADADDRPIPE    => MCRETRYREADADDRPIPE,
		MCRETRYREADDATAPIPE    => MCRETRYREADDATAPIPE,
		MCRETRYWRITEPIPE       => MCRETRYWRITEPIPE,
		MCREVISIONID_0         => MCREVISIONID(0),
		MCREVISIONID_1         => MCREVISIONID(1),
		MCREVISIONID_2         => MCREVISIONID(2),
		MCREVISIONID_3         => MCREVISIONID(3),
		MCREVISIONID_4         => MCREVISIONID(4),
		MCREVISIONID_5         => MCREVISIONID(5),
		MCREVISIONID_6         => MCREVISIONID(6),
		MCREVISIONID_7         => MCREVISIONID(7),
		MCRXREADADDRPIPE       => MCRXREADADDRPIPE,
		MCRXREADDATAPIPE       => MCRXREADDATAPIPE,
		MCRXWRITEPIPE          => MCRXWRITEPIPE,
		MCSELECTASMODE         => MCSELECTASMODE,
		MCSELECTDLLIF          => MCSELECTDLLIF,
		MCSLOTCAPABILITYATTBUTTONPRESENT => MCSLOTCAPABILITYATTBUTTONPRESENT,
		MCSLOTCAPABILITYATTINDICATORPRESENT => MCSLOTCAPABILITYATTINDICATORPRESENT,
		MCSLOTCAPABILITYHOTPLUGCAPABLE => MCSLOTCAPABILITYHOTPLUGCAPABLE,
		MCSLOTCAPABILITYHOTPLUGSURPRISE => MCSLOTCAPABILITYHOTPLUGSURPRISE,
		MCSLOTCAPABILITYMSLSENSORPRESENT => MCSLOTCAPABILITYMSLSENSORPRESENT,
		MCSLOTCAPABILITYPHYSICALSLOTNUM_0 => MCSLOTCAPABILITYPHYSICALSLOTNUM(0),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_1 => MCSLOTCAPABILITYPHYSICALSLOTNUM(1),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_10 => MCSLOTCAPABILITYPHYSICALSLOTNUM(10),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_11 => MCSLOTCAPABILITYPHYSICALSLOTNUM(11),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_12 => MCSLOTCAPABILITYPHYSICALSLOTNUM(12),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_2 => MCSLOTCAPABILITYPHYSICALSLOTNUM(2),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_3 => MCSLOTCAPABILITYPHYSICALSLOTNUM(3),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_4 => MCSLOTCAPABILITYPHYSICALSLOTNUM(4),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_5 => MCSLOTCAPABILITYPHYSICALSLOTNUM(5),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_6 => MCSLOTCAPABILITYPHYSICALSLOTNUM(6),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_7 => MCSLOTCAPABILITYPHYSICALSLOTNUM(7),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_8 => MCSLOTCAPABILITYPHYSICALSLOTNUM(8),
		MCSLOTCAPABILITYPHYSICALSLOTNUM_9 => MCSLOTCAPABILITYPHYSICALSLOTNUM(9),
		MCSLOTCAPABILITYPOWERCONTROLLERPRESENT => MCSLOTCAPABILITYPOWERCONTROLLERPRESENT,
		MCSLOTCAPABILITYPOWERINDICATORPRESENT => MCSLOTCAPABILITYPOWERINDICATORPRESENT,
		MCSLOTCAPABILITYSLOTPOWERLIMITSCALE_0 => MCSLOTCAPABILITYSLOTPOWERLIMITSCALE(0),
		MCSLOTCAPABILITYSLOTPOWERLIMITSCALE_1 => MCSLOTCAPABILITYSLOTPOWERLIMITSCALE(1),
		MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_0 => MCSLOTCAPABILITYSLOTPOWERLIMITVALUE(0),
		MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_1 => MCSLOTCAPABILITYSLOTPOWERLIMITVALUE(1),
		MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_2 => MCSLOTCAPABILITYSLOTPOWERLIMITVALUE(2),
		MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_3 => MCSLOTCAPABILITYSLOTPOWERLIMITVALUE(3),
		MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_4 => MCSLOTCAPABILITYSLOTPOWERLIMITVALUE(4),
		MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_5 => MCSLOTCAPABILITYSLOTPOWERLIMITVALUE(5),
		MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_6 => MCSLOTCAPABILITYSLOTPOWERLIMITVALUE(6),
		MCSLOTCAPABILITYSLOTPOWERLIMITVALUE_7 => MCSLOTCAPABILITYSLOTPOWERLIMITVALUE(7),
		MCSLOTIMPLEMENTED      => MCSLOTIMPLEMENTED,
		MCSUBSYSTEMID_0        => MCSUBSYSTEMID(0),
		MCSUBSYSTEMID_1        => MCSUBSYSTEMID(1),
		MCSUBSYSTEMID_10       => MCSUBSYSTEMID(10),
		MCSUBSYSTEMID_11       => MCSUBSYSTEMID(11),
		MCSUBSYSTEMID_12       => MCSUBSYSTEMID(12),
		MCSUBSYSTEMID_13       => MCSUBSYSTEMID(13),
		MCSUBSYSTEMID_14       => MCSUBSYSTEMID(14),
		MCSUBSYSTEMID_15       => MCSUBSYSTEMID(15),
		MCSUBSYSTEMID_2        => MCSUBSYSTEMID(2),
		MCSUBSYSTEMID_3        => MCSUBSYSTEMID(3),
		MCSUBSYSTEMID_4        => MCSUBSYSTEMID(4),
		MCSUBSYSTEMID_5        => MCSUBSYSTEMID(5),
		MCSUBSYSTEMID_6        => MCSUBSYSTEMID(6),
		MCSUBSYSTEMID_7        => MCSUBSYSTEMID(7),
		MCSUBSYSTEMID_8        => MCSUBSYSTEMID(8),
		MCSUBSYSTEMID_9        => MCSUBSYSTEMID(9),
		MCSUBSYSTEMVENDORID_0  => MCSUBSYSTEMVENDORID(0),
		MCSUBSYSTEMVENDORID_1  => MCSUBSYSTEMVENDORID(1),
		MCSUBSYSTEMVENDORID_10 => MCSUBSYSTEMVENDORID(10),
		MCSUBSYSTEMVENDORID_11 => MCSUBSYSTEMVENDORID(11),
		MCSUBSYSTEMVENDORID_12 => MCSUBSYSTEMVENDORID(12),
		MCSUBSYSTEMVENDORID_13 => MCSUBSYSTEMVENDORID(13),
		MCSUBSYSTEMVENDORID_14 => MCSUBSYSTEMVENDORID(14),
		MCSUBSYSTEMVENDORID_15 => MCSUBSYSTEMVENDORID(15),
		MCSUBSYSTEMVENDORID_2  => MCSUBSYSTEMVENDORID(2),
		MCSUBSYSTEMVENDORID_3  => MCSUBSYSTEMVENDORID(3),
		MCSUBSYSTEMVENDORID_4  => MCSUBSYSTEMVENDORID(4),
		MCSUBSYSTEMVENDORID_5  => MCSUBSYSTEMVENDORID(5),
		MCSUBSYSTEMVENDORID_6  => MCSUBSYSTEMVENDORID(6),
		MCSUBSYSTEMVENDORID_7  => MCSUBSYSTEMVENDORID(7),
		MCSUBSYSTEMVENDORID_8  => MCSUBSYSTEMVENDORID(8),
		MCSUBSYSTEMVENDORID_9  => MCSUBSYSTEMVENDORID(9),
		MCTLRAMREADLATENCY_0   => MCTLRAMREADLATENCY(0),
		MCTLRAMREADLATENCY_1   => MCTLRAMREADLATENCY(1),
		MCTLRAMREADLATENCY_2   => MCTLRAMREADLATENCY(2),
		MCTLRAMWIDTH           => MCTLRAMWIDTH,
		MCTLRAMWRITELATENCY_0  => MCTLRAMWRITELATENCY(0),
		MCTLRAMWRITELATENCY_1  => MCTLRAMWRITELATENCY(1),
		MCTLRAMWRITELATENCY_2  => MCTLRAMWRITELATENCY(2),
		MCTXREADADDRPIPE       => MCTXREADADDRPIPE,
		MCTXREADDATAPIPE       => MCTXREADDATAPIPE,
		MCTXTSNFTSCOMCLK_0     => MCTXTSNFTSCOMCLK(0),
		MCTXTSNFTSCOMCLK_1     => MCTXTSNFTSCOMCLK(1),
		MCTXTSNFTSCOMCLK_2     => MCTXTSNFTSCOMCLK(2),
		MCTXTSNFTSCOMCLK_3     => MCTXTSNFTSCOMCLK(3),
		MCTXTSNFTSCOMCLK_4     => MCTXTSNFTSCOMCLK(4),
		MCTXTSNFTSCOMCLK_5     => MCTXTSNFTSCOMCLK(5),
		MCTXTSNFTSCOMCLK_6     => MCTXTSNFTSCOMCLK(6),
		MCTXTSNFTSCOMCLK_7     => MCTXTSNFTSCOMCLK(7),
		MCTXTSNFTS_0           => MCTXTSNFTS(0),
		MCTXTSNFTS_1           => MCTXTSNFTS(1),
		MCTXTSNFTS_2           => MCTXTSNFTS(2),
		MCTXTSNFTS_3           => MCTXTSNFTS(3),
		MCTXTSNFTS_4           => MCTXTSNFTS(4),
		MCTXTSNFTS_5           => MCTXTSNFTS(5),
		MCTXTSNFTS_6           => MCTXTSNFTS(6),
		MCTXTSNFTS_7           => MCTXTSNFTS(7),
		MCTXWRITEPIPE          => MCTXWRITEPIPE,
		MCUPSTREAMFACING       => MCUPSTREAMFACING,
		MCVC0RXFIFOBASEC_0     => MCVC0RXFIFOBASEC(0),
		MCVC0RXFIFOBASEC_1     => MCVC0RXFIFOBASEC(1),
		MCVC0RXFIFOBASEC_10    => MCVC0RXFIFOBASEC(10),
		MCVC0RXFIFOBASEC_11    => MCVC0RXFIFOBASEC(11),
		MCVC0RXFIFOBASEC_12    => MCVC0RXFIFOBASEC(12),
		MCVC0RXFIFOBASEC_2     => MCVC0RXFIFOBASEC(2),
		MCVC0RXFIFOBASEC_3     => MCVC0RXFIFOBASEC(3),
		MCVC0RXFIFOBASEC_4     => MCVC0RXFIFOBASEC(4),
		MCVC0RXFIFOBASEC_5     => MCVC0RXFIFOBASEC(5),
		MCVC0RXFIFOBASEC_6     => MCVC0RXFIFOBASEC(6),
		MCVC0RXFIFOBASEC_7     => MCVC0RXFIFOBASEC(7),
		MCVC0RXFIFOBASEC_8     => MCVC0RXFIFOBASEC(8),
		MCVC0RXFIFOBASEC_9     => MCVC0RXFIFOBASEC(9),
		MCVC0RXFIFOBASENP_0    => MCVC0RXFIFOBASENP(0),
		MCVC0RXFIFOBASENP_1    => MCVC0RXFIFOBASENP(1),
		MCVC0RXFIFOBASENP_10   => MCVC0RXFIFOBASENP(10),
		MCVC0RXFIFOBASENP_11   => MCVC0RXFIFOBASENP(11),
		MCVC0RXFIFOBASENP_12   => MCVC0RXFIFOBASENP(12),
		MCVC0RXFIFOBASENP_2    => MCVC0RXFIFOBASENP(2),
		MCVC0RXFIFOBASENP_3    => MCVC0RXFIFOBASENP(3),
		MCVC0RXFIFOBASENP_4    => MCVC0RXFIFOBASENP(4),
		MCVC0RXFIFOBASENP_5    => MCVC0RXFIFOBASENP(5),
		MCVC0RXFIFOBASENP_6    => MCVC0RXFIFOBASENP(6),
		MCVC0RXFIFOBASENP_7    => MCVC0RXFIFOBASENP(7),
		MCVC0RXFIFOBASENP_8    => MCVC0RXFIFOBASENP(8),
		MCVC0RXFIFOBASENP_9    => MCVC0RXFIFOBASENP(9),
		MCVC0RXFIFOBASEP_0     => MCVC0RXFIFOBASEP(0),
		MCVC0RXFIFOBASEP_1     => MCVC0RXFIFOBASEP(1),
		MCVC0RXFIFOBASEP_10    => MCVC0RXFIFOBASEP(10),
		MCVC0RXFIFOBASEP_11    => MCVC0RXFIFOBASEP(11),
		MCVC0RXFIFOBASEP_12    => MCVC0RXFIFOBASEP(12),
		MCVC0RXFIFOBASEP_2     => MCVC0RXFIFOBASEP(2),
		MCVC0RXFIFOBASEP_3     => MCVC0RXFIFOBASEP(3),
		MCVC0RXFIFOBASEP_4     => MCVC0RXFIFOBASEP(4),
		MCVC0RXFIFOBASEP_5     => MCVC0RXFIFOBASEP(5),
		MCVC0RXFIFOBASEP_6     => MCVC0RXFIFOBASEP(6),
		MCVC0RXFIFOBASEP_7     => MCVC0RXFIFOBASEP(7),
		MCVC0RXFIFOBASEP_8     => MCVC0RXFIFOBASEP(8),
		MCVC0RXFIFOBASEP_9     => MCVC0RXFIFOBASEP(9),
		MCVC0RXFIFOLIMITC_0    => MCVC0RXFIFOLIMITC(0),
		MCVC0RXFIFOLIMITC_1    => MCVC0RXFIFOLIMITC(1),
		MCVC0RXFIFOLIMITC_10   => MCVC0RXFIFOLIMITC(10),
		MCVC0RXFIFOLIMITC_11   => MCVC0RXFIFOLIMITC(11),
		MCVC0RXFIFOLIMITC_12   => MCVC0RXFIFOLIMITC(12),
		MCVC0RXFIFOLIMITC_2    => MCVC0RXFIFOLIMITC(2),
		MCVC0RXFIFOLIMITC_3    => MCVC0RXFIFOLIMITC(3),
		MCVC0RXFIFOLIMITC_4    => MCVC0RXFIFOLIMITC(4),
		MCVC0RXFIFOLIMITC_5    => MCVC0RXFIFOLIMITC(5),
		MCVC0RXFIFOLIMITC_6    => MCVC0RXFIFOLIMITC(6),
		MCVC0RXFIFOLIMITC_7    => MCVC0RXFIFOLIMITC(7),
		MCVC0RXFIFOLIMITC_8    => MCVC0RXFIFOLIMITC(8),
		MCVC0RXFIFOLIMITC_9    => MCVC0RXFIFOLIMITC(9),
		MCVC0RXFIFOLIMITNP_0   => MCVC0RXFIFOLIMITNP(0),
		MCVC0RXFIFOLIMITNP_1   => MCVC0RXFIFOLIMITNP(1),
		MCVC0RXFIFOLIMITNP_10  => MCVC0RXFIFOLIMITNP(10),
		MCVC0RXFIFOLIMITNP_11  => MCVC0RXFIFOLIMITNP(11),
		MCVC0RXFIFOLIMITNP_12  => MCVC0RXFIFOLIMITNP(12),
		MCVC0RXFIFOLIMITNP_2   => MCVC0RXFIFOLIMITNP(2),
		MCVC0RXFIFOLIMITNP_3   => MCVC0RXFIFOLIMITNP(3),
		MCVC0RXFIFOLIMITNP_4   => MCVC0RXFIFOLIMITNP(4),
		MCVC0RXFIFOLIMITNP_5   => MCVC0RXFIFOLIMITNP(5),
		MCVC0RXFIFOLIMITNP_6   => MCVC0RXFIFOLIMITNP(6),
		MCVC0RXFIFOLIMITNP_7   => MCVC0RXFIFOLIMITNP(7),
		MCVC0RXFIFOLIMITNP_8   => MCVC0RXFIFOLIMITNP(8),
		MCVC0RXFIFOLIMITNP_9   => MCVC0RXFIFOLIMITNP(9),
		MCVC0RXFIFOLIMITP_0    => MCVC0RXFIFOLIMITP(0),
		MCVC0RXFIFOLIMITP_1    => MCVC0RXFIFOLIMITP(1),
		MCVC0RXFIFOLIMITP_10   => MCVC0RXFIFOLIMITP(10),
		MCVC0RXFIFOLIMITP_11   => MCVC0RXFIFOLIMITP(11),
		MCVC0RXFIFOLIMITP_12   => MCVC0RXFIFOLIMITP(12),
		MCVC0RXFIFOLIMITP_2    => MCVC0RXFIFOLIMITP(2),
		MCVC0RXFIFOLIMITP_3    => MCVC0RXFIFOLIMITP(3),
		MCVC0RXFIFOLIMITP_4    => MCVC0RXFIFOLIMITP(4),
		MCVC0RXFIFOLIMITP_5    => MCVC0RXFIFOLIMITP(5),
		MCVC0RXFIFOLIMITP_6    => MCVC0RXFIFOLIMITP(6),
		MCVC0RXFIFOLIMITP_7    => MCVC0RXFIFOLIMITP(7),
		MCVC0RXFIFOLIMITP_8    => MCVC0RXFIFOLIMITP(8),
		MCVC0RXFIFOLIMITP_9    => MCVC0RXFIFOLIMITP(9),
		MCVC0TOTALCREDITSCD_0  => MCVC0TOTALCREDITSCD(0),
		MCVC0TOTALCREDITSCD_1  => MCVC0TOTALCREDITSCD(1),
		MCVC0TOTALCREDITSCD_10 => MCVC0TOTALCREDITSCD(10),
		MCVC0TOTALCREDITSCD_2  => MCVC0TOTALCREDITSCD(2),
		MCVC0TOTALCREDITSCD_3  => MCVC0TOTALCREDITSCD(3),
		MCVC0TOTALCREDITSCD_4  => MCVC0TOTALCREDITSCD(4),
		MCVC0TOTALCREDITSCD_5  => MCVC0TOTALCREDITSCD(5),
		MCVC0TOTALCREDITSCD_6  => MCVC0TOTALCREDITSCD(6),
		MCVC0TOTALCREDITSCD_7  => MCVC0TOTALCREDITSCD(7),
		MCVC0TOTALCREDITSCD_8  => MCVC0TOTALCREDITSCD(8),
		MCVC0TOTALCREDITSCD_9  => MCVC0TOTALCREDITSCD(9),
		MCVC0TOTALCREDITSCH_0  => MCVC0TOTALCREDITSCH(0),
		MCVC0TOTALCREDITSCH_1  => MCVC0TOTALCREDITSCH(1),
		MCVC0TOTALCREDITSCH_2  => MCVC0TOTALCREDITSCH(2),
		MCVC0TOTALCREDITSCH_3  => MCVC0TOTALCREDITSCH(3),
		MCVC0TOTALCREDITSCH_4  => MCVC0TOTALCREDITSCH(4),
		MCVC0TOTALCREDITSCH_5  => MCVC0TOTALCREDITSCH(5),
		MCVC0TOTALCREDITSCH_6  => MCVC0TOTALCREDITSCH(6),
		MCVC0TOTALCREDITSNPH_0 => MCVC0TOTALCREDITSNPH(0),
		MCVC0TOTALCREDITSNPH_1 => MCVC0TOTALCREDITSNPH(1),
		MCVC0TOTALCREDITSNPH_2 => MCVC0TOTALCREDITSNPH(2),
		MCVC0TOTALCREDITSNPH_3 => MCVC0TOTALCREDITSNPH(3),
		MCVC0TOTALCREDITSNPH_4 => MCVC0TOTALCREDITSNPH(4),
		MCVC0TOTALCREDITSNPH_5 => MCVC0TOTALCREDITSNPH(5),
		MCVC0TOTALCREDITSNPH_6 => MCVC0TOTALCREDITSNPH(6),
		MCVC0TOTALCREDITSPD_0  => MCVC0TOTALCREDITSPD(0),
		MCVC0TOTALCREDITSPD_1  => MCVC0TOTALCREDITSPD(1),
		MCVC0TOTALCREDITSPD_10 => MCVC0TOTALCREDITSPD(10),
		MCVC0TOTALCREDITSPD_2  => MCVC0TOTALCREDITSPD(2),
		MCVC0TOTALCREDITSPD_3  => MCVC0TOTALCREDITSPD(3),
		MCVC0TOTALCREDITSPD_4  => MCVC0TOTALCREDITSPD(4),
		MCVC0TOTALCREDITSPD_5  => MCVC0TOTALCREDITSPD(5),
		MCVC0TOTALCREDITSPD_6  => MCVC0TOTALCREDITSPD(6),
		MCVC0TOTALCREDITSPD_7  => MCVC0TOTALCREDITSPD(7),
		MCVC0TOTALCREDITSPD_8  => MCVC0TOTALCREDITSPD(8),
		MCVC0TOTALCREDITSPD_9  => MCVC0TOTALCREDITSPD(9),
		MCVC0TOTALCREDITSPH_0  => MCVC0TOTALCREDITSPH(0),
		MCVC0TOTALCREDITSPH_1  => MCVC0TOTALCREDITSPH(1),
		MCVC0TOTALCREDITSPH_2  => MCVC0TOTALCREDITSPH(2),
		MCVC0TOTALCREDITSPH_3  => MCVC0TOTALCREDITSPH(3),
		MCVC0TOTALCREDITSPH_4  => MCVC0TOTALCREDITSPH(4),
		MCVC0TOTALCREDITSPH_5  => MCVC0TOTALCREDITSPH(5),
		MCVC0TOTALCREDITSPH_6  => MCVC0TOTALCREDITSPH(6),
		MCVC0TXFIFOBASEC_0     => MCVC0TXFIFOBASEC(0),
		MCVC0TXFIFOBASEC_1     => MCVC0TXFIFOBASEC(1),
		MCVC0TXFIFOBASEC_10    => MCVC0TXFIFOBASEC(10),
		MCVC0TXFIFOBASEC_11    => MCVC0TXFIFOBASEC(11),
		MCVC0TXFIFOBASEC_12    => MCVC0TXFIFOBASEC(12),
		MCVC0TXFIFOBASEC_2     => MCVC0TXFIFOBASEC(2),
		MCVC0TXFIFOBASEC_3     => MCVC0TXFIFOBASEC(3),
		MCVC0TXFIFOBASEC_4     => MCVC0TXFIFOBASEC(4),
		MCVC0TXFIFOBASEC_5     => MCVC0TXFIFOBASEC(5),
		MCVC0TXFIFOBASEC_6     => MCVC0TXFIFOBASEC(6),
		MCVC0TXFIFOBASEC_7     => MCVC0TXFIFOBASEC(7),
		MCVC0TXFIFOBASEC_8     => MCVC0TXFIFOBASEC(8),
		MCVC0TXFIFOBASEC_9     => MCVC0TXFIFOBASEC(9),
		MCVC0TXFIFOBASENP_0    => MCVC0TXFIFOBASENP(0),
		MCVC0TXFIFOBASENP_1    => MCVC0TXFIFOBASENP(1),
		MCVC0TXFIFOBASENP_10   => MCVC0TXFIFOBASENP(10),
		MCVC0TXFIFOBASENP_11   => MCVC0TXFIFOBASENP(11),
		MCVC0TXFIFOBASENP_12   => MCVC0TXFIFOBASENP(12),
		MCVC0TXFIFOBASENP_2    => MCVC0TXFIFOBASENP(2),
		MCVC0TXFIFOBASENP_3    => MCVC0TXFIFOBASENP(3),
		MCVC0TXFIFOBASENP_4    => MCVC0TXFIFOBASENP(4),
		MCVC0TXFIFOBASENP_5    => MCVC0TXFIFOBASENP(5),
		MCVC0TXFIFOBASENP_6    => MCVC0TXFIFOBASENP(6),
		MCVC0TXFIFOBASENP_7    => MCVC0TXFIFOBASENP(7),
		MCVC0TXFIFOBASENP_8    => MCVC0TXFIFOBASENP(8),
		MCVC0TXFIFOBASENP_9    => MCVC0TXFIFOBASENP(9),
		MCVC0TXFIFOBASEP_0     => MCVC0TXFIFOBASEP(0),
		MCVC0TXFIFOBASEP_1     => MCVC0TXFIFOBASEP(1),
		MCVC0TXFIFOBASEP_10    => MCVC0TXFIFOBASEP(10),
		MCVC0TXFIFOBASEP_11    => MCVC0TXFIFOBASEP(11),
		MCVC0TXFIFOBASEP_12    => MCVC0TXFIFOBASEP(12),
		MCVC0TXFIFOBASEP_2     => MCVC0TXFIFOBASEP(2),
		MCVC0TXFIFOBASEP_3     => MCVC0TXFIFOBASEP(3),
		MCVC0TXFIFOBASEP_4     => MCVC0TXFIFOBASEP(4),
		MCVC0TXFIFOBASEP_5     => MCVC0TXFIFOBASEP(5),
		MCVC0TXFIFOBASEP_6     => MCVC0TXFIFOBASEP(6),
		MCVC0TXFIFOBASEP_7     => MCVC0TXFIFOBASEP(7),
		MCVC0TXFIFOBASEP_8     => MCVC0TXFIFOBASEP(8),
		MCVC0TXFIFOBASEP_9     => MCVC0TXFIFOBASEP(9),
		MCVC0TXFIFOLIMITC_0    => MCVC0TXFIFOLIMITC(0),
		MCVC0TXFIFOLIMITC_1    => MCVC0TXFIFOLIMITC(1),
		MCVC0TXFIFOLIMITC_10   => MCVC0TXFIFOLIMITC(10),
		MCVC0TXFIFOLIMITC_11   => MCVC0TXFIFOLIMITC(11),
		MCVC0TXFIFOLIMITC_12   => MCVC0TXFIFOLIMITC(12),
		MCVC0TXFIFOLIMITC_2    => MCVC0TXFIFOLIMITC(2),
		MCVC0TXFIFOLIMITC_3    => MCVC0TXFIFOLIMITC(3),
		MCVC0TXFIFOLIMITC_4    => MCVC0TXFIFOLIMITC(4),
		MCVC0TXFIFOLIMITC_5    => MCVC0TXFIFOLIMITC(5),
		MCVC0TXFIFOLIMITC_6    => MCVC0TXFIFOLIMITC(6),
		MCVC0TXFIFOLIMITC_7    => MCVC0TXFIFOLIMITC(7),
		MCVC0TXFIFOLIMITC_8    => MCVC0TXFIFOLIMITC(8),
		MCVC0TXFIFOLIMITC_9    => MCVC0TXFIFOLIMITC(9),
		MCVC0TXFIFOLIMITNP_0   => MCVC0TXFIFOLIMITNP(0),
		MCVC0TXFIFOLIMITNP_1   => MCVC0TXFIFOLIMITNP(1),
		MCVC0TXFIFOLIMITNP_10  => MCVC0TXFIFOLIMITNP(10),
		MCVC0TXFIFOLIMITNP_11  => MCVC0TXFIFOLIMITNP(11),
		MCVC0TXFIFOLIMITNP_12  => MCVC0TXFIFOLIMITNP(12),
		MCVC0TXFIFOLIMITNP_2   => MCVC0TXFIFOLIMITNP(2),
		MCVC0TXFIFOLIMITNP_3   => MCVC0TXFIFOLIMITNP(3),
		MCVC0TXFIFOLIMITNP_4   => MCVC0TXFIFOLIMITNP(4),
		MCVC0TXFIFOLIMITNP_5   => MCVC0TXFIFOLIMITNP(5),
		MCVC0TXFIFOLIMITNP_6   => MCVC0TXFIFOLIMITNP(6),
		MCVC0TXFIFOLIMITNP_7   => MCVC0TXFIFOLIMITNP(7),
		MCVC0TXFIFOLIMITNP_8   => MCVC0TXFIFOLIMITNP(8),
		MCVC0TXFIFOLIMITNP_9   => MCVC0TXFIFOLIMITNP(9),
		MCVC0TXFIFOLIMITP_0    => MCVC0TXFIFOLIMITP(0),
		MCVC0TXFIFOLIMITP_1    => MCVC0TXFIFOLIMITP(1),
		MCVC0TXFIFOLIMITP_10   => MCVC0TXFIFOLIMITP(10),
		MCVC0TXFIFOLIMITP_11   => MCVC0TXFIFOLIMITP(11),
		MCVC0TXFIFOLIMITP_12   => MCVC0TXFIFOLIMITP(12),
		MCVC0TXFIFOLIMITP_2    => MCVC0TXFIFOLIMITP(2),
		MCVC0TXFIFOLIMITP_3    => MCVC0TXFIFOLIMITP(3),
		MCVC0TXFIFOLIMITP_4    => MCVC0TXFIFOLIMITP(4),
		MCVC0TXFIFOLIMITP_5    => MCVC0TXFIFOLIMITP(5),
		MCVC0TXFIFOLIMITP_6    => MCVC0TXFIFOLIMITP(6),
		MCVC0TXFIFOLIMITP_7    => MCVC0TXFIFOLIMITP(7),
		MCVC0TXFIFOLIMITP_8    => MCVC0TXFIFOLIMITP(8),
		MCVC0TXFIFOLIMITP_9    => MCVC0TXFIFOLIMITP(9),
		MCVC1RXFIFOBASEC_0     => MCVC1RXFIFOBASEC(0),
		MCVC1RXFIFOBASEC_1     => MCVC1RXFIFOBASEC(1),
		MCVC1RXFIFOBASEC_10    => MCVC1RXFIFOBASEC(10),
		MCVC1RXFIFOBASEC_11    => MCVC1RXFIFOBASEC(11),
		MCVC1RXFIFOBASEC_12    => MCVC1RXFIFOBASEC(12),
		MCVC1RXFIFOBASEC_2     => MCVC1RXFIFOBASEC(2),
		MCVC1RXFIFOBASEC_3     => MCVC1RXFIFOBASEC(3),
		MCVC1RXFIFOBASEC_4     => MCVC1RXFIFOBASEC(4),
		MCVC1RXFIFOBASEC_5     => MCVC1RXFIFOBASEC(5),
		MCVC1RXFIFOBASEC_6     => MCVC1RXFIFOBASEC(6),
		MCVC1RXFIFOBASEC_7     => MCVC1RXFIFOBASEC(7),
		MCVC1RXFIFOBASEC_8     => MCVC1RXFIFOBASEC(8),
		MCVC1RXFIFOBASEC_9     => MCVC1RXFIFOBASEC(9),
		MCVC1RXFIFOBASENP_0    => MCVC1RXFIFOBASENP(0),
		MCVC1RXFIFOBASENP_1    => MCVC1RXFIFOBASENP(1),
		MCVC1RXFIFOBASENP_10   => MCVC1RXFIFOBASENP(10),
		MCVC1RXFIFOBASENP_11   => MCVC1RXFIFOBASENP(11),
		MCVC1RXFIFOBASENP_12   => MCVC1RXFIFOBASENP(12),
		MCVC1RXFIFOBASENP_2    => MCVC1RXFIFOBASENP(2),
		MCVC1RXFIFOBASENP_3    => MCVC1RXFIFOBASENP(3),
		MCVC1RXFIFOBASENP_4    => MCVC1RXFIFOBASENP(4),
		MCVC1RXFIFOBASENP_5    => MCVC1RXFIFOBASENP(5),
		MCVC1RXFIFOBASENP_6    => MCVC1RXFIFOBASENP(6),
		MCVC1RXFIFOBASENP_7    => MCVC1RXFIFOBASENP(7),
		MCVC1RXFIFOBASENP_8    => MCVC1RXFIFOBASENP(8),
		MCVC1RXFIFOBASENP_9    => MCVC1RXFIFOBASENP(9),
		MCVC1RXFIFOBASEP_0     => MCVC1RXFIFOBASEP(0),
		MCVC1RXFIFOBASEP_1     => MCVC1RXFIFOBASEP(1),
		MCVC1RXFIFOBASEP_10    => MCVC1RXFIFOBASEP(10),
		MCVC1RXFIFOBASEP_11    => MCVC1RXFIFOBASEP(11),
		MCVC1RXFIFOBASEP_12    => MCVC1RXFIFOBASEP(12),
		MCVC1RXFIFOBASEP_2     => MCVC1RXFIFOBASEP(2),
		MCVC1RXFIFOBASEP_3     => MCVC1RXFIFOBASEP(3),
		MCVC1RXFIFOBASEP_4     => MCVC1RXFIFOBASEP(4),
		MCVC1RXFIFOBASEP_5     => MCVC1RXFIFOBASEP(5),
		MCVC1RXFIFOBASEP_6     => MCVC1RXFIFOBASEP(6),
		MCVC1RXFIFOBASEP_7     => MCVC1RXFIFOBASEP(7),
		MCVC1RXFIFOBASEP_8     => MCVC1RXFIFOBASEP(8),
		MCVC1RXFIFOBASEP_9     => MCVC1RXFIFOBASEP(9),
		MCVC1RXFIFOLIMITC_0    => MCVC1RXFIFOLIMITC(0),
		MCVC1RXFIFOLIMITC_1    => MCVC1RXFIFOLIMITC(1),
		MCVC1RXFIFOLIMITC_10   => MCVC1RXFIFOLIMITC(10),
		MCVC1RXFIFOLIMITC_11   => MCVC1RXFIFOLIMITC(11),
		MCVC1RXFIFOLIMITC_12   => MCVC1RXFIFOLIMITC(12),
		MCVC1RXFIFOLIMITC_2    => MCVC1RXFIFOLIMITC(2),
		MCVC1RXFIFOLIMITC_3    => MCVC1RXFIFOLIMITC(3),
		MCVC1RXFIFOLIMITC_4    => MCVC1RXFIFOLIMITC(4),
		MCVC1RXFIFOLIMITC_5    => MCVC1RXFIFOLIMITC(5),
		MCVC1RXFIFOLIMITC_6    => MCVC1RXFIFOLIMITC(6),
		MCVC1RXFIFOLIMITC_7    => MCVC1RXFIFOLIMITC(7),
		MCVC1RXFIFOLIMITC_8    => MCVC1RXFIFOLIMITC(8),
		MCVC1RXFIFOLIMITC_9    => MCVC1RXFIFOLIMITC(9),
		MCVC1RXFIFOLIMITNP_0   => MCVC1RXFIFOLIMITNP(0),
		MCVC1RXFIFOLIMITNP_1   => MCVC1RXFIFOLIMITNP(1),
		MCVC1RXFIFOLIMITNP_10  => MCVC1RXFIFOLIMITNP(10),
		MCVC1RXFIFOLIMITNP_11  => MCVC1RXFIFOLIMITNP(11),
		MCVC1RXFIFOLIMITNP_12  => MCVC1RXFIFOLIMITNP(12),
		MCVC1RXFIFOLIMITNP_2   => MCVC1RXFIFOLIMITNP(2),
		MCVC1RXFIFOLIMITNP_3   => MCVC1RXFIFOLIMITNP(3),
		MCVC1RXFIFOLIMITNP_4   => MCVC1RXFIFOLIMITNP(4),
		MCVC1RXFIFOLIMITNP_5   => MCVC1RXFIFOLIMITNP(5),
		MCVC1RXFIFOLIMITNP_6   => MCVC1RXFIFOLIMITNP(6),
		MCVC1RXFIFOLIMITNP_7   => MCVC1RXFIFOLIMITNP(7),
		MCVC1RXFIFOLIMITNP_8   => MCVC1RXFIFOLIMITNP(8),
		MCVC1RXFIFOLIMITNP_9   => MCVC1RXFIFOLIMITNP(9),
		MCVC1RXFIFOLIMITP_0    => MCVC1RXFIFOLIMITP(0),
		MCVC1RXFIFOLIMITP_1    => MCVC1RXFIFOLIMITP(1),
		MCVC1RXFIFOLIMITP_10   => MCVC1RXFIFOLIMITP(10),
		MCVC1RXFIFOLIMITP_11   => MCVC1RXFIFOLIMITP(11),
		MCVC1RXFIFOLIMITP_12   => MCVC1RXFIFOLIMITP(12),
		MCVC1RXFIFOLIMITP_2    => MCVC1RXFIFOLIMITP(2),
		MCVC1RXFIFOLIMITP_3    => MCVC1RXFIFOLIMITP(3),
		MCVC1RXFIFOLIMITP_4    => MCVC1RXFIFOLIMITP(4),
		MCVC1RXFIFOLIMITP_5    => MCVC1RXFIFOLIMITP(5),
		MCVC1RXFIFOLIMITP_6    => MCVC1RXFIFOLIMITP(6),
		MCVC1RXFIFOLIMITP_7    => MCVC1RXFIFOLIMITP(7),
		MCVC1RXFIFOLIMITP_8    => MCVC1RXFIFOLIMITP(8),
		MCVC1RXFIFOLIMITP_9    => MCVC1RXFIFOLIMITP(9),
		MCVC1TOTALCREDITSCD_0  => MCVC1TOTALCREDITSCD(0),
		MCVC1TOTALCREDITSCD_1  => MCVC1TOTALCREDITSCD(1),
		MCVC1TOTALCREDITSCD_10 => MCVC1TOTALCREDITSCD(10),
		MCVC1TOTALCREDITSCD_2  => MCVC1TOTALCREDITSCD(2),
		MCVC1TOTALCREDITSCD_3  => MCVC1TOTALCREDITSCD(3),
		MCVC1TOTALCREDITSCD_4  => MCVC1TOTALCREDITSCD(4),
		MCVC1TOTALCREDITSCD_5  => MCVC1TOTALCREDITSCD(5),
		MCVC1TOTALCREDITSCD_6  => MCVC1TOTALCREDITSCD(6),
		MCVC1TOTALCREDITSCD_7  => MCVC1TOTALCREDITSCD(7),
		MCVC1TOTALCREDITSCD_8  => MCVC1TOTALCREDITSCD(8),
		MCVC1TOTALCREDITSCD_9  => MCVC1TOTALCREDITSCD(9),
		MCVC1TOTALCREDITSCH_0  => MCVC1TOTALCREDITSCH(0),
		MCVC1TOTALCREDITSCH_1  => MCVC1TOTALCREDITSCH(1),
		MCVC1TOTALCREDITSCH_2  => MCVC1TOTALCREDITSCH(2),
		MCVC1TOTALCREDITSCH_3  => MCVC1TOTALCREDITSCH(3),
		MCVC1TOTALCREDITSCH_4  => MCVC1TOTALCREDITSCH(4),
		MCVC1TOTALCREDITSCH_5  => MCVC1TOTALCREDITSCH(5),
		MCVC1TOTALCREDITSCH_6  => MCVC1TOTALCREDITSCH(6),
		MCVC1TOTALCREDITSNPH_0 => MCVC1TOTALCREDITSNPH(0),
		MCVC1TOTALCREDITSNPH_1 => MCVC1TOTALCREDITSNPH(1),
		MCVC1TOTALCREDITSNPH_2 => MCVC1TOTALCREDITSNPH(2),
		MCVC1TOTALCREDITSNPH_3 => MCVC1TOTALCREDITSNPH(3),
		MCVC1TOTALCREDITSNPH_4 => MCVC1TOTALCREDITSNPH(4),
		MCVC1TOTALCREDITSNPH_5 => MCVC1TOTALCREDITSNPH(5),
		MCVC1TOTALCREDITSNPH_6 => MCVC1TOTALCREDITSNPH(6),
		MCVC1TOTALCREDITSPD_0  => MCVC1TOTALCREDITSPD(0),
		MCVC1TOTALCREDITSPD_1  => MCVC1TOTALCREDITSPD(1),
		MCVC1TOTALCREDITSPD_10 => MCVC1TOTALCREDITSPD(10),
		MCVC1TOTALCREDITSPD_2  => MCVC1TOTALCREDITSPD(2),
		MCVC1TOTALCREDITSPD_3  => MCVC1TOTALCREDITSPD(3),
		MCVC1TOTALCREDITSPD_4  => MCVC1TOTALCREDITSPD(4),
		MCVC1TOTALCREDITSPD_5  => MCVC1TOTALCREDITSPD(5),
		MCVC1TOTALCREDITSPD_6  => MCVC1TOTALCREDITSPD(6),
		MCVC1TOTALCREDITSPD_7  => MCVC1TOTALCREDITSPD(7),
		MCVC1TOTALCREDITSPD_8  => MCVC1TOTALCREDITSPD(8),
		MCVC1TOTALCREDITSPD_9  => MCVC1TOTALCREDITSPD(9),
		MCVC1TOTALCREDITSPH_0  => MCVC1TOTALCREDITSPH(0),
		MCVC1TOTALCREDITSPH_1  => MCVC1TOTALCREDITSPH(1),
		MCVC1TOTALCREDITSPH_2  => MCVC1TOTALCREDITSPH(2),
		MCVC1TOTALCREDITSPH_3  => MCVC1TOTALCREDITSPH(3),
		MCVC1TOTALCREDITSPH_4  => MCVC1TOTALCREDITSPH(4),
		MCVC1TOTALCREDITSPH_5  => MCVC1TOTALCREDITSPH(5),
		MCVC1TOTALCREDITSPH_6  => MCVC1TOTALCREDITSPH(6),
		MCVC1TXFIFOBASEC_0     => MCVC1TXFIFOBASEC(0),
		MCVC1TXFIFOBASEC_1     => MCVC1TXFIFOBASEC(1),
		MCVC1TXFIFOBASEC_10    => MCVC1TXFIFOBASEC(10),
		MCVC1TXFIFOBASEC_11    => MCVC1TXFIFOBASEC(11),
		MCVC1TXFIFOBASEC_12    => MCVC1TXFIFOBASEC(12),
		MCVC1TXFIFOBASEC_2     => MCVC1TXFIFOBASEC(2),
		MCVC1TXFIFOBASEC_3     => MCVC1TXFIFOBASEC(3),
		MCVC1TXFIFOBASEC_4     => MCVC1TXFIFOBASEC(4),
		MCVC1TXFIFOBASEC_5     => MCVC1TXFIFOBASEC(5),
		MCVC1TXFIFOBASEC_6     => MCVC1TXFIFOBASEC(6),
		MCVC1TXFIFOBASEC_7     => MCVC1TXFIFOBASEC(7),
		MCVC1TXFIFOBASEC_8     => MCVC1TXFIFOBASEC(8),
		MCVC1TXFIFOBASEC_9     => MCVC1TXFIFOBASEC(9),
		MCVC1TXFIFOBASENP_0    => MCVC1TXFIFOBASENP(0),
		MCVC1TXFIFOBASENP_1    => MCVC1TXFIFOBASENP(1),
		MCVC1TXFIFOBASENP_10   => MCVC1TXFIFOBASENP(10),
		MCVC1TXFIFOBASENP_11   => MCVC1TXFIFOBASENP(11),
		MCVC1TXFIFOBASENP_12   => MCVC1TXFIFOBASENP(12),
		MCVC1TXFIFOBASENP_2    => MCVC1TXFIFOBASENP(2),
		MCVC1TXFIFOBASENP_3    => MCVC1TXFIFOBASENP(3),
		MCVC1TXFIFOBASENP_4    => MCVC1TXFIFOBASENP(4),
		MCVC1TXFIFOBASENP_5    => MCVC1TXFIFOBASENP(5),
		MCVC1TXFIFOBASENP_6    => MCVC1TXFIFOBASENP(6),
		MCVC1TXFIFOBASENP_7    => MCVC1TXFIFOBASENP(7),
		MCVC1TXFIFOBASENP_8    => MCVC1TXFIFOBASENP(8),
		MCVC1TXFIFOBASENP_9    => MCVC1TXFIFOBASENP(9),
		MCVC1TXFIFOBASEP_0     => MCVC1TXFIFOBASEP(0),
		MCVC1TXFIFOBASEP_1     => MCVC1TXFIFOBASEP(1),
		MCVC1TXFIFOBASEP_10    => MCVC1TXFIFOBASEP(10),
		MCVC1TXFIFOBASEP_11    => MCVC1TXFIFOBASEP(11),
		MCVC1TXFIFOBASEP_12    => MCVC1TXFIFOBASEP(12),
		MCVC1TXFIFOBASEP_2     => MCVC1TXFIFOBASEP(2),
		MCVC1TXFIFOBASEP_3     => MCVC1TXFIFOBASEP(3),
		MCVC1TXFIFOBASEP_4     => MCVC1TXFIFOBASEP(4),
		MCVC1TXFIFOBASEP_5     => MCVC1TXFIFOBASEP(5),
		MCVC1TXFIFOBASEP_6     => MCVC1TXFIFOBASEP(6),
		MCVC1TXFIFOBASEP_7     => MCVC1TXFIFOBASEP(7),
		MCVC1TXFIFOBASEP_8     => MCVC1TXFIFOBASEP(8),
		MCVC1TXFIFOBASEP_9     => MCVC1TXFIFOBASEP(9),
		MCVC1TXFIFOLIMITC_0    => MCVC1TXFIFOLIMITC(0),
		MCVC1TXFIFOLIMITC_1    => MCVC1TXFIFOLIMITC(1),
		MCVC1TXFIFOLIMITC_10   => MCVC1TXFIFOLIMITC(10),
		MCVC1TXFIFOLIMITC_11   => MCVC1TXFIFOLIMITC(11),
		MCVC1TXFIFOLIMITC_12   => MCVC1TXFIFOLIMITC(12),
		MCVC1TXFIFOLIMITC_2    => MCVC1TXFIFOLIMITC(2),
		MCVC1TXFIFOLIMITC_3    => MCVC1TXFIFOLIMITC(3),
		MCVC1TXFIFOLIMITC_4    => MCVC1TXFIFOLIMITC(4),
		MCVC1TXFIFOLIMITC_5    => MCVC1TXFIFOLIMITC(5),
		MCVC1TXFIFOLIMITC_6    => MCVC1TXFIFOLIMITC(6),
		MCVC1TXFIFOLIMITC_7    => MCVC1TXFIFOLIMITC(7),
		MCVC1TXFIFOLIMITC_8    => MCVC1TXFIFOLIMITC(8),
		MCVC1TXFIFOLIMITC_9    => MCVC1TXFIFOLIMITC(9),
		MCVC1TXFIFOLIMITNP_0   => MCVC1TXFIFOLIMITNP(0),
		MCVC1TXFIFOLIMITNP_1   => MCVC1TXFIFOLIMITNP(1),
		MCVC1TXFIFOLIMITNP_10  => MCVC1TXFIFOLIMITNP(10),
		MCVC1TXFIFOLIMITNP_11  => MCVC1TXFIFOLIMITNP(11),
		MCVC1TXFIFOLIMITNP_12  => MCVC1TXFIFOLIMITNP(12),
		MCVC1TXFIFOLIMITNP_2   => MCVC1TXFIFOLIMITNP(2),
		MCVC1TXFIFOLIMITNP_3   => MCVC1TXFIFOLIMITNP(3),
		MCVC1TXFIFOLIMITNP_4   => MCVC1TXFIFOLIMITNP(4),
		MCVC1TXFIFOLIMITNP_5   => MCVC1TXFIFOLIMITNP(5),
		MCVC1TXFIFOLIMITNP_6   => MCVC1TXFIFOLIMITNP(6),
		MCVC1TXFIFOLIMITNP_7   => MCVC1TXFIFOLIMITNP(7),
		MCVC1TXFIFOLIMITNP_8   => MCVC1TXFIFOLIMITNP(8),
		MCVC1TXFIFOLIMITNP_9   => MCVC1TXFIFOLIMITNP(9),
		MCVC1TXFIFOLIMITP_0    => MCVC1TXFIFOLIMITP(0),
		MCVC1TXFIFOLIMITP_1    => MCVC1TXFIFOLIMITP(1),
		MCVC1TXFIFOLIMITP_10   => MCVC1TXFIFOLIMITP(10),
		MCVC1TXFIFOLIMITP_11   => MCVC1TXFIFOLIMITP(11),
		MCVC1TXFIFOLIMITP_12   => MCVC1TXFIFOLIMITP(12),
		MCVC1TXFIFOLIMITP_2    => MCVC1TXFIFOLIMITP(2),
		MCVC1TXFIFOLIMITP_3    => MCVC1TXFIFOLIMITP(3),
		MCVC1TXFIFOLIMITP_4    => MCVC1TXFIFOLIMITP(4),
		MCVC1TXFIFOLIMITP_5    => MCVC1TXFIFOLIMITP(5),
		MCVC1TXFIFOLIMITP_6    => MCVC1TXFIFOLIMITP(6),
		MCVC1TXFIFOLIMITP_7    => MCVC1TXFIFOLIMITP(7),
		MCVC1TXFIFOLIMITP_8    => MCVC1TXFIFOLIMITP(8),
		MCVC1TXFIFOLIMITP_9    => MCVC1TXFIFOLIMITP(9),
		MCVCBASEPTR_0          => MCVCBASEPTR(0),
		MCVCBASEPTR_1          => MCVCBASEPTR(1),
		MCVCBASEPTR_10         => MCVCBASEPTR(10),
		MCVCBASEPTR_11         => MCVCBASEPTR(11),
		MCVCBASEPTR_2          => MCVCBASEPTR(2),
		MCVCBASEPTR_3          => MCVCBASEPTR(3),
		MCVCBASEPTR_4          => MCVCBASEPTR(4),
		MCVCBASEPTR_5          => MCVCBASEPTR(5),
		MCVCBASEPTR_6          => MCVCBASEPTR(6),
		MCVCBASEPTR_7          => MCVCBASEPTR(7),
		MCVCBASEPTR_8          => MCVCBASEPTR(8),
		MCVCBASEPTR_9          => MCVCBASEPTR(9),
		MCVCCAPABILITYNEXTPTR_0 => MCVCCAPABILITYNEXTPTR(0),
		MCVCCAPABILITYNEXTPTR_1 => MCVCCAPABILITYNEXTPTR(1),
		MCVCCAPABILITYNEXTPTR_10 => MCVCCAPABILITYNEXTPTR(10),
		MCVCCAPABILITYNEXTPTR_11 => MCVCCAPABILITYNEXTPTR(11),
		MCVCCAPABILITYNEXTPTR_2 => MCVCCAPABILITYNEXTPTR(2),
		MCVCCAPABILITYNEXTPTR_3 => MCVCCAPABILITYNEXTPTR(3),
		MCVCCAPABILITYNEXTPTR_4 => MCVCCAPABILITYNEXTPTR(4),
		MCVCCAPABILITYNEXTPTR_5 => MCVCCAPABILITYNEXTPTR(5),
		MCVCCAPABILITYNEXTPTR_6 => MCVCCAPABILITYNEXTPTR(6),
		MCVCCAPABILITYNEXTPTR_7 => MCVCCAPABILITYNEXTPTR(7),
		MCVCCAPABILITYNEXTPTR_8 => MCVCCAPABILITYNEXTPTR(8),
		MCVCCAPABILITYNEXTPTR_9 => MCVCCAPABILITYNEXTPTR(9),
		MCVENDORID_0           => MCVENDORID(0),
		MCVENDORID_1           => MCVENDORID(1),
		MCVENDORID_10          => MCVENDORID(10),
		MCVENDORID_11          => MCVENDORID(11),
		MCVENDORID_12          => MCVENDORID(12),
		MCVENDORID_13          => MCVENDORID(13),
		MCVENDORID_14          => MCVENDORID(14),
		MCVENDORID_15          => MCVENDORID(15),
		MCVENDORID_2           => MCVENDORID(2),
		MCVENDORID_3           => MCVENDORID(3),
		MCVENDORID_4           => MCVENDORID(4),
		MCVENDORID_5           => MCVENDORID(5),
		MCVENDORID_6           => MCVENDORID(6),
		MCVENDORID_7           => MCVENDORID(7),
		MCVENDORID_8           => MCVENDORID(8),
		MCVENDORID_9           => MCVENDORID(9),
		MCXLINKSUPPORTED       => MCXLINKSUPPORTED,
		MCXPBASEPTR_0          => MCXPBASEPTR(0),
		MCXPBASEPTR_1          => MCXPBASEPTR(1),
		MCXPBASEPTR_2          => MCXPBASEPTR(2),
		MCXPBASEPTR_3          => MCXPBASEPTR(3),
		MCXPBASEPTR_4          => MCXPBASEPTR(4),
		MCXPBASEPTR_5          => MCXPBASEPTR(5),
		MCXPBASEPTR_6          => MCXPBASEPTR(6),
		MCXPBASEPTR_7          => MCXPBASEPTR(7),
		MCXPDEVICEPORTTYPE_0   => MCXPDEVICEPORTTYPE(0),
		MCXPDEVICEPORTTYPE_1   => MCXPDEVICEPORTTYPE(1),
		MCXPDEVICEPORTTYPE_2   => MCXPDEVICEPORTTYPE(2),
		MCXPDEVICEPORTTYPE_3   => MCXPDEVICEPORTTYPE(3),
		MCXPMAXPAYLOAD_0       => MCXPMAXPAYLOAD(0),
		MCXPMAXPAYLOAD_1       => MCXPMAXPAYLOAD(1),
		MCXPMAXPAYLOAD_2       => MCXPMAXPAYLOAD(2),
		MCXPRCBCONTROL         => MCXPRCBCONTROL
		);
begin
pcie_internal_1_1_swift_inst : PCIE_INTERNAL_1_1_SWIFT
        generic map (
          TEST_MODE => TEST_MODE)
	port map (
		BUSMASTERENABLE       =>  BUSMASTERENABLE,
		CRMDOHOTRESETN        =>  CRMDOHOTRESETN,
		CRMPWRSOFTRESETN      =>  CRMPWRSOFTRESETN,
		CRMRXHOTRESETN        =>  CRMRXHOTRESETN,
		DLLTXPMDLLPOUTSTANDING  =>  DLLTXPMDLLPOUTSTANDING,
		INTERRUPTDISABLE      =>  INTERRUPTDISABLE,
		IOSPACEENABLE         =>  IOSPACEENABLE,
		L0ASAUTONOMOUSINITCOMPLETED  =>  L0ASAUTONOMOUSINITCOMPLETED,
		L0ATTENTIONINDICATORCONTROL  =>  L0ATTENTIONINDICATORCONTROL,
		L0CFGLOOPBACKACK      =>  L0CFGLOOPBACKACK,
		L0COMPLETERID         =>  L0COMPLETERID,
		L0CORRERRMSGRCVD      =>  L0CORRERRMSGRCVD,
		L0DLLASRXSTATE        =>  L0DLLASRXSTATE,
		L0DLLASTXSTATE        =>  L0DLLASTXSTATE,
		L0DLLERRORVECTOR      =>  L0DLLERRORVECTOR,
		L0DLLRXACKOUTSTANDING  =>  L0DLLRXACKOUTSTANDING,
		L0DLLTXNONFCOUTSTANDING  =>  L0DLLTXNONFCOUTSTANDING,
		L0DLLTXOUTSTANDING    =>  L0DLLTXOUTSTANDING,
		L0DLLVCSTATUS         =>  L0DLLVCSTATUS,
		L0DLUPDOWN            =>  L0DLUPDOWN,
		L0ERRMSGREQID         =>  L0ERRMSGREQID,
		L0FATALERRMSGRCVD     =>  L0FATALERRMSGRCVD,
		L0FIRSTCFGWRITEOCCURRED  =>  L0FIRSTCFGWRITEOCCURRED,
		L0FWDCORRERROUT       =>  L0FWDCORRERROUT,
		L0FWDFATALERROUT      =>  L0FWDFATALERROUT,
		L0FWDNONFATALERROUT   =>  L0FWDNONFATALERROUT,
		L0LTSSMSTATE          =>  L0LTSSMSTATE,
		L0MACENTEREDL0        =>  L0MACENTEREDL0,
		L0MACLINKTRAINING     =>  L0MACLINKTRAINING,
		L0MACLINKUP           =>  L0MACLINKUP,
		L0MACNEGOTIATEDLINKWIDTH  =>  L0MACNEGOTIATEDLINKWIDTH,
		L0MACNEWSTATEACK      =>  L0MACNEWSTATEACK,
		L0MACRXL0SSTATE       =>  L0MACRXL0SSTATE,
		L0MACUPSTREAMDOWNSTREAM  =>  L0MACUPSTREAMDOWNSTREAM,
		L0MCFOUND             =>  L0MCFOUND,
		L0MSIENABLE0          =>  L0MSIENABLE0,
		L0MULTIMSGEN0         =>  L0MULTIMSGEN0,
		L0NONFATALERRMSGRCVD  =>  L0NONFATALERRMSGRCVD,
		L0PMEACK              =>  L0PMEACK,
		L0PMEEN               =>  L0PMEEN,
		L0PMEREQOUT           =>  L0PMEREQOUT,
		L0POWERCONTROLLERCONTROL  =>  L0POWERCONTROLLERCONTROL,
		L0POWERINDICATORCONTROL  =>  L0POWERINDICATORCONTROL,
		L0PWRINHIBITTRANSFERS  =>  L0PWRINHIBITTRANSFERS,
		L0PWRL1STATE          =>  L0PWRL1STATE,
		L0PWRL23READYDEVICE   =>  L0PWRL23READYDEVICE,
		L0PWRL23READYSTATE    =>  L0PWRL23READYSTATE,
		L0PWRSTATE0           =>  L0PWRSTATE0,
		L0PWRTURNOFFREQ       =>  L0PWRTURNOFFREQ,
		L0PWRTXL0SSTATE       =>  L0PWRTXL0SSTATE,
		L0RECEIVEDASSERTINTALEGACYINT  =>  L0RECEIVEDASSERTINTALEGACYINT,
		L0RECEIVEDASSERTINTBLEGACYINT  =>  L0RECEIVEDASSERTINTBLEGACYINT,
		L0RECEIVEDASSERTINTCLEGACYINT  =>  L0RECEIVEDASSERTINTCLEGACYINT,
		L0RECEIVEDASSERTINTDLEGACYINT  =>  L0RECEIVEDASSERTINTDLEGACYINT,
		L0RECEIVEDDEASSERTINTALEGACYINT  =>  L0RECEIVEDDEASSERTINTALEGACYINT,
		L0RECEIVEDDEASSERTINTBLEGACYINT  =>  L0RECEIVEDDEASSERTINTBLEGACYINT,
		L0RECEIVEDDEASSERTINTCLEGACYINT  =>  L0RECEIVEDDEASSERTINTCLEGACYINT,
		L0RECEIVEDDEASSERTINTDLEGACYINT  =>  L0RECEIVEDDEASSERTINTDLEGACYINT,
		L0RXBEACON            =>  L0RXBEACON,
		L0RXDLLFCCMPLMCCRED   =>  L0RXDLLFCCMPLMCCRED,
		L0RXDLLFCCMPLMCUPDATE  =>  L0RXDLLFCCMPLMCUPDATE,
		L0RXDLLFCNPOSTBYPCRED  =>  L0RXDLLFCNPOSTBYPCRED,
		L0RXDLLFCNPOSTBYPUPDATE  =>  L0RXDLLFCNPOSTBYPUPDATE,
		L0RXDLLFCPOSTORDCRED  =>  L0RXDLLFCPOSTORDCRED,
		L0RXDLLFCPOSTORDUPDATE  =>  L0RXDLLFCPOSTORDUPDATE,
		L0RXDLLPM             =>  L0RXDLLPM,
		L0RXDLLPMTYPE         =>  L0RXDLLPMTYPE,
		L0RXDLLSBFCDATA       =>  L0RXDLLSBFCDATA,
		L0RXDLLSBFCUPDATE     =>  L0RXDLLSBFCUPDATE,
		L0RXDLLTLPECRCOK      =>  L0RXDLLTLPECRCOK,
		L0RXDLLTLPEND         =>  L0RXDLLTLPEND,
		L0RXMACLINKERROR      =>  L0RXMACLINKERROR,
		L0STATSCFGOTHERRECEIVED  =>  L0STATSCFGOTHERRECEIVED,
		L0STATSCFGOTHERTRANSMITTED  =>  L0STATSCFGOTHERTRANSMITTED,
		L0STATSCFGRECEIVED    =>  L0STATSCFGRECEIVED,
		L0STATSCFGTRANSMITTED  =>  L0STATSCFGTRANSMITTED,
		L0STATSDLLPRECEIVED   =>  L0STATSDLLPRECEIVED,
		L0STATSDLLPTRANSMITTED  =>  L0STATSDLLPTRANSMITTED,
		L0STATSOSRECEIVED     =>  L0STATSOSRECEIVED,
		L0STATSOSTRANSMITTED  =>  L0STATSOSTRANSMITTED,
		L0STATSTLPRECEIVED    =>  L0STATSTLPRECEIVED,
		L0STATSTLPTRANSMITTED  =>  L0STATSTLPTRANSMITTED,
		L0TOGGLEELECTROMECHANICALINTERLOCK  =>  L0TOGGLEELECTROMECHANICALINTERLOCK,
		L0TRANSFORMEDVC       =>  L0TRANSFORMEDVC,
		L0TXDLLFCCMPLMCUPDATED  =>  L0TXDLLFCCMPLMCUPDATED,
		L0TXDLLFCNPOSTBYPUPDATED  =>  L0TXDLLFCNPOSTBYPUPDATED,
		L0TXDLLFCPOSTORDUPDATED  =>  L0TXDLLFCPOSTORDUPDATED,
		L0TXDLLPMUPDATED      =>  L0TXDLLPMUPDATED,
		L0TXDLLSBFCUPDATED    =>  L0TXDLLSBFCUPDATED,
		L0UCBYPFOUND          =>  L0UCBYPFOUND,
		L0UCORDFOUND          =>  L0UCORDFOUND,
		L0UNLOCKRECEIVED      =>  L0UNLOCKRECEIVED,
		LLKRX4DWHEADERN       =>  LLKRX4DWHEADERN,
		LLKRXCHCOMPLETIONAVAILABLEN  =>  LLKRXCHCOMPLETIONAVAILABLEN,
		LLKRXCHCOMPLETIONPARTIALN  =>  LLKRXCHCOMPLETIONPARTIALN,
		LLKRXCHCONFIGAVAILABLEN  =>  LLKRXCHCONFIGAVAILABLEN,
		LLKRXCHCONFIGPARTIALN  =>  LLKRXCHCONFIGPARTIALN,
		LLKRXCHNONPOSTEDAVAILABLEN  =>  LLKRXCHNONPOSTEDAVAILABLEN,
		LLKRXCHNONPOSTEDPARTIALN  =>  LLKRXCHNONPOSTEDPARTIALN,
		LLKRXCHPOSTEDAVAILABLEN  =>  LLKRXCHPOSTEDAVAILABLEN,
		LLKRXCHPOSTEDPARTIALN  =>  LLKRXCHPOSTEDPARTIALN,
		LLKRXDATA             =>  LLKRXDATA,
		LLKRXECRCBADN         =>  LLKRXECRCBADN,
		LLKRXEOFN             =>  LLKRXEOFN,
		LLKRXEOPN             =>  LLKRXEOPN,
		LLKRXPREFERREDTYPE    =>  LLKRXPREFERREDTYPE,
		LLKRXSOFN             =>  LLKRXSOFN,
		LLKRXSOPN             =>  LLKRXSOPN,
		LLKRXSRCDSCN          =>  LLKRXSRCDSCN,
		LLKRXSRCLASTREQN      =>  LLKRXSRCLASTREQN,
		LLKRXSRCRDYN          =>  LLKRXSRCRDYN,
		LLKRXVALIDN           =>  LLKRXVALIDN,
		LLKTCSTATUS           =>  LLKTCSTATUS,
		LLKTXCHANSPACE        =>  LLKTXCHANSPACE,
		LLKTXCHCOMPLETIONREADYN  =>  LLKTXCHCOMPLETIONREADYN,
		LLKTXCHNONPOSTEDREADYN  =>  LLKTXCHNONPOSTEDREADYN,
		LLKTXCHPOSTEDREADYN   =>  LLKTXCHPOSTEDREADYN,
		LLKTXCONFIGREADYN     =>  LLKTXCONFIGREADYN,
		LLKTXDSTRDYN          =>  LLKTXDSTRDYN,
		MAXPAYLOADSIZE        =>  MAXPAYLOADSIZE,
		MAXREADREQUESTSIZE    =>  MAXREADREQUESTSIZE,
		MEMSPACEENABLE        =>  MEMSPACEENABLE,
		MGMTPSO               =>  MGMTPSO,
		MGMTRDATA             =>  MGMTRDATA,
		MGMTSTATSCREDIT       =>  MGMTSTATSCREDIT,
		MIMDLLBRADD           =>  MIMDLLBRADD,
		MIMDLLBREN            =>  MIMDLLBREN,
		MIMDLLBWADD           =>  MIMDLLBWADD,
		MIMDLLBWDATA          =>  MIMDLLBWDATA,
		MIMDLLBWEN            =>  MIMDLLBWEN,
		MIMRXBRADD            =>  MIMRXBRADD,
		MIMRXBREN             =>  MIMRXBREN,
		MIMRXBWADD            =>  MIMRXBWADD,
		MIMRXBWDATA           =>  MIMRXBWDATA,
		MIMRXBWEN             =>  MIMRXBWEN,
		MIMTXBRADD            =>  MIMTXBRADD,
		MIMTXBREN             =>  MIMTXBREN,
		MIMTXBWADD            =>  MIMTXBWADD,
		MIMTXBWDATA           =>  MIMTXBWDATA,
		MIMTXBWEN             =>  MIMTXBWEN,
		PARITYERRORRESPONSE   =>  PARITYERRORRESPONSE,
		PIPEDESKEWLANESL0     =>  PIPEDESKEWLANESL0,
		PIPEDESKEWLANESL1     =>  PIPEDESKEWLANESL1,
		PIPEDESKEWLANESL2     =>  PIPEDESKEWLANESL2,
		PIPEDESKEWLANESL3     =>  PIPEDESKEWLANESL3,
		PIPEDESKEWLANESL4     =>  PIPEDESKEWLANESL4,
		PIPEDESKEWLANESL5     =>  PIPEDESKEWLANESL5,
		PIPEDESKEWLANESL6     =>  PIPEDESKEWLANESL6,
		PIPEDESKEWLANESL7     =>  PIPEDESKEWLANESL7,
		PIPEPOWERDOWNL0       =>  PIPEPOWERDOWNL0,
		PIPEPOWERDOWNL1       =>  PIPEPOWERDOWNL1,
		PIPEPOWERDOWNL2       =>  PIPEPOWERDOWNL2,
		PIPEPOWERDOWNL3       =>  PIPEPOWERDOWNL3,
		PIPEPOWERDOWNL4       =>  PIPEPOWERDOWNL4,
		PIPEPOWERDOWNL5       =>  PIPEPOWERDOWNL5,
		PIPEPOWERDOWNL6       =>  PIPEPOWERDOWNL6,
		PIPEPOWERDOWNL7       =>  PIPEPOWERDOWNL7,
		PIPERESETL0           =>  PIPERESETL0,
		PIPERESETL1           =>  PIPERESETL1,
		PIPERESETL2           =>  PIPERESETL2,
		PIPERESETL3           =>  PIPERESETL3,
		PIPERESETL4           =>  PIPERESETL4,
		PIPERESETL5           =>  PIPERESETL5,
		PIPERESETL6           =>  PIPERESETL6,
		PIPERESETL7           =>  PIPERESETL7,
		PIPERXPOLARITYL0      =>  PIPERXPOLARITYL0,
		PIPERXPOLARITYL1      =>  PIPERXPOLARITYL1,
		PIPERXPOLARITYL2      =>  PIPERXPOLARITYL2,
		PIPERXPOLARITYL3      =>  PIPERXPOLARITYL3,
		PIPERXPOLARITYL4      =>  PIPERXPOLARITYL4,
		PIPERXPOLARITYL5      =>  PIPERXPOLARITYL5,
		PIPERXPOLARITYL6      =>  PIPERXPOLARITYL6,
		PIPERXPOLARITYL7      =>  PIPERXPOLARITYL7,
		PIPETXCOMPLIANCEL0    =>  PIPETXCOMPLIANCEL0,
		PIPETXCOMPLIANCEL1    =>  PIPETXCOMPLIANCEL1,
		PIPETXCOMPLIANCEL2    =>  PIPETXCOMPLIANCEL2,
		PIPETXCOMPLIANCEL3    =>  PIPETXCOMPLIANCEL3,
		PIPETXCOMPLIANCEL4    =>  PIPETXCOMPLIANCEL4,
		PIPETXCOMPLIANCEL5    =>  PIPETXCOMPLIANCEL5,
		PIPETXCOMPLIANCEL6    =>  PIPETXCOMPLIANCEL6,
		PIPETXCOMPLIANCEL7    =>  PIPETXCOMPLIANCEL7,
		PIPETXDATAKL0         =>  PIPETXDATAKL0,
		PIPETXDATAKL1         =>  PIPETXDATAKL1,
		PIPETXDATAKL2         =>  PIPETXDATAKL2,
		PIPETXDATAKL3         =>  PIPETXDATAKL3,
		PIPETXDATAKL4         =>  PIPETXDATAKL4,
		PIPETXDATAKL5         =>  PIPETXDATAKL5,
		PIPETXDATAKL6         =>  PIPETXDATAKL6,
		PIPETXDATAKL7         =>  PIPETXDATAKL7,
		PIPETXDATAL0          =>  PIPETXDATAL0,
		PIPETXDATAL1          =>  PIPETXDATAL1,
		PIPETXDATAL2          =>  PIPETXDATAL2,
		PIPETXDATAL3          =>  PIPETXDATAL3,
		PIPETXDATAL4          =>  PIPETXDATAL4,
		PIPETXDATAL5          =>  PIPETXDATAL5,
		PIPETXDATAL6          =>  PIPETXDATAL6,
		PIPETXDATAL7          =>  PIPETXDATAL7,
		PIPETXDETECTRXLOOPBACKL0  =>  PIPETXDETECTRXLOOPBACKL0,
		PIPETXDETECTRXLOOPBACKL1  =>  PIPETXDETECTRXLOOPBACKL1,
		PIPETXDETECTRXLOOPBACKL2  =>  PIPETXDETECTRXLOOPBACKL2,
		PIPETXDETECTRXLOOPBACKL3  =>  PIPETXDETECTRXLOOPBACKL3,
		PIPETXDETECTRXLOOPBACKL4  =>  PIPETXDETECTRXLOOPBACKL4,
		PIPETXDETECTRXLOOPBACKL5  =>  PIPETXDETECTRXLOOPBACKL5,
		PIPETXDETECTRXLOOPBACKL6  =>  PIPETXDETECTRXLOOPBACKL6,
		PIPETXDETECTRXLOOPBACKL7  =>  PIPETXDETECTRXLOOPBACKL7,
		PIPETXELECIDLEL0      =>  PIPETXELECIDLEL0,
		PIPETXELECIDLEL1      =>  PIPETXELECIDLEL1,
		PIPETXELECIDLEL2      =>  PIPETXELECIDLEL2,
		PIPETXELECIDLEL3      =>  PIPETXELECIDLEL3,
		PIPETXELECIDLEL4      =>  PIPETXELECIDLEL4,
		PIPETXELECIDLEL5      =>  PIPETXELECIDLEL5,
		PIPETXELECIDLEL6      =>  PIPETXELECIDLEL6,
		PIPETXELECIDLEL7      =>  PIPETXELECIDLEL7,
		SERRENABLE            =>  SERRENABLE,
		URREPORTINGENABLE     =>  URREPORTINGENABLE,

		AUXPOWER              =>  AUXPOWER,
		CFGNEGOTIATEDLINKWIDTH  =>  CFGNEGOTIATEDLINKWIDTH,
		COMPLIANCEAVOID       =>  COMPLIANCEAVOID,
		CRMCFGBRIDGEHOTRESET  =>  CRMCFGBRIDGEHOTRESET,
		CRMCORECLK            =>  CRMCORECLK,
		CRMCORECLKDLO         =>  CRMCORECLKDLO,
		CRMCORECLKRXO         =>  CRMCORECLKRXO,
		CRMCORECLKTXO         =>  CRMCORECLKTXO,
		CRMLINKRSTN           =>  CRMLINKRSTN,
		CRMMACRSTN            =>  CRMMACRSTN,
		CRMMGMTRSTN           =>  CRMMGMTRSTN,
		CRMNVRSTN             =>  CRMNVRSTN,
		CRMTXHOTRESETN        =>  CRMTXHOTRESETN,
		CRMURSTN              =>  CRMURSTN,
		CRMUSERCFGRSTN        =>  CRMUSERCFGRSTN,
		CRMUSERCLK            =>  CRMUSERCLK,
		CRMUSERCLKRXO         =>  CRMUSERCLKRXO,
		CRMUSERCLKTXO         =>  CRMUSERCLKTXO,
		CROSSLINKSEED         =>  CROSSLINKSEED,
		GSR                   =>  GSR,
		L0ACKNAKTIMERADJUSTMENT  =>  L0ACKNAKTIMERADJUSTMENT,
		L0ALLDOWNPORTSINL1    =>  L0ALLDOWNPORTSINL1,
		L0ALLDOWNRXPORTSINL0S  =>  L0ALLDOWNRXPORTSINL0S,
		L0ASE                 =>  L0ASE,
		L0ASPORTCOUNT         =>  L0ASPORTCOUNT,
		L0ASTURNPOOLBITSCONSUMED  =>  L0ASTURNPOOLBITSCONSUMED,
		L0ATTENTIONBUTTONPRESSED  =>  L0ATTENTIONBUTTONPRESSED,
		L0CFGASSPANTREEOWNEDSTATE  =>  L0CFGASSPANTREEOWNEDSTATE,
		L0CFGASSTATECHANGECMD  =>  L0CFGASSTATECHANGECMD,
		L0CFGDISABLESCRAMBLE  =>  L0CFGDISABLESCRAMBLE,
		L0CFGEXTENDEDSYNC     =>  L0CFGEXTENDEDSYNC,
		L0CFGL0SENTRYENABLE   =>  L0CFGL0SENTRYENABLE,
		L0CFGL0SENTRYSUP      =>  L0CFGL0SENTRYSUP,
		L0CFGL0SEXITLAT       =>  L0CFGL0SEXITLAT,
		L0CFGLINKDISABLE      =>  L0CFGLINKDISABLE,
		L0CFGLOOPBACKMASTER   =>  L0CFGLOOPBACKMASTER,
		L0CFGNEGOTIATEDMAXP   =>  L0CFGNEGOTIATEDMAXP,
		L0CFGVCENABLE         =>  L0CFGVCENABLE,
		L0CFGVCID             =>  L0CFGVCID,
		L0DLLHOLDLINKUP       =>  L0DLLHOLDLINKUP,
		L0ELECTROMECHANICALINTERLOCKENGAGED  =>  L0ELECTROMECHANICALINTERLOCKENGAGED,
		L0FWDASSERTINTALEGACYINT  =>  L0FWDASSERTINTALEGACYINT,
		L0FWDASSERTINTBLEGACYINT  =>  L0FWDASSERTINTBLEGACYINT,
		L0FWDASSERTINTCLEGACYINT  =>  L0FWDASSERTINTCLEGACYINT,
		L0FWDASSERTINTDLEGACYINT  =>  L0FWDASSERTINTDLEGACYINT,
		L0FWDCORRERRIN        =>  L0FWDCORRERRIN,
		L0FWDDEASSERTINTALEGACYINT  =>  L0FWDDEASSERTINTALEGACYINT,
		L0FWDDEASSERTINTBLEGACYINT  =>  L0FWDDEASSERTINTBLEGACYINT,
		L0FWDDEASSERTINTCLEGACYINT  =>  L0FWDDEASSERTINTCLEGACYINT,
		L0FWDDEASSERTINTDLEGACYINT  =>  L0FWDDEASSERTINTDLEGACYINT,
		L0FWDFATALERRIN       =>  L0FWDFATALERRIN,
		L0FWDNONFATALERRIN    =>  L0FWDNONFATALERRIN,
		L0LEGACYINTFUNCT0     =>  L0LEGACYINTFUNCT0,
		L0MRLSENSORCLOSEDN    =>  L0MRLSENSORCLOSEDN,
		L0MSIREQUEST0         =>  L0MSIREQUEST0,
		L0PACKETHEADERFROMUSER  =>  L0PACKETHEADERFROMUSER,
		L0PMEREQIN            =>  L0PMEREQIN,
		L0PORTNUMBER          =>  L0PORTNUMBER,
		L0POWERFAULTDETECTED  =>  L0POWERFAULTDETECTED,
		L0PRESENCEDETECTSLOTEMPTYN  =>  L0PRESENCEDETECTSLOTEMPTYN,
		L0PWRNEWSTATEREQ      =>  L0PWRNEWSTATEREQ,
		L0PWRNEXTLINKSTATE    =>  L0PWRNEXTLINKSTATE,
		L0REPLAYTIMERADJUSTMENT  =>  L0REPLAYTIMERADJUSTMENT,
		L0ROOTTURNOFFREQ      =>  L0ROOTTURNOFFREQ,
		L0RXTLTLPNONINITIALIZEDVC  =>  L0RXTLTLPNONINITIALIZEDVC,
		L0SENDUNLOCKMESSAGE   =>  L0SENDUNLOCKMESSAGE,
		L0SETCOMPLETERABORTERROR  =>  L0SETCOMPLETERABORTERROR,
		L0SETCOMPLETIONTIMEOUTCORRERROR  =>  L0SETCOMPLETIONTIMEOUTCORRERROR,
		L0SETCOMPLETIONTIMEOUTUNCORRERROR  =>  L0SETCOMPLETIONTIMEOUTUNCORRERROR,
		L0SETDETECTEDCORRERROR  =>  L0SETDETECTEDCORRERROR,
		L0SETDETECTEDFATALERROR  =>  L0SETDETECTEDFATALERROR,
		L0SETDETECTEDNONFATALERROR  =>  L0SETDETECTEDNONFATALERROR,
		L0SETLINKDETECTEDPARITYERROR  =>  L0SETLINKDETECTEDPARITYERROR,
		L0SETLINKMASTERDATAPARITY  =>  L0SETLINKMASTERDATAPARITY,
		L0SETLINKRECEIVEDMASTERABORT  =>  L0SETLINKRECEIVEDMASTERABORT,
		L0SETLINKRECEIVEDTARGETABORT  =>  L0SETLINKRECEIVEDTARGETABORT,
		L0SETLINKSIGNALLEDTARGETABORT  =>  L0SETLINKSIGNALLEDTARGETABORT,
		L0SETLINKSYSTEMERROR  =>  L0SETLINKSYSTEMERROR,
		L0SETUNEXPECTEDCOMPLETIONCORRERROR  =>  L0SETUNEXPECTEDCOMPLETIONCORRERROR,
		L0SETUNEXPECTEDCOMPLETIONUNCORRERROR  =>  L0SETUNEXPECTEDCOMPLETIONUNCORRERROR,
		L0SETUNSUPPORTEDREQUESTNONPOSTEDERROR  =>  L0SETUNSUPPORTEDREQUESTNONPOSTEDERROR,
		L0SETUNSUPPORTEDREQUESTOTHERERROR  =>  L0SETUNSUPPORTEDREQUESTOTHERERROR,
		L0SETUSERDETECTEDPARITYERROR  =>  L0SETUSERDETECTEDPARITYERROR,
		L0SETUSERMASTERDATAPARITY  =>  L0SETUSERMASTERDATAPARITY,
		L0SETUSERRECEIVEDMASTERABORT  =>  L0SETUSERRECEIVEDMASTERABORT,
		L0SETUSERRECEIVEDTARGETABORT  =>  L0SETUSERRECEIVEDTARGETABORT,
		L0SETUSERSIGNALLEDTARGETABORT  =>  L0SETUSERSIGNALLEDTARGETABORT,
		L0SETUSERSYSTEMERROR  =>  L0SETUSERSYSTEMERROR,
		L0TLASFCCREDSTARVATION  =>  L0TLASFCCREDSTARVATION,
		L0TLLINKRETRAIN       =>  L0TLLINKRETRAIN,
		L0TRANSACTIONSPENDING  =>  L0TRANSACTIONSPENDING,
		L0TXBEACON            =>  L0TXBEACON,
		L0TXCFGPM             =>  L0TXCFGPM,
		L0TXCFGPMTYPE         =>  L0TXCFGPMTYPE,
		L0TXTLFCCMPLMCCRED    =>  L0TXTLFCCMPLMCCRED,
		L0TXTLFCCMPLMCUPDATE  =>  L0TXTLFCCMPLMCUPDATE,
		L0TXTLFCNPOSTBYPCRED  =>  L0TXTLFCNPOSTBYPCRED,
		L0TXTLFCNPOSTBYPUPDATE  =>  L0TXTLFCNPOSTBYPUPDATE,
		L0TXTLFCPOSTORDCRED   =>  L0TXTLFCPOSTORDCRED,
		L0TXTLFCPOSTORDUPDATE  =>  L0TXTLFCPOSTORDUPDATE,
		L0TXTLSBFCDATA        =>  L0TXTLSBFCDATA,
		L0TXTLSBFCUPDATE      =>  L0TXTLSBFCUPDATE,
		L0TXTLTLPDATA         =>  L0TXTLTLPDATA,
		L0TXTLTLPEDB          =>  L0TXTLTLPEDB,
		L0TXTLTLPENABLE       =>  L0TXTLTLPENABLE,
		L0TXTLTLPEND          =>  L0TXTLTLPEND,
		L0TXTLTLPLATENCY      =>  L0TXTLTLPLATENCY,
		L0TXTLTLPREQ          =>  L0TXTLTLPREQ,
		L0TXTLTLPREQEND       =>  L0TXTLTLPREQEND,
		L0TXTLTLPWIDTH        =>  L0TXTLTLPWIDTH,
		L0UPSTREAMRXPORTINL0S  =>  L0UPSTREAMRXPORTINL0S,
		L0VC0PREVIEWEXPAND    =>  L0VC0PREVIEWEXPAND,
		L0WAKEN               =>  L0WAKEN,
		LLKRXCHFIFO           =>  LLKRXCHFIFO,
		LLKRXCHTC             =>  LLKRXCHTC,
		LLKRXDSTCONTREQN      =>  LLKRXDSTCONTREQN,
		LLKRXDSTREQN          =>  LLKRXDSTREQN,
		LLKTX4DWHEADERN       =>  LLKTX4DWHEADERN,
		LLKTXCHFIFO           =>  LLKTXCHFIFO,
		LLKTXCHTC             =>  LLKTXCHTC,
		LLKTXCOMPLETEN        =>  LLKTXCOMPLETEN,
		LLKTXCREATEECRCN      =>  LLKTXCREATEECRCN,
		LLKTXDATA             =>  LLKTXDATA,
		LLKTXENABLEN          =>  LLKTXENABLEN,
		LLKTXEOFN             =>  LLKTXEOFN,
		LLKTXEOPN             =>  LLKTXEOPN,
		LLKTXSOFN             =>  LLKTXSOFN,
		LLKTXSOPN             =>  LLKTXSOPN,
		LLKTXSRCDSCN          =>  LLKTXSRCDSCN,
		LLKTXSRCRDYN          =>  LLKTXSRCRDYN,
		MAINPOWER             =>  MAINPOWER,
		MGMTADDR              =>  MGMTADDR,
		MGMTBWREN             =>  MGMTBWREN,
		MGMTRDEN              =>  MGMTRDEN,
		MGMTSTATSCREDITSEL    =>  MGMTSTATSCREDITSEL,
		MGMTWDATA             =>  MGMTWDATA,
		MGMTWREN              =>  MGMTWREN,
		MIMDLLBRDATA          =>  MIMDLLBRDATA,
		MIMRXBRDATA           =>  MIMRXBRDATA,
		MIMTXBRDATA           =>  MIMTXBRDATA,
		PIPEPHYSTATUSL0       =>  PIPEPHYSTATUSL0,
		PIPEPHYSTATUSL1       =>  PIPEPHYSTATUSL1,
		PIPEPHYSTATUSL2       =>  PIPEPHYSTATUSL2,
		PIPEPHYSTATUSL3       =>  PIPEPHYSTATUSL3,
		PIPEPHYSTATUSL4       =>  PIPEPHYSTATUSL4,
		PIPEPHYSTATUSL5       =>  PIPEPHYSTATUSL5,
		PIPEPHYSTATUSL6       =>  PIPEPHYSTATUSL6,
		PIPEPHYSTATUSL7       =>  PIPEPHYSTATUSL7,
		PIPERXCHANISALIGNEDL0  =>  PIPERXCHANISALIGNEDL0,
		PIPERXCHANISALIGNEDL1  =>  PIPERXCHANISALIGNEDL1,
		PIPERXCHANISALIGNEDL2  =>  PIPERXCHANISALIGNEDL2,
		PIPERXCHANISALIGNEDL3  =>  PIPERXCHANISALIGNEDL3,
		PIPERXCHANISALIGNEDL4  =>  PIPERXCHANISALIGNEDL4,
		PIPERXCHANISALIGNEDL5  =>  PIPERXCHANISALIGNEDL5,
		PIPERXCHANISALIGNEDL6  =>  PIPERXCHANISALIGNEDL6,
		PIPERXCHANISALIGNEDL7  =>  PIPERXCHANISALIGNEDL7,
		PIPERXDATAKL0         =>  PIPERXDATAKL0,
		PIPERXDATAKL1         =>  PIPERXDATAKL1,
		PIPERXDATAKL2         =>  PIPERXDATAKL2,
		PIPERXDATAKL3         =>  PIPERXDATAKL3,
		PIPERXDATAKL4         =>  PIPERXDATAKL4,
		PIPERXDATAKL5         =>  PIPERXDATAKL5,
		PIPERXDATAKL6         =>  PIPERXDATAKL6,
		PIPERXDATAKL7         =>  PIPERXDATAKL7,
		PIPERXDATAL0          =>  PIPERXDATAL0,
		PIPERXDATAL1          =>  PIPERXDATAL1,
		PIPERXDATAL2          =>  PIPERXDATAL2,
		PIPERXDATAL3          =>  PIPERXDATAL3,
		PIPERXDATAL4          =>  PIPERXDATAL4,
		PIPERXDATAL5          =>  PIPERXDATAL5,
		PIPERXDATAL6          =>  PIPERXDATAL6,
		PIPERXDATAL7          =>  PIPERXDATAL7,
		PIPERXELECIDLEL0      =>  PIPERXELECIDLEL0,
		PIPERXELECIDLEL1      =>  PIPERXELECIDLEL1,
		PIPERXELECIDLEL2      =>  PIPERXELECIDLEL2,
		PIPERXELECIDLEL3      =>  PIPERXELECIDLEL3,
		PIPERXELECIDLEL4      =>  PIPERXELECIDLEL4,
		PIPERXELECIDLEL5      =>  PIPERXELECIDLEL5,
		PIPERXELECIDLEL6      =>  PIPERXELECIDLEL6,
		PIPERXELECIDLEL7      =>  PIPERXELECIDLEL7,
		PIPERXSTATUSL0        =>  PIPERXSTATUSL0,
		PIPERXSTATUSL1        =>  PIPERXSTATUSL1,
		PIPERXSTATUSL2        =>  PIPERXSTATUSL2,
		PIPERXSTATUSL3        =>  PIPERXSTATUSL3,
		PIPERXSTATUSL4        =>  PIPERXSTATUSL4,
		PIPERXSTATUSL5        =>  PIPERXSTATUSL5,
		PIPERXSTATUSL6        =>  PIPERXSTATUSL6,
		PIPERXSTATUSL7        =>  PIPERXSTATUSL7,
		PIPERXVALIDL0         =>  PIPERXVALIDL0,
		PIPERXVALIDL1         =>  PIPERXVALIDL1,
		PIPERXVALIDL2         =>  PIPERXVALIDL2,
		PIPERXVALIDL3         =>  PIPERXVALIDL3,
		PIPERXVALIDL4         =>  PIPERXVALIDL4,
		PIPERXVALIDL5         =>  PIPERXVALIDL5,
		PIPERXVALIDL6         =>  PIPERXVALIDL6,
		PIPERXVALIDL7         =>  PIPERXVALIDL7,

		MCACTIVELANESIN         =>  MCACTIVELANESIN,
		MCAERBASEPTR            =>  MCAERBASEPTR,
		MCAERCAPABILITYECRCCHECKCAPABLE  =>  MCAERCAPABILITYECRCCHECKCAPABLE,
		MCAERCAPABILITYECRCGENCAPABLE  =>  MCAERCAPABILITYECRCGENCAPABLE,
		MCAERCAPABILITYNEXTPTR  =>  MCAERCAPABILITYNEXTPTR,
		MCBAR0ADDRWIDTH         =>  MCBAR0ADDRWIDTH,
		MCBAR0EXIST             =>  MCBAR0EXIST,
		MCBAR0IOMEMN            =>  MCBAR0IOMEMN,
		MCBAR0MASKWIDTH         =>  MCBAR0MASKWIDTH,
		MCBAR0PREFETCHABLE      =>  MCBAR0PREFETCHABLE,
		MCBAR1ADDRWIDTH         =>  MCBAR1ADDRWIDTH,
		MCBAR1EXIST             =>  MCBAR1EXIST,
		MCBAR1IOMEMN            =>  MCBAR1IOMEMN,
		MCBAR1MASKWIDTH         =>  MCBAR1MASKWIDTH,
		MCBAR1PREFETCHABLE      =>  MCBAR1PREFETCHABLE,
		MCBAR2ADDRWIDTH         =>  MCBAR2ADDRWIDTH,
		MCBAR2EXIST             =>  MCBAR2EXIST,
		MCBAR2IOMEMN            =>  MCBAR2IOMEMN,
		MCBAR2MASKWIDTH         =>  MCBAR2MASKWIDTH,
		MCBAR2PREFETCHABLE      =>  MCBAR2PREFETCHABLE,
		MCBAR3ADDRWIDTH         =>  MCBAR3ADDRWIDTH,
		MCBAR3EXIST             =>  MCBAR3EXIST,
		MCBAR3IOMEMN            =>  MCBAR3IOMEMN,
		MCBAR3MASKWIDTH         =>  MCBAR3MASKWIDTH,
		MCBAR3PREFETCHABLE      =>  MCBAR3PREFETCHABLE,
		MCBAR4ADDRWIDTH         =>  MCBAR4ADDRWIDTH,
		MCBAR4EXIST             =>  MCBAR4EXIST,
		MCBAR4IOMEMN            =>  MCBAR4IOMEMN,
		MCBAR4MASKWIDTH         =>  MCBAR4MASKWIDTH,
		MCBAR4PREFETCHABLE      =>  MCBAR4PREFETCHABLE,
		MCBAR5ADDRWIDTH         =>  MCBAR5ADDRWIDTH,
		MCBAR5EXIST             =>  MCBAR5EXIST,
		MCBAR5IOMEMN            =>  MCBAR5IOMEMN,
		MCBAR5MASKWIDTH         =>  MCBAR5MASKWIDTH,
		MCBAR5PREFETCHABLE      =>  MCBAR5PREFETCHABLE,
		MCCAPABILITIESPOINTER   =>  MCCAPABILITIESPOINTER,
		MCCARDBUSCISPOINTER     =>  MCCARDBUSCISPOINTER,
		MCCLASSCODE             =>  MCCLASSCODE,
		MCCONFIGROUTING         =>  MCCONFIGROUTING,
		MCDEVICECAPABILITYENDPOINTL0SLATENCY  =>  MCDEVICECAPABILITYENDPOINTL0SLATENCY,
		MCDEVICECAPABILITYENDPOINTL1LATENCY  =>  MCDEVICECAPABILITYENDPOINTL1LATENCY,
		MCDEVICEID              =>  MCDEVICEID,
		MCDEVICESERIALNUMBER    =>  MCDEVICESERIALNUMBER,
		MCDSNBASEPTR            =>  MCDSNBASEPTR,
		MCDSNCAPABILITYNEXTPTR  =>  MCDSNCAPABILITYNEXTPTR,
		MCDUALCOREENABLE        =>  MCDUALCOREENABLE,
		MCDUALCORESLAVE         =>  MCDUALCORESLAVE,
		MCDUALROLECFGCNTRLROOTEPN  =>  MCDUALROLECFGCNTRLROOTEPN,
		MCEXTCFGCAPPTR          =>  MCEXTCFGCAPPTR,
		MCEXTCFGXPCAPPTR        =>  MCEXTCFGXPCAPPTR,
		MCHEADERTYPE            =>  MCHEADERTYPE,
		MCINFINITECOMPLETIONS   =>  MCINFINITECOMPLETIONS,
		MCINTERRUPTPIN          =>  MCINTERRUPTPIN,
		MCISSWITCH              =>  MCISSWITCH,
		MCL0SEXITLATENCY        =>  MCL0SEXITLATENCY,
		MCL0SEXITLATENCYCOMCLK  =>  MCL0SEXITLATENCYCOMCLK,
		MCL1EXITLATENCY         =>  MCL1EXITLATENCY,
		MCL1EXITLATENCYCOMCLK   =>  MCL1EXITLATENCYCOMCLK,
		MCLINKCAPABILITYASPMSUPPORT  =>  MCLINKCAPABILITYASPMSUPPORT,
		MCLINKCAPABILITYMAXLINKWIDTH  =>  MCLINKCAPABILITYMAXLINKWIDTH,
		MCLINKSTATUSSLOTCLOCKCONFIG  =>  MCLINKSTATUSSLOTCLOCKCONFIG,
		MCLLKBYPASS             =>  MCLLKBYPASS,
		MCLOWPRIORITYVCCOUNT    =>  MCLOWPRIORITYVCCOUNT,
		MCMSIBASEPTR            =>  MCMSIBASEPTR,
		MCMSICAPABILITYMULTIMSGCAP  =>  MCMSICAPABILITYMULTIMSGCAP,
		MCMSICAPABILITYNEXTPTR  =>  MCMSICAPABILITYNEXTPTR,
		MCPBBASEPTR             =>  MCPBBASEPTR,
		MCPBCAPABILITYDW0BASEPOWER  =>  MCPBCAPABILITYDW0BASEPOWER,
		MCPBCAPABILITYDW0DATASCALE  =>  MCPBCAPABILITYDW0DATASCALE,
		MCPBCAPABILITYDW0PMSTATE  =>  MCPBCAPABILITYDW0PMSTATE,
		MCPBCAPABILITYDW0PMSUBSTATE  =>  MCPBCAPABILITYDW0PMSUBSTATE,
		MCPBCAPABILITYDW0POWERRAIL  =>  MCPBCAPABILITYDW0POWERRAIL,
		MCPBCAPABILITYDW0TYPE   =>  MCPBCAPABILITYDW0TYPE,
		MCPBCAPABILITYDW1BASEPOWER  =>  MCPBCAPABILITYDW1BASEPOWER,
		MCPBCAPABILITYDW1DATASCALE  =>  MCPBCAPABILITYDW1DATASCALE,
		MCPBCAPABILITYDW1PMSTATE  =>  MCPBCAPABILITYDW1PMSTATE,
		MCPBCAPABILITYDW1PMSUBSTATE  =>  MCPBCAPABILITYDW1PMSUBSTATE,
		MCPBCAPABILITYDW1POWERRAIL  =>  MCPBCAPABILITYDW1POWERRAIL,
		MCPBCAPABILITYDW1TYPE   =>  MCPBCAPABILITYDW1TYPE,
		MCPBCAPABILITYDW2BASEPOWER  =>  MCPBCAPABILITYDW2BASEPOWER,
		MCPBCAPABILITYDW2DATASCALE  =>  MCPBCAPABILITYDW2DATASCALE,
		MCPBCAPABILITYDW2PMSTATE  =>  MCPBCAPABILITYDW2PMSTATE,
		MCPBCAPABILITYDW2PMSUBSTATE  =>  MCPBCAPABILITYDW2PMSUBSTATE,
		MCPBCAPABILITYDW2POWERRAIL  =>  MCPBCAPABILITYDW2POWERRAIL,
		MCPBCAPABILITYDW2TYPE   =>  MCPBCAPABILITYDW2TYPE,
		MCPBCAPABILITYDW3BASEPOWER  =>  MCPBCAPABILITYDW3BASEPOWER,
		MCPBCAPABILITYDW3DATASCALE  =>  MCPBCAPABILITYDW3DATASCALE,
		MCPBCAPABILITYDW3PMSTATE  =>  MCPBCAPABILITYDW3PMSTATE,
		MCPBCAPABILITYDW3PMSUBSTATE  =>  MCPBCAPABILITYDW3PMSUBSTATE,
		MCPBCAPABILITYDW3POWERRAIL  =>  MCPBCAPABILITYDW3POWERRAIL,
		MCPBCAPABILITYDW3TYPE   =>  MCPBCAPABILITYDW3TYPE,
		MCPBCAPABILITYNEXTPTR   =>  MCPBCAPABILITYNEXTPTR,
		MCPBCAPABILITYSYSTEMALLOCATED  =>  MCPBCAPABILITYSYSTEMALLOCATED,
		MCPCIECAPABILITYINTMSGNUM  =>  MCPCIECAPABILITYINTMSGNUM,
		MCPCIECAPABILITYNEXTPTR  =>  MCPCIECAPABILITYNEXTPTR,
		MCPCIECAPABILITYSLOTIMPL  =>  MCPCIECAPABILITYSLOTIMPL,
		MCPCIEREVISION          =>  MCPCIEREVISION,
		MCPMBASEPTR             =>  MCPMBASEPTR,
		MCPMCAPABILITYAUXCURRENT  =>  MCPMCAPABILITYAUXCURRENT,
		MCPMCAPABILITYD1SUPPORT  =>  MCPMCAPABILITYD1SUPPORT,
		MCPMCAPABILITYD2SUPPORT  =>  MCPMCAPABILITYD2SUPPORT,
		MCPMCAPABILITYDSI       =>  MCPMCAPABILITYDSI,
		MCPMCAPABILITYNEXTPTR   =>  MCPMCAPABILITYNEXTPTR,
		MCPMCAPABILITYPMESUPPORT  =>  MCPMCAPABILITYPMESUPPORT,
		MCPMDATA0               =>  MCPMDATA0,
		MCPMDATA1               =>  MCPMDATA1,
		MCPMDATA2               =>  MCPMDATA2,
		MCPMDATA3               =>  MCPMDATA3,
		MCPMDATA4               =>  MCPMDATA4,
		MCPMDATA5               =>  MCPMDATA5,
		MCPMDATA6               =>  MCPMDATA6,
		MCPMDATA7               =>  MCPMDATA7,
		MCPMDATA8               =>  MCPMDATA8,
		MCPMDATASCALE0          =>  MCPMDATASCALE0,
		MCPMDATASCALE1          =>  MCPMDATASCALE1,
		MCPMDATASCALE2          =>  MCPMDATASCALE2,
		MCPMDATASCALE3          =>  MCPMDATASCALE3,
		MCPMDATASCALE4          =>  MCPMDATASCALE4,
		MCPMDATASCALE5          =>  MCPMDATASCALE5,
		MCPMDATASCALE6          =>  MCPMDATASCALE6,
		MCPMDATASCALE7          =>  MCPMDATASCALE7,
		MCPMDATASCALE8          =>  MCPMDATASCALE8,
		MCPMSTATUSCONTROLDATASCALE  =>  MCPMSTATUSCONTROLDATASCALE,
		MCPORTVCCAPABILITYEXTENDEDVCCOUNT  =>  MCPORTVCCAPABILITYEXTENDEDVCCOUNT,
		MCPORTVCCAPABILITYVCARBCAP  =>  MCPORTVCCAPABILITYVCARBCAP,
		MCPORTVCCAPABILITYVCARBTABLEOFFSET  =>  MCPORTVCCAPABILITYVCARBTABLEOFFSET,
		MCRAMSHARETXRX          =>  MCRAMSHARETXRX,
		MCRESETMODE             =>  MCRESETMODE,
		MCRETRYRAMREADLATENCY   =>  MCRETRYRAMREADLATENCY,
		MCRETRYRAMSIZE          =>  MCRETRYRAMSIZE,
		MCRETRYRAMWIDTH         =>  MCRETRYRAMWIDTH,
		MCRETRYRAMWRITELATENCY  =>  MCRETRYRAMWRITELATENCY,
		MCRETRYREADADDRPIPE     =>  MCRETRYREADADDRPIPE,
		MCRETRYREADDATAPIPE     =>  MCRETRYREADDATAPIPE,
		MCRETRYWRITEPIPE        =>  MCRETRYWRITEPIPE,
		MCREVISIONID            =>  MCREVISIONID,
		MCRXREADADDRPIPE        =>  MCRXREADADDRPIPE,
		MCRXREADDATAPIPE        =>  MCRXREADDATAPIPE,
		MCRXWRITEPIPE           =>  MCRXWRITEPIPE,
		MCSELECTASMODE          =>  MCSELECTASMODE,
		MCSELECTDLLIF           =>  MCSELECTDLLIF,
		MCSLOTCAPABILITYATTBUTTONPRESENT  =>  MCSLOTCAPABILITYATTBUTTONPRESENT,
		MCSLOTCAPABILITYATTINDICATORPRESENT  =>  MCSLOTCAPABILITYATTINDICATORPRESENT,
		MCSLOTCAPABILITYHOTPLUGCAPABLE  =>  MCSLOTCAPABILITYHOTPLUGCAPABLE,
		MCSLOTCAPABILITYHOTPLUGSURPRISE  =>  MCSLOTCAPABILITYHOTPLUGSURPRISE,
		MCSLOTCAPABILITYMSLSENSORPRESENT  =>  MCSLOTCAPABILITYMSLSENSORPRESENT,
		MCSLOTCAPABILITYPHYSICALSLOTNUM  =>  MCSLOTCAPABILITYPHYSICALSLOTNUM,
		MCSLOTCAPABILITYPOWERCONTROLLERPRESENT  =>  MCSLOTCAPABILITYPOWERCONTROLLERPRESENT,
		MCSLOTCAPABILITYPOWERINDICATORPRESENT  =>  MCSLOTCAPABILITYPOWERINDICATORPRESENT,
		MCSLOTCAPABILITYSLOTPOWERLIMITSCALE  =>  MCSLOTCAPABILITYSLOTPOWERLIMITSCALE,
		MCSLOTCAPABILITYSLOTPOWERLIMITVALUE  =>  MCSLOTCAPABILITYSLOTPOWERLIMITVALUE,
		MCSLOTIMPLEMENTED       =>  MCSLOTIMPLEMENTED,
		MCSUBSYSTEMID           =>  MCSUBSYSTEMID,
		MCSUBSYSTEMVENDORID     =>  MCSUBSYSTEMVENDORID,
		MCTLRAMREADLATENCY      =>  MCTLRAMREADLATENCY,
		MCTLRAMWIDTH            =>  MCTLRAMWIDTH,
		MCTLRAMWRITELATENCY     =>  MCTLRAMWRITELATENCY,
		MCTXREADADDRPIPE        =>  MCTXREADADDRPIPE,
		MCTXREADDATAPIPE        =>  MCTXREADDATAPIPE,
		MCTXTSNFTS              =>  MCTXTSNFTS,
		MCTXTSNFTSCOMCLK        =>  MCTXTSNFTSCOMCLK,
		MCTXWRITEPIPE           =>  MCTXWRITEPIPE,
		MCUPSTREAMFACING        =>  MCUPSTREAMFACING,
		MCVC0RXFIFOBASEC        =>  MCVC0RXFIFOBASEC,
		MCVC0RXFIFOBASENP       =>  MCVC0RXFIFOBASENP,
		MCVC0RXFIFOBASEP        =>  MCVC0RXFIFOBASEP,
		MCVC0RXFIFOLIMITC       =>  MCVC0RXFIFOLIMITC,
		MCVC0RXFIFOLIMITNP      =>  MCVC0RXFIFOLIMITNP,
		MCVC0RXFIFOLIMITP       =>  MCVC0RXFIFOLIMITP,
		MCVC0TOTALCREDITSCD     =>  MCVC0TOTALCREDITSCD,
		MCVC0TOTALCREDITSCH     =>  MCVC0TOTALCREDITSCH,
		MCVC0TOTALCREDITSNPH    =>  MCVC0TOTALCREDITSNPH,
		MCVC0TOTALCREDITSPD     =>  MCVC0TOTALCREDITSPD,
		MCVC0TOTALCREDITSPH     =>  MCVC0TOTALCREDITSPH,
		MCVC0TXFIFOBASEC        =>  MCVC0TXFIFOBASEC,
		MCVC0TXFIFOBASENP       =>  MCVC0TXFIFOBASENP,
		MCVC0TXFIFOBASEP        =>  MCVC0TXFIFOBASEP,
		MCVC0TXFIFOLIMITC       =>  MCVC0TXFIFOLIMITC,
		MCVC0TXFIFOLIMITNP      =>  MCVC0TXFIFOLIMITNP,
		MCVC0TXFIFOLIMITP       =>  MCVC0TXFIFOLIMITP,
		MCVC1RXFIFOBASEC        =>  MCVC1RXFIFOBASEC,
		MCVC1RXFIFOBASENP       =>  MCVC1RXFIFOBASENP,
		MCVC1RXFIFOBASEP        =>  MCVC1RXFIFOBASEP,
		MCVC1RXFIFOLIMITC       =>  MCVC1RXFIFOLIMITC,
		MCVC1RXFIFOLIMITNP      =>  MCVC1RXFIFOLIMITNP,
		MCVC1RXFIFOLIMITP       =>  MCVC1RXFIFOLIMITP,
		MCVC1TOTALCREDITSCD     =>  MCVC1TOTALCREDITSCD,
		MCVC1TOTALCREDITSCH     =>  MCVC1TOTALCREDITSCH,
		MCVC1TOTALCREDITSNPH    =>  MCVC1TOTALCREDITSNPH,
		MCVC1TOTALCREDITSPD     =>  MCVC1TOTALCREDITSPD,
		MCVC1TOTALCREDITSPH     =>  MCVC1TOTALCREDITSPH,
		MCVC1TXFIFOBASEC        =>  MCVC1TXFIFOBASEC,
		MCVC1TXFIFOBASENP       =>  MCVC1TXFIFOBASENP,
		MCVC1TXFIFOBASEP        =>  MCVC1TXFIFOBASEP,
		MCVC1TXFIFOLIMITC       =>  MCVC1TXFIFOLIMITC,
		MCVC1TXFIFOLIMITNP      =>  MCVC1TXFIFOLIMITNP,
		MCVC1TXFIFOLIMITP       =>  MCVC1TXFIFOLIMITP,
		MCVCBASEPTR             =>  MCVCBASEPTR,
		MCVCCAPABILITYNEXTPTR   =>  MCVCCAPABILITYNEXTPTR,
		MCVENDORID              =>  MCVENDORID,
		MCXLINKSUPPORTED        =>  MCXLINKSUPPORTED,
		MCXPBASEPTR             =>  MCXPBASEPTR,
		MCXPDEVICEPORTTYPE      =>  MCXPDEVICEPORTTYPE,
		MCXPMAXPAYLOAD          =>  MCXPMAXPAYLOAD,
		MCXPRCBCONTROL          =>  MCXPRCBCONTROL
	);
end PCIE_INTERNAL_1_1_SWIFT_BUS_V;
library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity PPC405_ADV_SWIFT_BUS is
     generic ( TimingVersion : STRING := "ppc405_adv_swift";
               DelayRange : STRING := "MAX";
               MC_Reference : STRING := "0000" );
     port (
		CFG_MCLK : in STD_LOGIC;
		BUS_RESET : in STD_LOGIC;
		GSR : in STD_LOGIC;
		GWE : in STD_LOGIC;
		GHIGHB : in STD_LOGIC;
		CPMC405CPUCLKEN : in STD_LOGIC;
		CPMC405JTAGCLKEN : in STD_LOGIC;
		CPMC405TIMERCLKEN : in STD_LOGIC;
		C405JTGPGMOUT : out STD_LOGIC;
		MCBCPUCLKEN : in STD_LOGIC;
		MCBJTAGEN : in STD_LOGIC;
		MCBTIMEREN : in STD_LOGIC;
		MCPPCRST : in STD_LOGIC;
			C405TRCODDEXECUTIONSTATUS : out STD_LOGIC_VECTOR(0 to 1);
			C405TRCEVENEXECUTIONSTATUS : out STD_LOGIC_VECTOR(0 to 1);
		CPMC405CLOCK : in STD_LOGIC;
		CPMC405CORECLKINACTIVE : in STD_LOGIC;
		PLBCLK : in STD_LOGIC;
		CPMFCMCLK : in STD_LOGIC;
		CPMDCRCLK : in STD_LOGIC;
		CPMC405SYNCBYPASS : in STD_LOGIC;
		CPMC405TIMERTICK : in STD_LOGIC;
		C405CPMMSREE : out STD_LOGIC;
		C405CPMMSRCE : out STD_LOGIC;
		C405CPMTIMERIRQ : out STD_LOGIC;
		C405CPMTIMERRESETREQ : out STD_LOGIC;
		C405CPMCORESLEEPREQ : out STD_LOGIC;
		TIEC405DISOPERANDFWD : in STD_LOGIC;
		TIEC405DETERMINISTICMULT : in STD_LOGIC;
		TIEC405MMUEN : in STD_LOGIC;
		TIEPVRBIT8 : in STD_LOGIC;
		TIEPVRBIT9 : in STD_LOGIC;
		TIEPVRBIT10 : in STD_LOGIC;
		TIEPVRBIT11 : in STD_LOGIC;
		TIEPVRBIT28 : in STD_LOGIC;
		TIEPVRBIT29 : in STD_LOGIC;
		TIEPVRBIT30 : in STD_LOGIC;
		TIEPVRBIT31 : in STD_LOGIC;
		C405XXXMACHINECHECK : out STD_LOGIC;
		DCREMACENABLER : out STD_LOGIC;
		DCREMACCLK : out STD_LOGIC;
		DCREMACWRITE : out STD_LOGIC;
		DCREMACREAD : out STD_LOGIC;
			DCREMACDBUS : out STD_LOGIC_VECTOR(0 to 31);
			DCREMACABUS : out STD_LOGIC_VECTOR(8 to 9);
			EMACDCRDBUS : in STD_LOGIC_VECTOR(0 to 31);
		EMACDCRACK : in STD_LOGIC;
		C405RSTCHIPRESETREQ : out STD_LOGIC;
		C405RSTCORERESETREQ : out STD_LOGIC;
		C405RSTSYSRESETREQ : out STD_LOGIC;
		RSTC405RESETCHIP : in STD_LOGIC;
		RSTC405RESETCORE : in STD_LOGIC;
		RSTC405RESETSYS : in STD_LOGIC;
		C405PLBICUREQUEST : out STD_LOGIC;
			C405PLBICUPRIORITY : out STD_LOGIC_VECTOR(0 to 1);
		C405PLBICUCACHEABLE : out STD_LOGIC;
			C405PLBICUABUS : out STD_LOGIC_VECTOR(0 to 29);
			C405PLBICUSIZE : out STD_LOGIC_VECTOR(2 to 3);
		C405PLBICUABORT : out STD_LOGIC;
		C405PLBICUU0ATTR : out STD_LOGIC;
		PLBC405ICUADDRACK : in STD_LOGIC;
		PLBC405ICUBUSY : in STD_LOGIC;
		PLBC405ICUERR : in STD_LOGIC;
		PLBC405ICURDDACK : in STD_LOGIC;
			PLBC405ICURDDBUS : in STD_LOGIC_VECTOR(0 to 63);
		PLBC405ICUSSIZE1 : in STD_LOGIC;
			PLBC405ICURDWDADDR : in STD_LOGIC_VECTOR(1 to 3);
		C405PLBDCUREQUEST : out STD_LOGIC;
		C405PLBDCURNW : out STD_LOGIC;
			C405PLBDCUABUS : out STD_LOGIC_VECTOR(0 to 31);
			C405PLBDCUBE : out STD_LOGIC_VECTOR(0 to 7);
		C405PLBDCUCACHEABLE : out STD_LOGIC;
		C405PLBDCUGUARDED : out STD_LOGIC;
			C405PLBDCUPRIORITY : out STD_LOGIC_VECTOR(0 to 1);
		C405PLBDCUSIZE2 : out STD_LOGIC;
		C405PLBDCUABORT : out STD_LOGIC;
			C405PLBDCUWRDBUS : out STD_LOGIC_VECTOR(0 to 63);
		C405PLBDCUU0ATTR : out STD_LOGIC;
		C405PLBDCUWRITETHRU : out STD_LOGIC;
		PLBC405DCUADDRACK : in STD_LOGIC;
		PLBC405DCUBUSY : in STD_LOGIC;
		PLBC405DCUERR : in STD_LOGIC;
		PLBC405DCURDDACK : in STD_LOGIC;
			PLBC405DCURDDBUS : in STD_LOGIC_VECTOR(0 to 63);
			PLBC405DCURDWDADDR : in STD_LOGIC_VECTOR(1 to 3);
		PLBC405DCUSSIZE1 : in STD_LOGIC;
		PLBC405DCUWRDACK : in STD_LOGIC;
			ISOCMBRAMRDABUS : out STD_LOGIC_VECTOR(8 to 28);
			ISOCMBRAMWRABUS : out STD_LOGIC_VECTOR(8 to 28);
		ISOCMBRAMEN : out STD_LOGIC;
		ISOCMBRAMODDWRITEEN : out STD_LOGIC;
		ISOCMBRAMEVENWRITEEN : out STD_LOGIC;
			ISOCMBRAMWRDBUS : out STD_LOGIC_VECTOR(0 to 31);
		ISOCMDCRBRAMEVENEN : out STD_LOGIC;
		ISOCMDCRBRAMODDEN : out STD_LOGIC;
		ISOCMDCRBRAMRDSELECT : out STD_LOGIC;
			BRAMISOCMDCRRDDBUS : in STD_LOGIC_VECTOR(0 to 31);
			BRAMISOCMRDDBUS : in STD_LOGIC_VECTOR(0 to 63);
			ISARCVALUE : in STD_LOGIC_VECTOR(0 to 7);
			ISCNTLVALUE : in STD_LOGIC_VECTOR(0 to 7);
		BRAMISOCMCLK : in STD_LOGIC;
			DSOCMBRAMABUS : out STD_LOGIC_VECTOR(8 to 29);
			DSOCMBRAMBYTEWRITE : out STD_LOGIC_VECTOR(0 to 3);
		DSOCMBRAMEN : out STD_LOGIC;
			DSOCMBRAMWRDBUS : out STD_LOGIC_VECTOR(0 to 31);
			BRAMDSOCMRDDBUS : in STD_LOGIC_VECTOR(0 to 31);
		DSOCMRWCOMPLETE : in STD_LOGIC;
		DSOCMBUSY : out STD_LOGIC;
		DSOCMWRADDRVALID : out STD_LOGIC;
		DSOCMRDADDRVALID : out STD_LOGIC;
			TIEDCRADDR : in STD_LOGIC_VECTOR(0 to 5);
			DSARCVALUE : in STD_LOGIC_VECTOR(0 to 7);
			DSCNTLVALUE : in STD_LOGIC_VECTOR(0 to 7);
		BRAMDSOCMCLK : in STD_LOGIC;
		EXTDCRREAD : out STD_LOGIC;
		EXTDCRWRITE : out STD_LOGIC;
			EXTDCRABUS : out STD_LOGIC_VECTOR(0 to 9);
			EXTDCRDBUSOUT : out STD_LOGIC_VECTOR(0 to 31);
		EXTDCRACK : in STD_LOGIC;
			EXTDCRDBUSIN : in STD_LOGIC_VECTOR(0 to 31);
		EICC405EXTINPUTIRQ : in STD_LOGIC;
		EICC405CRITINPUTIRQ : in STD_LOGIC;
		JTGC405BNDSCANTDO : in STD_LOGIC;
		JTGC405TCK : in STD_LOGIC;
		JTGC405TDI : in STD_LOGIC;
		JTGC405TMS : in STD_LOGIC;
		JTGC405TRSTNEG : in STD_LOGIC;
		C405JTGTDO : out STD_LOGIC;
		C405JTGTDOEN : out STD_LOGIC;
		C405JTGEXTEST : out STD_LOGIC;
		C405JTGCAPTUREDR : out STD_LOGIC;
		C405JTGSHIFTDR : out STD_LOGIC;
		C405JTGUPDATEDR : out STD_LOGIC;
		DBGC405DEBUGHALT : in STD_LOGIC;
		DBGC405UNCONDDEBUGEVENT : in STD_LOGIC;
		DBGC405EXTBUSHOLDACK : in STD_LOGIC;
		C405DBGMSRWE : out STD_LOGIC;
		C405DBGSTOPACK : out STD_LOGIC;
		C405DBGWBCOMPLETE : out STD_LOGIC;
		C405DBGWBFULL : out STD_LOGIC;
			C405DBGWBIAR : out STD_LOGIC_VECTOR(0 to 29);
		C405TRCTRIGGEREVENTOUT : out STD_LOGIC;
			C405TRCTRIGGEREVENTTYPE : out STD_LOGIC_VECTOR(0 to 10);
		C405TRCCYCLE : out STD_LOGIC;
			C405TRCTRACESTATUS : out STD_LOGIC_VECTOR(0 to 3);
		TRCC405TRACEDISABLE : in STD_LOGIC;
		TRCC405TRIGGEREVENTIN : in STD_LOGIC;
		C405DBGLOADDATAONAPUDBUS : out STD_LOGIC;
			APUFCMINSTRUCTION : out STD_LOGIC_VECTOR(0 to 31);
			APUFCMRADATA : out STD_LOGIC_VECTOR(0 to 31);
			APUFCMRBDATA : out STD_LOGIC_VECTOR(0 to 31);
		APUFCMINSTRVALID : out STD_LOGIC;
			APUFCMLOADDATA : out STD_LOGIC_VECTOR(0 to 31);
		APUFCMOPERANDVALID : out STD_LOGIC;
		APUFCMLOADDVALID : out STD_LOGIC;
		APUFCMFLUSH : out STD_LOGIC;
		APUFCMWRITEBACKOK : out STD_LOGIC;
			APUFCMLOADBYTEEN : out STD_LOGIC_VECTOR(0 to 3);
		APUFCMENDIAN : out STD_LOGIC;
		APUFCMXERCA : out STD_LOGIC;
		APUFCMDECODED : out STD_LOGIC;
			APUFCMDECUDI : out STD_LOGIC_VECTOR(0 to 2);
		APUFCMDECUDIVALID : out STD_LOGIC;
		FCMAPUDONE : in STD_LOGIC;
			FCMAPURESULT : in STD_LOGIC_VECTOR(0 to 31);
		FCMAPURESULTVALID : in STD_LOGIC;
		FCMAPUINSTRACK : in STD_LOGIC;
		FCMAPUEXCEPTION : in STD_LOGIC;
		FCMAPUXERCA : in STD_LOGIC;
		FCMAPUXEROV : in STD_LOGIC;
			FCMAPUCR : in STD_LOGIC_VECTOR(0 to 3);
		FCMAPUDCDFPUOP : in STD_LOGIC;
		FCMAPUDCDGPRWRITE : in STD_LOGIC;
		FCMAPUDCDRAEN : in STD_LOGIC;
		FCMAPUDCDRBEN : in STD_LOGIC;
		FCMAPUDCDLOAD : in STD_LOGIC;
		FCMAPUDCDSTORE : in STD_LOGIC;
		FCMAPUDCDXERCAEN : in STD_LOGIC;
		FCMAPUDCDXEROVEN : in STD_LOGIC;
		FCMAPUDCDPRIVOP : in STD_LOGIC;
		FCMAPUDCDCREN : in STD_LOGIC;
			FCMAPUEXECRFIELD : in STD_LOGIC_VECTOR(0 to 2);
		FCMAPUDCDUPDATE : in STD_LOGIC;
		FCMAPUDCDFORCEALIGN : in STD_LOGIC;
		FCMAPUDCDFORCEBESTEERING : in STD_LOGIC;
		FCMAPUDCDLDSTBYTE : in STD_LOGIC;
		FCMAPUDCDLDSTHW : in STD_LOGIC;
		FCMAPUDCDLDSTWD : in STD_LOGIC;
		FCMAPUDCDLDSTDW : in STD_LOGIC;
		FCMAPUDCDLDSTQW : in STD_LOGIC;
		FCMAPUDCDTRAPBE : in STD_LOGIC;
		FCMAPUDCDTRAPLE : in STD_LOGIC;
		FCMAPUEXEBLOCKINGMCO : in STD_LOGIC;
		FCMAPUEXENONBLOCKINGMCO : in STD_LOGIC;
		FCMAPUSLEEPNOTREADY : in STD_LOGIC;
		FCMAPULOADWAIT : in STD_LOGIC;
		FCMAPUDECODEBUSY : in STD_LOGIC;
			TIEAPUCONTROL : in STD_LOGIC_VECTOR(0 to 15);
			TIEAPUUDI1 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI2 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI3 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI4 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI5 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI6 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI7 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI8 : in STD_LOGIC_VECTOR(0 to 23)       
 );  

end PPC405_ADV_SWIFT_BUS;

architecture PPC405_ADV_SWIFT_BUS_v of PPC405_ADV_SWIFT_BUS is
 component PPC405_ADV_SWIFT
     generic ( TimingVersion : STRING := "ppc405_adv_swift";
               DelayRange : STRING := "MAX";
               MC_Reference : STRING := "0000" );
     port(
		CFG_MCLK : in STD_LOGIC;
		BUS_RESET : in STD_LOGIC;
		GSR : in STD_LOGIC;
		GWE : in STD_LOGIC;
		GHIGHB : in STD_LOGIC;
		CPMC405CPUCLKEN : in STD_LOGIC;
		CPMC405JTAGCLKEN : in STD_LOGIC;
		CPMC405TIMERCLKEN : in STD_LOGIC;
		C405JTGPGMOUT : out STD_LOGIC;
		MCBCPUCLKEN : in STD_LOGIC;
		MCBJTAGEN : in STD_LOGIC;
		MCBTIMEREN : in STD_LOGIC;
		MCPPCRST : in STD_LOGIC;
			C405TRCODDEXECUTIONSTATUS : out STD_LOGIC_VECTOR(0 to 1);
			C405TRCEVENEXECUTIONSTATUS : out STD_LOGIC_VECTOR(0 to 1);
		CPMC405CLOCK : in STD_LOGIC;
		CPMC405CORECLKINACTIVE : in STD_LOGIC;
		PLBCLK : in STD_LOGIC;
		CPMFCMCLK : in STD_LOGIC;
		CPMDCRCLK : in STD_LOGIC;
		CPMC405SYNCBYPASS : in STD_LOGIC;
		CPMC405TIMERTICK : in STD_LOGIC;
		C405CPMMSREE : out STD_LOGIC;
		C405CPMMSRCE : out STD_LOGIC;
		C405CPMTIMERIRQ : out STD_LOGIC;
		C405CPMTIMERRESETREQ : out STD_LOGIC;
		C405CPMCORESLEEPREQ : out STD_LOGIC;
		TIEC405DISOPERANDFWD : in STD_LOGIC;
		TIEC405DETERMINISTICMULT : in STD_LOGIC;
		TIEC405MMUEN : in STD_LOGIC;
		TIEPVRBIT8 : in STD_LOGIC;
		TIEPVRBIT9 : in STD_LOGIC;
		TIEPVRBIT10 : in STD_LOGIC;
		TIEPVRBIT11 : in STD_LOGIC;
		TIEPVRBIT28 : in STD_LOGIC;
		TIEPVRBIT29 : in STD_LOGIC;
		TIEPVRBIT30 : in STD_LOGIC;
		TIEPVRBIT31 : in STD_LOGIC;
		C405XXXMACHINECHECK : out STD_LOGIC;
		DCREMACENABLER : out STD_LOGIC;
		DCREMACCLK : out STD_LOGIC;
		DCREMACWRITE : out STD_LOGIC;
		DCREMACREAD : out STD_LOGIC;
			DCREMACDBUS : out STD_LOGIC_VECTOR(0 to 31);
			DCREMACABUS : out STD_LOGIC_VECTOR(8 to 9);
			EMACDCRDBUS : in STD_LOGIC_VECTOR(0 to 31);
		EMACDCRACK : in STD_LOGIC;
		C405RSTCHIPRESETREQ : out STD_LOGIC;
		C405RSTCORERESETREQ : out STD_LOGIC;
		C405RSTSYSRESETREQ : out STD_LOGIC;
		RSTC405RESETCHIP : in STD_LOGIC;
		RSTC405RESETCORE : in STD_LOGIC;
		RSTC405RESETSYS : in STD_LOGIC;
		C405PLBICUREQUEST : out STD_LOGIC;
			C405PLBICUPRIORITY : out STD_LOGIC_VECTOR(0 to 1);
		C405PLBICUCACHEABLE : out STD_LOGIC;
			C405PLBICUABUS : out STD_LOGIC_VECTOR(0 to 29);
			C405PLBICUSIZE : out STD_LOGIC_VECTOR(2 to 3);
		C405PLBICUABORT : out STD_LOGIC;
		C405PLBICUU0ATTR : out STD_LOGIC;
		PLBC405ICUADDRACK : in STD_LOGIC;
		PLBC405ICUBUSY : in STD_LOGIC;
		PLBC405ICUERR : in STD_LOGIC;
		PLBC405ICURDDACK : in STD_LOGIC;
			PLBC405ICURDDBUS : in STD_LOGIC_VECTOR(0 to 63);
		PLBC405ICUSSIZE1 : in STD_LOGIC;
			PLBC405ICURDWDADDR : in STD_LOGIC_VECTOR(1 to 3);
		C405PLBDCUREQUEST : out STD_LOGIC;
		C405PLBDCURNW : out STD_LOGIC;
			C405PLBDCUABUS : out STD_LOGIC_VECTOR(0 to 31);
			C405PLBDCUBE : out STD_LOGIC_VECTOR(0 to 7);
		C405PLBDCUCACHEABLE : out STD_LOGIC;
		C405PLBDCUGUARDED : out STD_LOGIC;
			C405PLBDCUPRIORITY : out STD_LOGIC_VECTOR(0 to 1);
		C405PLBDCUSIZE2 : out STD_LOGIC;
		C405PLBDCUABORT : out STD_LOGIC;
			C405PLBDCUWRDBUS : out STD_LOGIC_VECTOR(0 to 63);
		C405PLBDCUU0ATTR : out STD_LOGIC;
		C405PLBDCUWRITETHRU : out STD_LOGIC;
		PLBC405DCUADDRACK : in STD_LOGIC;
		PLBC405DCUBUSY : in STD_LOGIC;
		PLBC405DCUERR : in STD_LOGIC;
		PLBC405DCURDDACK : in STD_LOGIC;
			PLBC405DCURDDBUS : in STD_LOGIC_VECTOR(0 to 63);
			PLBC405DCURDWDADDR : in STD_LOGIC_VECTOR(1 to 3);
		PLBC405DCUSSIZE1 : in STD_LOGIC;
		PLBC405DCUWRDACK : in STD_LOGIC;
			ISOCMBRAMRDABUS : out STD_LOGIC_VECTOR(8 to 28);
			ISOCMBRAMWRABUS : out STD_LOGIC_VECTOR(8 to 28);
		ISOCMBRAMEN : out STD_LOGIC;
		ISOCMBRAMODDWRITEEN : out STD_LOGIC;
		ISOCMBRAMEVENWRITEEN : out STD_LOGIC;
			ISOCMBRAMWRDBUS : out STD_LOGIC_VECTOR(0 to 31);
		ISOCMDCRBRAMEVENEN : out STD_LOGIC;
		ISOCMDCRBRAMODDEN : out STD_LOGIC;
		ISOCMDCRBRAMRDSELECT : out STD_LOGIC;
			BRAMISOCMDCRRDDBUS : in STD_LOGIC_VECTOR(0 to 31);
			BRAMISOCMRDDBUS : in STD_LOGIC_VECTOR(0 to 63);
			ISARCVALUE : in STD_LOGIC_VECTOR(0 to 7);
			ISCNTLVALUE : in STD_LOGIC_VECTOR(0 to 7);
		BRAMISOCMCLK : in STD_LOGIC;
			DSOCMBRAMABUS : out STD_LOGIC_VECTOR(8 to 29);
			DSOCMBRAMBYTEWRITE : out STD_LOGIC_VECTOR(0 to 3);
		DSOCMBRAMEN : out STD_LOGIC;
			DSOCMBRAMWRDBUS : out STD_LOGIC_VECTOR(0 to 31);
			BRAMDSOCMRDDBUS : in STD_LOGIC_VECTOR(0 to 31);
		DSOCMRWCOMPLETE : in STD_LOGIC;
		DSOCMBUSY : out STD_LOGIC;
		DSOCMWRADDRVALID : out STD_LOGIC;
		DSOCMRDADDRVALID : out STD_LOGIC;
			TIEDCRADDR : in STD_LOGIC_VECTOR(0 to 5);
			DSARCVALUE : in STD_LOGIC_VECTOR(0 to 7);
			DSCNTLVALUE : in STD_LOGIC_VECTOR(0 to 7);
		BRAMDSOCMCLK : in STD_LOGIC;
		EXTDCRREAD : out STD_LOGIC;
		EXTDCRWRITE : out STD_LOGIC;
			EXTDCRABUS : out STD_LOGIC_VECTOR(0 to 9);
			EXTDCRDBUSOUT : out STD_LOGIC_VECTOR(0 to 31);
		EXTDCRACK : in STD_LOGIC;
			EXTDCRDBUSIN : in STD_LOGIC_VECTOR(0 to 31);
		EICC405EXTINPUTIRQ : in STD_LOGIC;
		EICC405CRITINPUTIRQ : in STD_LOGIC;
		JTGC405BNDSCANTDO : in STD_LOGIC;
		JTGC405TCK : in STD_LOGIC;
		JTGC405TDI : in STD_LOGIC;
		JTGC405TMS : in STD_LOGIC;
		JTGC405TRSTNEG : in STD_LOGIC;
		C405JTGTDO : out STD_LOGIC;
		C405JTGTDOEN : out STD_LOGIC;
		C405JTGEXTEST : out STD_LOGIC;
		C405JTGCAPTUREDR : out STD_LOGIC;
		C405JTGSHIFTDR : out STD_LOGIC;
		C405JTGUPDATEDR : out STD_LOGIC;
		DBGC405DEBUGHALT : in STD_LOGIC;
		DBGC405UNCONDDEBUGEVENT : in STD_LOGIC;
		DBGC405EXTBUSHOLDACK : in STD_LOGIC;
		C405DBGMSRWE : out STD_LOGIC;
		C405DBGSTOPACK : out STD_LOGIC;
		C405DBGWBCOMPLETE : out STD_LOGIC;
		C405DBGWBFULL : out STD_LOGIC;
			C405DBGWBIAR : out STD_LOGIC_VECTOR(0 to 29);
		C405TRCTRIGGEREVENTOUT : out STD_LOGIC;
			C405TRCTRIGGEREVENTTYPE : out STD_LOGIC_VECTOR(0 to 10);
		C405TRCCYCLE : out STD_LOGIC;
			C405TRCTRACESTATUS : out STD_LOGIC_VECTOR(0 to 3);
		TRCC405TRACEDISABLE : in STD_LOGIC;
		TRCC405TRIGGEREVENTIN : in STD_LOGIC;
		C405DBGLOADDATAONAPUDBUS : out STD_LOGIC;
			APUFCMINSTRUCTION : out STD_LOGIC_VECTOR(0 to 31);
			APUFCMRADATA : out STD_LOGIC_VECTOR(0 to 31);
			APUFCMRBDATA : out STD_LOGIC_VECTOR(0 to 31);
		APUFCMINSTRVALID : out STD_LOGIC;
			APUFCMLOADDATA : out STD_LOGIC_VECTOR(0 to 31);
		APUFCMOPERANDVALID : out STD_LOGIC;
		APUFCMLOADDVALID : out STD_LOGIC;
		APUFCMFLUSH : out STD_LOGIC;
		APUFCMWRITEBACKOK : out STD_LOGIC;
			APUFCMLOADBYTEEN : out STD_LOGIC_VECTOR(0 to 3);
		APUFCMENDIAN : out STD_LOGIC;
		APUFCMXERCA : out STD_LOGIC;
		APUFCMDECODED : out STD_LOGIC;
			APUFCMDECUDI : out STD_LOGIC_VECTOR(0 to 2);
		APUFCMDECUDIVALID : out STD_LOGIC;
		FCMAPUDONE : in STD_LOGIC;
			FCMAPURESULT : in STD_LOGIC_VECTOR(0 to 31);
		FCMAPURESULTVALID : in STD_LOGIC;
		FCMAPUINSTRACK : in STD_LOGIC;
		FCMAPUEXCEPTION : in STD_LOGIC;
		FCMAPUXERCA : in STD_LOGIC;
		FCMAPUXEROV : in STD_LOGIC;
			FCMAPUCR : in STD_LOGIC_VECTOR(0 to 3);
		FCMAPUDCDFPUOP : in STD_LOGIC;
		FCMAPUDCDGPRWRITE : in STD_LOGIC;
		FCMAPUDCDRAEN : in STD_LOGIC;
		FCMAPUDCDRBEN : in STD_LOGIC;
		FCMAPUDCDLOAD : in STD_LOGIC;
		FCMAPUDCDSTORE : in STD_LOGIC;
		FCMAPUDCDXERCAEN : in STD_LOGIC;
		FCMAPUDCDXEROVEN : in STD_LOGIC;
		FCMAPUDCDPRIVOP : in STD_LOGIC;
		FCMAPUDCDCREN : in STD_LOGIC;
			FCMAPUEXECRFIELD : in STD_LOGIC_VECTOR(0 to 2);
		FCMAPUDCDUPDATE : in STD_LOGIC;
		FCMAPUDCDFORCEALIGN : in STD_LOGIC;
		FCMAPUDCDFORCEBESTEERING : in STD_LOGIC;
		FCMAPUDCDLDSTBYTE : in STD_LOGIC;
		FCMAPUDCDLDSTHW : in STD_LOGIC;
		FCMAPUDCDLDSTWD : in STD_LOGIC;
		FCMAPUDCDLDSTDW : in STD_LOGIC;
		FCMAPUDCDLDSTQW : in STD_LOGIC;
		FCMAPUDCDTRAPBE : in STD_LOGIC;
		FCMAPUDCDTRAPLE : in STD_LOGIC;
		FCMAPUEXEBLOCKINGMCO : in STD_LOGIC;
		FCMAPUEXENONBLOCKINGMCO : in STD_LOGIC;
		FCMAPUSLEEPNOTREADY : in STD_LOGIC;
		FCMAPULOADWAIT : in STD_LOGIC;
		FCMAPUDECODEBUSY : in STD_LOGIC;
			TIEAPUCONTROL : in STD_LOGIC_VECTOR(0 to 15);
			TIEAPUUDI1 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI2 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI3 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI4 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI5 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI6 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI7 : in STD_LOGIC_VECTOR(0 to 23);
			TIEAPUUDI8 : in STD_LOGIC_VECTOR(0 to 23)    
 );
 end component;

for all: PPC405_ADV_SWIFT
use entity work.PPC405_ADV_SWIFT
	port map (
CFG_MCLK => CFG_MCLK,
BUS_RESET => BUS_RESET,
GSR => GSR,
GWE => GWE,
GHIGHB => GHIGHB,
CPMC405CPUCLKEN => CPMC405CPUCLKEN,
CPMC405JTAGCLKEN => CPMC405JTAGCLKEN,
CPMC405TIMERCLKEN => CPMC405TIMERCLKEN,
C405JTGPGMOUT => C405JTGPGMOUT,
MCBCPUCLKEN => MCBCPUCLKEN,
MCBJTAGEN => MCBJTAGEN,
MCBTIMEREN => MCBTIMEREN,
MCPPCRST => MCPPCRST,
C405TRCODDEXECUTIONSTATUS_1 => C405TRCODDEXECUTIONSTATUS(1),
C405TRCODDEXECUTIONSTATUS_0 => C405TRCODDEXECUTIONSTATUS(0),
C405TRCEVENEXECUTIONSTATUS_1 => C405TRCEVENEXECUTIONSTATUS(1),
C405TRCEVENEXECUTIONSTATUS_0 => C405TRCEVENEXECUTIONSTATUS(0),
CPMC405CLOCK => CPMC405CLOCK,
CPMC405CORECLKINACTIVE => CPMC405CORECLKINACTIVE,
PLBCLK => PLBCLK,
CPMFCMCLK => CPMFCMCLK,
CPMDCRCLK => CPMDCRCLK,
CPMC405SYNCBYPASS => CPMC405SYNCBYPASS,
CPMC405TIMERTICK => CPMC405TIMERTICK,
C405CPMMSREE => C405CPMMSREE,
C405CPMMSRCE => C405CPMMSRCE,
C405CPMTIMERIRQ => C405CPMTIMERIRQ,
C405CPMTIMERRESETREQ => C405CPMTIMERRESETREQ,
C405CPMCORESLEEPREQ => C405CPMCORESLEEPREQ,
TIEC405DISOPERANDFWD => TIEC405DISOPERANDFWD,
TIEC405DETERMINISTICMULT => TIEC405DETERMINISTICMULT,
TIEC405MMUEN => TIEC405MMUEN,
TIEPVRBIT8 => TIEPVRBIT8,
TIEPVRBIT9 => TIEPVRBIT9,
TIEPVRBIT10 => TIEPVRBIT10,
TIEPVRBIT11 => TIEPVRBIT11,
TIEPVRBIT28 => TIEPVRBIT28,
TIEPVRBIT29 => TIEPVRBIT29,
TIEPVRBIT30 => TIEPVRBIT30,
TIEPVRBIT31 => TIEPVRBIT31,
C405XXXMACHINECHECK => C405XXXMACHINECHECK,
DCREMACENABLER => DCREMACENABLER,
DCREMACCLK => DCREMACCLK,
DCREMACWRITE => DCREMACWRITE,
DCREMACREAD => DCREMACREAD,
DCREMACDBUS_31 => DCREMACDBUS(31),
DCREMACDBUS_30 => DCREMACDBUS(30),
DCREMACDBUS_29 => DCREMACDBUS(29),
DCREMACDBUS_28 => DCREMACDBUS(28),
DCREMACDBUS_27 => DCREMACDBUS(27),
DCREMACDBUS_26 => DCREMACDBUS(26),
DCREMACDBUS_25 => DCREMACDBUS(25),
DCREMACDBUS_24 => DCREMACDBUS(24),
DCREMACDBUS_23 => DCREMACDBUS(23),
DCREMACDBUS_22 => DCREMACDBUS(22),
DCREMACDBUS_21 => DCREMACDBUS(21),
DCREMACDBUS_20 => DCREMACDBUS(20),
DCREMACDBUS_19 => DCREMACDBUS(19),
DCREMACDBUS_18 => DCREMACDBUS(18),
DCREMACDBUS_17 => DCREMACDBUS(17),
DCREMACDBUS_16 => DCREMACDBUS(16),
DCREMACDBUS_15 => DCREMACDBUS(15),
DCREMACDBUS_14 => DCREMACDBUS(14),
DCREMACDBUS_13 => DCREMACDBUS(13),
DCREMACDBUS_12 => DCREMACDBUS(12),
DCREMACDBUS_11 => DCREMACDBUS(11),
DCREMACDBUS_10 => DCREMACDBUS(10),
DCREMACDBUS_9 => DCREMACDBUS(9),
DCREMACDBUS_8 => DCREMACDBUS(8),
DCREMACDBUS_7 => DCREMACDBUS(7),
DCREMACDBUS_6 => DCREMACDBUS(6),
DCREMACDBUS_5 => DCREMACDBUS(5),
DCREMACDBUS_4 => DCREMACDBUS(4),
DCREMACDBUS_3 => DCREMACDBUS(3),
DCREMACDBUS_2 => DCREMACDBUS(2),
DCREMACDBUS_1 => DCREMACDBUS(1),
DCREMACDBUS_0 => DCREMACDBUS(0),
DCREMACABUS_9 => DCREMACABUS(9),
DCREMACABUS_8 => DCREMACABUS(8),
EMACDCRDBUS_31 => EMACDCRDBUS(31),
EMACDCRDBUS_30 => EMACDCRDBUS(30),
EMACDCRDBUS_29 => EMACDCRDBUS(29),
EMACDCRDBUS_28 => EMACDCRDBUS(28),
EMACDCRDBUS_27 => EMACDCRDBUS(27),
EMACDCRDBUS_26 => EMACDCRDBUS(26),
EMACDCRDBUS_25 => EMACDCRDBUS(25),
EMACDCRDBUS_24 => EMACDCRDBUS(24),
EMACDCRDBUS_23 => EMACDCRDBUS(23),
EMACDCRDBUS_22 => EMACDCRDBUS(22),
EMACDCRDBUS_21 => EMACDCRDBUS(21),
EMACDCRDBUS_20 => EMACDCRDBUS(20),
EMACDCRDBUS_19 => EMACDCRDBUS(19),
EMACDCRDBUS_18 => EMACDCRDBUS(18),
EMACDCRDBUS_17 => EMACDCRDBUS(17),
EMACDCRDBUS_16 => EMACDCRDBUS(16),
EMACDCRDBUS_15 => EMACDCRDBUS(15),
EMACDCRDBUS_14 => EMACDCRDBUS(14),
EMACDCRDBUS_13 => EMACDCRDBUS(13),
EMACDCRDBUS_12 => EMACDCRDBUS(12),
EMACDCRDBUS_11 => EMACDCRDBUS(11),
EMACDCRDBUS_10 => EMACDCRDBUS(10),
EMACDCRDBUS_9 => EMACDCRDBUS(9),
EMACDCRDBUS_8 => EMACDCRDBUS(8),
EMACDCRDBUS_7 => EMACDCRDBUS(7),
EMACDCRDBUS_6 => EMACDCRDBUS(6),
EMACDCRDBUS_5 => EMACDCRDBUS(5),
EMACDCRDBUS_4 => EMACDCRDBUS(4),
EMACDCRDBUS_3 => EMACDCRDBUS(3),
EMACDCRDBUS_2 => EMACDCRDBUS(2),
EMACDCRDBUS_1 => EMACDCRDBUS(1),
EMACDCRDBUS_0 => EMACDCRDBUS(0),
EMACDCRACK => EMACDCRACK,
C405RSTCHIPRESETREQ => C405RSTCHIPRESETREQ,
C405RSTCORERESETREQ => C405RSTCORERESETREQ,
C405RSTSYSRESETREQ => C405RSTSYSRESETREQ,
RSTC405RESETCHIP => RSTC405RESETCHIP,
RSTC405RESETCORE => RSTC405RESETCORE,
RSTC405RESETSYS => RSTC405RESETSYS,
C405PLBICUREQUEST => C405PLBICUREQUEST,
C405PLBICUPRIORITY_1 => C405PLBICUPRIORITY(1),
C405PLBICUPRIORITY_0 => C405PLBICUPRIORITY(0),
C405PLBICUCACHEABLE => C405PLBICUCACHEABLE,
C405PLBICUABUS_29 => C405PLBICUABUS(29),
C405PLBICUABUS_28 => C405PLBICUABUS(28),
C405PLBICUABUS_27 => C405PLBICUABUS(27),
C405PLBICUABUS_26 => C405PLBICUABUS(26),
C405PLBICUABUS_25 => C405PLBICUABUS(25),
C405PLBICUABUS_24 => C405PLBICUABUS(24),
C405PLBICUABUS_23 => C405PLBICUABUS(23),
C405PLBICUABUS_22 => C405PLBICUABUS(22),
C405PLBICUABUS_21 => C405PLBICUABUS(21),
C405PLBICUABUS_20 => C405PLBICUABUS(20),
C405PLBICUABUS_19 => C405PLBICUABUS(19),
C405PLBICUABUS_18 => C405PLBICUABUS(18),
C405PLBICUABUS_17 => C405PLBICUABUS(17),
C405PLBICUABUS_16 => C405PLBICUABUS(16),
C405PLBICUABUS_15 => C405PLBICUABUS(15),
C405PLBICUABUS_14 => C405PLBICUABUS(14),
C405PLBICUABUS_13 => C405PLBICUABUS(13),
C405PLBICUABUS_12 => C405PLBICUABUS(12),
C405PLBICUABUS_11 => C405PLBICUABUS(11),
C405PLBICUABUS_10 => C405PLBICUABUS(10),
C405PLBICUABUS_9 => C405PLBICUABUS(9),
C405PLBICUABUS_8 => C405PLBICUABUS(8),
C405PLBICUABUS_7 => C405PLBICUABUS(7),
C405PLBICUABUS_6 => C405PLBICUABUS(6),
C405PLBICUABUS_5 => C405PLBICUABUS(5),
C405PLBICUABUS_4 => C405PLBICUABUS(4),
C405PLBICUABUS_3 => C405PLBICUABUS(3),
C405PLBICUABUS_2 => C405PLBICUABUS(2),
C405PLBICUABUS_1 => C405PLBICUABUS(1),
C405PLBICUABUS_0 => C405PLBICUABUS(0),
C405PLBICUSIZE_3 => C405PLBICUSIZE(3),
C405PLBICUSIZE_2 => C405PLBICUSIZE(2),
C405PLBICUABORT => C405PLBICUABORT,
C405PLBICUU0ATTR => C405PLBICUU0ATTR,
PLBC405ICUADDRACK => PLBC405ICUADDRACK,
PLBC405ICUBUSY => PLBC405ICUBUSY,
PLBC405ICUERR => PLBC405ICUERR,
PLBC405ICURDDACK => PLBC405ICURDDACK,
PLBC405ICURDDBUS_63 => PLBC405ICURDDBUS(63),
PLBC405ICURDDBUS_62 => PLBC405ICURDDBUS(62),
PLBC405ICURDDBUS_61 => PLBC405ICURDDBUS(61),
PLBC405ICURDDBUS_60 => PLBC405ICURDDBUS(60),
PLBC405ICURDDBUS_59 => PLBC405ICURDDBUS(59),
PLBC405ICURDDBUS_58 => PLBC405ICURDDBUS(58),
PLBC405ICURDDBUS_57 => PLBC405ICURDDBUS(57),
PLBC405ICURDDBUS_56 => PLBC405ICURDDBUS(56),
PLBC405ICURDDBUS_55 => PLBC405ICURDDBUS(55),
PLBC405ICURDDBUS_54 => PLBC405ICURDDBUS(54),
PLBC405ICURDDBUS_53 => PLBC405ICURDDBUS(53),
PLBC405ICURDDBUS_52 => PLBC405ICURDDBUS(52),
PLBC405ICURDDBUS_51 => PLBC405ICURDDBUS(51),
PLBC405ICURDDBUS_50 => PLBC405ICURDDBUS(50),
PLBC405ICURDDBUS_49 => PLBC405ICURDDBUS(49),
PLBC405ICURDDBUS_48 => PLBC405ICURDDBUS(48),
PLBC405ICURDDBUS_47 => PLBC405ICURDDBUS(47),
PLBC405ICURDDBUS_46 => PLBC405ICURDDBUS(46),
PLBC405ICURDDBUS_45 => PLBC405ICURDDBUS(45),
PLBC405ICURDDBUS_44 => PLBC405ICURDDBUS(44),
PLBC405ICURDDBUS_43 => PLBC405ICURDDBUS(43),
PLBC405ICURDDBUS_42 => PLBC405ICURDDBUS(42),
PLBC405ICURDDBUS_41 => PLBC405ICURDDBUS(41),
PLBC405ICURDDBUS_40 => PLBC405ICURDDBUS(40),
PLBC405ICURDDBUS_39 => PLBC405ICURDDBUS(39),
PLBC405ICURDDBUS_38 => PLBC405ICURDDBUS(38),
PLBC405ICURDDBUS_37 => PLBC405ICURDDBUS(37),
PLBC405ICURDDBUS_36 => PLBC405ICURDDBUS(36),
PLBC405ICURDDBUS_35 => PLBC405ICURDDBUS(35),
PLBC405ICURDDBUS_34 => PLBC405ICURDDBUS(34),
PLBC405ICURDDBUS_33 => PLBC405ICURDDBUS(33),
PLBC405ICURDDBUS_32 => PLBC405ICURDDBUS(32),
PLBC405ICURDDBUS_31 => PLBC405ICURDDBUS(31),
PLBC405ICURDDBUS_30 => PLBC405ICURDDBUS(30),
PLBC405ICURDDBUS_29 => PLBC405ICURDDBUS(29),
PLBC405ICURDDBUS_28 => PLBC405ICURDDBUS(28),
PLBC405ICURDDBUS_27 => PLBC405ICURDDBUS(27),
PLBC405ICURDDBUS_26 => PLBC405ICURDDBUS(26),
PLBC405ICURDDBUS_25 => PLBC405ICURDDBUS(25),
PLBC405ICURDDBUS_24 => PLBC405ICURDDBUS(24),
PLBC405ICURDDBUS_23 => PLBC405ICURDDBUS(23),
PLBC405ICURDDBUS_22 => PLBC405ICURDDBUS(22),
PLBC405ICURDDBUS_21 => PLBC405ICURDDBUS(21),
PLBC405ICURDDBUS_20 => PLBC405ICURDDBUS(20),
PLBC405ICURDDBUS_19 => PLBC405ICURDDBUS(19),
PLBC405ICURDDBUS_18 => PLBC405ICURDDBUS(18),
PLBC405ICURDDBUS_17 => PLBC405ICURDDBUS(17),
PLBC405ICURDDBUS_16 => PLBC405ICURDDBUS(16),
PLBC405ICURDDBUS_15 => PLBC405ICURDDBUS(15),
PLBC405ICURDDBUS_14 => PLBC405ICURDDBUS(14),
PLBC405ICURDDBUS_13 => PLBC405ICURDDBUS(13),
PLBC405ICURDDBUS_12 => PLBC405ICURDDBUS(12),
PLBC405ICURDDBUS_11 => PLBC405ICURDDBUS(11),
PLBC405ICURDDBUS_10 => PLBC405ICURDDBUS(10),
PLBC405ICURDDBUS_9 => PLBC405ICURDDBUS(9),
PLBC405ICURDDBUS_8 => PLBC405ICURDDBUS(8),
PLBC405ICURDDBUS_7 => PLBC405ICURDDBUS(7),
PLBC405ICURDDBUS_6 => PLBC405ICURDDBUS(6),
PLBC405ICURDDBUS_5 => PLBC405ICURDDBUS(5),
PLBC405ICURDDBUS_4 => PLBC405ICURDDBUS(4),
PLBC405ICURDDBUS_3 => PLBC405ICURDDBUS(3),
PLBC405ICURDDBUS_2 => PLBC405ICURDDBUS(2),
PLBC405ICURDDBUS_1 => PLBC405ICURDDBUS(1),
PLBC405ICURDDBUS_0 => PLBC405ICURDDBUS(0),
PLBC405ICUSSIZE1 => PLBC405ICUSSIZE1,
PLBC405ICURDWDADDR_3 => PLBC405ICURDWDADDR(3),
PLBC405ICURDWDADDR_2 => PLBC405ICURDWDADDR(2),
PLBC405ICURDWDADDR_1 => PLBC405ICURDWDADDR(1),
C405PLBDCUREQUEST => C405PLBDCUREQUEST,
C405PLBDCURNW => C405PLBDCURNW,
C405PLBDCUABUS_31 => C405PLBDCUABUS(31),
C405PLBDCUABUS_30 => C405PLBDCUABUS(30),
C405PLBDCUABUS_29 => C405PLBDCUABUS(29),
C405PLBDCUABUS_28 => C405PLBDCUABUS(28),
C405PLBDCUABUS_27 => C405PLBDCUABUS(27),
C405PLBDCUABUS_26 => C405PLBDCUABUS(26),
C405PLBDCUABUS_25 => C405PLBDCUABUS(25),
C405PLBDCUABUS_24 => C405PLBDCUABUS(24),
C405PLBDCUABUS_23 => C405PLBDCUABUS(23),
C405PLBDCUABUS_22 => C405PLBDCUABUS(22),
C405PLBDCUABUS_21 => C405PLBDCUABUS(21),
C405PLBDCUABUS_20 => C405PLBDCUABUS(20),
C405PLBDCUABUS_19 => C405PLBDCUABUS(19),
C405PLBDCUABUS_18 => C405PLBDCUABUS(18),
C405PLBDCUABUS_17 => C405PLBDCUABUS(17),
C405PLBDCUABUS_16 => C405PLBDCUABUS(16),
C405PLBDCUABUS_15 => C405PLBDCUABUS(15),
C405PLBDCUABUS_14 => C405PLBDCUABUS(14),
C405PLBDCUABUS_13 => C405PLBDCUABUS(13),
C405PLBDCUABUS_12 => C405PLBDCUABUS(12),
C405PLBDCUABUS_11 => C405PLBDCUABUS(11),
C405PLBDCUABUS_10 => C405PLBDCUABUS(10),
C405PLBDCUABUS_9 => C405PLBDCUABUS(9),
C405PLBDCUABUS_8 => C405PLBDCUABUS(8),
C405PLBDCUABUS_7 => C405PLBDCUABUS(7),
C405PLBDCUABUS_6 => C405PLBDCUABUS(6),
C405PLBDCUABUS_5 => C405PLBDCUABUS(5),
C405PLBDCUABUS_4 => C405PLBDCUABUS(4),
C405PLBDCUABUS_3 => C405PLBDCUABUS(3),
C405PLBDCUABUS_2 => C405PLBDCUABUS(2),
C405PLBDCUABUS_1 => C405PLBDCUABUS(1),
C405PLBDCUABUS_0 => C405PLBDCUABUS(0),
C405PLBDCUBE_7 => C405PLBDCUBE(7),
C405PLBDCUBE_6 => C405PLBDCUBE(6),
C405PLBDCUBE_5 => C405PLBDCUBE(5),
C405PLBDCUBE_4 => C405PLBDCUBE(4),
C405PLBDCUBE_3 => C405PLBDCUBE(3),
C405PLBDCUBE_2 => C405PLBDCUBE(2),
C405PLBDCUBE_1 => C405PLBDCUBE(1),
C405PLBDCUBE_0 => C405PLBDCUBE(0),
C405PLBDCUCACHEABLE => C405PLBDCUCACHEABLE,
C405PLBDCUGUARDED => C405PLBDCUGUARDED,
C405PLBDCUPRIORITY_1 => C405PLBDCUPRIORITY(1),
C405PLBDCUPRIORITY_0 => C405PLBDCUPRIORITY(0),
C405PLBDCUSIZE2 => C405PLBDCUSIZE2,
C405PLBDCUABORT => C405PLBDCUABORT,
C405PLBDCUWRDBUS_63 => C405PLBDCUWRDBUS(63),
C405PLBDCUWRDBUS_62 => C405PLBDCUWRDBUS(62),
C405PLBDCUWRDBUS_61 => C405PLBDCUWRDBUS(61),
C405PLBDCUWRDBUS_60 => C405PLBDCUWRDBUS(60),
C405PLBDCUWRDBUS_59 => C405PLBDCUWRDBUS(59),
C405PLBDCUWRDBUS_58 => C405PLBDCUWRDBUS(58),
C405PLBDCUWRDBUS_57 => C405PLBDCUWRDBUS(57),
C405PLBDCUWRDBUS_56 => C405PLBDCUWRDBUS(56),
C405PLBDCUWRDBUS_55 => C405PLBDCUWRDBUS(55),
C405PLBDCUWRDBUS_54 => C405PLBDCUWRDBUS(54),
C405PLBDCUWRDBUS_53 => C405PLBDCUWRDBUS(53),
C405PLBDCUWRDBUS_52 => C405PLBDCUWRDBUS(52),
C405PLBDCUWRDBUS_51 => C405PLBDCUWRDBUS(51),
C405PLBDCUWRDBUS_50 => C405PLBDCUWRDBUS(50),
C405PLBDCUWRDBUS_49 => C405PLBDCUWRDBUS(49),
C405PLBDCUWRDBUS_48 => C405PLBDCUWRDBUS(48),
C405PLBDCUWRDBUS_47 => C405PLBDCUWRDBUS(47),
C405PLBDCUWRDBUS_46 => C405PLBDCUWRDBUS(46),
C405PLBDCUWRDBUS_45 => C405PLBDCUWRDBUS(45),
C405PLBDCUWRDBUS_44 => C405PLBDCUWRDBUS(44),
C405PLBDCUWRDBUS_43 => C405PLBDCUWRDBUS(43),
C405PLBDCUWRDBUS_42 => C405PLBDCUWRDBUS(42),
C405PLBDCUWRDBUS_41 => C405PLBDCUWRDBUS(41),
C405PLBDCUWRDBUS_40 => C405PLBDCUWRDBUS(40),
C405PLBDCUWRDBUS_39 => C405PLBDCUWRDBUS(39),
C405PLBDCUWRDBUS_38 => C405PLBDCUWRDBUS(38),
C405PLBDCUWRDBUS_37 => C405PLBDCUWRDBUS(37),
C405PLBDCUWRDBUS_36 => C405PLBDCUWRDBUS(36),
C405PLBDCUWRDBUS_35 => C405PLBDCUWRDBUS(35),
C405PLBDCUWRDBUS_34 => C405PLBDCUWRDBUS(34),
C405PLBDCUWRDBUS_33 => C405PLBDCUWRDBUS(33),
C405PLBDCUWRDBUS_32 => C405PLBDCUWRDBUS(32),
C405PLBDCUWRDBUS_31 => C405PLBDCUWRDBUS(31),
C405PLBDCUWRDBUS_30 => C405PLBDCUWRDBUS(30),
C405PLBDCUWRDBUS_29 => C405PLBDCUWRDBUS(29),
C405PLBDCUWRDBUS_28 => C405PLBDCUWRDBUS(28),
C405PLBDCUWRDBUS_27 => C405PLBDCUWRDBUS(27),
C405PLBDCUWRDBUS_26 => C405PLBDCUWRDBUS(26),
C405PLBDCUWRDBUS_25 => C405PLBDCUWRDBUS(25),
C405PLBDCUWRDBUS_24 => C405PLBDCUWRDBUS(24),
C405PLBDCUWRDBUS_23 => C405PLBDCUWRDBUS(23),
C405PLBDCUWRDBUS_22 => C405PLBDCUWRDBUS(22),
C405PLBDCUWRDBUS_21 => C405PLBDCUWRDBUS(21),
C405PLBDCUWRDBUS_20 => C405PLBDCUWRDBUS(20),
C405PLBDCUWRDBUS_19 => C405PLBDCUWRDBUS(19),
C405PLBDCUWRDBUS_18 => C405PLBDCUWRDBUS(18),
C405PLBDCUWRDBUS_17 => C405PLBDCUWRDBUS(17),
C405PLBDCUWRDBUS_16 => C405PLBDCUWRDBUS(16),
C405PLBDCUWRDBUS_15 => C405PLBDCUWRDBUS(15),
C405PLBDCUWRDBUS_14 => C405PLBDCUWRDBUS(14),
C405PLBDCUWRDBUS_13 => C405PLBDCUWRDBUS(13),
C405PLBDCUWRDBUS_12 => C405PLBDCUWRDBUS(12),
C405PLBDCUWRDBUS_11 => C405PLBDCUWRDBUS(11),
C405PLBDCUWRDBUS_10 => C405PLBDCUWRDBUS(10),
C405PLBDCUWRDBUS_9 => C405PLBDCUWRDBUS(9),
C405PLBDCUWRDBUS_8 => C405PLBDCUWRDBUS(8),
C405PLBDCUWRDBUS_7 => C405PLBDCUWRDBUS(7),
C405PLBDCUWRDBUS_6 => C405PLBDCUWRDBUS(6),
C405PLBDCUWRDBUS_5 => C405PLBDCUWRDBUS(5),
C405PLBDCUWRDBUS_4 => C405PLBDCUWRDBUS(4),
C405PLBDCUWRDBUS_3 => C405PLBDCUWRDBUS(3),
C405PLBDCUWRDBUS_2 => C405PLBDCUWRDBUS(2),
C405PLBDCUWRDBUS_1 => C405PLBDCUWRDBUS(1),
C405PLBDCUWRDBUS_0 => C405PLBDCUWRDBUS(0),
C405PLBDCUU0ATTR => C405PLBDCUU0ATTR,
C405PLBDCUWRITETHRU => C405PLBDCUWRITETHRU,
PLBC405DCUADDRACK => PLBC405DCUADDRACK,
PLBC405DCUBUSY => PLBC405DCUBUSY,
PLBC405DCUERR => PLBC405DCUERR,
PLBC405DCURDDACK => PLBC405DCURDDACK,
PLBC405DCURDDBUS_63 => PLBC405DCURDDBUS(63),
PLBC405DCURDDBUS_62 => PLBC405DCURDDBUS(62),
PLBC405DCURDDBUS_61 => PLBC405DCURDDBUS(61),
PLBC405DCURDDBUS_60 => PLBC405DCURDDBUS(60),
PLBC405DCURDDBUS_59 => PLBC405DCURDDBUS(59),
PLBC405DCURDDBUS_58 => PLBC405DCURDDBUS(58),
PLBC405DCURDDBUS_57 => PLBC405DCURDDBUS(57),
PLBC405DCURDDBUS_56 => PLBC405DCURDDBUS(56),
PLBC405DCURDDBUS_55 => PLBC405DCURDDBUS(55),
PLBC405DCURDDBUS_54 => PLBC405DCURDDBUS(54),
PLBC405DCURDDBUS_53 => PLBC405DCURDDBUS(53),
PLBC405DCURDDBUS_52 => PLBC405DCURDDBUS(52),
PLBC405DCURDDBUS_51 => PLBC405DCURDDBUS(51),
PLBC405DCURDDBUS_50 => PLBC405DCURDDBUS(50),
PLBC405DCURDDBUS_49 => PLBC405DCURDDBUS(49),
PLBC405DCURDDBUS_48 => PLBC405DCURDDBUS(48),
PLBC405DCURDDBUS_47 => PLBC405DCURDDBUS(47),
PLBC405DCURDDBUS_46 => PLBC405DCURDDBUS(46),
PLBC405DCURDDBUS_45 => PLBC405DCURDDBUS(45),
PLBC405DCURDDBUS_44 => PLBC405DCURDDBUS(44),
PLBC405DCURDDBUS_43 => PLBC405DCURDDBUS(43),
PLBC405DCURDDBUS_42 => PLBC405DCURDDBUS(42),
PLBC405DCURDDBUS_41 => PLBC405DCURDDBUS(41),
PLBC405DCURDDBUS_40 => PLBC405DCURDDBUS(40),
PLBC405DCURDDBUS_39 => PLBC405DCURDDBUS(39),
PLBC405DCURDDBUS_38 => PLBC405DCURDDBUS(38),
PLBC405DCURDDBUS_37 => PLBC405DCURDDBUS(37),
PLBC405DCURDDBUS_36 => PLBC405DCURDDBUS(36),
PLBC405DCURDDBUS_35 => PLBC405DCURDDBUS(35),
PLBC405DCURDDBUS_34 => PLBC405DCURDDBUS(34),
PLBC405DCURDDBUS_33 => PLBC405DCURDDBUS(33),
PLBC405DCURDDBUS_32 => PLBC405DCURDDBUS(32),
PLBC405DCURDDBUS_31 => PLBC405DCURDDBUS(31),
PLBC405DCURDDBUS_30 => PLBC405DCURDDBUS(30),
PLBC405DCURDDBUS_29 => PLBC405DCURDDBUS(29),
PLBC405DCURDDBUS_28 => PLBC405DCURDDBUS(28),
PLBC405DCURDDBUS_27 => PLBC405DCURDDBUS(27),
PLBC405DCURDDBUS_26 => PLBC405DCURDDBUS(26),
PLBC405DCURDDBUS_25 => PLBC405DCURDDBUS(25),
PLBC405DCURDDBUS_24 => PLBC405DCURDDBUS(24),
PLBC405DCURDDBUS_23 => PLBC405DCURDDBUS(23),
PLBC405DCURDDBUS_22 => PLBC405DCURDDBUS(22),
PLBC405DCURDDBUS_21 => PLBC405DCURDDBUS(21),
PLBC405DCURDDBUS_20 => PLBC405DCURDDBUS(20),
PLBC405DCURDDBUS_19 => PLBC405DCURDDBUS(19),
PLBC405DCURDDBUS_18 => PLBC405DCURDDBUS(18),
PLBC405DCURDDBUS_17 => PLBC405DCURDDBUS(17),
PLBC405DCURDDBUS_16 => PLBC405DCURDDBUS(16),
PLBC405DCURDDBUS_15 => PLBC405DCURDDBUS(15),
PLBC405DCURDDBUS_14 => PLBC405DCURDDBUS(14),
PLBC405DCURDDBUS_13 => PLBC405DCURDDBUS(13),
PLBC405DCURDDBUS_12 => PLBC405DCURDDBUS(12),
PLBC405DCURDDBUS_11 => PLBC405DCURDDBUS(11),
PLBC405DCURDDBUS_10 => PLBC405DCURDDBUS(10),
PLBC405DCURDDBUS_9 => PLBC405DCURDDBUS(9),
PLBC405DCURDDBUS_8 => PLBC405DCURDDBUS(8),
PLBC405DCURDDBUS_7 => PLBC405DCURDDBUS(7),
PLBC405DCURDDBUS_6 => PLBC405DCURDDBUS(6),
PLBC405DCURDDBUS_5 => PLBC405DCURDDBUS(5),
PLBC405DCURDDBUS_4 => PLBC405DCURDDBUS(4),
PLBC405DCURDDBUS_3 => PLBC405DCURDDBUS(3),
PLBC405DCURDDBUS_2 => PLBC405DCURDDBUS(2),
PLBC405DCURDDBUS_1 => PLBC405DCURDDBUS(1),
PLBC405DCURDDBUS_0 => PLBC405DCURDDBUS(0),
PLBC405DCURDWDADDR_3 => PLBC405DCURDWDADDR(3),
PLBC405DCURDWDADDR_2 => PLBC405DCURDWDADDR(2),
PLBC405DCURDWDADDR_1 => PLBC405DCURDWDADDR(1),
PLBC405DCUSSIZE1 => PLBC405DCUSSIZE1,
PLBC405DCUWRDACK => PLBC405DCUWRDACK,
ISOCMBRAMRDABUS_28 => ISOCMBRAMRDABUS(28),
ISOCMBRAMRDABUS_27 => ISOCMBRAMRDABUS(27),
ISOCMBRAMRDABUS_26 => ISOCMBRAMRDABUS(26),
ISOCMBRAMRDABUS_25 => ISOCMBRAMRDABUS(25),
ISOCMBRAMRDABUS_24 => ISOCMBRAMRDABUS(24),
ISOCMBRAMRDABUS_23 => ISOCMBRAMRDABUS(23),
ISOCMBRAMRDABUS_22 => ISOCMBRAMRDABUS(22),
ISOCMBRAMRDABUS_21 => ISOCMBRAMRDABUS(21),
ISOCMBRAMRDABUS_20 => ISOCMBRAMRDABUS(20),
ISOCMBRAMRDABUS_19 => ISOCMBRAMRDABUS(19),
ISOCMBRAMRDABUS_18 => ISOCMBRAMRDABUS(18),
ISOCMBRAMRDABUS_17 => ISOCMBRAMRDABUS(17),
ISOCMBRAMRDABUS_16 => ISOCMBRAMRDABUS(16),
ISOCMBRAMRDABUS_15 => ISOCMBRAMRDABUS(15),
ISOCMBRAMRDABUS_14 => ISOCMBRAMRDABUS(14),
ISOCMBRAMRDABUS_13 => ISOCMBRAMRDABUS(13),
ISOCMBRAMRDABUS_12 => ISOCMBRAMRDABUS(12),
ISOCMBRAMRDABUS_11 => ISOCMBRAMRDABUS(11),
ISOCMBRAMRDABUS_10 => ISOCMBRAMRDABUS(10),
ISOCMBRAMRDABUS_9 => ISOCMBRAMRDABUS(9),
ISOCMBRAMRDABUS_8 => ISOCMBRAMRDABUS(8),
ISOCMBRAMWRABUS_28 => ISOCMBRAMWRABUS(28),
ISOCMBRAMWRABUS_27 => ISOCMBRAMWRABUS(27),
ISOCMBRAMWRABUS_26 => ISOCMBRAMWRABUS(26),
ISOCMBRAMWRABUS_25 => ISOCMBRAMWRABUS(25),
ISOCMBRAMWRABUS_24 => ISOCMBRAMWRABUS(24),
ISOCMBRAMWRABUS_23 => ISOCMBRAMWRABUS(23),
ISOCMBRAMWRABUS_22 => ISOCMBRAMWRABUS(22),
ISOCMBRAMWRABUS_21 => ISOCMBRAMWRABUS(21),
ISOCMBRAMWRABUS_20 => ISOCMBRAMWRABUS(20),
ISOCMBRAMWRABUS_19 => ISOCMBRAMWRABUS(19),
ISOCMBRAMWRABUS_18 => ISOCMBRAMWRABUS(18),
ISOCMBRAMWRABUS_17 => ISOCMBRAMWRABUS(17),
ISOCMBRAMWRABUS_16 => ISOCMBRAMWRABUS(16),
ISOCMBRAMWRABUS_15 => ISOCMBRAMWRABUS(15),
ISOCMBRAMWRABUS_14 => ISOCMBRAMWRABUS(14),
ISOCMBRAMWRABUS_13 => ISOCMBRAMWRABUS(13),
ISOCMBRAMWRABUS_12 => ISOCMBRAMWRABUS(12),
ISOCMBRAMWRABUS_11 => ISOCMBRAMWRABUS(11),
ISOCMBRAMWRABUS_10 => ISOCMBRAMWRABUS(10),
ISOCMBRAMWRABUS_9 => ISOCMBRAMWRABUS(9),
ISOCMBRAMWRABUS_8 => ISOCMBRAMWRABUS(8),
ISOCMBRAMEN => ISOCMBRAMEN,
ISOCMBRAMODDWRITEEN => ISOCMBRAMODDWRITEEN,
ISOCMBRAMEVENWRITEEN => ISOCMBRAMEVENWRITEEN,
ISOCMBRAMWRDBUS_31 => ISOCMBRAMWRDBUS(31),
ISOCMBRAMWRDBUS_30 => ISOCMBRAMWRDBUS(30),
ISOCMBRAMWRDBUS_29 => ISOCMBRAMWRDBUS(29),
ISOCMBRAMWRDBUS_28 => ISOCMBRAMWRDBUS(28),
ISOCMBRAMWRDBUS_27 => ISOCMBRAMWRDBUS(27),
ISOCMBRAMWRDBUS_26 => ISOCMBRAMWRDBUS(26),
ISOCMBRAMWRDBUS_25 => ISOCMBRAMWRDBUS(25),
ISOCMBRAMWRDBUS_24 => ISOCMBRAMWRDBUS(24),
ISOCMBRAMWRDBUS_23 => ISOCMBRAMWRDBUS(23),
ISOCMBRAMWRDBUS_22 => ISOCMBRAMWRDBUS(22),
ISOCMBRAMWRDBUS_21 => ISOCMBRAMWRDBUS(21),
ISOCMBRAMWRDBUS_20 => ISOCMBRAMWRDBUS(20),
ISOCMBRAMWRDBUS_19 => ISOCMBRAMWRDBUS(19),
ISOCMBRAMWRDBUS_18 => ISOCMBRAMWRDBUS(18),
ISOCMBRAMWRDBUS_17 => ISOCMBRAMWRDBUS(17),
ISOCMBRAMWRDBUS_16 => ISOCMBRAMWRDBUS(16),
ISOCMBRAMWRDBUS_15 => ISOCMBRAMWRDBUS(15),
ISOCMBRAMWRDBUS_14 => ISOCMBRAMWRDBUS(14),
ISOCMBRAMWRDBUS_13 => ISOCMBRAMWRDBUS(13),
ISOCMBRAMWRDBUS_12 => ISOCMBRAMWRDBUS(12),
ISOCMBRAMWRDBUS_11 => ISOCMBRAMWRDBUS(11),
ISOCMBRAMWRDBUS_10 => ISOCMBRAMWRDBUS(10),
ISOCMBRAMWRDBUS_9 => ISOCMBRAMWRDBUS(9),
ISOCMBRAMWRDBUS_8 => ISOCMBRAMWRDBUS(8),
ISOCMBRAMWRDBUS_7 => ISOCMBRAMWRDBUS(7),
ISOCMBRAMWRDBUS_6 => ISOCMBRAMWRDBUS(6),
ISOCMBRAMWRDBUS_5 => ISOCMBRAMWRDBUS(5),
ISOCMBRAMWRDBUS_4 => ISOCMBRAMWRDBUS(4),
ISOCMBRAMWRDBUS_3 => ISOCMBRAMWRDBUS(3),
ISOCMBRAMWRDBUS_2 => ISOCMBRAMWRDBUS(2),
ISOCMBRAMWRDBUS_1 => ISOCMBRAMWRDBUS(1),
ISOCMBRAMWRDBUS_0 => ISOCMBRAMWRDBUS(0),
ISOCMDCRBRAMEVENEN => ISOCMDCRBRAMEVENEN,
ISOCMDCRBRAMODDEN => ISOCMDCRBRAMODDEN,
ISOCMDCRBRAMRDSELECT => ISOCMDCRBRAMRDSELECT,
BRAMISOCMDCRRDDBUS_31 => BRAMISOCMDCRRDDBUS(31),
BRAMISOCMDCRRDDBUS_30 => BRAMISOCMDCRRDDBUS(30),
BRAMISOCMDCRRDDBUS_29 => BRAMISOCMDCRRDDBUS(29),
BRAMISOCMDCRRDDBUS_28 => BRAMISOCMDCRRDDBUS(28),
BRAMISOCMDCRRDDBUS_27 => BRAMISOCMDCRRDDBUS(27),
BRAMISOCMDCRRDDBUS_26 => BRAMISOCMDCRRDDBUS(26),
BRAMISOCMDCRRDDBUS_25 => BRAMISOCMDCRRDDBUS(25),
BRAMISOCMDCRRDDBUS_24 => BRAMISOCMDCRRDDBUS(24),
BRAMISOCMDCRRDDBUS_23 => BRAMISOCMDCRRDDBUS(23),
BRAMISOCMDCRRDDBUS_22 => BRAMISOCMDCRRDDBUS(22),
BRAMISOCMDCRRDDBUS_21 => BRAMISOCMDCRRDDBUS(21),
BRAMISOCMDCRRDDBUS_20 => BRAMISOCMDCRRDDBUS(20),
BRAMISOCMDCRRDDBUS_19 => BRAMISOCMDCRRDDBUS(19),
BRAMISOCMDCRRDDBUS_18 => BRAMISOCMDCRRDDBUS(18),
BRAMISOCMDCRRDDBUS_17 => BRAMISOCMDCRRDDBUS(17),
BRAMISOCMDCRRDDBUS_16 => BRAMISOCMDCRRDDBUS(16),
BRAMISOCMDCRRDDBUS_15 => BRAMISOCMDCRRDDBUS(15),
BRAMISOCMDCRRDDBUS_14 => BRAMISOCMDCRRDDBUS(14),
BRAMISOCMDCRRDDBUS_13 => BRAMISOCMDCRRDDBUS(13),
BRAMISOCMDCRRDDBUS_12 => BRAMISOCMDCRRDDBUS(12),
BRAMISOCMDCRRDDBUS_11 => BRAMISOCMDCRRDDBUS(11),
BRAMISOCMDCRRDDBUS_10 => BRAMISOCMDCRRDDBUS(10),
BRAMISOCMDCRRDDBUS_9 => BRAMISOCMDCRRDDBUS(9),
BRAMISOCMDCRRDDBUS_8 => BRAMISOCMDCRRDDBUS(8),
BRAMISOCMDCRRDDBUS_7 => BRAMISOCMDCRRDDBUS(7),
BRAMISOCMDCRRDDBUS_6 => BRAMISOCMDCRRDDBUS(6),
BRAMISOCMDCRRDDBUS_5 => BRAMISOCMDCRRDDBUS(5),
BRAMISOCMDCRRDDBUS_4 => BRAMISOCMDCRRDDBUS(4),
BRAMISOCMDCRRDDBUS_3 => BRAMISOCMDCRRDDBUS(3),
BRAMISOCMDCRRDDBUS_2 => BRAMISOCMDCRRDDBUS(2),
BRAMISOCMDCRRDDBUS_1 => BRAMISOCMDCRRDDBUS(1),
BRAMISOCMDCRRDDBUS_0 => BRAMISOCMDCRRDDBUS(0),
BRAMISOCMRDDBUS_63 => BRAMISOCMRDDBUS(63),
BRAMISOCMRDDBUS_62 => BRAMISOCMRDDBUS(62),
BRAMISOCMRDDBUS_61 => BRAMISOCMRDDBUS(61),
BRAMISOCMRDDBUS_60 => BRAMISOCMRDDBUS(60),
BRAMISOCMRDDBUS_59 => BRAMISOCMRDDBUS(59),
BRAMISOCMRDDBUS_58 => BRAMISOCMRDDBUS(58),
BRAMISOCMRDDBUS_57 => BRAMISOCMRDDBUS(57),
BRAMISOCMRDDBUS_56 => BRAMISOCMRDDBUS(56),
BRAMISOCMRDDBUS_55 => BRAMISOCMRDDBUS(55),
BRAMISOCMRDDBUS_54 => BRAMISOCMRDDBUS(54),
BRAMISOCMRDDBUS_53 => BRAMISOCMRDDBUS(53),
BRAMISOCMRDDBUS_52 => BRAMISOCMRDDBUS(52),
BRAMISOCMRDDBUS_51 => BRAMISOCMRDDBUS(51),
BRAMISOCMRDDBUS_50 => BRAMISOCMRDDBUS(50),
BRAMISOCMRDDBUS_49 => BRAMISOCMRDDBUS(49),
BRAMISOCMRDDBUS_48 => BRAMISOCMRDDBUS(48),
BRAMISOCMRDDBUS_47 => BRAMISOCMRDDBUS(47),
BRAMISOCMRDDBUS_46 => BRAMISOCMRDDBUS(46),
BRAMISOCMRDDBUS_45 => BRAMISOCMRDDBUS(45),
BRAMISOCMRDDBUS_44 => BRAMISOCMRDDBUS(44),
BRAMISOCMRDDBUS_43 => BRAMISOCMRDDBUS(43),
BRAMISOCMRDDBUS_42 => BRAMISOCMRDDBUS(42),
BRAMISOCMRDDBUS_41 => BRAMISOCMRDDBUS(41),
BRAMISOCMRDDBUS_40 => BRAMISOCMRDDBUS(40),
BRAMISOCMRDDBUS_39 => BRAMISOCMRDDBUS(39),
BRAMISOCMRDDBUS_38 => BRAMISOCMRDDBUS(38),
BRAMISOCMRDDBUS_37 => BRAMISOCMRDDBUS(37),
BRAMISOCMRDDBUS_36 => BRAMISOCMRDDBUS(36),
BRAMISOCMRDDBUS_35 => BRAMISOCMRDDBUS(35),
BRAMISOCMRDDBUS_34 => BRAMISOCMRDDBUS(34),
BRAMISOCMRDDBUS_33 => BRAMISOCMRDDBUS(33),
BRAMISOCMRDDBUS_32 => BRAMISOCMRDDBUS(32),
BRAMISOCMRDDBUS_31 => BRAMISOCMRDDBUS(31),
BRAMISOCMRDDBUS_30 => BRAMISOCMRDDBUS(30),
BRAMISOCMRDDBUS_29 => BRAMISOCMRDDBUS(29),
BRAMISOCMRDDBUS_28 => BRAMISOCMRDDBUS(28),
BRAMISOCMRDDBUS_27 => BRAMISOCMRDDBUS(27),
BRAMISOCMRDDBUS_26 => BRAMISOCMRDDBUS(26),
BRAMISOCMRDDBUS_25 => BRAMISOCMRDDBUS(25),
BRAMISOCMRDDBUS_24 => BRAMISOCMRDDBUS(24),
BRAMISOCMRDDBUS_23 => BRAMISOCMRDDBUS(23),
BRAMISOCMRDDBUS_22 => BRAMISOCMRDDBUS(22),
BRAMISOCMRDDBUS_21 => BRAMISOCMRDDBUS(21),
BRAMISOCMRDDBUS_20 => BRAMISOCMRDDBUS(20),
BRAMISOCMRDDBUS_19 => BRAMISOCMRDDBUS(19),
BRAMISOCMRDDBUS_18 => BRAMISOCMRDDBUS(18),
BRAMISOCMRDDBUS_17 => BRAMISOCMRDDBUS(17),
BRAMISOCMRDDBUS_16 => BRAMISOCMRDDBUS(16),
BRAMISOCMRDDBUS_15 => BRAMISOCMRDDBUS(15),
BRAMISOCMRDDBUS_14 => BRAMISOCMRDDBUS(14),
BRAMISOCMRDDBUS_13 => BRAMISOCMRDDBUS(13),
BRAMISOCMRDDBUS_12 => BRAMISOCMRDDBUS(12),
BRAMISOCMRDDBUS_11 => BRAMISOCMRDDBUS(11),
BRAMISOCMRDDBUS_10 => BRAMISOCMRDDBUS(10),
BRAMISOCMRDDBUS_9 => BRAMISOCMRDDBUS(9),
BRAMISOCMRDDBUS_8 => BRAMISOCMRDDBUS(8),
BRAMISOCMRDDBUS_7 => BRAMISOCMRDDBUS(7),
BRAMISOCMRDDBUS_6 => BRAMISOCMRDDBUS(6),
BRAMISOCMRDDBUS_5 => BRAMISOCMRDDBUS(5),
BRAMISOCMRDDBUS_4 => BRAMISOCMRDDBUS(4),
BRAMISOCMRDDBUS_3 => BRAMISOCMRDDBUS(3),
BRAMISOCMRDDBUS_2 => BRAMISOCMRDDBUS(2),
BRAMISOCMRDDBUS_1 => BRAMISOCMRDDBUS(1),
BRAMISOCMRDDBUS_0 => BRAMISOCMRDDBUS(0),
ISARCVALUE_7 => ISARCVALUE(7),
ISARCVALUE_6 => ISARCVALUE(6),
ISARCVALUE_5 => ISARCVALUE(5),
ISARCVALUE_4 => ISARCVALUE(4),
ISARCVALUE_3 => ISARCVALUE(3),
ISARCVALUE_2 => ISARCVALUE(2),
ISARCVALUE_1 => ISARCVALUE(1),
ISARCVALUE_0 => ISARCVALUE(0),
ISCNTLVALUE_7 => ISCNTLVALUE(7),
ISCNTLVALUE_6 => ISCNTLVALUE(6),
ISCNTLVALUE_5 => ISCNTLVALUE(5),
ISCNTLVALUE_4 => ISCNTLVALUE(4),
ISCNTLVALUE_3 => ISCNTLVALUE(3),
ISCNTLVALUE_2 => ISCNTLVALUE(2),
ISCNTLVALUE_1 => ISCNTLVALUE(1),
ISCNTLVALUE_0 => ISCNTLVALUE(0),
BRAMISOCMCLK => BRAMISOCMCLK,
DSOCMBRAMABUS_29 => DSOCMBRAMABUS(29),
DSOCMBRAMABUS_28 => DSOCMBRAMABUS(28),
DSOCMBRAMABUS_27 => DSOCMBRAMABUS(27),
DSOCMBRAMABUS_26 => DSOCMBRAMABUS(26),
DSOCMBRAMABUS_25 => DSOCMBRAMABUS(25),
DSOCMBRAMABUS_24 => DSOCMBRAMABUS(24),
DSOCMBRAMABUS_23 => DSOCMBRAMABUS(23),
DSOCMBRAMABUS_22 => DSOCMBRAMABUS(22),
DSOCMBRAMABUS_21 => DSOCMBRAMABUS(21),
DSOCMBRAMABUS_20 => DSOCMBRAMABUS(20),
DSOCMBRAMABUS_19 => DSOCMBRAMABUS(19),
DSOCMBRAMABUS_18 => DSOCMBRAMABUS(18),
DSOCMBRAMABUS_17 => DSOCMBRAMABUS(17),
DSOCMBRAMABUS_16 => DSOCMBRAMABUS(16),
DSOCMBRAMABUS_15 => DSOCMBRAMABUS(15),
DSOCMBRAMABUS_14 => DSOCMBRAMABUS(14),
DSOCMBRAMABUS_13 => DSOCMBRAMABUS(13),
DSOCMBRAMABUS_12 => DSOCMBRAMABUS(12),
DSOCMBRAMABUS_11 => DSOCMBRAMABUS(11),
DSOCMBRAMABUS_10 => DSOCMBRAMABUS(10),
DSOCMBRAMABUS_9 => DSOCMBRAMABUS(9),
DSOCMBRAMABUS_8 => DSOCMBRAMABUS(8),
DSOCMBRAMBYTEWRITE_3 => DSOCMBRAMBYTEWRITE(3),
DSOCMBRAMBYTEWRITE_2 => DSOCMBRAMBYTEWRITE(2),
DSOCMBRAMBYTEWRITE_1 => DSOCMBRAMBYTEWRITE(1),
DSOCMBRAMBYTEWRITE_0 => DSOCMBRAMBYTEWRITE(0),
DSOCMBRAMEN => DSOCMBRAMEN,
DSOCMBRAMWRDBUS_31 => DSOCMBRAMWRDBUS(31),
DSOCMBRAMWRDBUS_30 => DSOCMBRAMWRDBUS(30),
DSOCMBRAMWRDBUS_29 => DSOCMBRAMWRDBUS(29),
DSOCMBRAMWRDBUS_28 => DSOCMBRAMWRDBUS(28),
DSOCMBRAMWRDBUS_27 => DSOCMBRAMWRDBUS(27),
DSOCMBRAMWRDBUS_26 => DSOCMBRAMWRDBUS(26),
DSOCMBRAMWRDBUS_25 => DSOCMBRAMWRDBUS(25),
DSOCMBRAMWRDBUS_24 => DSOCMBRAMWRDBUS(24),
DSOCMBRAMWRDBUS_23 => DSOCMBRAMWRDBUS(23),
DSOCMBRAMWRDBUS_22 => DSOCMBRAMWRDBUS(22),
DSOCMBRAMWRDBUS_21 => DSOCMBRAMWRDBUS(21),
DSOCMBRAMWRDBUS_20 => DSOCMBRAMWRDBUS(20),
DSOCMBRAMWRDBUS_19 => DSOCMBRAMWRDBUS(19),
DSOCMBRAMWRDBUS_18 => DSOCMBRAMWRDBUS(18),
DSOCMBRAMWRDBUS_17 => DSOCMBRAMWRDBUS(17),
DSOCMBRAMWRDBUS_16 => DSOCMBRAMWRDBUS(16),
DSOCMBRAMWRDBUS_15 => DSOCMBRAMWRDBUS(15),
DSOCMBRAMWRDBUS_14 => DSOCMBRAMWRDBUS(14),
DSOCMBRAMWRDBUS_13 => DSOCMBRAMWRDBUS(13),
DSOCMBRAMWRDBUS_12 => DSOCMBRAMWRDBUS(12),
DSOCMBRAMWRDBUS_11 => DSOCMBRAMWRDBUS(11),
DSOCMBRAMWRDBUS_10 => DSOCMBRAMWRDBUS(10),
DSOCMBRAMWRDBUS_9 => DSOCMBRAMWRDBUS(9),
DSOCMBRAMWRDBUS_8 => DSOCMBRAMWRDBUS(8),
DSOCMBRAMWRDBUS_7 => DSOCMBRAMWRDBUS(7),
DSOCMBRAMWRDBUS_6 => DSOCMBRAMWRDBUS(6),
DSOCMBRAMWRDBUS_5 => DSOCMBRAMWRDBUS(5),
DSOCMBRAMWRDBUS_4 => DSOCMBRAMWRDBUS(4),
DSOCMBRAMWRDBUS_3 => DSOCMBRAMWRDBUS(3),
DSOCMBRAMWRDBUS_2 => DSOCMBRAMWRDBUS(2),
DSOCMBRAMWRDBUS_1 => DSOCMBRAMWRDBUS(1),
DSOCMBRAMWRDBUS_0 => DSOCMBRAMWRDBUS(0),
BRAMDSOCMRDDBUS_31 => BRAMDSOCMRDDBUS(31),
BRAMDSOCMRDDBUS_30 => BRAMDSOCMRDDBUS(30),
BRAMDSOCMRDDBUS_29 => BRAMDSOCMRDDBUS(29),
BRAMDSOCMRDDBUS_28 => BRAMDSOCMRDDBUS(28),
BRAMDSOCMRDDBUS_27 => BRAMDSOCMRDDBUS(27),
BRAMDSOCMRDDBUS_26 => BRAMDSOCMRDDBUS(26),
BRAMDSOCMRDDBUS_25 => BRAMDSOCMRDDBUS(25),
BRAMDSOCMRDDBUS_24 => BRAMDSOCMRDDBUS(24),
BRAMDSOCMRDDBUS_23 => BRAMDSOCMRDDBUS(23),
BRAMDSOCMRDDBUS_22 => BRAMDSOCMRDDBUS(22),
BRAMDSOCMRDDBUS_21 => BRAMDSOCMRDDBUS(21),
BRAMDSOCMRDDBUS_20 => BRAMDSOCMRDDBUS(20),
BRAMDSOCMRDDBUS_19 => BRAMDSOCMRDDBUS(19),
BRAMDSOCMRDDBUS_18 => BRAMDSOCMRDDBUS(18),
BRAMDSOCMRDDBUS_17 => BRAMDSOCMRDDBUS(17),
BRAMDSOCMRDDBUS_16 => BRAMDSOCMRDDBUS(16),
BRAMDSOCMRDDBUS_15 => BRAMDSOCMRDDBUS(15),
BRAMDSOCMRDDBUS_14 => BRAMDSOCMRDDBUS(14),
BRAMDSOCMRDDBUS_13 => BRAMDSOCMRDDBUS(13),
BRAMDSOCMRDDBUS_12 => BRAMDSOCMRDDBUS(12),
BRAMDSOCMRDDBUS_11 => BRAMDSOCMRDDBUS(11),
BRAMDSOCMRDDBUS_10 => BRAMDSOCMRDDBUS(10),
BRAMDSOCMRDDBUS_9 => BRAMDSOCMRDDBUS(9),
BRAMDSOCMRDDBUS_8 => BRAMDSOCMRDDBUS(8),
BRAMDSOCMRDDBUS_7 => BRAMDSOCMRDDBUS(7),
BRAMDSOCMRDDBUS_6 => BRAMDSOCMRDDBUS(6),
BRAMDSOCMRDDBUS_5 => BRAMDSOCMRDDBUS(5),
BRAMDSOCMRDDBUS_4 => BRAMDSOCMRDDBUS(4),
BRAMDSOCMRDDBUS_3 => BRAMDSOCMRDDBUS(3),
BRAMDSOCMRDDBUS_2 => BRAMDSOCMRDDBUS(2),
BRAMDSOCMRDDBUS_1 => BRAMDSOCMRDDBUS(1),
BRAMDSOCMRDDBUS_0 => BRAMDSOCMRDDBUS(0),
DSOCMRWCOMPLETE => DSOCMRWCOMPLETE,
DSOCMBUSY => DSOCMBUSY,
DSOCMWRADDRVALID => DSOCMWRADDRVALID,
DSOCMRDADDRVALID => DSOCMRDADDRVALID,
TIEDCRADDR_5 => TIEDCRADDR(5),
TIEDCRADDR_4 => TIEDCRADDR(4),
TIEDCRADDR_3 => TIEDCRADDR(3),
TIEDCRADDR_2 => TIEDCRADDR(2),
TIEDCRADDR_1 => TIEDCRADDR(1),
TIEDCRADDR_0 => TIEDCRADDR(0),
DSARCVALUE_7 => DSARCVALUE(7),
DSARCVALUE_6 => DSARCVALUE(6),
DSARCVALUE_5 => DSARCVALUE(5),
DSARCVALUE_4 => DSARCVALUE(4),
DSARCVALUE_3 => DSARCVALUE(3),
DSARCVALUE_2 => DSARCVALUE(2),
DSARCVALUE_1 => DSARCVALUE(1),
DSARCVALUE_0 => DSARCVALUE(0),
DSCNTLVALUE_7 => DSCNTLVALUE(7),
DSCNTLVALUE_6 => DSCNTLVALUE(6),
DSCNTLVALUE_5 => DSCNTLVALUE(5),
DSCNTLVALUE_4 => DSCNTLVALUE(4),
DSCNTLVALUE_3 => DSCNTLVALUE(3),
DSCNTLVALUE_2 => DSCNTLVALUE(2),
DSCNTLVALUE_1 => DSCNTLVALUE(1),
DSCNTLVALUE_0 => DSCNTLVALUE(0),
BRAMDSOCMCLK => BRAMDSOCMCLK,
EXTDCRREAD => EXTDCRREAD,
EXTDCRWRITE => EXTDCRWRITE,
EXTDCRABUS_9 => EXTDCRABUS(9),
EXTDCRABUS_8 => EXTDCRABUS(8),
EXTDCRABUS_7 => EXTDCRABUS(7),
EXTDCRABUS_6 => EXTDCRABUS(6),
EXTDCRABUS_5 => EXTDCRABUS(5),
EXTDCRABUS_4 => EXTDCRABUS(4),
EXTDCRABUS_3 => EXTDCRABUS(3),
EXTDCRABUS_2 => EXTDCRABUS(2),
EXTDCRABUS_1 => EXTDCRABUS(1),
EXTDCRABUS_0 => EXTDCRABUS(0),
EXTDCRDBUSOUT_31 => EXTDCRDBUSOUT(31),
EXTDCRDBUSOUT_30 => EXTDCRDBUSOUT(30),
EXTDCRDBUSOUT_29 => EXTDCRDBUSOUT(29),
EXTDCRDBUSOUT_28 => EXTDCRDBUSOUT(28),
EXTDCRDBUSOUT_27 => EXTDCRDBUSOUT(27),
EXTDCRDBUSOUT_26 => EXTDCRDBUSOUT(26),
EXTDCRDBUSOUT_25 => EXTDCRDBUSOUT(25),
EXTDCRDBUSOUT_24 => EXTDCRDBUSOUT(24),
EXTDCRDBUSOUT_23 => EXTDCRDBUSOUT(23),
EXTDCRDBUSOUT_22 => EXTDCRDBUSOUT(22),
EXTDCRDBUSOUT_21 => EXTDCRDBUSOUT(21),
EXTDCRDBUSOUT_20 => EXTDCRDBUSOUT(20),
EXTDCRDBUSOUT_19 => EXTDCRDBUSOUT(19),
EXTDCRDBUSOUT_18 => EXTDCRDBUSOUT(18),
EXTDCRDBUSOUT_17 => EXTDCRDBUSOUT(17),
EXTDCRDBUSOUT_16 => EXTDCRDBUSOUT(16),
EXTDCRDBUSOUT_15 => EXTDCRDBUSOUT(15),
EXTDCRDBUSOUT_14 => EXTDCRDBUSOUT(14),
EXTDCRDBUSOUT_13 => EXTDCRDBUSOUT(13),
EXTDCRDBUSOUT_12 => EXTDCRDBUSOUT(12),
EXTDCRDBUSOUT_11 => EXTDCRDBUSOUT(11),
EXTDCRDBUSOUT_10 => EXTDCRDBUSOUT(10),
EXTDCRDBUSOUT_9 => EXTDCRDBUSOUT(9),
EXTDCRDBUSOUT_8 => EXTDCRDBUSOUT(8),
EXTDCRDBUSOUT_7 => EXTDCRDBUSOUT(7),
EXTDCRDBUSOUT_6 => EXTDCRDBUSOUT(6),
EXTDCRDBUSOUT_5 => EXTDCRDBUSOUT(5),
EXTDCRDBUSOUT_4 => EXTDCRDBUSOUT(4),
EXTDCRDBUSOUT_3 => EXTDCRDBUSOUT(3),
EXTDCRDBUSOUT_2 => EXTDCRDBUSOUT(2),
EXTDCRDBUSOUT_1 => EXTDCRDBUSOUT(1),
EXTDCRDBUSOUT_0 => EXTDCRDBUSOUT(0),
EXTDCRACK => EXTDCRACK,
EXTDCRDBUSIN_31 => EXTDCRDBUSIN(31),
EXTDCRDBUSIN_30 => EXTDCRDBUSIN(30),
EXTDCRDBUSIN_29 => EXTDCRDBUSIN(29),
EXTDCRDBUSIN_28 => EXTDCRDBUSIN(28),
EXTDCRDBUSIN_27 => EXTDCRDBUSIN(27),
EXTDCRDBUSIN_26 => EXTDCRDBUSIN(26),
EXTDCRDBUSIN_25 => EXTDCRDBUSIN(25),
EXTDCRDBUSIN_24 => EXTDCRDBUSIN(24),
EXTDCRDBUSIN_23 => EXTDCRDBUSIN(23),
EXTDCRDBUSIN_22 => EXTDCRDBUSIN(22),
EXTDCRDBUSIN_21 => EXTDCRDBUSIN(21),
EXTDCRDBUSIN_20 => EXTDCRDBUSIN(20),
EXTDCRDBUSIN_19 => EXTDCRDBUSIN(19),
EXTDCRDBUSIN_18 => EXTDCRDBUSIN(18),
EXTDCRDBUSIN_17 => EXTDCRDBUSIN(17),
EXTDCRDBUSIN_16 => EXTDCRDBUSIN(16),
EXTDCRDBUSIN_15 => EXTDCRDBUSIN(15),
EXTDCRDBUSIN_14 => EXTDCRDBUSIN(14),
EXTDCRDBUSIN_13 => EXTDCRDBUSIN(13),
EXTDCRDBUSIN_12 => EXTDCRDBUSIN(12),
EXTDCRDBUSIN_11 => EXTDCRDBUSIN(11),
EXTDCRDBUSIN_10 => EXTDCRDBUSIN(10),
EXTDCRDBUSIN_9 => EXTDCRDBUSIN(9),
EXTDCRDBUSIN_8 => EXTDCRDBUSIN(8),
EXTDCRDBUSIN_7 => EXTDCRDBUSIN(7),
EXTDCRDBUSIN_6 => EXTDCRDBUSIN(6),
EXTDCRDBUSIN_5 => EXTDCRDBUSIN(5),
EXTDCRDBUSIN_4 => EXTDCRDBUSIN(4),
EXTDCRDBUSIN_3 => EXTDCRDBUSIN(3),
EXTDCRDBUSIN_2 => EXTDCRDBUSIN(2),
EXTDCRDBUSIN_1 => EXTDCRDBUSIN(1),
EXTDCRDBUSIN_0 => EXTDCRDBUSIN(0),
EICC405EXTINPUTIRQ => EICC405EXTINPUTIRQ,
EICC405CRITINPUTIRQ => EICC405CRITINPUTIRQ,
JTGC405BNDSCANTDO => JTGC405BNDSCANTDO,
JTGC405TCK => JTGC405TCK,
JTGC405TDI => JTGC405TDI,
JTGC405TMS => JTGC405TMS,
JTGC405TRSTNEG => JTGC405TRSTNEG,
C405JTGTDO => C405JTGTDO,
C405JTGTDOEN => C405JTGTDOEN,
C405JTGEXTEST => C405JTGEXTEST,
C405JTGCAPTUREDR => C405JTGCAPTUREDR,
C405JTGSHIFTDR => C405JTGSHIFTDR,
C405JTGUPDATEDR => C405JTGUPDATEDR,
DBGC405DEBUGHALT => DBGC405DEBUGHALT,
DBGC405UNCONDDEBUGEVENT => DBGC405UNCONDDEBUGEVENT,
DBGC405EXTBUSHOLDACK => DBGC405EXTBUSHOLDACK,
C405DBGMSRWE => C405DBGMSRWE,
C405DBGSTOPACK => C405DBGSTOPACK,
C405DBGWBCOMPLETE => C405DBGWBCOMPLETE,
C405DBGWBFULL => C405DBGWBFULL,
C405DBGWBIAR_29 => C405DBGWBIAR(29),
C405DBGWBIAR_28 => C405DBGWBIAR(28),
C405DBGWBIAR_27 => C405DBGWBIAR(27),
C405DBGWBIAR_26 => C405DBGWBIAR(26),
C405DBGWBIAR_25 => C405DBGWBIAR(25),
C405DBGWBIAR_24 => C405DBGWBIAR(24),
C405DBGWBIAR_23 => C405DBGWBIAR(23),
C405DBGWBIAR_22 => C405DBGWBIAR(22),
C405DBGWBIAR_21 => C405DBGWBIAR(21),
C405DBGWBIAR_20 => C405DBGWBIAR(20),
C405DBGWBIAR_19 => C405DBGWBIAR(19),
C405DBGWBIAR_18 => C405DBGWBIAR(18),
C405DBGWBIAR_17 => C405DBGWBIAR(17),
C405DBGWBIAR_16 => C405DBGWBIAR(16),
C405DBGWBIAR_15 => C405DBGWBIAR(15),
C405DBGWBIAR_14 => C405DBGWBIAR(14),
C405DBGWBIAR_13 => C405DBGWBIAR(13),
C405DBGWBIAR_12 => C405DBGWBIAR(12),
C405DBGWBIAR_11 => C405DBGWBIAR(11),
C405DBGWBIAR_10 => C405DBGWBIAR(10),
C405DBGWBIAR_9 => C405DBGWBIAR(9),
C405DBGWBIAR_8 => C405DBGWBIAR(8),
C405DBGWBIAR_7 => C405DBGWBIAR(7),
C405DBGWBIAR_6 => C405DBGWBIAR(6),
C405DBGWBIAR_5 => C405DBGWBIAR(5),
C405DBGWBIAR_4 => C405DBGWBIAR(4),
C405DBGWBIAR_3 => C405DBGWBIAR(3),
C405DBGWBIAR_2 => C405DBGWBIAR(2),
C405DBGWBIAR_1 => C405DBGWBIAR(1),
C405DBGWBIAR_0 => C405DBGWBIAR(0),
C405TRCTRIGGEREVENTOUT => C405TRCTRIGGEREVENTOUT,
C405TRCTRIGGEREVENTTYPE_10 => C405TRCTRIGGEREVENTTYPE(10),
C405TRCTRIGGEREVENTTYPE_9 => C405TRCTRIGGEREVENTTYPE(9),
C405TRCTRIGGEREVENTTYPE_8 => C405TRCTRIGGEREVENTTYPE(8),
C405TRCTRIGGEREVENTTYPE_7 => C405TRCTRIGGEREVENTTYPE(7),
C405TRCTRIGGEREVENTTYPE_6 => C405TRCTRIGGEREVENTTYPE(6),
C405TRCTRIGGEREVENTTYPE_5 => C405TRCTRIGGEREVENTTYPE(5),
C405TRCTRIGGEREVENTTYPE_4 => C405TRCTRIGGEREVENTTYPE(4),
C405TRCTRIGGEREVENTTYPE_3 => C405TRCTRIGGEREVENTTYPE(3),
C405TRCTRIGGEREVENTTYPE_2 => C405TRCTRIGGEREVENTTYPE(2),
C405TRCTRIGGEREVENTTYPE_1 => C405TRCTRIGGEREVENTTYPE(1),
C405TRCTRIGGEREVENTTYPE_0 => C405TRCTRIGGEREVENTTYPE(0),
C405TRCCYCLE => C405TRCCYCLE,
C405TRCTRACESTATUS_3 => C405TRCTRACESTATUS(3),
C405TRCTRACESTATUS_2 => C405TRCTRACESTATUS(2),
C405TRCTRACESTATUS_1 => C405TRCTRACESTATUS(1),
C405TRCTRACESTATUS_0 => C405TRCTRACESTATUS(0),
TRCC405TRACEDISABLE => TRCC405TRACEDISABLE,
TRCC405TRIGGEREVENTIN => TRCC405TRIGGEREVENTIN,
C405DBGLOADDATAONAPUDBUS => C405DBGLOADDATAONAPUDBUS,
APUFCMINSTRUCTION_31 => APUFCMINSTRUCTION(31),
APUFCMINSTRUCTION_30 => APUFCMINSTRUCTION(30),
APUFCMINSTRUCTION_29 => APUFCMINSTRUCTION(29),
APUFCMINSTRUCTION_28 => APUFCMINSTRUCTION(28),
APUFCMINSTRUCTION_27 => APUFCMINSTRUCTION(27),
APUFCMINSTRUCTION_26 => APUFCMINSTRUCTION(26),
APUFCMINSTRUCTION_25 => APUFCMINSTRUCTION(25),
APUFCMINSTRUCTION_24 => APUFCMINSTRUCTION(24),
APUFCMINSTRUCTION_23 => APUFCMINSTRUCTION(23),
APUFCMINSTRUCTION_22 => APUFCMINSTRUCTION(22),
APUFCMINSTRUCTION_21 => APUFCMINSTRUCTION(21),
APUFCMINSTRUCTION_20 => APUFCMINSTRUCTION(20),
APUFCMINSTRUCTION_19 => APUFCMINSTRUCTION(19),
APUFCMINSTRUCTION_18 => APUFCMINSTRUCTION(18),
APUFCMINSTRUCTION_17 => APUFCMINSTRUCTION(17),
APUFCMINSTRUCTION_16 => APUFCMINSTRUCTION(16),
APUFCMINSTRUCTION_15 => APUFCMINSTRUCTION(15),
APUFCMINSTRUCTION_14 => APUFCMINSTRUCTION(14),
APUFCMINSTRUCTION_13 => APUFCMINSTRUCTION(13),
APUFCMINSTRUCTION_12 => APUFCMINSTRUCTION(12),
APUFCMINSTRUCTION_11 => APUFCMINSTRUCTION(11),
APUFCMINSTRUCTION_10 => APUFCMINSTRUCTION(10),
APUFCMINSTRUCTION_9 => APUFCMINSTRUCTION(9),
APUFCMINSTRUCTION_8 => APUFCMINSTRUCTION(8),
APUFCMINSTRUCTION_7 => APUFCMINSTRUCTION(7),
APUFCMINSTRUCTION_6 => APUFCMINSTRUCTION(6),
APUFCMINSTRUCTION_5 => APUFCMINSTRUCTION(5),
APUFCMINSTRUCTION_4 => APUFCMINSTRUCTION(4),
APUFCMINSTRUCTION_3 => APUFCMINSTRUCTION(3),
APUFCMINSTRUCTION_2 => APUFCMINSTRUCTION(2),
APUFCMINSTRUCTION_1 => APUFCMINSTRUCTION(1),
APUFCMINSTRUCTION_0 => APUFCMINSTRUCTION(0),
APUFCMRADATA_31 => APUFCMRADATA(31),
APUFCMRADATA_30 => APUFCMRADATA(30),
APUFCMRADATA_29 => APUFCMRADATA(29),
APUFCMRADATA_28 => APUFCMRADATA(28),
APUFCMRADATA_27 => APUFCMRADATA(27),
APUFCMRADATA_26 => APUFCMRADATA(26),
APUFCMRADATA_25 => APUFCMRADATA(25),
APUFCMRADATA_24 => APUFCMRADATA(24),
APUFCMRADATA_23 => APUFCMRADATA(23),
APUFCMRADATA_22 => APUFCMRADATA(22),
APUFCMRADATA_21 => APUFCMRADATA(21),
APUFCMRADATA_20 => APUFCMRADATA(20),
APUFCMRADATA_19 => APUFCMRADATA(19),
APUFCMRADATA_18 => APUFCMRADATA(18),
APUFCMRADATA_17 => APUFCMRADATA(17),
APUFCMRADATA_16 => APUFCMRADATA(16),
APUFCMRADATA_15 => APUFCMRADATA(15),
APUFCMRADATA_14 => APUFCMRADATA(14),
APUFCMRADATA_13 => APUFCMRADATA(13),
APUFCMRADATA_12 => APUFCMRADATA(12),
APUFCMRADATA_11 => APUFCMRADATA(11),
APUFCMRADATA_10 => APUFCMRADATA(10),
APUFCMRADATA_9 => APUFCMRADATA(9),
APUFCMRADATA_8 => APUFCMRADATA(8),
APUFCMRADATA_7 => APUFCMRADATA(7),
APUFCMRADATA_6 => APUFCMRADATA(6),
APUFCMRADATA_5 => APUFCMRADATA(5),
APUFCMRADATA_4 => APUFCMRADATA(4),
APUFCMRADATA_3 => APUFCMRADATA(3),
APUFCMRADATA_2 => APUFCMRADATA(2),
APUFCMRADATA_1 => APUFCMRADATA(1),
APUFCMRADATA_0 => APUFCMRADATA(0),
APUFCMRBDATA_31 => APUFCMRBDATA(31),
APUFCMRBDATA_30 => APUFCMRBDATA(30),
APUFCMRBDATA_29 => APUFCMRBDATA(29),
APUFCMRBDATA_28 => APUFCMRBDATA(28),
APUFCMRBDATA_27 => APUFCMRBDATA(27),
APUFCMRBDATA_26 => APUFCMRBDATA(26),
APUFCMRBDATA_25 => APUFCMRBDATA(25),
APUFCMRBDATA_24 => APUFCMRBDATA(24),
APUFCMRBDATA_23 => APUFCMRBDATA(23),
APUFCMRBDATA_22 => APUFCMRBDATA(22),
APUFCMRBDATA_21 => APUFCMRBDATA(21),
APUFCMRBDATA_20 => APUFCMRBDATA(20),
APUFCMRBDATA_19 => APUFCMRBDATA(19),
APUFCMRBDATA_18 => APUFCMRBDATA(18),
APUFCMRBDATA_17 => APUFCMRBDATA(17),
APUFCMRBDATA_16 => APUFCMRBDATA(16),
APUFCMRBDATA_15 => APUFCMRBDATA(15),
APUFCMRBDATA_14 => APUFCMRBDATA(14),
APUFCMRBDATA_13 => APUFCMRBDATA(13),
APUFCMRBDATA_12 => APUFCMRBDATA(12),
APUFCMRBDATA_11 => APUFCMRBDATA(11),
APUFCMRBDATA_10 => APUFCMRBDATA(10),
APUFCMRBDATA_9 => APUFCMRBDATA(9),
APUFCMRBDATA_8 => APUFCMRBDATA(8),
APUFCMRBDATA_7 => APUFCMRBDATA(7),
APUFCMRBDATA_6 => APUFCMRBDATA(6),
APUFCMRBDATA_5 => APUFCMRBDATA(5),
APUFCMRBDATA_4 => APUFCMRBDATA(4),
APUFCMRBDATA_3 => APUFCMRBDATA(3),
APUFCMRBDATA_2 => APUFCMRBDATA(2),
APUFCMRBDATA_1 => APUFCMRBDATA(1),
APUFCMRBDATA_0 => APUFCMRBDATA(0),
APUFCMINSTRVALID => APUFCMINSTRVALID,
APUFCMLOADDATA_31 => APUFCMLOADDATA(31),
APUFCMLOADDATA_30 => APUFCMLOADDATA(30),
APUFCMLOADDATA_29 => APUFCMLOADDATA(29),
APUFCMLOADDATA_28 => APUFCMLOADDATA(28),
APUFCMLOADDATA_27 => APUFCMLOADDATA(27),
APUFCMLOADDATA_26 => APUFCMLOADDATA(26),
APUFCMLOADDATA_25 => APUFCMLOADDATA(25),
APUFCMLOADDATA_24 => APUFCMLOADDATA(24),
APUFCMLOADDATA_23 => APUFCMLOADDATA(23),
APUFCMLOADDATA_22 => APUFCMLOADDATA(22),
APUFCMLOADDATA_21 => APUFCMLOADDATA(21),
APUFCMLOADDATA_20 => APUFCMLOADDATA(20),
APUFCMLOADDATA_19 => APUFCMLOADDATA(19),
APUFCMLOADDATA_18 => APUFCMLOADDATA(18),
APUFCMLOADDATA_17 => APUFCMLOADDATA(17),
APUFCMLOADDATA_16 => APUFCMLOADDATA(16),
APUFCMLOADDATA_15 => APUFCMLOADDATA(15),
APUFCMLOADDATA_14 => APUFCMLOADDATA(14),
APUFCMLOADDATA_13 => APUFCMLOADDATA(13),
APUFCMLOADDATA_12 => APUFCMLOADDATA(12),
APUFCMLOADDATA_11 => APUFCMLOADDATA(11),
APUFCMLOADDATA_10 => APUFCMLOADDATA(10),
APUFCMLOADDATA_9 => APUFCMLOADDATA(9),
APUFCMLOADDATA_8 => APUFCMLOADDATA(8),
APUFCMLOADDATA_7 => APUFCMLOADDATA(7),
APUFCMLOADDATA_6 => APUFCMLOADDATA(6),
APUFCMLOADDATA_5 => APUFCMLOADDATA(5),
APUFCMLOADDATA_4 => APUFCMLOADDATA(4),
APUFCMLOADDATA_3 => APUFCMLOADDATA(3),
APUFCMLOADDATA_2 => APUFCMLOADDATA(2),
APUFCMLOADDATA_1 => APUFCMLOADDATA(1),
APUFCMLOADDATA_0 => APUFCMLOADDATA(0),
APUFCMOPERANDVALID => APUFCMOPERANDVALID,
APUFCMLOADDVALID => APUFCMLOADDVALID,
APUFCMFLUSH => APUFCMFLUSH,
APUFCMWRITEBACKOK => APUFCMWRITEBACKOK,
APUFCMLOADBYTEEN_3 => APUFCMLOADBYTEEN(3),
APUFCMLOADBYTEEN_2 => APUFCMLOADBYTEEN(2),
APUFCMLOADBYTEEN_1 => APUFCMLOADBYTEEN(1),
APUFCMLOADBYTEEN_0 => APUFCMLOADBYTEEN(0),
APUFCMENDIAN => APUFCMENDIAN,
APUFCMXERCA => APUFCMXERCA,
APUFCMDECODED => APUFCMDECODED,
APUFCMDECUDI_2 => APUFCMDECUDI(2),
APUFCMDECUDI_1 => APUFCMDECUDI(1),
APUFCMDECUDI_0 => APUFCMDECUDI(0),
APUFCMDECUDIVALID => APUFCMDECUDIVALID,
FCMAPUDONE => FCMAPUDONE,
FCMAPURESULT_31 => FCMAPURESULT(31),
FCMAPURESULT_30 => FCMAPURESULT(30),
FCMAPURESULT_29 => FCMAPURESULT(29),
FCMAPURESULT_28 => FCMAPURESULT(28),
FCMAPURESULT_27 => FCMAPURESULT(27),
FCMAPURESULT_26 => FCMAPURESULT(26),
FCMAPURESULT_25 => FCMAPURESULT(25),
FCMAPURESULT_24 => FCMAPURESULT(24),
FCMAPURESULT_23 => FCMAPURESULT(23),
FCMAPURESULT_22 => FCMAPURESULT(22),
FCMAPURESULT_21 => FCMAPURESULT(21),
FCMAPURESULT_20 => FCMAPURESULT(20),
FCMAPURESULT_19 => FCMAPURESULT(19),
FCMAPURESULT_18 => FCMAPURESULT(18),
FCMAPURESULT_17 => FCMAPURESULT(17),
FCMAPURESULT_16 => FCMAPURESULT(16),
FCMAPURESULT_15 => FCMAPURESULT(15),
FCMAPURESULT_14 => FCMAPURESULT(14),
FCMAPURESULT_13 => FCMAPURESULT(13),
FCMAPURESULT_12 => FCMAPURESULT(12),
FCMAPURESULT_11 => FCMAPURESULT(11),
FCMAPURESULT_10 => FCMAPURESULT(10),
FCMAPURESULT_9 => FCMAPURESULT(9),
FCMAPURESULT_8 => FCMAPURESULT(8),
FCMAPURESULT_7 => FCMAPURESULT(7),
FCMAPURESULT_6 => FCMAPURESULT(6),
FCMAPURESULT_5 => FCMAPURESULT(5),
FCMAPURESULT_4 => FCMAPURESULT(4),
FCMAPURESULT_3 => FCMAPURESULT(3),
FCMAPURESULT_2 => FCMAPURESULT(2),
FCMAPURESULT_1 => FCMAPURESULT(1),
FCMAPURESULT_0 => FCMAPURESULT(0),
FCMAPURESULTVALID => FCMAPURESULTVALID,
FCMAPUINSTRACK => FCMAPUINSTRACK,
FCMAPUEXCEPTION => FCMAPUEXCEPTION,
FCMAPUXERCA => FCMAPUXERCA,
FCMAPUXEROV => FCMAPUXEROV,
FCMAPUCR_3 => FCMAPUCR(3),
FCMAPUCR_2 => FCMAPUCR(2),
FCMAPUCR_1 => FCMAPUCR(1),
FCMAPUCR_0 => FCMAPUCR(0),
FCMAPUDCDFPUOP => FCMAPUDCDFPUOP,
FCMAPUDCDGPRWRITE => FCMAPUDCDGPRWRITE,
FCMAPUDCDRAEN => FCMAPUDCDRAEN,
FCMAPUDCDRBEN => FCMAPUDCDRBEN,
FCMAPUDCDLOAD => FCMAPUDCDLOAD,
FCMAPUDCDSTORE => FCMAPUDCDSTORE,
FCMAPUDCDXERCAEN => FCMAPUDCDXERCAEN,
FCMAPUDCDXEROVEN => FCMAPUDCDXEROVEN,
FCMAPUDCDPRIVOP => FCMAPUDCDPRIVOP,
FCMAPUDCDCREN => FCMAPUDCDCREN,
FCMAPUEXECRFIELD_2 => FCMAPUEXECRFIELD(2),
FCMAPUEXECRFIELD_1 => FCMAPUEXECRFIELD(1),
FCMAPUEXECRFIELD_0 => FCMAPUEXECRFIELD(0),
FCMAPUDCDUPDATE => FCMAPUDCDUPDATE,
FCMAPUDCDFORCEALIGN => FCMAPUDCDFORCEALIGN,
FCMAPUDCDFORCEBESTEERING => FCMAPUDCDFORCEBESTEERING,
FCMAPUDCDLDSTBYTE => FCMAPUDCDLDSTBYTE,
FCMAPUDCDLDSTHW => FCMAPUDCDLDSTHW,
FCMAPUDCDLDSTWD => FCMAPUDCDLDSTWD,
FCMAPUDCDLDSTDW => FCMAPUDCDLDSTDW,
FCMAPUDCDLDSTQW => FCMAPUDCDLDSTQW,
FCMAPUDCDTRAPBE => FCMAPUDCDTRAPBE,
FCMAPUDCDTRAPLE => FCMAPUDCDTRAPLE,
FCMAPUEXEBLOCKINGMCO => FCMAPUEXEBLOCKINGMCO,
FCMAPUEXENONBLOCKINGMCO => FCMAPUEXENONBLOCKINGMCO,
FCMAPUSLEEPNOTREADY => FCMAPUSLEEPNOTREADY,
FCMAPULOADWAIT => FCMAPULOADWAIT,
FCMAPUDECODEBUSY => FCMAPUDECODEBUSY,
TIEAPUCONTROL_15 => TIEAPUCONTROL(15),
TIEAPUCONTROL_14 => TIEAPUCONTROL(14),
TIEAPUCONTROL_13 => TIEAPUCONTROL(13),
TIEAPUCONTROL_12 => TIEAPUCONTROL(12),
TIEAPUCONTROL_11 => TIEAPUCONTROL(11),
TIEAPUCONTROL_10 => TIEAPUCONTROL(10),
TIEAPUCONTROL_9 => TIEAPUCONTROL(9),
TIEAPUCONTROL_8 => TIEAPUCONTROL(8),
TIEAPUCONTROL_7 => TIEAPUCONTROL(7),
TIEAPUCONTROL_6 => TIEAPUCONTROL(6),
TIEAPUCONTROL_5 => TIEAPUCONTROL(5),
TIEAPUCONTROL_4 => TIEAPUCONTROL(4),
TIEAPUCONTROL_3 => TIEAPUCONTROL(3),
TIEAPUCONTROL_2 => TIEAPUCONTROL(2),
TIEAPUCONTROL_1 => TIEAPUCONTROL(1),
TIEAPUCONTROL_0 => TIEAPUCONTROL(0),
TIEAPUUDI1_23 => TIEAPUUDI1(23),
TIEAPUUDI1_22 => TIEAPUUDI1(22),
TIEAPUUDI1_21 => TIEAPUUDI1(21),
TIEAPUUDI1_20 => TIEAPUUDI1(20),
TIEAPUUDI1_19 => TIEAPUUDI1(19),
TIEAPUUDI1_18 => TIEAPUUDI1(18),
TIEAPUUDI1_17 => TIEAPUUDI1(17),
TIEAPUUDI1_16 => TIEAPUUDI1(16),
TIEAPUUDI1_15 => TIEAPUUDI1(15),
TIEAPUUDI1_14 => TIEAPUUDI1(14),
TIEAPUUDI1_13 => TIEAPUUDI1(13),
TIEAPUUDI1_12 => TIEAPUUDI1(12),
TIEAPUUDI1_11 => TIEAPUUDI1(11),
TIEAPUUDI1_10 => TIEAPUUDI1(10),
TIEAPUUDI1_9 => TIEAPUUDI1(9),
TIEAPUUDI1_8 => TIEAPUUDI1(8),
TIEAPUUDI1_7 => TIEAPUUDI1(7),
TIEAPUUDI1_6 => TIEAPUUDI1(6),
TIEAPUUDI1_5 => TIEAPUUDI1(5),
TIEAPUUDI1_4 => TIEAPUUDI1(4),
TIEAPUUDI1_3 => TIEAPUUDI1(3),
TIEAPUUDI1_2 => TIEAPUUDI1(2),
TIEAPUUDI1_1 => TIEAPUUDI1(1),
TIEAPUUDI1_0 => TIEAPUUDI1(0),
TIEAPUUDI2_23 => TIEAPUUDI2(23),
TIEAPUUDI2_22 => TIEAPUUDI2(22),
TIEAPUUDI2_21 => TIEAPUUDI2(21),
TIEAPUUDI2_20 => TIEAPUUDI2(20),
TIEAPUUDI2_19 => TIEAPUUDI2(19),
TIEAPUUDI2_18 => TIEAPUUDI2(18),
TIEAPUUDI2_17 => TIEAPUUDI2(17),
TIEAPUUDI2_16 => TIEAPUUDI2(16),
TIEAPUUDI2_15 => TIEAPUUDI2(15),
TIEAPUUDI2_14 => TIEAPUUDI2(14),
TIEAPUUDI2_13 => TIEAPUUDI2(13),
TIEAPUUDI2_12 => TIEAPUUDI2(12),
TIEAPUUDI2_11 => TIEAPUUDI2(11),
TIEAPUUDI2_10 => TIEAPUUDI2(10),
TIEAPUUDI2_9 => TIEAPUUDI2(9),
TIEAPUUDI2_8 => TIEAPUUDI2(8),
TIEAPUUDI2_7 => TIEAPUUDI2(7),
TIEAPUUDI2_6 => TIEAPUUDI2(6),
TIEAPUUDI2_5 => TIEAPUUDI2(5),
TIEAPUUDI2_4 => TIEAPUUDI2(4),
TIEAPUUDI2_3 => TIEAPUUDI2(3),
TIEAPUUDI2_2 => TIEAPUUDI2(2),
TIEAPUUDI2_1 => TIEAPUUDI2(1),
TIEAPUUDI2_0 => TIEAPUUDI2(0),
TIEAPUUDI3_23 => TIEAPUUDI3(23),
TIEAPUUDI3_22 => TIEAPUUDI3(22),
TIEAPUUDI3_21 => TIEAPUUDI3(21),
TIEAPUUDI3_20 => TIEAPUUDI3(20),
TIEAPUUDI3_19 => TIEAPUUDI3(19),
TIEAPUUDI3_18 => TIEAPUUDI3(18),
TIEAPUUDI3_17 => TIEAPUUDI3(17),
TIEAPUUDI3_16 => TIEAPUUDI3(16),
TIEAPUUDI3_15 => TIEAPUUDI3(15),
TIEAPUUDI3_14 => TIEAPUUDI3(14),
TIEAPUUDI3_13 => TIEAPUUDI3(13),
TIEAPUUDI3_12 => TIEAPUUDI3(12),
TIEAPUUDI3_11 => TIEAPUUDI3(11),
TIEAPUUDI3_10 => TIEAPUUDI3(10),
TIEAPUUDI3_9 => TIEAPUUDI3(9),
TIEAPUUDI3_8 => TIEAPUUDI3(8),
TIEAPUUDI3_7 => TIEAPUUDI3(7),
TIEAPUUDI3_6 => TIEAPUUDI3(6),
TIEAPUUDI3_5 => TIEAPUUDI3(5),
TIEAPUUDI3_4 => TIEAPUUDI3(4),
TIEAPUUDI3_3 => TIEAPUUDI3(3),
TIEAPUUDI3_2 => TIEAPUUDI3(2),
TIEAPUUDI3_1 => TIEAPUUDI3(1),
TIEAPUUDI3_0 => TIEAPUUDI3(0),
TIEAPUUDI4_23 => TIEAPUUDI4(23),
TIEAPUUDI4_22 => TIEAPUUDI4(22),
TIEAPUUDI4_21 => TIEAPUUDI4(21),
TIEAPUUDI4_20 => TIEAPUUDI4(20),
TIEAPUUDI4_19 => TIEAPUUDI4(19),
TIEAPUUDI4_18 => TIEAPUUDI4(18),
TIEAPUUDI4_17 => TIEAPUUDI4(17),
TIEAPUUDI4_16 => TIEAPUUDI4(16),
TIEAPUUDI4_15 => TIEAPUUDI4(15),
TIEAPUUDI4_14 => TIEAPUUDI4(14),
TIEAPUUDI4_13 => TIEAPUUDI4(13),
TIEAPUUDI4_12 => TIEAPUUDI4(12),
TIEAPUUDI4_11 => TIEAPUUDI4(11),
TIEAPUUDI4_10 => TIEAPUUDI4(10),
TIEAPUUDI4_9 => TIEAPUUDI4(9),
TIEAPUUDI4_8 => TIEAPUUDI4(8),
TIEAPUUDI4_7 => TIEAPUUDI4(7),
TIEAPUUDI4_6 => TIEAPUUDI4(6),
TIEAPUUDI4_5 => TIEAPUUDI4(5),
TIEAPUUDI4_4 => TIEAPUUDI4(4),
TIEAPUUDI4_3 => TIEAPUUDI4(3),
TIEAPUUDI4_2 => TIEAPUUDI4(2),
TIEAPUUDI4_1 => TIEAPUUDI4(1),
TIEAPUUDI4_0 => TIEAPUUDI4(0),
TIEAPUUDI5_23 => TIEAPUUDI5(23),
TIEAPUUDI5_22 => TIEAPUUDI5(22),
TIEAPUUDI5_21 => TIEAPUUDI5(21),
TIEAPUUDI5_20 => TIEAPUUDI5(20),
TIEAPUUDI5_19 => TIEAPUUDI5(19),
TIEAPUUDI5_18 => TIEAPUUDI5(18),
TIEAPUUDI5_17 => TIEAPUUDI5(17),
TIEAPUUDI5_16 => TIEAPUUDI5(16),
TIEAPUUDI5_15 => TIEAPUUDI5(15),
TIEAPUUDI5_14 => TIEAPUUDI5(14),
TIEAPUUDI5_13 => TIEAPUUDI5(13),
TIEAPUUDI5_12 => TIEAPUUDI5(12),
TIEAPUUDI5_11 => TIEAPUUDI5(11),
TIEAPUUDI5_10 => TIEAPUUDI5(10),
TIEAPUUDI5_9 => TIEAPUUDI5(9),
TIEAPUUDI5_8 => TIEAPUUDI5(8),
TIEAPUUDI5_7 => TIEAPUUDI5(7),
TIEAPUUDI5_6 => TIEAPUUDI5(6),
TIEAPUUDI5_5 => TIEAPUUDI5(5),
TIEAPUUDI5_4 => TIEAPUUDI5(4),
TIEAPUUDI5_3 => TIEAPUUDI5(3),
TIEAPUUDI5_2 => TIEAPUUDI5(2),
TIEAPUUDI5_1 => TIEAPUUDI5(1),
TIEAPUUDI5_0 => TIEAPUUDI5(0),
TIEAPUUDI6_23 => TIEAPUUDI6(23),
TIEAPUUDI6_22 => TIEAPUUDI6(22),
TIEAPUUDI6_21 => TIEAPUUDI6(21),
TIEAPUUDI6_20 => TIEAPUUDI6(20),
TIEAPUUDI6_19 => TIEAPUUDI6(19),
TIEAPUUDI6_18 => TIEAPUUDI6(18),
TIEAPUUDI6_17 => TIEAPUUDI6(17),
TIEAPUUDI6_16 => TIEAPUUDI6(16),
TIEAPUUDI6_15 => TIEAPUUDI6(15),
TIEAPUUDI6_14 => TIEAPUUDI6(14),
TIEAPUUDI6_13 => TIEAPUUDI6(13),
TIEAPUUDI6_12 => TIEAPUUDI6(12),
TIEAPUUDI6_11 => TIEAPUUDI6(11),
TIEAPUUDI6_10 => TIEAPUUDI6(10),
TIEAPUUDI6_9 => TIEAPUUDI6(9),
TIEAPUUDI6_8 => TIEAPUUDI6(8),
TIEAPUUDI6_7 => TIEAPUUDI6(7),
TIEAPUUDI6_6 => TIEAPUUDI6(6),
TIEAPUUDI6_5 => TIEAPUUDI6(5),
TIEAPUUDI6_4 => TIEAPUUDI6(4),
TIEAPUUDI6_3 => TIEAPUUDI6(3),
TIEAPUUDI6_2 => TIEAPUUDI6(2),
TIEAPUUDI6_1 => TIEAPUUDI6(1),
TIEAPUUDI6_0 => TIEAPUUDI6(0),
TIEAPUUDI7_23 => TIEAPUUDI7(23),
TIEAPUUDI7_22 => TIEAPUUDI7(22),
TIEAPUUDI7_21 => TIEAPUUDI7(21),
TIEAPUUDI7_20 => TIEAPUUDI7(20),
TIEAPUUDI7_19 => TIEAPUUDI7(19),
TIEAPUUDI7_18 => TIEAPUUDI7(18),
TIEAPUUDI7_17 => TIEAPUUDI7(17),
TIEAPUUDI7_16 => TIEAPUUDI7(16),
TIEAPUUDI7_15 => TIEAPUUDI7(15),
TIEAPUUDI7_14 => TIEAPUUDI7(14),
TIEAPUUDI7_13 => TIEAPUUDI7(13),
TIEAPUUDI7_12 => TIEAPUUDI7(12),
TIEAPUUDI7_11 => TIEAPUUDI7(11),
TIEAPUUDI7_10 => TIEAPUUDI7(10),
TIEAPUUDI7_9 => TIEAPUUDI7(9),
TIEAPUUDI7_8 => TIEAPUUDI7(8),
TIEAPUUDI7_7 => TIEAPUUDI7(7),
TIEAPUUDI7_6 => TIEAPUUDI7(6),
TIEAPUUDI7_5 => TIEAPUUDI7(5),
TIEAPUUDI7_4 => TIEAPUUDI7(4),
TIEAPUUDI7_3 => TIEAPUUDI7(3),
TIEAPUUDI7_2 => TIEAPUUDI7(2),
TIEAPUUDI7_1 => TIEAPUUDI7(1),
TIEAPUUDI7_0 => TIEAPUUDI7(0),
TIEAPUUDI8_23 => TIEAPUUDI8(23),
TIEAPUUDI8_22 => TIEAPUUDI8(22),
TIEAPUUDI8_21 => TIEAPUUDI8(21),
TIEAPUUDI8_20 => TIEAPUUDI8(20),
TIEAPUUDI8_19 => TIEAPUUDI8(19),
TIEAPUUDI8_18 => TIEAPUUDI8(18),
TIEAPUUDI8_17 => TIEAPUUDI8(17),
TIEAPUUDI8_16 => TIEAPUUDI8(16),
TIEAPUUDI8_15 => TIEAPUUDI8(15),
TIEAPUUDI8_14 => TIEAPUUDI8(14),
TIEAPUUDI8_13 => TIEAPUUDI8(13),
TIEAPUUDI8_12 => TIEAPUUDI8(12),
TIEAPUUDI8_11 => TIEAPUUDI8(11),
TIEAPUUDI8_10 => TIEAPUUDI8(10),
TIEAPUUDI8_9 => TIEAPUUDI8(9),
TIEAPUUDI8_8 => TIEAPUUDI8(8),
TIEAPUUDI8_7 => TIEAPUUDI8(7),
TIEAPUUDI8_6 => TIEAPUUDI8(6),
TIEAPUUDI8_5 => TIEAPUUDI8(5),
TIEAPUUDI8_4 => TIEAPUUDI8(4),
TIEAPUUDI8_3 => TIEAPUUDI8(3),
TIEAPUUDI8_2 => TIEAPUUDI8(2),
TIEAPUUDI8_1 => TIEAPUUDI8(1),
TIEAPUUDI8_0 => TIEAPUUDI8(0)

		);
begin
ppc405_adv_swift_inst : PPC405_ADV_SWIFT
	port map (
CFG_MCLK => CFG_MCLK,
BUS_RESET => BUS_RESET,
GSR => GSR,
GWE => GWE,
GHIGHB => GHIGHB,
CPMC405CPUCLKEN => CPMC405CPUCLKEN,
CPMC405JTAGCLKEN => CPMC405JTAGCLKEN,
CPMC405TIMERCLKEN => CPMC405TIMERCLKEN,
C405JTGPGMOUT => C405JTGPGMOUT,
MCBCPUCLKEN => MCBCPUCLKEN,
MCBJTAGEN => MCBJTAGEN,
MCBTIMEREN => MCBTIMEREN,
MCPPCRST => MCPPCRST,
C405TRCODDEXECUTIONSTATUS => C405TRCODDEXECUTIONSTATUS,
C405TRCEVENEXECUTIONSTATUS => C405TRCEVENEXECUTIONSTATUS,
CPMC405CLOCK => CPMC405CLOCK,
CPMC405CORECLKINACTIVE => CPMC405CORECLKINACTIVE,
PLBCLK => PLBCLK,
CPMFCMCLK => CPMFCMCLK,
CPMDCRCLK => CPMDCRCLK,
CPMC405SYNCBYPASS => CPMC405SYNCBYPASS,
CPMC405TIMERTICK => CPMC405TIMERTICK,
C405CPMMSREE => C405CPMMSREE,
C405CPMMSRCE => C405CPMMSRCE,
C405CPMTIMERIRQ => C405CPMTIMERIRQ,
C405CPMTIMERRESETREQ => C405CPMTIMERRESETREQ,
C405CPMCORESLEEPREQ => C405CPMCORESLEEPREQ,
TIEC405DISOPERANDFWD => TIEC405DISOPERANDFWD,
TIEC405DETERMINISTICMULT => TIEC405DETERMINISTICMULT,
TIEC405MMUEN => TIEC405MMUEN,
TIEPVRBIT8 => TIEPVRBIT8,
TIEPVRBIT9 => TIEPVRBIT9,
TIEPVRBIT10 => TIEPVRBIT10,
TIEPVRBIT11 => TIEPVRBIT11,
TIEPVRBIT28 => TIEPVRBIT28,
TIEPVRBIT29 => TIEPVRBIT29,
TIEPVRBIT30 => TIEPVRBIT30,
TIEPVRBIT31 => TIEPVRBIT31,
C405XXXMACHINECHECK => C405XXXMACHINECHECK,
DCREMACENABLER => DCREMACENABLER,
DCREMACCLK => DCREMACCLK,
DCREMACWRITE => DCREMACWRITE,
DCREMACREAD => DCREMACREAD,
DCREMACDBUS => DCREMACDBUS,
DCREMACABUS => DCREMACABUS,
EMACDCRDBUS => EMACDCRDBUS,
EMACDCRACK => EMACDCRACK,
C405RSTCHIPRESETREQ => C405RSTCHIPRESETREQ,
C405RSTCORERESETREQ => C405RSTCORERESETREQ,
C405RSTSYSRESETREQ => C405RSTSYSRESETREQ,
RSTC405RESETCHIP => RSTC405RESETCHIP,
RSTC405RESETCORE => RSTC405RESETCORE,
RSTC405RESETSYS => RSTC405RESETSYS,
C405PLBICUREQUEST => C405PLBICUREQUEST,
C405PLBICUPRIORITY => C405PLBICUPRIORITY,
C405PLBICUCACHEABLE => C405PLBICUCACHEABLE,
C405PLBICUABUS => C405PLBICUABUS,
C405PLBICUSIZE => C405PLBICUSIZE,
C405PLBICUABORT => C405PLBICUABORT,
C405PLBICUU0ATTR => C405PLBICUU0ATTR,
PLBC405ICUADDRACK => PLBC405ICUADDRACK,
PLBC405ICUBUSY => PLBC405ICUBUSY,
PLBC405ICUERR => PLBC405ICUERR,
PLBC405ICURDDACK => PLBC405ICURDDACK,
PLBC405ICURDDBUS => PLBC405ICURDDBUS,
PLBC405ICUSSIZE1 => PLBC405ICUSSIZE1,
PLBC405ICURDWDADDR => PLBC405ICURDWDADDR,
C405PLBDCUREQUEST => C405PLBDCUREQUEST,
C405PLBDCURNW => C405PLBDCURNW,
C405PLBDCUABUS => C405PLBDCUABUS,
C405PLBDCUBE => C405PLBDCUBE,
C405PLBDCUCACHEABLE => C405PLBDCUCACHEABLE,
C405PLBDCUGUARDED => C405PLBDCUGUARDED,
C405PLBDCUPRIORITY => C405PLBDCUPRIORITY,
C405PLBDCUSIZE2 => C405PLBDCUSIZE2,
C405PLBDCUABORT => C405PLBDCUABORT,
C405PLBDCUWRDBUS => C405PLBDCUWRDBUS,
C405PLBDCUU0ATTR => C405PLBDCUU0ATTR,
C405PLBDCUWRITETHRU => C405PLBDCUWRITETHRU,
PLBC405DCUADDRACK => PLBC405DCUADDRACK,
PLBC405DCUBUSY => PLBC405DCUBUSY,
PLBC405DCUERR => PLBC405DCUERR,
PLBC405DCURDDACK => PLBC405DCURDDACK,
PLBC405DCURDDBUS => PLBC405DCURDDBUS,
PLBC405DCURDWDADDR => PLBC405DCURDWDADDR,
PLBC405DCUSSIZE1 => PLBC405DCUSSIZE1,
PLBC405DCUWRDACK => PLBC405DCUWRDACK,
ISOCMBRAMRDABUS => ISOCMBRAMRDABUS,
ISOCMBRAMWRABUS => ISOCMBRAMWRABUS,
ISOCMBRAMEN => ISOCMBRAMEN,
ISOCMBRAMODDWRITEEN => ISOCMBRAMODDWRITEEN,
ISOCMBRAMEVENWRITEEN => ISOCMBRAMEVENWRITEEN,
ISOCMBRAMWRDBUS => ISOCMBRAMWRDBUS,
ISOCMDCRBRAMEVENEN => ISOCMDCRBRAMEVENEN,
ISOCMDCRBRAMODDEN => ISOCMDCRBRAMODDEN,
ISOCMDCRBRAMRDSELECT => ISOCMDCRBRAMRDSELECT,
BRAMISOCMDCRRDDBUS => BRAMISOCMDCRRDDBUS,
BRAMISOCMRDDBUS => BRAMISOCMRDDBUS,
ISARCVALUE => ISARCVALUE,
ISCNTLVALUE => ISCNTLVALUE,
BRAMISOCMCLK => BRAMISOCMCLK,
DSOCMBRAMABUS => DSOCMBRAMABUS,
DSOCMBRAMBYTEWRITE => DSOCMBRAMBYTEWRITE,
DSOCMBRAMEN => DSOCMBRAMEN,
DSOCMBRAMWRDBUS => DSOCMBRAMWRDBUS,
BRAMDSOCMRDDBUS => BRAMDSOCMRDDBUS,
DSOCMRWCOMPLETE => DSOCMRWCOMPLETE,
DSOCMBUSY => DSOCMBUSY,
DSOCMWRADDRVALID => DSOCMWRADDRVALID,
DSOCMRDADDRVALID => DSOCMRDADDRVALID,
TIEDCRADDR => TIEDCRADDR,
DSARCVALUE => DSARCVALUE,
DSCNTLVALUE => DSCNTLVALUE,
BRAMDSOCMCLK => BRAMDSOCMCLK,
EXTDCRREAD => EXTDCRREAD,
EXTDCRWRITE => EXTDCRWRITE,
EXTDCRABUS => EXTDCRABUS,
EXTDCRDBUSOUT => EXTDCRDBUSOUT,
EXTDCRACK => EXTDCRACK,
EXTDCRDBUSIN => EXTDCRDBUSIN,
EICC405EXTINPUTIRQ => EICC405EXTINPUTIRQ,
EICC405CRITINPUTIRQ => EICC405CRITINPUTIRQ,
JTGC405BNDSCANTDO => JTGC405BNDSCANTDO,
JTGC405TCK => JTGC405TCK,
JTGC405TDI => JTGC405TDI,
JTGC405TMS => JTGC405TMS,
JTGC405TRSTNEG => JTGC405TRSTNEG,
C405JTGTDO => C405JTGTDO,
C405JTGTDOEN => C405JTGTDOEN,
C405JTGEXTEST => C405JTGEXTEST,
C405JTGCAPTUREDR => C405JTGCAPTUREDR,
C405JTGSHIFTDR => C405JTGSHIFTDR,
C405JTGUPDATEDR => C405JTGUPDATEDR,
DBGC405DEBUGHALT => DBGC405DEBUGHALT,
DBGC405UNCONDDEBUGEVENT => DBGC405UNCONDDEBUGEVENT,
DBGC405EXTBUSHOLDACK => DBGC405EXTBUSHOLDACK,
C405DBGMSRWE => C405DBGMSRWE,
C405DBGSTOPACK => C405DBGSTOPACK,
C405DBGWBCOMPLETE => C405DBGWBCOMPLETE,
C405DBGWBFULL => C405DBGWBFULL,
C405DBGWBIAR => C405DBGWBIAR,
C405TRCTRIGGEREVENTOUT => C405TRCTRIGGEREVENTOUT,
C405TRCTRIGGEREVENTTYPE => C405TRCTRIGGEREVENTTYPE,
C405TRCCYCLE => C405TRCCYCLE,
C405TRCTRACESTATUS => C405TRCTRACESTATUS,
TRCC405TRACEDISABLE => TRCC405TRACEDISABLE,
TRCC405TRIGGEREVENTIN => TRCC405TRIGGEREVENTIN,
C405DBGLOADDATAONAPUDBUS => C405DBGLOADDATAONAPUDBUS,
APUFCMINSTRUCTION => APUFCMINSTRUCTION,
APUFCMRADATA => APUFCMRADATA,
APUFCMRBDATA => APUFCMRBDATA,
APUFCMINSTRVALID => APUFCMINSTRVALID,
APUFCMLOADDATA => APUFCMLOADDATA,
APUFCMOPERANDVALID => APUFCMOPERANDVALID,
APUFCMLOADDVALID => APUFCMLOADDVALID,
APUFCMFLUSH => APUFCMFLUSH,
APUFCMWRITEBACKOK => APUFCMWRITEBACKOK,
APUFCMLOADBYTEEN => APUFCMLOADBYTEEN,
APUFCMENDIAN => APUFCMENDIAN,
APUFCMXERCA => APUFCMXERCA,
APUFCMDECODED => APUFCMDECODED,
APUFCMDECUDI => APUFCMDECUDI,
APUFCMDECUDIVALID => APUFCMDECUDIVALID,
FCMAPUDONE => FCMAPUDONE,
FCMAPURESULT => FCMAPURESULT,
FCMAPURESULTVALID => FCMAPURESULTVALID,
FCMAPUINSTRACK => FCMAPUINSTRACK,
FCMAPUEXCEPTION => FCMAPUEXCEPTION,
FCMAPUXERCA => FCMAPUXERCA,
FCMAPUXEROV => FCMAPUXEROV,
FCMAPUCR => FCMAPUCR,
FCMAPUDCDFPUOP => FCMAPUDCDFPUOP,
FCMAPUDCDGPRWRITE => FCMAPUDCDGPRWRITE,
FCMAPUDCDRAEN => FCMAPUDCDRAEN,
FCMAPUDCDRBEN => FCMAPUDCDRBEN,
FCMAPUDCDLOAD => FCMAPUDCDLOAD,
FCMAPUDCDSTORE => FCMAPUDCDSTORE,
FCMAPUDCDXERCAEN => FCMAPUDCDXERCAEN,
FCMAPUDCDXEROVEN => FCMAPUDCDXEROVEN,
FCMAPUDCDPRIVOP => FCMAPUDCDPRIVOP,
FCMAPUDCDCREN => FCMAPUDCDCREN,
FCMAPUEXECRFIELD => FCMAPUEXECRFIELD,
FCMAPUDCDUPDATE => FCMAPUDCDUPDATE,
FCMAPUDCDFORCEALIGN => FCMAPUDCDFORCEALIGN,
FCMAPUDCDFORCEBESTEERING => FCMAPUDCDFORCEBESTEERING,
FCMAPUDCDLDSTBYTE => FCMAPUDCDLDSTBYTE,
FCMAPUDCDLDSTHW => FCMAPUDCDLDSTHW,
FCMAPUDCDLDSTWD => FCMAPUDCDLDSTWD,
FCMAPUDCDLDSTDW => FCMAPUDCDLDSTDW,
FCMAPUDCDLDSTQW => FCMAPUDCDLDSTQW,
FCMAPUDCDTRAPBE => FCMAPUDCDTRAPBE,
FCMAPUDCDTRAPLE => FCMAPUDCDTRAPLE,
FCMAPUEXEBLOCKINGMCO => FCMAPUEXEBLOCKINGMCO,
FCMAPUEXENONBLOCKINGMCO => FCMAPUEXENONBLOCKINGMCO,
FCMAPUSLEEPNOTREADY => FCMAPUSLEEPNOTREADY,
FCMAPULOADWAIT => FCMAPULOADWAIT,
FCMAPUDECODEBUSY => FCMAPUDECODEBUSY,
TIEAPUCONTROL => TIEAPUCONTROL,
TIEAPUUDI1 => TIEAPUUDI1,
TIEAPUUDI2 => TIEAPUUDI2,
TIEAPUUDI3 => TIEAPUUDI3,
TIEAPUUDI4 => TIEAPUUDI4,
TIEAPUUDI5 => TIEAPUUDI5,
TIEAPUUDI6 => TIEAPUUDI6,
TIEAPUUDI7 => TIEAPUUDI7,
TIEAPUUDI8 => TIEAPUUDI8

	);
end PPC405_ADV_SWIFT_BUS_V;
library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.numeric_std.all;

entity PPC405_SWIFT_BUS is
	port (
		BUS_CLK : in std_ulogic;
		BUS_RESET : in std_ulogic;
		GWE : in std_ulogic;
		GHIGHB : in std_ulogic;
		GSR : in std_ulogic;
		CPMC405CPUCLKEN : in std_ulogic;
		CPMC405JTAGCLKEN : in std_ulogic;
		CPMC405TIMERCLKEN : in std_ulogic;
		C405JTGPGMOUT : out std_ulogic;
		MCBCPUCLKEN : in std_ulogic;
		MCBJTAGEN : in std_ulogic;
		MCBTIMEREN : in std_ulogic;
		MCPPCRST : in std_ulogic;
		C405TRCODDEXECUTIONSTATUS : out std_logic_vector(0 TO 1);
		C405TRCEVENEXECUTIONSTATUS : out std_logic_vector(0 TO 1);
		CPMC405CLOCK : in std_ulogic;
		CPMC405CORECLKINACTIVE : in std_ulogic;
		PLBCLK : in std_ulogic;
		CPMC405TIMERTICK : in std_ulogic;
		C405CPMMSREE : out std_ulogic;
		C405CPMMSRCE : out std_ulogic;
		C405CPMTIMERIRQ : out std_ulogic;
		C405CPMTIMERRESETREQ : out std_ulogic;
		C405CPMCORESLEEPREQ : out std_ulogic;
		TIEC405DISOPERANDFWD : in std_ulogic;
		TIEC405DETERMINISTICMULT : in std_ulogic;
		TIEC405MMUEN : in std_ulogic;
		TIEC405PVR : in std_logic_vector(28 TO 31);
		C405XXXMACHINECHECK : out std_ulogic;
		C405RSTCHIPRESETREQ : out std_ulogic;
		C405RSTCORERESETREQ : out std_ulogic;
		C405RSTSYSRESETREQ : out std_ulogic;
		RSTC405RESETCHIP : in std_ulogic;
		RSTC405RESETCORE : in std_ulogic;
		RSTC405RESETSYS : in std_ulogic;
		C405PLBICUREQUEST : out std_ulogic;
		C405PLBICUPRIORITY : out std_logic_vector(0 TO 1);
		C405PLBICUCACHEABLE : out std_ulogic;
		C405PLBICUABUS : out std_logic_vector(0 TO 29);
		C405PLBICUSIZE : out std_logic_vector(2 TO 3);
		C405PLBICUABORT : out std_ulogic;
		C405PLBICUU0ATTR : out std_ulogic;
		PLBC405ICUADDRACK : in std_ulogic;
		PLBC405ICUBUSY : in std_ulogic;
		PLBC405ICUERR : in std_ulogic;
		PLBC405ICURDDACK : in std_ulogic;
		PLBC405ICURDDBUS : in std_logic_vector(0 TO 63);
		PLBC405ICUSSIZE1 : in std_ulogic;
		PLBC405ICURDWDADDR : in std_logic_vector(1 TO 3);
		C405PLBDCUREQUEST : out std_ulogic;
		C405PLBDCURNW : out std_ulogic;
		C405PLBDCUABUS : out std_logic_vector(0 TO 31);
		C405PLBDCUBE : out std_logic_vector(0 TO 7);
		C405PLBDCUCACHEABLE : out std_ulogic;
		C405PLBDCUGUARDED : out std_ulogic;
		C405PLBDCUPRIORITY : out std_logic_vector(0 TO 1);
		C405PLBDCUSIZE2 : out std_ulogic;
		C405PLBDCUABORT : out std_ulogic;
		C405PLBDCUWRDBUS : out std_logic_vector(0 TO 63);
		C405PLBDCUU0ATTR : out std_ulogic;
		C405PLBDCUWRITETHRU : out std_ulogic;
		PLBC405DCUADDRACK : in std_ulogic;
		PLBC405DCUBUSY : in std_ulogic;
		PLBC405DCUERR : in std_ulogic;
		PLBC405DCURDDACK : in std_ulogic;
		PLBC405DCURDDBUS : in std_logic_vector(0 TO 63);
		PLBC405DCURDWDADDR : in std_logic_vector(1 TO 3);
		PLBC405DCUSSIZE1 : in std_ulogic;
		PLBC405DCUWRDACK : in std_ulogic;
		ISOCMBRAMRDABUS : out std_logic_vector(8 TO 28);
		ISOCMBRAMWRABUS : out std_logic_vector(8 TO 28);
		ISOCMBRAMEN : out std_ulogic;
		ISOCMBRAMODDWRITEEN : out std_ulogic;
		ISOCMBRAMEVENWRITEEN : out std_ulogic;
		ISOCMBRAMWRDBUS : out std_logic_vector(0 TO 31);
		BRAMISOCMRDDBUS : in std_logic_vector(0 TO 63);
		TIEISOCMDCRADDR : in std_logic_vector(0 TO 7);
		ISARCVALUE : in std_logic_vector(0 TO 7);
		ISCNTLVALUE : in std_logic_vector(0 TO 7);
		BRAMISOCMCLK : in std_ulogic;
		DSOCMBRAMABUS : out std_logic_vector(8 TO 29);
		DSOCMBRAMBYTEWRITE : out std_logic_vector(0 TO 3);
		DSOCMBRAMEN : out std_ulogic;
		DSOCMBRAMWRDBUS : out std_logic_vector(0 TO 31);
		BRAMDSOCMRDDBUS : in std_logic_vector(0 TO 31);
		DSOCMBUSY : out std_ulogic;
		TIEDSOCMDCRADDR : in std_logic_vector(0 TO 7);
		DSARCVALUE : in std_logic_vector(0 TO 7);
		DSCNTLVALUE : in std_logic_vector(0 TO 7);
		BRAMDSOCMCLK : in std_ulogic;
		C405DCRREAD : out std_ulogic;
		C405DCRWRITE : out std_ulogic;
		C405DCRABUS : out std_logic_vector(0 TO 9);
		C405DCRDBUSOUT : out std_logic_vector(0 TO 31);
		DCRC405ACK : in std_ulogic;
		DCRC405DBUSIN : in std_logic_vector(0 TO 31);
		EICC405EXTINPUTIRQ : in std_ulogic;
		EICC405CRITINPUTIRQ : in std_ulogic;
		JTGC405BNDSCANTDO : in std_ulogic;
		JTGC405TCK : in std_ulogic;
		JTGC405TDI : in std_ulogic;
		JTGC405TMS : in std_ulogic;
		JTGC405TRSTNEG : in std_ulogic;
		C405JTGTDO : out std_ulogic;
		C405JTGTDOEN : out std_ulogic;
		C405JTGEXTEST : out std_ulogic;
		C405JTGCAPTUREDR : out std_ulogic;
		C405JTGSHIFTDR : out std_ulogic;
		C405JTGUPDATEDR : out std_ulogic;
		DBGC405DEBUGHALT : in std_ulogic;
		DBGC405UNCONDDEBUGEVENT : in std_ulogic;
		DBGC405EXTBUSHOLDACK : in std_ulogic;
		C405DBGMSRWE : out std_ulogic;
		C405DBGSTOPACK : out std_ulogic;
		C405DBGWBCOMPLETE : out std_ulogic;
		C405DBGWBFULL : out std_ulogic;
		C405DBGWBIAR : out std_logic_vector(0 TO 29);
		C405TRCTRIGGEREVENTOUT : out std_ulogic;
		C405TRCTRIGGEREVENTTYPE : out std_logic_vector(0 TO 10);
		C405TRCCYCLE : out std_ulogic;
		C405TRCTRACESTATUS : out std_logic_vector(0 TO 3);
		TRCC405TRACEDISABLE : in std_ulogic;
		TRCC405TRIGGEREVENTIN : in std_ulogic
	);
end PPC405_SWIFT_BUS;

architecture PPC405_SWIFT_BUS_v of PPC405_SWIFT_BUS is
component PPC405_SWIFT
	generic (
		TimingVersion : STRING := "ppc405_swift";
		DelayRange : STRING := "MAX";
		MC_Reference : STRING := "0000");
	port (
		BUS_CLK : in std_ulogic;
		BUS_RESET : in std_ulogic;
		GWE : in std_ulogic;
		GHIGHB : in std_ulogic;
		GSR : in std_ulogic;
		CPMC405CPUCLKEN : in std_ulogic;
		CPMC405JTAGCLKEN : in std_ulogic;
		CPMC405TIMERCLKEN : in std_ulogic;
		C405JTGPGMOUT : out std_ulogic;
		MCBCPUCLKEN : in std_ulogic;
		MCBJTAGEN : in std_ulogic;
		MCBTIMEREN : in std_ulogic;
		MCPPCRST : in std_ulogic;
		C405TRCODDEXECUTIONSTATUS : out std_logic_vector(0 TO 1);
		C405TRCEVENEXECUTIONSTATUS : out std_logic_vector(0 TO 1);
		CPMC405CLOCK : in std_ulogic;
		CPMC405CORECLKINACTIVE : in std_ulogic;
		PLBCLK : in std_ulogic;
		CPMC405TIMERTICK : in std_ulogic;
		C405CPMMSREE : out std_ulogic;
		C405CPMMSRCE : out std_ulogic;
		C405CPMTIMERIRQ : out std_ulogic;
		C405CPMTIMERRESETREQ : out std_ulogic;
		C405CPMCORESLEEPREQ : out std_ulogic;
		TIEC405DISOPERANDFWD : in std_ulogic;
		TIEC405DETERMINISTICMULT : in std_ulogic;
		TIEC405MMUEN : in std_ulogic;
		TIEC405PVR : in std_logic_vector(28 TO 31);
		C405XXXMACHINECHECK : out std_ulogic;
		C405RSTCHIPRESETREQ : out std_ulogic;
		C405RSTCORERESETREQ : out std_ulogic;
		C405RSTSYSRESETREQ : out std_ulogic;
		RSTC405RESETCHIP : in std_ulogic;
		RSTC405RESETCORE : in std_ulogic;
		RSTC405RESETSYS : in std_ulogic;
		C405PLBICUREQUEST : out std_ulogic;
		C405PLBICUPRIORITY : out std_logic_vector(0 TO 1);
		C405PLBICUCACHEABLE : out std_ulogic;
		C405PLBICUABUS : out std_logic_vector(0 TO 29);
		C405PLBICUSIZE : out std_logic_vector(2 TO 3);
		C405PLBICUABORT : out std_ulogic;
		C405PLBICUU0ATTR : out std_ulogic;
		PLBC405ICUADDRACK : in std_ulogic;
		PLBC405ICUBUSY : in std_ulogic;
		PLBC405ICUERR : in std_ulogic;
		PLBC405ICURDDACK : in std_ulogic;
		PLBC405ICURDDBUS : in std_logic_vector(0 TO 63);
		PLBC405ICUSSIZE1 : in std_ulogic;
		PLBC405ICURDWDADDR : in std_logic_vector(1 TO 3);
		C405PLBDCUREQUEST : out std_ulogic;
		C405PLBDCURNW : out std_ulogic;
		C405PLBDCUABUS : out std_logic_vector(0 TO 31);
		C405PLBDCUBE : out std_logic_vector(0 TO 7);
		C405PLBDCUCACHEABLE : out std_ulogic;
		C405PLBDCUGUARDED : out std_ulogic;
		C405PLBDCUPRIORITY : out std_logic_vector(0 TO 1);
		C405PLBDCUSIZE2 : out std_ulogic;
		C405PLBDCUABORT : out std_ulogic;
		C405PLBDCUWRDBUS : out std_logic_vector(0 TO 63);
		C405PLBDCUU0ATTR : out std_ulogic;
		C405PLBDCUWRITETHRU : out std_ulogic;
		PLBC405DCUADDRACK : in std_ulogic;
		PLBC405DCUBUSY : in std_ulogic;
		PLBC405DCUERR : in std_ulogic;
		PLBC405DCURDDACK : in std_ulogic;
		PLBC405DCURDDBUS : in std_logic_vector(0 TO 63);
		PLBC405DCURDWDADDR : in std_logic_vector(1 TO 3);
		PLBC405DCUSSIZE1 : in std_ulogic;
		PLBC405DCUWRDACK : in std_ulogic;
		ISOCMBRAMRDABUS : out std_logic_vector(8 TO 28);
		ISOCMBRAMWRABUS : out std_logic_vector(8 TO 28);
		ISOCMBRAMEN : out std_ulogic;
		ISOCMBRAMODDWRITEEN : out std_ulogic;
		ISOCMBRAMEVENWRITEEN : out std_ulogic;
		ISOCMBRAMWRDBUS : out std_logic_vector(0 TO 31);
		BRAMISOCMRDDBUS : in std_logic_vector(0 TO 63);
		TIEISOCMDCRADDR : in std_logic_vector(0 TO 7);
		ISARCVALUE : in std_logic_vector(0 TO 7);
		ISCNTLVALUE : in std_logic_vector(0 TO 7);
		BRAMISOCMCLK : in std_ulogic;
		DSOCMBRAMABUS : out std_logic_vector(8 TO 29);
		DSOCMBRAMBYTEWRITE : out std_logic_vector(0 TO 3);
		DSOCMBRAMEN : out std_ulogic;
		DSOCMBRAMWRDBUS : out std_logic_vector(0 TO 31);
		BRAMDSOCMRDDBUS : in std_logic_vector(0 TO 31);
		DSOCMBUSY : out std_ulogic;
		TIEDSOCMDCRADDR : in std_logic_vector(0 TO 7);
		DSARCVALUE : in std_logic_vector(0 TO 7);
		DSCNTLVALUE : in std_logic_vector(0 TO 7);
		BRAMDSOCMCLK : in std_ulogic;
		C405DCRREAD : out std_ulogic;
		C405DCRWRITE : out std_ulogic;
		C405DCRABUS : out std_logic_vector(0 TO 9);
		C405DCRDBUSOUT : out std_logic_vector(0 TO 31);
		DCRC405ACK : in std_ulogic;
		DCRC405DBUSIN : in std_logic_vector(0 TO 31);
		EICC405EXTINPUTIRQ : in std_ulogic;
		EICC405CRITINPUTIRQ : in std_ulogic;
		JTGC405BNDSCANTDO : in std_ulogic;
		JTGC405TCK : in std_ulogic;
		JTGC405TDI : in std_ulogic;
		JTGC405TMS : in std_ulogic;
		JTGC405TRSTNEG : in std_ulogic;
		C405JTGTDO : out std_ulogic;
		C405JTGTDOEN : out std_ulogic;
		C405JTGEXTEST : out std_ulogic;
		C405JTGCAPTUREDR : out std_ulogic;
		C405JTGSHIFTDR : out std_ulogic;
		C405JTGUPDATEDR : out std_ulogic;
		DBGC405DEBUGHALT : in std_ulogic;
		DBGC405UNCONDDEBUGEVENT : in std_ulogic;
		DBGC405EXTBUSHOLDACK : in std_ulogic;
		C405DBGMSRWE : out std_ulogic;
		C405DBGSTOPACK : out std_ulogic;
		C405DBGWBCOMPLETE : out std_ulogic;
		C405DBGWBFULL : out std_ulogic;
		C405DBGWBIAR : out std_logic_vector(0 TO 29);
		C405TRCTRIGGEREVENTOUT : out std_ulogic;
		C405TRCTRIGGEREVENTTYPE : out std_logic_vector(0 TO 10);
		C405TRCCYCLE : out std_ulogic;
		C405TRCTRACESTATUS : out std_logic_vector(0 TO 3);
		TRCC405TRACEDISABLE : in std_ulogic;
           	TRCC405TRIGGEREVENTIN : in std_ulogic
);
end component;

for all : PPC405_SWIFT
use entity work.PPC405_SWIFT
	port map (
		GSR => GSR,
		CPMC405CPUCLKEN => CPMC405CPUCLKEN,
		CPMC405JTAGCLKEN => CPMC405JTAGCLKEN,
		CPMC405TIMERCLKEN => CPMC405TIMERCLKEN,
		C405JTGPGMOUT => C405JTGPGMOUT,
		MCBCPUCLKEN => MCBCPUCLKEN,
		MCBJTAGEN => MCBJTAGEN,
		MCBTIMEREN => MCBTIMEREN,
		MCPPCRST => MCPPCRST,
		C405TRCODDEXECUTIONSTATUS_1 => C405TRCODDEXECUTIONSTATUS(1),
		C405TRCODDEXECUTIONSTATUS_0 => C405TRCODDEXECUTIONSTATUS(0),
		C405TRCEVENEXECUTIONSTATUS_1 => C405TRCEVENEXECUTIONSTATUS(1),
		C405TRCEVENEXECUTIONSTATUS_0 => C405TRCEVENEXECUTIONSTATUS(0),
		CPMC405CLOCK => CPMC405CLOCK,
		CPMC405CORECLKINACTIVE => CPMC405CORECLKINACTIVE,
		PLBCLK => PLBCLK,
		CPMC405TIMERTICK => CPMC405TIMERTICK,
		C405CPMMSREE => C405CPMMSREE,
		C405CPMMSRCE => C405CPMMSRCE,
		C405CPMTIMERIRQ => C405CPMTIMERIRQ,
		C405CPMTIMERRESETREQ => C405CPMTIMERRESETREQ,
		C405CPMCORESLEEPREQ => C405CPMCORESLEEPREQ,
		TIEC405DISOPERANDFWD => TIEC405DISOPERANDFWD,
		TIEC405DETERMINISTICMULT => TIEC405DETERMINISTICMULT,
		TIEC405MMUEN => TIEC405MMUEN,
		TIEC405PVR_31 => TIEC405PVR(31),
		TIEC405PVR_30 => TIEC405PVR(30),
		TIEC405PVR_29 => TIEC405PVR(29),
		TIEC405PVR_28 => TIEC405PVR(28),
		C405XXXMACHINECHECK => C405XXXMACHINECHECK,
		C405RSTCHIPRESETREQ => C405RSTCHIPRESETREQ,
		C405RSTCORERESETREQ => C405RSTCORERESETREQ,
		C405RSTSYSRESETREQ => C405RSTSYSRESETREQ,
		RSTC405RESETCHIP => RSTC405RESETCHIP,
		RSTC405RESETCORE => RSTC405RESETCORE,
		RSTC405RESETSYS => RSTC405RESETSYS,
		C405PLBICUREQUEST => C405PLBICUREQUEST,
		C405PLBICUPRIORITY_1 => C405PLBICUPRIORITY(1),
		C405PLBICUPRIORITY_0 => C405PLBICUPRIORITY(0),
		C405PLBICUCACHEABLE => C405PLBICUCACHEABLE,
		C405PLBICUABUS_29 => C405PLBICUABUS(29),
		C405PLBICUABUS_28 => C405PLBICUABUS(28),
		C405PLBICUABUS_27 => C405PLBICUABUS(27),
		C405PLBICUABUS_26 => C405PLBICUABUS(26),
		C405PLBICUABUS_25 => C405PLBICUABUS(25),
		C405PLBICUABUS_24 => C405PLBICUABUS(24),
		C405PLBICUABUS_23 => C405PLBICUABUS(23),
		C405PLBICUABUS_22 => C405PLBICUABUS(22),
		C405PLBICUABUS_21 => C405PLBICUABUS(21),
		C405PLBICUABUS_20 => C405PLBICUABUS(20),
		C405PLBICUABUS_19 => C405PLBICUABUS(19),
		C405PLBICUABUS_18 => C405PLBICUABUS(18),
		C405PLBICUABUS_17 => C405PLBICUABUS(17),
		C405PLBICUABUS_16 => C405PLBICUABUS(16),
		C405PLBICUABUS_15 => C405PLBICUABUS(15),
		C405PLBICUABUS_14 => C405PLBICUABUS(14),
		C405PLBICUABUS_13 => C405PLBICUABUS(13),
		C405PLBICUABUS_12 => C405PLBICUABUS(12),
		C405PLBICUABUS_11 => C405PLBICUABUS(11),
		C405PLBICUABUS_10 => C405PLBICUABUS(10),
		C405PLBICUABUS_9 => C405PLBICUABUS(9),
		C405PLBICUABUS_8 => C405PLBICUABUS(8),
		C405PLBICUABUS_7 => C405PLBICUABUS(7),
		C405PLBICUABUS_6 => C405PLBICUABUS(6),
		C405PLBICUABUS_5 => C405PLBICUABUS(5),
		C405PLBICUABUS_4 => C405PLBICUABUS(4),
		C405PLBICUABUS_3 => C405PLBICUABUS(3),
		C405PLBICUABUS_2 => C405PLBICUABUS(2),
		C405PLBICUABUS_1 => C405PLBICUABUS(1),
		C405PLBICUABUS_0 => C405PLBICUABUS(0),
		C405PLBICUSIZE_3 => C405PLBICUSIZE(3),
		C405PLBICUSIZE_2 => C405PLBICUSIZE(2),
		C405PLBICUABORT => C405PLBICUABORT,
		C405PLBICUU0ATTR => C405PLBICUU0ATTR,
		PLBC405ICUADDRACK => PLBC405ICUADDRACK,
		PLBC405ICUBUSY => PLBC405ICUBUSY,
		PLBC405ICUERR => PLBC405ICUERR,
		PLBC405ICURDDACK => PLBC405ICURDDACK,
		PLBC405ICURDDBUS_63 => PLBC405ICURDDBUS(63),
		PLBC405ICURDDBUS_62 => PLBC405ICURDDBUS(62),
		PLBC405ICURDDBUS_61 => PLBC405ICURDDBUS(61),
		PLBC405ICURDDBUS_60 => PLBC405ICURDDBUS(60),
		PLBC405ICURDDBUS_59 => PLBC405ICURDDBUS(59),
		PLBC405ICURDDBUS_58 => PLBC405ICURDDBUS(58),
		PLBC405ICURDDBUS_57 => PLBC405ICURDDBUS(57),
		PLBC405ICURDDBUS_56 => PLBC405ICURDDBUS(56),
		PLBC405ICURDDBUS_55 => PLBC405ICURDDBUS(55),
		PLBC405ICURDDBUS_54 => PLBC405ICURDDBUS(54),
		PLBC405ICURDDBUS_53 => PLBC405ICURDDBUS(53),
		PLBC405ICURDDBUS_52 => PLBC405ICURDDBUS(52),
		PLBC405ICURDDBUS_51 => PLBC405ICURDDBUS(51),
		PLBC405ICURDDBUS_50 => PLBC405ICURDDBUS(50),
		PLBC405ICURDDBUS_49 => PLBC405ICURDDBUS(49),
		PLBC405ICURDDBUS_48 => PLBC405ICURDDBUS(48),
		PLBC405ICURDDBUS_47 => PLBC405ICURDDBUS(47),
		PLBC405ICURDDBUS_46 => PLBC405ICURDDBUS(46),
		PLBC405ICURDDBUS_45 => PLBC405ICURDDBUS(45),
		PLBC405ICURDDBUS_44 => PLBC405ICURDDBUS(44),
		PLBC405ICURDDBUS_43 => PLBC405ICURDDBUS(43),
		PLBC405ICURDDBUS_42 => PLBC405ICURDDBUS(42),
		PLBC405ICURDDBUS_41 => PLBC405ICURDDBUS(41),
		PLBC405ICURDDBUS_40 => PLBC405ICURDDBUS(40),
		PLBC405ICURDDBUS_39 => PLBC405ICURDDBUS(39),
		PLBC405ICURDDBUS_38 => PLBC405ICURDDBUS(38),
		PLBC405ICURDDBUS_37 => PLBC405ICURDDBUS(37),
		PLBC405ICURDDBUS_36 => PLBC405ICURDDBUS(36),
		PLBC405ICURDDBUS_35 => PLBC405ICURDDBUS(35),
		PLBC405ICURDDBUS_34 => PLBC405ICURDDBUS(34),
		PLBC405ICURDDBUS_33 => PLBC405ICURDDBUS(33),
		PLBC405ICURDDBUS_32 => PLBC405ICURDDBUS(32),
		PLBC405ICURDDBUS_31 => PLBC405ICURDDBUS(31),
		PLBC405ICURDDBUS_30 => PLBC405ICURDDBUS(30),
		PLBC405ICURDDBUS_29 => PLBC405ICURDDBUS(29),
		PLBC405ICURDDBUS_28 => PLBC405ICURDDBUS(28),
		PLBC405ICURDDBUS_27 => PLBC405ICURDDBUS(27),
		PLBC405ICURDDBUS_26 => PLBC405ICURDDBUS(26),
		PLBC405ICURDDBUS_25 => PLBC405ICURDDBUS(25),
		PLBC405ICURDDBUS_24 => PLBC405ICURDDBUS(24),
		PLBC405ICURDDBUS_23 => PLBC405ICURDDBUS(23),
		PLBC405ICURDDBUS_22 => PLBC405ICURDDBUS(22),
		PLBC405ICURDDBUS_21 => PLBC405ICURDDBUS(21),
		PLBC405ICURDDBUS_20 => PLBC405ICURDDBUS(20),
		PLBC405ICURDDBUS_19 => PLBC405ICURDDBUS(19),
		PLBC405ICURDDBUS_18 => PLBC405ICURDDBUS(18),
		PLBC405ICURDDBUS_17 => PLBC405ICURDDBUS(17),
		PLBC405ICURDDBUS_16 => PLBC405ICURDDBUS(16),
		PLBC405ICURDDBUS_15 => PLBC405ICURDDBUS(15),
		PLBC405ICURDDBUS_14 => PLBC405ICURDDBUS(14),
		PLBC405ICURDDBUS_13 => PLBC405ICURDDBUS(13),
		PLBC405ICURDDBUS_12 => PLBC405ICURDDBUS(12),
		PLBC405ICURDDBUS_11 => PLBC405ICURDDBUS(11),
		PLBC405ICURDDBUS_10 => PLBC405ICURDDBUS(10),
		PLBC405ICURDDBUS_9 => PLBC405ICURDDBUS(9),
		PLBC405ICURDDBUS_8 => PLBC405ICURDDBUS(8),
		PLBC405ICURDDBUS_7 => PLBC405ICURDDBUS(7),
		PLBC405ICURDDBUS_6 => PLBC405ICURDDBUS(6),
		PLBC405ICURDDBUS_5 => PLBC405ICURDDBUS(5),
		PLBC405ICURDDBUS_4 => PLBC405ICURDDBUS(4),
		PLBC405ICURDDBUS_3 => PLBC405ICURDDBUS(3),
		PLBC405ICURDDBUS_2 => PLBC405ICURDDBUS(2),
		PLBC405ICURDDBUS_1 => PLBC405ICURDDBUS(1),
		PLBC405ICURDDBUS_0 => PLBC405ICURDDBUS(0),
		PLBC405ICUSSIZE1 => PLBC405ICUSSIZE1,
		PLBC405ICURDWDADDR_3 => PLBC405ICURDWDADDR(3),
		PLBC405ICURDWDADDR_2 => PLBC405ICURDWDADDR(2),
		PLBC405ICURDWDADDR_1 => PLBC405ICURDWDADDR(1),
		C405PLBDCUREQUEST => C405PLBDCUREQUEST,
		C405PLBDCURNW => C405PLBDCURNW,
		C405PLBDCUABUS_31 => C405PLBDCUABUS(31),
		C405PLBDCUABUS_30 => C405PLBDCUABUS(30),
		C405PLBDCUABUS_29 => C405PLBDCUABUS(29),
		C405PLBDCUABUS_28 => C405PLBDCUABUS(28),
		C405PLBDCUABUS_27 => C405PLBDCUABUS(27),
		C405PLBDCUABUS_26 => C405PLBDCUABUS(26),
		C405PLBDCUABUS_25 => C405PLBDCUABUS(25),
		C405PLBDCUABUS_24 => C405PLBDCUABUS(24),
		C405PLBDCUABUS_23 => C405PLBDCUABUS(23),
		C405PLBDCUABUS_22 => C405PLBDCUABUS(22),
		C405PLBDCUABUS_21 => C405PLBDCUABUS(21),
		C405PLBDCUABUS_20 => C405PLBDCUABUS(20),
		C405PLBDCUABUS_19 => C405PLBDCUABUS(19),
		C405PLBDCUABUS_18 => C405PLBDCUABUS(18),
		C405PLBDCUABUS_17 => C405PLBDCUABUS(17),
		C405PLBDCUABUS_16 => C405PLBDCUABUS(16),
		C405PLBDCUABUS_15 => C405PLBDCUABUS(15),
		C405PLBDCUABUS_14 => C405PLBDCUABUS(14),
		C405PLBDCUABUS_13 => C405PLBDCUABUS(13),
		C405PLBDCUABUS_12 => C405PLBDCUABUS(12),
		C405PLBDCUABUS_11 => C405PLBDCUABUS(11),
		C405PLBDCUABUS_10 => C405PLBDCUABUS(10),
		C405PLBDCUABUS_9 => C405PLBDCUABUS(9),
		C405PLBDCUABUS_8 => C405PLBDCUABUS(8),
		C405PLBDCUABUS_7 => C405PLBDCUABUS(7),
		C405PLBDCUABUS_6 => C405PLBDCUABUS(6),
		C405PLBDCUABUS_5 => C405PLBDCUABUS(5),
		C405PLBDCUABUS_4 => C405PLBDCUABUS(4),
		C405PLBDCUABUS_3 => C405PLBDCUABUS(3),
		C405PLBDCUABUS_2 => C405PLBDCUABUS(2),
		C405PLBDCUABUS_1 => C405PLBDCUABUS(1),
		C405PLBDCUABUS_0 => C405PLBDCUABUS(0),
		C405PLBDCUBE_7 => C405PLBDCUBE(7),
		C405PLBDCUBE_6 => C405PLBDCUBE(6),
		C405PLBDCUBE_5 => C405PLBDCUBE(5),
		C405PLBDCUBE_4 => C405PLBDCUBE(4),
		C405PLBDCUBE_3 => C405PLBDCUBE(3),
		C405PLBDCUBE_2 => C405PLBDCUBE(2),
		C405PLBDCUBE_1 => C405PLBDCUBE(1),
		C405PLBDCUBE_0 => C405PLBDCUBE(0),
		C405PLBDCUCACHEABLE => C405PLBDCUCACHEABLE,
		C405PLBDCUGUARDED => C405PLBDCUGUARDED,
		C405PLBDCUPRIORITY_1 => C405PLBDCUPRIORITY(1),
		C405PLBDCUPRIORITY_0 => C405PLBDCUPRIORITY(0),
		C405PLBDCUSIZE2 => C405PLBDCUSIZE2,
		C405PLBDCUABORT => C405PLBDCUABORT,
		C405PLBDCUWRDBUS_63 => C405PLBDCUWRDBUS(63),
		C405PLBDCUWRDBUS_62 => C405PLBDCUWRDBUS(62),
		C405PLBDCUWRDBUS_61 => C405PLBDCUWRDBUS(61),
		C405PLBDCUWRDBUS_60 => C405PLBDCUWRDBUS(60),
		C405PLBDCUWRDBUS_59 => C405PLBDCUWRDBUS(59),
		C405PLBDCUWRDBUS_58 => C405PLBDCUWRDBUS(58),
		C405PLBDCUWRDBUS_57 => C405PLBDCUWRDBUS(57),
		C405PLBDCUWRDBUS_56 => C405PLBDCUWRDBUS(56),
		C405PLBDCUWRDBUS_55 => C405PLBDCUWRDBUS(55),
		C405PLBDCUWRDBUS_54 => C405PLBDCUWRDBUS(54),
		C405PLBDCUWRDBUS_53 => C405PLBDCUWRDBUS(53),
		C405PLBDCUWRDBUS_52 => C405PLBDCUWRDBUS(52),
		C405PLBDCUWRDBUS_51 => C405PLBDCUWRDBUS(51),
		C405PLBDCUWRDBUS_50 => C405PLBDCUWRDBUS(50),
		C405PLBDCUWRDBUS_49 => C405PLBDCUWRDBUS(49),
		C405PLBDCUWRDBUS_48 => C405PLBDCUWRDBUS(48),
		C405PLBDCUWRDBUS_47 => C405PLBDCUWRDBUS(47),
		C405PLBDCUWRDBUS_46 => C405PLBDCUWRDBUS(46),
		C405PLBDCUWRDBUS_45 => C405PLBDCUWRDBUS(45),
		C405PLBDCUWRDBUS_44 => C405PLBDCUWRDBUS(44),
		C405PLBDCUWRDBUS_43 => C405PLBDCUWRDBUS(43),
		C405PLBDCUWRDBUS_42 => C405PLBDCUWRDBUS(42),
		C405PLBDCUWRDBUS_41 => C405PLBDCUWRDBUS(41),
		C405PLBDCUWRDBUS_40 => C405PLBDCUWRDBUS(40),
		C405PLBDCUWRDBUS_39 => C405PLBDCUWRDBUS(39),
		C405PLBDCUWRDBUS_38 => C405PLBDCUWRDBUS(38),
		C405PLBDCUWRDBUS_37 => C405PLBDCUWRDBUS(37),
		C405PLBDCUWRDBUS_36 => C405PLBDCUWRDBUS(36),
		C405PLBDCUWRDBUS_35 => C405PLBDCUWRDBUS(35),
		C405PLBDCUWRDBUS_34 => C405PLBDCUWRDBUS(34),
		C405PLBDCUWRDBUS_33 => C405PLBDCUWRDBUS(33),
		C405PLBDCUWRDBUS_32 => C405PLBDCUWRDBUS(32),
		C405PLBDCUWRDBUS_31 => C405PLBDCUWRDBUS(31),
		C405PLBDCUWRDBUS_30 => C405PLBDCUWRDBUS(30),
		C405PLBDCUWRDBUS_29 => C405PLBDCUWRDBUS(29),
		C405PLBDCUWRDBUS_28 => C405PLBDCUWRDBUS(28),
		C405PLBDCUWRDBUS_27 => C405PLBDCUWRDBUS(27),
		C405PLBDCUWRDBUS_26 => C405PLBDCUWRDBUS(26),
		C405PLBDCUWRDBUS_25 => C405PLBDCUWRDBUS(25),
		C405PLBDCUWRDBUS_24 => C405PLBDCUWRDBUS(24),
		C405PLBDCUWRDBUS_23 => C405PLBDCUWRDBUS(23),
		C405PLBDCUWRDBUS_22 => C405PLBDCUWRDBUS(22),
		C405PLBDCUWRDBUS_21 => C405PLBDCUWRDBUS(21),
		C405PLBDCUWRDBUS_20 => C405PLBDCUWRDBUS(20),
		C405PLBDCUWRDBUS_19 => C405PLBDCUWRDBUS(19),
		C405PLBDCUWRDBUS_18 => C405PLBDCUWRDBUS(18),
		C405PLBDCUWRDBUS_17 => C405PLBDCUWRDBUS(17),
		C405PLBDCUWRDBUS_16 => C405PLBDCUWRDBUS(16),
		C405PLBDCUWRDBUS_15 => C405PLBDCUWRDBUS(15),
		C405PLBDCUWRDBUS_14 => C405PLBDCUWRDBUS(14),
		C405PLBDCUWRDBUS_13 => C405PLBDCUWRDBUS(13),
		C405PLBDCUWRDBUS_12 => C405PLBDCUWRDBUS(12),
		C405PLBDCUWRDBUS_11 => C405PLBDCUWRDBUS(11),
		C405PLBDCUWRDBUS_10 => C405PLBDCUWRDBUS(10),
		C405PLBDCUWRDBUS_9 => C405PLBDCUWRDBUS(9),
		C405PLBDCUWRDBUS_8 => C405PLBDCUWRDBUS(8),
		C405PLBDCUWRDBUS_7 => C405PLBDCUWRDBUS(7),
		C405PLBDCUWRDBUS_6 => C405PLBDCUWRDBUS(6),
		C405PLBDCUWRDBUS_5 => C405PLBDCUWRDBUS(5),
		C405PLBDCUWRDBUS_4 => C405PLBDCUWRDBUS(4),
		C405PLBDCUWRDBUS_3 => C405PLBDCUWRDBUS(3),
		C405PLBDCUWRDBUS_2 => C405PLBDCUWRDBUS(2),
		C405PLBDCUWRDBUS_1 => C405PLBDCUWRDBUS(1),
		C405PLBDCUWRDBUS_0 => C405PLBDCUWRDBUS(0),
		C405PLBDCUU0ATTR => C405PLBDCUU0ATTR,
		C405PLBDCUWRITETHRU => C405PLBDCUWRITETHRU,
		PLBC405DCUADDRACK => PLBC405DCUADDRACK,
		PLBC405DCUBUSY => PLBC405DCUBUSY,
		PLBC405DCUERR => PLBC405DCUERR,
		PLBC405DCURDDACK => PLBC405DCURDDACK,
		PLBC405DCURDDBUS_63 => PLBC405DCURDDBUS(63),
		PLBC405DCURDDBUS_62 => PLBC405DCURDDBUS(62),
		PLBC405DCURDDBUS_61 => PLBC405DCURDDBUS(61),
		PLBC405DCURDDBUS_60 => PLBC405DCURDDBUS(60),
		PLBC405DCURDDBUS_59 => PLBC405DCURDDBUS(59),
		PLBC405DCURDDBUS_58 => PLBC405DCURDDBUS(58),
		PLBC405DCURDDBUS_57 => PLBC405DCURDDBUS(57),
		PLBC405DCURDDBUS_56 => PLBC405DCURDDBUS(56),
		PLBC405DCURDDBUS_55 => PLBC405DCURDDBUS(55),
		PLBC405DCURDDBUS_54 => PLBC405DCURDDBUS(54),
		PLBC405DCURDDBUS_53 => PLBC405DCURDDBUS(53),
		PLBC405DCURDDBUS_52 => PLBC405DCURDDBUS(52),
		PLBC405DCURDDBUS_51 => PLBC405DCURDDBUS(51),
		PLBC405DCURDDBUS_50 => PLBC405DCURDDBUS(50),
		PLBC405DCURDDBUS_49 => PLBC405DCURDDBUS(49),
		PLBC405DCURDDBUS_48 => PLBC405DCURDDBUS(48),
		PLBC405DCURDDBUS_47 => PLBC405DCURDDBUS(47),
		PLBC405DCURDDBUS_46 => PLBC405DCURDDBUS(46),
		PLBC405DCURDDBUS_45 => PLBC405DCURDDBUS(45),
		PLBC405DCURDDBUS_44 => PLBC405DCURDDBUS(44),
		PLBC405DCURDDBUS_43 => PLBC405DCURDDBUS(43),
		PLBC405DCURDDBUS_42 => PLBC405DCURDDBUS(42),
		PLBC405DCURDDBUS_41 => PLBC405DCURDDBUS(41),
		PLBC405DCURDDBUS_40 => PLBC405DCURDDBUS(40),
		PLBC405DCURDDBUS_39 => PLBC405DCURDDBUS(39),
		PLBC405DCURDDBUS_38 => PLBC405DCURDDBUS(38),
		PLBC405DCURDDBUS_37 => PLBC405DCURDDBUS(37),
		PLBC405DCURDDBUS_36 => PLBC405DCURDDBUS(36),
		PLBC405DCURDDBUS_35 => PLBC405DCURDDBUS(35),
		PLBC405DCURDDBUS_34 => PLBC405DCURDDBUS(34),
		PLBC405DCURDDBUS_33 => PLBC405DCURDDBUS(33),
		PLBC405DCURDDBUS_32 => PLBC405DCURDDBUS(32),
		PLBC405DCURDDBUS_31 => PLBC405DCURDDBUS(31),
		PLBC405DCURDDBUS_30 => PLBC405DCURDDBUS(30),
		PLBC405DCURDDBUS_29 => PLBC405DCURDDBUS(29),
		PLBC405DCURDDBUS_28 => PLBC405DCURDDBUS(28),
		PLBC405DCURDDBUS_27 => PLBC405DCURDDBUS(27),
		PLBC405DCURDDBUS_26 => PLBC405DCURDDBUS(26),
		PLBC405DCURDDBUS_25 => PLBC405DCURDDBUS(25),
		PLBC405DCURDDBUS_24 => PLBC405DCURDDBUS(24),
		PLBC405DCURDDBUS_23 => PLBC405DCURDDBUS(23),
		PLBC405DCURDDBUS_22 => PLBC405DCURDDBUS(22),
		PLBC405DCURDDBUS_21 => PLBC405DCURDDBUS(21),
		PLBC405DCURDDBUS_20 => PLBC405DCURDDBUS(20),
		PLBC405DCURDDBUS_19 => PLBC405DCURDDBUS(19),
		PLBC405DCURDDBUS_18 => PLBC405DCURDDBUS(18),
		PLBC405DCURDDBUS_17 => PLBC405DCURDDBUS(17),
		PLBC405DCURDDBUS_16 => PLBC405DCURDDBUS(16),
		PLBC405DCURDDBUS_15 => PLBC405DCURDDBUS(15),
		PLBC405DCURDDBUS_14 => PLBC405DCURDDBUS(14),
		PLBC405DCURDDBUS_13 => PLBC405DCURDDBUS(13),
		PLBC405DCURDDBUS_12 => PLBC405DCURDDBUS(12),
		PLBC405DCURDDBUS_11 => PLBC405DCURDDBUS(11),
		PLBC405DCURDDBUS_10 => PLBC405DCURDDBUS(10),
		PLBC405DCURDDBUS_9 => PLBC405DCURDDBUS(9),
		PLBC405DCURDDBUS_8 => PLBC405DCURDDBUS(8),
		PLBC405DCURDDBUS_7 => PLBC405DCURDDBUS(7),
		PLBC405DCURDDBUS_6 => PLBC405DCURDDBUS(6),
		PLBC405DCURDDBUS_5 => PLBC405DCURDDBUS(5),
		PLBC405DCURDDBUS_4 => PLBC405DCURDDBUS(4),
		PLBC405DCURDDBUS_3 => PLBC405DCURDDBUS(3),
		PLBC405DCURDDBUS_2 => PLBC405DCURDDBUS(2),
		PLBC405DCURDDBUS_1 => PLBC405DCURDDBUS(1),
		PLBC405DCURDDBUS_0 => PLBC405DCURDDBUS(0),
		PLBC405DCURDWDADDR_3 => PLBC405DCURDWDADDR(3),
		PLBC405DCURDWDADDR_2 => PLBC405DCURDWDADDR(2),
		PLBC405DCURDWDADDR_1 => PLBC405DCURDWDADDR(1),
		PLBC405DCUSSIZE1 => PLBC405DCUSSIZE1,
		PLBC405DCUWRDACK => PLBC405DCUWRDACK,
		ISOCMBRAMRDABUS_28 => ISOCMBRAMRDABUS(28),
		ISOCMBRAMRDABUS_27 => ISOCMBRAMRDABUS(27),
		ISOCMBRAMRDABUS_26 => ISOCMBRAMRDABUS(26),
		ISOCMBRAMRDABUS_25 => ISOCMBRAMRDABUS(25),
		ISOCMBRAMRDABUS_24 => ISOCMBRAMRDABUS(24),
		ISOCMBRAMRDABUS_23 => ISOCMBRAMRDABUS(23),
		ISOCMBRAMRDABUS_22 => ISOCMBRAMRDABUS(22),
		ISOCMBRAMRDABUS_21 => ISOCMBRAMRDABUS(21),
		ISOCMBRAMRDABUS_20 => ISOCMBRAMRDABUS(20),
		ISOCMBRAMRDABUS_19 => ISOCMBRAMRDABUS(19),
		ISOCMBRAMRDABUS_18 => ISOCMBRAMRDABUS(18),
		ISOCMBRAMRDABUS_17 => ISOCMBRAMRDABUS(17),
		ISOCMBRAMRDABUS_16 => ISOCMBRAMRDABUS(16),
		ISOCMBRAMRDABUS_15 => ISOCMBRAMRDABUS(15),
		ISOCMBRAMRDABUS_14 => ISOCMBRAMRDABUS(14),
		ISOCMBRAMRDABUS_13 => ISOCMBRAMRDABUS(13),
		ISOCMBRAMRDABUS_12 => ISOCMBRAMRDABUS(12),
		ISOCMBRAMRDABUS_11 => ISOCMBRAMRDABUS(11),
		ISOCMBRAMRDABUS_10 => ISOCMBRAMRDABUS(10),
		ISOCMBRAMRDABUS_9 => ISOCMBRAMRDABUS(9),
		ISOCMBRAMRDABUS_8 => ISOCMBRAMRDABUS(8),
		ISOCMBRAMWRABUS_28 => ISOCMBRAMWRABUS(28),
		ISOCMBRAMWRABUS_27 => ISOCMBRAMWRABUS(27),
		ISOCMBRAMWRABUS_26 => ISOCMBRAMWRABUS(26),
		ISOCMBRAMWRABUS_25 => ISOCMBRAMWRABUS(25),
		ISOCMBRAMWRABUS_24 => ISOCMBRAMWRABUS(24),
		ISOCMBRAMWRABUS_23 => ISOCMBRAMWRABUS(23),
		ISOCMBRAMWRABUS_22 => ISOCMBRAMWRABUS(22),
		ISOCMBRAMWRABUS_21 => ISOCMBRAMWRABUS(21),
		ISOCMBRAMWRABUS_20 => ISOCMBRAMWRABUS(20),
		ISOCMBRAMWRABUS_19 => ISOCMBRAMWRABUS(19),
		ISOCMBRAMWRABUS_18 => ISOCMBRAMWRABUS(18),
		ISOCMBRAMWRABUS_17 => ISOCMBRAMWRABUS(17),
		ISOCMBRAMWRABUS_16 => ISOCMBRAMWRABUS(16),
		ISOCMBRAMWRABUS_15 => ISOCMBRAMWRABUS(15),
		ISOCMBRAMWRABUS_14 => ISOCMBRAMWRABUS(14),
		ISOCMBRAMWRABUS_13 => ISOCMBRAMWRABUS(13),
		ISOCMBRAMWRABUS_12 => ISOCMBRAMWRABUS(12),
		ISOCMBRAMWRABUS_11 => ISOCMBRAMWRABUS(11),
		ISOCMBRAMWRABUS_10 => ISOCMBRAMWRABUS(10),
		ISOCMBRAMWRABUS_9 => ISOCMBRAMWRABUS(9),
		ISOCMBRAMWRABUS_8 => ISOCMBRAMWRABUS(8),
		ISOCMBRAMEN => ISOCMBRAMEN,
		ISOCMBRAMODDWRITEEN => ISOCMBRAMODDWRITEEN,
		ISOCMBRAMEVENWRITEEN => ISOCMBRAMEVENWRITEEN,
		ISOCMBRAMWRDBUS_31 => ISOCMBRAMWRDBUS(31),
		ISOCMBRAMWRDBUS_30 => ISOCMBRAMWRDBUS(30),
		ISOCMBRAMWRDBUS_29 => ISOCMBRAMWRDBUS(29),
		ISOCMBRAMWRDBUS_28 => ISOCMBRAMWRDBUS(28),
		ISOCMBRAMWRDBUS_27 => ISOCMBRAMWRDBUS(27),
		ISOCMBRAMWRDBUS_26 => ISOCMBRAMWRDBUS(26),
		ISOCMBRAMWRDBUS_25 => ISOCMBRAMWRDBUS(25),
		ISOCMBRAMWRDBUS_24 => ISOCMBRAMWRDBUS(24),
		ISOCMBRAMWRDBUS_23 => ISOCMBRAMWRDBUS(23),
		ISOCMBRAMWRDBUS_22 => ISOCMBRAMWRDBUS(22),
		ISOCMBRAMWRDBUS_21 => ISOCMBRAMWRDBUS(21),
		ISOCMBRAMWRDBUS_20 => ISOCMBRAMWRDBUS(20),
		ISOCMBRAMWRDBUS_19 => ISOCMBRAMWRDBUS(19),
		ISOCMBRAMWRDBUS_18 => ISOCMBRAMWRDBUS(18),
		ISOCMBRAMWRDBUS_17 => ISOCMBRAMWRDBUS(17),
		ISOCMBRAMWRDBUS_16 => ISOCMBRAMWRDBUS(16),
		ISOCMBRAMWRDBUS_15 => ISOCMBRAMWRDBUS(15),
		ISOCMBRAMWRDBUS_14 => ISOCMBRAMWRDBUS(14),
		ISOCMBRAMWRDBUS_13 => ISOCMBRAMWRDBUS(13),
		ISOCMBRAMWRDBUS_12 => ISOCMBRAMWRDBUS(12),
		ISOCMBRAMWRDBUS_11 => ISOCMBRAMWRDBUS(11),
		ISOCMBRAMWRDBUS_10 => ISOCMBRAMWRDBUS(10),
		ISOCMBRAMWRDBUS_9 => ISOCMBRAMWRDBUS(9),
		ISOCMBRAMWRDBUS_8 => ISOCMBRAMWRDBUS(8),
		ISOCMBRAMWRDBUS_7 => ISOCMBRAMWRDBUS(7),
		ISOCMBRAMWRDBUS_6 => ISOCMBRAMWRDBUS(6),
		ISOCMBRAMWRDBUS_5 => ISOCMBRAMWRDBUS(5),
		ISOCMBRAMWRDBUS_4 => ISOCMBRAMWRDBUS(4),
		ISOCMBRAMWRDBUS_3 => ISOCMBRAMWRDBUS(3),
		ISOCMBRAMWRDBUS_2 => ISOCMBRAMWRDBUS(2),
		ISOCMBRAMWRDBUS_1 => ISOCMBRAMWRDBUS(1),
		ISOCMBRAMWRDBUS_0 => ISOCMBRAMWRDBUS(0),
		BRAMISOCMRDDBUS_63 => BRAMISOCMRDDBUS(63),
		BRAMISOCMRDDBUS_62 => BRAMISOCMRDDBUS(62),
		BRAMISOCMRDDBUS_61 => BRAMISOCMRDDBUS(61),
		BRAMISOCMRDDBUS_60 => BRAMISOCMRDDBUS(60),
		BRAMISOCMRDDBUS_59 => BRAMISOCMRDDBUS(59),
		BRAMISOCMRDDBUS_58 => BRAMISOCMRDDBUS(58),
		BRAMISOCMRDDBUS_57 => BRAMISOCMRDDBUS(57),
		BRAMISOCMRDDBUS_56 => BRAMISOCMRDDBUS(56),
		BRAMISOCMRDDBUS_55 => BRAMISOCMRDDBUS(55),
		BRAMISOCMRDDBUS_54 => BRAMISOCMRDDBUS(54),
		BRAMISOCMRDDBUS_53 => BRAMISOCMRDDBUS(53),
		BRAMISOCMRDDBUS_52 => BRAMISOCMRDDBUS(52),
		BRAMISOCMRDDBUS_51 => BRAMISOCMRDDBUS(51),
		BRAMISOCMRDDBUS_50 => BRAMISOCMRDDBUS(50),
		BRAMISOCMRDDBUS_49 => BRAMISOCMRDDBUS(49),
		BRAMISOCMRDDBUS_48 => BRAMISOCMRDDBUS(48),
		BRAMISOCMRDDBUS_47 => BRAMISOCMRDDBUS(47),
		BRAMISOCMRDDBUS_46 => BRAMISOCMRDDBUS(46),
		BRAMISOCMRDDBUS_45 => BRAMISOCMRDDBUS(45),
		BRAMISOCMRDDBUS_44 => BRAMISOCMRDDBUS(44),
		BRAMISOCMRDDBUS_43 => BRAMISOCMRDDBUS(43),
		BRAMISOCMRDDBUS_42 => BRAMISOCMRDDBUS(42),
		BRAMISOCMRDDBUS_41 => BRAMISOCMRDDBUS(41),
		BRAMISOCMRDDBUS_40 => BRAMISOCMRDDBUS(40),
		BRAMISOCMRDDBUS_39 => BRAMISOCMRDDBUS(39),
		BRAMISOCMRDDBUS_38 => BRAMISOCMRDDBUS(38),
		BRAMISOCMRDDBUS_37 => BRAMISOCMRDDBUS(37),
		BRAMISOCMRDDBUS_36 => BRAMISOCMRDDBUS(36),
		BRAMISOCMRDDBUS_35 => BRAMISOCMRDDBUS(35),
		BRAMISOCMRDDBUS_34 => BRAMISOCMRDDBUS(34),
		BRAMISOCMRDDBUS_33 => BRAMISOCMRDDBUS(33),
		BRAMISOCMRDDBUS_32 => BRAMISOCMRDDBUS(32),
		BRAMISOCMRDDBUS_31 => BRAMISOCMRDDBUS(31),
		BRAMISOCMRDDBUS_30 => BRAMISOCMRDDBUS(30),
		BRAMISOCMRDDBUS_29 => BRAMISOCMRDDBUS(29),
		BRAMISOCMRDDBUS_28 => BRAMISOCMRDDBUS(28),
		BRAMISOCMRDDBUS_27 => BRAMISOCMRDDBUS(27),
		BRAMISOCMRDDBUS_26 => BRAMISOCMRDDBUS(26),
		BRAMISOCMRDDBUS_25 => BRAMISOCMRDDBUS(25),
		BRAMISOCMRDDBUS_24 => BRAMISOCMRDDBUS(24),
		BRAMISOCMRDDBUS_23 => BRAMISOCMRDDBUS(23),
		BRAMISOCMRDDBUS_22 => BRAMISOCMRDDBUS(22),
		BRAMISOCMRDDBUS_21 => BRAMISOCMRDDBUS(21),
		BRAMISOCMRDDBUS_20 => BRAMISOCMRDDBUS(20),
		BRAMISOCMRDDBUS_19 => BRAMISOCMRDDBUS(19),
		BRAMISOCMRDDBUS_18 => BRAMISOCMRDDBUS(18),
		BRAMISOCMRDDBUS_17 => BRAMISOCMRDDBUS(17),
		BRAMISOCMRDDBUS_16 => BRAMISOCMRDDBUS(16),
		BRAMISOCMRDDBUS_15 => BRAMISOCMRDDBUS(15),
		BRAMISOCMRDDBUS_14 => BRAMISOCMRDDBUS(14),
		BRAMISOCMRDDBUS_13 => BRAMISOCMRDDBUS(13),
		BRAMISOCMRDDBUS_12 => BRAMISOCMRDDBUS(12),
		BRAMISOCMRDDBUS_11 => BRAMISOCMRDDBUS(11),
		BRAMISOCMRDDBUS_10 => BRAMISOCMRDDBUS(10),
		BRAMISOCMRDDBUS_9 => BRAMISOCMRDDBUS(9),
		BRAMISOCMRDDBUS_8 => BRAMISOCMRDDBUS(8),
		BRAMISOCMRDDBUS_7 => BRAMISOCMRDDBUS(7),
		BRAMISOCMRDDBUS_6 => BRAMISOCMRDDBUS(6),
		BRAMISOCMRDDBUS_5 => BRAMISOCMRDDBUS(5),
		BRAMISOCMRDDBUS_4 => BRAMISOCMRDDBUS(4),
		BRAMISOCMRDDBUS_3 => BRAMISOCMRDDBUS(3),
		BRAMISOCMRDDBUS_2 => BRAMISOCMRDDBUS(2),
		BRAMISOCMRDDBUS_1 => BRAMISOCMRDDBUS(1),
		BRAMISOCMRDDBUS_0 => BRAMISOCMRDDBUS(0),
		TIEISOCMDCRADDR_7 => TIEISOCMDCRADDR(7),
		TIEISOCMDCRADDR_6 => TIEISOCMDCRADDR(6),
		TIEISOCMDCRADDR_5 => TIEISOCMDCRADDR(5),
		TIEISOCMDCRADDR_4 => TIEISOCMDCRADDR(4),
		TIEISOCMDCRADDR_3 => TIEISOCMDCRADDR(3),
		TIEISOCMDCRADDR_2 => TIEISOCMDCRADDR(2),
		TIEISOCMDCRADDR_1 => TIEISOCMDCRADDR(1),
		TIEISOCMDCRADDR_0 => TIEISOCMDCRADDR(0),
		ISARCVALUE_7 => ISARCVALUE(7),
		ISARCVALUE_6 => ISARCVALUE(6),
		ISARCVALUE_5 => ISARCVALUE(5),
		ISARCVALUE_4 => ISARCVALUE(4),
		ISARCVALUE_3 => ISARCVALUE(3),
		ISARCVALUE_2 => ISARCVALUE(2),
		ISARCVALUE_1 => ISARCVALUE(1),
		ISARCVALUE_0 => ISARCVALUE(0),
		ISCNTLVALUE_7 => ISCNTLVALUE(7),
		ISCNTLVALUE_6 => ISCNTLVALUE(6),
		ISCNTLVALUE_5 => ISCNTLVALUE(5),
		ISCNTLVALUE_4 => ISCNTLVALUE(4),
		ISCNTLVALUE_3 => ISCNTLVALUE(3),
		ISCNTLVALUE_2 => ISCNTLVALUE(2),
		ISCNTLVALUE_1 => ISCNTLVALUE(1),
		ISCNTLVALUE_0 => ISCNTLVALUE(0),
		BRAMISOCMCLK => BRAMISOCMCLK,
		DSOCMBRAMABUS_29 => DSOCMBRAMABUS(29),
		DSOCMBRAMABUS_28 => DSOCMBRAMABUS(28),
		DSOCMBRAMABUS_27 => DSOCMBRAMABUS(27),
		DSOCMBRAMABUS_26 => DSOCMBRAMABUS(26),
		DSOCMBRAMABUS_25 => DSOCMBRAMABUS(25),
		DSOCMBRAMABUS_24 => DSOCMBRAMABUS(24),
		DSOCMBRAMABUS_23 => DSOCMBRAMABUS(23),
		DSOCMBRAMABUS_22 => DSOCMBRAMABUS(22),
		DSOCMBRAMABUS_21 => DSOCMBRAMABUS(21),
		DSOCMBRAMABUS_20 => DSOCMBRAMABUS(20),
		DSOCMBRAMABUS_19 => DSOCMBRAMABUS(19),
		DSOCMBRAMABUS_18 => DSOCMBRAMABUS(18),
		DSOCMBRAMABUS_17 => DSOCMBRAMABUS(17),
		DSOCMBRAMABUS_16 => DSOCMBRAMABUS(16),
		DSOCMBRAMABUS_15 => DSOCMBRAMABUS(15),
		DSOCMBRAMABUS_14 => DSOCMBRAMABUS(14),
		DSOCMBRAMABUS_13 => DSOCMBRAMABUS(13),
		DSOCMBRAMABUS_12 => DSOCMBRAMABUS(12),
		DSOCMBRAMABUS_11 => DSOCMBRAMABUS(11),
		DSOCMBRAMABUS_10 => DSOCMBRAMABUS(10),
		DSOCMBRAMABUS_9 => DSOCMBRAMABUS(9),
		DSOCMBRAMABUS_8 => DSOCMBRAMABUS(8),
		DSOCMBRAMBYTEWRITE_3 => DSOCMBRAMBYTEWRITE(3),
		DSOCMBRAMBYTEWRITE_2 => DSOCMBRAMBYTEWRITE(2),
		DSOCMBRAMBYTEWRITE_1 => DSOCMBRAMBYTEWRITE(1),
		DSOCMBRAMBYTEWRITE_0 => DSOCMBRAMBYTEWRITE(0),
		DSOCMBRAMEN => DSOCMBRAMEN,
		DSOCMBRAMWRDBUS_31 => DSOCMBRAMWRDBUS(31),
		DSOCMBRAMWRDBUS_30 => DSOCMBRAMWRDBUS(30),
		DSOCMBRAMWRDBUS_29 => DSOCMBRAMWRDBUS(29),
		DSOCMBRAMWRDBUS_28 => DSOCMBRAMWRDBUS(28),
		DSOCMBRAMWRDBUS_27 => DSOCMBRAMWRDBUS(27),
		DSOCMBRAMWRDBUS_26 => DSOCMBRAMWRDBUS(26),
		DSOCMBRAMWRDBUS_25 => DSOCMBRAMWRDBUS(25),
		DSOCMBRAMWRDBUS_24 => DSOCMBRAMWRDBUS(24),
		DSOCMBRAMWRDBUS_23 => DSOCMBRAMWRDBUS(23),
		DSOCMBRAMWRDBUS_22 => DSOCMBRAMWRDBUS(22),
		DSOCMBRAMWRDBUS_21 => DSOCMBRAMWRDBUS(21),
		DSOCMBRAMWRDBUS_20 => DSOCMBRAMWRDBUS(20),
		DSOCMBRAMWRDBUS_19 => DSOCMBRAMWRDBUS(19),
		DSOCMBRAMWRDBUS_18 => DSOCMBRAMWRDBUS(18),
		DSOCMBRAMWRDBUS_17 => DSOCMBRAMWRDBUS(17),
		DSOCMBRAMWRDBUS_16 => DSOCMBRAMWRDBUS(16),
		DSOCMBRAMWRDBUS_15 => DSOCMBRAMWRDBUS(15),
		DSOCMBRAMWRDBUS_14 => DSOCMBRAMWRDBUS(14),
		DSOCMBRAMWRDBUS_13 => DSOCMBRAMWRDBUS(13),
		DSOCMBRAMWRDBUS_12 => DSOCMBRAMWRDBUS(12),
		DSOCMBRAMWRDBUS_11 => DSOCMBRAMWRDBUS(11),
		DSOCMBRAMWRDBUS_10 => DSOCMBRAMWRDBUS(10),
		DSOCMBRAMWRDBUS_9 => DSOCMBRAMWRDBUS(9),
		DSOCMBRAMWRDBUS_8 => DSOCMBRAMWRDBUS(8),
		DSOCMBRAMWRDBUS_7 => DSOCMBRAMWRDBUS(7),
		DSOCMBRAMWRDBUS_6 => DSOCMBRAMWRDBUS(6),
		DSOCMBRAMWRDBUS_5 => DSOCMBRAMWRDBUS(5),
		DSOCMBRAMWRDBUS_4 => DSOCMBRAMWRDBUS(4),
		DSOCMBRAMWRDBUS_3 => DSOCMBRAMWRDBUS(3),
		DSOCMBRAMWRDBUS_2 => DSOCMBRAMWRDBUS(2),
		DSOCMBRAMWRDBUS_1 => DSOCMBRAMWRDBUS(1),
		DSOCMBRAMWRDBUS_0 => DSOCMBRAMWRDBUS(0),
		BRAMDSOCMRDDBUS_31 => BRAMDSOCMRDDBUS(31),
		BRAMDSOCMRDDBUS_30 => BRAMDSOCMRDDBUS(30),
		BRAMDSOCMRDDBUS_29 => BRAMDSOCMRDDBUS(29),
		BRAMDSOCMRDDBUS_28 => BRAMDSOCMRDDBUS(28),
		BRAMDSOCMRDDBUS_27 => BRAMDSOCMRDDBUS(27),
		BRAMDSOCMRDDBUS_26 => BRAMDSOCMRDDBUS(26),
		BRAMDSOCMRDDBUS_25 => BRAMDSOCMRDDBUS(25),
		BRAMDSOCMRDDBUS_24 => BRAMDSOCMRDDBUS(24),
		BRAMDSOCMRDDBUS_23 => BRAMDSOCMRDDBUS(23),
		BRAMDSOCMRDDBUS_22 => BRAMDSOCMRDDBUS(22),
		BRAMDSOCMRDDBUS_21 => BRAMDSOCMRDDBUS(21),
		BRAMDSOCMRDDBUS_20 => BRAMDSOCMRDDBUS(20),
		BRAMDSOCMRDDBUS_19 => BRAMDSOCMRDDBUS(19),
		BRAMDSOCMRDDBUS_18 => BRAMDSOCMRDDBUS(18),
		BRAMDSOCMRDDBUS_17 => BRAMDSOCMRDDBUS(17),
		BRAMDSOCMRDDBUS_16 => BRAMDSOCMRDDBUS(16),
		BRAMDSOCMRDDBUS_15 => BRAMDSOCMRDDBUS(15),
		BRAMDSOCMRDDBUS_14 => BRAMDSOCMRDDBUS(14),
		BRAMDSOCMRDDBUS_13 => BRAMDSOCMRDDBUS(13),
		BRAMDSOCMRDDBUS_12 => BRAMDSOCMRDDBUS(12),
		BRAMDSOCMRDDBUS_11 => BRAMDSOCMRDDBUS(11),
		BRAMDSOCMRDDBUS_10 => BRAMDSOCMRDDBUS(10),
		BRAMDSOCMRDDBUS_9 => BRAMDSOCMRDDBUS(9),
		BRAMDSOCMRDDBUS_8 => BRAMDSOCMRDDBUS(8),
		BRAMDSOCMRDDBUS_7 => BRAMDSOCMRDDBUS(7),
		BRAMDSOCMRDDBUS_6 => BRAMDSOCMRDDBUS(6),
		BRAMDSOCMRDDBUS_5 => BRAMDSOCMRDDBUS(5),
		BRAMDSOCMRDDBUS_4 => BRAMDSOCMRDDBUS(4),
		BRAMDSOCMRDDBUS_3 => BRAMDSOCMRDDBUS(3),
		BRAMDSOCMRDDBUS_2 => BRAMDSOCMRDDBUS(2),
		BRAMDSOCMRDDBUS_1 => BRAMDSOCMRDDBUS(1),
		BRAMDSOCMRDDBUS_0 => BRAMDSOCMRDDBUS(0),
		DSOCMBUSY => DSOCMBUSY,
		TIEDSOCMDCRADDR_7 => TIEDSOCMDCRADDR(7),
		TIEDSOCMDCRADDR_6 => TIEDSOCMDCRADDR(6),
		TIEDSOCMDCRADDR_5 => TIEDSOCMDCRADDR(5),
		TIEDSOCMDCRADDR_4 => TIEDSOCMDCRADDR(4),
		TIEDSOCMDCRADDR_3 => TIEDSOCMDCRADDR(3),
		TIEDSOCMDCRADDR_2 => TIEDSOCMDCRADDR(2),
		TIEDSOCMDCRADDR_1 => TIEDSOCMDCRADDR(1),
		TIEDSOCMDCRADDR_0 => TIEDSOCMDCRADDR(0),
		DSARCVALUE_7 => DSARCVALUE(7),
		DSARCVALUE_6 => DSARCVALUE(6),
		DSARCVALUE_5 => DSARCVALUE(5),
		DSARCVALUE_4 => DSARCVALUE(4),
		DSARCVALUE_3 => DSARCVALUE(3),
		DSARCVALUE_2 => DSARCVALUE(2),
		DSARCVALUE_1 => DSARCVALUE(1),
		DSARCVALUE_0 => DSARCVALUE(0),
		DSCNTLVALUE_7 => DSCNTLVALUE(7),
		DSCNTLVALUE_6 => DSCNTLVALUE(6),
		DSCNTLVALUE_5 => DSCNTLVALUE(5),
		DSCNTLVALUE_4 => DSCNTLVALUE(4),
		DSCNTLVALUE_3 => DSCNTLVALUE(3),
		DSCNTLVALUE_2 => DSCNTLVALUE(2),
		DSCNTLVALUE_1 => DSCNTLVALUE(1),
		DSCNTLVALUE_0 => DSCNTLVALUE(0),
		BRAMDSOCMCLK => BRAMDSOCMCLK,
		C405DCRREAD => C405DCRREAD,
		C405DCRWRITE => C405DCRWRITE,
		C405DCRABUS_9 => C405DCRABUS(9),
		C405DCRABUS_8 => C405DCRABUS(8),
		C405DCRABUS_7 => C405DCRABUS(7),
		C405DCRABUS_6 => C405DCRABUS(6),
		C405DCRABUS_5 => C405DCRABUS(5),
		C405DCRABUS_4 => C405DCRABUS(4),
		C405DCRABUS_3 => C405DCRABUS(3),
		C405DCRABUS_2 => C405DCRABUS(2),
		C405DCRABUS_1 => C405DCRABUS(1),
		C405DCRABUS_0 => C405DCRABUS(0),
		C405DCRDBUSOUT_31 => C405DCRDBUSOUT(31),
		C405DCRDBUSOUT_30 => C405DCRDBUSOUT(30),
		C405DCRDBUSOUT_29 => C405DCRDBUSOUT(29),
		C405DCRDBUSOUT_28 => C405DCRDBUSOUT(28),
		C405DCRDBUSOUT_27 => C405DCRDBUSOUT(27),
		C405DCRDBUSOUT_26 => C405DCRDBUSOUT(26),
		C405DCRDBUSOUT_25 => C405DCRDBUSOUT(25),
		C405DCRDBUSOUT_24 => C405DCRDBUSOUT(24),
		C405DCRDBUSOUT_23 => C405DCRDBUSOUT(23),
		C405DCRDBUSOUT_22 => C405DCRDBUSOUT(22),
		C405DCRDBUSOUT_21 => C405DCRDBUSOUT(21),
		C405DCRDBUSOUT_20 => C405DCRDBUSOUT(20),
		C405DCRDBUSOUT_19 => C405DCRDBUSOUT(19),
		C405DCRDBUSOUT_18 => C405DCRDBUSOUT(18),
		C405DCRDBUSOUT_17 => C405DCRDBUSOUT(17),
		C405DCRDBUSOUT_16 => C405DCRDBUSOUT(16),
		C405DCRDBUSOUT_15 => C405DCRDBUSOUT(15),
		C405DCRDBUSOUT_14 => C405DCRDBUSOUT(14),
		C405DCRDBUSOUT_13 => C405DCRDBUSOUT(13),
		C405DCRDBUSOUT_12 => C405DCRDBUSOUT(12),
		C405DCRDBUSOUT_11 => C405DCRDBUSOUT(11),
		C405DCRDBUSOUT_10 => C405DCRDBUSOUT(10),
		C405DCRDBUSOUT_9 => C405DCRDBUSOUT(9),
		C405DCRDBUSOUT_8 => C405DCRDBUSOUT(8),
		C405DCRDBUSOUT_7 => C405DCRDBUSOUT(7),
		C405DCRDBUSOUT_6 => C405DCRDBUSOUT(6),
		C405DCRDBUSOUT_5 => C405DCRDBUSOUT(5),
		C405DCRDBUSOUT_4 => C405DCRDBUSOUT(4),
		C405DCRDBUSOUT_3 => C405DCRDBUSOUT(3),
		C405DCRDBUSOUT_2 => C405DCRDBUSOUT(2),
		C405DCRDBUSOUT_1 => C405DCRDBUSOUT(1),
		C405DCRDBUSOUT_0 => C405DCRDBUSOUT(0),
		DCRC405ACK => DCRC405ACK,
		DCRC405DBUSIN_31 => DCRC405DBUSIN(31),
		DCRC405DBUSIN_30 => DCRC405DBUSIN(30),
		DCRC405DBUSIN_29 => DCRC405DBUSIN(29),
		DCRC405DBUSIN_28 => DCRC405DBUSIN(28),
		DCRC405DBUSIN_27 => DCRC405DBUSIN(27),
		DCRC405DBUSIN_26 => DCRC405DBUSIN(26),
		DCRC405DBUSIN_25 => DCRC405DBUSIN(25),
		DCRC405DBUSIN_24 => DCRC405DBUSIN(24),
		DCRC405DBUSIN_23 => DCRC405DBUSIN(23),
		DCRC405DBUSIN_22 => DCRC405DBUSIN(22),
		DCRC405DBUSIN_21 => DCRC405DBUSIN(21),
		DCRC405DBUSIN_20 => DCRC405DBUSIN(20),
		DCRC405DBUSIN_19 => DCRC405DBUSIN(19),
		DCRC405DBUSIN_18 => DCRC405DBUSIN(18),
		DCRC405DBUSIN_17 => DCRC405DBUSIN(17),
		DCRC405DBUSIN_16 => DCRC405DBUSIN(16),
		DCRC405DBUSIN_15 => DCRC405DBUSIN(15),
		DCRC405DBUSIN_14 => DCRC405DBUSIN(14),
		DCRC405DBUSIN_13 => DCRC405DBUSIN(13),
		DCRC405DBUSIN_12 => DCRC405DBUSIN(12),
		DCRC405DBUSIN_11 => DCRC405DBUSIN(11),
		DCRC405DBUSIN_10 => DCRC405DBUSIN(10),
		DCRC405DBUSIN_9 => DCRC405DBUSIN(9),
		DCRC405DBUSIN_8 => DCRC405DBUSIN(8),
		DCRC405DBUSIN_7 => DCRC405DBUSIN(7),
		DCRC405DBUSIN_6 => DCRC405DBUSIN(6),
		DCRC405DBUSIN_5 => DCRC405DBUSIN(5),
		DCRC405DBUSIN_4 => DCRC405DBUSIN(4),
		DCRC405DBUSIN_3 => DCRC405DBUSIN(3),
		DCRC405DBUSIN_2 => DCRC405DBUSIN(2),
		DCRC405DBUSIN_1 => DCRC405DBUSIN(1),
		DCRC405DBUSIN_0 => DCRC405DBUSIN(0),
		EICC405EXTINPUTIRQ => EICC405EXTINPUTIRQ,
		EICC405CRITINPUTIRQ => EICC405CRITINPUTIRQ,
		JTGC405BNDSCANTDO => JTGC405BNDSCANTDO,
		JTGC405TCK => JTGC405TCK,
		JTGC405TDI => JTGC405TDI,
		JTGC405TMS => JTGC405TMS,
		JTGC405TRSTNEG => JTGC405TRSTNEG,
		C405JTGTDO => C405JTGTDO,
		C405JTGTDOEN => C405JTGTDOEN,
		C405JTGEXTEST => C405JTGEXTEST,
		C405JTGCAPTUREDR => C405JTGCAPTUREDR,
		C405JTGSHIFTDR => C405JTGSHIFTDR,
		C405JTGUPDATEDR => C405JTGUPDATEDR,
		DBGC405DEBUGHALT => DBGC405DEBUGHALT,
		DBGC405UNCONDDEBUGEVENT => DBGC405UNCONDDEBUGEVENT,
		DBGC405EXTBUSHOLDACK => DBGC405EXTBUSHOLDACK,
		C405DBGMSRWE => C405DBGMSRWE,
		C405DBGSTOPACK => C405DBGSTOPACK,
		C405DBGWBCOMPLETE => C405DBGWBCOMPLETE,
		C405DBGWBFULL => C405DBGWBFULL,
		C405DBGWBIAR_29 => C405DBGWBIAR(29),
		C405DBGWBIAR_28 => C405DBGWBIAR(28),
		C405DBGWBIAR_27 => C405DBGWBIAR(27),
		C405DBGWBIAR_26 => C405DBGWBIAR(26),
		C405DBGWBIAR_25 => C405DBGWBIAR(25),
		C405DBGWBIAR_24 => C405DBGWBIAR(24),
		C405DBGWBIAR_23 => C405DBGWBIAR(23),
		C405DBGWBIAR_22 => C405DBGWBIAR(22),
		C405DBGWBIAR_21 => C405DBGWBIAR(21),
		C405DBGWBIAR_20 => C405DBGWBIAR(20),
		C405DBGWBIAR_19 => C405DBGWBIAR(19),
		C405DBGWBIAR_18 => C405DBGWBIAR(18),
		C405DBGWBIAR_17 => C405DBGWBIAR(17),
		C405DBGWBIAR_16 => C405DBGWBIAR(16),
		C405DBGWBIAR_15 => C405DBGWBIAR(15),
		C405DBGWBIAR_14 => C405DBGWBIAR(14),
		C405DBGWBIAR_13 => C405DBGWBIAR(13),
		C405DBGWBIAR_12 => C405DBGWBIAR(12),
		C405DBGWBIAR_11 => C405DBGWBIAR(11),
		C405DBGWBIAR_10 => C405DBGWBIAR(10),
		C405DBGWBIAR_9 => C405DBGWBIAR(9),
		C405DBGWBIAR_8 => C405DBGWBIAR(8),
		C405DBGWBIAR_7 => C405DBGWBIAR(7),
		C405DBGWBIAR_6 => C405DBGWBIAR(6),
		C405DBGWBIAR_5 => C405DBGWBIAR(5),
		C405DBGWBIAR_4 => C405DBGWBIAR(4),
		C405DBGWBIAR_3 => C405DBGWBIAR(3),
		C405DBGWBIAR_2 => C405DBGWBIAR(2),
		C405DBGWBIAR_1 => C405DBGWBIAR(1),
		C405DBGWBIAR_0 => C405DBGWBIAR(0),
		C405TRCTRIGGEREVENTOUT => C405TRCTRIGGEREVENTOUT,
		C405TRCTRIGGEREVENTTYPE_10 => C405TRCTRIGGEREVENTTYPE(10),
		C405TRCTRIGGEREVENTTYPE_9 => C405TRCTRIGGEREVENTTYPE(9),
		C405TRCTRIGGEREVENTTYPE_8 => C405TRCTRIGGEREVENTTYPE(8),
		C405TRCTRIGGEREVENTTYPE_7 => C405TRCTRIGGEREVENTTYPE(7),
		C405TRCTRIGGEREVENTTYPE_6 => C405TRCTRIGGEREVENTTYPE(6),
		C405TRCTRIGGEREVENTTYPE_5 => C405TRCTRIGGEREVENTTYPE(5),
		C405TRCTRIGGEREVENTTYPE_4 => C405TRCTRIGGEREVENTTYPE(4),
		C405TRCTRIGGEREVENTTYPE_3 => C405TRCTRIGGEREVENTTYPE(3),
		C405TRCTRIGGEREVENTTYPE_2 => C405TRCTRIGGEREVENTTYPE(2),
		C405TRCTRIGGEREVENTTYPE_1 => C405TRCTRIGGEREVENTTYPE(1),
		C405TRCTRIGGEREVENTTYPE_0 => C405TRCTRIGGEREVENTTYPE(0),
		C405TRCCYCLE => C405TRCCYCLE,
		C405TRCTRACESTATUS_3 => C405TRCTRACESTATUS(3),
		C405TRCTRACESTATUS_2 => C405TRCTRACESTATUS(2),
		C405TRCTRACESTATUS_1 => C405TRCTRACESTATUS(1),
		C405TRCTRACESTATUS_0 => C405TRCTRACESTATUS(0),
		TRCC405TRACEDISABLE => TRCC405TRACEDISABLE,
		TRCC405TRIGGEREVENTIN => TRCC405TRIGGEREVENTIN,
		BUS_CLK => BUS_CLK,
		BUS_RESET => BUS_RESET,
		GWE => GWE,
		GHIGHB => GHIGHB
	);

begin -- PPC405_SWIFT_BUS
PPC405_swift_inst : PPC405_SWIFT
	port map (
		BUS_CLK => BUS_CLK,
		BUS_RESET => BUS_RESET,
		GSR => GSR,
		GWE => GWE,
		GHIGHB => GHIGHB,
		CPMC405CPUCLKEN => CPMC405CPUCLKEN,
		CPMC405JTAGCLKEN => CPMC405JTAGCLKEN,
		CPMC405TIMERCLKEN => CPMC405TIMERCLKEN,
		C405JTGPGMOUT => C405JTGPGMOUT,
		MCBCPUCLKEN => MCBCPUCLKEN,
		MCBJTAGEN => MCBJTAGEN,
		MCBTIMEREN => MCBTIMEREN,
		MCPPCRST => MCPPCRST,
		C405TRCODDEXECUTIONSTATUS => C405TRCODDEXECUTIONSTATUS,
		C405TRCEVENEXECUTIONSTATUS => C405TRCEVENEXECUTIONSTATUS,
		CPMC405CLOCK => CPMC405CLOCK,
		CPMC405CORECLKINACTIVE => CPMC405CORECLKINACTIVE,
		PLBCLK => PLBCLK,
		CPMC405TIMERTICK => CPMC405TIMERTICK,
		C405CPMMSREE => C405CPMMSREE,
		C405CPMMSRCE => C405CPMMSRCE,
		C405CPMTIMERIRQ => C405CPMTIMERIRQ,
		C405CPMTIMERRESETREQ => C405CPMTIMERRESETREQ,
		C405CPMCORESLEEPREQ => C405CPMCORESLEEPREQ,
		TIEC405DISOPERANDFWD => TIEC405DISOPERANDFWD,
		TIEC405DETERMINISTICMULT => TIEC405DETERMINISTICMULT,
		TIEC405MMUEN => TIEC405MMUEN,
		TIEC405PVR => TIEC405PVR, 
		C405XXXMACHINECHECK => C405XXXMACHINECHECK,
		C405RSTCHIPRESETREQ => C405RSTCHIPRESETREQ,
		C405RSTCORERESETREQ => C405RSTCORERESETREQ,
		C405RSTSYSRESETREQ => C405RSTSYSRESETREQ,
		RSTC405RESETCHIP => RSTC405RESETCHIP,
		RSTC405RESETCORE => RSTC405RESETCORE,
		RSTC405RESETSYS => RSTC405RESETSYS,
		C405PLBICUREQUEST => C405PLBICUREQUEST,
		C405PLBICUPRIORITY => C405PLBICUPRIORITY,
		C405PLBICUCACHEABLE => C405PLBICUCACHEABLE,
		C405PLBICUABUS => C405PLBICUABUS,
		C405PLBICUSIZE => C405PLBICUSIZE,
		C405PLBICUABORT => C405PLBICUABORT,
		C405PLBICUU0ATTR => C405PLBICUU0ATTR,
		PLBC405ICUADDRACK => PLBC405ICUADDRACK,
		PLBC405ICUBUSY => PLBC405ICUBUSY,
		PLBC405ICUERR => PLBC405ICUERR,
		PLBC405ICURDDACK => PLBC405ICURDDACK,
		PLBC405ICURDDBUS => PLBC405ICURDDBUS,
		PLBC405ICUSSIZE1 => PLBC405ICUSSIZE1,
		PLBC405ICURDWDADDR => PLBC405ICURDWDADDR,
		C405PLBDCUREQUEST => C405PLBDCUREQUEST,
		C405PLBDCURNW => C405PLBDCURNW,
		C405PLBDCUABUS => C405PLBDCUABUS,
		C405PLBDCUBE => C405PLBDCUBE,
		C405PLBDCUCACHEABLE => C405PLBDCUCACHEABLE,
		C405PLBDCUGUARDED => C405PLBDCUGUARDED,
		C405PLBDCUPRIORITY => C405PLBDCUPRIORITY,
		C405PLBDCUSIZE2 => C405PLBDCUSIZE2,
		C405PLBDCUABORT => C405PLBDCUABORT,
		C405PLBDCUWRDBUS => C405PLBDCUWRDBUS,
		C405PLBDCUU0ATTR => C405PLBDCUU0ATTR,
		C405PLBDCUWRITETHRU => C405PLBDCUWRITETHRU,
		PLBC405DCUADDRACK => PLBC405DCUADDRACK,
		PLBC405DCUBUSY => PLBC405DCUBUSY,
		PLBC405DCUERR => PLBC405DCUERR,
		PLBC405DCURDDACK => PLBC405DCURDDACK,
		PLBC405DCURDDBUS => PLBC405DCURDDBUS,
		PLBC405DCURDWDADDR => PLBC405DCURDWDADDR,
		PLBC405DCUSSIZE1 => PLBC405DCUSSIZE1,
		PLBC405DCUWRDACK => PLBC405DCUWRDACK,
		ISOCMBRAMRDABUS => ISOCMBRAMRDABUS,
		ISOCMBRAMWRABUS => ISOCMBRAMWRABUS,
		ISOCMBRAMEN => ISOCMBRAMEN,
		ISOCMBRAMODDWRITEEN => ISOCMBRAMODDWRITEEN,
		ISOCMBRAMEVENWRITEEN => ISOCMBRAMEVENWRITEEN,
		ISOCMBRAMWRDBUS => ISOCMBRAMWRDBUS,
		BRAMISOCMRDDBUS => BRAMISOCMRDDBUS,
		TIEISOCMDCRADDR => TIEISOCMDCRADDR,
		ISARCVALUE => ISARCVALUE,
		ISCNTLVALUE => ISCNTLVALUE,
		BRAMISOCMCLK => BRAMISOCMCLK,
		DSOCMBRAMABUS => DSOCMBRAMABUS,
		DSOCMBRAMBYTEWRITE => DSOCMBRAMBYTEWRITE,
		DSOCMBRAMEN => DSOCMBRAMEN,
		DSOCMBRAMWRDBUS => DSOCMBRAMWRDBUS,
		BRAMDSOCMRDDBUS => BRAMDSOCMRDDBUS,
		DSOCMBUSY => DSOCMBUSY,
		TIEDSOCMDCRADDR => TIEDSOCMDCRADDR,
		DSARCVALUE => DSARCVALUE,
		DSCNTLVALUE => DSCNTLVALUE,
		BRAMDSOCMCLK => BRAMDSOCMCLK,
		C405DCRREAD => C405DCRREAD,
		C405DCRWRITE => C405DCRWRITE,
		C405DCRABUS => C405DCRABUS,
		C405DCRDBUSOUT => C405DCRDBUSOUT,
		DCRC405ACK => DCRC405ACK,
		DCRC405DBUSIN => DCRC405DBUSIN,
		EICC405EXTINPUTIRQ => EICC405EXTINPUTIRQ,
		EICC405CRITINPUTIRQ => EICC405CRITINPUTIRQ,
		JTGC405BNDSCANTDO => JTGC405BNDSCANTDO,
		JTGC405TCK => JTGC405TCK,
		JTGC405TDI => JTGC405TDI,
		JTGC405TMS => JTGC405TMS,
		JTGC405TRSTNEG => JTGC405TRSTNEG,
		C405JTGTDO => C405JTGTDO,
		C405JTGTDOEN => C405JTGTDOEN,
		C405JTGEXTEST => C405JTGEXTEST,
		C405JTGCAPTUREDR => C405JTGCAPTUREDR,
		C405JTGSHIFTDR => C405JTGSHIFTDR,
		C405JTGUPDATEDR => C405JTGUPDATEDR,
		DBGC405DEBUGHALT => DBGC405DEBUGHALT,
		DBGC405UNCONDDEBUGEVENT => DBGC405UNCONDDEBUGEVENT,
		DBGC405EXTBUSHOLDACK => DBGC405EXTBUSHOLDACK,
		C405DBGMSRWE => C405DBGMSRWE,
		C405DBGSTOPACK => C405DBGSTOPACK,
		C405DBGWBCOMPLETE => C405DBGWBCOMPLETE,
		C405DBGWBFULL => C405DBGWBFULL,
		C405DBGWBIAR => C405DBGWBIAR,
		C405TRCTRIGGEREVENTOUT => C405TRCTRIGGEREVENTOUT,
		C405TRCTRIGGEREVENTTYPE => C405TRCTRIGGEREVENTTYPE,
		C405TRCCYCLE => C405TRCCYCLE,
		C405TRCTRACESTATUS => C405TRCTRACESTATUS,
		TRCC405TRACEDISABLE => TRCC405TRACEDISABLE,
		TRCC405TRIGGEREVENTIN => TRCC405TRIGGEREVENTIN
	);
end PPC405_SWIFT_BUS_v;
library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity TEMAC_SWIFT_BUS is
	port (
		DCRHOSTDONEIR        : out std_ulogic;
		EMAC0CLIENTANINTERRUPT : out std_ulogic;
		EMAC0CLIENTRXBADFRAME : out std_ulogic;
		EMAC0CLIENTRXCLIENTCLKOUT : out std_ulogic;
		EMAC0CLIENTRXD       : out std_logic_vector(15 downto 0);
		EMAC0CLIENTRXDVLD    : out std_ulogic;
		EMAC0CLIENTRXDVLDMSW : out std_ulogic;
		EMAC0CLIENTRXFRAMEDROP : out std_ulogic;
		EMAC0CLIENTRXGOODFRAME : out std_ulogic;
		EMAC0CLIENTRXSTATS   : out std_logic_vector(6 downto 0);
		EMAC0CLIENTRXSTATSBYTEVLD : out std_ulogic;
		EMAC0CLIENTRXSTATSVLD : out std_ulogic;
		EMAC0CLIENTTXACK     : out std_ulogic;
		EMAC0CLIENTTXCLIENTCLKOUT : out std_ulogic;
		EMAC0CLIENTTXCOLLISION : out std_ulogic;
		EMAC0CLIENTTXRETRANSMIT : out std_ulogic;
		EMAC0CLIENTTXSTATS   : out std_ulogic;
		EMAC0CLIENTTXSTATSBYTEVLD : out std_ulogic;
		EMAC0CLIENTTXSTATSVLD : out std_ulogic;
		EMAC0PHYENCOMMAALIGN : out std_ulogic;
		EMAC0PHYLOOPBACKMSB  : out std_ulogic;
		EMAC0PHYMCLKOUT      : out std_ulogic;
		EMAC0PHYMDOUT        : out std_ulogic;
		EMAC0PHYMDTRI        : out std_ulogic;
		EMAC0PHYMGTRXRESET   : out std_ulogic;
		EMAC0PHYMGTTXRESET   : out std_ulogic;
		EMAC0PHYPOWERDOWN    : out std_ulogic;
		EMAC0PHYSYNCACQSTATUS : out std_ulogic;
		EMAC0PHYTXCHARDISPMODE : out std_ulogic;
		EMAC0PHYTXCHARDISPVAL : out std_ulogic;
		EMAC0PHYTXCHARISK    : out std_ulogic;
		EMAC0PHYTXCLK        : out std_ulogic;
		EMAC0PHYTXD          : out std_logic_vector(7 downto 0);
		EMAC0PHYTXEN         : out std_ulogic;
		EMAC0PHYTXER         : out std_ulogic;
		EMAC0PHYTXGMIIMIICLKOUT : out std_ulogic;
		EMAC0SPEEDIS10100    : out std_ulogic;
		EMAC1CLIENTANINTERRUPT : out std_ulogic;
		EMAC1CLIENTRXBADFRAME : out std_ulogic;
		EMAC1CLIENTRXCLIENTCLKOUT : out std_ulogic;
		EMAC1CLIENTRXD       : out std_logic_vector(15 downto 0);
		EMAC1CLIENTRXDVLD    : out std_ulogic;
		EMAC1CLIENTRXDVLDMSW : out std_ulogic;
		EMAC1CLIENTRXFRAMEDROP : out std_ulogic;
		EMAC1CLIENTRXGOODFRAME : out std_ulogic;
		EMAC1CLIENTRXSTATS   : out std_logic_vector(6 downto 0);
		EMAC1CLIENTRXSTATSBYTEVLD : out std_ulogic;
		EMAC1CLIENTRXSTATSVLD : out std_ulogic;
		EMAC1CLIENTTXACK     : out std_ulogic;
		EMAC1CLIENTTXCLIENTCLKOUT : out std_ulogic;
		EMAC1CLIENTTXCOLLISION : out std_ulogic;
		EMAC1CLIENTTXRETRANSMIT : out std_ulogic;
		EMAC1CLIENTTXSTATS   : out std_ulogic;
		EMAC1CLIENTTXSTATSBYTEVLD : out std_ulogic;
		EMAC1CLIENTTXSTATSVLD : out std_ulogic;
		EMAC1PHYENCOMMAALIGN : out std_ulogic;
		EMAC1PHYLOOPBACKMSB  : out std_ulogic;
		EMAC1PHYMCLKOUT      : out std_ulogic;
		EMAC1PHYMDOUT        : out std_ulogic;
		EMAC1PHYMDTRI        : out std_ulogic;
		EMAC1PHYMGTRXRESET   : out std_ulogic;
		EMAC1PHYMGTTXRESET   : out std_ulogic;
		EMAC1PHYPOWERDOWN    : out std_ulogic;
		EMAC1PHYSYNCACQSTATUS : out std_ulogic;
		EMAC1PHYTXCHARDISPMODE : out std_ulogic;
		EMAC1PHYTXCHARDISPVAL : out std_ulogic;
		EMAC1PHYTXCHARISK    : out std_ulogic;
		EMAC1PHYTXCLK        : out std_ulogic;
		EMAC1PHYTXD          : out std_logic_vector(7 downto 0);
		EMAC1PHYTXEN         : out std_ulogic;
		EMAC1PHYTXER         : out std_ulogic;
		EMAC1PHYTXGMIIMIICLKOUT : out std_ulogic;
		EMAC1SPEEDIS10100    : out std_ulogic;
		EMACDCRACK           : out std_ulogic;
		EMACDCRDBUS          : out std_logic_vector(0 to 31);
		HOSTMIIMRDY          : out std_ulogic;
		HOSTRDDATA           : out std_logic_vector(31 downto 0);

		CLIENTEMAC0DCMLOCKED : in std_ulogic;
		CLIENTEMAC0PAUSEREQ  : in std_ulogic;
		CLIENTEMAC0PAUSEVAL  : in std_logic_vector(15 downto 0);
		CLIENTEMAC0RXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC0TXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC0TXD       : in std_logic_vector(15 downto 0);
		CLIENTEMAC0TXDVLD    : in std_ulogic;
		CLIENTEMAC0TXDVLDMSW : in std_ulogic;
		CLIENTEMAC0TXFIRSTBYTE : in std_ulogic;
		CLIENTEMAC0TXIFGDELAY : in std_logic_vector(7 downto 0);
		CLIENTEMAC0TXUNDERRUN : in std_ulogic;
		CLIENTEMAC1DCMLOCKED : in std_ulogic;
		CLIENTEMAC1PAUSEREQ  : in std_ulogic;
		CLIENTEMAC1PAUSEVAL  : in std_logic_vector(15 downto 0);
		CLIENTEMAC1RXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC1TXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC1TXD       : in std_logic_vector(15 downto 0);
		CLIENTEMAC1TXDVLD    : in std_ulogic;
		CLIENTEMAC1TXDVLDMSW : in std_ulogic;
		CLIENTEMAC1TXFIRSTBYTE : in std_ulogic;
		CLIENTEMAC1TXIFGDELAY : in std_logic_vector(7 downto 0);
		CLIENTEMAC1TXUNDERRUN : in std_ulogic;
		DCREMACABUS          : in std_logic_vector(0 to 9);
		DCREMACCLK           : in std_ulogic;
		DCREMACDBUS          : in std_logic_vector(0 to 31);
		DCREMACENABLE        : in std_ulogic;
		DCREMACREAD          : in std_ulogic;
		DCREMACWRITE         : in std_ulogic;
		HOSTADDR             : in std_logic_vector(9 downto 0);
		HOSTCLK              : in std_ulogic;
		HOSTEMAC1SEL         : in std_ulogic;
		HOSTMIIMSEL          : in std_ulogic;
		HOSTOPCODE           : in std_logic_vector(1 downto 0);
		HOSTREQ              : in std_ulogic;
		HOSTWRDATA           : in std_logic_vector(31 downto 0);
		PHYEMAC0COL          : in std_ulogic;
		PHYEMAC0CRS          : in std_ulogic;
		PHYEMAC0GTXCLK       : in std_ulogic;
		PHYEMAC0MCLKIN       : in std_ulogic;
		PHYEMAC0MDIN         : in std_ulogic;
		PHYEMAC0MIITXCLK     : in std_ulogic;
		PHYEMAC0PHYAD        : in std_logic_vector(4 downto 0);
		PHYEMAC0RXBUFERR     : in std_ulogic;
		PHYEMAC0RXBUFSTATUS  : in std_logic_vector(1 downto 0);
		PHYEMAC0RXCHARISCOMMA : in std_ulogic;
		PHYEMAC0RXCHARISK    : in std_ulogic;
		PHYEMAC0RXCHECKINGCRC : in std_ulogic;
		PHYEMAC0RXCLK        : in std_ulogic;
		PHYEMAC0RXCLKCORCNT  : in std_logic_vector(2 downto 0);
		PHYEMAC0RXCOMMADET   : in std_ulogic;
		PHYEMAC0RXD          : in std_logic_vector(7 downto 0);
		PHYEMAC0RXDISPERR    : in std_ulogic;
		PHYEMAC0RXDV         : in std_ulogic;
		PHYEMAC0RXER         : in std_ulogic;
		PHYEMAC0RXLOSSOFSYNC : in std_logic_vector(1 downto 0);
		PHYEMAC0RXNOTINTABLE : in std_ulogic;
		PHYEMAC0RXRUNDISP    : in std_ulogic;
		PHYEMAC0SIGNALDET    : in std_ulogic;
		PHYEMAC0TXBUFERR     : in std_ulogic;
		PHYEMAC0TXGMIIMIICLKIN : in std_ulogic;
		PHYEMAC1COL          : in std_ulogic;
		PHYEMAC1CRS          : in std_ulogic;
		PHYEMAC1GTXCLK       : in std_ulogic;
		PHYEMAC1MCLKIN       : in std_ulogic;
		PHYEMAC1MDIN         : in std_ulogic;
		PHYEMAC1MIITXCLK     : in std_ulogic;
		PHYEMAC1PHYAD        : in std_logic_vector(4 downto 0);
		PHYEMAC1RXBUFERR     : in std_ulogic;
		PHYEMAC1RXBUFSTATUS  : in std_logic_vector(1 downto 0);
		PHYEMAC1RXCHARISCOMMA : in std_ulogic;
		PHYEMAC1RXCHARISK    : in std_ulogic;
		PHYEMAC1RXCHECKINGCRC : in std_ulogic;
		PHYEMAC1RXCLK        : in std_ulogic;
		PHYEMAC1RXCLKCORCNT  : in std_logic_vector(2 downto 0);
		PHYEMAC1RXCOMMADET   : in std_ulogic;
		PHYEMAC1RXD          : in std_logic_vector(7 downto 0);
		PHYEMAC1RXDISPERR    : in std_ulogic;
		PHYEMAC1RXDV         : in std_ulogic;
		PHYEMAC1RXER         : in std_ulogic;
		PHYEMAC1RXLOSSOFSYNC : in std_logic_vector(1 downto 0);
		PHYEMAC1RXNOTINTABLE : in std_ulogic;
		PHYEMAC1RXRUNDISP    : in std_ulogic;
		PHYEMAC1SIGNALDET    : in std_ulogic;
		PHYEMAC1TXBUFERR     : in std_ulogic;
		PHYEMAC1TXGMIIMIICLKIN : in std_ulogic;
		RESET                : in std_ulogic;

		EMAC0_1000BASEX_ENABLE : in std_ulogic;
		EMAC0_ADDRFILTER_ENABLE : in std_ulogic;
		EMAC0_BYTEPHY        : in std_ulogic;
		EMAC0_CONFIGVEC_79   : in std_ulogic;
		EMAC0_DCRBASEADDR    : in std_logic_vector(7 downto 0);
		EMAC0_GTLOOPBACK     : in std_ulogic;
		EMAC0_HOST_ENABLE    : in std_ulogic;
		EMAC0_LINKTIMERVAL   : in std_logic_vector(8 downto 0);
		EMAC0_LTCHECK_DISABLE : in std_ulogic;
		EMAC0_MDIO_ENABLE    : in std_ulogic;
		EMAC0_PAUSEADDR      : in std_logic_vector(47 downto 0);
		EMAC0_PHYINITAUTONEG_ENABLE : in std_ulogic;
		EMAC0_PHYISOLATE     : in std_ulogic;
		EMAC0_PHYLOOPBACKMSB : in std_ulogic;
		EMAC0_PHYPOWERDOWN   : in std_ulogic;
		EMAC0_PHYRESET       : in std_ulogic;
		EMAC0_RGMII_ENABLE   : in std_ulogic;
		EMAC0_RX16BITCLIENT_ENABLE : in std_ulogic;
		EMAC0_RXFLOWCTRL_ENABLE : in std_ulogic;
		EMAC0_RXHALFDUPLEX   : in std_ulogic;
		EMAC0_RXINBANDFCS_ENABLE : in std_ulogic;
		EMAC0_RXJUMBOFRAME_ENABLE : in std_ulogic;
		EMAC0_RXRESET        : in std_ulogic;
		EMAC0_RXVLAN_ENABLE  : in std_ulogic;
		EMAC0_RX_ENABLE      : in std_ulogic;
		EMAC0_SGMII_ENABLE   : in std_ulogic;
		EMAC0_SPEED_LSB      : in std_ulogic;
		EMAC0_SPEED_MSB      : in std_ulogic;
		EMAC0_TX16BITCLIENT_ENABLE : in std_ulogic;
		EMAC0_TXFLOWCTRL_ENABLE : in std_ulogic;
		EMAC0_TXHALFDUPLEX   : in std_ulogic;
		EMAC0_TXIFGADJUST_ENABLE : in std_ulogic;
		EMAC0_TXINBANDFCS_ENABLE : in std_ulogic;
		EMAC0_TXJUMBOFRAME_ENABLE : in std_ulogic;
		EMAC0_TXRESET        : in std_ulogic;
		EMAC0_TXVLAN_ENABLE  : in std_ulogic;
		EMAC0_TX_ENABLE      : in std_ulogic;
		EMAC0_UNICASTADDR    : in std_logic_vector(47 downto 0);
		EMAC0_UNIDIRECTION_ENABLE : in std_ulogic;
		EMAC0_USECLKEN       : in std_ulogic;
		EMAC1_1000BASEX_ENABLE : in std_ulogic;
		EMAC1_ADDRFILTER_ENABLE : in std_ulogic;
		EMAC1_BYTEPHY        : in std_ulogic;
		EMAC1_CONFIGVEC_79   : in std_ulogic;
		EMAC1_DCRBASEADDR    : in std_logic_vector(7 downto 0);
		EMAC1_GTLOOPBACK     : in std_ulogic;
		EMAC1_HOST_ENABLE    : in std_ulogic;
		EMAC1_LINKTIMERVAL   : in std_logic_vector(8 downto 0);
		EMAC1_LTCHECK_DISABLE : in std_ulogic;
		EMAC1_MDIO_ENABLE    : in std_ulogic;
		EMAC1_PAUSEADDR      : in std_logic_vector(47 downto 0);
		EMAC1_PHYINITAUTONEG_ENABLE : in std_ulogic;
		EMAC1_PHYISOLATE     : in std_ulogic;
		EMAC1_PHYLOOPBACKMSB : in std_ulogic;
		EMAC1_PHYPOWERDOWN   : in std_ulogic;
		EMAC1_PHYRESET       : in std_ulogic;
		EMAC1_RGMII_ENABLE   : in std_ulogic;
		EMAC1_RX16BITCLIENT_ENABLE : in std_ulogic;
		EMAC1_RXFLOWCTRL_ENABLE : in std_ulogic;
		EMAC1_RXHALFDUPLEX   : in std_ulogic;
		EMAC1_RXINBANDFCS_ENABLE : in std_ulogic;
		EMAC1_RXJUMBOFRAME_ENABLE : in std_ulogic;
		EMAC1_RXRESET        : in std_ulogic;
		EMAC1_RXVLAN_ENABLE  : in std_ulogic;
		EMAC1_RX_ENABLE      : in std_ulogic;
		EMAC1_SGMII_ENABLE   : in std_ulogic;
		EMAC1_SPEED_LSB      : in std_ulogic;
		EMAC1_SPEED_MSB      : in std_ulogic;
		EMAC1_TX16BITCLIENT_ENABLE : in std_ulogic;
		EMAC1_TXFLOWCTRL_ENABLE : in std_ulogic;
		EMAC1_TXHALFDUPLEX   : in std_ulogic;
		EMAC1_TXIFGADJUST_ENABLE : in std_ulogic;
		EMAC1_TXINBANDFCS_ENABLE : in std_ulogic;
		EMAC1_TXJUMBOFRAME_ENABLE : in std_ulogic;
		EMAC1_TXRESET        : in std_ulogic;
		EMAC1_TXVLAN_ENABLE  : in std_ulogic;
		EMAC1_TX_ENABLE      : in std_ulogic;
		EMAC1_UNICASTADDR    : in std_logic_vector(47 downto 0);
		EMAC1_UNIDIRECTION_ENABLE : in std_ulogic;
		EMAC1_USECLKEN       : in std_ulogic
	);
end TEMAC_SWIFT_BUS;

architecture TEMAC_SWIFT_BUS_v of TEMAC_SWIFT_BUS is
component TEMAC_SWIFT
	generic (
		DelayRange           : STRING := "MAX";
		MC_Reference         : STRING := "0000";
		TimingVersion        : STRING := "temac_swift"
		);
	port (
		DCRHOSTDONEIR        : out std_ulogic;
		EMAC0CLIENTANINTERRUPT : out std_ulogic;
		EMAC0CLIENTRXBADFRAME : out std_ulogic;
		EMAC0CLIENTRXCLIENTCLKOUT : out std_ulogic;
		EMAC0CLIENTRXD       : out std_logic_vector(15 downto 0);
		EMAC0CLIENTRXDVLD    : out std_ulogic;
		EMAC0CLIENTRXDVLDMSW : out std_ulogic;
		EMAC0CLIENTRXFRAMEDROP : out std_ulogic;
		EMAC0CLIENTRXGOODFRAME : out std_ulogic;
		EMAC0CLIENTRXSTATS   : out std_logic_vector(6 downto 0);
		EMAC0CLIENTRXSTATSBYTEVLD : out std_ulogic;
		EMAC0CLIENTRXSTATSVLD : out std_ulogic;
		EMAC0CLIENTTXACK     : out std_ulogic;
		EMAC0CLIENTTXCLIENTCLKOUT : out std_ulogic;
		EMAC0CLIENTTXCOLLISION : out std_ulogic;
		EMAC0CLIENTTXRETRANSMIT : out std_ulogic;
		EMAC0CLIENTTXSTATS   : out std_ulogic;
		EMAC0CLIENTTXSTATSBYTEVLD : out std_ulogic;
		EMAC0CLIENTTXSTATSVLD : out std_ulogic;
		EMAC0PHYENCOMMAALIGN : out std_ulogic;
		EMAC0PHYLOOPBACKMSB  : out std_ulogic;
		EMAC0PHYMCLKOUT      : out std_ulogic;
		EMAC0PHYMDOUT        : out std_ulogic;
		EMAC0PHYMDTRI        : out std_ulogic;
		EMAC0PHYMGTRXRESET   : out std_ulogic;
		EMAC0PHYMGTTXRESET   : out std_ulogic;
		EMAC0PHYPOWERDOWN    : out std_ulogic;
		EMAC0PHYSYNCACQSTATUS : out std_ulogic;
		EMAC0PHYTXCHARDISPMODE : out std_ulogic;
		EMAC0PHYTXCHARDISPVAL : out std_ulogic;
		EMAC0PHYTXCHARISK    : out std_ulogic;
		EMAC0PHYTXCLK        : out std_ulogic;
		EMAC0PHYTXD          : out std_logic_vector(7 downto 0);
		EMAC0PHYTXEN         : out std_ulogic;
		EMAC0PHYTXER         : out std_ulogic;
		EMAC0PHYTXGMIIMIICLKOUT : out std_ulogic;
		EMAC0SPEEDIS10100    : out std_ulogic;
		EMAC1CLIENTANINTERRUPT : out std_ulogic;
		EMAC1CLIENTRXBADFRAME : out std_ulogic;
		EMAC1CLIENTRXCLIENTCLKOUT : out std_ulogic;
		EMAC1CLIENTRXD       : out std_logic_vector(15 downto 0);
		EMAC1CLIENTRXDVLD    : out std_ulogic;
		EMAC1CLIENTRXDVLDMSW : out std_ulogic;
		EMAC1CLIENTRXFRAMEDROP : out std_ulogic;
		EMAC1CLIENTRXGOODFRAME : out std_ulogic;
		EMAC1CLIENTRXSTATS   : out std_logic_vector(6 downto 0);
		EMAC1CLIENTRXSTATSBYTEVLD : out std_ulogic;
		EMAC1CLIENTRXSTATSVLD : out std_ulogic;
		EMAC1CLIENTTXACK     : out std_ulogic;
		EMAC1CLIENTTXCLIENTCLKOUT : out std_ulogic;
		EMAC1CLIENTTXCOLLISION : out std_ulogic;
		EMAC1CLIENTTXRETRANSMIT : out std_ulogic;
		EMAC1CLIENTTXSTATS   : out std_ulogic;
		EMAC1CLIENTTXSTATSBYTEVLD : out std_ulogic;
		EMAC1CLIENTTXSTATSVLD : out std_ulogic;
		EMAC1PHYENCOMMAALIGN : out std_ulogic;
		EMAC1PHYLOOPBACKMSB  : out std_ulogic;
		EMAC1PHYMCLKOUT      : out std_ulogic;
		EMAC1PHYMDOUT        : out std_ulogic;
		EMAC1PHYMDTRI        : out std_ulogic;
		EMAC1PHYMGTRXRESET   : out std_ulogic;
		EMAC1PHYMGTTXRESET   : out std_ulogic;
		EMAC1PHYPOWERDOWN    : out std_ulogic;
		EMAC1PHYSYNCACQSTATUS : out std_ulogic;
		EMAC1PHYTXCHARDISPMODE : out std_ulogic;
		EMAC1PHYTXCHARDISPVAL : out std_ulogic;
		EMAC1PHYTXCHARISK    : out std_ulogic;
		EMAC1PHYTXCLK        : out std_ulogic;
		EMAC1PHYTXD          : out std_logic_vector(7 downto 0);
		EMAC1PHYTXEN         : out std_ulogic;
		EMAC1PHYTXER         : out std_ulogic;
		EMAC1PHYTXGMIIMIICLKOUT : out std_ulogic;
		EMAC1SPEEDIS10100    : out std_ulogic;
		EMACDCRACK           : out std_ulogic;
		EMACDCRDBUS          : out std_logic_vector(0 to 31);
		HOSTMIIMRDY          : out std_ulogic;
		HOSTRDDATA           : out std_logic_vector(31 downto 0);

		CLIENTEMAC0DCMLOCKED : in std_ulogic;
		CLIENTEMAC0PAUSEREQ  : in std_ulogic;
		CLIENTEMAC0PAUSEVAL  : in std_logic_vector(15 downto 0);
		CLIENTEMAC0RXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC0TXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC0TXD       : in std_logic_vector(15 downto 0);
		CLIENTEMAC0TXDVLD    : in std_ulogic;
		CLIENTEMAC0TXDVLDMSW : in std_ulogic;
		CLIENTEMAC0TXFIRSTBYTE : in std_ulogic;
		CLIENTEMAC0TXIFGDELAY : in std_logic_vector(7 downto 0);
		CLIENTEMAC0TXUNDERRUN : in std_ulogic;
		CLIENTEMAC1DCMLOCKED : in std_ulogic;
		CLIENTEMAC1PAUSEREQ  : in std_ulogic;
		CLIENTEMAC1PAUSEVAL  : in std_logic_vector(15 downto 0);
		CLIENTEMAC1RXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC1TXCLIENTCLKIN : in std_ulogic;
		CLIENTEMAC1TXD       : in std_logic_vector(15 downto 0);
		CLIENTEMAC1TXDVLD    : in std_ulogic;
		CLIENTEMAC1TXDVLDMSW : in std_ulogic;
		CLIENTEMAC1TXFIRSTBYTE : in std_ulogic;
		CLIENTEMAC1TXIFGDELAY : in std_logic_vector(7 downto 0);
		CLIENTEMAC1TXUNDERRUN : in std_ulogic;
		DCREMACABUS          : in std_logic_vector(0 to 9);
		DCREMACCLK           : in std_ulogic;
		DCREMACDBUS          : in std_logic_vector(0 to 31);
		DCREMACENABLE        : in std_ulogic;
		DCREMACREAD          : in std_ulogic;
		DCREMACWRITE         : in std_ulogic;
		HOSTADDR             : in std_logic_vector(9 downto 0);
		HOSTCLK              : in std_ulogic;
		HOSTEMAC1SEL         : in std_ulogic;
		HOSTMIIMSEL          : in std_ulogic;
		HOSTOPCODE           : in std_logic_vector(1 downto 0);
		HOSTREQ              : in std_ulogic;
		HOSTWRDATA           : in std_logic_vector(31 downto 0);
		PHYEMAC0COL          : in std_ulogic;
		PHYEMAC0CRS          : in std_ulogic;
		PHYEMAC0GTXCLK       : in std_ulogic;
		PHYEMAC0MCLKIN       : in std_ulogic;
		PHYEMAC0MDIN         : in std_ulogic;
		PHYEMAC0MIITXCLK     : in std_ulogic;
		PHYEMAC0PHYAD        : in std_logic_vector(4 downto 0);
		PHYEMAC0RXBUFERR     : in std_ulogic;
		PHYEMAC0RXBUFSTATUS  : in std_logic_vector(1 downto 0);
		PHYEMAC0RXCHARISCOMMA : in std_ulogic;
		PHYEMAC0RXCHARISK    : in std_ulogic;
		PHYEMAC0RXCHECKINGCRC : in std_ulogic;
		PHYEMAC0RXCLK        : in std_ulogic;
		PHYEMAC0RXCLKCORCNT  : in std_logic_vector(2 downto 0);
		PHYEMAC0RXCOMMADET   : in std_ulogic;
		PHYEMAC0RXD          : in std_logic_vector(7 downto 0);
		PHYEMAC0RXDISPERR    : in std_ulogic;
		PHYEMAC0RXDV         : in std_ulogic;
		PHYEMAC0RXER         : in std_ulogic;
		PHYEMAC0RXLOSSOFSYNC : in std_logic_vector(1 downto 0);
		PHYEMAC0RXNOTINTABLE : in std_ulogic;
		PHYEMAC0RXRUNDISP    : in std_ulogic;
		PHYEMAC0SIGNALDET    : in std_ulogic;
		PHYEMAC0TXBUFERR     : in std_ulogic;
		PHYEMAC0TXGMIIMIICLKIN : in std_ulogic;
		PHYEMAC1COL          : in std_ulogic;
		PHYEMAC1CRS          : in std_ulogic;
		PHYEMAC1GTXCLK       : in std_ulogic;
		PHYEMAC1MCLKIN       : in std_ulogic;
		PHYEMAC1MDIN         : in std_ulogic;
		PHYEMAC1MIITXCLK     : in std_ulogic;
		PHYEMAC1PHYAD        : in std_logic_vector(4 downto 0);
		PHYEMAC1RXBUFERR     : in std_ulogic;
		PHYEMAC1RXBUFSTATUS  : in std_logic_vector(1 downto 0);
		PHYEMAC1RXCHARISCOMMA : in std_ulogic;
		PHYEMAC1RXCHARISK    : in std_ulogic;
		PHYEMAC1RXCHECKINGCRC : in std_ulogic;
		PHYEMAC1RXCLK        : in std_ulogic;
		PHYEMAC1RXCLKCORCNT  : in std_logic_vector(2 downto 0);
		PHYEMAC1RXCOMMADET   : in std_ulogic;
		PHYEMAC1RXD          : in std_logic_vector(7 downto 0);
		PHYEMAC1RXDISPERR    : in std_ulogic;
		PHYEMAC1RXDV         : in std_ulogic;
		PHYEMAC1RXER         : in std_ulogic;
		PHYEMAC1RXLOSSOFSYNC : in std_logic_vector(1 downto 0);
		PHYEMAC1RXNOTINTABLE : in std_ulogic;
		PHYEMAC1RXRUNDISP    : in std_ulogic;
		PHYEMAC1SIGNALDET    : in std_ulogic;
		PHYEMAC1TXBUFERR     : in std_ulogic;
		PHYEMAC1TXGMIIMIICLKIN : in std_ulogic;
		RESET                : in std_ulogic;

		EMAC0_1000BASEX_ENABLE : in std_ulogic;
		EMAC0_ADDRFILTER_ENABLE : in std_ulogic;
		EMAC0_BYTEPHY        : in std_ulogic;
		EMAC0_CONFIGVEC_79   : in std_ulogic;
		EMAC0_DCRBASEADDR    : in std_logic_vector(0 to 7);
		EMAC0_GTLOOPBACK     : in std_ulogic;
		EMAC0_HOST_ENABLE    : in std_ulogic;
		EMAC0_LINKTIMERVAL   : in std_logic_vector(8 downto 0);
		EMAC0_LTCHECK_DISABLE : in std_ulogic;
		EMAC0_MDIO_ENABLE    : in std_ulogic;
		EMAC0_PAUSEADDR      : in std_logic_vector(47 downto 0);
		EMAC0_PHYINITAUTONEG_ENABLE : in std_ulogic;
		EMAC0_PHYISOLATE     : in std_ulogic;
		EMAC0_PHYLOOPBACKMSB : in std_ulogic;
		EMAC0_PHYPOWERDOWN   : in std_ulogic;
		EMAC0_PHYRESET       : in std_ulogic;
		EMAC0_RGMII_ENABLE   : in std_ulogic;
		EMAC0_RX16BITCLIENT_ENABLE : in std_ulogic;
		EMAC0_RXFLOWCTRL_ENABLE : in std_ulogic;
		EMAC0_RXHALFDUPLEX   : in std_ulogic;
		EMAC0_RXINBANDFCS_ENABLE : in std_ulogic;
		EMAC0_RXJUMBOFRAME_ENABLE : in std_ulogic;
		EMAC0_RXRESET        : in std_ulogic;
		EMAC0_RXVLAN_ENABLE  : in std_ulogic;
		EMAC0_RX_ENABLE      : in std_ulogic;
		EMAC0_SGMII_ENABLE   : in std_ulogic;
		EMAC0_SPEED_LSB      : in std_ulogic;
		EMAC0_SPEED_MSB      : in std_ulogic;
		EMAC0_TX16BITCLIENT_ENABLE : in std_ulogic;
		EMAC0_TXFLOWCTRL_ENABLE : in std_ulogic;
		EMAC0_TXHALFDUPLEX   : in std_ulogic;
		EMAC0_TXIFGADJUST_ENABLE : in std_ulogic;
		EMAC0_TXINBANDFCS_ENABLE : in std_ulogic;
		EMAC0_TXJUMBOFRAME_ENABLE : in std_ulogic;
		EMAC0_TXRESET        : in std_ulogic;
		EMAC0_TXVLAN_ENABLE  : in std_ulogic;
		EMAC0_TX_ENABLE      : in std_ulogic;
		EMAC0_UNICASTADDR    : in std_logic_vector(47 downto 0);
		EMAC0_UNIDIRECTION_ENABLE : in std_ulogic;
		EMAC0_USECLKEN       : in std_ulogic;
		EMAC1_1000BASEX_ENABLE : in std_ulogic;
		EMAC1_ADDRFILTER_ENABLE : in std_ulogic;
		EMAC1_BYTEPHY        : in std_ulogic;
		EMAC1_CONFIGVEC_79   : in std_ulogic;
		EMAC1_DCRBASEADDR    : in std_logic_vector(0 to 7);
		EMAC1_GTLOOPBACK     : in std_ulogic;
		EMAC1_HOST_ENABLE    : in std_ulogic;
		EMAC1_LINKTIMERVAL   : in std_logic_vector(8 downto 0);
		EMAC1_LTCHECK_DISABLE : in std_ulogic;
		EMAC1_MDIO_ENABLE    : in std_ulogic;
		EMAC1_PAUSEADDR      : in std_logic_vector(47 downto 0);
		EMAC1_PHYINITAUTONEG_ENABLE : in std_ulogic;
		EMAC1_PHYISOLATE     : in std_ulogic;
		EMAC1_PHYLOOPBACKMSB : in std_ulogic;
		EMAC1_PHYPOWERDOWN   : in std_ulogic;
		EMAC1_PHYRESET       : in std_ulogic;
		EMAC1_RGMII_ENABLE   : in std_ulogic;
		EMAC1_RX16BITCLIENT_ENABLE : in std_ulogic;
		EMAC1_RXFLOWCTRL_ENABLE : in std_ulogic;
		EMAC1_RXHALFDUPLEX   : in std_ulogic;
		EMAC1_RXINBANDFCS_ENABLE : in std_ulogic;
		EMAC1_RXJUMBOFRAME_ENABLE : in std_ulogic;
		EMAC1_RXRESET        : in std_ulogic;
		EMAC1_RXVLAN_ENABLE  : in std_ulogic;
		EMAC1_RX_ENABLE      : in std_ulogic;
		EMAC1_SGMII_ENABLE   : in std_ulogic;
		EMAC1_SPEED_LSB      : in std_ulogic;
		EMAC1_SPEED_MSB      : in std_ulogic;
		EMAC1_TX16BITCLIENT_ENABLE : in std_ulogic;
		EMAC1_TXFLOWCTRL_ENABLE : in std_ulogic;
		EMAC1_TXHALFDUPLEX   : in std_ulogic;
		EMAC1_TXIFGADJUST_ENABLE : in std_ulogic;
		EMAC1_TXINBANDFCS_ENABLE : in std_ulogic;
		EMAC1_TXJUMBOFRAME_ENABLE : in std_ulogic;
		EMAC1_TXRESET        : in std_ulogic;
		EMAC1_TXVLAN_ENABLE  : in std_ulogic;
		EMAC1_TX_ENABLE      : in std_ulogic;
		EMAC1_UNICASTADDR    : in std_logic_vector(47 downto 0);
		EMAC1_UNIDIRECTION_ENABLE : in std_ulogic;
		EMAC1_USECLKEN       : in std_ulogic
	);
end component;

for all: TEMAC_SWIFT
use entity work.TEMAC_SWIFT
	port map (
		DCRHOSTDONEIR        => DCRHOSTDONEIR,
		EMAC0CLIENTANINTERRUPT => EMAC0CLIENTANINTERRUPT,
		EMAC0CLIENTRXBADFRAME => EMAC0CLIENTRXBADFRAME,
		EMAC0CLIENTRXCLIENTCLKOUT => EMAC0CLIENTRXCLIENTCLKOUT,
		EMAC0CLIENTRXDVLD    => EMAC0CLIENTRXDVLD,
		EMAC0CLIENTRXDVLDMSW => EMAC0CLIENTRXDVLDMSW,
		EMAC0CLIENTRXD_0     => EMAC0CLIENTRXD(0),
		EMAC0CLIENTRXD_1     => EMAC0CLIENTRXD(1),
		EMAC0CLIENTRXD_10    => EMAC0CLIENTRXD(10),
		EMAC0CLIENTRXD_11    => EMAC0CLIENTRXD(11),
		EMAC0CLIENTRXD_12    => EMAC0CLIENTRXD(12),
		EMAC0CLIENTRXD_13    => EMAC0CLIENTRXD(13),
		EMAC0CLIENTRXD_14    => EMAC0CLIENTRXD(14),
		EMAC0CLIENTRXD_15    => EMAC0CLIENTRXD(15),
		EMAC0CLIENTRXD_2     => EMAC0CLIENTRXD(2),
		EMAC0CLIENTRXD_3     => EMAC0CLIENTRXD(3),
		EMAC0CLIENTRXD_4     => EMAC0CLIENTRXD(4),
		EMAC0CLIENTRXD_5     => EMAC0CLIENTRXD(5),
		EMAC0CLIENTRXD_6     => EMAC0CLIENTRXD(6),
		EMAC0CLIENTRXD_7     => EMAC0CLIENTRXD(7),
		EMAC0CLIENTRXD_8     => EMAC0CLIENTRXD(8),
		EMAC0CLIENTRXD_9     => EMAC0CLIENTRXD(9),
		EMAC0CLIENTRXFRAMEDROP => EMAC0CLIENTRXFRAMEDROP,
		EMAC0CLIENTRXGOODFRAME => EMAC0CLIENTRXGOODFRAME,
		EMAC0CLIENTRXSTATSBYTEVLD => EMAC0CLIENTRXSTATSBYTEVLD,
		EMAC0CLIENTRXSTATSVLD => EMAC0CLIENTRXSTATSVLD,
		EMAC0CLIENTRXSTATS_0 => EMAC0CLIENTRXSTATS(0),
		EMAC0CLIENTRXSTATS_1 => EMAC0CLIENTRXSTATS(1),
		EMAC0CLIENTRXSTATS_2 => EMAC0CLIENTRXSTATS(2),
		EMAC0CLIENTRXSTATS_3 => EMAC0CLIENTRXSTATS(3),
		EMAC0CLIENTRXSTATS_4 => EMAC0CLIENTRXSTATS(4),
		EMAC0CLIENTRXSTATS_5 => EMAC0CLIENTRXSTATS(5),
		EMAC0CLIENTRXSTATS_6 => EMAC0CLIENTRXSTATS(6),
		EMAC0CLIENTTXACK     => EMAC0CLIENTTXACK,
		EMAC0CLIENTTXCLIENTCLKOUT => EMAC0CLIENTTXCLIENTCLKOUT,
		EMAC0CLIENTTXCOLLISION => EMAC0CLIENTTXCOLLISION,
		EMAC0CLIENTTXRETRANSMIT => EMAC0CLIENTTXRETRANSMIT,
		EMAC0CLIENTTXSTATS   => EMAC0CLIENTTXSTATS,
		EMAC0CLIENTTXSTATSBYTEVLD => EMAC0CLIENTTXSTATSBYTEVLD,
		EMAC0CLIENTTXSTATSVLD => EMAC0CLIENTTXSTATSVLD,
		EMAC0PHYENCOMMAALIGN => EMAC0PHYENCOMMAALIGN,
		EMAC0PHYLOOPBACKMSB  => EMAC0PHYLOOPBACKMSB,
		EMAC0PHYMCLKOUT      => EMAC0PHYMCLKOUT,
		EMAC0PHYMDOUT        => EMAC0PHYMDOUT,
		EMAC0PHYMDTRI        => EMAC0PHYMDTRI,
		EMAC0PHYMGTRXRESET   => EMAC0PHYMGTRXRESET,
		EMAC0PHYMGTTXRESET   => EMAC0PHYMGTTXRESET,
		EMAC0PHYPOWERDOWN    => EMAC0PHYPOWERDOWN,
		EMAC0PHYSYNCACQSTATUS => EMAC0PHYSYNCACQSTATUS,
		EMAC0PHYTXCHARDISPMODE => EMAC0PHYTXCHARDISPMODE,
		EMAC0PHYTXCHARDISPVAL => EMAC0PHYTXCHARDISPVAL,
		EMAC0PHYTXCHARISK    => EMAC0PHYTXCHARISK,
		EMAC0PHYTXCLK        => EMAC0PHYTXCLK,
		EMAC0PHYTXD_0        => EMAC0PHYTXD(0),
		EMAC0PHYTXD_1        => EMAC0PHYTXD(1),
		EMAC0PHYTXD_2        => EMAC0PHYTXD(2),
		EMAC0PHYTXD_3        => EMAC0PHYTXD(3),
		EMAC0PHYTXD_4        => EMAC0PHYTXD(4),
		EMAC0PHYTXD_5        => EMAC0PHYTXD(5),
		EMAC0PHYTXD_6        => EMAC0PHYTXD(6),
		EMAC0PHYTXD_7        => EMAC0PHYTXD(7),
		EMAC0PHYTXEN         => EMAC0PHYTXEN,
		EMAC0PHYTXER         => EMAC0PHYTXER,
		EMAC0PHYTXGMIIMIICLKOUT => EMAC0PHYTXGMIIMIICLKOUT,
		EMAC0SPEEDIS10100    => EMAC0SPEEDIS10100,
		EMAC1CLIENTANINTERRUPT => EMAC1CLIENTANINTERRUPT,
		EMAC1CLIENTRXBADFRAME => EMAC1CLIENTRXBADFRAME,
		EMAC1CLIENTRXCLIENTCLKOUT => EMAC1CLIENTRXCLIENTCLKOUT,
		EMAC1CLIENTRXDVLD    => EMAC1CLIENTRXDVLD,
		EMAC1CLIENTRXDVLDMSW => EMAC1CLIENTRXDVLDMSW,
		EMAC1CLIENTRXD_0     => EMAC1CLIENTRXD(0),
		EMAC1CLIENTRXD_1     => EMAC1CLIENTRXD(1),
		EMAC1CLIENTRXD_10    => EMAC1CLIENTRXD(10),
		EMAC1CLIENTRXD_11    => EMAC1CLIENTRXD(11),
		EMAC1CLIENTRXD_12    => EMAC1CLIENTRXD(12),
		EMAC1CLIENTRXD_13    => EMAC1CLIENTRXD(13),
		EMAC1CLIENTRXD_14    => EMAC1CLIENTRXD(14),
		EMAC1CLIENTRXD_15    => EMAC1CLIENTRXD(15),
		EMAC1CLIENTRXD_2     => EMAC1CLIENTRXD(2),
		EMAC1CLIENTRXD_3     => EMAC1CLIENTRXD(3),
		EMAC1CLIENTRXD_4     => EMAC1CLIENTRXD(4),
		EMAC1CLIENTRXD_5     => EMAC1CLIENTRXD(5),
		EMAC1CLIENTRXD_6     => EMAC1CLIENTRXD(6),
		EMAC1CLIENTRXD_7     => EMAC1CLIENTRXD(7),
		EMAC1CLIENTRXD_8     => EMAC1CLIENTRXD(8),
		EMAC1CLIENTRXD_9     => EMAC1CLIENTRXD(9),
		EMAC1CLIENTRXFRAMEDROP => EMAC1CLIENTRXFRAMEDROP,
		EMAC1CLIENTRXGOODFRAME => EMAC1CLIENTRXGOODFRAME,
		EMAC1CLIENTRXSTATSBYTEVLD => EMAC1CLIENTRXSTATSBYTEVLD,
		EMAC1CLIENTRXSTATSVLD => EMAC1CLIENTRXSTATSVLD,
		EMAC1CLIENTRXSTATS_0 => EMAC1CLIENTRXSTATS(0),
		EMAC1CLIENTRXSTATS_1 => EMAC1CLIENTRXSTATS(1),
		EMAC1CLIENTRXSTATS_2 => EMAC1CLIENTRXSTATS(2),
		EMAC1CLIENTRXSTATS_3 => EMAC1CLIENTRXSTATS(3),
		EMAC1CLIENTRXSTATS_4 => EMAC1CLIENTRXSTATS(4),
		EMAC1CLIENTRXSTATS_5 => EMAC1CLIENTRXSTATS(5),
		EMAC1CLIENTRXSTATS_6 => EMAC1CLIENTRXSTATS(6),
		EMAC1CLIENTTXACK     => EMAC1CLIENTTXACK,
		EMAC1CLIENTTXCLIENTCLKOUT => EMAC1CLIENTTXCLIENTCLKOUT,
		EMAC1CLIENTTXCOLLISION => EMAC1CLIENTTXCOLLISION,
		EMAC1CLIENTTXRETRANSMIT => EMAC1CLIENTTXRETRANSMIT,
		EMAC1CLIENTTXSTATS   => EMAC1CLIENTTXSTATS,
		EMAC1CLIENTTXSTATSBYTEVLD => EMAC1CLIENTTXSTATSBYTEVLD,
		EMAC1CLIENTTXSTATSVLD => EMAC1CLIENTTXSTATSVLD,
		EMAC1PHYENCOMMAALIGN => EMAC1PHYENCOMMAALIGN,
		EMAC1PHYLOOPBACKMSB  => EMAC1PHYLOOPBACKMSB,
		EMAC1PHYMCLKOUT      => EMAC1PHYMCLKOUT,
		EMAC1PHYMDOUT        => EMAC1PHYMDOUT,
		EMAC1PHYMDTRI        => EMAC1PHYMDTRI,
		EMAC1PHYMGTRXRESET   => EMAC1PHYMGTRXRESET,
		EMAC1PHYMGTTXRESET   => EMAC1PHYMGTTXRESET,
		EMAC1PHYPOWERDOWN    => EMAC1PHYPOWERDOWN,
		EMAC1PHYSYNCACQSTATUS => EMAC1PHYSYNCACQSTATUS,
		EMAC1PHYTXCHARDISPMODE => EMAC1PHYTXCHARDISPMODE,
		EMAC1PHYTXCHARDISPVAL => EMAC1PHYTXCHARDISPVAL,
		EMAC1PHYTXCHARISK    => EMAC1PHYTXCHARISK,
		EMAC1PHYTXCLK        => EMAC1PHYTXCLK,
		EMAC1PHYTXD_0        => EMAC1PHYTXD(0),
		EMAC1PHYTXD_1        => EMAC1PHYTXD(1),
		EMAC1PHYTXD_2        => EMAC1PHYTXD(2),
		EMAC1PHYTXD_3        => EMAC1PHYTXD(3),
		EMAC1PHYTXD_4        => EMAC1PHYTXD(4),
		EMAC1PHYTXD_5        => EMAC1PHYTXD(5),
		EMAC1PHYTXD_6        => EMAC1PHYTXD(6),
		EMAC1PHYTXD_7        => EMAC1PHYTXD(7),
		EMAC1PHYTXEN         => EMAC1PHYTXEN,
		EMAC1PHYTXER         => EMAC1PHYTXER,
		EMAC1PHYTXGMIIMIICLKOUT => EMAC1PHYTXGMIIMIICLKOUT,
		EMAC1SPEEDIS10100    => EMAC1SPEEDIS10100,
		EMACDCRACK           => EMACDCRACK,
		EMACDCRDBUS_0        => EMACDCRDBUS(0),
                EMACDCRDBUS_1        => EMACDCRDBUS(1),
                EMACDCRDBUS_2        => EMACDCRDBUS(2),
                EMACDCRDBUS_3        => EMACDCRDBUS(3),
                EMACDCRDBUS_4        => EMACDCRDBUS(4),
                EMACDCRDBUS_5        => EMACDCRDBUS(5),
                EMACDCRDBUS_6        => EMACDCRDBUS(6),
                EMACDCRDBUS_7        => EMACDCRDBUS(7),
                EMACDCRDBUS_8        => EMACDCRDBUS(8),
                EMACDCRDBUS_9        => EMACDCRDBUS(9),
                EMACDCRDBUS_10       => EMACDCRDBUS(10),
                EMACDCRDBUS_11       => EMACDCRDBUS(11),
                EMACDCRDBUS_12       => EMACDCRDBUS(12),
                EMACDCRDBUS_13       => EMACDCRDBUS(13),
                EMACDCRDBUS_14       => EMACDCRDBUS(14),
                EMACDCRDBUS_15       => EMACDCRDBUS(15),
                EMACDCRDBUS_16       => EMACDCRDBUS(16),
                EMACDCRDBUS_17       => EMACDCRDBUS(17),
                EMACDCRDBUS_18       => EMACDCRDBUS(18),
                EMACDCRDBUS_19       => EMACDCRDBUS(19),
                EMACDCRDBUS_20       => EMACDCRDBUS(20),
                EMACDCRDBUS_21       => EMACDCRDBUS(21),
                EMACDCRDBUS_22       => EMACDCRDBUS(22),
                EMACDCRDBUS_23       => EMACDCRDBUS(23),
                EMACDCRDBUS_24       => EMACDCRDBUS(24),
                EMACDCRDBUS_25       => EMACDCRDBUS(25),
                EMACDCRDBUS_26       => EMACDCRDBUS(26),
                EMACDCRDBUS_27       => EMACDCRDBUS(27),
                EMACDCRDBUS_28       => EMACDCRDBUS(28),
                EMACDCRDBUS_29       => EMACDCRDBUS(29),
                EMACDCRDBUS_30       => EMACDCRDBUS(30),
                EMACDCRDBUS_31       => EMACDCRDBUS(31),
		HOSTMIIMRDY          => HOSTMIIMRDY,
		HOSTRDDATA_0         => HOSTRDDATA(0),
		HOSTRDDATA_1         => HOSTRDDATA(1),
		HOSTRDDATA_10        => HOSTRDDATA(10),
		HOSTRDDATA_11        => HOSTRDDATA(11),
		HOSTRDDATA_12        => HOSTRDDATA(12),
		HOSTRDDATA_13        => HOSTRDDATA(13),
		HOSTRDDATA_14        => HOSTRDDATA(14),
		HOSTRDDATA_15        => HOSTRDDATA(15),
		HOSTRDDATA_16        => HOSTRDDATA(16),
		HOSTRDDATA_17        => HOSTRDDATA(17),
		HOSTRDDATA_18        => HOSTRDDATA(18),
		HOSTRDDATA_19        => HOSTRDDATA(19),
		HOSTRDDATA_2         => HOSTRDDATA(2),
		HOSTRDDATA_20        => HOSTRDDATA(20),
		HOSTRDDATA_21        => HOSTRDDATA(21),
		HOSTRDDATA_22        => HOSTRDDATA(22),
		HOSTRDDATA_23        => HOSTRDDATA(23),
		HOSTRDDATA_24        => HOSTRDDATA(24),
		HOSTRDDATA_25        => HOSTRDDATA(25),
		HOSTRDDATA_26        => HOSTRDDATA(26),
		HOSTRDDATA_27        => HOSTRDDATA(27),
		HOSTRDDATA_28        => HOSTRDDATA(28),
		HOSTRDDATA_29        => HOSTRDDATA(29),
		HOSTRDDATA_3         => HOSTRDDATA(3),
		HOSTRDDATA_30        => HOSTRDDATA(30),
		HOSTRDDATA_31        => HOSTRDDATA(31),
		HOSTRDDATA_4         => HOSTRDDATA(4),
		HOSTRDDATA_5         => HOSTRDDATA(5),
		HOSTRDDATA_6         => HOSTRDDATA(6),
		HOSTRDDATA_7         => HOSTRDDATA(7),
		HOSTRDDATA_8         => HOSTRDDATA(8),
		HOSTRDDATA_9         => HOSTRDDATA(9),

		CLIENTEMAC0DCMLOCKED => CLIENTEMAC0DCMLOCKED,
		CLIENTEMAC0PAUSEREQ  => CLIENTEMAC0PAUSEREQ,
		CLIENTEMAC0PAUSEVAL_0 => CLIENTEMAC0PAUSEVAL(0),
		CLIENTEMAC0PAUSEVAL_1 => CLIENTEMAC0PAUSEVAL(1),
		CLIENTEMAC0PAUSEVAL_10 => CLIENTEMAC0PAUSEVAL(10),
		CLIENTEMAC0PAUSEVAL_11 => CLIENTEMAC0PAUSEVAL(11),
		CLIENTEMAC0PAUSEVAL_12 => CLIENTEMAC0PAUSEVAL(12),
		CLIENTEMAC0PAUSEVAL_13 => CLIENTEMAC0PAUSEVAL(13),
		CLIENTEMAC0PAUSEVAL_14 => CLIENTEMAC0PAUSEVAL(14),
		CLIENTEMAC0PAUSEVAL_15 => CLIENTEMAC0PAUSEVAL(15),
		CLIENTEMAC0PAUSEVAL_2 => CLIENTEMAC0PAUSEVAL(2),
		CLIENTEMAC0PAUSEVAL_3 => CLIENTEMAC0PAUSEVAL(3),
		CLIENTEMAC0PAUSEVAL_4 => CLIENTEMAC0PAUSEVAL(4),
		CLIENTEMAC0PAUSEVAL_5 => CLIENTEMAC0PAUSEVAL(5),
		CLIENTEMAC0PAUSEVAL_6 => CLIENTEMAC0PAUSEVAL(6),
		CLIENTEMAC0PAUSEVAL_7 => CLIENTEMAC0PAUSEVAL(7),
		CLIENTEMAC0PAUSEVAL_8 => CLIENTEMAC0PAUSEVAL(8),
		CLIENTEMAC0PAUSEVAL_9 => CLIENTEMAC0PAUSEVAL(9),
		CLIENTEMAC0RXCLIENTCLKIN => CLIENTEMAC0RXCLIENTCLKIN,
		CLIENTEMAC0TXCLIENTCLKIN => CLIENTEMAC0TXCLIENTCLKIN,
		CLIENTEMAC0TXDVLD    => CLIENTEMAC0TXDVLD,
		CLIENTEMAC0TXDVLDMSW => CLIENTEMAC0TXDVLDMSW,
		CLIENTEMAC0TXD_0     => CLIENTEMAC0TXD(0),
		CLIENTEMAC0TXD_1     => CLIENTEMAC0TXD(1),
		CLIENTEMAC0TXD_10    => CLIENTEMAC0TXD(10),
		CLIENTEMAC0TXD_11    => CLIENTEMAC0TXD(11),
		CLIENTEMAC0TXD_12    => CLIENTEMAC0TXD(12),
		CLIENTEMAC0TXD_13    => CLIENTEMAC0TXD(13),
		CLIENTEMAC0TXD_14    => CLIENTEMAC0TXD(14),
		CLIENTEMAC0TXD_15    => CLIENTEMAC0TXD(15),
		CLIENTEMAC0TXD_2     => CLIENTEMAC0TXD(2),
		CLIENTEMAC0TXD_3     => CLIENTEMAC0TXD(3),
		CLIENTEMAC0TXD_4     => CLIENTEMAC0TXD(4),
		CLIENTEMAC0TXD_5     => CLIENTEMAC0TXD(5),
		CLIENTEMAC0TXD_6     => CLIENTEMAC0TXD(6),
		CLIENTEMAC0TXD_7     => CLIENTEMAC0TXD(7),
		CLIENTEMAC0TXD_8     => CLIENTEMAC0TXD(8),
		CLIENTEMAC0TXD_9     => CLIENTEMAC0TXD(9),
		CLIENTEMAC0TXFIRSTBYTE => CLIENTEMAC0TXFIRSTBYTE,
		CLIENTEMAC0TXIFGDELAY_0 => CLIENTEMAC0TXIFGDELAY(0),
		CLIENTEMAC0TXIFGDELAY_1 => CLIENTEMAC0TXIFGDELAY(1),
		CLIENTEMAC0TXIFGDELAY_2 => CLIENTEMAC0TXIFGDELAY(2),
		CLIENTEMAC0TXIFGDELAY_3 => CLIENTEMAC0TXIFGDELAY(3),
		CLIENTEMAC0TXIFGDELAY_4 => CLIENTEMAC0TXIFGDELAY(4),
		CLIENTEMAC0TXIFGDELAY_5 => CLIENTEMAC0TXIFGDELAY(5),
		CLIENTEMAC0TXIFGDELAY_6 => CLIENTEMAC0TXIFGDELAY(6),
		CLIENTEMAC0TXIFGDELAY_7 => CLIENTEMAC0TXIFGDELAY(7),
		CLIENTEMAC0TXUNDERRUN => CLIENTEMAC0TXUNDERRUN,
		CLIENTEMAC1DCMLOCKED => CLIENTEMAC1DCMLOCKED,
		CLIENTEMAC1PAUSEREQ  => CLIENTEMAC1PAUSEREQ,
		CLIENTEMAC1PAUSEVAL_0 => CLIENTEMAC1PAUSEVAL(0),
		CLIENTEMAC1PAUSEVAL_1 => CLIENTEMAC1PAUSEVAL(1),
		CLIENTEMAC1PAUSEVAL_10 => CLIENTEMAC1PAUSEVAL(10),
		CLIENTEMAC1PAUSEVAL_11 => CLIENTEMAC1PAUSEVAL(11),
		CLIENTEMAC1PAUSEVAL_12 => CLIENTEMAC1PAUSEVAL(12),
		CLIENTEMAC1PAUSEVAL_13 => CLIENTEMAC1PAUSEVAL(13),
		CLIENTEMAC1PAUSEVAL_14 => CLIENTEMAC1PAUSEVAL(14),
		CLIENTEMAC1PAUSEVAL_15 => CLIENTEMAC1PAUSEVAL(15),
		CLIENTEMAC1PAUSEVAL_2 => CLIENTEMAC1PAUSEVAL(2),
		CLIENTEMAC1PAUSEVAL_3 => CLIENTEMAC1PAUSEVAL(3),
		CLIENTEMAC1PAUSEVAL_4 => CLIENTEMAC1PAUSEVAL(4),
		CLIENTEMAC1PAUSEVAL_5 => CLIENTEMAC1PAUSEVAL(5),
		CLIENTEMAC1PAUSEVAL_6 => CLIENTEMAC1PAUSEVAL(6),
		CLIENTEMAC1PAUSEVAL_7 => CLIENTEMAC1PAUSEVAL(7),
		CLIENTEMAC1PAUSEVAL_8 => CLIENTEMAC1PAUSEVAL(8),
		CLIENTEMAC1PAUSEVAL_9 => CLIENTEMAC1PAUSEVAL(9),
		CLIENTEMAC1RXCLIENTCLKIN => CLIENTEMAC1RXCLIENTCLKIN,
		CLIENTEMAC1TXCLIENTCLKIN => CLIENTEMAC1TXCLIENTCLKIN,
		CLIENTEMAC1TXDVLD    => CLIENTEMAC1TXDVLD,
		CLIENTEMAC1TXDVLDMSW => CLIENTEMAC1TXDVLDMSW,
		CLIENTEMAC1TXD_0     => CLIENTEMAC1TXD(0),
		CLIENTEMAC1TXD_1     => CLIENTEMAC1TXD(1),
		CLIENTEMAC1TXD_10    => CLIENTEMAC1TXD(10),
		CLIENTEMAC1TXD_11    => CLIENTEMAC1TXD(11),
		CLIENTEMAC1TXD_12    => CLIENTEMAC1TXD(12),
		CLIENTEMAC1TXD_13    => CLIENTEMAC1TXD(13),
		CLIENTEMAC1TXD_14    => CLIENTEMAC1TXD(14),
		CLIENTEMAC1TXD_15    => CLIENTEMAC1TXD(15),
		CLIENTEMAC1TXD_2     => CLIENTEMAC1TXD(2),
		CLIENTEMAC1TXD_3     => CLIENTEMAC1TXD(3),
		CLIENTEMAC1TXD_4     => CLIENTEMAC1TXD(4),
		CLIENTEMAC1TXD_5     => CLIENTEMAC1TXD(5),
		CLIENTEMAC1TXD_6     => CLIENTEMAC1TXD(6),
		CLIENTEMAC1TXD_7     => CLIENTEMAC1TXD(7),
		CLIENTEMAC1TXD_8     => CLIENTEMAC1TXD(8),
		CLIENTEMAC1TXD_9     => CLIENTEMAC1TXD(9),
		CLIENTEMAC1TXFIRSTBYTE => CLIENTEMAC1TXFIRSTBYTE,
		CLIENTEMAC1TXIFGDELAY_0 => CLIENTEMAC1TXIFGDELAY(0),
		CLIENTEMAC1TXIFGDELAY_1 => CLIENTEMAC1TXIFGDELAY(1),
		CLIENTEMAC1TXIFGDELAY_2 => CLIENTEMAC1TXIFGDELAY(2),
		CLIENTEMAC1TXIFGDELAY_3 => CLIENTEMAC1TXIFGDELAY(3),
		CLIENTEMAC1TXIFGDELAY_4 => CLIENTEMAC1TXIFGDELAY(4),
		CLIENTEMAC1TXIFGDELAY_5 => CLIENTEMAC1TXIFGDELAY(5),
		CLIENTEMAC1TXIFGDELAY_6 => CLIENTEMAC1TXIFGDELAY(6),
		CLIENTEMAC1TXIFGDELAY_7 => CLIENTEMAC1TXIFGDELAY(7),
		CLIENTEMAC1TXUNDERRUN => CLIENTEMAC1TXUNDERRUN,
		DCREMACABUS_0        => DCREMACABUS(0),
                DCREMACABUS_1        => DCREMACABUS(1),
                DCREMACABUS_2        => DCREMACABUS(2),
                DCREMACABUS_3        => DCREMACABUS(3),
                DCREMACABUS_4        => DCREMACABUS(4),
                DCREMACABUS_5        => DCREMACABUS(5),
                DCREMACABUS_6        => DCREMACABUS(6),
                DCREMACABUS_7        => DCREMACABUS(7),
                DCREMACABUS_8        => DCREMACABUS(8),
                DCREMACABUS_9        => DCREMACABUS(9),
		DCREMACCLK           => DCREMACCLK,
		DCREMACDBUS_0        => DCREMACDBUS(0),
                DCREMACDBUS_1        => DCREMACDBUS(1),
                DCREMACDBUS_2        => DCREMACDBUS(2),
                DCREMACDBUS_3        => DCREMACDBUS(3),
                DCREMACDBUS_4        => DCREMACDBUS(4),
                DCREMACDBUS_5        => DCREMACDBUS(5),
                DCREMACDBUS_6        => DCREMACDBUS(6),
                DCREMACDBUS_7        => DCREMACDBUS(7),
                DCREMACDBUS_8        => DCREMACDBUS(8),
                DCREMACDBUS_9        => DCREMACDBUS(9),
                DCREMACDBUS_10        => DCREMACDBUS(10),
                DCREMACDBUS_11        => DCREMACDBUS(11),
                DCREMACDBUS_12        => DCREMACDBUS(12),
                DCREMACDBUS_13       => DCREMACDBUS(13),
                DCREMACDBUS_14        => DCREMACDBUS(14),
                DCREMACDBUS_15        => DCREMACDBUS(15),
                DCREMACDBUS_16        => DCREMACDBUS(16),
                DCREMACDBUS_17        => DCREMACDBUS(17),
                DCREMACDBUS_18        => DCREMACDBUS(18),
                DCREMACDBUS_19        => DCREMACDBUS(19),
                DCREMACDBUS_20        => DCREMACDBUS(20),
                DCREMACDBUS_21        => DCREMACDBUS(21),
                DCREMACDBUS_22        => DCREMACDBUS(22),
                DCREMACDBUS_23        => DCREMACDBUS(23),
                DCREMACDBUS_24        => DCREMACDBUS(24),
                DCREMACDBUS_25        => DCREMACDBUS(25),
                DCREMACDBUS_26        => DCREMACDBUS(26),
                DCREMACDBUS_27        => DCREMACDBUS(27),
                DCREMACDBUS_28        => DCREMACDBUS(28),
                DCREMACDBUS_29        => DCREMACDBUS(29),
                DCREMACDBUS_30        => DCREMACDBUS(30),
                DCREMACDBUS_31        => DCREMACDBUS(31),
		DCREMACENABLE        => DCREMACENABLE,
		DCREMACREAD          => DCREMACREAD,
		DCREMACWRITE         => DCREMACWRITE,
		HOSTADDR_0           => HOSTADDR(0),
		HOSTADDR_1           => HOSTADDR(1),
		HOSTADDR_2           => HOSTADDR(2),
		HOSTADDR_3           => HOSTADDR(3),
		HOSTADDR_4           => HOSTADDR(4),
		HOSTADDR_5           => HOSTADDR(5),
		HOSTADDR_6           => HOSTADDR(6),
		HOSTADDR_7           => HOSTADDR(7),
		HOSTADDR_8           => HOSTADDR(8),
		HOSTADDR_9           => HOSTADDR(9),
		HOSTCLK              => HOSTCLK,
		HOSTEMAC1SEL         => HOSTEMAC1SEL,
		HOSTMIIMSEL          => HOSTMIIMSEL,
		HOSTOPCODE_0         => HOSTOPCODE(0),
		HOSTOPCODE_1         => HOSTOPCODE(1),
		HOSTREQ              => HOSTREQ,
		HOSTWRDATA_0         => HOSTWRDATA(0),
		HOSTWRDATA_1         => HOSTWRDATA(1),
		HOSTWRDATA_10        => HOSTWRDATA(10),
		HOSTWRDATA_11        => HOSTWRDATA(11),
		HOSTWRDATA_12        => HOSTWRDATA(12),
		HOSTWRDATA_13        => HOSTWRDATA(13),
		HOSTWRDATA_14        => HOSTWRDATA(14),
		HOSTWRDATA_15        => HOSTWRDATA(15),
		HOSTWRDATA_16        => HOSTWRDATA(16),
		HOSTWRDATA_17        => HOSTWRDATA(17),
		HOSTWRDATA_18        => HOSTWRDATA(18),
		HOSTWRDATA_19        => HOSTWRDATA(19),
		HOSTWRDATA_2         => HOSTWRDATA(2),
		HOSTWRDATA_20        => HOSTWRDATA(20),
		HOSTWRDATA_21        => HOSTWRDATA(21),
		HOSTWRDATA_22        => HOSTWRDATA(22),
		HOSTWRDATA_23        => HOSTWRDATA(23),
		HOSTWRDATA_24        => HOSTWRDATA(24),
		HOSTWRDATA_25        => HOSTWRDATA(25),
		HOSTWRDATA_26        => HOSTWRDATA(26),
		HOSTWRDATA_27        => HOSTWRDATA(27),
		HOSTWRDATA_28        => HOSTWRDATA(28),
		HOSTWRDATA_29        => HOSTWRDATA(29),
		HOSTWRDATA_3         => HOSTWRDATA(3),
		HOSTWRDATA_30        => HOSTWRDATA(30),
		HOSTWRDATA_31        => HOSTWRDATA(31),
		HOSTWRDATA_4         => HOSTWRDATA(4),
		HOSTWRDATA_5         => HOSTWRDATA(5),
		HOSTWRDATA_6         => HOSTWRDATA(6),
		HOSTWRDATA_7         => HOSTWRDATA(7),
		HOSTWRDATA_8         => HOSTWRDATA(8),
		HOSTWRDATA_9         => HOSTWRDATA(9),
		PHYEMAC0COL          => PHYEMAC0COL,
		PHYEMAC0CRS          => PHYEMAC0CRS,
		PHYEMAC0GTXCLK       => PHYEMAC0GTXCLK,
		PHYEMAC0MCLKIN       => PHYEMAC0MCLKIN,
		PHYEMAC0MDIN         => PHYEMAC0MDIN,
		PHYEMAC0MIITXCLK     => PHYEMAC0MIITXCLK,
		PHYEMAC0PHYAD_0      => PHYEMAC0PHYAD(0),
		PHYEMAC0PHYAD_1      => PHYEMAC0PHYAD(1),
		PHYEMAC0PHYAD_2      => PHYEMAC0PHYAD(2),
		PHYEMAC0PHYAD_3      => PHYEMAC0PHYAD(3),
		PHYEMAC0PHYAD_4      => PHYEMAC0PHYAD(4),
		PHYEMAC0RXBUFERR     => PHYEMAC0RXBUFERR,
		PHYEMAC0RXBUFSTATUS_0 => PHYEMAC0RXBUFSTATUS(0),
		PHYEMAC0RXBUFSTATUS_1 => PHYEMAC0RXBUFSTATUS(1),
		PHYEMAC0RXCHARISCOMMA => PHYEMAC0RXCHARISCOMMA,
		PHYEMAC0RXCHARISK    => PHYEMAC0RXCHARISK,
		PHYEMAC0RXCHECKINGCRC => PHYEMAC0RXCHECKINGCRC,
		PHYEMAC0RXCLK        => PHYEMAC0RXCLK,
		PHYEMAC0RXCLKCORCNT_0 => PHYEMAC0RXCLKCORCNT(0),
		PHYEMAC0RXCLKCORCNT_1 => PHYEMAC0RXCLKCORCNT(1),
		PHYEMAC0RXCLKCORCNT_2 => PHYEMAC0RXCLKCORCNT(2),
		PHYEMAC0RXCOMMADET   => PHYEMAC0RXCOMMADET,
		PHYEMAC0RXDISPERR    => PHYEMAC0RXDISPERR,
		PHYEMAC0RXDV         => PHYEMAC0RXDV,
		PHYEMAC0RXD_0        => PHYEMAC0RXD(0),
		PHYEMAC0RXD_1        => PHYEMAC0RXD(1),
		PHYEMAC0RXD_2        => PHYEMAC0RXD(2),
		PHYEMAC0RXD_3        => PHYEMAC0RXD(3),
		PHYEMAC0RXD_4        => PHYEMAC0RXD(4),
		PHYEMAC0RXD_5        => PHYEMAC0RXD(5),
		PHYEMAC0RXD_6        => PHYEMAC0RXD(6),
		PHYEMAC0RXD_7        => PHYEMAC0RXD(7),
		PHYEMAC0RXER         => PHYEMAC0RXER,
		PHYEMAC0RXLOSSOFSYNC_0 => PHYEMAC0RXLOSSOFSYNC(0),
		PHYEMAC0RXLOSSOFSYNC_1 => PHYEMAC0RXLOSSOFSYNC(1),
		PHYEMAC0RXNOTINTABLE => PHYEMAC0RXNOTINTABLE,
		PHYEMAC0RXRUNDISP    => PHYEMAC0RXRUNDISP,
		PHYEMAC0SIGNALDET    => PHYEMAC0SIGNALDET,
		PHYEMAC0TXBUFERR     => PHYEMAC0TXBUFERR,
		PHYEMAC0TXGMIIMIICLKIN => PHYEMAC0TXGMIIMIICLKIN,
		PHYEMAC1COL          => PHYEMAC1COL,
		PHYEMAC1CRS          => PHYEMAC1CRS,
		PHYEMAC1GTXCLK       => PHYEMAC1GTXCLK,
		PHYEMAC1MCLKIN       => PHYEMAC1MCLKIN,
		PHYEMAC1MDIN         => PHYEMAC1MDIN,
		PHYEMAC1MIITXCLK     => PHYEMAC1MIITXCLK,
		PHYEMAC1PHYAD_0      => PHYEMAC1PHYAD(0),
		PHYEMAC1PHYAD_1      => PHYEMAC1PHYAD(1),
		PHYEMAC1PHYAD_2      => PHYEMAC1PHYAD(2),
		PHYEMAC1PHYAD_3      => PHYEMAC1PHYAD(3),
		PHYEMAC1PHYAD_4      => PHYEMAC1PHYAD(4),
		PHYEMAC1RXBUFERR     => PHYEMAC1RXBUFERR,
		PHYEMAC1RXBUFSTATUS_0 => PHYEMAC1RXBUFSTATUS(0),
		PHYEMAC1RXBUFSTATUS_1 => PHYEMAC1RXBUFSTATUS(1),
		PHYEMAC1RXCHARISCOMMA => PHYEMAC1RXCHARISCOMMA,
		PHYEMAC1RXCHARISK    => PHYEMAC1RXCHARISK,
		PHYEMAC1RXCHECKINGCRC => PHYEMAC1RXCHECKINGCRC,
		PHYEMAC1RXCLK        => PHYEMAC1RXCLK,
		PHYEMAC1RXCLKCORCNT_0 => PHYEMAC1RXCLKCORCNT(0),
		PHYEMAC1RXCLKCORCNT_1 => PHYEMAC1RXCLKCORCNT(1),
		PHYEMAC1RXCLKCORCNT_2 => PHYEMAC1RXCLKCORCNT(2),
		PHYEMAC1RXCOMMADET   => PHYEMAC1RXCOMMADET,
		PHYEMAC1RXDISPERR    => PHYEMAC1RXDISPERR,
		PHYEMAC1RXDV         => PHYEMAC1RXDV,
		PHYEMAC1RXD_0        => PHYEMAC1RXD(0),
		PHYEMAC1RXD_1        => PHYEMAC1RXD(1),
		PHYEMAC1RXD_2        => PHYEMAC1RXD(2),
		PHYEMAC1RXD_3        => PHYEMAC1RXD(3),
		PHYEMAC1RXD_4        => PHYEMAC1RXD(4),
		PHYEMAC1RXD_5        => PHYEMAC1RXD(5),
		PHYEMAC1RXD_6        => PHYEMAC1RXD(6),
		PHYEMAC1RXD_7        => PHYEMAC1RXD(7),
		PHYEMAC1RXER         => PHYEMAC1RXER,
		PHYEMAC1RXLOSSOFSYNC_0 => PHYEMAC1RXLOSSOFSYNC(0),
		PHYEMAC1RXLOSSOFSYNC_1 => PHYEMAC1RXLOSSOFSYNC(1),
		PHYEMAC1RXNOTINTABLE => PHYEMAC1RXNOTINTABLE,
		PHYEMAC1RXRUNDISP    => PHYEMAC1RXRUNDISP,
		PHYEMAC1SIGNALDET    => PHYEMAC1SIGNALDET,
		PHYEMAC1TXBUFERR     => PHYEMAC1TXBUFERR,
		PHYEMAC1TXGMIIMIICLKIN => PHYEMAC1TXGMIIMIICLKIN,
		RESET                => RESET,

		EMAC0_1000BASEX_ENABLE => EMAC0_1000BASEX_ENABLE,
		EMAC0_ADDRFILTER_ENABLE => EMAC0_ADDRFILTER_ENABLE,
		EMAC0_BYTEPHY        => EMAC0_BYTEPHY,
		EMAC0_CONFIGVEC_79   => EMAC0_CONFIGVEC_79,
		EMAC0_DCRBASEADDR_0  => EMAC0_DCRBASEADDR(0),
		EMAC0_DCRBASEADDR_1  => EMAC0_DCRBASEADDR(1),
		EMAC0_DCRBASEADDR_2  => EMAC0_DCRBASEADDR(2),
		EMAC0_DCRBASEADDR_3  => EMAC0_DCRBASEADDR(3),
		EMAC0_DCRBASEADDR_4  => EMAC0_DCRBASEADDR(4),
		EMAC0_DCRBASEADDR_5  => EMAC0_DCRBASEADDR(5),
		EMAC0_DCRBASEADDR_6  => EMAC0_DCRBASEADDR(6),
		EMAC0_DCRBASEADDR_7  => EMAC0_DCRBASEADDR(7),
		EMAC0_GTLOOPBACK     => EMAC0_GTLOOPBACK,
		EMAC0_HOST_ENABLE    => EMAC0_HOST_ENABLE,
		EMAC0_LINKTIMERVAL_0 => EMAC0_LINKTIMERVAL(0),
		EMAC0_LINKTIMERVAL_1 => EMAC0_LINKTIMERVAL(1),
		EMAC0_LINKTIMERVAL_2 => EMAC0_LINKTIMERVAL(2),
		EMAC0_LINKTIMERVAL_3 => EMAC0_LINKTIMERVAL(3),
		EMAC0_LINKTIMERVAL_4 => EMAC0_LINKTIMERVAL(4),
		EMAC0_LINKTIMERVAL_5 => EMAC0_LINKTIMERVAL(5),
		EMAC0_LINKTIMERVAL_6 => EMAC0_LINKTIMERVAL(6),
		EMAC0_LINKTIMERVAL_7 => EMAC0_LINKTIMERVAL(7),
		EMAC0_LINKTIMERVAL_8 => EMAC0_LINKTIMERVAL(8),
		EMAC0_LTCHECK_DISABLE => EMAC0_LTCHECK_DISABLE,
		EMAC0_MDIO_ENABLE    => EMAC0_MDIO_ENABLE,
		EMAC0_PAUSEADDR_0    => EMAC0_PAUSEADDR(0),
		EMAC0_PAUSEADDR_1    => EMAC0_PAUSEADDR(1),
		EMAC0_PAUSEADDR_10   => EMAC0_PAUSEADDR(10),
		EMAC0_PAUSEADDR_11   => EMAC0_PAUSEADDR(11),
		EMAC0_PAUSEADDR_12   => EMAC0_PAUSEADDR(12),
		EMAC0_PAUSEADDR_13   => EMAC0_PAUSEADDR(13),
		EMAC0_PAUSEADDR_14   => EMAC0_PAUSEADDR(14),
		EMAC0_PAUSEADDR_15   => EMAC0_PAUSEADDR(15),
		EMAC0_PAUSEADDR_16   => EMAC0_PAUSEADDR(16),
		EMAC0_PAUSEADDR_17   => EMAC0_PAUSEADDR(17),
		EMAC0_PAUSEADDR_18   => EMAC0_PAUSEADDR(18),
		EMAC0_PAUSEADDR_19   => EMAC0_PAUSEADDR(19),
		EMAC0_PAUSEADDR_2    => EMAC0_PAUSEADDR(2),
		EMAC0_PAUSEADDR_20   => EMAC0_PAUSEADDR(20),
		EMAC0_PAUSEADDR_21   => EMAC0_PAUSEADDR(21),
		EMAC0_PAUSEADDR_22   => EMAC0_PAUSEADDR(22),
		EMAC0_PAUSEADDR_23   => EMAC0_PAUSEADDR(23),
		EMAC0_PAUSEADDR_24   => EMAC0_PAUSEADDR(24),
		EMAC0_PAUSEADDR_25   => EMAC0_PAUSEADDR(25),
		EMAC0_PAUSEADDR_26   => EMAC0_PAUSEADDR(26),
		EMAC0_PAUSEADDR_27   => EMAC0_PAUSEADDR(27),
		EMAC0_PAUSEADDR_28   => EMAC0_PAUSEADDR(28),
		EMAC0_PAUSEADDR_29   => EMAC0_PAUSEADDR(29),
		EMAC0_PAUSEADDR_3    => EMAC0_PAUSEADDR(3),
		EMAC0_PAUSEADDR_30   => EMAC0_PAUSEADDR(30),
		EMAC0_PAUSEADDR_31   => EMAC0_PAUSEADDR(31),
		EMAC0_PAUSEADDR_32   => EMAC0_PAUSEADDR(32),
		EMAC0_PAUSEADDR_33   => EMAC0_PAUSEADDR(33),
		EMAC0_PAUSEADDR_34   => EMAC0_PAUSEADDR(34),
		EMAC0_PAUSEADDR_35   => EMAC0_PAUSEADDR(35),
		EMAC0_PAUSEADDR_36   => EMAC0_PAUSEADDR(36),
		EMAC0_PAUSEADDR_37   => EMAC0_PAUSEADDR(37),
		EMAC0_PAUSEADDR_38   => EMAC0_PAUSEADDR(38),
		EMAC0_PAUSEADDR_39   => EMAC0_PAUSEADDR(39),
		EMAC0_PAUSEADDR_4    => EMAC0_PAUSEADDR(4),
		EMAC0_PAUSEADDR_40   => EMAC0_PAUSEADDR(40),
		EMAC0_PAUSEADDR_41   => EMAC0_PAUSEADDR(41),
		EMAC0_PAUSEADDR_42   => EMAC0_PAUSEADDR(42),
		EMAC0_PAUSEADDR_43   => EMAC0_PAUSEADDR(43),
		EMAC0_PAUSEADDR_44   => EMAC0_PAUSEADDR(44),
		EMAC0_PAUSEADDR_45   => EMAC0_PAUSEADDR(45),
		EMAC0_PAUSEADDR_46   => EMAC0_PAUSEADDR(46),
		EMAC0_PAUSEADDR_47   => EMAC0_PAUSEADDR(47),
		EMAC0_PAUSEADDR_5    => EMAC0_PAUSEADDR(5),
		EMAC0_PAUSEADDR_6    => EMAC0_PAUSEADDR(6),
		EMAC0_PAUSEADDR_7    => EMAC0_PAUSEADDR(7),
		EMAC0_PAUSEADDR_8    => EMAC0_PAUSEADDR(8),
		EMAC0_PAUSEADDR_9    => EMAC0_PAUSEADDR(9),
		EMAC0_PHYINITAUTONEG_ENABLE => EMAC0_PHYINITAUTONEG_ENABLE,
		EMAC0_PHYISOLATE     => EMAC0_PHYISOLATE,
		EMAC0_PHYLOOPBACKMSB => EMAC0_PHYLOOPBACKMSB,
		EMAC0_PHYPOWERDOWN   => EMAC0_PHYPOWERDOWN,
		EMAC0_PHYRESET       => EMAC0_PHYRESET,
		EMAC0_RGMII_ENABLE   => EMAC0_RGMII_ENABLE,
		EMAC0_RX16BITCLIENT_ENABLE => EMAC0_RX16BITCLIENT_ENABLE,
		EMAC0_RXFLOWCTRL_ENABLE => EMAC0_RXFLOWCTRL_ENABLE,
		EMAC0_RXHALFDUPLEX   => EMAC0_RXHALFDUPLEX,
		EMAC0_RXINBANDFCS_ENABLE => EMAC0_RXINBANDFCS_ENABLE,
		EMAC0_RXJUMBOFRAME_ENABLE => EMAC0_RXJUMBOFRAME_ENABLE,
		EMAC0_RXRESET        => EMAC0_RXRESET,
		EMAC0_RXVLAN_ENABLE  => EMAC0_RXVLAN_ENABLE,
		EMAC0_RX_ENABLE      => EMAC0_RX_ENABLE,
		EMAC0_SGMII_ENABLE   => EMAC0_SGMII_ENABLE,
		EMAC0_SPEED_LSB      => EMAC0_SPEED_LSB,
		EMAC0_SPEED_MSB      => EMAC0_SPEED_MSB,
		EMAC0_TX16BITCLIENT_ENABLE => EMAC0_TX16BITCLIENT_ENABLE,
		EMAC0_TXFLOWCTRL_ENABLE => EMAC0_TXFLOWCTRL_ENABLE,
		EMAC0_TXHALFDUPLEX   => EMAC0_TXHALFDUPLEX,
		EMAC0_TXIFGADJUST_ENABLE => EMAC0_TXIFGADJUST_ENABLE,
		EMAC0_TXINBANDFCS_ENABLE => EMAC0_TXINBANDFCS_ENABLE,
		EMAC0_TXJUMBOFRAME_ENABLE => EMAC0_TXJUMBOFRAME_ENABLE,
		EMAC0_TXRESET        => EMAC0_TXRESET,
		EMAC0_TXVLAN_ENABLE  => EMAC0_TXVLAN_ENABLE,
		EMAC0_TX_ENABLE      => EMAC0_TX_ENABLE,
		EMAC0_UNICASTADDR_0  => EMAC0_UNICASTADDR(0),
		EMAC0_UNICASTADDR_1  => EMAC0_UNICASTADDR(1),
		EMAC0_UNICASTADDR_10 => EMAC0_UNICASTADDR(10),
		EMAC0_UNICASTADDR_11 => EMAC0_UNICASTADDR(11),
		EMAC0_UNICASTADDR_12 => EMAC0_UNICASTADDR(12),
		EMAC0_UNICASTADDR_13 => EMAC0_UNICASTADDR(13),
		EMAC0_UNICASTADDR_14 => EMAC0_UNICASTADDR(14),
		EMAC0_UNICASTADDR_15 => EMAC0_UNICASTADDR(15),
		EMAC0_UNICASTADDR_16 => EMAC0_UNICASTADDR(16),
		EMAC0_UNICASTADDR_17 => EMAC0_UNICASTADDR(17),
		EMAC0_UNICASTADDR_18 => EMAC0_UNICASTADDR(18),
		EMAC0_UNICASTADDR_19 => EMAC0_UNICASTADDR(19),
		EMAC0_UNICASTADDR_2  => EMAC0_UNICASTADDR(2),
		EMAC0_UNICASTADDR_20 => EMAC0_UNICASTADDR(20),
		EMAC0_UNICASTADDR_21 => EMAC0_UNICASTADDR(21),
		EMAC0_UNICASTADDR_22 => EMAC0_UNICASTADDR(22),
		EMAC0_UNICASTADDR_23 => EMAC0_UNICASTADDR(23),
		EMAC0_UNICASTADDR_24 => EMAC0_UNICASTADDR(24),
		EMAC0_UNICASTADDR_25 => EMAC0_UNICASTADDR(25),
		EMAC0_UNICASTADDR_26 => EMAC0_UNICASTADDR(26),
		EMAC0_UNICASTADDR_27 => EMAC0_UNICASTADDR(27),
		EMAC0_UNICASTADDR_28 => EMAC0_UNICASTADDR(28),
		EMAC0_UNICASTADDR_29 => EMAC0_UNICASTADDR(29),
		EMAC0_UNICASTADDR_3  => EMAC0_UNICASTADDR(3),
		EMAC0_UNICASTADDR_30 => EMAC0_UNICASTADDR(30),
		EMAC0_UNICASTADDR_31 => EMAC0_UNICASTADDR(31),
		EMAC0_UNICASTADDR_32 => EMAC0_UNICASTADDR(32),
		EMAC0_UNICASTADDR_33 => EMAC0_UNICASTADDR(33),
		EMAC0_UNICASTADDR_34 => EMAC0_UNICASTADDR(34),
		EMAC0_UNICASTADDR_35 => EMAC0_UNICASTADDR(35),
		EMAC0_UNICASTADDR_36 => EMAC0_UNICASTADDR(36),
		EMAC0_UNICASTADDR_37 => EMAC0_UNICASTADDR(37),
		EMAC0_UNICASTADDR_38 => EMAC0_UNICASTADDR(38),
		EMAC0_UNICASTADDR_39 => EMAC0_UNICASTADDR(39),
		EMAC0_UNICASTADDR_4  => EMAC0_UNICASTADDR(4),
		EMAC0_UNICASTADDR_40 => EMAC0_UNICASTADDR(40),
		EMAC0_UNICASTADDR_41 => EMAC0_UNICASTADDR(41),
		EMAC0_UNICASTADDR_42 => EMAC0_UNICASTADDR(42),
		EMAC0_UNICASTADDR_43 => EMAC0_UNICASTADDR(43),
		EMAC0_UNICASTADDR_44 => EMAC0_UNICASTADDR(44),
		EMAC0_UNICASTADDR_45 => EMAC0_UNICASTADDR(45),
		EMAC0_UNICASTADDR_46 => EMAC0_UNICASTADDR(46),
		EMAC0_UNICASTADDR_47 => EMAC0_UNICASTADDR(47),
		EMAC0_UNICASTADDR_5  => EMAC0_UNICASTADDR(5),
		EMAC0_UNICASTADDR_6  => EMAC0_UNICASTADDR(6),
		EMAC0_UNICASTADDR_7  => EMAC0_UNICASTADDR(7),
		EMAC0_UNICASTADDR_8  => EMAC0_UNICASTADDR(8),
		EMAC0_UNICASTADDR_9  => EMAC0_UNICASTADDR(9),
		EMAC0_UNIDIRECTION_ENABLE => EMAC0_UNIDIRECTION_ENABLE,
		EMAC0_USECLKEN       => EMAC0_USECLKEN,
		EMAC1_1000BASEX_ENABLE => EMAC1_1000BASEX_ENABLE,
		EMAC1_ADDRFILTER_ENABLE => EMAC1_ADDRFILTER_ENABLE,
		EMAC1_BYTEPHY        => EMAC1_BYTEPHY,
		EMAC1_CONFIGVEC_79   => EMAC1_CONFIGVEC_79,
		EMAC1_DCRBASEADDR_0  => EMAC1_DCRBASEADDR(0),
		EMAC1_DCRBASEADDR_1  => EMAC1_DCRBASEADDR(1),
		EMAC1_DCRBASEADDR_2  => EMAC1_DCRBASEADDR(2),
		EMAC1_DCRBASEADDR_3  => EMAC1_DCRBASEADDR(3),
		EMAC1_DCRBASEADDR_4  => EMAC1_DCRBASEADDR(4),
		EMAC1_DCRBASEADDR_5  => EMAC1_DCRBASEADDR(5),
		EMAC1_DCRBASEADDR_6  => EMAC1_DCRBASEADDR(6),
		EMAC1_DCRBASEADDR_7  => EMAC1_DCRBASEADDR(7),
		EMAC1_GTLOOPBACK     => EMAC1_GTLOOPBACK,
		EMAC1_HOST_ENABLE    => EMAC1_HOST_ENABLE,
		EMAC1_LINKTIMERVAL_0 => EMAC1_LINKTIMERVAL(0),
		EMAC1_LINKTIMERVAL_1 => EMAC1_LINKTIMERVAL(1),
		EMAC1_LINKTIMERVAL_2 => EMAC1_LINKTIMERVAL(2),
		EMAC1_LINKTIMERVAL_3 => EMAC1_LINKTIMERVAL(3),
		EMAC1_LINKTIMERVAL_4 => EMAC1_LINKTIMERVAL(4),
		EMAC1_LINKTIMERVAL_5 => EMAC1_LINKTIMERVAL(5),
		EMAC1_LINKTIMERVAL_6 => EMAC1_LINKTIMERVAL(6),
		EMAC1_LINKTIMERVAL_7 => EMAC1_LINKTIMERVAL(7),
		EMAC1_LINKTIMERVAL_8 => EMAC1_LINKTIMERVAL(8),
		EMAC1_LTCHECK_DISABLE => EMAC1_LTCHECK_DISABLE,
		EMAC1_MDIO_ENABLE    => EMAC1_MDIO_ENABLE,
		EMAC1_PAUSEADDR_0    => EMAC1_PAUSEADDR(0),
		EMAC1_PAUSEADDR_1    => EMAC1_PAUSEADDR(1),
		EMAC1_PAUSEADDR_10   => EMAC1_PAUSEADDR(10),
		EMAC1_PAUSEADDR_11   => EMAC1_PAUSEADDR(11),
		EMAC1_PAUSEADDR_12   => EMAC1_PAUSEADDR(12),
		EMAC1_PAUSEADDR_13   => EMAC1_PAUSEADDR(13),
		EMAC1_PAUSEADDR_14   => EMAC1_PAUSEADDR(14),
		EMAC1_PAUSEADDR_15   => EMAC1_PAUSEADDR(15),
		EMAC1_PAUSEADDR_16   => EMAC1_PAUSEADDR(16),
		EMAC1_PAUSEADDR_17   => EMAC1_PAUSEADDR(17),
		EMAC1_PAUSEADDR_18   => EMAC1_PAUSEADDR(18),
		EMAC1_PAUSEADDR_19   => EMAC1_PAUSEADDR(19),
		EMAC1_PAUSEADDR_2    => EMAC1_PAUSEADDR(2),
		EMAC1_PAUSEADDR_20   => EMAC1_PAUSEADDR(20),
		EMAC1_PAUSEADDR_21   => EMAC1_PAUSEADDR(21),
		EMAC1_PAUSEADDR_22   => EMAC1_PAUSEADDR(22),
		EMAC1_PAUSEADDR_23   => EMAC1_PAUSEADDR(23),
		EMAC1_PAUSEADDR_24   => EMAC1_PAUSEADDR(24),
		EMAC1_PAUSEADDR_25   => EMAC1_PAUSEADDR(25),
		EMAC1_PAUSEADDR_26   => EMAC1_PAUSEADDR(26),
		EMAC1_PAUSEADDR_27   => EMAC1_PAUSEADDR(27),
		EMAC1_PAUSEADDR_28   => EMAC1_PAUSEADDR(28),
		EMAC1_PAUSEADDR_29   => EMAC1_PAUSEADDR(29),
		EMAC1_PAUSEADDR_3    => EMAC1_PAUSEADDR(3),
		EMAC1_PAUSEADDR_30   => EMAC1_PAUSEADDR(30),
		EMAC1_PAUSEADDR_31   => EMAC1_PAUSEADDR(31),
		EMAC1_PAUSEADDR_32   => EMAC1_PAUSEADDR(32),
		EMAC1_PAUSEADDR_33   => EMAC1_PAUSEADDR(33),
		EMAC1_PAUSEADDR_34   => EMAC1_PAUSEADDR(34),
		EMAC1_PAUSEADDR_35   => EMAC1_PAUSEADDR(35),
		EMAC1_PAUSEADDR_36   => EMAC1_PAUSEADDR(36),
		EMAC1_PAUSEADDR_37   => EMAC1_PAUSEADDR(37),
		EMAC1_PAUSEADDR_38   => EMAC1_PAUSEADDR(38),
		EMAC1_PAUSEADDR_39   => EMAC1_PAUSEADDR(39),
		EMAC1_PAUSEADDR_4    => EMAC1_PAUSEADDR(4),
		EMAC1_PAUSEADDR_40   => EMAC1_PAUSEADDR(40),
		EMAC1_PAUSEADDR_41   => EMAC1_PAUSEADDR(41),
		EMAC1_PAUSEADDR_42   => EMAC1_PAUSEADDR(42),
		EMAC1_PAUSEADDR_43   => EMAC1_PAUSEADDR(43),
		EMAC1_PAUSEADDR_44   => EMAC1_PAUSEADDR(44),
		EMAC1_PAUSEADDR_45   => EMAC1_PAUSEADDR(45),
		EMAC1_PAUSEADDR_46   => EMAC1_PAUSEADDR(46),
		EMAC1_PAUSEADDR_47   => EMAC1_PAUSEADDR(47),
		EMAC1_PAUSEADDR_5    => EMAC1_PAUSEADDR(5),
		EMAC1_PAUSEADDR_6    => EMAC1_PAUSEADDR(6),
		EMAC1_PAUSEADDR_7    => EMAC1_PAUSEADDR(7),
		EMAC1_PAUSEADDR_8    => EMAC1_PAUSEADDR(8),
		EMAC1_PAUSEADDR_9    => EMAC1_PAUSEADDR(9),
		EMAC1_PHYINITAUTONEG_ENABLE => EMAC1_PHYINITAUTONEG_ENABLE,
		EMAC1_PHYISOLATE     => EMAC1_PHYISOLATE,
		EMAC1_PHYLOOPBACKMSB => EMAC1_PHYLOOPBACKMSB,
		EMAC1_PHYPOWERDOWN   => EMAC1_PHYPOWERDOWN,
		EMAC1_PHYRESET       => EMAC1_PHYRESET,
		EMAC1_RGMII_ENABLE   => EMAC1_RGMII_ENABLE,
		EMAC1_RX16BITCLIENT_ENABLE => EMAC1_RX16BITCLIENT_ENABLE,
		EMAC1_RXFLOWCTRL_ENABLE => EMAC1_RXFLOWCTRL_ENABLE,
		EMAC1_RXHALFDUPLEX   => EMAC1_RXHALFDUPLEX,
		EMAC1_RXINBANDFCS_ENABLE => EMAC1_RXINBANDFCS_ENABLE,
		EMAC1_RXJUMBOFRAME_ENABLE => EMAC1_RXJUMBOFRAME_ENABLE,
		EMAC1_RXRESET        => EMAC1_RXRESET,
		EMAC1_RXVLAN_ENABLE  => EMAC1_RXVLAN_ENABLE,
		EMAC1_RX_ENABLE      => EMAC1_RX_ENABLE,
		EMAC1_SGMII_ENABLE   => EMAC1_SGMII_ENABLE,
		EMAC1_SPEED_LSB      => EMAC1_SPEED_LSB,
		EMAC1_SPEED_MSB      => EMAC1_SPEED_MSB,
		EMAC1_TX16BITCLIENT_ENABLE => EMAC1_TX16BITCLIENT_ENABLE,
		EMAC1_TXFLOWCTRL_ENABLE => EMAC1_TXFLOWCTRL_ENABLE,
		EMAC1_TXHALFDUPLEX   => EMAC1_TXHALFDUPLEX,
		EMAC1_TXIFGADJUST_ENABLE => EMAC1_TXIFGADJUST_ENABLE,
		EMAC1_TXINBANDFCS_ENABLE => EMAC1_TXINBANDFCS_ENABLE,
		EMAC1_TXJUMBOFRAME_ENABLE => EMAC1_TXJUMBOFRAME_ENABLE,
		EMAC1_TXRESET        => EMAC1_TXRESET,
		EMAC1_TXVLAN_ENABLE  => EMAC1_TXVLAN_ENABLE,
		EMAC1_TX_ENABLE      => EMAC1_TX_ENABLE,
		EMAC1_UNICASTADDR_0  => EMAC1_UNICASTADDR(0),
		EMAC1_UNICASTADDR_1  => EMAC1_UNICASTADDR(1),
		EMAC1_UNICASTADDR_10 => EMAC1_UNICASTADDR(10),
		EMAC1_UNICASTADDR_11 => EMAC1_UNICASTADDR(11),
		EMAC1_UNICASTADDR_12 => EMAC1_UNICASTADDR(12),
		EMAC1_UNICASTADDR_13 => EMAC1_UNICASTADDR(13),
		EMAC1_UNICASTADDR_14 => EMAC1_UNICASTADDR(14),
		EMAC1_UNICASTADDR_15 => EMAC1_UNICASTADDR(15),
		EMAC1_UNICASTADDR_16 => EMAC1_UNICASTADDR(16),
		EMAC1_UNICASTADDR_17 => EMAC1_UNICASTADDR(17),
		EMAC1_UNICASTADDR_18 => EMAC1_UNICASTADDR(18),
		EMAC1_UNICASTADDR_19 => EMAC1_UNICASTADDR(19),
		EMAC1_UNICASTADDR_2  => EMAC1_UNICASTADDR(2),
		EMAC1_UNICASTADDR_20 => EMAC1_UNICASTADDR(20),
		EMAC1_UNICASTADDR_21 => EMAC1_UNICASTADDR(21),
		EMAC1_UNICASTADDR_22 => EMAC1_UNICASTADDR(22),
		EMAC1_UNICASTADDR_23 => EMAC1_UNICASTADDR(23),
		EMAC1_UNICASTADDR_24 => EMAC1_UNICASTADDR(24),
		EMAC1_UNICASTADDR_25 => EMAC1_UNICASTADDR(25),
		EMAC1_UNICASTADDR_26 => EMAC1_UNICASTADDR(26),
		EMAC1_UNICASTADDR_27 => EMAC1_UNICASTADDR(27),
		EMAC1_UNICASTADDR_28 => EMAC1_UNICASTADDR(28),
		EMAC1_UNICASTADDR_29 => EMAC1_UNICASTADDR(29),
		EMAC1_UNICASTADDR_3  => EMAC1_UNICASTADDR(3),
		EMAC1_UNICASTADDR_30 => EMAC1_UNICASTADDR(30),
		EMAC1_UNICASTADDR_31 => EMAC1_UNICASTADDR(31),
		EMAC1_UNICASTADDR_32 => EMAC1_UNICASTADDR(32),
		EMAC1_UNICASTADDR_33 => EMAC1_UNICASTADDR(33),
		EMAC1_UNICASTADDR_34 => EMAC1_UNICASTADDR(34),
		EMAC1_UNICASTADDR_35 => EMAC1_UNICASTADDR(35),
		EMAC1_UNICASTADDR_36 => EMAC1_UNICASTADDR(36),
		EMAC1_UNICASTADDR_37 => EMAC1_UNICASTADDR(37),
		EMAC1_UNICASTADDR_38 => EMAC1_UNICASTADDR(38),
		EMAC1_UNICASTADDR_39 => EMAC1_UNICASTADDR(39),
		EMAC1_UNICASTADDR_4  => EMAC1_UNICASTADDR(4),
		EMAC1_UNICASTADDR_40 => EMAC1_UNICASTADDR(40),
		EMAC1_UNICASTADDR_41 => EMAC1_UNICASTADDR(41),
		EMAC1_UNICASTADDR_42 => EMAC1_UNICASTADDR(42),
		EMAC1_UNICASTADDR_43 => EMAC1_UNICASTADDR(43),
		EMAC1_UNICASTADDR_44 => EMAC1_UNICASTADDR(44),
		EMAC1_UNICASTADDR_45 => EMAC1_UNICASTADDR(45),
		EMAC1_UNICASTADDR_46 => EMAC1_UNICASTADDR(46),
		EMAC1_UNICASTADDR_47 => EMAC1_UNICASTADDR(47),
		EMAC1_UNICASTADDR_5  => EMAC1_UNICASTADDR(5),
		EMAC1_UNICASTADDR_6  => EMAC1_UNICASTADDR(6),
		EMAC1_UNICASTADDR_7  => EMAC1_UNICASTADDR(7),
		EMAC1_UNICASTADDR_8  => EMAC1_UNICASTADDR(8),
		EMAC1_UNICASTADDR_9  => EMAC1_UNICASTADDR(9),
		EMAC1_UNIDIRECTION_ENABLE => EMAC1_UNIDIRECTION_ENABLE,
		EMAC1_USECLKEN       => EMAC1_USECLKEN
		);
begin
temac_swift_inst : TEMAC_SWIFT
	port map (
		DCRHOSTDONEIR         =>  DCRHOSTDONEIR,
		EMAC0CLIENTANINTERRUPT  =>  EMAC0CLIENTANINTERRUPT,
		EMAC0CLIENTRXBADFRAME  =>  EMAC0CLIENTRXBADFRAME,
		EMAC0CLIENTRXCLIENTCLKOUT  =>  EMAC0CLIENTRXCLIENTCLKOUT,
		EMAC0CLIENTRXD        =>  EMAC0CLIENTRXD,
		EMAC0CLIENTRXDVLD     =>  EMAC0CLIENTRXDVLD,
		EMAC0CLIENTRXDVLDMSW  =>  EMAC0CLIENTRXDVLDMSW,
		EMAC0CLIENTRXFRAMEDROP  =>  EMAC0CLIENTRXFRAMEDROP,
		EMAC0CLIENTRXGOODFRAME  =>  EMAC0CLIENTRXGOODFRAME,
		EMAC0CLIENTRXSTATS    =>  EMAC0CLIENTRXSTATS,
		EMAC0CLIENTRXSTATSBYTEVLD  =>  EMAC0CLIENTRXSTATSBYTEVLD,
		EMAC0CLIENTRXSTATSVLD  =>  EMAC0CLIENTRXSTATSVLD,
		EMAC0CLIENTTXACK      =>  EMAC0CLIENTTXACK,
		EMAC0CLIENTTXCLIENTCLKOUT  =>  EMAC0CLIENTTXCLIENTCLKOUT,
		EMAC0CLIENTTXCOLLISION  =>  EMAC0CLIENTTXCOLLISION,
		EMAC0CLIENTTXRETRANSMIT  =>  EMAC0CLIENTTXRETRANSMIT,
		EMAC0CLIENTTXSTATS    =>  EMAC0CLIENTTXSTATS,
		EMAC0CLIENTTXSTATSBYTEVLD  =>  EMAC0CLIENTTXSTATSBYTEVLD,
		EMAC0CLIENTTXSTATSVLD  =>  EMAC0CLIENTTXSTATSVLD,
		EMAC0PHYENCOMMAALIGN  =>  EMAC0PHYENCOMMAALIGN,
		EMAC0PHYLOOPBACKMSB   =>  EMAC0PHYLOOPBACKMSB,
		EMAC0PHYMCLKOUT       =>  EMAC0PHYMCLKOUT,
		EMAC0PHYMDOUT         =>  EMAC0PHYMDOUT,
		EMAC0PHYMDTRI         =>  EMAC0PHYMDTRI,
		EMAC0PHYMGTRXRESET    =>  EMAC0PHYMGTRXRESET,
		EMAC0PHYMGTTXRESET    =>  EMAC0PHYMGTTXRESET,
		EMAC0PHYPOWERDOWN     =>  EMAC0PHYPOWERDOWN,
		EMAC0PHYSYNCACQSTATUS  =>  EMAC0PHYSYNCACQSTATUS,
		EMAC0PHYTXCHARDISPMODE  =>  EMAC0PHYTXCHARDISPMODE,
		EMAC0PHYTXCHARDISPVAL  =>  EMAC0PHYTXCHARDISPVAL,
		EMAC0PHYTXCHARISK     =>  EMAC0PHYTXCHARISK,
		EMAC0PHYTXCLK         =>  EMAC0PHYTXCLK,
		EMAC0PHYTXD           =>  EMAC0PHYTXD,
		EMAC0PHYTXEN          =>  EMAC0PHYTXEN,
		EMAC0PHYTXER          =>  EMAC0PHYTXER,
		EMAC0PHYTXGMIIMIICLKOUT  =>  EMAC0PHYTXGMIIMIICLKOUT,
		EMAC0SPEEDIS10100     =>  EMAC0SPEEDIS10100,
		EMAC1CLIENTANINTERRUPT  =>  EMAC1CLIENTANINTERRUPT,
		EMAC1CLIENTRXBADFRAME  =>  EMAC1CLIENTRXBADFRAME,
		EMAC1CLIENTRXCLIENTCLKOUT  =>  EMAC1CLIENTRXCLIENTCLKOUT,
		EMAC1CLIENTRXD        =>  EMAC1CLIENTRXD,
		EMAC1CLIENTRXDVLD     =>  EMAC1CLIENTRXDVLD,
		EMAC1CLIENTRXDVLDMSW  =>  EMAC1CLIENTRXDVLDMSW,
		EMAC1CLIENTRXFRAMEDROP  =>  EMAC1CLIENTRXFRAMEDROP,
		EMAC1CLIENTRXGOODFRAME  =>  EMAC1CLIENTRXGOODFRAME,
		EMAC1CLIENTRXSTATS    =>  EMAC1CLIENTRXSTATS,
		EMAC1CLIENTRXSTATSBYTEVLD  =>  EMAC1CLIENTRXSTATSBYTEVLD,
		EMAC1CLIENTRXSTATSVLD  =>  EMAC1CLIENTRXSTATSVLD,
		EMAC1CLIENTTXACK      =>  EMAC1CLIENTTXACK,
		EMAC1CLIENTTXCLIENTCLKOUT  =>  EMAC1CLIENTTXCLIENTCLKOUT,
		EMAC1CLIENTTXCOLLISION  =>  EMAC1CLIENTTXCOLLISION,
		EMAC1CLIENTTXRETRANSMIT  =>  EMAC1CLIENTTXRETRANSMIT,
		EMAC1CLIENTTXSTATS    =>  EMAC1CLIENTTXSTATS,
		EMAC1CLIENTTXSTATSBYTEVLD  =>  EMAC1CLIENTTXSTATSBYTEVLD,
		EMAC1CLIENTTXSTATSVLD  =>  EMAC1CLIENTTXSTATSVLD,
		EMAC1PHYENCOMMAALIGN  =>  EMAC1PHYENCOMMAALIGN,
		EMAC1PHYLOOPBACKMSB   =>  EMAC1PHYLOOPBACKMSB,
		EMAC1PHYMCLKOUT       =>  EMAC1PHYMCLKOUT,
		EMAC1PHYMDOUT         =>  EMAC1PHYMDOUT,
		EMAC1PHYMDTRI         =>  EMAC1PHYMDTRI,
		EMAC1PHYMGTRXRESET    =>  EMAC1PHYMGTRXRESET,
		EMAC1PHYMGTTXRESET    =>  EMAC1PHYMGTTXRESET,
		EMAC1PHYPOWERDOWN     =>  EMAC1PHYPOWERDOWN,
		EMAC1PHYSYNCACQSTATUS  =>  EMAC1PHYSYNCACQSTATUS,
		EMAC1PHYTXCHARDISPMODE  =>  EMAC1PHYTXCHARDISPMODE,
		EMAC1PHYTXCHARDISPVAL  =>  EMAC1PHYTXCHARDISPVAL,
		EMAC1PHYTXCHARISK     =>  EMAC1PHYTXCHARISK,
		EMAC1PHYTXCLK         =>  EMAC1PHYTXCLK,
		EMAC1PHYTXD           =>  EMAC1PHYTXD,
		EMAC1PHYTXEN          =>  EMAC1PHYTXEN,
		EMAC1PHYTXER          =>  EMAC1PHYTXER,
		EMAC1PHYTXGMIIMIICLKOUT  =>  EMAC1PHYTXGMIIMIICLKOUT,
		EMAC1SPEEDIS10100     =>  EMAC1SPEEDIS10100,
		EMACDCRACK            =>  EMACDCRACK,
		EMACDCRDBUS           =>  EMACDCRDBUS,
		HOSTMIIMRDY           =>  HOSTMIIMRDY,
		HOSTRDDATA            =>  HOSTRDDATA,

		CLIENTEMAC0DCMLOCKED  =>  CLIENTEMAC0DCMLOCKED,
		CLIENTEMAC0PAUSEREQ   =>  CLIENTEMAC0PAUSEREQ,
		CLIENTEMAC0PAUSEVAL   =>  CLIENTEMAC0PAUSEVAL,
		CLIENTEMAC0RXCLIENTCLKIN  =>  CLIENTEMAC0RXCLIENTCLKIN,
		CLIENTEMAC0TXCLIENTCLKIN  =>  CLIENTEMAC0TXCLIENTCLKIN,
		CLIENTEMAC0TXD        =>  CLIENTEMAC0TXD,
		CLIENTEMAC0TXDVLD     =>  CLIENTEMAC0TXDVLD,
		CLIENTEMAC0TXDVLDMSW  =>  CLIENTEMAC0TXDVLDMSW,
		CLIENTEMAC0TXFIRSTBYTE  =>  CLIENTEMAC0TXFIRSTBYTE,
		CLIENTEMAC0TXIFGDELAY  =>  CLIENTEMAC0TXIFGDELAY,
		CLIENTEMAC0TXUNDERRUN  =>  CLIENTEMAC0TXUNDERRUN,
		CLIENTEMAC1DCMLOCKED  =>  CLIENTEMAC1DCMLOCKED,
		CLIENTEMAC1PAUSEREQ   =>  CLIENTEMAC1PAUSEREQ,
		CLIENTEMAC1PAUSEVAL   =>  CLIENTEMAC1PAUSEVAL,
		CLIENTEMAC1RXCLIENTCLKIN  =>  CLIENTEMAC1RXCLIENTCLKIN,
		CLIENTEMAC1TXCLIENTCLKIN  =>  CLIENTEMAC1TXCLIENTCLKIN,
		CLIENTEMAC1TXD        =>  CLIENTEMAC1TXD,
		CLIENTEMAC1TXDVLD     =>  CLIENTEMAC1TXDVLD,
		CLIENTEMAC1TXDVLDMSW  =>  CLIENTEMAC1TXDVLDMSW,
		CLIENTEMAC1TXFIRSTBYTE  =>  CLIENTEMAC1TXFIRSTBYTE,
		CLIENTEMAC1TXIFGDELAY  =>  CLIENTEMAC1TXIFGDELAY,
		CLIENTEMAC1TXUNDERRUN  =>  CLIENTEMAC1TXUNDERRUN,
		DCREMACABUS           =>  DCREMACABUS,
		DCREMACCLK            =>  DCREMACCLK,
		DCREMACDBUS           =>  DCREMACDBUS,
		DCREMACENABLE         =>  DCREMACENABLE,
		DCREMACREAD           =>  DCREMACREAD,
		DCREMACWRITE          =>  DCREMACWRITE,
		HOSTADDR              =>  HOSTADDR,
		HOSTCLK               =>  HOSTCLK,
		HOSTEMAC1SEL          =>  HOSTEMAC1SEL,
		HOSTMIIMSEL           =>  HOSTMIIMSEL,
		HOSTOPCODE            =>  HOSTOPCODE,
		HOSTREQ               =>  HOSTREQ,
		HOSTWRDATA            =>  HOSTWRDATA,
		PHYEMAC0COL           =>  PHYEMAC0COL,
		PHYEMAC0CRS           =>  PHYEMAC0CRS,
		PHYEMAC0GTXCLK        =>  PHYEMAC0GTXCLK,
		PHYEMAC0MCLKIN        =>  PHYEMAC0MCLKIN,
		PHYEMAC0MDIN          =>  PHYEMAC0MDIN,
		PHYEMAC0MIITXCLK      =>  PHYEMAC0MIITXCLK,
		PHYEMAC0PHYAD         =>  PHYEMAC0PHYAD,
		PHYEMAC0RXBUFERR      =>  PHYEMAC0RXBUFERR,
		PHYEMAC0RXBUFSTATUS   =>  PHYEMAC0RXBUFSTATUS,
		PHYEMAC0RXCHARISCOMMA  =>  PHYEMAC0RXCHARISCOMMA,
		PHYEMAC0RXCHARISK     =>  PHYEMAC0RXCHARISK,
		PHYEMAC0RXCHECKINGCRC  =>  PHYEMAC0RXCHECKINGCRC,
		PHYEMAC0RXCLK         =>  PHYEMAC0RXCLK,
		PHYEMAC0RXCLKCORCNT   =>  PHYEMAC0RXCLKCORCNT,
		PHYEMAC0RXCOMMADET    =>  PHYEMAC0RXCOMMADET,
		PHYEMAC0RXD           =>  PHYEMAC0RXD,
		PHYEMAC0RXDISPERR     =>  PHYEMAC0RXDISPERR,
		PHYEMAC0RXDV          =>  PHYEMAC0RXDV,
		PHYEMAC0RXER          =>  PHYEMAC0RXER,
		PHYEMAC0RXLOSSOFSYNC  =>  PHYEMAC0RXLOSSOFSYNC,
		PHYEMAC0RXNOTINTABLE  =>  PHYEMAC0RXNOTINTABLE,
		PHYEMAC0RXRUNDISP     =>  PHYEMAC0RXRUNDISP,
		PHYEMAC0SIGNALDET     =>  PHYEMAC0SIGNALDET,
		PHYEMAC0TXBUFERR      =>  PHYEMAC0TXBUFERR,
		PHYEMAC0TXGMIIMIICLKIN  =>  PHYEMAC0TXGMIIMIICLKIN,
		PHYEMAC1COL           =>  PHYEMAC1COL,
		PHYEMAC1CRS           =>  PHYEMAC1CRS,
		PHYEMAC1GTXCLK        =>  PHYEMAC1GTXCLK,
		PHYEMAC1MCLKIN        =>  PHYEMAC1MCLKIN,
		PHYEMAC1MDIN          =>  PHYEMAC1MDIN,
		PHYEMAC1MIITXCLK      =>  PHYEMAC1MIITXCLK,
		PHYEMAC1PHYAD         =>  PHYEMAC1PHYAD,
		PHYEMAC1RXBUFERR      =>  PHYEMAC1RXBUFERR,
		PHYEMAC1RXBUFSTATUS   =>  PHYEMAC1RXBUFSTATUS,
		PHYEMAC1RXCHARISCOMMA  =>  PHYEMAC1RXCHARISCOMMA,
		PHYEMAC1RXCHARISK     =>  PHYEMAC1RXCHARISK,
		PHYEMAC1RXCHECKINGCRC  =>  PHYEMAC1RXCHECKINGCRC,
		PHYEMAC1RXCLK         =>  PHYEMAC1RXCLK,
		PHYEMAC1RXCLKCORCNT   =>  PHYEMAC1RXCLKCORCNT,
		PHYEMAC1RXCOMMADET    =>  PHYEMAC1RXCOMMADET,
		PHYEMAC1RXD           =>  PHYEMAC1RXD,
		PHYEMAC1RXDISPERR     =>  PHYEMAC1RXDISPERR,
		PHYEMAC1RXDV          =>  PHYEMAC1RXDV,
		PHYEMAC1RXER          =>  PHYEMAC1RXER,
		PHYEMAC1RXLOSSOFSYNC  =>  PHYEMAC1RXLOSSOFSYNC,
		PHYEMAC1RXNOTINTABLE  =>  PHYEMAC1RXNOTINTABLE,
		PHYEMAC1RXRUNDISP     =>  PHYEMAC1RXRUNDISP,
		PHYEMAC1SIGNALDET     =>  PHYEMAC1SIGNALDET,
		PHYEMAC1TXBUFERR      =>  PHYEMAC1TXBUFERR,
		PHYEMAC1TXGMIIMIICLKIN  =>  PHYEMAC1TXGMIIMIICLKIN,
		RESET                 =>  RESET,

		EMAC0_1000BASEX_ENABLE  =>  EMAC0_1000BASEX_ENABLE,
		EMAC0_ADDRFILTER_ENABLE  =>  EMAC0_ADDRFILTER_ENABLE,
		EMAC0_BYTEPHY         =>  EMAC0_BYTEPHY,
		EMAC0_CONFIGVEC_79    =>  EMAC0_CONFIGVEC_79,
		EMAC0_DCRBASEADDR     =>  EMAC0_DCRBASEADDR,
		EMAC0_GTLOOPBACK      =>  EMAC0_GTLOOPBACK,
		EMAC0_HOST_ENABLE     =>  EMAC0_HOST_ENABLE,
		EMAC0_LINKTIMERVAL    =>  EMAC0_LINKTIMERVAL,
		EMAC0_LTCHECK_DISABLE  =>  EMAC0_LTCHECK_DISABLE,
		EMAC0_MDIO_ENABLE     =>  EMAC0_MDIO_ENABLE,
		EMAC0_PAUSEADDR       =>  EMAC0_PAUSEADDR,
		EMAC0_PHYINITAUTONEG_ENABLE  =>  EMAC0_PHYINITAUTONEG_ENABLE,
		EMAC0_PHYISOLATE      =>  EMAC0_PHYISOLATE,
		EMAC0_PHYLOOPBACKMSB  =>  EMAC0_PHYLOOPBACKMSB,
		EMAC0_PHYPOWERDOWN    =>  EMAC0_PHYPOWERDOWN,
		EMAC0_PHYRESET        =>  EMAC0_PHYRESET,
		EMAC0_RGMII_ENABLE    =>  EMAC0_RGMII_ENABLE,
		EMAC0_RX16BITCLIENT_ENABLE  =>  EMAC0_RX16BITCLIENT_ENABLE,
		EMAC0_RXFLOWCTRL_ENABLE  =>  EMAC0_RXFLOWCTRL_ENABLE,
		EMAC0_RXHALFDUPLEX    =>  EMAC0_RXHALFDUPLEX,
		EMAC0_RXINBANDFCS_ENABLE  =>  EMAC0_RXINBANDFCS_ENABLE,
		EMAC0_RXJUMBOFRAME_ENABLE  =>  EMAC0_RXJUMBOFRAME_ENABLE,
		EMAC0_RXRESET         =>  EMAC0_RXRESET,
		EMAC0_RXVLAN_ENABLE   =>  EMAC0_RXVLAN_ENABLE,
		EMAC0_RX_ENABLE       =>  EMAC0_RX_ENABLE,
		EMAC0_SGMII_ENABLE    =>  EMAC0_SGMII_ENABLE,
		EMAC0_SPEED_LSB       =>  EMAC0_SPEED_LSB,
		EMAC0_SPEED_MSB       =>  EMAC0_SPEED_MSB,
		EMAC0_TX16BITCLIENT_ENABLE  =>  EMAC0_TX16BITCLIENT_ENABLE,
		EMAC0_TXFLOWCTRL_ENABLE  =>  EMAC0_TXFLOWCTRL_ENABLE,
		EMAC0_TXHALFDUPLEX    =>  EMAC0_TXHALFDUPLEX,
		EMAC0_TXIFGADJUST_ENABLE  =>  EMAC0_TXIFGADJUST_ENABLE,
		EMAC0_TXINBANDFCS_ENABLE  =>  EMAC0_TXINBANDFCS_ENABLE,
		EMAC0_TXJUMBOFRAME_ENABLE  =>  EMAC0_TXJUMBOFRAME_ENABLE,
		EMAC0_TXRESET         =>  EMAC0_TXRESET,
		EMAC0_TXVLAN_ENABLE   =>  EMAC0_TXVLAN_ENABLE,
		EMAC0_TX_ENABLE       =>  EMAC0_TX_ENABLE,
		EMAC0_UNICASTADDR     =>  EMAC0_UNICASTADDR,
		EMAC0_UNIDIRECTION_ENABLE  =>  EMAC0_UNIDIRECTION_ENABLE,
		EMAC0_USECLKEN        =>  EMAC0_USECLKEN,
		EMAC1_1000BASEX_ENABLE  =>  EMAC1_1000BASEX_ENABLE,
		EMAC1_ADDRFILTER_ENABLE  =>  EMAC1_ADDRFILTER_ENABLE,
		EMAC1_BYTEPHY         =>  EMAC1_BYTEPHY,
		EMAC1_CONFIGVEC_79    =>  EMAC1_CONFIGVEC_79,
		EMAC1_DCRBASEADDR     =>  EMAC1_DCRBASEADDR,
		EMAC1_GTLOOPBACK      =>  EMAC1_GTLOOPBACK,
		EMAC1_HOST_ENABLE     =>  EMAC1_HOST_ENABLE,
		EMAC1_LINKTIMERVAL    =>  EMAC1_LINKTIMERVAL,
		EMAC1_LTCHECK_DISABLE  =>  EMAC1_LTCHECK_DISABLE,
		EMAC1_MDIO_ENABLE     =>  EMAC1_MDIO_ENABLE,
		EMAC1_PAUSEADDR       =>  EMAC1_PAUSEADDR,
		EMAC1_PHYINITAUTONEG_ENABLE  =>  EMAC1_PHYINITAUTONEG_ENABLE,
		EMAC1_PHYISOLATE      =>  EMAC1_PHYISOLATE,
		EMAC1_PHYLOOPBACKMSB  =>  EMAC1_PHYLOOPBACKMSB,
		EMAC1_PHYPOWERDOWN    =>  EMAC1_PHYPOWERDOWN,
		EMAC1_PHYRESET        =>  EMAC1_PHYRESET,
		EMAC1_RGMII_ENABLE    =>  EMAC1_RGMII_ENABLE,
		EMAC1_RX16BITCLIENT_ENABLE  =>  EMAC1_RX16BITCLIENT_ENABLE,
		EMAC1_RXFLOWCTRL_ENABLE  =>  EMAC1_RXFLOWCTRL_ENABLE,
		EMAC1_RXHALFDUPLEX    =>  EMAC1_RXHALFDUPLEX,
		EMAC1_RXINBANDFCS_ENABLE  =>  EMAC1_RXINBANDFCS_ENABLE,
		EMAC1_RXJUMBOFRAME_ENABLE  =>  EMAC1_RXJUMBOFRAME_ENABLE,
		EMAC1_RXRESET         =>  EMAC1_RXRESET,
		EMAC1_RXVLAN_ENABLE   =>  EMAC1_RXVLAN_ENABLE,
		EMAC1_RX_ENABLE       =>  EMAC1_RX_ENABLE,
		EMAC1_SGMII_ENABLE    =>  EMAC1_SGMII_ENABLE,
		EMAC1_SPEED_LSB       =>  EMAC1_SPEED_LSB,
		EMAC1_SPEED_MSB       =>  EMAC1_SPEED_MSB,
		EMAC1_TX16BITCLIENT_ENABLE  =>  EMAC1_TX16BITCLIENT_ENABLE,
		EMAC1_TXFLOWCTRL_ENABLE  =>  EMAC1_TXFLOWCTRL_ENABLE,
		EMAC1_TXHALFDUPLEX    =>  EMAC1_TXHALFDUPLEX,
		EMAC1_TXIFGADJUST_ENABLE  =>  EMAC1_TXIFGADJUST_ENABLE,
		EMAC1_TXINBANDFCS_ENABLE  =>  EMAC1_TXINBANDFCS_ENABLE,
		EMAC1_TXJUMBOFRAME_ENABLE  =>  EMAC1_TXJUMBOFRAME_ENABLE,
		EMAC1_TXRESET         =>  EMAC1_TXRESET,
		EMAC1_TXVLAN_ENABLE   =>  EMAC1_TXVLAN_ENABLE,
		EMAC1_TX_ENABLE       =>  EMAC1_TX_ENABLE,
		EMAC1_UNICASTADDR     =>  EMAC1_UNICASTADDR,
		EMAC1_UNIDIRECTION_ENABLE  =>  EMAC1_UNIDIRECTION_ENABLE,
		EMAC1_USECLKEN        =>  EMAC1_USECLKEN
	);
end TEMAC_SWIFT_BUS_V;
